<?php

namespace App\Console\Commands;

use App\Models\Deployment;
use Illuminate\Console\Command;

class ProjectSubscriptionsCron extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'flush:expired-subscriptions';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command description';

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        $this->flushExpiredDeploymentSubscriptions();
        return Command::SUCCESS;
    }

    public function flushExpiredDeploymentSubscriptions()
    {
        Deployment::whereDate('expiry','<',now())->where('instance','=', 'Online')->update([
            'status'    =>  'Inactive',
            'instance'    =>  'Ended',
        ]);
    }

    public function flushExpiredClientSubscriptions()
    {

    }
}
