<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Http\Traits\HttpResponses;

use App\Models\Merchant;
use App\Models\MerchantBranch;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;


class BenefitTypesApiController extends Controller
{

    use HttpResponses;


    public function getBenefitTypesClone($tableName)
    {

        $allowed_tables = ["benefit_types"];

        if(!(in_array($tableName,$allowed_tables))){
            return response()->json([
                "data" => []
            ]);
        }

        // Get create table statement
        $createTableStatement = $this->getCreateTableStatement($tableName);

//        // Get table data
        $tableData = $this->getTableData($tableName);

        return response()->json([
            'create_table_statement' => $createTableStatement,
            'table_data' => $tableData,
        ]);
    }

    private function getCreateTableStatement($tableName)
    {
        // Retrieve create table statement from the database
        $createTableStatement = DB::select("SHOW CREATE TABLE $tableName")[0]->{'Create Table'};

        return $createTableStatement;
    }

    private function getTableData($tableName)
    {
        // Retrieve table data from the database
        $tableData = DB::table($tableName)->get();

        return $tableData;
    }
}
