<?php

namespace App\Http\Controllers;


use App\Http\Middleware\LoadUserPermissions;
use Illuminate\Http\Request;
use OwenIt\Auditing\Models\Audit;

class AuditController extends Controller
{
    public function __construct() {

        $this->middleware( ['auth:web',LoadUserPermissions::class] );
    }

    public function index()
    {
        $audits = Audit::with('user')
            ->orderBy('created_at', 'desc')
            ->paginate(10);

        return view('audits.index', ['audits' => $audits]);
    }

}
