<?php

namespace App\Http\Middleware;

use App\Models\ToastNotification;
use App\Models\User;
use Carbon\Carbon;
use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Auth\AuthenticationException;

class ActiveUsers
{
    /**
     * Get the path the user should be redirected to when they are not authenticated.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return string|null
     */
    public function handle(Request $request, Closure $next)
    {
        if (auth()->user()->deactivated_at) {
            $user = auth()->user();
            auth()->logout();

            return redirect()->route('login')
                ->withErrors('Your account was deactivated at ' . $user->deactivated_at.' Please contact the System Administrator.');
        }

        if (auth()->user()->email_verified_at == null || auth()->user()->account_verified_at == null) {
            $user = User::find(auth()->user()->id);
            $user->email_verified_at = Carbon::now()->toDateTimeString();
            $user->account_verified_at = Carbon::now()->toDateTimeString();
            $user->save();
        }


        return $next($request);
    }
}
