<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;

class AdminAccess
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure(\Illuminate\Http\Request): (\Illuminate\Http\Response|\Illuminate\Http\RedirectResponse)  $next
     * @return \Illuminate\Http\Response|\Illuminate\Http\RedirectResponse
     */
    /*public function handle(Request $request, Closure $next)
    {
        if (auth()->user()->is_admin == 1) {
            return $next($request);
        }
        else{
            session()->flash('error-page', true);
            session()->flash('page-message-title', __('Unauthorized Access'));
            session()->flash('page-message', __('Sorry! You are not authorized to perform this action.'));

            return back();
        }
    }*/

    public function handle(Request $request, Closure $next)
    {
        // Check if the user is an admin
        if (auth()->user()->is_admin == 1) {
            return $next($request);
        }

        // Check if the user has the 'support' role
        if (session()->get('role') == 'support') {
            return $next($request);
        }

        // If neither admin nor support, deny access
        session()->flash('error-page', true);
        session()->flash('page-message-title', __('Unauthorized Access'));
        session()->flash('page-message', __('Sorry! You are not authorized to perform this action.'));

        return back();
    }

}
