<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class OrganisationOwner
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure(\Illuminate\Http\Request): (\Illuminate\Http\Response|\Illuminate\Http\RedirectResponse)  $next
     * @return \Illuminate\Http\Response|\Illuminate\Http\RedirectResponse
     */
    public function handle(Request $request, Closure $next)
    {
//        dd($user = Auth::user()->load('roles'));
        if (Auth::check()) {
            if (auth()->user()->hasRole('owner') && is_null(auth()->user()->hasOrganisation())) {
                return  redirect()->route('on_boarding.client');
            }
            else{
                return $next($request);
            }
        }
        else{
            return $next($request);
        }
    }
}
