<?php
namespace App\Http\Traits;


use Illuminate\Support\Arr;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;

trait BlackBox
{
    protected $user_type = 'App\Models\User';
    protected $event = 'updated';

    public function getData($table_name,$auditable_id)
    {
        $data = DB::table($table_name)->where('id','=',$auditable_id)->first();
        return $data;
    }

    public function getAmendedData($oldData,$newData)
    {
        $oldData = Arr::except($oldData, ['updated_at']);
        $newData = Arr::except($newData, ['updated_at']);

        foreach ($newData as $key=>$value) {
            if ($oldData[$key] == $value)  {
                $oldData = Arr::except($oldData, [$key]);
                $newData = Arr::except($newData, [$key]);
            }
        }
        return ['oldData'=>$oldData, 'newData'=>$newData];
    }

    public function initiateBlackBox($table_name,$auditable_id,array $oldData,$request)
    {
        $newData = $this->getData($table_name,$auditable_id);
        $amended = $this->getAmendedData($oldData,(array)$newData);

        if (sizeof($amended['oldData']) > 0 && sizeof($amended['newData']) > 0){
            \App\Models\BlackBox::create([
               'user_type'  =>  $this->user_type,
               'event'  =>  $this->event,
               'user_id'  =>  Auth::id(),
               'auditable_type'  =>  $table_name,
               'auditable_id'  =>  $auditable_id,
               'old_values'  =>  $amended['oldData'],
               'new_values'  =>  $amended['newData'],
               'ip_address'  =>  $request->ip(),
               'user_agent'  =>  $request->server('HTTP_USER_AGENT'),
            ]);
        }

    }


}