<?php
namespace App\Http\Traits;

use App\Models\Application;
use App\Models\BenefitRegistration;
use \App\Models\Form;
use \App\Models\BenefitFormOption;
use App\Models\Lookup;
use App\Models\LookupCode;

trait VerificationProcesses
{
    /**
     * Checks if the Form goes through any Verification Process
     * @param $form_id
     * @return bool
     */
    public function isProcessForm($form_id) {
        $form = BenefitFormOption::where('form_id','=',$form_id)->where('require_processing','=',1)->first();
        if ($form){
            return true;
        }
        else {
            return false;
        }
    }
    /**
     * Get the Form's Verification Process Details
     * @param $form_id
     * @return bool
     */
    public function getProcessForm($form_id) {
        $form = BenefitFormOption::where('form_id','=',$form_id)->where('require_processing','=',1)->first();
        if ($form){
            return $form;
        }
        else {
            return false;
        }
    }

    public function getStartBenefitVerificationStatusID($benefit_registration_id)
    {
//        $benefit_registration = BenefitRegistration::find($benefit_registration_id);
        $benefit_registration = Application::find($benefit_registration_id);

        if ($getFormOptions = $this->getProcessForm($benefit_registration->form_id)) {

            $lookup_options = $this->getFormVerificationLookupCode($getFormOptions);
            $start_id = $lookup_options->options->where('process_action','=',1)->where('activeFlag','=',1)->pluck('id')->first();
            if ($start_id){
                return $start_id;
            }
            else{
                return 1;
            }
        }
        else {
            return 1;
        }
    }

    public function getStartBenefitVerificationStatusByFormAndRegistration($form_id,$registration_id)
    {
//        $benefit_registration = BenefitRegistration::where('form_id','=',$form_id)->where('application_id','=',$registration_id)->first();
        $benefit_registration = Application::where('form_id','=',$form_id)->where('application_id','=',$registration_id)->first();

        if ($getFormOptions = $this->getProcessForm($benefit_registration->form_id)) {

            $lookup_options = $this->getFormVerificationLookupCode($getFormOptions);
            $start_id = $lookup_options->options->where('process_action','=',1)->where('activeFlag','=',1)->pluck('id')->first();
            if ($start_id){
                return $start_id;
            }
            else{
                return 1;
            }
        }
        else {
            return 1;
        }
    }

//    public function isStartVerification($benefit_registration_id)
//    {
//        $benefit_registration = Application::find($benefit_registration_id);
//        $benefit_registration = BenefitRegistration::find($benefit_registration_id);
//
//        if ($getFormOptions = $this->getProcessForm($benefit_registration->form_id)) {
//
//            $lookup_options = $this->getFormVerificationLookupCode($getFormOptions);
//        }
//        else {
//            return false;
//        }
//    }

    public function getFormVerificationLookupCode($benefitFormOptionApprovalProcess)
    {
        $approval_process_lookupCode = LookupCode::find($benefitFormOptionApprovalProcess->approval_process);
        return $approval_process_lookupCode;
    }
}