<?php

namespace App\Mail;

use App\Models\CaseManagement;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Attachment;
use Illuminate\Mail\Mailable;
use Illuminate\Mail\Mailables\Content;
use Illuminate\Mail\Mailables\Envelope;
use Illuminate\Queue\SerializesModels;
use Illuminate\Support\Str;

class CaseReported extends Mailable
{
    use Queueable, SerializesModels;

//    protected $case;
    /**
     * Create a new message instance.
     */
    public function __construct(
        public CaseManagement $case,
    ) {}

//    public function build()
//    {
//        return $this->view('emails.cases.new-case')
//            ->with([
//                'header_1' => __('A New Case Reported!'),
////                'case'  => $this->case,
//            ])
//            ->subject(__('New Case - ').env('APP_NAME'));
//    }

    /**
     * Get the message envelope.
     *
     * @return \Illuminate\Mail\Mailables\Envelope
     */
    public function envelope()
    {
        return new Envelope(
            subject: 'Case Reported '.env('APP_NAME'),
        );
    }

    /**
     * Get the message content definition.
     *
     * @return \Illuminate\Mail\Mailables\Content
     */
    public function content()
    {
        return new Content(
            view: 'emails.cases.new-case',
            with:[
                'header_1'  => __('A New Case Reported!'),
//                'code'  => $this->case,
            ]
        );
    }

    /**
     * Get the attachments for the message.
     *
     * @return array
     */
    public function attachments()
    {
        return [
//            \Illuminate\Mail\Mailables\Attachment::fromStorage($this->case->file_upload)
        ];
    }
}
