<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use OwenIt\Auditing\Contracts\Auditable;

class AccountDetail extends Model implements Auditable
{
    use HasFactory, \OwenIt\Auditing\Auditable;
    use SoftDeletes;

    protected $table = 'account_details';

    protected $guarded = [];

    protected $casts = [
        'data'
    ];
    public function applicant()
    {
        return $this->belongsTo(Applicant::class,'regID','regID');
    }

    public function bank()
    {
        return $this->belongsTo(Bank::class,'bank_id');
    }

    public function branch()
    {
        return $this->belongsTo(BankBranch::class,'branch_id');
    }

    public function scopeVerified($query)
    {
        return $query->where('status','Verified');
    }
}
