<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use OwenIt\Auditing\Contracts\Auditable;

class ApplicationApproval extends Model implements Auditable
{
    use HasFactory, \OwenIt\Auditing\Auditable;

    protected $fillable = ['application_id','amount','created_by','comment','instance_id'];

    public function application()
    {
        return $this->belongsTo(Application::class,'application_id');
    }
    public function applicant()
    {
        return $this->hasOneThrough(Applicant::class,Application::class,'applicant_number','regID');
    }
}
