<?php

namespace App\Models;

use GeneaLabs\LaravelModelCaching\Traits\Cachable;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use OwenIt\Auditing\Contracts\Auditable;

class Bank extends Model implements Auditable
{
    use \OwenIt\Auditing\Auditable;

    // use Cachable;
    protected $table = 'banks';
    protected $guarded = [];
    public $incrementing = true;

    const PERIOD_START='2021-10-01';

    public function branches()
    {
        return $this->hasMany(BankBranch::class,'bank_id','id');
    }
    public function applicantAccounts()
    {
        return $this->hasMany(AccountDetail::class,'bank_id','id')->where('removed','=',0);
    }

    public function applications()
    {
        return $this->hasManyThrough(Application::class,AccountDetail::class,'bank_id','bank_account_id');
    }

    public function _type()
    {
        return $this->belongsTo(Lookup::class,'type','id');
    }

}
