<?php

namespace App\Models;

use GeneaLabs\LaravelModelCaching\Traits\Cachable;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use OwenIt\Auditing\Contracts\Auditable;

class BankBranch extends Model implements Auditable
{
    use \OwenIt\Auditing\Auditable;

    // use Cachable;
    protected $table = 'bank_branches';
    protected $guarded = [];
    public $incrementing = true;

    const PERIOD_START='2021-10-01';

    public function bank()
    {
        return $this->belongsTo(Bank::class,'bank_id','id');
    }

    public function location()
    {
        return $this->belongsTo(Lookup::class,'location_id','id');
    }

}
