<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Beneficiary extends Model
{
    use HasFactory;

    protected $table = 'beneficiaries';
    protected $fillable = ['benefit_registration_id','form_id','archived','status'];

    public function form() {
        return $this->belongsTo(Form::class);
    }

    public function beneficiaryDetail() {
        return $this->hasOne(BeneficiariesDetail::class,'beneficiary_id');
    }

    public function application() {
        return $this->belongsTo(Application::class,'benefit_registration_id');
    }

    public function benefitRegistration() {
        return $this->belongsTo(BenefitRegistration::class,'benefit_registration_id');
    }

    public function beneficiaryArchiveHistory() {
        return $this->belongsTo(BeneficiariesArchivedLog::class,'beneficiary_id');
    }
}
