<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class BenefitVerificationProcessLog extends Model
{
    use HasFactory;

    protected $table = 'benefit_verification_process_log';

    protected $fillable = ['benefit_registration_id','user_id','verification_process_id','message'];

    public function benefitRegistration()
    {
        return $this->belongsTo('App\Models\BenefitRegistration','benefit_registration_id');
    }

    public function application()
    {
        return $this->belongsTo(Application::class,'benefit_registration_id');
    }

    public function user()
    {
        return $this->belongsTo('App\Models\User','user_id');
    }

    public function status()
    {
        return $this->belongsTo('App\Models\Lookup','verification_process_id','id');
    }
}
