<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ClientBranding extends Model
{
    use HasFactory;

    protected $table = 'client_branding';

    protected $fillable = [
        'client_id',
        'app_name', 
        'app_description', 
        'app_project_name', 
        'app_content', 
        'app_email', 
        'app_contact', 
        'app_address',
        'app_country',
        'app_main_currency',
        'app_main_currency_symbol',
        'logo',
        'app_linkedin_url',
        'app_facebook_url',
        'app_twitter_url',

    ];

    public function client(){
        return $this->belongsTo(Client::class,'client_id');
    }

    public function country()
    {
        return $this->belongsTo(Country::class, 'app_country');
    }
}
