<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use OwenIt\Auditing\Contracts\Auditable;

class ContactDetail extends Model implements Auditable
{
    use HasFactory;
    use SoftDeletes, \OwenIt\Auditing\Auditable;

    protected $guarded = [];

    public function applicant()
    {
        return $this->belongsTo(Applicant::class,'applicant_number','regID');
    }

    public function scopeGetOneVerifiedContact($query)
    {
        return $query->where('status','=','Verified')->where('type_name','=','Mobile Number')->pluck('mobile')->first();
    }

    public function scopeIsVerified($query)
    {
        $result = $query->where('status','=','Verified')->count();

        if ($result > 0) {
            return true;
        }
        else {
            return false;
        }

    }

    public function getResidentialAddressAttribute() {
        return "{$this->address}, {$this->village} - {$this->island}";
    }
}
