<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class HouseHold extends Model
{
    use HasFactory;

    protected $table = 'households';

    protected $fillable = ['id','instance_id', 'reference_id', 'head','type','area','location','tenure','income_status','status','headship','created_by','household_count'];

    public function _head()
    {
        return $this->hasOne(Applicant::class,'regID','head');
    }

    public function _area()
    {
        return $this->hasOne(Lookup::class,'id','area');
    }

    public function _tenure()
    {
        return $this->hasOne(Lookup::class,'id','tenure');
    }

    public function _type()
    {
        return $this->hasOne(Lookup::class,'id','type');
    }

    public function _location()
    {
        return $this->hasOne(Lookup::class,'id','location');
    }

    public function incomeStatus()
    {
        return $this->hasOne(Lookup::class,'id','income_status');
    }

    public function _headship()
    {
        return $this->hasOne(Lookup::class,'id','headship');
    }

    public function createdBy()
    {
        return $this->belongsTo(User::class,'created_by');
    }

    public function updatedBy()
    {
        return $this->belongsTo(User::class,'updated_by');
    }

    public function members()
    {
        return $this->hasMany(ContactDetail::class,'household_number','reference_id');
    }
}
