<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Instance extends Model
{
    use HasFactory;
    protected $guarded = [];

    protected $casts = [
        'counties'  =>  'array'
    ];

    public function configs()
    {
        return $this->hasMany(ContentConfig::class);
    }

    public function country()
    {
        return $this->belongsTo(Country::class);
    }

    public function measurement_system()
    {
        return $this->belongsTo(MeasurementSystem::class);
    }

    public function currency()
    {
        return $this->belongsTo(Currency::class)->select(['symbol','iso_code','fractional_unit','id']);
    }

    public function alt_currency()
    {
        return $this->belongsTo(Currency::class,'alt_currency_id')->select(['symbol','iso_code','fractional_unit','id']);
    }

//    public function certifications()
//    {
//        return $this->hasMany(Certification::class);
//    }
}
