<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Merchant extends Model
{
    use HasFactory;
    // use Cachable;
    protected $table = 'merchants';
    protected $guarded = [];
    public $incrementing = true;

    const PERIOD_START='2021-10-01';

    public function branches()
    {
        return $this->hasMany(MerchantBranch::class,'merchant_id','id');
    }

    public function country()
    {
        return $this->belongsTo(Country::class,'country_id','id');
    }

    public function _type()
    {
        $types = config('options.merchant_types');
        if (isset($types[$this->type])){
            return $types[$this->type];
        }
        return null;
    }

    public function scopeActive($query)
    {
        return $query->where('status','=', 1);
    }
}
