<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class MerchantBranch extends Model
{
    use HasFactory;

    protected $table = 'merchant_branches';
    protected $guarded = [];
    public $incrementing = true;

    const PERIOD_START='2021-10-01';

    public function merchant()
    {
        return $this->belongsTo(Merchant::class,'merchant_id','id');
    }

    public function country()
    {
        return $this->belongsTo(Country::class,'country_id','id');
    }

    public function scopeActive($query)
    {
        return $query->where('status','=', 1);
    }
}
