<?php

namespace App\Models;

use GeneaLabs\LaravelModelCaching\Traits\Cachable;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use OwenIt\Auditing\Contracts\Auditable;

class Office extends Model implements Auditable
{
    use \OwenIt\Auditing\Auditable;

    // use Cachable;
    protected $table = 'offices';
    protected $guarded = [];
    public $incrementing = true;

    const PERIOD_START='2021-10-01';

    public function supervisor()
    {
        return $this->belongsTo(Role::class,'lead','id');
    }

    public function location_()
    {
        return $this->belongsTo(Lookup::class,'location','id');
    }

    public function type_()
    {
        return $this->belongsTo(Lookup::class,'type','id');
    }

    public function manager_()
    {
        return $this->belongsTo(User::class,'manager','id');
    }

    public function scopeActive($query) {
        return $query->where('status',1);
    }

    public function parent()
    {
        return $this->belongsTo(Office::class, 'parent_id','id');
    }

    public function children()
    {
        return $this->hasMany(Office::class, 'parent_id');
    }
}
