<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Question extends \MattDaneshvar\Survey\Models\Question
{
    use HasFactory;

    protected $fillable = ['type', 'options', 'content', 'rules', 'survey_form_id','section_id','raw'];

    protected $casts = [
        'rules' => 'array',
        'options' => 'array',
        'raw' => 'array',
    ];

    public function survey()
    {
        return $this->belongsTo(SurveyForm::class);
    }

    public function section()
    {
        return $this->belongsTo(Section::class);
    }
}
