<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Village extends Model
{
    use HasFactory;

    protected $fillable = ['name', 'country_id', 'state_id', 'district_id', 'location', 'sublocation', 'division' ,'district_name', 'leader_name', 'constituency_id'];

    /**
     * Get the country that the village belongs to.
     */
    public function country()
    {
        return $this->belongsTo(Country::class);
    }

    // Define the relationship to the Applicants model
    public function applicants()
    {
        return $this->hasMany(Applicant::class);
    }

    public function constituency()
    {
        return $this->belongsTo(Constituency::class);
    }

    public function district()
    {
        return $this->belongsTo(District::class);
    }
}
