<?php
return [

    /*
    |--------------------------------------------------------------------------
    | Menu Settings Options
    |--------------------------------------------------------------------------
    */
    'menu_items'   =>  [
        'user'  =>  'User Module',
        'report'  =>  'Report Module',
        'setting'  =>  'Setting Module',
    ],
    'tour-pages'   =>  ["dashboard","subscription","benefit","membership","application","case","announcement"],
    'application_filter_options'    =>  [
        'submitted'       =>  'Submitted',
        'approved'     =>  'Approved',
        'rejected'     =>  'Rejected',
//        'payroll'      =>  'On Payroll',
        'archived'     =>  'Archived',
        'app_period'   =>  'Application Date Period',
//        'refund'       =>  'Refund Ongoing'
    ],

    'project_module'    =>  [
        'Social Protection',
        'Pensions'
    ],
    'project_module_description'    =>  [
        'Social Protection'=> "Efficiently manages diverse social services for vulnerable populations, offering aid and support against various socio-economic risks.",
        'Pensions'=> "Streamlines pension fund administration, ensuring secure and consistent retirement income for individuals post-employment."
    ],

    'benefit_json_fields'   =>  [
        'id','titles','class','financial','description','cycle','begin_period','end_period',
        'age_format','min_age','max_age','gender_criteria','nationalities','residence_criteria','concurrent_benefits',
        'employment_criteria','employment_type_criteria','impairments','supporting_documents'
    ],

    'pension_age_groups'  =>  [
        '60+',
        '65+',
        '70+',
    ],

    'months'    =>  [
      'January','February','March','April','May','June','July','August','September','October','November','December'
    ],

    'months_value'    =>  [
      1 =>  'January',
      2 =>  'February',
      3 =>  'March',
      4 =>  'April',
      5 =>  'May',
      6 =>  'June',
      7 =>  'July',
      8 =>  'August',
      9 =>  'September',
      10 =>  'October',
      11 =>  'November',
      12 =>  'December'
    ],

    'months_value_short'    =>  [
      1 =>  'Jan',
      2 =>  'Feb',
      3 =>  'Mar',
      4 =>  'Apr',
      5 =>  'May',
      6 =>  'Jun',
      7 =>  'Jul',
      8 =>  'Aug',
      9 =>  'Sep',
      10 =>  'Oct',
      11 =>  'Nov',
      12 =>  'Dec'
    ],

    'pension_ages'  =>  [
        '60+'   =>  [60,61,62,63,64],
        '65+'   =>  [65,66,67,68,69],
        '70+'   =>  [70],
    ],
    'christmas_bonus_id'  =>  10,
    'beneficiary_details_form_id'  =>  11,

    'funeral_amount'  =>  [
        'OLD AGE PENSION',
        'CHILD BENEFIT',
        'INFIRM RELIEF',
        'DESTITUTE RELIEF'
    ],

    'application_status'    =>  [
        'New'   =>  'secondary',
        'Submitted'   =>  'secondary',
        'Processing'   =>  'info',
        'Active'   =>  'primary',
        'Pending Approval'   =>  'primary',
        'Suspended'   =>  'warning',
        'Returned For Correction'   =>  'warning',
        'Approved'   =>  'success',
        'Issued'=>'success',
        'On Hold'   =>  'muted',
        'Ended'   =>  'success',
        'Cancelled'   =>  'danger',
        'Resubmitted'   =>  'secondary',
        
    ],

    'application_status_style'    =>  [
        'Submitted' =>  [
            'text'  =>  'text-primary',
            'bg'  =>  'bg-primary',
        ],
        'Resubmitted' =>  [
            'text'  =>  'text-primary',
            'bg'  =>  'bg-primary',
        ],
        'Pending Approval' =>  [
            'text'  =>  'text-primary',
            'bg'  =>  'bg-info',
        ],
        'Approved' =>  [
            'text'  =>  'text-success',
            'bg'  =>  'bg-success',
        ],
        'Issued' =>  [
            'text'  =>  'text-success',
            'bg'  =>  'bg-success',
        ],
        'Returned For Correction' =>  [
            'text'  =>  'text-warning',
            'bg'  =>  'bg-warning',
        ],
        'Declined' =>  [
            'text'  =>  'text-danger',
            'bg'  =>  'bg-danger',
        ],
        'On Hold' =>  [
            'text'  =>  'text-muted',
            'bg'  =>  'bg-light',
        ],
    ],

    'pension_benefit' =>  'old_age_pensions',
    'child_benefit' =>  'child_benefits',
    'funeral_allowance' =>  'funeral_allowances',


    'gender_code' =>  1,
    'village_code' =>  2,
    'benefit_status_code' =>  3,
    'benefit_type_code' =>  4,
    'workflow_code' =>  8,
    'island_code' =>  9,
    'payment_process_lookupCode' =>  10,
    'complaint_process_lookupCode' =>  11,
    'identification_code' =>  12,
    'account_type_code' =>  13,
    'bank_code' =>  14,
    'branch_code' =>  15,
    'marriage_status_code' =>  16,
    'marriage_type_code' =>  17,
    'employment_sector_code' =>  18,
    'employment_type_code' =>  19,
    'document_type_code' =>  20,
    'impairment_type_code' =>  21,
    'family_type_code' =>  22,
    'office_type_code' =>  23,
    'survey_type_code' =>  34,
    'survey_status_code' =>  35,
    'survey_category_code' =>  42,
    'team_role_code' =>  36,
    'team_type_code' =>  40,
    'case_categories_code' =>  38,
    'case_types_code' =>  39,
    'business_type_code' =>  41,
    'payment_voucher_status' =>  43,
    'payment_voucher_start_status' =>  195,
    'survey_default_status' =>  155,
    'survey_opened_status' =>  154,

    'admin_role_id' =>  2,
    'beneficiary_role_id' =>  7,
    'reserved-roles'    =>  [2,7,3],

    'feedback_stage'                    =>      ['Opened','Pending Review','Resolved','Close'],
    'feedback_stage_for_assigned'       =>      ['Pending Review','Resolved'],
    'feedback_stage_for_owner'          =>      ['Pending Review','Close'],

    'case_stage'                    =>      ['Opened','Pending Review','Resolved','Close'],
    'case_stage_for_assigned'       =>      ['Pending Review','Resolved'],
    'case_stage_for_owner'          =>      ['Pending Review','Close'],
    'announcement_post_options'          =>      ['Draft','Publish'],
    'severity'          =>      ['Low', 'Normal','Critical'],

    'contentConfig' =>  [
        'applicant_title'    =>  'text',
        'applicant_description'    =>  'description',
    ],
    'experience' =>  ['0 - 5 years','6 - 10 years','Above 10 years'],
    'contact_type'  =>  [
        'residential' =>  107,
        'postal' =>  108,
        'telephone' =>  109,
        'email' =>  110,
        'household' =>  137,
    ],
    'applicant_type'  =>  [
        'beneficiary' =>  144,
        'household' =>  145,
    ],
    'member_record_status'        =>      ['New','In Progress','On Hold','Verified','Declined'],
    'member_record_events'        =>      ['Addition','Deletion','Updated'],
    'escape_file_names'           =>      ['documents','document','uploads','supporting_document','upload_residency','upload_account'],

    'age_groups' => [
        'children' => [0,15],
        'youth' => [16,59],
        'aged' => [60,200]
    ],
    'branches_upload_headers' => [
        'name','routing_number','email','contact','address','location_id'
    ],

    'merchant_types'    =>  [
        1   =>  'Bank',
        2   =>  'Savings and Loans',
        3   =>  'Credit Union',
        4   =>  'Mobile Money',
        5   =>  'Shop',
        6   =>  'Vendor'
    ],
    'respondents' => [
        'all-users','administrators','applicants'
    ],
    'frequency' => [
        'one-time','daily','weekly','monthly','yearly'
    ],
    'mode' => [
        'assisted','self'
    ],
    'invalid_pages' => [
        '/trial-expired','/suspended','/ended'
    ],
    'permission_modules' =>  [
        'applications',
        'beneficiary',
        'benefits',
        'cases',
        'dashboard',
        'announcements',
        'partners',
        'programs',
        'surveys',
        'settings',
        'users',
    ],
    'access_types' =>  [
        'backend',
        'portal'
    ],
    'hidden_accounts'   =>  [1,2,3],

//    Children - 0-10 years
//    Teenagers - 13-19
//    Youth - 20-34
//    Adults - 35-59
//    Elderly - 60 above

    'age_group' =>  [
        'Children'  =>  [0,12],
        'Teenagers'  =>  [11,19],
        'Youth'  =>  [20,34],
        'Adults'  =>  [35,59],
        'Elderly'  =>  [60,200],
    ],
    'onboarding_stage'  =>  [
        'organization_setup','personal_details','project_setup','booking_a_meeting'
    ],

    'business_types'    =>  [
        'Government Agency',
        'Non-Government Org.',
        'International Development Org.',
        'Channel Partner'
    ],

    'deployments_status'    =>  [
        'Draft' =>  [
            'class'  =>  'text-muted',
            'bg'  =>  'bg-light',
            'icon'  =>  'bi-hourglass-split',
        ],
        'New' =>  [
            'class'  =>  'text-primary',
            'bg'  =>  'bg-primary',
            'icon'  =>  'bi-hourglass-top',
        ],
        'Pending' =>  [
            'class'  =>  'text-primary',
            'bg'  =>  'bg-primary',
            'icon'  =>  'bi-hourglass-split',
        ],
        'Deployed' =>  [
            'class'  =>  'text-success',
            'bg'  =>  'bg-success',
            'icon'  =>  'bi-check2-all',
        ],
        'Inactive' =>  [
            'class'  =>  'text-danger',
            'bg'  =>  'bg-danger',
            'icon'  =>  'bi-x-lg',
        ]
    ],

    'deployments_instance'    =>  [
        'Pending' =>  [
            'class'  =>  'text-info',
            'bg'  =>  'bg-light',
            'icon'  =>  'bi-hourglass-split',
        ],
        'Online' =>  [
            'class'  =>  'text-success',
            'bg'  =>  'bg-success',
            'icon'  =>  'bi-check-circle-fill',
        ],
        'Suspended' =>  [
            'class'  =>  'text-danger',
            'bg'  =>  'bg-danger',
            'icon'  =>  'bi-hourglass',
        ],
        'Ended' =>  [
            'class'  =>  'text-primary',
            'bg'  =>  'bg-primary',
            'icon'  =>  'bi-hourglass',
        ],
    ],
    'base_plan_features' =>  [
        'memberships'   =>  [
            'name' => 'beneficiaries',
            'route' => 'applicant.getApplicantInfo',
            'icon' => '<i class="bi-file-earmark-text"></i>',
            'value' => 'Unlimited',
            'sort_order' => 2,
            'resettable_period' => 0,
            'resettable_interval' => 'month'
        ],
        'applications'   =>  [
            'name' => 'applications',
            'route' => 'benefit_registration.list',
            'icon' => '<i class="bi-clipboard-check"></i>',
            'value' => 'Unlimited',
            'sort_order' => 1,
            'resettable_period' => 0,
            'resettable_interval' => 'month'
        ],
        'benefits'   =>  [
            'name' => 'benefits',
            'route' => 'benefit.list',
            'icon' => '<i class="bi-basket3-fill"></i>',
            'value' => 'Unlimited',
            'sort_order' => 4,
            'resettable_period' => 0,
            'resettable_interval' => 'month'
        ],
//        'merchants'   =>  [
//            'name' => 'merchants',
//            'route' => 'banks.list',
//            'icon' => '<i class="bi-cash-stack"></i>',
//            'value' => 'Unlimited',
//            'sort_order' => 14,
//            'resettable_period' => 0,
//            'resettable_interval' => 'month'
//        ],
        'cases'   =>  [
            'name' => 'cases',
            'route' => 'case.list',
            'icon' => '<i class="bi-list-task"></i>',
            'value' => 'Unlimited',
            'sort_order' => 5,
            'resettable_period' => 0,
            'resettable_interval' => 'month'
        ],
        'announcements'   =>  [
            'name' => 'announcements',
            'route' => 'announcement.list',
            'icon' => '<i class="bi-newspaper"></i>',
            'value' => 'Unlimited',
            'sort_order' => 7,
            'resettable_period' => 0,
            'resettable_interval' => 'month'
        ],
    ],
    'plan_features' =>  [
        'client_portal'   =>  [
            'name' => 'client_portal',
            'route' => null,
            'icon' => '<i class="bi-clipboard-check"></i>',
            'value' => 0,
            'sort_order' => 6,
            'resettable_period' => 0,
            'resettable_interval' => 'month'
        ],
        'surveys'   =>  [
            'name' => 'surveys',
            'route' => 'survey.list',
            'icon' => '<i class="bi-bounding-box"></i>',
            'value' => 'Unlimited',
            'sort_order' => 8,
            'resettable_period' => 0,
            'resettable_interval' => 'month'
        ],
//        'teams'   =>  [
//            'name' => 'teams',
//            'route' => 'team.list',
//            'icon' => '<i class="bi-people-fill"></i>',
//            'value' => 'Unlimited',
//            'sort_order' => 9,
//            'resettable_period' => 0,
//            'resettable_interval' => 'month'
//        ],
        'payments_integration'   =>  [
            'name' => 'payments_integration',
            'route' => 'payments_integration',
            'icon' => '<i class="bi-cash"></i>',
            'value' => 0,
            'sort_order' => 10,
            'resettable_period' => 0,
            'resettable_interval' => 'month'
        ],
        'partners'   =>  [
            'name' => 'partners',
            'route' => 'partner.list',
            'icon' => '<i class="bi-diagram-3-fill"></i>',
            'value' => 'Unlimited',
            'sort_order' => 13,
            'resettable_period' => 0,
            'resettable_interval' => 'month'
        ],
        'households'   =>  [
            'name' => 'households',
            'route' => 'household.list',
            'icon' => '<i class="bi-house-door"></i>',
            'value' => 'Unlimited',
            'sort_order' => 11,
            'resettable_period' => 0,
            'resettable_interval' => 'month'
        ],
//        'programs'   =>  [
//            'name' => 'programs',
//            'route' => 'program.list',
//            'icon' => '<i class="bi-journals"></i>',
//            'value' => 'Unlimited',
//            'sort_order' => 12,
//            'resettable_period' => 0,
//            'resettable_interval' => 'month'
//        ],
        'mobile_app'   =>  [
            'name' => 'mobile_app',
            'route' => 'mobile_app',
            'icon' => '<i class="bi-phone-fill"></i>',
            'value' => 0,
            'sort_order' => 15,
            'resettable_period' => 0,
            'resettable_interval' => 'month'
        ],
        'biometric_integration'   =>  [
            'name' => 'biometric_integration',
            'route' => 'biometric_integration',
            'icon' => '<i class="bi-hr"></i>',
            'value' => 0,
            'sort_order' => 16,
            'resettable_period' => 0,
            'resettable_interval' => 'month'
        ],
    ],
    'reporting_plan_features' =>  [
        'basic_reporting'   =>  [
            'name' => 'basic_reporting',
            'route' => 'basic_reporting',
            'icon' => '<i class="bi-bar-chart-line-fill"></i>',
            'value' => 0,
            'sort_order' => 20,
            'resettable_period' => 0,
            'resettable_interval' => 'month'
        ],
        'professional_reporting'   =>  [
            'name' => 'basic_reporting',
            'route' => 'basic_reporting',
            'icon' => '<i class="bi-bar-chart-line-fill"></i>',
            'value' => 0,
            'sort_order' => 20,
            'resettable_period' => 0,
            'resettable_interval' => 'month'
        ],
        'premium_reporting'   =>  [
            'name' => 'premium_reporting',
            'route' => 'premium_reporting',
            'icon' => '<i class="bi-bar-chart-line-fill"></i>',
            'value' => 0,
            'sort_order' => 21,
            'resettable_period' => 0,
            'resettable_interval' => 'month'
        ],
    ],
    'support_plan_features' =>  [
        'basic_support'   =>  [
            'name' => 'basic_support',
            'route' => 'basic_support',
            'icon' => '<i class="bi-headset"></i>',
            'value' => 0,
            'sort_order' => 17,
            'resettable_period' => 0,
            'resettable_interval' => 'month'
        ],
        'professional_support'   =>  [
            'name' => 'professional_support',
            'route' => 'professional_support',
            'icon' => '<i class="bi-headset"></i>',
            'value' => 0,
            'sort_order' => 18,
            'resettable_period' => 0,
            'resettable_interval' => 'month'
        ],
        'premium_support'   =>  [
            'name' => 'premium_support',
            'route' => 'premium_support',
            'icon' => '<i class="bi-headset"></i>',
            'value' => 0,
            'sort_order' => 19,
            'resettable_period' => 0,
            'resettable_interval' => 'month'
        ],
    ],

    'languages' => [
        'English'   =>  'en',
        'French'    =>  'fr'
    ],
    'applicant_ref_gen' =>  [
        'place_of_birth'    =>  'Place of birth',
        'dob'    =>  'Date of birth',
        'gender'    =>  'Gender',
        'id'    =>  'Primary ID',
        'random'    =>  'Random',
    ],
    'applicant_ref_gen_limit' =>  [
        'place_of_birth'    =>  9,
        'dob'    =>  8,
        'gender'    =>  1,
        'id'    =>  9,
        'random'    =>  9,
    ],
    'user_type' =>  'administrator','owner','user',
    'education_level'  =>  [
        'None',
        'Kindergaten',
        'Standard 1',
        'Standard 2',
        'Standard 3',
        'Standard 4',
        'Standard 5',
        'Standard 6',
        'Standard 7',
        'Standard 8',
        'Form 1',
        'Form 2',
        'Form 3',
        'Complete Post Secondary'

    ],
    'learning_statuses' =>['Never went to school', 'At school', 'Left School'],
    'hse_condition'=>['Poor', 'Very Poor', 'Fair'],
    
];
