<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('application_approvals', function (Blueprint $table) {
            $table->foreignIdFor(\App\Models\Deployment::class, 'instance_id')->after('id');
        });
        Schema::table('application_declines', function (Blueprint $table) {
            $table->foreignIdFor(\App\Models\Deployment::class, 'instance_id')->after('id');
        });
        Schema::table('applications_processing', function (Blueprint $table) {
            $table->foreignIdFor(\App\Models\Deployment::class, 'instance_id')->after('id');
        });
        Schema::table('application_comments', function (Blueprint $table) {
            $table->foreignIdFor(\App\Models\Deployment::class, 'instance_id')->after('id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('application_approvals', function (Blueprint $table) {
            $table->dropColumn(['instance_id']);
        });
        Schema::table('application_declines', function (Blueprint $table) {
            $table->dropColumn(['instance_id']);
        });
        Schema::table('applications_processing', function (Blueprint $table) {
            $table->dropColumn(['instance_id']);
        });
        Schema::table('application_comments', function (Blueprint $table) {
            $table->dropColumn(['instance_id']);
        });
    }
};
