<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('merchant_branches', function (Blueprint $table) {
            $table->id();
            $table->foreignIdFor(\App\Models\Merchant::class);
            $table->foreignIdFor(\App\Models\Country::class);
            $table->string('name');
            $table->string('routing_number')->nullable();
            $table->text('services')->nullable();
            $table->string('email')->nullable();
            $table->text('contact')->nullable();
            $table->bigInteger('location_id')->nullable();
            $table->text('address')->nullable();
            $table->text('website')->nullable();
            $table->boolean('status')->default(true);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('merchant_branches');
    }
};
