<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('counties', function (Blueprint $table) {
            $table->foreignIdFor(\App\Models\Region::class)->after('id');
            $table->string('system',255)->after('county');
            $table->string('state',255)->nullable()->change();
            $table->string('area',255)->nullable()->change();
            $table->string('capital',255)->nullable()->change();
            $table->boolean('status')->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('counties', function (Blueprint $table) {
            $table->dropColumn('region_id');
            $table->string('state',255)->change();
            $table->string('area',255)->change();
            $table->string('capital',255)->change();
            $table->boolean('status')->nullable()->change();
        });
    }
};
