/******/ (() => { // webpackBootstrap
    /******/ 	"use strict";
    var __webpack_exports__ = {};

    var KTDatatablesDataSourceAjaxServer = function() {

        var application_list = function() {
            var table = $('#myDataTable_no_filter').addClass('nowrap');

            // begin first table
            table.DataTable({
                pageLength: 100,
                // Order settings
                "searching": false,
                order: [[3, 'desc']],
                dom: 'Bfrtip',
                buttons: [
                    {
                        extend: 'excelHtml5', footer: true,
                        title: 'List of Applications',
                        messageTop: '',
                        exportOptions: {
                            columns: ':not(:last-child)',
                        }
                    },
                    {
                        extend: 'print',
                        title: 'List of Applications',
                        messageTop: '',
                        customize: function ( win ) {
                            $(win.document.body)
                                .css( 'font-size', '10pt' );

                            $(win.document.body).find( 'table' )
                                .addClass( 'table' ).addClass( 'table-bordered' )
                                .css( 'font-size', 'inherit' );
                        },
                        exportOptions: {
                            columns: ':not(:last-child)',
                        }
                    }
                ],
                columnDefs : [{'targets':3}],
                fnRowCallback: function( nRow, aData, iDisplayIndex, iDisplayIndexFull ) {
                    $('td:eq(0)', nRow).html(iDisplayIndexFull +1);
                },
                // "scrollY": 600,
                // "scrollX": true,
                responsive: false,
                processing: true,
                serverSide: true,
                ajax:APPLICATIONS_AJAX,
                columns: [
                    {data: 'id',searchable: false, orderable:false},
                    {data: 'application_id'},
                    // {data: 'applicant_number'},
                    {data: 'form_id'},
                    {data: 'created_at'},
                    // {data: 'progress'},
                    {data: 'status'},
                    // {data: 'bci_account_numbers'},
                    // {data: 'responsible_role'},
                    {data: 'action',name: 'action', searchable: false, orderable:false,width: "200px"},
                ],
            });
        };

        return {

            //main function to initiate the module
            init: function() {
                application_list();
                var tooltipTriggerList = [].slice.call(document.querySelectorAll('[data-bs-toggle="tooltip"]'))
                var tooltipList = tooltipTriggerList.map(function (tooltipTriggerEl) {
                    return new bootstrap.Tooltip(tooltipTriggerEl)
                })
            },

        };

    }();

    jQuery(document).ready(function() {
        KTDatatablesDataSourceAjaxServer.init();
    });

    /******/ })()
;
