/******/ (() => { // webpackBootstrap
    /******/ 	"use strict";
    var __webpack_exports__ = {};

    var KTDatatablesDataSourceAjaxServer = function() {

        var application_list = function() {
            var table = $('#cases_list').addClass('nowrap');

            // begin first table
            table.DataTable({
                pageLength: 50,
                // Order settings
                order: [[3, 'desc']],
                dom: 'Bfrtip',
                buttons: [
                    {
                        extend: 'excelHtml5', footer: true,
                        title: 'List of Cases',
                        messageTop: '',
                        exportOptions: {
                            columns: ':not(:last-child)',
                        }
                    },
                    {
                        extend: 'print',
                        title: 'List of Cases',
                        messageTop: '',
                        customize: function ( win ) {
                            $(win.document.body)
                                .css( 'font-size', '10pt' );

                            $(win.document.body).find( 'table' )
                                .addClass( 'table' ).addClass( 'table-bordered' )
                                .css( 'font-size', 'inherit' );
                        },
                        exportOptions: {
                            columns: ':not(:last-child)',
                        }
                    }
                ],
                fnRowCallback: function( nRow, aData, iDisplayIndex, iDisplayIndexFull ) {
                    $('td:eq(0)', nRow).html(iDisplayIndexFull +1);
                },
                // "scrollY": 600,
                // "scrollX": true,
                responsive: true,
                processing: true,
                serverSide: true,
                ajax:APPLICATIONS_AJAX,
                columns: [
                    {data: 'id',name: 'id'},
                    {data: 'title',name: 'title'},
                    {data: 'severity',name: 'severity'},
                    {data: 'created_at',name: 'created_at'},
                    {data: 'stage',name: 'stage'},
                    {data: 'action',name: 'action', searchable: false, orderable:false,width: "200px"},
                ],
            });
        };

        var archive_list = function() {
            var table = $('#cases_archived_list');

            // begin first table
            table.DataTable({
                pageLength: 50,
                // Order settings
                order: [[3, 'desc']],
                dom: 'Bfrtip',
                buttons: [
                    {
                        extend: 'excelHtml5', footer: true,
                        title: 'Archived Cases',
                        messageTop: '',
                        exportOptions: {
                            columns: ':not(:last-child)',
                        }
                    },
                    {
                        extend: 'print',
                        title: 'Archived Cases',
                        messageTop: '',
                        customize: function ( win ) {
                            $(win.document.body)
                                .css( 'font-size', '10pt' );

                            $(win.document.body).find( 'table' )
                                .addClass( 'table' ).addClass( 'table-bordered' )
                                .css( 'font-size', 'inherit' );
                        },
                        exportOptions: {
                            columns: ':not(:last-child)',
                        }
                    }
                ],
                fnRowCallback: function( nRow, aData, iDisplayIndex, iDisplayIndexFull ) {
                    $('td:eq(0)', nRow).html(iDisplayIndexFull +1);
                },
                // "scrollY": 600,
                // "scrollX": true,
                responsive: true,
                processing: true,
                serverSide: true,
                ajax:APPLICATIONS_AJAX_,
                columns: [
                    {data: 'id',name: 'id'},
                    {data: 'title',name: 'title'},
                    {data: 'severity',name: 'severity'},
                    {data: 'created_at',name: 'created_at'},
                    {data: 'stage',name: 'stage'},
                    {data: 'action',name: 'action', searchable: false, orderable:false,width: "200px"},
                ],
            });
        };

        return {

            //main function to initiate the module
            init: function() {
                application_list();
                archive_list();
                var tooltipTriggerList = [].slice.call(document.querySelectorAll('[data-bs-toggle="tooltip"]'))
                var tooltipList = tooltipTriggerList.map(function (tooltipTriggerEl) {
                    return new bootstrap.Tooltip(tooltipTriggerEl)
                })
            },

        };

    }();

    jQuery(document).ready(function() {
        KTDatatablesDataSourceAjaxServer.init();
    });

    /******/ })()
;
