/******/ (() => { // webpackBootstrap
    /******/ 	"use strict";
    var __webpack_exports__ = {};

    var KTDatatablesDataSourceAjaxServer = function() {

        var application_list = function() {
            var table = $('#myDataTable_no_filter').addClass('nowrap');

            // begin first table
            table.DataTable({
                pageLength: 100,
                // Order settings
                order: [[1, 'desc']],
                dom: 'Bfrtip',
                buttons: [
                    {
                        extend: 'excelHtml5', footer: true,
                        title: 'Applicants',
                        messageTop: '',
                        exportOptions: {
                            columns: ':not(:last-child)',
                        }
                    },
                    {
                        extend: 'print',
                        title: 'Applicants',
                        messageTop: '',
                        customize: function ( win ) {
                            $(win.document.body)
                                .css( 'font-size', '10pt' );

                            $(win.document.body).find( 'table' )
                                .addClass( 'table' ).addClass( 'table-bordered' )
                                .css( 'font-size', 'inherit' );
                        },
                        exportOptions: {
                            columns: ':not(:last-child)',
                        }
                    }
                ],
                columnDefs : [{
                    targets: 4,
                    className: 'text-right'
                }],
                fnRowCallback: function( nRow, aData, iDisplayIndex, iDisplayIndexFull ) {
                    $('td:eq(0)', nRow).html(iDisplayIndexFull +1);
                },
                // "scrollY": 600,
                "scrollX": false,
                responsive: false,
                searching: true,
                processing: true,
                serverSide: true,
                ajax:APPLICATIONS_AJAX,
                columns: [
                    {data: 'id',searchable: false, orderable:false},
                    {data: 'reference_id',name: 'reference_id'},
                    // {data: 'head',name: 'head'},
                    // {data: 'type',name: 'type'},
                    {data: 'tenure',name: 'tenure'},
                    // {data: 'area',name: 'area'},
                    {data: 'members',name: 'members'},
                    // {data: 'location',name: 'location'},
                    {data: 'action',name: 'action', searchable: false, orderable:false,width: "80px"},
                ],
            });
        };

        return {

            //main function to initiate the module
            init: function() {
                application_list();
            },

        };

    }();

    jQuery(document).ready(function() {
        KTDatatablesDataSourceAjaxServer.init();
    });

    /******/ })()
;
