function blockUI(message='Please Wait..', selector='.app-content') {
    let element = $(selector);
    $(element).block({
        message: '<div class="ft-refresh-cw icon-spin font-medium-2"></div><h5>'+ message +'</h5>',
        overlayCSS: {
            backgroundColor: '#fff',
            opacity: 0.8,
            cursor: 'wait'
        },
        css: {
            border: 0,
            padding: 0,
            backgroundColor: 'transparent'
        }
    });
}

function unblockUI(selector='.app-content') {
    $(selector!==null?selector:'.app-content').unblock();
}

function blockSelect(selector) {
    $(selector).parent().block({
        message: '<div class="ft-refresh-cw icon-spin font-medium-2"></div><h5></h5>',
        overlayCSS: {
            backgroundColor: '#fff',
            opacity: 0.8,
            cursor: 'wait'
        },
        css: {
            border: 0,
            padding: 0,
            backgroundColor: 'transparent'
        }
    });
}

function unblockSelect(selector) {
    $(selector).parent().unblock();
}


function notify(title, message, type, align) {
    toastr.clear();
    toastr[type](message, title, {positionClass: 'toast-top-'+align, "showMethod": "slideDown", "hideMethod": "slideUp", timeOut: 8000,});
}

function numberFormat(number) {
    return number.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");
}

function editFAQ(id){
    // alert();
    $.get($('#page-edit-faq-'+id).attr('data-fetch-url'))
        .then(function (response) {
            $('#page_question').val(response.question);
            $('#update_faq').html('<input type="hidden" name="update_faq" value="'+id+'">');
            $('.update_faq_btn').html('Update FAQ Details');
            //$('#page_content').val(response.answer);
            CKEDITOR.instances['page_content'].setData(response.answer)
        });
}

function delFAQ(id){

    Swal.fire({
        title: "Confirm FAQ Details Deletion !",
        text: "Are you sure you want to delete ?",
        icon: "warning",
        showCancelButton: true,
        confirmButtonColor: '#3085d6',
        cancelButtonColor: '#d33',
        confirmButtonText: 'Yes, delete it!'
    }).then(result => {
        if (result.isConfirmed) {
            $.get($('#page-delete-faq-'+id).attr('data-fetch-url'))
                .then(function (response) {
                    Swal.fire(
                        'Deleted!',
                        'Your file has been deleted.',
                        'success'
                    )
                    if (response.success) {
                        window.location.href = response.route;
                    }
                }).catch(function (error) {
                notify('Oops!', error.response.data.message, 'error', 'right')
            });
        } else {

        }
    });
}
