<x-app-layout>
    @push('last-css')
        <link rel="stylesheet" href="{{asset('assets/cssbundle/summernote.min.css')}}"/>
    @endpush
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary"
                                           href="{{ route('dashboard') }}">@lang('dashboard.dashboard')</a></li>
            <li class="breadcrumb-item"><a class="text-secondary"
                                           href="{{route('announcement.list')}}">@lang('announcement-post.announcements')</a>
            </li>
            <li class="breadcrumb-item active"
                aria-current="page">@lang('announcement-post.'.$action.'-announcement')</li>
        </ol>
    </x-slot>
    <!-- start: page toolbar -->
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto page-header-title">
                <h1 class="color-900 mt-1 mb-0">@lang('announcement-post.'.$action.'-announcement')</h1>
                <small class="text-muted">You have 12 new messages and 7 new announcements.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
            </div>
        </div> <!-- .row end -->
    </x-slot>

    <!-- start: page body -->
    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg- py- mt-0 mt-lg-">
        <div class="container-fluid">
            @component('components.announcement')@endcomponent

            @include('announcement.preview')
        </div>
    </div>
    <!--end::Row-->
    @push('scripts')
    @endpush
</x-app-layout>
