@if(!isset($details))
    <form action="{{ route('applicant.updateApplicantRecord') }}" method="POST" enctype='multipart/form-data' id="record_update_form">
        @csrf
        <input type="hidden" name="form_type" value="{{$request->table}}">
        @method('PUT')
        <input type="hidden" name="id" value="{{cryptThis($accountDetail->applicant->id)}}">
        <input type="hidden" name="record_id" value="{{cryptThis($request->record)}}">

        <div class="modal-body custom_scroll p-lg-3">
            <div class="row">
                <div class="col-md-12 mb-2">
                    <div class="form-floating">
                        <select class="form-select" style="width: 100%; " onchange="getMerchantsTypes()" required name="country" id="merchant_country">
                            <option value="">-- {{__('Choose')}} --</option>
                            @foreach(getMerchantCountries() as $key=>$name)
                                <option value="{{$name['id']}}" @selected($accountDetail->country_id == $name['id'])>{{$name['country']}}</option>
                            @endforeach
                        </select>
                        <label for="merchant_country">{{ __("Country") }}  <span class="required">*</span></label>
                    </div>
                    @if ($errors->has('country'))
                        <span class="form-text text-danger" role="alert">
                                    <strong>{{ $errors->first('country') }}</strong>
                                </span>
                    @endif
                </div>
                <div class="col-md-12 mb-2">
                    <div class="form-floating">
{{--                        @php--}}
{{--                            $getTypes = getMerchantTypesByCountry($accountDetail->country_id);--}}
{{--                            $merchType = $getTypes['type'];--}}
{{--                            dd($merchType);--}}
{{--                            dd(getMerchantTypesOnlyByCountry($accountDetail->country_id));--}}
{{--                        @endphp--}}
                        <select class="form-select" style="width: 100%;" required onchange="getMerchants()" name="account_type" id="account_type">
                            <option value="">-- {{__('Choose')}} --</option>
{{--                            @foreach(getMerchantTypesOnlyByCountry($accountDetail->country_id) as $key=>$name)--}}

{{--                                <option value="{{$key}}" @selected($accountDetail->account_type_id == $key)>{{$name}}</option>--}}
{{--                            @endforeach--}}
                        </select>
                        <label for="account_type">{{ __("Merchant Type") }}  <span class="required">*</span></label>
                    </div>
                    @if ($errors->has('account_type'))
                        <span class="form-text text-danger" role="alert">
                                    <strong>{{ $errors->first('account_type') }}</strong>
                                </span>
                    @endif
                </div>
                
                <div class="col-md-12 mb-2">
                    <div class="form-floating">
                        <select class="form-select select" onchange="getMerchantBranches()" disabled required style="width: 100%; " name="bank_name" id="bank_name">
                            <option value="">-- {{__('Choose')}} --</option>
{{--                            @foreach(getMerchants() as $key=>$name)--}}
{{--                                <option value="{{$key}}" {{ (old('bank_name') == $key)?'selected':'' }}>{{$name}}</option>--}}
{{--                            @endforeach--}}
                        </select>
                        <label for="bank_name">{{ __("Merchant Name") }}  <span class="required">*</span></label>
                    </div>
                    @if ($errors->has('bank_name'))
                        <span class="form-text text-danger" role="alert">
                                    <strong>{{ $errors->first('bank_name') }}</strong>
                                </span>
                    @endif
                </div>
                <div class="col-md-12 mb-2">
                    <div class="form-floating">
                        <select class="form-select" style="width: 100%; " name="branch" disabled required id="branch">
                            <option value="">-- {{__('Choose Branch')}} --</option>
                        </select>
                        <label for="branch">{{ __("Merchant Branch") }}  <span class="required">*</span></label>
                    </div>
                    @if ($errors->has('branch'))
                        <span class="form-text text-danger" role="alert">
                                    <strong>{{ $errors->first('branch') }}</strong>
                                </span>
                    @endif
                </div>
                <div class="col-md-12 mb-2">
                    <div class="form-floating">
                        <input type="text" required placeholder="Account Number" name="account_number" id="account_number"
                               class="form-control" value="{{$accountDetail->account_number}}">
                        <label for="account_number">{{ __("Account Number") }}  <span class="required">*</span></label>
                    </div>
                    @if ($errors->has('account_number'))
                        <span class="form-text text-danger" role="alert">
                                    <strong>{{ $errors->first('account_number') }}</strong>
                                </span>
                    @endif
                </div>
                <div class="col-md-12 mb-2">
                    <div class="form-floating">
                        <input type="text" required name="account_holder_name" placeholder="Account Owner" id="account_holder_name"
                               class="form-control" value="{{$accountDetail->account_holder_name}}">
                        <label for="account_holder_name">{{ __("Account Owner") }}  <span class="required">*</span></label>
                    </div>
                    @if ($errors->has('account_holder_name'))
                        <span class="form-text text-danger" role="alert">
                                    <strong>{{ $errors->first('account_holder_name') }}</strong>
                                </span>
                    @endif
                </div>
                <div class="col-md-12 mb-2">
                    <label for="bank_name">{{ __("Proof Of Account") }}</label>
                    <input type="file" name="upload_account" id="upload_account" class="form-control">
                    @if ($errors->has('upload_account'))
                        <span class="form-text text-danger" role="alert">
                                    <strong>{{ $errors->first('upload_account') }}</strong>
                                </span>
                    @endif
                </div>
            </div>
        </div>
        <div class="card-footer text-end p-lg-3 text-uppercase">
            <x-cancel class="ml-3"></x-cancel>
            <x-submit class="ml-3"></x-submit>
        </div>
    </form>
@else
    <div class="modal-body custom_scroll p-lg-3">
    <div class="row">
        <div class="col-md-7">
            <div class="table-responsive border-top">
                <table class="table card-table table-sm table-nowrap mb-0">
                    <tbody>
                    <tr>
                        <td style="width: 150px;font-weight: bolder">{{ __('Branch Name') }}</td>
                        <td>{{$accountDetail->bank_branch}}</td>
                    </tr>
                    <tr>
                        <td style="width: 150px;font-weight: bolder">{{ __('Bank Swift Code') }}</td>
                        <td>{{$accountDetail->bank_swift_code}}</td>
                    </tr>
                    <tr>
                        <td style="width: 150px;font-weight: bolder">{{ __('Account Number') }}</td>
                        <td>{{$accountDetail->account_number}}</td>
                    </tr>
                    <tr>
                        <td style="width: 150px;font-weight: bolder">{{ __('Account Holder Name') }}</td>
                        <td>{{$accountDetail->account_holder_name}}</td>
                    </tr>
                    <tr>
                        <td style="width: 150px;font-weight: bolder">{{ __('Account Document') }}</td>
                        <td>
                            <a target="_blank" href="{{ route('download-file',['file_path'=>$accountDetail->upload_account]) }}"><i class="fa fa-download"></i> {{ __('Download') }}</a>
                        </td>
                    </tr>
                    </tbody>
                </table>
            </div>
        </div>
        <div class="col-md-5">
            <iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d3970.5159830179446!2d-0.16043498467464248!3d5.638210234383498!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0xfdf8356b7d30b7f%3A0x3693ea245b59dd1a!2sBewsys!5e0!3m2!1sen!2sgh!4v1646836146937!5m2!1sen!2sgh" width="100%" height="450" style="border:0;" allowfullscreen="" loading="lazy"></iframe>
        </div>
    </div>
    </div>
@endif
