@if(!isset($details))

    @if($action == 'edit')
        <form action="{{ route('applicant.updateApplicantRecord') }}" method="post" enctype="multipart/form-data">
            <div class="modal-body custom_scroll p-lg-3">
                @csrf @method('PUT')
                <input type="hidden" name="id" value="{{cryptThis($contactDetail->applicant->id)}}">
                <input type="hidden" name="record_id" value="{{cryptThis($contactDetail->id)}}">
                <input type="hidden" value="contact_details" name="form_type">
                <div class="row">
                    <div class="col-md-12 mb-2">
                        <div class="form-floating">
                            <select required class="form-select" onchange="resident()" style="width: 100%; " name="type" id="contact_type">
                                <option value="">-- {{__('Choose')}} --</option>
                                @foreach(getContactTypes() as $id=>$name)
                                    <option value="{{$id}}" @if($contactDetail->type == $id) selected @endif>{{$name}}</option>
                                @endforeach
                            </select>
                            <label for="type">Type <span class="required">*</span></label>
                        </div>
                        @if ($errors->has('type'))
                            <span class="text-form text-danger" role="alert">
                                                <strong>{{ $errors->first('type') }}</strong>
                                            </span>
                        @endif
                    </div>
                    <div class="col-md-12 mb-2 hidden pos_res">
                        <div class="form-floating">
                            <select required class="form-select select" style="width: 100%; " onchange="getContactStates()" name="contact_country" id="contact_country">
                                <option value="">-- {{__('Choose')}} --</option>
                                @foreach(getCountries() as $key=>$country)
                                    <option value="{{$country['id']}}" @selected($country['id'] == $contactDetail->country)>{{ $country['country_name'] }}</option>
                                @endforeach
                            </select>
                            <label for="contact_country">Country <span class="required">*</span></label>
                        </div>
                        @if ($errors->has('contact_country'))
                            <span class="text-form text-danger" role="alert">
                                    <strong>{{ $errors->first('contact_country') }}</strong>
                                </span>
                        @endif
                    </div>
                    <div class="col-md-12 mb-2 hidden pos_res">
                        <div class="form-floating">
                            <select required class="form-select select" disabled style="width: 100%;" name="contact_region" id="contact_region"
                                    onchange="getContactCities()">
                                <option value="">-- {{__('Choose')}} --</option>
                                @foreach(getStates($contactDetail->country) as $key=>$state)
                                    <option value="{{$state['id']}}" @selected($state['id'] == $contactDetail->region)>{{ $state['name'] }}</option>
                                @endforeach
                            </select>
                            <label for="contact_region" id="contact_country_system">Location <span class="required">*</span></label>
                        </div>
                        @if ($errors->has('contact_region'))
                            <span class="text-form text-danger" role="alert">
                                    <strong>{{ $errors->first('contact_region') }}</strong>
                                </span>
                        @endif
                    </div>
                    <div class="col-md-12 mb-2 hidden pos_res">
                        <div class="form-floating">
                            <select required class="form-select select" disabled style="width: 100%;" name="contact_city" id="contact_city">
                                <option value="">-- {{__('Choose')}} --</option>
                                @foreach(getCounties($contactDetail->region) as $key=>$city)
                                    <option value="{{$city['id']}}" @selected($city['id'] == $contactDetail->city)>{{ $city['name'] }}</option>
                                @endforeach
                            </select>
                            <label for="contact_city" id="contact_state_system">Location <span class="required">*</span></label>
                        </div>
                        @if ($errors->has('contact_city'))
                            <span class="text-form text-danger" role="alert">
                                    <strong>{{ $errors->first('contact_city') }}</strong>
                                </span>
                        @endif
                    </div>
                    <div class="col-md-12 mb-2 hidden postal">
                        <div class="form-floating">
                            <input type="text" class="form-control" style="" name="postal_address" id="postal_address">
                            <label for="postal_address">{{ __('Postal Address') }}</label>
                        </div>
                        @if ($errors->has('postal_address'))
                            <span class="text-form text-danger" role="alert">
                                                <strong>{{ $errors->first('postal_address') }}</strong>
                                            </span>
                        @endif
                    </div>
                    <div class="col-md-12 mb-2 hidden pos_res">
                        <div class="form-floating">
                            <input type="text" class="form-control" style="" value="{{$contactDetail->village}}" name="village" id="village">
                            <label for="village">{{ __('Village') }}</label>
                        </div>
                        @if ($errors->has('village'))
                            <span class="text-form text-danger" role="alert">
                                    <strong>{{ $errors->first('village') }}</strong>
                                </span>
                        @endif
                    </div>
                    <div class="col-md-12 mb-2 hidden residential">
                        <div class="form-floating">
                            <input type="text" class="form-control" style="" value="{{$contactDetail->address}}" name="house_address" id="house_address">
                            <label for="house_address">{{ __('House Address') }}</label>
                        </div>
                        @if ($errors->has('house_address'))
                            <span class="text-form text-danger" role="alert">
                                    <strong>{{ $errors->first('house_address') }}</strong>
                                </span>
                        @endif
                    </div>
                    <div class="col-md-12 mb-2 hidden residential">
                        <div class="form-floating">
                            <input type="text" class="form-control" style="" name="landmark" value="{{$contactDetail->landmark}}" id="landmark">
                            <label for="landmark">{{ __('Landmark') }}</label>
                        </div>
                        @if ($errors->has('landmark'))
                            <span class="text-form text-danger" role="alert">
                                    <strong>{{ $errors->first('landmark') }}</strong>
                                </span>
                        @endif
                    </div>
                    <div class="col-md-12 mb-2 hidden residential">
                        <div class="form-floating">
                            <input type="file" name="upload_residency" id="upload_residency" class="form-control">
                            <label for="upload_residency">Proof of Residency</label></label>
                        </div>
                        @if ($errors->has('upload_residency'))
                            <span class="text-form text-danger" role="alert">
                                                <strong>{{ $errors->first('upload_residency') }}</strong>
                                            </span>
                        @endif
                    </div>
                    <div class="col-md-12 mb-2 hidden telephone">
                        <div class="form-floating">
                            <input type="text" class="form-control" required style="" value="{{$contactDetail->mobile}}" name="mobile" id="mobile">
                            <label for="mobile">{{ __("Mobile") }} <span class="required">*</span></label>
                        </div>
                        @if ($errors->has('mobile'))
                            <span class="text-form text-danger" role="alert">
                                                <strong>{{ $errors->first('mobile') }}</strong>
                                            </span>
                        @endif
                    </div>
                    <div class="col-md-12 mb-2 hidden email">
                        <div class="form-floating">
                            <input type="email" class="form-control" style="" value="{{$contactDetail->email}}" name="email" id="email">
                            <label for="email">{{ __("Email") }}</label>
                        </div>
                        @if ($errors->has('email'))
                            <span class="text-form text-danger" role="alert">
                                                <strong>{{ $errors->first('email') }}</strong>
                                            </span>
                        @endif
                    </div>

                    @if(auth()->user()->is_admin)
                        <div class="col-md-12 mb-2 hidden household">
                            <div class="form-floating">
                                <input type="text" class="form-control" style="" name="household_number" value="{{$contactDetail->household_number}}" id="household_number">
                                <label for="household_number">{{ __("Household Number") }}</label>
                            </div>
                            @if ($errors->has('household_number'))
                                <span class="text-form text-danger" role="alert">
                                                <strong>{{ $errors->first('household_number') }}</strong>
                                            </span>
                            @endif
                        </div>
                        <div class="col-md-12 mb-2 hidden household">
                            <div class="form-floating">
                                <select class="form-select" style="width: 100%; " name="is_household_head" id="is_household_head">
                                    <option value="0" @selected(0 == $contactDetail->is_household_head)>No</option>
                                    <option value="1" @selected(1 == $contactDetail->is_household_head)>Yes</option>
                                </select>
                                <label for="is_household_head">Is Household Head?</label>
                            </div>
                            @if ($errors->has('is_household_head'))
                                <span class="text-form text-danger" role="alert">
                                                <strong>{{ $errors->first('is_household_head') }}</strong>
                                            </span>
                            @endif
                        </div>
                    @endif
                </div>
            </div>
            <div class="card-footer text-end p-lg-3 text-uppercase">
                <x-cancel class="ml-3"></x-cancel>
                <x-submit class="ml-3"></x-submit>
            </div>
        </form>
    @else
        <div class="modal-body custom_scroll p-lg-3">
            <form action="{{ route('applicant.updateApplicantRecord') }}" method="POST" enctype='multipart/form-data' id="form">
                @csrf
                @method('PUT')
                <input type="hidden" name="form_type" value="contact_details">
                <input type="hidden" name="id" value="{{cryptThis($contactDetail->applicant->id)}}">
                <input type="hidden" name="record_id" value="{{cryptThis($contactDetail->id)}}">
                <input type="hidden" name="request_delete" value="true">

                <div class="row mb-4">
                    <div class="col-12 mb-2 mt-4 text-center">
                        <h5>Are you sure you want to remove this record?</h5>
                        <span class="text-muted p-3" style="font-size: 60px;">
                            <i class="fa fa-trash-o"></i>
                        </span>
                        <p class="text-muted">This record will be loss permanently.</p>
                    </div>
                </div>

    {{--            @include('applicant.applicant-form.reason-evidence-fields')--}}

                <div class="col-12 text-end mt-3 text-uppercase">
                    <x-cancel class="ml-3"></x-cancel>
                    <x-submit class="ml-3"></x-submit>
                </div>
            </form>
        </div>
    @endif
@else

    <div class="modal-body custom_scroll p-lg-3">
        <div class="row">
            <div class="col-md-7">
                <table class="table card-table table-nowrap table-sm mb-0">
                    <tbody>
                    <tr>
                        <td style="width: 150px;font-weight: bolder">{{ __('Mobile') }}</td>
                        <td>{{$contactDetail->mobile}}</td>
                    </tr>
                    <tr>
                        <td style="width: 150px;font-weight: bolder">{{ __('Telephone') }}</td>
                        <td>  {{$contactDetail->telephone}}</td>
                    </tr>
                    <tr>
                        <td style="width: 150px;font-weight: bolder">{{ __('Email') }}</td>
                        <td> {{$contactDetail->email}}</td>
                    </tr>
                    <tr>
                        <td style="width: 150px;font-weight: bolder">{{ __('Postal Address') }}</td>
                        <td> {{$contactDetail->postal_address}}</td>
                    </tr>
                    <tr>
                        <td style="width: 150px;font-weight: bolder">{{ __('Residence Address') }}</td>
                        <td> {{$contactDetail->address}}</td>
                    </tr>
                    <tr>
                        <td style="width: 150px;font-weight: bolder">{{ __('Island') }}</td>
                        <td> {{$contactDetail->island}}</td>
                    </tr>
                    <tr>
                        <td style="width: 150px;font-weight: bolder">{{ __('Proof of Residence') }}</td>
                        <td>
                            @if($contactDetail->upload_residency != null)
                                <a target="_blank" href="{{ route('download-file',['file_path'=>$contactDetail->upload_residency]) }}"><i class="fa fa-download"></i> {{ __('Download') }}</a>
                            @else
                                <span class="text-muted">{{ __('No File uploaded.') }}</span>
                            @endif
                        </td>
                    </tr>
                    </tbody>
                </table>
            </div>
            <div class="col-md-5">
                <iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d3970.5159830179446!2d-0.16043498467464248!3d5.638210234383498!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0xfdf8356b7d30b7f%3A0x3693ea245b59dd1a!2sBewsys!5e0!3m2!1sen!2sgh!4v1646836146937!5m2!1sen!2sgh" width="100%" height="450" style="border:0;" allowfullscreen="" loading="lazy"></iframe>
            </div>
    </div>

@endif
