@if(!isset($details))
    <form action="{{ route('applicant.updateApplicantRecord') }}" method="POST" enctype='multipart/form-data' id="record_update_form">
        @csrf
        <input type="hidden" name="table" value="{{$request->table}}">
        @method('PUT')
        <input type="hidden" name="id" value="{{cryptThis($healthDetail->applicant->id)}}">
        <input type="hidden" name="record_id" value="{{cryptThis($request->record)}}">

        <div class="modal-body custom_scroll p-lg-3">
            @include('applicant.applicant-form.delete-field')
            <div class="row" id="record_update_form_fields">
                <div class="col-md-12 mb-2">
                    <div class="form-floating">
                        <select class="form-control select" required style="width: 100%; " name="health_type" id="health_type">
                            <option>Choose</option>
                            @foreach(getImpairmentType() as $key=>$name)
                                <option value="{{$name}}" {{ ($healthDetail->health_type == $name)?'selected':'' }}>{{$name}}</option>
                            @endforeach
                        </select>
                        <label for="health_type">{{ __("Health State") }}  <span class="required">*</span></label>
                    </div>
                    @if ($errors->has('health_type'))
                        <span class="form-text text-danger" role="alert">
                                <strong>{{ $errors->first('health_type') }}</strong>
                            </span>
                    @endif
                </div>
                <div class="col-md-12 mb-2">
                    <div class="form-floating">
                        <input type="text" readonly name="date_started" id="date_started"
                               class="form-control datepicker" value="{{$healthDetail->date_started}}">
                        <label for="date_started">{{ __("Date Started") }}</label>
                    </div>
                    @if ($errors->has('date_started'))
                        <span class="form-text text-danger" role="alert">
                                <strong>{{ $errors->first('date_started') }}</strong>
                            </span>
                    @endif
                </div>
                <div class="col-md-12 mb-2">
                    <div class="form-floating">
                        <input type="text" name="confirmed_by" id="confirmed_by"
                               class="form-control" value="{{$healthDetail->confirmed_by}}">
                        <label for="confirmed_by">{{ __("Hospital Confirmed") }}</label>
                    </div>
                    @if ($errors->has('confirmed_by'))
                        <span class="form-text text-danger" role="alert">
                                <strong>{{ $errors->first('confirmed_by') }}</strong>
                            </span>
                    @endif
                </div>
                <div class="col-md-12 mb-4">
                    <div clas="form-floating">
                        <label for="supporting_document">{{ __("Supporting Document") }}</label>
                        <input type="file" name="supporting_document" id="supporting_document" class="form-control">
                    </div>
                    @if ($errors->has('supporting_document'))
                        <span class="form-text text-danger" role="alert">
                                <strong>{{ $errors->first('supporting_document') }}</strong>
                            </span>
                    @endif
                </div>
            </div>
            @include('applicant.applicant-form.reason-evidence-fields')
        </div>
        <div class="card-footer text-end p-lg-3 text-uppercase">
            <x-cancel class="ml-3"></x-cancel>
            <x-submit class="ml-3"></x-submit>
        </div>
    </form>
@else
    <div class="modal-body custom_scroll p-lg-3">
    <div class="row">
        <div class="col-12">
            <div class="table-responsive">
                <table class="table card-table table-sm table-nowrap mb-0">
                    <tbody>
                    <tr>
                        <td style="width: 150px;font-weight: bolder">{{ __('Health State') }}</td>
                        <td>{{$healthDetail->health_type}}</td>
                    </tr>
                    <tr>
                        <td style="width: 150px;font-weight: bolder">{{ __('Date Confirmed') }}</td>
                        <td>{{date('d M Y', strtotime($healthDetail->date_started))}}</td>
                    </tr>
                    <tr>
                        <td style="width: 150px;font-weight: bolder">{{ __('Hospital Confirmed') }}</td>
                        <td>{{$healthDetail->confirmed_by}}</td>
                    </tr>
                    <tr>
                        <td style="width: 150px;font-weight: bolder">{{ __('Supporting Document') }}</td>
                        <td>
                            <a target="_blank" href="{{ route('download-file',['file_path'=>$healthDetail->supporting_document]) }}"><i class="fa fa-download"></i> {{ __('Download') }}</a>
                        </td>
                    </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    </div>
@endif
