@if(!isset($details))
    <form action="{{ route('applicant.updateApplicantRecord') }}" method="POST" enctype='multipart/form-data' id="record_update_form">
        @csrf
        <input type="hidden" name="form_type" value="{{$request->table}}">
        @method('PUT')
        <input type="hidden" name="id" value="{{cryptThis($maritalDetail->applicant->id)}}">
        <input type="hidden" name="record_id" value="{{cryptThis($request->record)}}">

        <div class="modal-body custom_scroll p-lg-3">
            @include('applicant.applicant-form.delete-field')
            <div class="row" id="record_update_form_fields">
                <div class="col-md-12 mb-2">
                    <div class="form-floating">
                        <select required class="form-control" name="marriage_status" onchange="maritalStatus()" id="marriage_status">
                            <option>Choose Type</option>
                            @foreach(getMaritalStatusType() as $key=>$name)
                                <option value="{{$name}}" {{($maritalDetail->marriage_status == $name)?'selected':''}}>{{$name}}</option>
                            @endforeach
                        </select>
                        <label for="marriage_status">{{ __('Marriage Status') }} <span class="required">*</span></label>
                    </div>
                    @if ($errors->has('marriage_status'))
                        <span class="form-text text-danger" role="alert">
                            <strong>{{ $errors->first('marriage_status') }}</strong>
                        </span>
                    @endif
                </div>
                <div class="col-md-12 mb-2 notSingle">
                    <div class="form-floating">
                        <input type="text" placeholder="{{ __('Spouse Reference ID') }}" class="form-control"
                               style="" value="{{$maritalDetail->spouse_ref_id}}" name="spouse_ref_id" id="spouse_ref_id">
                        <label for="spouse_ref_id">{{ __('Spouse Reference ID') }}</label>
                    </div>
                    @if ($errors->has('spouse_ref_id'))
                        <span class="invalid-feedback" role="alert">
                                                                        <strong>{{ $errors->first('spouse_ref_id') }}</strong>
                                                                    </span>
                    @endif
                </div>
                <div class="col-md-12 mb-2 notSingle">
                    <div class="form-floating">
                        <input type="text" required placeholder="Spouse Name" class="form-control"
                               style="" value="{{$maritalDetail->spouse_name}}" name="spouse_name" id="spouse_name">
                        <label for="spouse_name">{{ __('Spouse Name') }} <span class="required">*</span></label>
                    </div>
                    @if ($errors->has('spouse_name'))
                        <span class="invalid-feedback" role="alert">
                                                                        <strong>{{ $errors->first('spouse_name') }}</strong>
                                                                    </span>
                    @endif
                </div>
                <div class="col-md-12 mb-2 notSingle">
                    <div class="form-floating">
                        <select required class="form-control" name="marriage_type" id="marriage_type">
                            <option>Choose Type</option>
                            @foreach(getMaritalType() as $key=>$name)
                                <option value="{{$name}}" {{($maritalDetail->marriage_type == $name)?'selected':''}}>{{$name}}</option>
                            @endforeach
                        </select>
                        <label for="marriage_type">{{ __('Marriage Type') }} <span class="required">*</span></label>
                    </div>
                    @if ($errors->has('marriage_type'))
                        <span class="form-text text-danger" role="alert">
                            <strong>{{ $errors->first('marriage_type') }}</strong>
                        </span>
                    @endif
                </div>
                <div class="col-md-12 mb-2 notSingle">
                    <div class="form-floating">
                        <input type="text" class="form-control datepicker" required
                               value="{{$maritalDetail->marriage_start_date}}" style="min-width: auto;"
                               name="marriage_start_date" id="marriage_start_date" placeholder="Select date">
                        <label for="marriage_start_date">Start Date <span class="required">*</span></label>
                    </div>
                    @if ($errors->has('marriage_start_date'))
                        <span class="form-text text-danger" role="alert">
                            <strong>{{ $errors->first('marriage_start_date') }}</strong>
                        </span>
                    @endif
                </div>
                <div class="col-md-12 mb-2 notSingle">
                    <div class="form-floating">
                        <input type="text" class="form-control datepicker"
                               value="{{$maritalDetail->marriage_end_date}}" style="min-width: auto;"
                               name="marriage_end_date" id="marriage_end_date" placeholder="Select date">
                        <label for="marriage_end_date">End Date</label>
                    </div>
                    @if ($errors->has('marriage_end_date'))
                        <span class="form-text text-danger" role="alert">
                            <strong>{{ $errors->first('marriage_end_date') }}</strong>
                        </span>
                    @endif
                </div>
            </div>
            @include('applicant.applicant-form.reason-evidence-fields')
        </div>
        <div class="card-footer text-end p-lg-3 text-uppercase">
            <x-cancel class="ml-3"></x-cancel>
            <x-submit class="ml-3"></x-submit>
        </div>
    </form>
@else
    <div class="modal-body custom_scroll p-lg-3">
    <div class="table-responsive border-top">
        <table class="table card-table table-sm table-nowrap mb-0">
            <tbody>
            <tr>
                <td style="width: 200px;font-weight: bolder">{{ __('Spouse Name') }}</td>
                <td>{{$maritalDetail->spouse_name}}</td>
            </tr>
            <tr>
                <td style="width: 200px;font-weight: bolder">{{ __('Spouse Ref. Number') }}</td>
                <td>{{$maritalDetail->spouse_ref_id}}</td>
            </tr>
            <tr>
                <td style="width: 200px;font-weight: bolder">{{ __('Marriage Start Date') }}</td>
                <td>@if(!is_null($maritalDetail->marriage_start_date)){{ date('d M Y', strtotime($maritalDetail->marriage_start_date)) }}@endif</td>
            </tr>
            <tr>
                <td style="width: 200px;font-weight: bolder">{{ __('Marriage End Date') }}</td>
                <td>@if(!is_null($maritalDetail->marriage_end_date)){{ date('d M Y', strtotime($maritalDetail->marriage_end_date)) }}@endif</td>
            </tr>
            </tbody>
        </table>
    </div>
    </div>
@endif
