<input type="hidden" value="personal" name="form_type">
<div class="row">
    <div class="col-md-3 text-center">
        <input type="file" name="upload_passport_pic" id="upload_passport_pic" class="dropify" data-max-file-size="2000K"
               @if(isset($applicant)) @if(file_exists($applicant->avatar)) data-default-file="{{asset($applicant->avatar)}}" @endif @endif>
        @error('upload_passport_pic') <div class="small text-danger">{{ $errors->first('upload_passport_pic') }}</div> @enderror
    </div>
    <div class="col-md-9">
        <div class="row">
            <div class="col-md-4 col-sm-12 mb-3">
                <div class="form-floating">
                    <input type="text" name="surnames"  required id="surnames" class="form-control validateData form-control-l"
                           value="{{ (old('surnames'))?old('surnames'):$surnames }}">
                    <label class="text-muted">Surname *</label>
                </div>
                @if ($errors->has('surnames'))
                    <div class="small text-warning">{{ $errors->first('surnames') }}</div>
                @endif
            </div>
            <div class="col-md-4 col-sm-12 mb-3">
                <div class="form-floating">
                    <input type="text" name="first_names" id="first_names" class="form-control validateData form-control-l"
                           value="{{ (old('first_names'))?old('first_names'):$first_names }}">
                    <label class="text-muted">First Name</label>
                </div>
                @if ($errors->has('first_names'))
                    <div class="small text-warning">{{ $errors->first('first_names') }}</div>
                @endif
            </div>
            <div class="col-md-4 col-sm-12 mb-3">
                <div class="form-floating">
                    <input type="text" name="other_names" id="other_names" class="form-control validateData form-control-l"
                           value="{{ (old('other_names'))?old('other_names'):$other_names }}">
                    <label class="text-muted">Other Name</label>
                </div>
                @if ($errors->has('other_names'))
                    <div class="small text-warning">{{ $errors->first('other_names') }}</div>
                @endif
            </div>
            <div class="col-md-4 col-sm-12 mb-3">
                <div class="form-floating">
                    <select name="genders" id="genders" required class="form-select validateData select2" placeholder="Select Type">
                        <option value="">-- Choose --</option>
                        @foreach($gender_list as $id=>$type)
                            <option value="{{ $type }}" {{ ($genders == $type)?'selected':'' }}>{{ $type }}</option>
                        @endforeach
                    </select>
                    <label class="text-muted">Gender *</label>
                </div>
                @if ($errors->has('genders'))
                    <div class="small text-warning">{{ $errors->first('genders') }}</div>
                @endif
            </div>
            <div class="col-md-4 col-sm-12 mb-3">
                <div class="form-floating">
                    <input type="text" name="dobs" required id="dobs" data-date-end-date="0d" autocomplete="off" class="form-control validateData form-control-l datepicker"
                           value="{{ (old('dobs'))?old('dobs'):$dobs }}" placeholder="Date Of Birth">
                    <label class="text-muted">Date Of Birth*</label>
                </div>
                @if ($errors->has('dobs'))
                    <div class="small text-warning">{{ $errors->first('dobs') }}</div>
                @endif
            </div>
            <!--<div class="col-md-4 col-sm-12 mb-3">
                <div class="form-floating">
                    <select name="nationalities" id="nationalities" required class="form-select validateData form-control-l select2" data-placeholder="Select">
                        <option value="">-- Choose --</option>
                        @foreach(getNationalities() as $key=>$nationality)
                            <option value="{{$nationality}}" {{ ($app_nationalities == $nationality)?'selected':'' }}>{{$nationality}}</option>
                        @endforeach
                    </select>
                    <label class="text-muted">Citizenship *</label>
                </div>
                @if ($errors->has('nationalities'))
                    <div class="small text-warning">{{ $errors->first('nationalities') }}</div>
                @endif
            </div>-->
            <div class="col-md-4 col-sm-12 mb-3">

                <div class="form-floating">
                    @if($applicant)
                    <select name="country_of_births" disabled id="country_of_births" required onchange=""
                            class="form-select validateData form-control-l select2" data-placeholder="Select">
                        <option value="">-- Choose --</option>
                        @foreach(getCountries() as $key=>$country)
                            <option value="{{$country['id']}}" {{ ($country['id'] == $country_of_births)?'selected':'' }}>{{ $country['country_name'] }}</option>
                        @endforeach
                    </select>
                    @else
                    <select name="country_of_births" disabled id="country_of_births" required onchange=""
                            class="form-select validateData form-control-l select2" data-placeholder="Select">
                        <option value="">-- Choose --</option>
                        @foreach(getCountries() as $key=>$country)
                            <option value="{{$country['id']}}" {{ ($country['id'] == 115 )?'selected':'' }}>{{ $country['country_name'] }}</option>
                        @endforeach
                    </select>
                    @endif
                    <label class="text-muted">Country Of Birth *</label>
                </div>
                @if ($errors->has('country_of_births'))
                    <div class="small text-warning">{{ $errors->first('country_of_births') }}</div>
                @endif
            </div>
            <!--<div class="col-md-4 col-sm-12 mb-3">
                <div class="form-floating">
                    @if($applicant)
                        <select name="state_of_births" id="state_of_births" required  onchange="getCities()"
                                class="form-select form-control-l select2" data-placeholder="Select">
                            <option value="">-- Choose --</option>
                            @foreach(getStates($country_of_births) as $key=>$state)
                                <option value="{{$state['id']}}" {{ ($state['id'] == $state_of_births)?'selected':'' }}>{{ $state['name'] }}</option>
                            @endforeach
                        </select>
                    @else
                        <select name="state_of_births" id="state_of_births" required disabled  onchange=""
                                class="form-select form-control-l select2" data-placeholder="Select">
                            <option value="">-- Choose --</option>
                        </select>
                    @endif

                    <label class="text-muted" for="state_of_births" id="country_system">State/Region*</label>
                </div>
                @if ($errors->has('state_of_births'))
                    <div class="small text-warning">{{ $errors->first('state_of_births') }}</div>
                @endif
            </div>
            <div class="col-md-4 col-sm-12 mb-3">
                <div class="form-floating">
                    @if($applicant)
                        <select name="place_of_births" id="place_of_births" required
                                class="form-select form-control-l select2" data-placeholder="Select">
                            <option value="">-- Choose --</option>
                            @foreach(getCounties($state_of_births) as $key=>$county)
                                <option value="{{$county['id']}}" {{ ($county['id'] == $place_of_births)?'selected':'' }}>{{ $county['name'] }}</option>
                            @endforeach
                        </select>
                    @else
                    <select name="place_of_births" disabled id="place_of_births" required class="form-select validateData form-control-l select2" data-placeholder="Select">
                        <option value="">-- Choose --</option>
                    </select>
                    @endif
                    <label class="text-muted">Place Of Birth *</label>
                </div>
                @if ($errors->has('place_of_births'))
                    <div class="small text-warning">{{ $errors->first('place_of_births') }}</div>
                @endif
            </div> -->

            @if ($applicant)

            <div class="col-md-4 col-sm-12 mb-3">
                <div class="form-floating">
                    <select name="county" id="applicant_county" class="form-control-1 form-select select2" data-placeholder="Select" onchange="getSubCounties()">
                    <option value=""></option>
                    @foreach ($counties as $county)
                        <option value="{{ $county->id }}" {{ $applicant->village?->county_id == $county->id ? 'selected' :  '' ;}}>{{ $county->county }}</option>
                    @endforeach
                    
                    </select>
                    <label class="text-muted">County *</label>
                </div>
            </div>

            <div class="col-md-4 col-sm-12 mb-3">
                <div class="form-floating">
                    <select name="" id="applicant_subcounty" class="form-control-1 form-select select2" data-placeholder="Select" onchange="getVillages()">
                        <option value=""></option>
                        @foreach ($subcounties as $subcounty)
                            <option value="{{ $subcounty->id }}" {{ $applicant->village?->sub_county_id == $subcounty->id ? 'selected' :  '' ;}}>{{ $subcounty->name }}</option>
                        @endforeach
                    </select>
                    <label class="text-muted">Sub County *</label>
                </div>
            </div>

            <div class="col-md-4 col-sm-12 mb-3">
                <div class="form-floating">
                <select name="village" id="village" required class="form-select validateData form-control-l select2" data-placeholder="Select">
                    <option value="">-- Choose --</option>

                    @foreach ($villages as $village)
                        <option value="{{ $village->id }}" {{ $applicant->village_id == $village->id ? 'selected' :  '' ;}}>{{ $village->name }}</option>
                    @endforeach
                                        
                </select>
                <label class="text-muted">Ward *</label>
                </div>
            </div>

            @else

            <div class="col-md-4 col-sm-12 mb-3">
                <div class="form-floating">
                    <select name="county" id="applicant_county" class="form-control-1 form-select select2" data-placeholder="Select" onchange="getSubCounties()">
                    <option value=""></option>
                    @foreach ($counties as $county)
                        <option value="{{ $county->id }}">{{ $county->county }}</option>
                    @endforeach
                    
                    </select>
                    <label class="text-muted">County *</label>
                </div>
            </div>

            <div class="col-md-4 col-sm-12 mb-3">
                <div class="form-floating">
                    <select name="" id="applicant_subcounty" class="form-control-1 form-select select2" data-placeholder="Select" onchange="getVillages()">
                    
                    </select>
                    <label class="text-muted">Sub County *</label>
                </div>
            </div>

            <div class="col-md-4 col-sm-12 mb-3">
                <div class="form-floating">
                <select name="village" id="village" required class="form-select validateData form-control-l select2" data-placeholder="Select">
                    <option value="">-- Choose --</option>

                    @foreach ($villages as $village)
                        <option value="{{ $village->id }}">{{ $village->name }}</option>
                    @endforeach
                                        
                </select>
                <label class="text-muted">Ward *</label>
                </div>
            </div>

            @endif

            

            

            <div class="col-md-12 col-sm-12 text-end" styl="text-align: right;">
                <button class="btn btn-l btn-danger" type="reset"><i class="fa fa-ban"></i> Cancel</button>
                <button class="btn btn-l btn-primary" type="submit"><i class="fa fa-paper-plane"></i> Submit</button>
            </div>
        </div>
    </div>
</div>
<script>
    const selectElement = document.querySelector('.validateData');

    selectElement.addEventListener('change', validateData);

    $(document).ready(function () {
        getStates();
        getCities();
        $('#country_of_births').change(function() {
            fetch_country_regions(this.value);
        });

        $('#state_of_births').change(function() {
            fetch_region_counties(this.value);
        });
        
    });

    
    
    function validateData() {
        $('.showReason').show();
    }

    function fetch_country_regions(country_id) {
        console.log(country_id);
        $.get('/get-country-regions/' + country_id, function(regions) {
            // Clear the previous options
            $('#state_of_births').empty();

            $.each(regions, function(index, value) {
                $('#state_of_births').append($('<option/>', {
                    value: value.id,
                    text: value.name
                })).prop('disabled', false);
            });
        });
    }

    function fetch_region_counties(region_id) {
        console.log(region_id);
        $.get('/get-region-counties/' + region_id, function(counties) {
            // Clear the previous options
            $('#place_of_births').empty();

            $.each(counties, function(index, value) {
                $('#place_of_births').append($('<option/>', {
                    value: value.id,
                    text: value.county
                })).prop('disabled', false);
            });
        });
    }

    function getStates() {
        let country = $('select#country_of_births').val();
        $.get(BASE_URL+"api/get-country-states/"+country, function(data, status){
            $('#state_of_births').html('<option value="">-- Choose --</option>');
            let states = data.data.states;

            let country = data.data.country;
            $('#country_system').text(country.system);
            $.each(states, function (index, value) {
                $('#state_of_births').append($('<option/>', {
                    value: value.id,
                    text : value.name
                })).prop('disabled',false);
            });
        });
    }

    function getCities() {
        let state = $('select#state_of_births').val();
        $.get(BASE_URL+"api/get-state-counties/"+state, function(data, status){
            $('#place_of_births').html('<option value="">-- Choose --</option>');
            let counties = data.data.counties;
            $.each(counties, function (index, value) {
                $('#place_of_births').append($('<option/>', {
                    value: value.id,
                    text : value.name
                })).prop('disabled',false);
            });
        });
    }
    function getSubCounties(){
        let county_id = $('select#applicant_county').val();
        $.get('/get-sub-counties/'+county_id, function(res){
            $('#applicant_subcounty').empty()
            $('#applicant_subcounty').html('<option value=""></option>');
            $('#village').empty()
            $.each(res, function (index, value) {
                $('#applicant_subcounty').append($('<option/>', {
                    value: value.id,
                    text : value.name
                })).prop('disabled',false);
            });
        })
    }

    function getVillages(){
        let subcounty_id = $('select#applicant_subcounty').val();
        $.get('/get-villages/'+subcounty_id, function(res){
            $('#village').empty()
            $('#village').html('<option value=""></option>');
            $.each(res, function (index, value) {
                $('#village').append($('<option/>', {
                    value: value.id,
                    text : value.name
                })).prop('disabled',false);
            });
        })
    }
</script>
