@if(!isset($view))
    @php $view = false; @endphp
<form action="{{route('applicant.saveApplicantRegistration')}}" enctype="multipart/form-data" method="post">
    @if($applicant)
        <input type="hidden" value="{{ cryptThis($applicant->id) }}" name="id">
    @endif
    @csrf
@endif

    <div class="row">
        @php
        $island_list = \App\Models\LookupCode::activeOptions(config('settings.island_code'));
        $gender_list = \App\Models\LookupCode::activeOptions(config('settings.gender_code'));
        $identification_list = \App\Models\LookupCode::activeOptions(config('settings.identification_code'));
        $account_type_list = \App\Models\LookupCode::activeOptions(config('settings.account_type_code'));
        $bank_list = \App\Models\LookupCode::activeOptions(config('settings.bank_code'));
        $branch_list = \App\Models\LookupCode::activeOptions(config('settings.branch_code'));
        $marriage_status_list = \App\Models\LookupCode::activeOptions(config('settings.marriage_status_code'));
        $marriage_type_list = \App\Models\LookupCode::activeOptions(config('settings.marriage_type_code'));
        $employment_sector_list = \App\Models\LookupCode::activeOptions(config('settings.employment_sector_code'));
        $employment_type_list = \App\Models\LookupCode::activeOptions(config('settings.employment_type_code'));
        $impairment_list = \App\Models\LookupCode::activeOptions(config('settings.impairment_type_code'));
        $family_list = \App\Models\LookupCode::activeOptions(config('settings.family_type_code'));

        $surnames =
        $first_names =
        $other_names =
        $dobs =
        $genders =
        $place_of_births =
        $upload_passport_pic =
        $app_nationalities = null;
        $impairments = array();

        $marriage_status =
        $spouse_ref_id =
        $spouse_name =
        $marriage_type =
        $marriage_start_date =
        $marriage_end_date =

        $familyDetails =
        $contactDetails =
        $idDetails =
        $accountDetails =
        $employmentDetails =
        $type = null;

            $type = $surname = $first_name = $other_name = $dob = $fam_reg_id = $is_dependant = null;

        if($applicant) {
            $surnames = $applicant->surnames;
            $first_names = $applicant->first_names;
            $other_names = $applicant->other_names;
            $dobs = $applicant->dobs;
            $genders = $applicant->genders;
            $place_of_births = $applicant->place_of_births;
            $app_nationalities = $applicant->nationalities;

            if (!is_null($applicant->impairments)) $impairments = $applicant->impairments;

            $upload_passport_pic = $applicant->upload_passport_pic;


            if(isset($applicant->contactDetails)){
                $contactDetails = $applicant->contactDetails->where('status','=',1);
            }

            $maritalDetails = $applicant->maritalDetails->where('status','=',1)->first();
            if(isset($maritalDetails)) {
                $marriage_status = $maritalDetails->marriage_status;
                $spouse_ref_id = $maritalDetails->spouse_ref_id;
                $spouse_name = $maritalDetails->spouse_name;
                $marriage_type = $maritalDetails->marriage_type;
                $marriage_start_date = $maritalDetails->marriage_start_date;
                $marriage_end_date = $maritalDetails->marriage_end_date;
            }

            if(isset($applicant->familyDetails)) {
                $familyDetails = $applicant->familyDetails->where('removed','=',false);
            }

            if(isset($applicant->idDetails)) {
                $idDetails = $applicant->idDetails->where('removed','=',false);
            }

            if(isset($applicant->accountDetails)) {
                $accountDetails = $applicant->accountDetails->where('removed','=',false);
            }

            if(isset($applicant->employmentDetails)) {
                $employmentDetails = $applicant->employmentDetails->where('removed','=',false);
            }

        }
        else{
            $surnames = old('surnames');
            $first_names = old('first_names');
            $other_names = old('other_names');
            $dobs = old('dobs');
            $genders = old('genders');
            $place_of_births = old('place_of_births');
            $app_nationalities = old('nationalities');
            $upload_passport_pic = old('upload_passport_pic');
            $impairments[] = old('impairments');

            $marriage_status = old('marriage_status');
            $spouse_ref_id = old('spouse_ref_id');
            $spouse_name = old('spouse_name');
            $marriage_type = old('marriage_type');
            $marriage_start_date = old('marriage_start_date');
            $marriage_end_date = old('marriage_end_date');

            $family_details = old('family_details');
            $contactDetails = old('contact_details');
            $idDetails = old('identification_details');
            $accountDetails = old('bank_details');
            $employmentDetails = old('employment_details');
        }
        @endphp

        <div class="accordion accordion-solid accordion-toggle-plus" id="applicantInformation">
            {{--Personal Information--}}
            <div class="card mb-1">
                <div class=" card-header p-0" id="personal-header">
                    <h2 class="mb-0 w-100">
                        <button class="btn btn-light-secondary btn-block text-start w-100 collapsed p-3 rounded-0"
                                type="button" data-bs-toggle="collapse" data-bs-target="#personal">
                        <i class="fa fa-user"></i> {{ __('Personal Information') }}
                        </button>
                    </h2>
                </div>
                <div id="personal" class="collapse show" data-parent="#applicantInformatio">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-3 mb-2">
                                <div class="form-group">
                                    <label for="surnames">Surname:
                                        <span class="required">*</span></label>
                                    <br>
                                    @if($view)
                                        {{ $surnames }}
                                    @else
                                        <input type="text" required="" placeholder="Surname" class="form-control
                                 " style="" value="{{$surnames}}" name="surnames" id="surnames">
                                        @if ($errors->has('surnames'))
                                            <span class="invalid-feedback" role="alert">
                                            <strong>{{ $errors->first('surnames') }}</strong>
                                        </span>
                                        @endif
                                    @endif
                                </div>
                            </div>
                            <div class="col-md-3 mb-2">
                                <div class="form-group">
                                    <label for="first_names">First Name:
                                        <span class="required">*</span></label>
                                    <br>

                                    @if($view)
                                        {{ $first_names }}
                                    @else
                                        <input type="text" required="" placeholder="First Name" class="form-control
                                 " style="" value="{{$first_names}}" name="first_names" id="first_names">
                                        @if ($errors->has('first_names'))
                                            <span class="invalid-feedback" role="alert">
                                            <strong>{{ $errors->first('first_names') }}</strong>
                                        </span>
                                        @endif
                                    @endif
                                </div>
                            </div>
                            <div class="col-md-3 mb-2">
                                <div class="form-group">
                                    <label for="other_names">Other:
                                    </label>
                                    <br>
                                    @if($view)
                                        {{ $other_names }}
                                    @else

                                        <input type="text" placeholder="Other Names" {{ ($view)?'readonly':'' }} class="form-control
                                 " style="" value="{{$other_names}}" name="other_names" id="other_names">
                                        @if ($errors->has('other_names'))
                                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $errors->first('other_names') }}</strong>
                            </span>
                                        @endif
                                    @endif
                                </div>
                            </div>
                            <div class="col-md-3 mb-2">
                                <div class="form-group">
                                    <label for="upload_passport_pic">Passport Picture:
                                    </label>
                                    <br>
                                    @if($view)
                                        @if($upload_passport_pic != null)
                                            <a target="_blank" href="{{ route('download-file',['file_path'=>$upload_passport_pic]) }}"><i class="fa fa-download"></i> {{ __('Download') }}</a>
                                        @else
                                            <span class="text-muted">{{ __('No File uploaded.') }}</span>
                                        @endif
                                    @else
                                        <input type="file" name="upload_passport_pic" id="upload_passport_pic" class="form-control">
                                        @if($upload_passport_pic != null)
                                            <br>
                                            <a target="_blank" href="{{ route('download-file',['file_path'=>$upload_passport_pic]) }}">{{ __('Download File') }}</a>
                                        @endif
                                    @endif

                                    @if ($errors->has('upload_passport_pic'))
                                        <span class="invalid-feedback" role="alert">
                                <strong>{{ $errors->first('upload_passport_pic') }}</strong>
                            </span>
                                    @endif
                                </div>
                            </div>
                            <div class="col-md-3 mb-2">
                                <div class="form-group">
                                    <label for="genders">Gender:
                                        <span class="required">*</span></label>
                                    <br>
                                    @if($view)
                                        {{ $genders }}
                                    @else
                                        <select required {{ ($view)?'readonly disabled':'' }}  class="form-control select"
                                                style="width: 100%; " name="genders" id="genders">
                                            <option>Choose</option>
                                            @foreach($gender_list as $key=>$name)
                                                <option value="{{$name}}" {{($genders == $name)?'selected':''}}>{{$name}}</option>
                                            @endforeach
                                        </select>
                                        @if ($errors->has('genders'))
                                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $errors->first('genders') }}</strong>
                            </span>
                                        @endif
                                    @endif
                                </div>
                            </div>
                            <div class="col-md-3 mb-2">
                                <div class="form-group">
                                    <label for="dobs">Date Of Birth:
                                        <span class="required">*</span></label>
                                    <br>
                                    @if($view)
                                        @if(!is_null($dobs)){{ date('d M Y', strtotime($dobs)) }}@endif
                                    @else
                                        <input type="text" class="form-control" value="{{ date('m/d/Y', strtotime($dobs)) }}" name="dobs" id="dobs" readonly="readonly" placeholder="Select date">
                                        @if ($errors->has('dobs'))
                                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $errors->first('dobs') }}</strong>
                            </span>
                                        @endif
                                    @endif

                                </div>
                            </div>
                            <div class="col-md-3 mb-2">
                                <div class="form-group">
                                    <label for="place_of_births">Place Of Birth:
                                        <span class="required">*</span></label>
                                    <br>
                                    @if($view)
                                        {{ $place_of_births }}
                                    @else
                                        <select required class="form-control select"
                                                style="width: 100%; " name="place_of_births" id="place_of_births">
                                            <option>Choose</option>
                                            @foreach($place_of_birth as $code=>$place)
                                                <option value="{{$place}}" {{ ($place_of_births == $place)?'selected':'' }}>{{$place}}</option>
                                            @endforeach
                                        </select>
                                        @if ($errors->has('place_of_births'))
                                            <span class="invalid-feedback" role="alert">
                                            <strong>{{ $errors->first('place_of_births') }}</strong>
                                        </span>
                                        @endif
                                    @endif
                                </div>
                            </div>
                            <div class="col-md-3 mb-2">
                                <div class="form-group">
                                    <label for="nationalities">Nationality:
                                        <span class="required">*</span></label>
                                    <br>
                                    @if($view)
                                        {{ $app_nationalities }}
                                    @else
                                        <select required="" class="form-control select"
                                                style="width: 100%; " name="nationalities" id="nationalities">
                                            <option>Choose</option>
                                            @foreach($nationalities as $code=>$nationality)
                                                <option value="{{$nationality}}" {{ ($app_nationalities == $nationality)?'selected':'' }}>{{$nationality}}</option>
                                            @endforeach
                                        </select>
                                        @if ($errors->has('nationalities'))
                                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $errors->first('nationalities') }}</strong>
                            </span>
                                        @endif
                                    @endif
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label for="impairments">Impairments:
                                        <span class="required">*</span></label>
                                    <br>
                                    @if($view)
                                        @if(!is_null($impairments))
                                            @foreach($impairments as $key=>$name)
                                                <span class="mr-3">- {{$name}}</span>
                                            @endforeach
                                        @else
                                            -
                                        @endif
                                    @else
                                        <select {{ ($view)?'readonly disabled':'' }}  class="form-control select2"
                                                style="width: 100%; " name="impairments[]" multiple id="impairments">
                                            <option>Choose</option>
                                            @foreach($impairment_list as $key=>$name)
                                                <option value="{{$name}}" {{ (in_array($name,$impairments))?'selected':''}}>{{$name}}</option>
                                            @endforeach
                                        </select>
                                        @if ($errors->has('genders'))
                                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $errors->first('genders') }}</strong>
                            </span>
                                        @endif
                                    @endif
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            {{--Family Information--}}
            <div class="card mb-1">
                <div class="card-header p-0" id="parental-header">
                    <h2 class="mb-0 w-100">
                        <button class="btn btn-light-secondary btn-block text-start w-100 collapsed p-3 rounded-0"
                                type="button" data-bs-toggle="collapse" data-bs-target="#parental">
                        <i class="fa fa-users"></i> {{ __('Family Information') }}
                        </button>
                    </h2>
                    </div>
{{--                </div>--}}
                <div id="parental" class="collapse" data-parent="#applicantInformation">
                    <div class="card-body">
                        <div class="form-group repeater-default" id="family_details" style="display: block;">
                            <div data-repeater-list="family_details">
                                @if($applicant)
                                    @if($familyDetails->count() > 0)
                                        @foreach($familyDetails as $familyDetail)
                                            <div data-repeater-item>
                                                <div class="row">
                                                    <div class="col-md-3 mb-2">
                                                        <div class="form-group">
                                                            <label for="relationship_types">{{ __('Relationship') }}:
                                                                <span class="required">*</span></label>
                                                            <br>
                                                            <select required {{ ($view)?'readonly disabled':'' }} class="form-control"
                                                                    style="width: 100%; " name="relationship_types" id="relationship_types">
                                                                <option>Choose Type</option>
                                                                @foreach($family_list as $key=>$name)
                                                                    <option value="{{$name}}" {{($familyDetail->type == $name)?'selected':''}}>{{$name}}</option>
                                                                @endforeach
                                                            </select>
                                                            @if ($errors->has('relationship_types'))
                                                                <span class="invalid-feedback" role="alert">
                                                            <strong>{{ $errors->first('relationship_types') }}</strong>
                                                        </span>
                                                            @endif
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3 mb-2">
                                                        <div class="form-group">
                                                            <label for="relationship_surname">{{ __('Surname') }}
                                                                <span class="required">*</span></label>
                                                            <br>

                                                            <input type="text" required placeholder="Surname" {{ ($view)?'readonly':'' }} class="form-control"
                                                                   style="" value="{{$familyDetail->surname}}" name="relationship_surname" id="relationship_surname">
                                                            @if ($errors->has('relationship_surname'))
                                                                <span class="invalid-feedback" role="alert">
                                                            <strong>{{ $errors->first('relationship_surname') }}</strong>
                                                        </span>
                                                            @endif
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3 mb-2">
                                                        <div class="form-group">
                                                            <label for="relationship_first_name">{{ __('First Name') }}
                                                                <span class="required">*</span></label>
                                                            <br>

                                                            <input type="text" required placeholder="First Name" {{ ($view)?'readonly':'' }} class="form-control"
                                                                   style="" value="{{$familyDetail->first_name}}" name="relationship_first_name" id="relationship_first_name">
                                                            @if ($errors->has('relationship_first_name'))
                                                                <span class="invalid-feedback" role="alert">
                                                            <strong>{{ $errors->first('relationship_first_name') }}</strong>
                                                        </span>
                                                            @endif
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3 mb-2">
                                                        <div class="form-group">
                                                            <label for="relationship_other_name">{{ __('Other Name') }}
                                                                <span class="required">*</span></label>
                                                            <br>

                                                            <input type="text" required placeholder="Other Name" {{ ($view)?'readonly':'' }} class="form-control"
                                                                   style="" value="{{$familyDetail->other_name}}" name="relationship_other_name" id="relationship_other_name">
                                                            @if ($errors->has('relationship_other_name'))
                                                                <span class="invalid-feedback" role="alert">
                                                            <strong>{{ $errors->first('relationship_other_name') }}</strong>
                                                        </span>
                                                            @endif
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3 mb-2">
                                                        <div class="form-group">
                                                            <label for="relationship_dobs">Date Of Birth:
                                                                <span class="required">*</span></label>
                                                            <br>
                                                            @if($view)
                                                                @if(!is_null($dobs)){{ date('d M Y', strtotime($dobs)) }}@endif
                                                            @else
                                                                <input type="text" class="form-control"
                                                                       value="{{($familyDetail->date_of_birth == null)?'':$familyDetail->date_of_birth}}"
                                                                       name="relationship_dobs" id="relationship_dobs" readonly="readonly" placeholder="Select date">
                                                                @if ($errors->has('relationship_dobs'))
                                                                    <span class="invalid-feedback" role="alert">
                                                                <strong>{{ $errors->first('relationship_dobs') }}</strong>
                                                            </span>
                                                                @endif
                                                            @endif

                                                        </div>
                                                    </div>
                                                    <div class="col-md-3 mb-2">
                                                        <div class="form-group">
                                                            <label for="relationship_other_name">{{ __('Registration No.') }}</label>
                                                            <br>

                                                            <input type="text" required {{ ($view)?'readonly':'' }} class="form-control"
                                                                   style="" value="{{$familyDetail->dependent_reference_id}}" name="relationship_reg_no" id="relationship_reg_no">
                                                            @if ($errors->has('relationship_reg_no'))
                                                                <span class="invalid-feedback" role="alert">
                                                            <strong>{{ $errors->first('relationship_reg_no') }}</strong>
                                                        </span>
                                                            @endif
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3 mb-2">
                                                        <div class="form-group">
                                                            <label for="is_dependant">{{ __('Is Dependant?') }}</label>
                                                            <br>
                                                            <select name="is_dependant" id="is_dependant" class="form-control">
                                                                <option value="Yes" {{($familyDetail->is_dependent == 1)?'selected':''}}>Yes</option>
                                                                <option value="No" {{($familyDetail->is_dependent == 0)?'selected':''}}>No</option>
                                                            </select>
                                                            @if ($errors->has('is_dependant'))
                                                                <span class="invalid-feedback" role="alert">
                                                            <strong>{{ $errors->first('is_dependant') }}</strong>
                                                        </span>
                                                            @endif
                                                        </div>
                                                    </div>
                                                    @if(!$view)
                                                        <div class="form-group col-md-1 text-center mb-2">
                                                            <label for="primary_id_types">Action</label>
                                                            <br>
                                                            <div class="dropdown">
                                                                <a class="btn btn-light-primary btn-icon btn-sm dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-bs-toggle="dropdown" aria-expanded="false">
                                                                    <i class="fa fa-ellipsis-h"></i>
                                                                </a>
                                                                <ul class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                                                    <a class="dropdown-item remove-btn" href="javascript:;" data-repeater-delete><i class="fa fa-trash mr-2"></i> Remove</a>
                                                                </ul>
                                                            </div>
                                                        </div>
                                                    @endif
                                                </div>
                                                <div class="separator separator-solid mb-3"></div>
                                            </div>
                                        @endforeach
                                    @else
                                        @if($view)
                                            <p class="text-muted text-center"><em>No Identification information entered</em></p>
                                        @endif
                                        @if($familyDetails->count() < 1 && !$view)
                                            <div data-repeater-item>
                                                @include('applicant.applicant-form.family-fields')
                                                <div class="separator separator-solid mb-3"></div>
                                            </div>
                                        @endif
                                    @endif
                                @else
                                    <div data-repeater-item>
                                        @include('applicant.applicant-form.family-fields')
                                        <div class="separator separator-solid mb-3"></div>
                                    </div>
                                @endif
                            </div>
                            @if(!$view)
                            <div class="form-group text-right">
                            <span data-repeater-create class="btn btn-sm btn-icon btn-light-info repeater-add-btn">
                            <i class="fa fa-plus"></i>
                            </span>
                            </div>
                            @endif
                        </div>
                    </div>
                </div>
            </div>

            {{--Contact Information--}}
            <div class="card mb-1">
                <div class=" card-header p-0" id="contact-header">
                    <h2 class="mb-0 w-100">
                        <button class="btn btn-light-secondary btn-block text-start w-100 collapsed p-3 rounded-0"
                                type="button" data-bs-toggle="collapse" data-bs-target="#contact">
                        <i class="fa fa-phone"></i> {{ __('Contact Information') }}
                        </button>
                    </h2>
                </div>
                <div id="contact" class="collapse" data-parent="#applicantInformation">
                    <div class="card-body">
                        <div class="form-group repeater-default" id="contact_details" style="display: block;">
                            <div data-repeater-list="contact_details">
                                @if($applicant)
                                    @if($contactDetails->count() > 0)
                                        @foreach($contactDetails as $contactDetail)
                                            <div data-repeater-item>
                                                <div class="row">
                                                    <div class="col-md-3 mb-2">
                                                        <div class="form-group">
                                                            <label for="village">{{ __('Village') }}:
                                                                <span class="required">*</span></label>
                                                            <br>
                                                            @if($view)
                                                                {{ $contactDetail->village }}
                                                            @else
                                                                <input type="text" class="form-control"
                                                                       style="" value="{{ $contactDetail->village }}" required name="village" id="village">
                                                                @if ($errors->has('village'))
                                                                <span class="invalid-feedback" role="alert">
                                                                    <strong>{{ $errors->first('village') }}</strong>
                                                                </span>
                                                                @endif
                                                            @endif
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3 mb-2">
                                                        <div class="form-group">
                                                            <label for="mobile">{{ __("Mobile") }}:</label>
                                                            <br>
                                                            @if($view)
                                                                {{ $contactDetail->mobile }}
                                                            @else

                                                                <input type="text" class="form-control"
                                                                       style="" value="{{$contactDetail->mobile}}" name="mobile" id="mobile">
                                                                @if ($errors->has('mobile'))
                                                                    <span class="invalid-feedback" role="alert">
                                                                        <strong>{{ $errors->first('mobile') }}</strong>
                                                                    </span>
                                                                @endif
                                                            @endif
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3 mb-2">
                                                        <div class="form-group">
                                                            <label for="telephone">{{ __("Telephone") }}:</label>
                                                            <br>
                                                            @if($view)
                                                                {{ $contactDetail->telephone }}
                                                            @else

                                                                <input type="text" class="form-control"
                                                                       style="" value="{{$contactDetail->telephone}}" name="telephone" id="telephone">
                                                                @if ($errors->has('telephone'))
                                                                    <span class="invalid-feedback" role="alert">
                                                                        <strong>{{ $errors->first('telephone') }}</strong>
                                                                    </span>
                                                                @endif
                                                            @endif
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3 mb-2">
                                                        <div class="form-group">
                                                            <label for="email">{{ __("Email") }}:</label>
                                                            <br>
                                                            @if($view)
                                                                {{ $contactDetail->email }}
                                                            @else

                                                                <input type="email" class="form-control"
                                                                       style="" value="{{$contactDetail->email}}" name="email" id="email">
                                                                @if ($errors->has('email'))
                                                                    <span class="invalid-feedback" role="alert">
                                                                        <strong>{{ $errors->first('email') }}</strong>
                                                                    </span>
                                                                @endif
                                                            @endif
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3 mb-2">
                                                        <div class="form-group">
                                                            <label for="address">{{ __('Residential Address') }}:
                                                            </label>
                                                            <br>
                                                            @if($view)
                                                                {{ $contactDetail->address }}
                                                            @else
                                                                <input type="text" class="form-control"
                                                                       style="" value="{{$contactDetail->address}}" name="address" id="address">
                                                                @if ($errors->has('address'))
                                                                    <span class="invalid-feedback" role="alert">
                                                                        <strong>{{ $errors->first('address') }}</strong>
                                                                    </span>
                                                                @endif
                                                            @endif
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3 mb-2">
                                                        <div class="form-group">
                                                            <label for="upload_residency">Proof of Residency:
                                                            </label>
                                                            <br>
                                                            @if($view)
                                                                @if($contactDetail->upload_residency != null)
                                                                    <a target="_blank" href="{{ route('download-file',['file_path'=>$contactDetail->upload_residency]) }}"><i class="fa fa-download"></i> {{ __('Download') }}</a>
                                                                @else
                                                                    <span class="text-muted">{{ __('No File uploaded.') }}</span>
                                                                @endif
                                                            @else
                                                                <input type="file" name="upload_residency" id="upload_residency" class="form-control">
                                                                @if($contactDetail->upload_residency != null)
                                                                    <br>
                                                                    <a target="_blank" href="{{ route('download-file',['file_path'=>$contactDetail->upload_residency]) }}">{{ __('Download File') }}</a>
                                                                @endif
                                                            @endif

                                                            @if ($errors->has('upload_residency'))
                                                                <span class="invalid-feedback" role="alert">
                                                                    <strong>{{ $errors->first('upload_residency') }}</strong>
                                                                </span>
                                                            @endif
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3 mb-2">
                                                        <div class="form-group">
                                                            <label for="postal_address">{{ __('Postal Address') }}:
                                                            </label>
                                                            <br>
                                                            @if($view)
                                                                {{ $contactDetail->postal_address }}
                                                            @else
                                                                <input type="text" class="form-control"
                                                                       style="" value="{{$contactDetail->postal_address}}" name="postal_address" id="postal_address">
                                                                @if ($errors->has('postal_address'))
                                                                    <span class="invalid-feedback" role="alert">
                                                                        <strong>{{ $errors->first('postal_address') }}</strong>
                                                                    </span>
                                                                @endif
                                                            @endif
                                                        </div>
                                                    </div>
                                                    <div class="col-md-2 mb-2">
                                                        <div class="form-group">
                                                            <label for="island">Island:
                                                                <span class="required">*</span></label>
                                                            <br>
                                                            @if($view)
                                                                {{ $contactDetail->island }}
                                                            @else
                                                                <select required class="form-control select"
                                                                        style="width: 100%; " name="island" id="island">
                                                                    <option>Choose</option>
                                                                    @foreach($island_list as $code=>$place)
                                                                        <option value="{{$place}}" {{ ($contactDetail->island == $place)?'selected':'' }}>{{$place}}</option>
                                                                    @endforeach
                                                                </select>
                                                                @if ($errors->has('island'))
                                                                    <span class="invalid-feedback" role="alert">
                                                                        <strong>{{ $errors->first('island') }}</strong>
                                                                    </span>
                                                                @endif
                                                            @endif
                                                        </div>
                                                    </div>
                                                    @if(!$view)
                                                        <div class="form-group col-md-1 text-center mb-1">
                                                            <label for="primary_id_types">Action</label>
                                                            <br>
                                                            <div class="dropdown">
                                                                <a class="btn btn-light-primary btn-icon btn-sm dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-bs-toggle="dropdown" aria-expanded="false">
                                                                    <i class="fa fa-ellipsis-h"></i>
                                                                </a>
                                                                <ul class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                                                    <a class="dropdown-item remove-btn" href="javascript:;" data-repeater-delete><i class="fa fa-trash mr-2"></i> Remove</a>
                                                                </ul>
                                                            </div>
                                                         </div>
                                                    @endif
                                                </div>
                                                <div class="separator separator-solid mb-3"></div>
                                            </div>
                                        @endforeach
                                    @else
                                        @if($view)
                                            <p class="text-muted text-center"><em>No Identification information entered</em></p>
                                        @endif
                                        @if($contactDetails->count() < 1 && !$view)
                                            <div data-repeater-item>
                                                @include('applicant.applicant-form.contact-fields')
                                                <div class="separator separator-solid mb-3"></div>
                                            </div>
                                        @endif
                                    @endif
                                @else
                                    <div data-repeater-item>
                                        @include('applicant.applicant-form.contact-fields')
                                        <div class="separator separator-solid mb-3"></div>
                                    </div>
                                @endif
                            </div>
                            @if(!$view)
                                <div class="form-group text-right">
                            <span data-repeater-create class="btn btn-sm btn-icon btn-light-info repeater-add-btn">
                            <i class="fa fa-plus"></i>
                            </span>
                                </div>
                            @endif
                        </div>
                    </div>
                </div>
            </div>

            {{--Identification--}}
            <div class="card mb-1">
                <div class=" card-header p-0" id="identification-header">
                    <h2 class="mb-0 w-100">
                        <button class="btn btn-light-secondary btn-block text-start w-100 collapsed p-3 rounded-0"
                                type="button" data-bs-toggle="collapse" data-bs-target="#identification">
                        <i class="fa fa-id-card"></i> {{ __('Identification') }}
                        </button>
                    </h2>
                </div>
                <div id="identification" class="collapse" data-parent="#applicantInformation">
                    <div class="card-body">
                        <div class="form-group repeater-default" id="identification_details" style="display: block;">
                            <div data-repeater-list="identification_details">
                                @if($applicant)
                                    @if($idDetails->count() > 0)
                                        @foreach($idDetails as $idDetail)
                                            <div data-repeater-item>
                                                <div class="row">
                                                    <div class="col-md-3 mb-2">
                                                        <div class="form-group">
                                                            <label for="primary_id_types">ID Type:
                                                                <span class="required">*</span></label>
                                                            <br>
                                                            @if($view)
                                                                {{ $idDetail->id_type }}
                                                            @else
                                                                <select required class="form-control"
                                                                        style="width: 100%; " name="primary_id_types" id="primary_id_types">
                                                                    <option>Choose Type</option>
                                                                    @foreach($identification_list as $key=>$name)
                                                                        <option value="{{$name}}" {{($idDetail->id_type == $name)?'selected':''}}>{{$name}}</option>
                                                                    @endforeach
                                                                </select>
                                                                @if ($errors->has('primary_id_types'))
                                                                    <span class="invalid-feedback" role="alert">
                                                <strong>{{ $errors->first('primary_id_types') }}</strong>
                                            </span>
                                                                @endif
                                                            @endif
                                                        </div>
                                                    </div>
                                                    <div class="col-md-2 mb-2">
                                                        <div class="form-group">
                                                            <label for="primary_id_nos">ID No:
                                                                <span class="required">*</span></label>
                                                            <br>
                                                            @if($view)
                                                                {{ $idDetail->id_number }}
                                                            @else

                                                                <input type="text" required placeholder="Primary ID No." class="form-control
                                     " style="" value="{{$idDetail->id_number}}" name="primary_id_nos" id="primary_id_nos">
                                                                @if ($errors->has('primary_id_nos'))
                                                                    <span class="invalid-feedback" role="alert">
                                                <strong>{{ $errors->first('primary_id_nos') }}</strong>
                                            </span>
                                                                @endif
                                                            @endif
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3 mb-2">
                                                        <div class="form-group">
                                                            <label for="expiry">Expiry:</label>
                                                            <br>
                                                            @if($view)
                                                                @if(!is_null($idDetail->expiry)){{ date('d M Y', strtotime($idDetail->expiry)) }}@endif
                                                            @else
                                                                <input type="text" {{ ($view)?'readonly':'' }} class="form-control" value="{{$idDetail->expiry}}"
                                                                       name="expiry" id="expiry" readonly="readonly" placeholder="Select date">
                                                                @if ($errors->has('expiry'))
                                                                    <span class="invalid-feedback" role="alert">
                                                <strong>{{ $errors->first('expiry') }}</strong>
                                            </span>
                                                                @endif
                                                            @endif

                                                        </div>
                                                    </div>
                                                    <div class="col-md-3 mb-2">
                                                        <div class="form-group">
                                                            <label for="upload">Upload ID Document:</label>
                                                            <br>
                                                            @if($view)
                                                                @if($idDetail->document != null)
                                                                    <a target="_blank" href="{{ route('download-file',['file_path'=>$idDetail->document]) }}"><i class="fa fa-download"></i> {{ __('Download') }}</a>
                                                                @else
                                                                    <span class="text-muted">{{ __('No File uploaded.') }}</span>
                                                                @endif
                                                            @else
                                                                <input type="file" name="upload" id="upload" class="form-control">

                                                                @if ($errors->has('upload'))
                                                                    <span class="invalid-feedback" role="alert">
                                                <strong>{{ $errors->first('upload') }}</strong>
                                            </span>
                                                                @endif
                                                            @endif
                                                        </div>
                                                    </div>

                                                    @if(!$view)
                                                        <div class="form-group col-md-1 text-center mb-1">
                                                            <label for="primary_id_types">Action</label>
                                                            <br>
                                                            <div class="dropdown">
                                                                <a class="btn btn-light-primary btn-icon btn-sm dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-bs-toggle="dropdown" aria-expanded="false">
                                                                    <i class="fa fa-ellipsis-h"></i>
                                                                </a>
                                                                <ul class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                                                    <a class="dropdown-item remove-btn" href="javascript:;" data-repeater-delete><i class="fa fa-trash mr-2"></i> Remove</a>
                                                                </ul>
                                                            </div>
                                                        </div>
                                                    @endif

                                                </div>
                                                <div class="separator separator-solid mb-3"></div>
                                            </div>
                                        @endforeach
                                    @else
                                        @if($view)
                                            <p class="text-muted text-center"><em>No Identification information entered</em></p>
                                        @endif
                                        @if($idDetails->count() < 1 && !$view)
                                            <div data-repeater-item>
                                                @include('applicant.applicant-form.identifications-fields')
                                                <div class="separator separator-solid mb-3"></div>
                                            </div>
                                        @endif
                                    @endif
                                @else
                                    <div data-repeater-item>
                                        @include('applicant.applicant-form.identifications-fields')
                                        <div class="separator separator-solid mb-3"></div>
                                    </div>
                                @endif
                            </div>
                            @if(!$view)
                                <div class="form-group text-right">
                                    <span data-repeater-create class="btn btn-sm btn-icon btn-light-info repeater-add-btn">
                                        <i class="fa fa-plus"></i>
                                    </span>
                                </div>
                            @endif
                        </div>
                    </div>
                </div>
            </div>

            {{--Marital Details--}}
            <div class="card mb-1">
                <div class=" card-header p-0" id="marital-header">
                    <h2 class="mb-0 w-100">
                        <button class="btn btn-light-secondary btn-block text-start w-100 collapsed p-3 rounded-0"
                                type="button" data-bs-toggle="collapse" data-bs-target="#marital">
                        <i class="fa fa-life-ring"></i> {{ __('Marital Details') }}
                        </button>
                    </h2>
                </div>
                <div id="marital" class="collapse" data-parent="#applicantInformation">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-2 mb-2">
                                <div class="form-group">
                                    <label for="marriage_status">{{ __("Status") }}:
                                    </label>
                                    <br>
                                    @if($view)
                                        {{ $marriage_status }}
                                    @else
                                        <select {{ ($view)?'readonly disabled':'' }} class="form-control select"
                                                style="width: 100%; " name="marriage_status" id="marriage_status">
                                            <option>Choose</option>
                                            @foreach($marriage_status_list as $key=>$name)
                                                <option value="{{$name}}" {{($name == $marriage_status)?'selected':''}}>{{$name}}</option>
                                            @endforeach
                                        </select>
                                        @if ($errors->has('marriage_status'))
                                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $errors->first('marriage_status') }}</strong>
                            </span>
                                        @endif
                                    @endif
                                </div>
                            </div>
                            <div class="col-md-2 mb-2">
                                <div class="form-group">
                                    <label for="spouse_ref_id">{{ __("Spouse Ref. ID") }}:
                                    </label>
                                    <br>
                                    @if($view)
                                        {{ $spouse_ref_id }}
                                    @else
                                        <input type="text" {{ ($view)?'readonly':'' }} class="form-control"
                                               style="" value="{{$spouse_ref_id}}" name="spouse_ref_id" id="spouse_ref_id">
                                        @if ($errors->has('spouse_ref_id'))
                                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $errors->first('spouse_ref_id') }}</strong>
                            </span>
                                        @endif
                                    @endif
                                </div>
                            </div>
                            <div class="col-md-2 mb-2">
                                <div class="form-group">
                                    <label for="spouse_name">{{ __("Spouse Name") }}:
                                    </label>
                                    <br>
                                    @if($view)
                                        {{ $spouse_name }}
                                    @else
                                        <input type="text" {{ ($view)?'readonly':'' }} class="form-control"
                                               style="" value="{{$spouse_name}}" name="spouse_name" id="spouse_name">
                                        @if ($errors->has('spouse_name'))
                                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $errors->first('spouse_name') }}</strong>
                            </span>
                                        @endif
                                    @endif
                                </div>
                            </div>
                            <div class="col-md-2 mb-2">
                                <div class="form-group">
                                    <label for="marriage_type">{{ __('Marriage Type') }}:
                                    </label>
                                    <br>
                                    @if($view)
                                        {{ $marriage_type }}
                                    @else
                                        <select {{ ($view)?'readonly disabled':'' }} class="form-control select"
                                                style="width: 100%; " name="marriage_type" id="marriage_type">
                                            <option>Choose</option>
                                            @foreach($marriage_type_list as $key=>$name)
                                                <option value="{{$name}}" {{($name == $marriage_type)?'selected':''}}>{{$name}}</option>
                                            @endforeach
                                        </select>
                                        @if ($errors->has('marriage_type'))
                                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $errors->first('marriage_type') }}</strong>
                            </span>
                                        @endif
                                    @endif
                                </div>
                            </div>
                            <div class="col-md-2 mb-2">
                                <div class="form-group">
                                    <label for="marriage_start_date">Start Date:
                                    </label>
                                    <br>
                                    @if($view)
                                        @if(!is_null($marriage_start_date)){{ date('d M Y', strtotime($marriage_start_date)) }}@endif
                                    @else
                                        <input type="text" {{ ($view)?'readonly':'' }} class="form-control" value="{{$marriage_start_date}}"
                                               name="marriage_start_date" id="marriage_start_date" readonly="readonly" placeholder="Select date">
                                        @if ($errors->has('marriage_start_date'))
                                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $errors->first('marriage_start_date') }}</strong>
                            </span>
                                        @endif
                                    @endif

                                </div>
                            </div>
                            <div class="col-md-2 mb-2">
                                <div class="form-group">
                                    <label for="marriage_end_date">End Date:</label>
                                    <br>
                                    @if($view)
                                        @if(!is_null($marriage_end_date)){{ date('d M Y', strtotime($marriage_end_date)) }}@endif
                                    @else
                                        <input type="text" {{ ($view)?'readonly':'' }} class="form-control" value="{{$marriage_end_date}}"
                                               name="marriage_end_date" id="marriage_end_date" readonly="readonly" placeholder="Select date">
                                        @if ($errors->has('marriage_end_date'))
                                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $errors->first('marriage_end_date') }}</strong>
                            </span>
                                        @endif
                                    @endif

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            {{--Accounts--}}
            <div class="card mb-1">
                <div class=" card-header p-0" id="banking-header">
                    <h2 class="mb-0 w-100">
                        <button class="btn btn-light-secondary btn-block text-start w-100 collapsed p-3 rounded-0"
                                type="button" data-bs-toggle="collapse" data-bs-target="#banking">
                        <i class="fa fa-bank"></i> {{ __('Accounts') }}
                        </button>
                    </h2>
                </div>
                <div id="banking" class="collapse" data-parent="#applicantInformation">
                    <div class="card-body">
                        <div class="form-group repeater-default" id="bank_details" style="display: block;">
                            <div data-repeater-list="bank_details">
                                @if($applicant)
                                    @if($accountDetails->count() > 0)
                                        @foreach($accountDetails as $accountDetail)
                                            <div data-repeater-item>
                                                <div class="row">
                                                    <div class="col-md-3 mb-2">
                                                        <div class="form-group">
                                                            <label for="account_type">{{ __("Type") }}:
                                                                <span class="required">*</span></label>
                                                            <br>
                                                            @if($view)
                                                                {{ $accountDetail->account_type }}
                                                            @else
                                                                <select required class="form-control select"
                                                                        style="width: 100%; " name="account_type" id="account_type">
                                                                    <option>Choose</option>
                                                                    @foreach($account_type_list as $key=>$name)
                                                                        <option value="{{$name}}" {{($name == $accountDetail->account_type)?'selected':''}}>{{$name}}</option>
                                                                    @endforeach
                                                                </select>
                                                                @if ($errors->has('account_type'))
                                                                    <span class="invalid-feedback" role="alert">
                                                                        <strong>{{ $errors->first('account_type') }}</strong>
                                                                    </span>
                                                                @endif
                                                            @endif
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3 mb-2">
                                                        <div class="form-group">
                                                            <label for="bank_name">{{ __("Bank Name") }}:
                                                                <span class="required">*</span></label>
                                                            <br>
                                                            @if($view)
                                                                {{ $accountDetail->bank_name }}
                                                            @else
                                                                <select required class="form-control select"
                                                                        style="width: 100%; " name="bank_name" id="bank_name">
                                                                    <option>Choose</option>
                                                                    @foreach($bank_list as $key=>$name)
                                                                        <option value="{{$name}}" {{($name == $accountDetail->bank_name)?'selected':''}}>{{$name}}</option>
                                                                    @endforeach
                                                                </select>
                                                                @if ($errors->has('bank_name'))
                                                                    <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $errors->first('bank_name') }}</strong>
                                                </span>
                                                                @endif
                                                            @endif
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3 mb-2">
                                                        <div class="form-group">
                                                            <label for="branch">{{ __('Branch') }}:
                                                                <span class="required">*</span></label>
                                                            <br>
                                                            @if($view)
                                                                {{ $accountDetail->bank_branch }}
                                                            @else
                                                                <select required class="form-control select"
                                                                        style="width: 100%; " name="branch" id="branch">
                                                                    <option>Choose</option>
                                                                    @foreach($branch_list as $key=>$name)
                                                                        <option value="{{$name}}" {{($name == $accountDetail->bank_branch)?'selected':''}}>{{$name}}</option>
                                                                    @endforeach
                                                                </select>
                                                                @if ($errors->has('branch'))
                                                                    <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $errors->first('branch') }}</strong>
                                                </span>
                                                                @endif
                                                            @endif
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3 mb-2">
                                                        <div class="form-group">
                                                            <label for="upload_account">Proof of Account:
                                                            </label>
                                                            <br>
                                                            @if($view)
                                                                @if($accountDetail->upload_account != null)
                                                                    <a target="_blank" href="{{ route('download-file',['file_path'=>$accountDetail->upload_account]) }}"><i class="fa fa-download"></i> {{ __('Download') }}</a>
                                                                @else
                                                                    <span class="text-muted">{{ __('No File uploaded.') }}</span>
                                                                @endif
                                                            @else
                                                                <input type="file" name="upload_account" id="upload_account" class="form-control">

                                                                @if ($errors->has('upload_account'))
                                                                    <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $errors->first('upload_account') }}</strong>
                                                </span>
                                                                @endif
                                                            @endif
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3 mb-2">
                                                        <div class="form-group">
                                                            <label for="account_holder_name">{{ __("Account Holder Name") }}:
                                                                <span class="required">*</span>
                                                            </label>
                                                            <br>
                                                            @if($view)
                                                                {{ $accountDetail->account_holder_name }}
                                                            @else
                                                                <input type="text" required {{ ($view)?'readonly':'' }} class="form-control"
                                                                       style="" value="{{$accountDetail->account_holder_name}}" name="account_holder_name" id="account_holder_name">
                                                                @if ($errors->has('account_holder_name'))
                                                                    <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $errors->first('account_holder_name') }}</strong>
                                                </span>
                                                                @endif
                                                            @endif
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3 mb-2">
                                                        <div class="form-group">
                                                            <label for="bank_swift_code">{{ __("Swift Code") }}:
                                                            </label>
                                                            <br>
                                                            @if($view)
                                                                {{ $accountDetail->bank_swift_code }}
                                                            @else
                                                                <input type="text" class="form-control"
                                                                       style="" value="{{$accountDetail->bank_swift_code}}" name="bank_swift_code" id="bank_swift_code">
                                                                @if ($errors->has('bank_swift_code'))
                                                                    <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $errors->first('bank_swift_code') }}</strong>
                                                </span>
                                                                @endif
                                                            @endif
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3 mb-2">
                                                        <div class="form-group">
                                                            <label for="account_number">{{ __("Account Number") }}:
                                                                <span class="required">*</span>
                                                            </label>
                                                            <br>
                                                            @if($view)
                                                                {{ $accountDetail->account_number }}
                                                            @else
                                                                <input type="text" required {{ ($view)?'readonly':'' }} class="form-control"
                                                                       style="" value="{{$accountDetail->account_number}}" name="account_number" id="account_number">
                                                                @if ($errors->has('account_number'))
                                                                    <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $errors->first('account_number') }}</strong>
                                                </span>
                                                                @endif
                                                            @endif
                                                        </div>
                                                    </div>

                                                    @if(!$view)
                                                        <div class="form-group offset-md-2 col-md-1 text-center mb-1">
                                                            <label for="primary_id_types">Action</label>
                                                            <br>
                                                            <div class="dropdown">
                                                                <a class="btn btn-light-primary btn-icon btn-sm dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-bs-toggle="dropdown" aria-expanded="false">
                                                                    <i class="fa fa-ellipsis-h"></i>
                                                                </a>
                                                                <ul class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                                                    <a class="dropdown-item remove-btn" href="javascript:;" data-repeater-delete><i class="fa fa-trash mr-2"></i> Remove</a>
                                                                </ul>
                                                            </div>
                                                        </div>
                                                    @endif
                                                </div>

                                                <div class="separator separator-solid mb-3"></div>
                                            </div>
                                        @endforeach
                                    @else
                                        @if($view)
                                            <p class="text-muted text-center"><em>No Accounts information entered</em></p>
                                        @endif
                                        @if($accountDetails->count() < 1 && !$view)
                                            <div data-repeater-item>
                                                @include('applicant.applicant-form.banking-fields')
                                                <div class="separator separator-solid mb-3"></div>
                                            </div>
                                        @endif
                                    @endif
                                @else
                                    <div data-repeater-item>
                                        @include('applicant.applicant-form.banking-fields')
                                        <div class="separator separator-solid mb-3"></div>
                                    </div>
                                @endif
                            </div>
                            @if(!$view)
                                <div class="form-group text-right">
                                    <span data-repeater-create class="btn btn-icon btn-sm btn-light-info repeater-add-btn">
                                        <i class="fa fa-plus"></i>
                                    </span>
                                </div>
                            @endif
                        </div>
                    </div>
                </div>
            </div>

            {{--Employment Details--}}
            <div class="card mb-1">
                <div class=" card-header p-0" id="employmentInformation-header">
                    <h2 class="mb-0 w-100">
                        <button class="btn btn-light-secondary btn-block text-start w-100 collapsed p-3 rounded-0"
                                type="button" data-bs-toggle="collapse" data-bs-target="#employmentInformation">
                        <i class="fa fa-laptop"></i> {{ __('Employment Details') }}
                        </button>
                    </h2>
                </div>
                <div id="employmentInformation" class="collapse" data-parent="#applicantInformation">
                    <div class="card-body">
                        <div class="form-group repeater-default" id="employment_details" style="display: block;">
                            <div data-repeater-list="employment_details">
                                @if($applicant)
                                    @if($employmentDetails->count() > 0)
                                        @foreach($employmentDetails as $employmentDetail)
                                            <div data-repeater-item>
                                                <div class="row">
                                                    <div class="col-md-2 mb-2">
                                                        <div class="form-group">
                                                            <label for="employment_type">{{ __("Type") }}:</label>
                                                            <br>
                                                            @if($view)
                                                                {{ $employmentDetail->employment_type }}
                                                            @else
                                                                <select {{ ($view)?'readonly disabled':'' }} class="form-control select"
                                                                        style="width: 100%; " name="employment_type" id="employment_type">
                                                                    <option>Choose</option>
                                                                    @foreach($employment_type_list as $key=>$name)
                                                                        <option value="{{$name}}" {{($name == $employmentDetail->employment_type)?'selected':''}}>{{$name}}</option>
                                                                    @endforeach
                                                                </select>
                                                                @if ($errors->has('employment_type'))
                                                                    <span class="invalid-feedback" role="alert">
                                                <strong>{{ $errors->first('employment_type') }}</strong>
                                            </span>
                                                                @endif
                                                            @endif
                                                        </div>
                                                    </div>
                                                    <div class="col-md-2 mb-2">
                                                        <div class="form-group">
                                                            <label for="employment_sector">{{ __("Sector") }}:</label>
                                                            <br>
                                                            @if($view)
                                                                {{ $employmentDetail->employment_sector }}
                                                            @else
                                                                <select {{ ($view)?'readonly disabled':'' }} class="form-control select"
                                                                        style="width: 100%; " name="employment_sector" id="employment_sector">
                                                                    <option>Choose</option>
                                                                    @foreach($employment_sector_list as $key=>$name)
                                                                        <option value="{{$name}}" {{($name == $employmentDetail->employment_sector)?'selected':''}}>{{$name}}</option>
                                                                    @endforeach
                                                                </select>
                                                                @if ($errors->has('employment_sector'))
                                                                    <span class="invalid-feedback" role="alert">
                                                <strong>{{ $errors->first('employment_sector') }}</strong>
                                            </span>
                                                                @endif
                                                            @endif
                                                        </div>
                                                    </div>
                                                    <div class="col-md-2 mb-2">
                                                        <div class="form-group">
                                                            <label for="employer_name">{{ __("Company Name") }}:
                                                            </label>
                                                            <br>
                                                            @if($view)
                                                                {{ $employmentDetail->employer_name }}
                                                            @else
                                                                <input type="text" {{ ($view)?'readonly':'' }} class="form-control"
                                                                       style="" value="{{$employmentDetail->employer_name}}" name="employer_name" id="employer_name">
                                                                @if ($errors->has('employer_name'))
                                                                    <span class="invalid-feedback" role="alert">
                                                <strong>{{ $errors->first('employer_name') }}</strong>
                                            </span>
                                                                @endif
                                                            @endif
                                                        </div>
                                                    </div>
                                                    <div class="col-md-2 mb-2">
                                                        <div class="form-group">
                                                            <label for="employer_telephone">{{ __("Telephone") }}:
                                                            </label>
                                                            <br>
                                                            @if($view)
                                                                {{ $employmentDetail->employer_telephone }}
                                                            @else
                                                                <input type="text" {{ ($view)?'readonly':'' }} class="form-control"
                                                                       style="" value="{{$employmentDetail->employer_telephone}}" name="employer_telephone" id="employer_telephone">
                                                                @if ($errors->has('employer_telephone'))
                                                                    <span class="invalid-feedback" role="alert">
                                                <strong>{{ $errors->first('employer_telephone') }}</strong>
                                            </span>
                                                                @endif
                                                            @endif
                                                        </div>
                                                    </div>
                                                    <div class="col-md-2 mb-2">
                                                        <div class="form-group">
                                                            <label for="employer_mobile">{{ __("Mobile") }}:
                                                            </label>
                                                            <br>
                                                            @if($view)
                                                                {{ $employmentDetail->employer_mobile }}
                                                            @else
                                                                <input type="text" {{ ($view)?'readonly':'' }} class="form-control"
                                                                       style="" value="{{$employmentDetail->employer_mobile}}" name="employer_mobile" id="employer_mobile">
                                                                @if ($errors->has('employer_mobile'))
                                                                    <span class="invalid-feedback" role="alert">
                                                <strong>{{ $errors->first('employer_mobile') }}</strong>
                                            </span>
                                                                @endif
                                                            @endif
                                                        </div>
                                                    </div>
                                                    <div class="col-md-2 mb-2">
                                                        <div class="form-group">
                                                            <label for="employer_email">{{ __("Email") }}:
                                                            </label>
                                                            <br>
                                                            @if($view)
                                                                {{ $employmentDetail->employer_email }}
                                                            @else
                                                                <input type="email" {{ ($view)?'readonly':'' }} class="form-control"
                                                                       style="" value="{{$employmentDetail->employer_email}}" name="employer_email" id="employer_email">
                                                                @if ($errors->has('employer_email'))
                                                                    <span class="invalid-feedback" role="alert">
                                                <strong>{{ $errors->first('employer_email') }}</strong>
                                            </span>
                                                                @endif
                                                            @endif
                                                        </div>
                                                    </div>
                                                    <div class="col-md-2 mb-2">
                                                        <div class="form-group">
                                                            <label for="employer_rmd">{{ __("Company RMD No.") }}:
                                                            </label>
                                                            <br>
                                                            @if($view)
                                                                {{ $employmentDetail->employer_rmd }}
                                                            @else
                                                                <input type="text" {{ ($view)?'readonly':'' }} class="form-control"
                                                                       style="" value="{{$employmentDetail->employer_rmd}}" placeholder="Company" name="employer_rmd" id="employer_rmd">
                                                                @if ($errors->has('employer_rmd'))
                                                                    <span class="invalid-feedback" role="alert">
                                                <strong>{{ $errors->first('employer_rmd') }}</strong>
                                            </span>
                                                                @endif
                                                            @endif
                                                        </div>
                                                    </div>
                                                    <div class="col-md-2 mb-2">
                                                        <div class="form-group">
                                                            <label for="employer_bank_account_name">{{ __("Company Account Name") }}:
                                                            </label>
                                                            <br>
                                                            @if($view)
                                                                {{ $employmentDetail->employer_bank_account_name }}
                                                            @else
                                                                <input type="text" {{ ($view)?'readonly':'' }} class="form-control"
                                                                       style="" value="{{$employmentDetail->employer_bank_account_name}}" placeholder="Company"
                                                                       name="employer_bank_account_name" id="employer_bank_account_name">
                                                                @if ($errors->has('employer_bank_account_name'))
                                                                    <span class="invalid-feedback" role="alert">
                                                <strong>{{ $errors->first('employer_bank_account_name') }}</strong>
                                            </span>
                                                                @endif
                                                            @endif
                                                        </div>
                                                    </div>
                                                    <div class="col-md-2 mb-2">
                                                        <div class="form-group">
                                                            <label for="employer_bank_account_number">{{ __("Company Account No.") }}:
                                                            </label>
                                                            <br>
                                                            @if($view)
                                                                {{ $employmentDetail->employer_bank_account_number }}
                                                            @else
                                                                <input type="text" {{ ($view)?'readonly':'' }} class="form-control"
                                                                       style="" value="{{$employmentDetail->employer_bank_account_number}}" placeholder="Company"
                                                                       name="employer_bank_account_number" id="employer_bank_account_number">
                                                                @if ($errors->has('employer_bank_account_number'))
                                                                    <span class="invalid-feedback" role="alert">
                                                <strong>{{ $errors->first('employer_bank_account_number') }}</strong>
                                            </span>
                                                                @endif
                                                            @endif
                                                        </div>
                                                    </div>
                                                    <div class="col-md-6 mb-2">
                                                        <div class="form-group">
                                                            <label for="employer_postal_address">{{ __("Address") }}:
                                                            </label>
                                                            <br>
                                                            @if($view)
                                                                {{ $employmentDetail->employer_postal_address }}
                                                            @else
                                                                <input type="text" {{ ($view)?'readonly':'' }} class="form-control"
                                                                       style="" value="{{$employmentDetail->employer_postal_address}}" placeholder="Company"
                                                                       name="employer_postal_address" id="employer_postal_address">
                                                                @if ($errors->has('employer_postal_address'))
                                                                    <span class="invalid-feedback" role="alert">
                                                <strong>{{ $errors->first('employer_postal_address') }}</strong>
                                            </span>
                                                                @endif
                                                            @endif
                                                        </div>
                                                    </div>
                                                    <div class="col-md-2 mb-2">
                                                        <div class="form-group">
                                                            <label for="employer_island">{{ __('Island') }}:</label>
                                                            <br>
                                                            @if($view)
                                                                {{ $employmentDetail->employer_island }}
                                                            @else
                                                                <select {{ ($view)?'readonly disabled':'' }} class="form-control select"
                                                                        style="width: 100%; " name="employer_island" id="employer_island">
                                                                    <option>Choose</option>
                                                                    @foreach($island_list as $key=>$name)
                                                                        <option value="{{$name}}" {{($name == $employmentDetail->employer_island)?'selected':''}}>{{$name}}</option>
                                                                    @endforeach
                                                                </select>
                                                                @if ($errors->has('employer_island'))
                                                                    <span class="invalid-feedback" role="alert">
                                                <strong>{{ $errors->first('employer_island') }}</strong>
                                            </span>
                                                                @endif
                                                            @endif
                                                        </div>
                                                    </div>
                                                    <div class="col-md-2 mb-2">
                                                        <div class="form-group">
                                                            <label for="employee_position">{{ __("Position") }}:
                                                            </label>
                                                            <br>
                                                            @if($view)
                                                                {{ $employmentDetail->employee_position }}
                                                            @else
                                                                <input type="text" {{ ($view)?'readonly':'' }} class="form-control"
                                                                       style="" value="{{$employmentDetail->employee_position}}" name="employee_position" id="employee_position">
                                                                @if ($errors->has('employee_position'))
                                                                    <span class="invalid-feedback" role="alert">
                                                <strong>{{ $errors->first('employee_position') }}</strong>
                                            </span>
                                                                @endif
                                                            @endif
                                                        </div>
                                                    </div>
                                                    <div class="col-md-2 mb-2">
                                                        <div class="form-group">
                                                            <label for="employee_manager">{{ __("Manager Name") }}:
                                                            </label>
                                                            <br>
                                                            @if($view)
                                                                {{ $employmentDetail->employee_manager }}
                                                            @else
                                                                <input type="text" {{ ($view)?'readonly':'' }} class="form-control"
                                                                       style="" value="{{$employmentDetail->employee_manager}}" name="employee_manager" id="employee_manager">
                                                                @if ($errors->has('employee_manager'))
                                                                    <span class="invalid-feedback" role="alert">
                                                <strong>{{ $errors->first('employee_manager') }}</strong>
                                            </span>
                                                                @endif
                                                            @endif
                                                        </div>
                                                    </div>
                                                    <div class="col-md-2 mb-2">
                                                        <div class="form-group">
                                                            <label for="employment_start_date">{{ __("Start") }}:
                                                            </label>
                                                            <br>
                                                            @if($view)
                                                                @if($employmentDetail->employment_start_date){{ date('d M Y', strtotime($employmentDetail->employment_start_date)) }}@endif
                                                            @else
                                                                <input type="text" {{ ($view)?'readonly':'' }} class="form-control" value="{{$employmentDetail->employment_start_date}}"
                                                                       name="employment_start_date" id="employment_start_date" readonly="readonly" placeholder="Select date">
                                                                @if ($errors->has('employment_start_date'))
                                                                    <span class="invalid-feedback" role="alert">
                                                <strong>{{ $errors->first('employment_start_date') }}</strong>
                                            </span>
                                                                @endif
                                                            @endif
                                                        </div>
                                                    </div>
                                                    <div class="col-md-2 mb-2">
                                                        <div class="form-group">
                                                            <label for="employment_end_date">{{ __("End") }}:
                                                            </label>
                                                            <br>
                                                            @if($view)
                                                                @if($employmentDetail->employment_end_date)
                                                                    @if(!is_null($employmentDetail->employment_end_date)){{ date('d M Y', strtotime($employmentDetail->employment_end_date)) }}@endif
                                                                @endif
                                                            @else
                                                                <input type="text" {{ ($view)?'readonly':'' }} class="form-control" value="{{$employmentDetail->employment_end_date}}"
                                                                       name="employment_end_date" id="employment_end_date" readonly="readonly" placeholder="Select date">
                                                                @if ($errors->has('employment_end_date'))
                                                                    <span class="invalid-feedback" role="alert">
                                                <strong>{{ $errors->first('employment_end_date') }}</strong>
                                            </span>
                                                                @endif
                                                            @endif
                                                        </div>
                                                    </div>
                                                    @if(!$view)
                                                        <div class="form-group offset-md-1 col-md-1 text-center mb-1">
                                                            <label for="primary_id_types">Action</label>
                                                            <br>
                                                            <div class="dropdown dropdown-inline mr-4">
                                                                <button type="button" class="btn btn-light-primary btn-icon btn-sm" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                                    <i class="ki ki-bold-more-hor"></i>
                                                                </button>
                                                                <div class="dropdown-menu drop-left">
                                                                    <a class="dropdown-item remove-btn" href="javascript:;" data-repeater-delete><i class="fa fa-trash mr-2"></i> Remove</a>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    @endif
                                                </div>
                                                <div class="separator separator-solid mb-3"></div>
                                            </div>
                                        @endforeach
                                    @else
                                        @if($view)
                                            <p class="text-muted text-center"><em>No Employment information entered</em></p>
                                        @endif
                                        @if($employmentDetails->count() < 1 && !$view)
                                            <div data-repeater-item>
                                                @include('applicant.applicant-form.employment-fields')
                                                <div class="separator separator-solid mb-3"></div>
                                            </div>
                                        @endif
                                    @endif
                                @else
                                    <div data-repeater-item>
                                        @include('applicant.applicant-form.employment-fields')
                                        <div class="separator separator-solid mb-3"></div>
                                    </div>
                                @endif
                            </div>
                            @if(!$view)
                                <div class="form-group text-right">
                                    <span data-repeater-create class="btn btn-icon btn-sm btn-light-info repeater-add-btn">
                                        <i class="fa fa-plus"></i>
                                    </span>
                                </div>
                            @endif
                        </div>
                    </div>
                </div>
            </div>
        </div>

        @if ($view && $applicant && false)
        <div class="col-md-12">
            <p class="text-info"><strong>ACCOUNTS:</strong> {{$total_bank_accounts}} Valid Bank Account(s) Approved.</p>
        </div>
        @endif
    </div>

@if(!$view)
    <div class="row mt-8">
        <div class="col-md-8">
            @if (!$applicant)
            <button type="submit" name="save" value="check" class="btn btn-light-primary mt-2 mb-3 btn-sm mr-3">{{ __('Check Applicant Information') }}</button>
            @endif
                <button type="submit" name="save" value="save" class="btn btn-success btn-sm mt-2 mb-3">
                    @if($applicant)
                        {{ __('Save Changes') }}
                    @else
                        {{ __('Save Applicant Information') }}
                    @endif
                </button>
        </div>
        <div class="col-md-4 right-side">
            <a href="{{ \Illuminate\Support\Facades\URL::previous() }}" class="btn btn-danger btn-sm mt-2 mb-3">{{ __('Cancel Registration') }}</a>
            {{--<button type="reset" class="btn btn-danger mt-2 mb-3">{{ __('Cancel Registration') }}</button>--}}
        </div>
    </div>
</form>
@endif
