<x-app-layout>
    @push('vendor-css')
        <link rel="stylesheet" href="{{ asset('assets/plugins/custom/datatables/datatables.bundle.css') }}">
    @endpush
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('applicant.getApplicantInfo') }}">{{ __('Applicants') }}</a></li>
            <li class="breadcrumb-item active" aria-current="page">{{$page_title}}</li>
        </ol>
    </x-slot>
    <!-- start: page toolbar -->
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto">
                <h1 class="fs-5 color-900 mt-1 mb-0">{{$page_title}}</h1>
                <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
            </div>
        </div> <!-- .row end -->
    </x-slot>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg-2 py-1 mt-0 mt-lg-3">
        <div class="container-fluid">
            @if(session()->has('message'))
                <div class="mb-5">
                    @if(session()->get('status') == 'success')
                        <div role="alert" class="alert alert-success">{{ session()->get('message') }}</div>
                    @else
                        <div role="alert" class="alert alert-danger">{{ session()->get('message') }}</div>
                    @endif
                </div>
            @endif
            <div class="row g-3">
                <div class="col-12">
                    @if (session()->has('existing_applicants'))
                        <div class="accordion accordion-solid accordion-panel accordion-svg-toggle" id="view_application">
                            <div class="card mb-10">
                                <div class="card-header" id="application_process_log">
                                    <div class="card-title collapsed" data-toggle="collapse" data-target="#application_process_log_collapse">
                                        <div class="card-label font-weight-bolder text-danger">{{ __('Similar Applicants') }}</div>
                                        <span class="svg-icon">
                            <!--begin::Svg Icon | path:assets/media/svg/icons/Navigation/Angle-double-right.svg-->
                            <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24px" height="24px" viewBox="0 0 24 24" version="1.1">
                                <g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
                                    <polygon points="0 0 24 0 24 24 0 24" />
                                    <path d="M12.2928955,6.70710318 C11.9023712,6.31657888 11.9023712,5.68341391 12.2928955,5.29288961 C12.6834198,4.90236532 13.3165848,4.90236532 13.7071091,5.29288961 L19.7071091,11.2928896 C20.085688,11.6714686 20.0989336,12.281055 19.7371564,12.675721 L14.2371564,18.675721 C13.863964,19.08284 13.2313966,19.1103429 12.8242777,18.7371505 C12.4171587,18.3639581 12.3896557,17.7313908 12.7628481,17.3242718 L17.6158645,12.0300721 L12.2928955,6.70710318 Z" fill="#000000" fill-rule="nonzero" />
                                    <path d="M3.70710678,15.7071068 C3.31658249,16.0976311 2.68341751,16.0976311 2.29289322,15.7071068 C1.90236893,15.3165825 1.90236893,14.6834175 2.29289322,14.2928932 L8.29289322,8.29289322 C8.67147216,7.91431428 9.28105859,7.90106866 9.67572463,8.26284586 L15.6757246,13.7628459 C16.0828436,14.1360383 16.1103465,14.7686056 15.7371541,15.1757246 C15.3639617,15.5828436 14.7313944,15.6103465 14.3242754,15.2371541 L9.03007575,10.3841378 L3.70710678,15.7071068 Z" fill="#000000" fill-rule="nonzero" opacity="0.3" transform="translate(9.000003, 11.999999) rotate(-270.000000) translate(-9.000003, -11.999999)" />
                                </g>
                            </svg>
                                            <!--end::Svg Icon-->
                        </span>
                                    </div>
                                </div>
                                <div id="application_process_log_collapse" class="collapse" data-parent="#view_application">
                                    <div class="card-body">
                                        <div class="table-responsive mt-10">
                                            <table class="table table-bordered table-head-custom" id="applicants_info">
                                                <thead>
                                                <tr>
                                                    <th style="width: 30px;">#</th>
                                                    <th>Ref. ID</th>
                                                    <th>Applicant Name</th>
                                                    <th>Date of Birth</th>
                                                    <th>Place of Birth</th>
                                                    <th>View</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                @php $count=0; @endphp
                                                @foreach(session('existing_applicants') as $existing_applicant)
                                                    <tr>
                                                        <td>{{$count+=1}}</td>
                                                        <td>{{$existing_applicant->regID}}</td>
                                                        <td>{!! "<strong>".strtoupper($existing_applicant->surnames)."</strong>, ".ucwords($existing_applicant->first_names) !!}</td>
                                                        <td>{{date('d M Y',strtotime($existing_applicant->dobs))}}</td>
                                                        <td>{{$existing_applicant->place_of_births}}</td>
                                                        <td><a href="javascript:;" class=" btn btn-icon btn-sm btn-primary mb-2  mr-1"
                                                               onclick="getApplicantInfo({{$existing_applicant->id}})"
                                                               data-toggle="modal" data-target="#staticBackdrop" title="{{__("View Applicant")}}"><i class="la la-eye"></i></a></td>
                                                    </tr>
                                                @endforeach
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    @endif
                    @include('applicant.applicant-registration-form')
                </div>
            </div>

            @if (session()->has('existing_applicants'))
            <!--begin::Row-->
                <div class="modal fade" id="staticBackdrop" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="staticBackdrop" aria-hidden="true">
                    <div class="modal-dialog modal-xl" role="document">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title" id="exampleModalLabel">{{ __('Applicant Information') }}</h5>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <i aria-hidden="true" class="ki ki-close"></i>
                                </button>
                            </div>
                            <div class="modal-body">
                                <div id="info"></div>
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-light-primary font-weight-bold" data-dismiss="modal">Close</button>
                            </div>
                        </div>
                    </div>
                </div>
                <!--end::Row-->
            @endif

            @push('vendor-scripts')
                <script src="{{ asset('assets/js/bundle/invoice.bundle.js') }}"></script>
            @endpush
            @push('scripts')
                <script>
                    $(document).ready(function () {
                        // loadDates();
                    });
                    function loadDates() {
                        //     $('#dobs,#expiry,#relationship_dobs').datepicker({
                        //         // rtl: KTUtil.isRTL(),
                        //         todayHighlight: true,
                        //         orientation: "bottom center",
                        //         clearBtn: true,
                        //         // templates: arrows
                        //     });
                        //
                        //     $('#marriage_end_date,#marriage_start_date,#employment_start_date,#employment_end_date').datepicker({
                        //         // rtl: KTUtil.isRTL(),
                        //         todayHighlight: true,
                        //         orientation: "top center",
                        //         clearBtn: true,
                        //         // templates: arrows
                        //     });
                    }
                    $('.select2').select2({
                        'placeholder':'Select One'
                    });
                    // $('#applicants_info').DataTable();
                    function getApplicantInfo(id) {
                        var path = "{{route('applicant.viewApplicantInfo')}}";
                        $.ajaxSetup(    {
                            headers: {
                                'X-CSRF-Token': $('meta[name=_token]').attr('content')
                            }
                        });
                        $.ajax({
                            url: path,
                            type: 'GET',
                            data: {app_id:id},
                            beforeSend: function(){
                                // $('#info').unblock();
                            },
                            success: function(data){
                                $('#info').empty();
                                $('#info').html(data.theView);
                            },
                            complete:function(){
                                // $('#info').unblock();
                                $.getScript("{{ asset('assets/js/customjs/custom.js') }}", function() {
                                    console.log('Reset');
                                });
                            },
                            error: function (data) {
                            }
                        });
                    }
                </script>
                <script src="{{ asset('assets/js/customjs/applicant-form-repeater.js') }}"></script>
    @endpush
</x-app-layout>
