<x-app-layout>
    @push('last-css')
        <link rel="stylesheet" href="{{ asset('assets/cssbundle/bootstrapdatepicker.min.css') }}">
        <link rel="stylesheet" href="{{ asset('assets/cssbundle/dropify.min.css') }}">
        <style>
            .avatar.xxxl {
                width: 200px;
                min-width: 200px;
                height: 200px;
            }
        </style>
    @endpush
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('applicant.getApplicantInfo') }}">{{ __('Beneficiaries') }}</a>
            </li>
            <li class="breadcrumb-item active" aria-current="page">{{$page_title}}</li>
        </ol>
    </x-slot>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg-2 py-1 mt-0 mt-lg-3">
        <div class="container-fluid">
            @component('components.announcement')@endcomponent
            @php
                $island_list = getLocations();
                $gender_list = getGender();
                $identification_list = getIdentificationType();
                $account_type_list = getAccount();
                $marriage_status_list = getMaritalStatusType();
                $marriage_type_list = getMaritalType();
                $employment_sector_list = getEmploymentSectorType();
                $employment_type_list = getEmploymentType();
                $impairment_list = getImpairmentType();
                $family_list = getRelationshipType();

                $surnames =
                $first_names =
                $other_names =
                $dobs =
                $genders =
                $country_of_births =
                $place_of_births =
                $state_of_births =
                $app_nationalities = null;
                $upload_passport_pic ='images/profile-picture-default.png';
                $impairments = array();

                $marriage_status =
                $spouse_ref_id =
                $spouse_name =
                $marriage_type =
                $marriage_start_date =
                $marriage_end_date =

                $familyDetails =
                $contactDetails =
                $idDetails =
                $maritalDetails =
                $accountDetails =
                $employmentDetails =
                $healthDetails =
                $type = null;
                $disabled = 'disabled';

                    $type = $surnames = $first_name = $other_name = $dob = $fam_reg_id = $is_dependant = null;

                if($applicant) {
                    $completion = applicantCompletion($applicant->regID);
                    $surnames = $applicant->surnames;
                    $first_names = $applicant->first_names;
                    $other_names = $applicant->other_names;
                    $dobs = $applicant->dobs;
                    $genders = $applicant->genders;
                    $place_of_births = $applicant->city_id;
                    $state_of_births = $applicant->state_id;
                    $country_of_births = $applicant->country_id;
                    $app_nationalities = $applicant->nationalities;
                    $disabled = '';

                    if (!is_null($applicant->impairments)) $impairments = $applicant->impairments;

                    $upload_passport_pic = $applicant->avatar;


                    if(isset($applicant->contactDetails)){
                        $contactDetails = $applicant->contactDetails;
                    }

                    if(isset($applicant->maritalDetails)) {
                        $maritalDetails = $applicant->maritalDetails;
                    }

                    if(isset($applicant->familyDetails)) {
                        $familyDetails = $applicant->familyDetails->where('removed','=',false);
                    }

                    if(isset($applicant->idDetails)) {
                        $idDetails = $applicant->idDetails->where('removed','=',false);
                    }

                    if(isset($applicant->accountDetails)) {
                        $accountDetails = $applicant->accountDetails->where('removed','=',false);
                    }

                    if(isset($applicant->employmentDetails)) {
                        $employmentDetails = $applicant->employmentDetails->where('removed','=',false);
                    }

                    if(isset($applicant->healthDetails)) {
                        $healthDetails = $applicant->healthDetails->where('removed','=',false);
                    }

                }
                else{
                    $surnames = old('surnames');
                    $first_names = old('first_names');
                    $other_names = old('other_names');
                    $dobs = old('dobs');
                    $genders = old('genders');
                    $state_of_births = old('state_of_births');
                    $place_of_births = old('place_of_births');
                    $country_of_births = old('country_of_births');
                    $app_nationalities = old('nationalities');
                    $upload_passport_pic = old('upload_passport_pic');
                    $impairments[] = old('impairments');

                    $marriage_status = old('marriage_status');
                    $spouse_ref_id = old('spouse_ref_id');
                    $spouse_name = old('spouse_name');
                    $marriage_type = old('marriage_type');
                    $marriage_start_date = old('marriage_start_date');
                    $marriage_end_date = old('marriage_end_date');

                    $family_details = old('family_details');
                    $contactDetails = old('contact_details');
                    $idDetails = old('identification_details');
                    $accountDetails = old('bank_details');
                    $employmentDetails = old('employment_details');
                    $healthDetails = old('employment_details');
                }
            @endphp
            @include('applicant.includes.applicant-profile')
        </div>
    </div>
    @if($applicant)
        @include('applicant.includes.applicant_forms')
    @endif

    @push('scripts')
        <script src="{{ asset('assets/js/bundle/fancybox.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/bundle/dropify.bundle.js') }}"></script>
        <script>
            $('.dropify').dropify();

            @if(isset($applicant))
            var drEvent = $('#upload_passport_pic').dropify();
            drEvent.on('dropify.beforeClear', function (event, element) {
                return confirm("Do you really want to remove \"" + element.file.name + "\" ?");
            });
            drEvent.on('dropify.afterClear', function (event, element) {
                window.location.href = '{{route('applicant.removeProfileImage',['regID'=>$applicant->regID])}}';
            });
            @endif
            $(document).ready(function () {
                // Handler for .ready() called.
                let activeTab = localStorage.getItem('activeTab');
                $('html, body').animate({
                    scrollTop: $(activeTab).offset().top
                }, 'slow');
            });

            @if(session()->has('load-new-form'))
            $(document).ready(function () {
                $('{{session()->get('load-new-form')}}').modal('show');
            });
            @endif
        </script>
    @endpush
</x-app-layout>
