<x-app-layout>
    @push('vendor-css')
        <link rel="stylesheet" href="{{ asset('assets/plugins/custom/datatables/datatables.bundle.css') }}">
    @endpush
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('applicant.getApplicantInfo') }}">{{ __('Applicants') }}</a></li>
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('applicant.getApplicantInfo',['app_id'=>cryptThis($applicant_info->id)]) }}">{{ __('Applicant Information') }}</a></li>
            <li class="breadcrumb-item active" aria-current="page">{{ __('Financial Statement') }}</li>
        </ol>
    </x-slot>

    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto">
                <h1 class="fs-5 color-900 mt-1 mb-0">{{ __('Financial Statement') }}</h1>
                <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
            </div>
        </div> <!-- .row end -->
    </x-slot>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg-2 py-1 mt-0 mt-lg-3">
        <div class="container-fluid">
            @if(session()->has('message'))
                <div class="mb-5">
                    @if(session()->get('status') == 'success')
                        <div role="alert" class="alert alert-success">{{ session()->get('message') }}</div>
                    @else
                        <div role="alert" class="alert alert-danger">{{ session()->get('message') }}</div>
                    @endif
                </div>
            @endif
            <div class="row">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-body">
                            @if (false)
                            <div class="form-container">
                                <form action="" method="get">
                                    @csrf
                                    <div class="row">
                                        <div class="col-md-3">
                                            <div class="form-group">
                                                <label for="benefit">Benefit <span class="required">*</span></label>
                                                <br>
                                                <select name="benefit[]" multiple="multiple" id="benefit" class="form-control select2" required>
                                                    @php
                                                        $benefit_option = old('benefit');
                                                        //if (!is_null($query)) {
                                                        // $applicant_option = $query;
                                                        //}
                                                    @endphp
                                                    {{--@if(sizeof($benefits) > 0)--}}
                                                        {{--<option value="all">All</option>--}}
                                                    {{--@endif--}}
                                                    @foreach($benefits as $key=>$benefit)
                                                        <option value="{{$key}}" {{ ($benefit_option == $key)?'selected':'' }}>{{$benefit}}</option>
                                                    @endforeach
                                                </select>
                                                @if ($errors->has('benefit'))
                                                    <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $errors->first('benefit') }}</strong>
                                                </span>
                                                @endif
                                            </div>
                                        </div>
                                        <div class="col-md-3">
                                            <div class="form-group">
                                                <label for="type">{{ __('Status') }}
                                                    <span class="required">*</span></label>
                                                <br>
                                                <select name="type" id="type" class="form-control select" required>
                                                    @php
                                                        $type_option = old('type');
                                                        //if (!is_null($query)) {
                                                        // $applicant_option = $query;
                                                        //}
                                                    @endphp
                                                    <option value="All" {{ ($type_option == "All")?'selected':'' }}>All</option>
                                                    <option value="Active" {{ ($type_option == "Active")?'selected':'' }}>Active</option>
                                                    <option value="Inactive" {{ ($type_option == "Inactive")?'selected':'' }}>Inactive</option>
                                                </select>
                                                @if ($errors->has('type'))
                                                    <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $errors->first('type') }}</strong>
                                                </span>
                                                @endif
                                            </div>
                                        </div>
                                        <div class="col-md-3">
                                            <div class="form-group">
                                                <label class="">{{ __('Dates') }}
                                                    <span class="required">*</span></label>
                                                <div class='input-group' id='kt_daterangepicker_2_modal'>
                                                    <input type='text' required class="form-control" name="date_range" readonly="readonly" placeholder="{{__('Select date range')}}" />
                                                    <div class="input-group-append">
                                                <span class="input-group-text">
                                                    <i class="la la-calendar"></i>
                                                </span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-1">
                                            <button type="submit" class="btn btn-success mt-9 btn-default">{{__('Submit')}}</button>
                                        </div>
                                        <div class="col-md-2 text-center">
                                            <div class="dropdown">
                                                <button class="btn btn-light-primary dropdown-toggle btn-default mt-9" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                    Actions
                                                </button>
                                                <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                                    <a href="javascript:;" class="dropdown-item" onclick="printMe();">Send Statement</a>
                                                    <a class="dropdown-item" href="javascript:;">i.fa.Generate PDF</a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </form>
                            </div>
                            @endif

                            <div id="printHere" class="result-container mt-7 p-30">
                                <div class="row mb-20">
                                    <div class="col-md-4">
                                        <address>
                                            <p class="font-weight-bolder">Alleviate</p>
                                            <p>Private Mail Box Rarotonga</p>
                                            <p>Rarotonga</p>
                                            <p>Cook Islands</p>
                                        </address>
                                    </div>
                                    <div class="col-md-4 text-center">
                                        <a href="javascript:;" class="brand-logo">
                                            <img alt="Logo" src="{{ asset(getProjectLogo()) }}" style="width: 120px;" class="mr-2"/>
                                        </a>
                                    </div>
                                    <div class="col-md-4 text-right">
                                        <h4>
                                            Statement Of Account
                                        </h4>
                                        <h6 class="text-muted">Account Activity</h6>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                    <p>Bill to</p>
                                        <p class="font-weight-bolder">{{$applicant_info->regID}}</p>
                                        <p>{{ $applicant_info->surnames.", ".$applicant_info->first_names." ".$applicant_info->other_names }}</p>
                                    </div>
                                    <div class="col-md-6 text-right">
                                        <table class="table table-borderless table-sm text-right">
                                            <tr>
                                                <td>From</td>
                                                <td width="200px">1 Mar 2022</td>
                                            </tr>
                                            <tr>
                                                <td>To</td>
                                                <td>10 Mar 2022</td>
                                            </tr>
                                        </table>

                                        <div class="separator separator-solid separator-border-2"></div>
                                        <br>

                                        <table class="table table-borderless table-sm text-right">
                                            <tr>
                                                <td>Opening balance on 1 Mar 2022 (USD)</td>
                                                <td width="200px">$0.00</td>
                                            </tr>
                                            <tr>
                                                <td>Invoiced</td>
                                                <td>$8,049.00</td>
                                            </tr>
                                            <tr>
                                                <td>Paid</td>
                                                <td>$3,050.00</td>
                                            </tr>
                                            <tr>
                                                <td>Refunded</td>
                                                <td>$0.00</td>
                                            </tr>
                                        </table>

                                        <table class="table table-borderless table-striped table-sm text-right font-weight-bolder">
                                            <tr>
                                                <td>Closing Balance on 10 Mar 2022 (USD)</td>
                                                <td width="200px">$4,999.00</td>
                                            </tr>
                                        </table>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-12">
                                        <div class="table-responsive">
                                            <table class="table table-head-custom table-vertical-center" id="kt_advance_table_widget_1">
                                                <thead>
                                                <tr class="text-left">
                                                    <th style="width: 200px" class="pl-3">Date</th>
                                                    <th styl="min-width: 150px" class="pl-3">Items</th>
                                                    <th style="width: 250px" class="text-right pr-3">Amount</th>
                                                    <th style="width: 200px" class="text-right pr-3">Balance</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                <tr>
                                                    <td class="text-dark-75 font-weight-bolder text-hover-primary mb-1 font-size-lg">
                                                        1 Mar 2021
                                                    </td>
                                                    <td>
                                                        <span class="text-dark-75 font-weight-bolder text-hover-primary mb-1 font-size-lg">Opening Balance</span>
                                                    </td>
                                                    <td class="text-right text-dark-75 font-weight-bolder text-hover-primary mb-1 font-size-lg">
                                                        $0.00
                                                    </td>
                                                    <td class="text-right text-dark-75 font-weight-bolder text-hover-primary mb-1 font-size-lg">
                                                        $0.00
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        26 Oct 2021
                                                    </td>
                                                    <td>
                                                        <a href="javascript:;" class="font-weight-bolder mb-1 font-size-lg">Invoice #284</a>
                                                        <span class="text-muted font-weight-bold text-muted d-block">Due 10 Nov 2021</span>
                                                    </td>
                                                    <td class="text-right">
                                                        $0.00
                                                    </td>
                                                    <td class="text-right">
                                                        $0.00
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        18 Feb 2022
                                                    </td>
                                                    <td>
                                                        payment made for <a href="javascript:;" class="font-weight-bolder  mb-1">Invoice #284</a>
                                                    </td>
                                                    <td class="text-right">
                                                        $3,050.99
                                                    </td>
                                                    <td class="text-right">
                                                        $4,999.99
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="text-dark-75 font-weight-bolder text-hover-primary mb-1 font-size-lg">
                                                        10 Mar 2022
                                                    </td>
                                                    <td>
                                                        <span class="text-dark-75 font-weight-bolder text-hover-primary mb-1 font-size-lg">Closing Balance</span>
                                                    </td>
                                                    <td class="text-right text-dark-75 font-weight-bolder text-hover-primary mb-1 font-size-lg">
                                                        $4,999.99
                                                    </td>
                                                    <td class="text-right text-dark-75 font-weight-bolder text-hover-primary mb-1 font-size-lg">
                                                        $4,999.99
                                                    </td>
                                                </tr>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                                <div class="row mt-7">
                                    <div class="col-6"></div>
                                    <div class="col-6">
                                        <table class="table table-borderless table-striped table-sm text-right font-weight-bolder">
                                            <tr>
                                                <td>Closing Balance on 10 Mar 2022 (USD)</td>
                                                <td width="200px">$4,999.00</td>
                                            </tr>
                                        </table>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    @push('vendor-scripts')
            <script src="{{ asset('assets/plugins/custom/datatables/datatables.bundle.js') }}"></script>
    @endpush
    @push('scripts')
        <script>
            $('#kt_daterangepicker_2_modal').daterangepicker({
                buttonClasses: ' btn',
                applyClass: 'btn-primary',
                cancelClass: 'btn-secondary'
            }, function(start, end, label) {
                $('#kt_daterangepicker_2_modal .form-control').val( start.format('MM-YYYY') + ' / ' + end.format('MM-YYYY'));
            });
            // function printMe() {
            //     var prtContent = document.getElementById("printHere");
            //     var WinPrint = window.open("",'title');
            //     WinPrint.document.write(prtContent.innerHTML);
            //     WinPrint.document.close();
            //     WinPrint.focus();
            //     WinPrint.print();
            //     WinPrint.close();
            // }

        </script>
    @endpush
</x-app-layout>
