@php
    if (auth()->user()->is_admin) {
        $route = 'applicant.updateApplicantRecord';
    }
    else {
        $route = 'customer.updateCustomerRecord';
    }
@endphp

{{-- Editing Modal --}}
<div class="modal fade" id="more-details" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog modal-dialog-scrollabl">
        <div class="modal-content text-start">
            <div class="modal-header p-lg-3 text-uppercase">
                <h5 class="modal-title" id="detail-title"></h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-content" id="details-body">

            </div>
        </div>
    </div>
</div>

{{-- Remove Modal --}}
<div class="modal fade" id="remove-record" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog modal-dialog-scrollabl">
        <div class="modal-content text-start">
            <div class="modal-header p-lg-3 text-uppercase">
                <h5 class="modal-title" id="remove-body-title"></h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-content" id="remove-body">

            </div>
        </div>
    </div>

</div>

{{-- Relationship Modal --}}
<div class="modal fade" id="add-family" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog modal-dialog-scrollabl">
        <div class="modal-content text-start">
            <div class="modal-header p-lg-3 text-uppercase">
                <h5 class="modal-title" id="exampleModalLiveLabel">New Relationship</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form action="{{route($route)}}" method="post" enctype="multipart/form-data">
                <div class="modal-body custom_scroll p-lg-3">
                    @csrf @method('PUT')
                    <input type="hidden" value="{{ cryptThis($applicant->id) }}" name="id">
                    <input type="hidden" value="family" name="form_type">
                    <div class="row">
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <select required class="form-control" name="type" id="type">
                                    <option value="">-- {{__('Choose')}} --</option>
                                    @foreach($family_list as $key=>$name)
                                        <option value="{{$name}}" {{(old('types') == $name)?'selected':''}}>{{$name}}</option>
                                    @endforeach
                                </select>
                                <label for="types">{{ __('Relationship') }} <span class="required">*</span></label>
                            </div>
                            @if ($errors->has('type'))
                                <span class="form-text text-danger" role="alert">
                                            <strong>{{ $errors->first('type') }}</strong>
                                        </span>
                            @endif
                        </div>
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <input type="text" required placeholder="Surname" class="form-control"
                                       style="" value="{{old('surname')}}" name="surname" id="surname">
                                <label for="surname">{{ __('Surname') }}
                                    <span class="required">*</span></label>
                            </div>
                            @if ($errors->has('surname'))
                                <span class="text-form text-danger" role="alert">
                                                            <strong>{{ $errors->first('surname') }}</strong>
                                                        </span>
                            @endif
                        </div>
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <input type="text" required placeholder="First Name" class="form-control"
                                       style="" value="{{old('first_name')}}" name="first_name" id="first_name">
                                <label for="first_name">{{ __('First Name') }}
                                    <span class="required">*</span></label>
                            </div>
                            @if ($errors->has('first_name'))
                                <span class="text-form text-danger" role="alert">
                                                            <strong>{{ $errors->first('first_name') }}</strong>
                                                        </span>
                            @endif
                        </div>
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <input type="text" placeholder="Other Name" class="form-control"
                                       style="" value="{{old('other_name')}}" name="other_name" id="other_name">
                                <label for="other_name">{{ __('Other Name') }}</label>
                            </div>
                            @if ($errors->has('other_name'))
                                <span class="text-form text-danger" role="alert">
                                                            <strong>{{ $errors->first('other_name') }}</strong>
                                                        </span>
                            @endif
                        </div>
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <input type="text" class="form-control datepicker" data-date-end-date="0d" required
                                       value="{{old('date_of_birth')}}" style="min-width: auto;"
                                       name="date_of_birth" id="date_of_birth" readonly="readonly" placeholder="Select date">
                                <label for="date_of_birth">Date Of Birth:
                                    <span class="required">*</span></label>
                            </div>
                            @if ($errors->has('date_of_birth'))
                                <span class="text-form text-danger" role="alert">
                                                                <strong>{{ $errors->first('date_of_birth') }}</strong>
                                                            </span>
                            @endif
                        </div>
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <select required class="form-control" name="id_type" id="id_type">
                                    <option value="">-- {{__('Choose')}} --</option>
                                    @foreach(getIdentificationType() as $key=>$name)
                                        <option value="{{$name}}" {{(old('id_type') == $name)?'selected':''}}>{{$name}}</option>
                                    @endforeach
                                </select>
                                <label for="id_type">{{ __('ID Type') }} <span class="required">*</span></label>
                            </div>
                            @if ($errors->has('id_type'))
                                <span class="form-text text-danger" role="alert">
                                            <strong>{{ $errors->first('id_type') }}</strong>
                                        </span>
                            @endif
                        </div>
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <input type="text" class="form-control"
                                       style="" value="{{old('dependent_reference_id')}}" name="dependent_reference_id" id="dependent_reference_id">
                                <label for="other_name">{{ __('Registration No.') }}</label>
                            </div>
                            @if ($errors->has('dependent_reference_id'))
                                <span class="text-form text-danger" role="alert">
                                                            <strong>{{ $errors->first('dependent_reference_id') }}</strong>
                                                        </span>
                            @endif
                        </div>
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <select name="is_dependant" id="is_dependant" required class="form-control">
                                    <option value="Yes" {{(old('is_dependant') == 1)?'selected':''}}>Yes</option>
                                    <option value="No" {{(old('is_dependant') == 0)?'selected':''}}>No</option>
                                </select>
                                <label for="is_dependant">{{ __('Is Dependant?') }}</label>
                            </div>
                            @if ($errors->has('is_dependant'))
                                <span class="text-form text-danger" role="alert">
                                                            <strong>{{ $errors->first('is_dependant') }}</strong>
                                                        </span>
                            @endif
                        </div>
                    </div>
                </div>
                <div class="card-footer text-end p-lg-3 text-uppercase">
                    <x-cancel class="ml-3"></x-cancel>
                    <x-submit class="ml-3"></x-submit>
                </div>
            </form>
        </div>
    </div>
</div>

{{-- Contact Modal --}}
<div class="modal fade" id="add-contact_details" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog modal-dialog-scrollabl">
        <div class="modal-content text-start">
            <div class="modal-header p-lg-3 text-uppercase">
                <h5 class="modal-title" id="exampleModalLiveLabel">New Contact</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form action="{{route($route)}}" method="post" enctype="multipart/form-data">
                <div class="modal-body custom_scroll p-lg-3">
                    @csrf @method('PUT')
                    <input type="hidden" value="{{ cryptThis($applicant->id) }}" name="id">
                    <input type="hidden" value="contact_details" name="form_type">
                    <div class="row">
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <select required class="form-select" onchange="resident()" style="width: 100%; " name="type" id="contact_type">
                                    <option value="">-- {{__('Choose')}} --</option>
                                    @foreach(getContactTypes() as $id=>$name)
                                        <option value="{{$id}}" @if(old('type') == $id) selected @endif>{{$name}}</option>
                                    @endforeach
                                </select>
                                <label for="type">Type <span class="required">*</span></label>
                            </div>
                            @if ($errors->has('type'))
                                <span class="text-form text-danger" role="alert">
                                                <strong>{{ $errors->first('type') }}</strong>
                                            </span>
                            @endif
                        </div>
                        <div class="col-md-12 mb-2 hidden pos_res">
                            <div class="form-floating">
                                <select required class="form-select select" style="width: 100%; " onchange="getContactStates()" name="contact_country" id="contact_country">
                                    <option value="">-- {{__('Choose')}} --</option>
                                    @foreach(getCountries() as $key=>$country)
                                        <option value="{{$country['id']}}" @selected(false)>{{ $country['country_name'] }}</option>
                                    @endforeach
                                </select>
                                <label for="contact_country">Country <span class="required">*</span></label>
                            </div>
                            @if ($errors->has('contact_country'))
                                <span class="text-form text-danger" role="alert">
                                    <strong>{{ $errors->first('contact_country') }}</strong>
                                </span>
                            @endif
                        </div>
                        <div class="col-md-12 mb-2 hidden pos_res">
                            <div class="form-floating">
                                <select required class="form-select select" disabled style="width: 100%;" name="contact_region" id="contact_region"
                                        onchange="getContactCities()">
                                    <option value="">-- {{__('Choose')}} --</option>
                                </select>
                                <label for="contact_region" id="contact_country_system">Location <span class="required">*</span></label>
                            </div>
                            @if ($errors->has('contact_region'))
                                <span class="text-form text-danger" role="alert">
                                    <strong>{{ $errors->first('contact_region') }}</strong>
                                </span>
                            @endif
                        </div>
                        <div class="col-md-12 mb-2 hidden pos_res">
                            <div class="form-floating">
                                <select required class="form-select select" disabled style="width: 100%;" name="contact_city" id="contact_city">
                                    <option value="">-- {{__('Choose')}} --</option>
                                </select>
                                <label for="contact_city" id="contact_state_system">Location <span class="required">*</span></label>
                            </div>
                            @if ($errors->has('contact_city'))
                                <span class="text-form text-danger" role="alert">
                                    <strong>{{ $errors->first('contact_city') }}</strong>
                                </span>
                            @endif
                        </div>
                        <div class="col-md-12 mb-2 hidden postal">
                            <div class="form-floating">
                                <input type="text" class="form-control" style="" name="postal_address" id="postal_address">
                                <label for="postal_address">{{ __('Postal Address') }}</label>
                            </div>
                            @if ($errors->has('postal_address'))
                                <span class="text-form text-danger" role="alert">
                                                <strong>{{ $errors->first('postal_address') }}</strong>
                                            </span>
                            @endif
                        </div>
                        <div class="col-md-12 mb-2 hidden pos_res">
                            <div class="form-floating">
                                <input type="text" class="form-control" style="" name="village" id="village">
                                <label for="village">{{ __('Village') }}</label>
                            </div>
                            @if ($errors->has('village'))
                                <span class="text-form text-danger" role="alert">
                                    <strong>{{ $errors->first('village') }}</strong>
                                </span>
                            @endif
                        </div>
                        <div class="col-md-12 mb-2 hidden residential">
                            <div class="form-floating">
                                <input type="text" class="form-control" style="" name="house_address" id="house_address">
                                <label for="house_address">{{ __('House Address') }}</label>
                            </div>
                            @if ($errors->has('house_address'))
                                <span class="text-form text-danger" role="alert">
                                    <strong>{{ $errors->first('house_address') }}</strong>
                                </span>
                            @endif
                        </div>
                        <div class="col-md-12 mb-2 hidden residential">
                            <div class="form-floating">
                                <input type="text" class="form-control" style="" name="landmark" id="landmark">
                                <label for="landmark">{{ __('Landmark') }}</label>
                            </div>
                            @if ($errors->has('landmark'))
                                <span class="text-form text-danger" role="alert">
                                    <strong>{{ $errors->first('landmark') }}</strong>
                                </span>
                            @endif
                        </div>
                        <div class="col-md-12 mb-2 hidden residential">
                            <div class="form-floating">
                                <input type="file" name="upload_residency" id="upload_residency" class="form-control">
                                <label for="upload_residency">Proof of Residency</label></label>
                            </div>
                            @if ($errors->has('upload_residency'))
                                <span class="text-form text-danger" role="alert">
                                                <strong>{{ $errors->first('upload_residency') }}</strong>
                                            </span>
                            @endif
                        </div>
                        <div class="col-md-12 mb-2 hidden telephone">
                            <div class="form-floating">
                                <input type="text" class="form-control" required style="" name="mobile" id="mobile">
                                <label for="mobile">{{ __("Mobile") }} <span class="required">*</span></label>
                            </div>
                            @if ($errors->has('mobile'))
                                <span class="text-form text-danger" role="alert">
                                                <strong>{{ $errors->first('mobile') }}</strong>
                                            </span>
                            @endif
                        </div>
                        <div class="col-md-12 mb-2 hidden email">
                            <div class="form-floating">
                                <input type="email" class="form-control" style="" name="email" id="email">
                                <label for="email">{{ __("Email") }}</label>
                            </div>
                            @if ($errors->has('email'))
                                <span class="text-form text-danger" role="alert">
                                                <strong>{{ $errors->first('email') }}</strong>
                                            </span>
                            @endif
                        </div>

                        @if(auth()->user()->is_admin)
                            <div class="col-md-12 mb-2 hidden household">
                                <div class="form-floating">
                                    <input type="text" class="form-control" style="" name="household_number" id="household_number">
                                    <label for="household_number">{{ __("Household Number") }}</label>
                                </div>
                                @if ($errors->has('household_number'))
                                    <span class="text-form text-danger" role="alert">
                                                <strong>{{ $errors->first('household_number') }}</strong>
                                            </span>
                                @endif
                            </div>
                            <div class="col-md-12 mb-2 hidden household">
                                <div class="form-floating">
                                    <select class="form-select" style="width: 100%; " name="is_household_head" id="is_household_head">
                                        <option value="0" @if(old('is_household_head') == 0) selected @endif>No</option>
                                        <option value="1" @if(old('is_household_head') == 1) selected @endif>Yes</option>
                                    </select>
                                    <label for="is_household_head">Is Household Head?</label>
                                </div>
                                @if ($errors->has('is_household_head'))
                                    <span class="text-form text-danger" role="alert">
                                                <strong>{{ $errors->first('is_household_head') }}</strong>
                                            </span>
                                @endif
                            </div>
                        @endif
                    </div>
                </div>
                <div class="card-footer text-end p-lg-3 text-uppercase">
                    <x-cancel class="ml-3"></x-cancel>
                    <x-submit class="ml-3"></x-submit>
                </div>
            </form>
        </div>
    </div>
</div>

{{-- Identification Modal --}}
<div class="modal fade" id="add-identification_details" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog modal-dialog-scrollabl">
        <div class="modal-content text-start">
            <div class="modal-header p-lg-3 text-uppercase">
                <h5 class="modal-title" id="exampleModalLiveLabel">New Identification</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form action="{{route($route)}}" method="post" enctype="multipart/form-data">
                <div class="modal-body custom_scroll p-lg-3">
                    @csrf @method('PUT')
                    <input type="hidden" value="{{ cryptThis($applicant->id) }}" name="id">
                    <input type="hidden" value="identification_details" name="form_type">
                    <div class="row">
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <select required class="form-control"
                                        style="width: 100%; " name="id_types" id="id_types">
                                    <option value="">-- {{__('Choose')}} --</option>
                                    @foreach(getIdentificationType() as $key=>$name)
                                        <option value="{{$name}}" @if(old('id_types') == $name) selected @endif>{{$name}}</option>
                                    @endforeach
                                </select>
                                <label for="id_types">ID Type <span class="required">*</span></label>
                            </div>
                            @if ($errors->has('id_types'))
                                <span class="text-form text-danger" role="alert">
                                                <strong>{{ $errors->first('id_types') }}</strong>
                                            </span>
                            @endif
                        </div>
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <input type="text" required placeholder="Primary ID No." class="form-control"
                                       style="" value="{{old('id_number')}}" name="id_number" id="id_number">
                                <label for="id_number">ID No<span class="required">*</span></label>
                            </div>
                            @if ($errors->has('id_number'))
                                <span class="text-form text-danger" role="alert">
                                <strong>{{ $errors->first('id_number') }}</strong>
                            </span>
                            @endif
                        </div>
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <input type="text" class="form-control datepicker" value="{{old('expiry')}}"
                                       name="expiry" id="expiry" readonly="readonly" placeholder="Select date">
                                <label for="expiry">Expiry</label>
                            </div>
                            @if ($errors->has('expiry'))
                                <span class="text-form text-danger" role="alert">
                                <strong>{{ $errors->first('expiry') }}</strong>
                            </span>
                            @endif
                        </div>
                        <div class="col-md-12 mb-2">
                            <div clas="form-floating">
                                <label for="document">Upload ID Document</label>
                                <input type="file" name="document" id="document" class="form-control">
                            </div>
                            @if ($errors->has('document'))
                                <span class="text-form text-danger" role="alert">
                                                <strong>{{ $errors->first('document') }}</strong>
                                            </span>
                            @endif
                        </div>
                    </div>
                </div>
                <div class="card-footer text-end p-lg-3 text-uppercase">
                    <x-cancel class="ml-3"></x-cancel>
                    <x-submit class="ml-3"></x-submit>
                </div>
            </form>
        </div>
    </div>
</div>

{{-- Marital Modal --}}
<div class="modal fade" id="add-marital_details" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog modal-dialog-scrollabl">
        <div class="modal-content text-start">
            <div class="modal-header p-lg-3 text-uppercase">
                <h5 class="modal-title" id="exampleModalLiveLabel">New Spouse</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form action="{{route($route)}}" method="post" enctype="multipart/form-data">
                <div class="modal-body custom_scroll p-lg-3">
                    @csrf @method('PUT')
                    <input type="hidden" value="{{ cryptThis($applicant->id) }}" name="id">
                    <input type="hidden" value="marital_details" name="form_type">
                    <div class="row">
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <select required class="form-control" name="marriage_status" onchange="maritalStatus()" id="marriage_status">
                                    <option value="">-- {{__('Choose')}} --</option>
                                    @foreach(getMaritalStatusType() as $key=>$name)
                                        <option value="{{$name}}" {{(old('marriage_status') == $name)?'selected':''}}>{{$name}}</option>
                                    @endforeach
                                </select>
                                <label for="marriage_status">{{ __('Marriage Status') }} <span class="required">*</span></label>
                            </div>
                            @if ($errors->has('marriage_status'))
                                <span class="form-text text-danger" role="alert">
                            <strong>{{ $errors->first('marriage_status') }}</strong>
                        </span>
                            @endif
                        </div>
                        <div class="col-md-12 mb-2 notSingle">
                            <div class="form-floating">
                                <input type="text" placeholder="{{ __('Spouse Reference ID') }}" class="form-control"
                                       style="" value="{{old('spouse_ref_id')}}" name="spouse_ref_id" id="spouse_ref_id">
                                <label for="spouse_ref_id">{{ __('Spouse Reference ID') }}</label>
                            </div>
                            @if ($errors->has('spouse_ref_id'))
                                <span class="text-form text-danger" role="alert">
                                                                        <strong>{{ $errors->first('spouse_ref_id') }}</strong>
                                                                    </span>
                            @endif
                        </div>
                        <div class="col-md-12 mb-2 notSingle">
                            <div class="form-floating">
                                <input type="text" required placeholder="Spouse Name" class="form-control"
                                       style="" value="{{old('spouse_name')}}" name="spouse_name" id="spouse_name">
                                <label for="spouse_name">{{ __('Spouse Name') }} <span class="required">*</span></label>
                            </div>
                            @if ($errors->has('spouse_name'))
                                <span class="text-form text-danger" role="alert">
                                                <strong>{{ $errors->first('spouse_name') }}</strong>
                                            </span>
                            @endif
                        </div>
                        <div class="col-md-12 mb-2 notSingle">
                            <div class="form-floating">
                                <select required class="form-control" name="marriage_type" id="marriage_type">
                                    <option value="">-- {{__('Choose')}} --</option>
                                    @foreach(getMaritalType() as $key=>$name)
                                        <option value="{{$name}}" {{(old('marriage_type') == $name)?'selected':''}}>{{$name}}</option>
                                    @endforeach
                                </select>
                                <label for="marriage_type">{{ __('Marriage Type') }} <span class="required">*</span></label>
                            </div>
                            @if ($errors->has('marriage_type'))
                                <span class="form-text text-danger" role="alert">
                            <strong>{{ $errors->first('marriage_type') }}</strong>
                        </span>
                            @endif
                        </div>
                        <div class="col-md-12 mb-2 notSingle">
                            <div class="form-floating">
                                <input type="text" class="form-control datepicker" required
                                       value="{{old('marriage_start_date')}}" style="min-width: auto;"  data-date-end-date="0d"
                                       name="marriage_start_date" id="marriage_start_date" readonly="readonly" placeholder="Select date">
                                <label for="marriage_start_date">Start Date <span class="required">*</span></label>
                            </div>
                            @if ($errors->has('marriage_start_date'))
                                <span class="form-text text-danger" role="alert">
                            <strong>{{ $errors->first('marriage_start_date') }}</strong>
                        </span>
                            @endif
                        </div>
                        <div class="col-md-12 mb-2 notSingle">
                            <div class="form-floating">
                                <input type="text" class="form-control datepicker"
                                       value="{{old('marriage_end_date')}}" style="min-width: auto;" data-date-end-date="0d"
                                       name="marriage_end_date" id="marriage_end_date" readonly="readonly" placeholder="Select date">
                                <label for="marriage_end_date">End Date</label>
                            </div>
                            @if ($errors->has('marriage_end_date'))
                                <span class="form-text text-danger" role="alert">
                            <strong>{{ $errors->first('marriage_end_date') }}</strong>
                        </span>
                            @endif
                        </div>
                    </div>
                </div>
                <div class="card-footer text-end p-lg-3 text-uppercase">
                    <x-cancel class="ml-3"></x-cancel>
                    <x-submit class="ml-3"></x-submit>
                </div>
            </form>
        </div>
    </div>
</div>

{{-- Employment Modal --}}
<div class="modal fade" id="add-employment_details" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog modal-dialog-scrollabl">
        <div class="modal-content text-start">
            <div class="modal-header p-lg-3 text-uppercase">
                <h5 class="modal-title" id="exampleModalLiveLabel">New Employment</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form action="{{route($route)}}" method="post" enctype="multipart/form-data">
                <div class="modal-body custom_scroll p-lg-3">
                    @csrf @method('PUT')
                    <input type="hidden" value="{{ cryptThis($applicant->id) }}" name="id">
                    <input type="hidden" value="employment_details" name="form_type">
                    <div class="row">
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <select class="form-control select" style="width: 100%; " name="employment_type" id="employment_type">
                                    <option value="">-- {{__('Choose')}} --</option>
                                    @foreach(getEmploymentType() as $key=>$name)
                                        <option value="{{$name}}" {{ (old('employment_type') == $name)?'selected':'' }}>{{$name}}</option>
                                    @endforeach
                                </select>
                                <label for="employment_type">{{ __("Type") }}</label>
                            </div>
                            @if ($errors->has('employment_type'))
                                <span class="text-form text-danger" role="alert">
                                <strong>{{ $errors->first('employment_type') }}</strong>
                            </span>
                            @endif
                        </div>
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <select class="form-control select" style="width: 100%; " name="employment_sector" id="employment_sector">
                                    <option value="">-- {{__('Choose')}} --</option>
                                    @foreach(getEmploymentSectorType() as $key=>$name)
                                        <option value="{{$name}}" {{ (old('employment_sector') == $name)?'selected':'' }}>{{$name}}</option>
                                    @endforeach
                                </select>
                                <label for="employment_sector">{{ __("Sector") }}</label>
                            </div>
                            @if ($errors->has('employment_sector'))
                                <span class="text-form text-danger" role="alert">
                            <strong>{{ $errors->first('employment_sector') }}</strong>
                        </span>
                            @endif
                        </div>
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <input class="form-control" style="" value="{{old('employer_name')}}" name="employer_name" id="employer_name">
                                <label for="employer_name">{{ __("Company Name") }}</label>
                            </div>
                            @if ($errors->has('employer_name'))
                                <span class="text-form text-danger" role="alert">
                                                <strong>{{ $errors->first('employer_name') }}</strong>
                                            </span>
                            @endif
                        </div>
{{--                        <div class="col-md-4 mb-2">--}}
{{--                            <div class="form-floating">--}}
{{--                                <input type="text" class="form-control" style="" value="{{old('employer_telephone')}}" name="employer_telephone" id="employer_telephone">--}}
{{--                                <label for="employer_telephone">{{ __("Telephone") }}</label>--}}
{{--                            </div>--}}
{{--                            @if ($errors->has('employer_telephone'))--}}
{{--                                <span class="form-text" role="alert">--}}
{{--                                <strong>{{ $errors->first('employer_telephone') }}</strong>--}}
{{--                            </span>--}}
{{--                            @endif--}}
{{--                        </div>--}}
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <input type="text" class="form-control" style="" value="{{old('employer_mobile')}}" name="employer_mobile" id="employer_mobile">
                                <label for="employer_mobile">{{ __("Mobile") }}</label>
                            </div>
                            @if ($errors->has('employer_mobile'))
                                <span class="form-text" role="alert">
                                <strong>{{ $errors->first('employer_mobile') }}</strong>
                            </span>
                            @endif
                        </div>
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <input type="email" class="form-control" style="" value="{{old('employer_email')}}" name="employer_email" id="employer_email">
                                <label for="employer_mobile">{{ __("Email") }}</label>
                            </div>
                            @if ($errors->has('employer_email'))
                                <span class="form-text" role="alert">
                                <strong>{{ $errors->first('employer_email') }}</strong>
                            </span>
                            @endif
                        </div>
{{--                        <div class="col-md-4 mb-2">--}}
{{--                            <div class="form-floating">--}}
{{--                                <select class="form-control select" style="width: 100%; " name="employer_island" id="employer_island">--}}
{{--                                    <option value="">-- {{__('Choose')}} --</option>--}}
{{--                                    @foreach(getLocations() as $key=>$name)--}}
{{--                                        <option value="{{$name}}" {{ (old('employer_island') == $name)?'selected':'' }}>{{$name}}</option>--}}
{{--                                    @endforeach--}}
{{--                                </select>--}}
{{--                                <label for="employer_island">{{ __("Location") }}</label>--}}
{{--                            </div>--}}
{{--                            @if ($errors->has('employer_island'))--}}
{{--                                <span class="text-form text-danger" role="alert">--}}
{{--                                <strong>{{ $errors->first('employer_island') }}</strong>--}}
{{--                            </span>--}}
{{--                            @endif--}}
{{--                        </div>--}}
{{--                        <div class="col-md-4 mb-2">--}}
{{--                            <div class="form-floating">--}}
{{--                                <input type="text" class="form-control" style="" value="{{old('employer_rmd')}}" name="employer_rmd" id="employer_rmd">--}}
{{--                                <label for="employer_rmd">{{ __("Company RMD No.") }}</label>--}}
{{--                            </div>--}}
{{--                            @if ($errors->has('employer_rmd'))--}}
{{--                                <span class="form-text" role="alert">--}}
{{--                                <strong>{{ $errors->first('employer_rmd') }}</strong>--}}
{{--                            </span>--}}
{{--                            @endif--}}
{{--                        </div>--}}
{{--                        <div class="col-md-4 mb-2">--}}
{{--                            <div class="form-floating">--}}
{{--                                <input type="text" class="form-control" style="" value="{{old('employer_bank_account_name')}}" name="employer_bank_account_name" id="employer_bank_account_name">--}}
{{--                                <label for="employer_bank_account_name">{{ __("Company Account Name") }}</label>--}}
{{--                            </div>--}}
{{--                            @if ($errors->has('employer_bank_account_name'))--}}
{{--                                <span class="form-text" role="alert">--}}
{{--                                <strong>{{ $errors->first('employer_bank_account_name') }}</strong>--}}
{{--                            </span>--}}
{{--                            @endif--}}
{{--                        </div>--}}
{{--                        <div class="col-md-4 mb-2">--}}
{{--                            <div class="form-floating">--}}
{{--                                <input type="text" class="form-control" style="" value="{{old('employer_bank_account_name')}}"--}}
{{--                                       name="employer_bank_account_number" id="employer_bank_account_number">--}}
{{--                                <label for="employer_bank_account_number">{{ __("Company Account No.") }}</label>--}}
{{--                            </div>--}}
{{--                            @if ($errors->has('employer_bank_account_number'))--}}
{{--                                <span class="form-text" role="alert">--}}
{{--                                <strong>{{ $errors->first('employer_bank_account_number') }}</strong>--}}
{{--                            </span>--}}
{{--                            @endif--}}
{{--                        </div>--}}
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <input type="text" class="form-control" style="" value="{{old('employer_postal_address')}}"
                                       name="employer_postal_address" id="employer_postal_address">
                                <label for="employer_postal_address">{{ __("Company Address") }}</label>
                            </div>
                            @if ($errors->has('employer_postal_address'))
                                <span class="form-text" role="alert">
                                <strong>{{ $errors->first('employer_postal_address') }}</strong>
                            </span>
                            @endif
                        </div>
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <input type="text" class="form-control" style="" value="{{old('employee_position')}}"
                                       name="employee_position" id="employee_position">
                                <label for="employee_position">{{ __("Position") }}</label>
                            </div>
                            @if ($errors->has('employee_position'))
                                <span class="form-text" role="alert">
                                <strong>{{ $errors->first('employee_position') }}</strong>
                            </span>
                            @endif
                        </div>
{{--                        <div class="col-md-4 mb-2">--}}
{{--                            <div class="form-floating">--}}
{{--                                <input type="text" class="form-control" style="" value="{{old('employee_manager')}}"--}}
{{--                                       name="employee_manager" id="employee_manager">--}}
{{--                                <label for="employee_manager">{{ __("Manager Name") }}</label>--}}
{{--                            </div>--}}
{{--                            @if ($errors->has('employee_manager'))--}}
{{--                                <span class="form-text" role="alert">--}}
{{--                                <strong>{{ $errors->first('employee_manager') }}</strong>--}}
{{--                            </span>--}}
{{--                            @endif--}}
{{--                        </div>--}}
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <input type="text" class="form-control datepicker" data-date-end-date="0d" autocomplete="off" value="{{old('employment_start_date')}}"
                                       name="employment_start_date" id="employment_start_date" style="min-width: auto;">
                                <label for="employment_start_date">{{ __("Employment Start") }}</label>
                            </div>
                            @if ($errors->has('employment_start_date'))
                                <span class="form-text" role="alert">
                                <strong>{{ $errors->first('employment_start_date') }}</strong>
                            </span>
                            @endif
                        </div>
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <input type="text" class="form-control datepicker" autocomplete="off" value="{{old('employment_end_date')}}"
                                       name="employment_end_date" id="employment_end_date" style="min-width: auto;">
                                <label for="employment_end_date">{{ __("Employment End") }}</label>
                            </div>
                            @if ($errors->has('employment_end_date'))
                                <span class="form-text" role="alert">
                                <strong>{{ $errors->first('employment_end_date') }}</strong>
                            </span>
                            @endif
                        </div>
                    </div>
                </div>
                <div class="card-footer text-end p-lg-3 text-uppercase">
                    <x-cancel class="ml-3"></x-cancel>
                    <x-submit class="ml-3"></x-submit>
                </div>
            </form>
        </div>
    </div>
</div>

{{-- Bank Account Modal --}}
<div class="modal fade" id="add-account_details" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog modal-dialog-scrollabl">
        <div class="modal-content text-start">
            <div class="modal-header p-lg-3 text-uppercase">
                <h5 class="modal-title" id="exampleModalLiveLabel">Merchant Account Details</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form action="{{route($route)}}" method="post" enctype="multipart/form-data">
                <div class="modal-body custom_scroll p-lg-3">
                    @csrf @method('PUT')
                    <input type="hidden" value="{{ cryptThis($applicant->id) }}" name="id">
                    <input type="hidden" value="account_details" name="form_type">
                    <div class="row">
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <select class="form-select" style="width: 100%; " onchange="getMerchantsTypes()" required name="country" id="merchant_country">
                                    <option value="">-- {{__('Choose')}} --</option>
                                    @foreach(getMerchantCountries() as $key=>$name)
                                        <option value="{{$name['id']}}" @selected(auth()->user()->country_id == $name['id'])>{{$name['country']}}</option>
                                    @endforeach
                                </select>
                            <label for="merchant_country">{{ __("Country") }}  <span class="required">*</span></label>
                            </div>
                            @if ($errors->has('country'))
                                <span class="form-text text-danger" role="alert">
                                    <strong>{{ $errors->first('country') }}</strong>
                                </span>
                            @endif
                        </div>
                        <!--<div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <select class="form-select" style="width: 100%;" required onchange="getMerchants()" name="account_type" id="account_type">
                                    <option value="">-- {{__('Choose')}} --</option>
{{--                                    @foreach(getMerchantTypes() as $key=>$name)--}}
{{--                                        <option value="{{$key}}" {{ (old('account_type') == $name)?'selected':'' }}>{{$name}}</option>--}}
{{--                                    @endforeach--}}
                                </select>
                            <label for="account_type">{{ __("Merchant Type") }}  <span class="required">*</span></label>
                            </div>
                            @if ($errors->has('account_type'))
                                <span class="form-text text-danger" role="alert">
                                    <strong>{{ $errors->first('account_type') }}</strong>
                                </span>
                            @endif
                        </div>
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <select class="form-select select" onchange="getMerchantBranches()" disabled required style="width: 100%; " name="bank_name" id="bank_name">
                                    <option value="">-- {{__('Choose')}} --</option>
{{--                                    @foreach(getBanks() as $key=>$name)--}}
{{--                                        <option value="{{$key}}" {{ (old('bank_name') == $key)?'selected':'' }}>{{$name}}</option>--}}
{{--                                    @endforeach--}}
                                </select>
                                <label for="bank_name">{{ __("Merchant Name") }}  <span class="required">*</span></label>
                            </div>
                            @if ($errors->has('bank_name'))
                                <span class="form-text text-danger" role="alert">
                                    <strong>{{ $errors->first('bank_name') }}</strong>
                                </span>
                            @endif
                        </div>
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <select class="form-select" style="width: 100%; " name="branch" disabled required id="branch">
                                    <option value="">-- {{__('Choose Branch')}} --</option>
                                </select>
                                <label for="branch">{{ __("Merchant Branch") }}  <span class="required">*</span></label>
                            </div>
                            @if ($errors->has('branch'))
                                <span class="form-text text-danger" role="alert">
                                    <strong>{{ $errors->first('branch') }}</strong>
                                </span>
                            @endif
                        </div>-->
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <select name="account_type" required onchange="fetch_banks(this.value)" style="width:100%;"  class="form-select" id="account_type">
                                    <option value="">-- {{__('Choose')}} --</option>
                                    @foreach (config('settings.merchant_types') as $key=>$value)
                                        <option value="{{ $key }}"{{ (old('account_type') == $value)?'selected':'' }}>{{ $value }}</option>
                                    @endforeach
                                </select>
                                <label for="account_type">{{ __("Merchant Type") }}  <span class="required">*</span></label>
                            </div>
                            @if ($errors->has('account_type'))
                                <span class="form-text text-danger" role="alert">
                                    <strong>{{ $errors->first('account_type') }}</strong>
                                </span>
                            @endif
                        </div>
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <select name="bank_name" required disabled onchange="fetch_branches(this.value)" style="width:100%;"  class="form-select" id="bank_name">
                                    <option value="">-- {{__('Choose')}} --</option>
                                    
                                </select>
                                <label for="bank_name">{{ __("Merchant Name") }}  <span class="required">*</span></label>
                            </div>
                            @if ($errors->has('bank_name'))
                                <span class="form-text text-danger" role="alert">
                                    <strong>{{ $errors->first('account_type') }}</strong>
                                </span>
                            @endif
                        </div>
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <select class="form-select" style="width: 100%; " name="branch" disabled required id="branch">
                                    <option value="">-- {{__('Choose Branch')}} --</option>
                                </select>
                                <label for="branch">{{ __("Merchant Branch") }}  <span class="required">*</span></label>
                            </div>
                            @if ($errors->has('branch'))
                                <span class="form-text text-danger" role="alert">
                                    <strong>{{ $errors->first('branch') }}</strong>
                                </span>
                            @endif
                        </div>
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <input type="text" required placeholder="Account Number" name="account_number" id="account_number"
                                       class="form-control" value="{{old('account_number')}}">
                                <label for="account_number">{{ __("Account Number") }}  <span class="required">*</span></label>
                            </div>
                            @if ($errors->has('account_number'))
                                <span class="form-text text-danger" role="alert">
                                    <strong>{{ $errors->first('account_number') }}</strong>
                                </span>
                            @endif
                        </div>
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <input type="text" required name="account_holder_name" placeholder="Account Owner" id="account_holder_name"
                                       class="form-control" value="{{old('account_holder_name')}}">
                                <label for="account_holder_name">{{ __("Account Owner") }}  <span class="required">*</span></label>
                            </div>
                            @if ($errors->has('account_holder_name'))
                                <span class="form-text text-danger" role="alert">
                                    <strong>{{ $errors->first('account_holder_name') }}</strong>
                                </span>
                            @endif
                        </div>
                        <div class="col-md-12 mb-2">
                            <label for="bank_name">{{ __("Proof Of Account") }}</label>
                            <input type="file" name="upload_account" id="upload_account" class="form-control">
                            @if ($errors->has('upload_account'))
                                <span class="form-text text-danger" role="alert">
                                    <strong>{{ $errors->first('upload_account') }}</strong>
                                </span>
                            @endif
                        </div>
                    </div>
                </div>
                <div class="card-footer text-end p-lg-3 text-uppercase">
                    <x-cancel class="ml-3"></x-cancel>
                    <x-submit class="ml-3"></x-submit>
                </div>
            </form>
        </div>
    </div>
</div>

{{-- Health Modal --}}
<div class="modal fade" id="add-health_details" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog modal-dialog-scrollabl">
        <div class="modal-content text-start">
            <div class="modal-header p-lg-3 text-uppercase">
                <h5 class="modal-title" id="exampleModalLiveLabel">New Health State</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form action="{{route($route)}}" method="post" enctype="multipart/form-data">
                <div class="modal-body custom_scroll p-lg-3">
                    @csrf @method('PUT')
                    <input type="hidden" value="{{ cryptThis($applicant->id) }}" name="id">
                    <input type="hidden" value="health_details" name="form_type">
                    <div class="row">
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <select class="form-control select" required style="width: 100%; " name="health_type" id="health_type">
                                    <option value="">-- {{__('Choose')}} --</option>
                                    @foreach(getImpairmentType() as $key=>$name)
                                        <option value="{{$name}}" {{ (old('health_type')== $name)?'selected':'' }}>{{$name}}</option>
                                    @endforeach
                                </select>
                                <label for="health_type">{{ __("Health State") }}  <span class="required">*</span></label>
                            </div>
                            @if ($errors->has('health_type'))
                                <span class="form-text text-danger" role="alert">
                                <strong>{{ $errors->first('health_type') }}</strong>
                            </span>
                            @endif
                        </div>
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <input type="text" readonly name="date_started" id="date_started" data-date-end-date="0d"
                                       class="form-control datepicker" value="{{old('date_started')}}">
                                <label for="date_started">{{ __("Date Started") }}</label>
                            </div>
                            @if ($errors->has('date_started'))
                                <span class="form-text text-danger" role="alert">
                                <strong>{{ $errors->first('date_started') }}</strong>
                            </span>
                            @endif
                        </div>
                        <div class="col-md-12 mb-2">
                            <div class="form-floating">
                                <input type="text" name="confirmed_by" id="confirmed_by"
                                       class="form-control" value="{{old('confirmed_by')}}">
                                <label for="confirmed_by">{{ __("Hospital Confirmed") }}</label>
                            </div>
                            @if ($errors->has('confirmed_by'))
                                <span class="form-text text-danger" role="alert">
                                <strong>{{ $errors->first('confirmed_by') }}</strong>
                            </span>
                            @endif
                        </div>
                        <div class="col-md-12 mb-2">
                            <label for="supporting_document">{{ __("Supporting Document") }}</label>
                            <input type="file" name="supporting_document" id="supporting_document" class="form-control">
                            @if ($errors->has('supporting_document'))
                                <span class="form-text text-danger" role="alert">
                                <strong>{{ $errors->first('supporting_document') }}</strong>
                            </span>
                            @endif
                        </div>
                    </div>
                </div>
                <div class="card-footer text-end p-lg-3 text-uppercase">
                    <x-cancel class="ml-3"></x-cancel>
                    <x-submit class="ml-3"></x-submit>
                </div>
            </form>
        </div>
    </div>
</div>

<script>
    $(document).ready(function(){
        maritalStatus();
    });

    function maritalStatus() {
        var marriage_status = $('select#marriage_status').val();
        if(marriage_status === 'Single') {
            $('#spouse_name').prop('required',false);
            $('#marriage_type').prop('required',false);
            $('#marriage_start_date').prop('required',false);
            $('.notSingle').hide();
        }
        else {
            $('#spouse_name').prop('required',true);
            $('#marriage_type').prop('required',true);
            $('#marriage_start_date').prop('required',true);
            $('.notSingle').show();
        }
    }

    function getMerchantsTypes() {
        let merchant_country = $('select#merchant_country').val();
        $.get(BASE_URL+"api/get-types-only-country/"+merchant_country, function(data, status){
            $('#account_type').html('<option value="">-- Choose --</option>');
            let types = data.data;
            $.each(types, function (index, value) {
                Object.keys(value).forEach(function (key) {
                    $('#account_type').append($('<option/>', {
                        value: key,
                        text : value[key]
                    })).prop('disabled',false);
                });
            });

        });
    }

    function getMerchants() {
        let account_type = $('select#account_type').val();
        $.get(BASE_URL+"api/get-merchant-by-type/"+account_type, function(data, status){
            $('#bank_name').html('<option value="">-- Choose --</option>').prop('disabled',false);
            let banks = data.data;

            $.each(banks, function (index, value) {
                $('#bank_name').append($('<option/>', {
                    value: value.id,
                    text : value.name
                }));
            });
        });
    }

    function getMerchantBranches() {
        let bank_name = $('select#bank_name').val();
        $.get(BASE_URL+"api/get-merchant-branches/"+bank_name, function(data, status){
            $('#branch').html('<option value="">-- Choose --</option>').prop('disabled',false);
            let branches = data.data;

            $.each(branches, function (index, value) {
                $('#branch').append($('<option/>', {
                    value: value.id,
                    text : value.name
                }));
            });
        });
    }

    function getContactStates() {
        let country = $('select#contact_country').val();
        $.get(BASE_URL+"api/get-country-states/"+country, function(data, status){
            $('#contact_region').html('<option value="">-- Choose --</option>');
            let states = data.data.states;

            let country = data.data.country;
            $('#contact_country_system').text(country.system);
            $.each(states, function (index, value) {
                $('#contact_region').append($('<option/>', {
                    value: value.id,
                    text : value.name
                })).prop('disabled',false);
            });
        });
    }

    function getContactCities() {
        let state = $('select#contact_region').val();
        $.get(BASE_URL+"api/get-state-counties/"+state, function(data, status){
            $('#contact_city').html('<option value="">-- Choose --</option>');
            let counties = data.data.counties;
            $.each(counties, function (index, value) {
                $('#contact_city').append($('<option/>', {
                    value: value.id,
                    text : value.name
                })).prop('disabled',false);
            });
        });
    }
    function fetch_banks(merchant_type){
        $.get('/get-banks-by-merchant-type/'+merchant_type, function(banks){
            $('#bank_name').empty()
            $('#bank_name').append('<option></option>')
            $.each(banks, function (index, value) {
                $('#bank_name').append($('<option/>', {
                    value: value.id,
                    text : value.name
                })).prop('disabled',false);
            });
        })
    }
    function fetch_branches(merchant_id){
        $.get('/get-merchant-branches/'+merchant_id, function(branches){
            $('#branch').empty()
            $('#branch').append('<option></option>')
            $.each(branches, function (index, value) {
                $('#branch').append($('<option/>', {
                    value: value.id,
                    text : value.name
                })).prop('disabled',false);
            });
        })
    }

</script>
