<x-guest-layout>
    <!-- start: page body -->

    <div class="col-lg-6 d-flex justify-content-center align-items-center">

        <div class="card shadow-sm w-100 p-4 p-md-5" style="max-width: 32rem;">
            <!-- Form -->
            <div class="mb-4 text-center">
                <img class="me-2" src="{{ asset('images/icons/Alleviate.png')}}" alt="{{env('APP_NAME')}}"
                     height="80px">
                {{--                <img class="me-2" src="{{ setAppDefault('app_logo')}}" alt="Image Description" height="80px">--}}
            </div>

            {{--                <div class="col-12 text-center mb-2">--}}
            {{--                    <h5>@lang('auth.sign-in')</h5>--}}
            {{--                    <span class="text-muted">To {{setAppDefault('app_project_name')}} Portal</span>--}}
            {{--                </div>--}}

            <div class="col-12 text-center mb-3">
                @component('components.announcement')@endcomponent
                <!-- Session Status -->
                <x-auth-session-status class="mb-4" :status="session('status')"/>
                <!-- Validation Errors -->
                <x-auth-validation-errors class="mb-4" :errors="$errors"/>
            </div>

            {{--                <div class="card">--}}
            {{--                    <div class="card-header">--}}
            {{--                        <h6 class="card-title mb-0">Tab Option 2</h6>--}}
            {{--                    </div>--}}
            <div class="text-center">
                <div class="tab-content">
                    <ul class="nav nav-tabs tab-page-toolbar rounded d-inline-flex mb-3" role="tablist">
                        <li class="nav-item"><a class="nav-link border-0 active" data-bs-toggle="tab"
                                                href="#beneficiary" role="tab">{{__('Beneficiary')}}</a></li>
                        <li class="nav-item"><a class="nav-link border-0" data-bs-toggle="tab" href="#admin"
                                                role="tab">{{__('Organization')}}</a></li>
                    </ul>
                    <div class="tab-pane fade show active text-start" id="beneficiary" role="tabpanel">
                        <div class="mb-0">
                            <form class="" action="{{route('customer.access')}}" method="POST">@csrf
                                <div class="mb-2">
                                    <div class="form-check form-check-inline">
                                        <input class="form-check-input" onchange="switchMode()" type="radio" checked
                                               name="sign_method" id="s_phone" value="phone">
                                        <label class="form-check-label"
                                               for="s_phone">@lang('auth.use-phone-number')</label>
                                    </div>
                                    <div class="form-check form-check-inline">
                                        <input class="form-check-input" onchange="switchMode()"
                                               @if(old('sign_method') == 'email') checked @endif type="radio"
                                               name="sign_method" id="s_email"
                                               value="email">
                                        <label class="form-check-label" for="s_email">@lang('auth.use-email')</label>
                                    </div>
                                </div>
                                <div id="use_phone">
                                    <div class="form-floating mb-3">
                                        <select type="text" class="form-select" name="call_code" id="call_code"
                                                required>
                                            <option value="">{{__('Choose')}}</option>
                                            @foreach(getCountries() as $key=>$country)
                                                <option value="+{{$country['phone_code']}}">{{$country['country_name']}}</option>
                                            @endforeach
                                        </select>
                                        <label for="call_code">{{__('Country Code')}}</label>
                                    </div>

                                    <div class="input-group has-validation mb-3 disabled">
                                        <span class="input-group-text bg-white text-center"
                                              style="font-size: 14px; min-width: 60px"
                                              id="inputGroupPrepend">+000</span>
                                        <input type="text" class="form-control" style="height:65px;display: block"
                                               name="phone" id="phone" autocomplete="off"
                                               value="{{old('phone')}}" aria-describedby="inputGroupPrepend"
                                               placeholder="050137893" required>
                                    </div>
                                </div>

                                <div class="form-floating mb-3" id="use_email" style="display: none">
                                    <input type="email" class="form-control" disabled name="email" required id="email"
                                           autocomplete="off"
                                           value="{{old('email')}}"
                                           placeholder="user@email.com">
                                    <label for="email">@lang('auth.email')</label>
                                </div>
                                <div class="form-floating mb-2">
                                    <input type="password" class="form-control" required placeholder="Password"
                                           id="password" name="password">
                                    <label for="password">@lang('auth.enter-password')</label>
                                </div>

                                <div class="row">
                                    <div class="col-6">
                                        <div class="form-check">
                                            <input class="form-check-input" type="checkbox" value=""
                                                   id="flexCheckDefault">
                                            <label class="form-check-label" for="flexCheckDefault"> Remember me </label>
                                        </div>
                                    </div>
                                    <div class="col-6 text-end">
                                        <label class="mb-2"><a
                                                    href="{{route('customer.forgotPassword')}}">@lang('auth.forgot-password')
                                                ?</a></label>
                                    </div>
                                    <div class="col-12">
                                        <div class="mt-2 mb-2">
                                            @if(env('SYSTEM_DEBUG_MODE',false))
                                                <div class="col-12">
                                                    <span class="dividers text-muted mt-4 mb-2">Demo Accounts</span>
                                                    <div class="text-center mb-3">
                                                        <a href="javascript:void(0)" onclick="demoBeneficiaryLink()"
                                                           class="mr-3">{{__('Demo Linked')}}</a>
                                                        <span class="mr-2 ml-2"> | </span>
                                                        <a href="javascript:void(0)" onclick="demoBeneficiary()"
                                                           class="mr-3">{{__('Demo New')}}</a>
                                                    </div>
                                                </div>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="col-12 mb-2">
                                        <button class="w-100 btn btn-lg btn-primary"
                                                type="submit">@lang('auth.sign-in')</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                    <div class="tab-pane fade" id="admin" role="tabpanel">
                        <div class="mb-0 text-start">
                            <form method="POST" action="{{ route('login') }}">
                                @csrf
                                <div class="col-12">
                                    <div class="form-floating mb-3">
                                        <x-input id="admin-email" type="email" class="mb-3" name="email"
                                                 :value="old('email')" required/>
                                        <x-label for="admin-email" :value="__('Email Address')"/>
                                    </div>
                                </div>

                                <div class="col-12">
                                    <div class="form-floating mb-3">
                                        <input type="password" id="admin-password" name="password"
                                               class="form-control form-control-lg mb-3" placeholder="***************">
                                        <label for="admin-password">{{__('Password')}}</label>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-6">
                                        <div class="form-check">
                                            <input class="form-check-input" type="checkbox" value=""
                                                   id="flexCheckDefault">
                                            <label class="form-check-label" for="flexCheckDefault"> Remember me </label>
                                        </div>
                                    </div>
                                    <div class="col-6 text-end">
                                        @if (Route::has('password.request'))
                                            <a class="text-primary" href="{{ route('password.request') }}">
                                                {{ __('Forgot Password?') }}
                                            </a>
                                        @endif
                                    </div>
                                </div>
                                @if(env('SYSTEM_DEBUG_MODE',false))
                                    <div class="col-12">
                                        <span class="dividers text-muted mt-4 mb-2">Demo Accounts</span>
                                        <div class="text-center mb-3">
                                            <a href="javascript:void(0)" onclick="fillCredentials(1)" class="mr-3">Administrator</a>
                                            <span class="mr-2 ml-2"> | </span>
                                            <a href="javascript:void(0)" onclick="fillCredentials(2)">Staff</a>
                                        </div>
                                    </div>
                                @endif

                                <div class="col-12 mb-3">
                                    <button class="w-100 btn btn-lg btn-primary"
                                            type="submit">@lang('auth.sign-in')</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-12 text-start">
                <div class="row">
                    <div class="col-12">
                        <small class="text-muted">{{__('Don\'t have an account?')}} <a href="{{route('signUp')}}"
                                                                                       class="text-primary">@lang('auth.sign-up-now')</a>.</small>

                    </div>
                </div>
                {{--                <div class="dropdown morphing scale-left Language mb-2">--}}
                {{--                    <span class="me-2">{{__('Language')}}:</span> <a class="mb-2 dropdown-toggle after-none" href="#" role="button" data-bs-toggle="dropdown">--}}
                {{--                        <span class="flag-icon flag-icon-{{(App::currentLocale() == 'en')?'gb':App::currentLocale()}} me-2"></span>{{strtoUpper(App::currentLocale())}}--}}
                {{--                    </a>--}}
                {{--                    <div class="dropdown-menu rounded-4 shadow border-0 p-0" data-bs-popper="none">--}}
                {{--                        <div class="card">--}}
                {{--                            <div class="list-group list-group-custom" style="width: 200px;">--}}
                {{--                                @foreach (config('app.languages') as $language=>$code )--}}
                {{--                                    <a href="{{route('language',[$code])}}" class="list-group-item"><span class="flag-icon flag-icon-{{($code == 'en')?'gb':$code}} me-2"></span>{{$language}}</a>--}}
                {{--                                @endforeach--}}
                {{--                            </div>--}}
                {{--                        </div>--}}
                {{--                    </div>--}}
                {{--                </div>--}}
            </div>

            {{--            <div class="col-12 text-center mt-3">--}}
            {{--                {!! setAppDefault('app_copyright') !!}--}}
            {{--            </div>--}}
        </div>
    </div>
    <script>
        $('select#call_code').on('change', function () {
            $('#inputGroupPrepend').text($(this).find(':selected').val());

        })
    </script>
    <script>
        $('document').ready(function () {
            switchMode();
        });

        function switchMode() {
            var method = $('input[name="sign_method"]:checked').val();
            if (method == 'phone') {
                $('#use_phone').css('display', 'block');
                $('input#phone').attr({disabled: false, required: true});
                $('select#call_code').attr({disabled: false, required: true});
                $('#use_email').css('display', 'none');
                $('input#email').attr({disabled: true, required: false});
            } else {
                $('#use_phone').css('display', 'none');
                $('input#phone').attr({disabled: true, required: false});
                $('select#call_code').attr({disabled: true, required: false});
                $('#use_email').css('display', 'block');
                $('input#email').attr({disabled: false, required: true});
            }
        }

        @if(env('SYSTEM_DEBUG_MODE',false))
        function fillCredentials(id) {
            if (id === 1) {
                $('#admin-email').val('admin@bewsys.dev');
                $('#admin-password').val('password');
            } else {
                $('#admin-email').val('');
                $('#admin-password').val('');
            }
        }

        function demoBeneficiary() {
            $('#email').val('beneficiary@bewsys.com');
            $('#phone').val('0501375124');
            $('#password').val('password');
        }

        function demoBeneficiaryLink() {
            $('#email').val('user@bewsys.dev');
            $('#phone').val('0501375100');
            $('#password').val('password');
        }
        @endif
    </script>
    <script>
    </script>
</x-guest-layout>
