<x-guest-layout>
    <!-- start: page body -->

    <div class="col-lg-6 d-flex justify-content-center align-items-center">

        <div class="card shadow-sm w-100 p-4 p-md-5" style="max-width: 32rem;">
            <!-- Form -->
            <div class="mb-4 text-center">
                <img class="me-2" src="{{ asset('images/icons/Alleviate.png')}}" alt="{{env('APP_NAME')}}"
                     height="120px">
                {{--                <img class="me-2" src="{{ setAppDefault('app_logo')}}" alt="Image Description" height="80px">--}}
            </div>

            {{--                <div class="col-12 text-center mb-2">--}}
            {{--                    <h5>@lang('auth.sign-in')</h5>--}}
            {{--                    <span class="text-muted">To {{setAppDefault('app_project_name')}} Portal</span>--}}
            {{--                </div>--}}

            <div class="col-12 text-center mb-3">
                @component('components.announcement')@endcomponent
                <!-- Session Status -->
                <x-auth-session-status class="mb-4" :status="session('status')"/>
                <!-- Validation Errors -->
                <x-auth-validation-errors class="mb-4" :errors="$errors"/>
            </div>

            {{--                <div class="card">--}}
            {{--                    <div class="card-header">--}}
            {{--                        <h6 class="card-title mb-0">Tab Option 2</h6>--}}
            {{--                    </div>--}}
            @if (env('HIDE_GOOGLE_LOGIN_BTN')==false)
            <div class="col-12 text-center mb-4">
                <a class="btn btn-l btn-outline-secondary btn-block" href="{{route('socialRedirect',['login'])}}">
                    <span class="d-flex justify-content-center align-items-center">
                      <img class="avatar xs me-2" src="./assets/img/google.svg" alt="Google image"> Log in using Google </span>
                </a>
                <span class="dividers text-muted mt-4">OR</span>
            </div>
            @endif
            <form method="POST" action="{{ route('login') }}">
                @csrf
                <input type="hidden" name="sign_method" id="sign_method" value="phone">
                <div class="text-center">
                    <div class="tab-content">
                        <ul class="nav nav-tabs tab-page-toolbar rounded d-inline-flex mb-3" role="tablist">
                            <li class="nav-item"><a class="nav-link border-0 active" data-bs-toggle="tab" href="#email-tab"
                                                    onclick="switchMode('email')" role="tab">{{__('Email Address')}}</a>
                            </li>
                            <li class="nav-item"><a class="nav-link border-0" data-bs-toggle="tab"
                                                    href="#phone-tab" onclick="switchMode('phone')"
                                                    role="tab">{{__('Phone Number')}}</a></li>
                        </ul>
                        <div class="tab-pane fade text-start" id="phone-tab" role="tabpanel">
                            <div class="mb-0">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-floating mb-3">
                                            <select type="text" class="form-select" name="call_code" id="call_code"
                                                    required>
                                                <option value="">{{__('Choose')}}</option>
                                                @foreach(getCountries() as $key=>$country)
                                                    <option value="+{{$country['phone_code']}}">{{$country['country_name']}}</option>
                                                @endforeach
                                            </select>
                                            <label for="call_code">{{__('Phone Country')}}</label>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <fieldset class="form-icon-group left-icon position-relative mb-3">
                                            <input type="text" class="form-control"
                                                   style="height:58px;display: block;padding-left: 3rem;" name="phone"
                                                   id="phone" autocomplete="off"
                                                   value="{{old('phone')}}" aria-describedby="code"
                                                   placeholder="050137893" required>
                                            <div class="form-icon position-absolute ms-1 pe-0 me-0"
                                                 style="width: 45px;margin-top:1px" id="code">
                                                +000
                                            </div>
                                        </fieldset>
                                    </div>
                                </div>

                                {{--                                <div class="input-group has-validation mb-3 disabled">--}}
                                {{--                                    <span class="input-group-text bg-white text-center" style="font-size: 14px; min-width: 60px" id="code">+000</span>--}}
                                {{--                                    <input type="text" class="form-control"  style="height:65px;display: block" name="phone" id="phone" autocomplete="off"--}}
                                {{--                                           value="{{old('phone')}}" aria-describedby="code"  placeholder="050137893" required>--}}
                                {{--                                </div>--}}

                            </div>
                        </div>
                        <div class="tab-pane fade show active" id="email-tab" role="tabpanel">
                            <div class="mb-0 text-start">
                                <input type="hidden" name="sign_method" value="email">
                                <div class="col-12">
                                    <div class="form-floating mb-3">
                                        <x-input id="email" type="email" class="mb-3" name="email" :value="old('email')"
                                                 required/>
                                        <x-label for="email" :value="__('Email Address')"/>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="form-floating mb-2">
                            <input type="password" class="form-control" required placeholder="Password" id="password"
                                   name="password">
                            <label for="password">@lang('auth.enter-password')</label>
                        </div>
                    </div>
                    <div class="row text-start">
                        <div class="col-6">
                            <div class="form-check">
                                <input class="form-check-input" name="remember" type="checkbox" value="1" id="remember">
                                <label class="form-check-label" for="remember"> Remember me </label>
                            </div>
                        </div>
                        <div class="col-6 text-end">
                            <label class="mb-2"><a
                                        href="{{route('password.request')}}">@lang('auth.forgot-password')
                                    ?</a></label>
                        </div>
                    </div>
                    <div class="col-12">
                        <div class="mt-2 mb-2">
                            @if(env('SYSTEM_DEBUG_MODE',false))
                                <div class="col-12">
                                    <span class="dividers text-muted mt-4 mb-2">Demo Accounts</span>
                                    <div class="text-center mb-3">
                                        <a href="javascript:void(0)" onclick="adminCredentials()" class="mr-3">Administrator</a>
                                        <span class="mr-2 ml-2"> | </span>
                                        <a href="javascript:void(0)" onclick="demoBeneficiaryLink()"
                                           class="mr-3">{{__('Active Member')}}</a>
                                        <span class="mr-2 ml-2"> | </span>
                                        <a href="javascript:void(0)" onclick="demoBeneficiary()"
                                           class="mr-3">{{__('New Member')}}</a>
                                    </div>
                                </div>
                            @endif
                        </div>
                    </div>
                    <div class="col-12 mb-3">
                        <button class="w-100 btn btn-lg btn-primary" type="submit">@lang('auth.sign-in')</button>
                    </div>
                </div>
            </form>
            <div class="col-12 text-start">
                <div class="row">
                    @if (env('HIDE_SIGNUP')==false)

                    <div class="col-12">
                        <small class="text-muted">{{__('Don\'t have an account?')}} <a href="{{route('signUp')}}"
                        class="text-primary">@lang('auth.sign-up-now')</a>.</small>
                    </div>
                        
                    @endif
                    
                </div>
                {{--                <div class="dropdown morphing scale-left Language mb-2">--}}
                {{--                    <span class="me-2">{{__('Language')}}:</span> <a class="mb-2 dropdown-toggle after-none" href="#" role="button" data-bs-toggle="dropdown">--}}
                {{--                        <span class="flag-icon flag-icon-{{(App::currentLocale() == 'en')?'gb':App::currentLocale()}} me-2"></span>{{strtoUpper(App::currentLocale())}}--}}
                {{--                    </a>--}}
                {{--                    <div class="dropdown-menu rounded-4 shadow border-0 p-0" data-bs-popper="none">--}}
                {{--                        <div class="card">--}}
                {{--                            <div class="list-group list-group-custom" style="width: 200px;">--}}
                {{--                                @foreach (config('app.languages') as $language=>$code )--}}
                {{--                                    <a href="{{route('language',[$code])}}" class="list-group-item"><span class="flag-icon flag-icon-{{($code == 'en')?'gb':$code}} me-2"></span>{{$language}}</a>--}}
                {{--                                @endforeach--}}
                {{--                            </div>--}}
                {{--                        </div>--}}
                {{--                    </div>--}}
                {{--                </div>--}}
            </div>

            {{--            <div class="col-12 text-center mt-3">--}}
            {{--                {!! setAppDefault('app_copyright') !!}--}}
            {{--            </div>--}}
        </div>
    </div>
    <script>
        $('select#call_code').on('change', function () {
            $('#code').text($(this).find(':selected').val());

        })
    </script>
    <script>
        $('document').ready(function () {
            switchMode('email');
        });

        function switchMode(method) {
            if (method === 'phone') {
                $('input#phone').attr({disabled: false, required: true});
                $('select#call_code').attr({disabled: false, required: true});
                $('input#email').attr({disabled: true, required: false});
                $('input#sign_method').val(method);
            } else {
                $('input#phone').attr({disabled: true, required: false});
                $('select#call_code').attr({disabled: true, required: false});
                $('input#email').attr({disabled: false, required: true});
                $('input#sign_method').val(method);
            }
        }

        @if(env('SYSTEM_DEBUG_MODE',false))
        function adminCredentials() {
            $('#email').val('admin@bewsys.dev');
            $('#password').val('password');
            $('#phone').val('0501075124');
            $('#call_code').val('+233');
            $('#code').text('+233');
        }

        function demoBeneficiary() {
            $('#email').val('beneficiary@bewsys.com');
            $('#phone').val('0501375124');
            $('#password').val('password');
            $('#call_code').val('+233');
            $('#code').text('+233');
        }

        function demoBeneficiaryLink() {
            $('#email').val('user@bewsys.dev');
            $('#phone').val('0501375100');
            $('#password').val('password');
            $('#call_code').val('+233');
            $('#code').text('+233');
        }
        @endif
    </script>
    <script>
    </script>
</x-guest-layout>
