<x-guest-layout>
    <!-- start: page body -->

    <div class="col-lg-6 d-flex justify-content-center align-items-center">

        <div class="card shadow-sm w-100 p-4 p-md-5" style="max-width: 32rem;">
            <!-- Form -->
            <div class="mb-2 text-center">
                <img class="me-2" src="{{ asset('images/icons/Alleviate.png')}}" alt="Alleviate Logo" height="80px">
                {{--                <img class="me-2" src="{{ setAppDefault('app_logo')}}" alt="Image Description" height="80px">--}}
            </div>

            <div class="col-12 text-center mb-3">
                @component('components.announcement')@endcomponent
                <!-- Session Status -->
                {{--                <x-auth-session-status class="mb-2" :status="session('status')" />--}}
                <!-- Validation Errors -->
                <x-auth-validation-errors class="mb-2" :errors="$errors"/>
            </div>

            @if(request()->get('user-type') == 'organization')
                <form method="POST" action="{{ route('register') }}">
                    <input type="hidden" name="user_type" value="{{request()->get('user-type')}}">
                    @csrf
                    <div class="row">
                        <div class="col-12 text-center mb-4">
                            <a class="btn btn-l btn-outline-secondary btn-block"
                               href="{{route('socialRedirect',['organization'])}}">
                                <span class="d-flex justify-content-center align-items-center">
                              <img class="avatar xs me-2" src="./assets/img/google.svg" alt="Google image"> Log in using Google </span>
                            </a>
                            <span class="dividers text-muted mt-4">OR</span>
                        </div>
                        <div class="col-md-12">
                            <div class="mt-2">
                                <x-input id="firstname" :placeholder="__('First Name')" class="block mt-1 w-full"
                                         type="text" name="firstname" :value="old('firstname')" required autofocus/>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="mt-2">
                                <x-input id="surname" :placeholder="__('Surname')" class="block mt-1 w-full" type="text"
                                         name="surname" :value="old('surname')" required autofocus/>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <!-- Email Address -->
                            <div class="mt-2">
                                <x-input id="email" class="block mt-1 w-full" :placeholder="__('Email')" type="email"
                                         name="email" :value="old('email')" required/>
                            </div>
                        </div>

                        <div class="col-md-12">
                            <div class="mt-2">
                                <x-input id="password" class="block mt-1 w-full" type="password" name="password"
                                         :placeholder="__('Password')" required autocomplete="off"/>
                            </div>
                        </div>

                        <div class="col-md-12">
                            <div class="mt-2">
                                <x-input id="password_confirmation" class="block mt-1 w-full" type="password"
                                         name="password_confirmation"
                                         :placeholder="__('Confirm Password')" required autocomplete="off"/>
                            </div>
                        </div>

                        <div class="col-12 mt-3">
                            <div class="form-check">
                                <input class="form-check-input" name="terms_acceptance" required type="checkbox"
                                       value="1" id="terms_acceptance">
                                <label class="form-check-label" for="terms_acceptance">
                                    I accept the <a href="#">Terms</a> and <a
                                            href="#">Privacy Policy</a>
                                </label>
                            </div>
                        </div>
                        <div class="col-12 text-center mt-2">
                            <x-button class="mt-2 rounded btn-primary btn-lg btn-block" style="width:100%">
                                {{ __('Sign Up') }}
                            </x-button>
                        </div>
                    </div>

                </form>
            @elseif(request()->get('user-type') == 'beneficiary')
                <form method="POST" action="{{ route('customer.create') }}" class="p-2">
                    @csrf
                    <input name="call_code" id="call_code" type="hidden" value="">
                    {{--                    <div class="mb-4 text-center">--}}
                    {{--                        <img class="me-2" src="{{ getProjectLogo()}}" alt="Image Description" height="80px">--}}
                    {{--                    </div>--}}
                    <div class="mb-1 text-center">
                        <h4>@lang('auth.sign-up')</h4>
                        {{--                        <span class="text-muted">{{__('To').' '.setAppDefault('app_project_name').__('Portal')}}</span>--}}
                    </div>
                    <div class="row">
                        <div class="col-12 text-center mb-4">
                            <a class="btn btn-l btn-outline-secondary btn-block"
                               href="{{route('socialRedirect',['beneficiary'])}}">
                                <span class="d-flex justify-content-center align-items-center">
                                <img class="avatar xs me-2" src="./assets/img/google.svg" alt="Google image"> Log in using Google </span>
                            </a>
                            <span class="dividers text-muted mt-4">OR</span>
                        </div>
                        <div class="col-md-12">
                            <div class="form-floating mb-3">
                                <input type="text" name="name" required id="name" class="form-control required"
                                       value="{{old('name')}}" placeholder="Doe">
                                <label for="name">{{__('Surname')}} *</label>
                            </div>
                            @error('name')
                            <p class="text-start">
                                <span class="text-warning form-text">{{ $errors->first('name') }}</span>
                            </p>
                            @enderror
                        </div>
                        <div class="col-md-12">
                            <div class="form-floating mb-3">
                                <input type="text" name="firstname" required id="firstname"
                                       class="form-control required"
                                       value="{{old('firstname')}}" placeholder="John">
                                <label for="firstname">{{__('First Name')}} *</label>
                            </div>
                            @error('firstname')
                            <p class="text-start">
                                <span class="text-warning form-text">{{ $errors->first('firstname') }}</span>
                            </p>
                            @enderror
                        </div>
                        <div class="col-md-12">
                            <div class="form-floating mb-3">
                                <select type="text" class="form-select" name="country" id="country" required>
                                    <option value="">{{__('Choose')}}</option>
                                    @foreach(getCountries() as $key=>$country)
                                        <option value="{{$country['id']}}"
                                                data-call="+{{$country['phone_code']}}">{{$country['country_name']}}</option>
                                    @endforeach
                                </select>
                                <label for="country">{{__('Country')}}</label>
                            </div>
                            @error('country')
                            <p class="text-start">
                                <span class="text-warning form-text">{{ $errors->first('country') }}</span>
                            </p>
                            @enderror
                        </div>
                        <div class="col-md-12">
                            <div class="input-group has-validation mb-3 disabled">
                                <span class="input-group-text bg-white text-center"
                                      style="font-size: 14px; min-width: 60px" id="inputGroupPrepend">+000</span>
                                <input type="text" class="form-control" disabled="disabled" name="phone" id="phone"
                                       autocomplete="off"
                                       value="{{old('phone')}}" style="height:65px;"
                                       aria-describedby="inputGroupPrepend" required>
                            </div>
                            @error('phone')
                            <p class="text-start">
                                <span class="text-warning form-text">{{ $errors->first('phone') }}</span>
                            </p>
                            @enderror
                        </div>
                        {{--                        <div class="col-md-12">--}}
                        {{--                            <div class="form-floating mb-3">--}}
                        {{--                                <input type="email" name="email" id="email" class="form-control"--}}
                        {{--                                       value="{{old('email')}}" placeholder="name@example.com">--}}
                        {{--                                <label for="email">{{__('Email')}}</label>--}}
                        {{--                            </div>--}}
                        {{--                            @error('email')--}}
                        {{--                            <p class="text-start">--}}
                        {{--                                <span class="text-warning form-text">{{ $errors->first('email') }}</span>--}}
                        {{--                            </p>--}}
                        {{--                            @enderror--}}
                        {{--                        </div>--}}
                        {{--                        <div class="col-md-6">--}}
                        {{--                            <div class="form-floating mb-3">--}}
                        {{--                                <input type="password" name="password" id="password" class="form-control required" placeholder="Password">--}}
                        {{--                                <label for="password">{{__('Password')}} *</label>--}}
                        {{--                            </div>--}}
                        {{--                            @error('password')--}}
                        {{--                            <p class="text-start">--}}
                        {{--                                <span class="text-warning form-text">{{ $errors->first('password') }}</span>--}}
                        {{--                            </p>--}}
                        {{--                            @enderror--}}
                        {{--                        </div>--}}
                        {{--                        <div class="col-md-6">--}}
                        {{--                            <div class="form-floating mb-3">--}}
                        {{--                                <x-input id="password_confirmation" class="block w-full"--}}
                        {{--                                         type="password"--}}
                        {{--                                         name="password_confirmation" required />--}}
                        {{--                                <x-label for="password_confirmation" :value="__('Confirm Password')" />--}}
                        {{--                            </div>--}}
                        {{--                        </div>--}}
                    </div>
                    {{--                    <div class="dropdown morphing scale-right Language mb-2">--}}
                    {{--                        <span class="me-2">{{__('Language')}}:</span>--}}
                    {{--                        <a class="dropdown-toggle after-none" href="#" role="button" data-bs-toggle="dropdown">--}}
                    {{--                            <span class="flag-icon flag-icon-{{(App::currentLocale() == 'en')?'gb':App::currentLocale()}} me-2"></span>{{strtoUpper(App::currentLocale())}}--}}
                    {{--                        </a>--}}
                    {{--                        <div class="dropdown-menu rounded-4 shadow border-0 p-0" data-bs-popper="none">--}}
                    {{--                            <div class="card">--}}
                    {{--                                <div class="list-group list-group-custom" style="width: 200px;">--}}
                    {{--                                    @foreach (config('app.languages') as $language=>$code )--}}
                    {{--                                        <a href="{{route('language',[$code])}}" class="list-group-item"><span class="flag-icon flag-icon-{{($code == 'en')?'gb':$code}} me-2"></span>{{$language}}</a>--}}
                    {{--                                    @endforeach--}}
                    {{--                                </div>--}}
                    {{--                            </div>--}}
                    {{--                        </div>--}}
                    {{--                    </div>--}}
                    <div class="text-muted small mb-3">
                        <label>{{__('By clicking on the Sign Up, you have accepted all our terms and conditions.')}}</label>
                    </div>

                    <button class="w-100 btn btn-lg btn-primary mb-2" type="submit">{{__('Sign Up')}}</button>

                    {{--                    <div class="text-muted mb-3">--}}
                    {{--                        <label>{{__('I already have an account.')}} <a href="{{route('login')}}">{{__('Log In')}}</a></label>--}}
                    {{--                    </div>--}}
                </form>
            @else
                <div class="mb-4 text-center w-100">
                    <div class="tab-content w-100">
                        <ul class="nav nav-tabs tab-page-toolbar rounded d-inline-flex mb-3" role="tablist">
                            <li class="nav-item"><a class="nav-link border-0 active" data-bs-toggle="tab"
                                                    href="#organization" role="tab">{{__('Organisation')}}</a></li>
                            <li class="nav-item"><a class="nav-link border-0" data-bs-toggle="tab" href="#beneficiary"
                                                    role="tab">{{__('Beneficiary')}}</a></li>
                            {{--                            <li class="nav-item"><a class="nav-link border-0" data-bs-toggle="tab" href="#admin" role="tab">{{__('Employee')}}</a></li>--}}
                        </ul>
                        <div class="tab-pane fade text-start show active" id="organization" role="tabpanel">
                            <div class="mb-0">
                                <div class="card mb-3">
                                    <div class="card-body">
                                        <h6 class="mb-2">{{__('Sign up as an organization to')}}</h6>
                                        <ul class="list-unstyled">
                                            <li class="d-flex mb-2">
                                                <div class=""><i class="bi-check-circle-fill text-success"></i></div>
                                                <div class="flex-fill ms-3">
                                                    <span class="small text-muted">{{__('To alleviate poverty by providing resources and support to those in need.')}}</span>
                                                </div>
                                            </li>
                                            <li class="d-flex mb-2">
                                                <div class=""><i class="bi-check-circle-fill text-success"></i></div>
                                                <div class="flex-fill ms-3">
                                                    <span class="small text-muted">{{__('To streamline your operations as an NGO')}}</span>
                                                </div>
                                            </li>
                                        </ul>
                                    </div>
                                </div>
                                <div class="text-center">
                                    <a href="{{route('signUp',['user-type'=>'organization'])}}"
                                       class="btn btn-primary btn-sm w-100 text-center">{{__('Next')}}</a>
                                </div>
                            </div>
                        </div>
                        <div class="tab-pane fade text-start" id="beneficiary" role="tabpanel">
                            <div class="mb-0">
                                <div class="card mb-3">
                                    <div class="card-body">
                                        <h6 class="mb-2">{{__('Sign up as a beneficiary to')}}</h6>
                                        <ul class="list-unstyled">
                                            <li class="d-flex mb-2">
                                                <div class=""><i class="bi-check-circle-fill text-success"></i></div>
                                                <div class="flex-fill ms-3">
                                                    <span class="small text-muted">{{__('Join our community and unlock opportunities for financial assistance, education, and empowerment.')}}</span>
                                                </div>
                                            </li>
                                            <li class="d-flex mb-">
                                                <div class=""><i class="bi-check-circle-fill text-success"></i></div>
                                                <div class="flex-fill ms-3">
                                                    <span class="small text-muted">{{__('Receive targeted support, and participate in tailored programs designed to enhance your well-being and contribute to your overall financial security')}}</span>
                                                </div>
                                            </li>
{{--                                            <li class="d-flex mb-2">--}}
{{--                                                <div class=""><i class="bi-check-circle-fill text-success"></i></div>--}}
{{--                                                <div class="flex-fill ms-3">--}}
{{--                                                    <span class="small text-muted">{{__('Avoid transfer fees with 7+ payment options')}}</span>--}}
{{--                                                </div>--}}
{{--                                            </li>--}}
                                        </ul>
                                    </div>
                                </div>
                                <div class="text-center">
                                    <a href="{{route('signUp',['user-type'=>'beneficiary'])}}"
                                       class="btn btn-primary btn-sm w-100 text-center">{{__('Next')}}</a>
                                </div>
                            </div>
                        </div>
                        {{--                        <div class="tab-pane fade text-start" id="admin" role="tabpanel">--}}
                        {{--                            <div class="mb-0">--}}
                        {{--                                <div class="card">--}}
                        {{--                                    <div class="card-body">--}}
                        {{--                                        <h6 class="mb-2">--}}
                        {{--                                            <i class="bi-exclamation-circle-fill text-dark"></i>--}}
                        {{--                                            {{__('Keep an eye on your inbox!')}}--}}
                        {{--                                        </h6>--}}
                        {{--                                        <span class="small text-muted">{{__('Please sign up to Alleviate via the link in the email invitation from your organization. We\'re looking forward to seeing you soon.')}}</span>--}}
                        {{--                                    </div>--}}
                        {{--                                </div>--}}
                        {{--                            </div>--}}
                        {{--                        </div>--}}
                    </div>
                </div>
            @endif
            <div class="col-md-7 text-left mt-2">
                <a class="underline text-sm text-gray-600 hover:text-gray-900" href="{{route('login')}}">
                    {{ __('Already Registered?') }} {{ __('Login') }}
                </a>
            </div>
            {{--            <div class="col-12 text-center">--}}
            {{--                <div class="dropdown morphing scale-left Language mb-2">--}}
            {{--                    <span class="me-2">{{__('Language')}}:</span> <a class="mb-2 dropdown-toggle after-none" href="#" role="button" data-bs-toggle="dropdown">--}}
            {{--                        <span class="flag-icon flag-icon-{{(App::currentLocale() == 'en')?'gb':App::currentLocale()}} me-2"></span>{{strtoUpper(App::currentLocale())}}--}}
            {{--                    </a>--}}
            {{--                    <div class="dropdown-menu rounded-4 shadow border-0 p-0" data-bs-popper="none">--}}
            {{--                        <div class="card">--}}
            {{--                            <div class="list-group list-group-custom" style="width: 200px;">--}}
            {{--                                @foreach (config('app.languages') as $language=>$code )--}}
            {{--                                    <a href="{{route('language',[$code])}}" class="list-group-item"><span class="flag-icon flag-icon-{{($code == 'en')?'gb':$code}} me-2"></span>{{$language}}</a>--}}
            {{--                                @endforeach--}}
            {{--                            </div>--}}
            {{--                        </div>--}}
            {{--                    </div>--}}
            {{--                </div>--}}
            {{--            </div>--}}

            <div class="col-12 text-center mt-3">
                {!! setAppDefault('app_copyright') !!}
            </div>
        </div>
    </div>
    @push('scripts')
        <script>
            $('select#country').on('change', function () {
                let call_code = $(this).find(':selected').attr("data-call");
                let country = $(this).val();
                console.log(country);
                $('#inputGroupPrepend').text(call_code);
                $('input#call_code').val(call_code);
                if (country > 0) {
                    $('input#phone').prop('disabled', false);
                } else {
                    $('input#phone').prop('disabled', true);
                }

            })
        </script>
    @endpush
</x-guest-layout>
