<x-app-layout>
    @push('vendor-css')
        <link rel="stylesheet" href="{{ asset('assets/plugins/custom/datatables/datatables.bundle.css') }}">
    @endpush
    <x-slot name="page_title">
        {{$page_title}}
    </x-slot>
    <x-slot name="breadcrumb">
        <ul class="breadcrumb breadcrumb-transparent breadcrumb-dot font-weight-bold p-0 my-2 font-size-sm">
            <li class="breadcrumb-item text-muted">
                <a href="{{ route('dashboard') }}" class="text-muted">{{ __('Dashboard') }}</a>
            </li>
            <li class="breadcrumb-item text-muted">
                <a href="{{ route('beneficiaries.list') }}" class="text-muted">{{ __('List of Beneficiaries') }}</a>
            </li>
            <li class="breadcrumb-item text-muted">
                <a href="javascript:;" class="text-muted">{{$page_title}}</a>
            </li>
        </ul>
    </x-slot>

        {{--<div class="row mb-5">--}}
            {{--<div class="col-md-12">--}}
                {{--<div class="card card-custom">--}}
                    {{--<div class="card-header">--}}
                        {{--<h3 class="card-title">{{ __('Information') }}</h3>--}}
                    {{--</div>--}}
                    {{--<div class="card-body">--}}
                        {{--<div class="mb-5"><p class='text-warning'><em> {{ checkEligibility($beneficiary) }}</em></p></div>--}}
                        {{--{!! $render_form['form_view'] !!}--}}
                    {{--</div>--}}
                {{--</div>--}}
            {{--</div>--}}
        {{--</div>--}}
        <!--begin::Accordion-->
        <div class="accordion accordion-solid accordion-panel accordion-svg-toggle mt-8" id="view_audit">
            <div class="card">
                <div class="card-header" id="application_process_log">
                    <div class="card-title" data-toggle="collapse" data-target="#application_info_collapse">
                        <div class="card-label font-weight-bolder ">{{ __('Application Information') }}</div>
                        <span class="svg-icon">
                            <!--begin::Svg Icon | path:assets/media/svg/icons/Navigation/Angle-double-right.svg-->
                            <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24px" height="24px" viewBox="0 0 24 24" version="1.1">
                                <g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
                                    <polygon points="0 0 24 0 24 24 0 24" />
                                    <path d="M12.2928955,6.70710318 C11.9023712,6.31657888 11.9023712,5.68341391 12.2928955,5.29288961 C12.6834198,4.90236532 13.3165848,4.90236532 13.7071091,5.29288961 L19.7071091,11.2928896 C20.085688,11.6714686 20.0989336,12.281055 19.7371564,12.675721 L14.2371564,18.675721 C13.863964,19.08284 13.2313966,19.1103429 12.8242777,18.7371505 C12.4171587,18.3639581 12.3896557,17.7313908 12.7628481,17.3242718 L17.6158645,12.0300721 L12.2928955,6.70710318 Z" fill="#000000" fill-rule="nonzero" />
                                    <path d="M3.70710678,15.7071068 C3.31658249,16.0976311 2.68341751,16.0976311 2.29289322,15.7071068 C1.90236893,15.3165825 1.90236893,14.6834175 2.29289322,14.2928932 L8.29289322,8.29289322 C8.67147216,7.91431428 9.28105859,7.90106866 9.67572463,8.26284586 L15.6757246,13.7628459 C16.0828436,14.1360383 16.1103465,14.7686056 15.7371541,15.1757246 C15.3639617,15.5828436 14.7313944,15.6103465 14.3242754,15.2371541 L9.03007575,10.3841378 L3.70710678,15.7071068 Z" fill="#000000" fill-rule="nonzero" opacity="0.3" transform="translate(9.000003, 11.999999) rotate(-270.000000) translate(-9.000003, -11.999999)" />
                                </g>
                            </svg>
                            <!--end::Svg Icon-->
                        </span>
                    </div>
                </div>
                <div id="application_info_collapse" class="collapse show" data-parent="#view_audit">
                    <div class="card-body">
                        <div class="mb-5"><p class='text-warning'><em> {{ checkEligibility($beneficiary) }}</em></p></div>
                        {!! $render_form['form_view'] !!}
                    </div>
                </div>
            </div>
            @if(isset($audit))
            <div class="card">
                <div class="card-header" id="application_process_log">
                    <div class="card-title collapsed" data-toggle="collapse" data-target="#application_history_collapse">
                        <div class="card-label font-weight-bolder ">{{ __('Application History') }}</div>
                        <span class="svg-icon">
                            <!--begin::Svg Icon | path:assets/media/svg/icons/Navigation/Angle-double-right.svg-->
                            <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24px" height="24px" viewBox="0 0 24 24" version="1.1">
                                <g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
                                    <polygon points="0 0 24 0 24 24 0 24" />
                                    <path d="M12.2928955,6.70710318 C11.9023712,6.31657888 11.9023712,5.68341391 12.2928955,5.29288961 C12.6834198,4.90236532 13.3165848,4.90236532 13.7071091,5.29288961 L19.7071091,11.2928896 C20.085688,11.6714686 20.0989336,12.281055 19.7371564,12.675721 L14.2371564,18.675721 C13.863964,19.08284 13.2313966,19.1103429 12.8242777,18.7371505 C12.4171587,18.3639581 12.3896557,17.7313908 12.7628481,17.3242718 L17.6158645,12.0300721 L12.2928955,6.70710318 Z" fill="#000000" fill-rule="nonzero" />
                                    <path d="M3.70710678,15.7071068 C3.31658249,16.0976311 2.68341751,16.0976311 2.29289322,15.7071068 C1.90236893,15.3165825 1.90236893,14.6834175 2.29289322,14.2928932 L8.29289322,8.29289322 C8.67147216,7.91431428 9.28105859,7.90106866 9.67572463,8.26284586 L15.6757246,13.7628459 C16.0828436,14.1360383 16.1103465,14.7686056 15.7371541,15.1757246 C15.3639617,15.5828436 14.7313944,15.6103465 14.3242754,15.2371541 L9.03007575,10.3841378 L3.70710678,15.7071068 Z" fill="#000000" fill-rule="nonzero" opacity="0.3" transform="translate(9.000003, 11.999999) rotate(-270.000000) translate(-9.000003, -11.999999)" />
                                </g>
                            </svg>
                            <!--end::Svg Icon-->
                        </span>
                    </div>
                </div>
                <div id="application_history_collapse" class="collapse" data-parent="#view_audit">
                    <div class="card-body">
                        <div class="table-responsive">
                            <!--begin: Datatable-->
                            <table class="table table-bordered table-sm table-head-custom" id="application_history"
                                   style="margin-top: 13px !important;">
                                <thead>
                                <tr>
                                    <th style="width: 100px;">{{ __('Benefit Type') }}</th>
                                    <th style="width: 100px;">{{ __('Added By') }}</th>
                                    <th style="width: 100px;">{{ __('Created On') }}</th>
                                    <th style="width: 100px;">{{ __('Last Modified By') }}</th>
                                    <th style="width: 100px;">{{ __('Last Modified On') }}</th>
                                    <th style="width: 100px;">{{ __('Status') }}</th>
{{--                                    <th style="width: 100px;">{{ __('Action') }}</th>--}}
                                </tr>
                                </thead>
                                <tbody>
                                @foreach($applications as $application)
                                    <tr>
                                        <td>{{ ucwords($application->form->benefit->titles) }}</td>
                                        <td>{{ ucwords($application->addedBy->name) }}</td>
                                        <td>{{ date('d M, Y H:i:s', strtotime($application->created_at)) }}</td>
                                        <td>{{ ucwords($application->modifiedBy->name) }}</td>
                                        <td>{{ date('d M, Y H:i:s', strtotime($application->updated_at)) }}</td>
                                        <td>{!! getVerificationLabel($application->status) !!}</td>
                                    </tr>
                                @endforeach
                                </tbody>
                            </table>
                            <!--end: Datatable-->
                        </div>
                    </div>
                </div>
            </div>
            <div class="card">
                <div class="card-header" id="application_process_lo">
                    <div class="card-title collapsed" data-toggle="collapse" data-target="#payment_history_collapse">
                        <div class="card-label font-weight-bolder ">{{ __('Payment History') }}</div>
                        <span class="svg-icon">
                            <!--begin::Svg Icon | path:assets/media/svg/icons/Navigation/Angle-double-right.svg-->
                            <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24px" height="24px" viewBox="0 0 24 24" version="1.1">
                                <g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
                                    <polygon points="0 0 24 0 24 24 0 24" />
                                    <path d="M12.2928955,6.70710318 C11.9023712,6.31657888 11.9023712,5.68341391 12.2928955,5.29288961 C12.6834198,4.90236532 13.3165848,4.90236532 13.7071091,5.29288961 L19.7071091,11.2928896 C20.085688,11.6714686 20.0989336,12.281055 19.7371564,12.675721 L14.2371564,18.675721 C13.863964,19.08284 13.2313966,19.1103429 12.8242777,18.7371505 C12.4171587,18.3639581 12.3896557,17.7313908 12.7628481,17.3242718 L17.6158645,12.0300721 L12.2928955,6.70710318 Z" fill="#000000" fill-rule="nonzero" />
                                    <path d="M3.70710678,15.7071068 C3.31658249,16.0976311 2.68341751,16.0976311 2.29289322,15.7071068 C1.90236893,15.3165825 1.90236893,14.6834175 2.29289322,14.2928932 L8.29289322,8.29289322 C8.67147216,7.91431428 9.28105859,7.90106866 9.67572463,8.26284586 L15.6757246,13.7628459 C16.0828436,14.1360383 16.1103465,14.7686056 15.7371541,15.1757246 C15.3639617,15.5828436 14.7313944,15.6103465 14.3242754,15.2371541 L9.03007575,10.3841378 L3.70710678,15.7071068 Z" fill="#000000" fill-rule="nonzero" opacity="0.3" transform="translate(9.000003, 11.999999) rotate(-270.000000) translate(-9.000003, -11.999999)" />
                                </g>
                            </svg>
                            <!--end::Svg Icon-->
                        </span>
                    </div>
                </div>
                <div id="payment_history_collapse" class="collapse" data-parent="#view_audit">
                    <div class="card-body">
                        <div class="table-responsive">
                            <!--begin: Datatable-->
                            <table class="table table-bordered table-sm table-head-custom" id="payment_history"
                                   style="margin-top: 13px !important;">
                                <thead>
                                <tr>
                                    <th style="width: 100px;">{{ __('Benefit Type') }}</th>
                                    <th style="width: 100px;">{{ __('Scheduled Date') }}</th>
                                    <th style="width: 100px;">{{ __('Amount Paid ($)') }}</th>
                                </tr>
                                </thead>
                                <tbody>
                                @foreach($beneficiary_payrolls as $beneficiary_payroll)
                                    @php
                                        $beneficiaries = $beneficiary_payroll->history->beneficiaries_data;
                                        $beneficiaries_ids = array_keys($beneficiaries);
                                    @endphp
                                    @foreach($beneficiary_ids as $key=>$id)
                                        @if(!in_array($id,$beneficiaries_ids)) @continue @endif
                                        <tr>
                                            <td>{{ucwords($beneficiary_payroll->benefit->titles)}}</td>
                                            <td>{{date('d M, Y', strtotime($beneficiary_payroll->payment_date)) }}</td>
                                            <td>{{money($beneficiaries[$id])}}</td>
                                        </tr>
                                    @endforeach
                                @endforeach
                                </tbody>
                            </table>
                            <!--end: Datatable-->
                        </div>
                    </div>
                </div>
            </div>
            <div class="card">
                <div class="card-header" id="application_process_log">
                    <div class="card-title collapsed" data-toggle="collapse" data-target="#audit_log_collapse">
                        <div class="card-label font-weight-bolder ">{{ __('Beneficiary Audit Log') }}</div>
                        <span class="svg-icon">
                            <!--begin::Svg Icon | path:assets/media/svg/icons/Navigation/Angle-double-right.svg-->
                            <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24px" height="24px" viewBox="0 0 24 24" version="1.1">
                                <g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
                                    <polygon points="0 0 24 0 24 24 0 24" />
                                    <path d="M12.2928955,6.70710318 C11.9023712,6.31657888 11.9023712,5.68341391 12.2928955,5.29288961 C12.6834198,4.90236532 13.3165848,4.90236532 13.7071091,5.29288961 L19.7071091,11.2928896 C20.085688,11.6714686 20.0989336,12.281055 19.7371564,12.675721 L14.2371564,18.675721 C13.863964,19.08284 13.2313966,19.1103429 12.8242777,18.7371505 C12.4171587,18.3639581 12.3896557,17.7313908 12.7628481,17.3242718 L17.6158645,12.0300721 L12.2928955,6.70710318 Z" fill="#000000" fill-rule="nonzero" />
                                    <path d="M3.70710678,15.7071068 C3.31658249,16.0976311 2.68341751,16.0976311 2.29289322,15.7071068 C1.90236893,15.3165825 1.90236893,14.6834175 2.29289322,14.2928932 L8.29289322,8.29289322 C8.67147216,7.91431428 9.28105859,7.90106866 9.67572463,8.26284586 L15.6757246,13.7628459 C16.0828436,14.1360383 16.1103465,14.7686056 15.7371541,15.1757246 C15.3639617,15.5828436 14.7313944,15.6103465 14.3242754,15.2371541 L9.03007575,10.3841378 L3.70710678,15.7071068 Z" fill="#000000" fill-rule="nonzero" opacity="0.3" transform="translate(9.000003, 11.999999) rotate(-270.000000) translate(-9.000003, -11.999999)" />
                                </g>
                            </svg>
                            <!--end::Svg Icon-->
                        </span>
                    </div>
                </div>
                <div id="audit_log_collapse" class="collapse" data-parent="#view_audit">
                    <div class="card-body">
                        <div class="table-responsive">
                            <!--begin: Datatable-->
                            <table class="table table-bordered table-sm table-head-custom" id="beneficiary_audit_log"
                                   style="margin-top: 13px !important;">
                                <thead>
                                <tr>
                                    <th style="width: 100px;">{{ __('Modified By') }}</th>
                                    <th>{{ __('Old Data') }}</th>
                                    <th>{{ __('New Data') }}</th>
                                    <th style="width: 100px;">{{ __('Created On') }}</th>
                                </tr>
                                </thead>
                                <tbody>
                                @foreach($audit as $data)
                                    <tr>
                                        <td>{{ $data->user->name }}<br>{{ $data->user->email }}</td>
                                        <td>
                                            @foreach($data->old_values as $key  =>  $value)
                                                <p>{{$key ." : "}} <strong><em>{{ $value }}</em></strong></p>
                                            @endforeach
                                        </td>
                                        <td>
                                            @foreach($data->new_values as $key  =>  $value)
                                                <p>{{$key ." : "}} <strong><em>{{ $value }}</em></strong></p>
                                            @endforeach
                                        </td>
                                        <td>{{ date('d M, Y h:i:s A', strtotime($data->created_at)) }}</td>
                                    </tr>
                                @endforeach
                                </tbody>
                            </table>
                            <!--end: Datatable-->
                        </div>
                    </div>
                </div>
            </div>
            @endif
        </div>

    @push('vendor-scripts')
        <script src="{{ asset('assets/plugins/custom/datatables/datatables.bundle.js') }}"></script>
    @endpush
    @push('scripts')
        <script>
            $('#beneficiary_audit_log').dataTable( {
                "ordering": false,
            } );
            $('#application_history').dataTable( {
                "ordering": false,
                "searching": false,
            } );
            $('#payment_history').dataTable( {
                "ordering": false,
                "searching": false,
            } );
        </script>
    @endpush
</x-app-layout>
