<x-app-layout>
    @push('last-css')
        <link rel="stylesheet" href="{{ asset('assets/cssbundle/bootstrapdatepicker.min.css') }}">
        <link rel="stylesheet" href="{{ asset('assets/cssbundle/dropify.min.css') }}">
    @endpush
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item active" aria-current="page">Settings</li>
            <li class="breadcrumb-item active" aria-current="page">Import Beneficiary Records</li>
        </ol>
    </x-slot>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg-2 py-1 mt-0 mt-lg-3">
        <div class="container-fluid">
            @if(session()->has('message'))
                <div class="mb-5">
                    @if(session()->get('status') == 'success')
                        <div role="alert" class="alert alert-success">{{ session()->get('message') }}</div>
                    @else
                        <div role="alert" class="alert alert-danger">{{ session()->get('message') }}</div>
                    @endif
                </div>
            @endif
            

            <h3 class="fw-light">Import Beneficiary Records</h3>
            @if(session('success'))
                <div class="row">
                    <div class="col-12">
                        <div class="alert alert-success mb-1">
                            <span class="cstm-fs-14">{{  session('success') }}</span>
                        </div>

                    </div>
                </div>
            @endif
            
            
            <form action="{{ route('handle_beneficiary_import') }}" enctype="multipart/form-data" method="post">
                @csrf

                <div class="card">
                    <div class="card-body">
                        <p>Please select the deployment for which you would like to import beneficiary records</p>
                        
                            
                            
                        <div class="row">
                            <div class="col-md-8">
                                <div class="row">
                                    @role('owner')
                                    
                                    <div class="col-md-6 col-sm-12 mb-3">
                                        <div class="form-floating">
                                            <select name="deployment" id="deployments" class="form-control form-control-1">
                                                <option value=""></option>
                                                @foreach (auth()->user()->deployments as $deployment)
                                                    <option value="{{ $deployment->id }}">{{ $deployment->name }}</option>
                                                @endforeach
                                            </select>
                                            <label class="text-muted">Deployment</label>
                                        </div>
                                        
                                    </div>

                                    @else

                                    <div class="col-md-6 col-sm-12 mb-3">
                                        <div class="form-floating">
                                            <select name="deployment" id="deployments" class="form-control form-control-1">
                                                <option value=""></option>
                                                @foreach ($deployments as $deployment)
                                                    <option value="{{ $deployment->id }}">{{ $deployment->name }}</option>
                                                @endforeach
                                            </select>
                                            <label class="text-muted">Deployment</label>
                                        </div>
                                        
                                    </div>




                                    @endrole
                            

                            
                                    <div class="col-md-6 col-sm-12 mb-3">
                                        <div class="form-floating">
                                            <input type="file" name="file"class="form-control form-control-l">
                                            <label class="text-muted">Excel File</label>
                                        </div>
                                        
                                    </div>
                                </div>
                                
                            </div>
                            <div class="col-md-4">
                                
                                <img style="border: 1px solid #cdcdcd;width:100%;border-radius:4px;border-color:#e9e6e1;" src="{{ asset('images/cloud-upload.png') }}">

                            </div>

                            
                            
                        </div>
                    </div>
                    <div class="card-footer text-end">
                        <button class="btn btn-l btn-light me-2" type="reset">Discard</button>
                        <button class="btn btn-l btn-primary" type="submit"><i class="fa fa-paper-plane mx-2"></i> Import</button>
                    </div>
                </div>
            </form>
        </div>
    </div>

    @push('scripts')
        <script>
            $('#deployment-admin').change(function(){
                get_deployments($(this).val())
            })
            function get_deployments(user_id){
                $.get('/get-user-deployments/'+user_id, function(res){
                    $('#deployments').empty();
                    $.each(res, function (index, value) {
                        $('#deployments').append($('<option/>', {
                            value: value.id,
                            text : value.name
                        })).prop('disabled',false);
                    });
                })
            }
        </script>
    @endpush
    
</x-app-layout>
