<x-app-layout>
    @push('vendor-css')
        <link rel="stylesheet" href="{{ asset('assets/plugins/custom/datatables/datatables.bundle.css') }}">
    @endpush
    <x-slot name="page_title">
        {{ __('Beneficiaries') }}@if(isset($benefit)) - {{ $benefit->titles }} @endif
    </x-slot>
    <x-slot name="breadcrumb">
        <ul class="breadcrumb breadcrumb-transparent breadcrumb-dot font-weight-bold p-0 my-2 font-size-sm">
            <li class="breadcrumb-item text-muted">
                <a href="{{ route('dashboard') }}" class="text-muted">@lang('dashboard.dashboard')</a>
            </li>
            <li class="breadcrumb-item text-muted">
                <a href="javascript:void(0)" class="text-muted">{{ __('Beneficiaries') }}</a>
            </li>
        </ul>
    </x-slot>

        <div class="card card-custom">
            <div class="card-header">
                <div class="card-toolbar">
                    <ul class="nav nav-light-primary nav-bold nav-pills">
                        <li class="nav-item">
                            <a class="nav-link active" data-toggle="tab" href="#active">
                                {{--<span class="nav-icon"><i class="flaticon2-list"></i></span>--}}
                                <span class="nav-text">{{ __('Active Beneficiaries') }} @if(isset($benefit)) - {{ $benefit->titles }} @endif</span>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" data-toggle="tab" href="#archived">
                                {{--<span class="nav-icon"><i class="flaticon2-drop"></i></span>--}}
                                <span class="nav-text">{{ __('Archived Beneficiaries') }} @if(isset($benefit)) - {{ $benefit->titles }} @endif</span>
                            </a>
                        </li>
                    </ul>
                </div>
            </div>

            <div class="card-body">
                <div class="tab-content">
                    <div class="tab-pane fade show active" id="active" role="tabpanel" aria-labelledby="active">
                        <div class="table-responsive">
                            <!--begin: Datatable-->
                            <table class="table table-bordered table-head-custom" id="beneficiaries_list"
                                   style="margin-top: 13px !important;width: 1300px !important;">
                                <thead>
                                <tr>
                                    <th style="width: 20px;">{{ __('#') }}</th>
                                    <th style="width: 100px;">{{ __('Applicant Number') }}</th>
                                    <th style="width: 150px;">{{ __('Name') }}</th>
                                    {{--                                    <th style="width: 150px;">{{ __('First Name') }}</th>--}}
                                    <th style="width: 150px;">{{ __('Date of Birth') }}</th>
                                    <th style="width: 200px;">{{ __('Type') }}</th>
                                    <th style="width: 80px;">{{ __('Created') }}</th>
                                    {{--<th style="width: 80px;">{{ __('Account') }}</th>--}}
                                    <th style="width: 200px;">{{ __('Action') }}</th>
                                </tr>
                                </thead>
                                <tbody></tbody>
                            </table>
                            <!--end: Datatable-->
                        </div>
                    </div>
                    <div class="tab-pane fade" id="archived" role="tabpanel" aria-labelledby="archived">
                        <div class="table-responsive">
                            <!--begin: Datatable-->
                            <table class="table table-bordered table-head-custom" id="beneficiaries_archived_list"
                                   style="margin-top: 13px !important;width: 1300px !important;">
                                <thead>
                                <tr>
                                    <th style="width: 20px;">{{ __('#') }}</th>
                                    <th style="width: 100px;">{{ __('Applicant Number') }}</th>
                                    <th style="width: 150px;">{{ __('Name') }}</th>
                                    {{--<th style="width: 150px;">{{ __('Surname') }}</th>--}}
                                    <th style="width: 150px;">{{ __('Date of Birth') }}</th>
                                    <th style="width: 200px;">{{ __('Type') }}</th>
                                    <th style="width: 80px;">{{ __('Created') }}</th>
{{--                                    <th style="width: 80px;">{{ __('Account') }}</th>--}}
                                    <th style="width: 100px;">{{ __('Action') }}</th>
                                </tr>
                                </thead>
                                <tbody></tbody>
                            </table>
                            <!--end: Datatable-->
                        </div>
                    </div>
                </div>
            </div>
        </div>

    <!--begin::Row-->
        <div class="modal fade" id="staticBackdrop" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="staticBackdrop" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">{{ __('Set dates for recovery') }}</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <i aria-hidden="true" class="ki ki-close"></i>
                        </button>
                    </div>
                    <div class="modal-body">
                        <form action="{{ route('beneficiaries.recoverDebtForm') }}" method="POST">
                            @csrf
                            <input type="hidden" id="setBeneficiaryId" name="beneficiary" value="">
                            <div class="form-group">
                                <label class="">{{ __('Select Dates') }}</label>
                                <div class='input-group' id='kt_daterangepicker_2_modal'>
                                    <input type='text' required class="form-control" name="date_range" readonly="readonly" placeholder="{{__('Select date range')}}" />
                                    <div class="input-group-append">
                                        <span class="input-group-text">
                                            <i class="la la-calendar-check-o"></i>
                                        </span>
                                    </div>
                                </div>
                            </div>
                            <div class="mt-4">
                                <button type="button" class="btn btn-light-primary font-weight-bold" data-dismiss="modal">{{ __('Close') }}</button>
                                <button type="submit" class="btn btn-primary font-weight-bold">{{ __('Submit') }}</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    <!--end::Row-->
    @push('vendor-scripts')
        <script src="{{ asset('assets/plugins/custom/datatables/datatables.bundle.js') }}"></script>
    @endpush
    @push('scripts')
        <script>
            $('#kt_daterangepicker_2_modal').daterangepicker({
                buttonClasses: ' btn',
                applyClass: 'btn-primary',
                cancelClass: 'btn-secondary'
            }, function(start, end, label) {
                $('#kt_daterangepicker_2_modal .form-control').val( start.format('DD-MM-YYYY') + ' / ' + end.format('DD-MM-YYYY'));
            });
            function setId(id) {
                $('input#setBeneficiaryId').val(id);
            }

            const APPLICATIONS_AJAX = "{{ route('beneficiaries.getBeneficiariesList', [$benefit_id]) }}";
            const APPLICATIONS_AJAX_ = "{{ route('beneficiaries.getArchivedBeneficiariesList', [$benefit_id]) }}";
        </script>
        <script>
        </script>
        <script src="{{ asset('assets/js/customjs/custom-beneficiaries-datatable.js') }}"></script>

    @endpush
</x-app-layout>
