<x-app-layout>
    @push('vendor-css')

    @endpush
    <x-slot name="page_title">
        {{__('Mapping Benefit Form')}}
    </x-slot>
    <x-slot name="breadcrumb">
        <ul class="breadcrumb breadcrumb-transparent breadcrumb-dot font-weight-bold p-0 my-2 font-size-sm">
            <li class="breadcrumb-item text-muted">
                <a href="{{ route('dashboard') }}" class="text-muted">{{ __('Dashboard') }}</a>
            </li>
            <li class="breadcrumb-item text-muted">
                <a href="{{ route('beneficiaries.formMapping') }}" class="text-muted">{{ __('Beneficiaries Form Mapping') }}</a>
            </li>
            <li class="breadcrumb-item text-muted">
                <a href="javascript:void(0)" class="text-muted">{{__('Mapping Benefit Form')}} - {{$benefit_form->title}}</a>
            </li>
        </ul>
    </x-slot>

        <div class="row">
            <div class="col-md-12">
                <div class="card card-custom">
                    <div class="card-header">
                        <h3 class="card-title">{{ __('Beneficiary Form') }}</h3>
                    </div>
                    <div class="card-body">
                        <form action="{{ route('beneficiaries.saveFormMappingDetails',[cryptThis($benefit_form->id)]) }}" method="POST">
                            @csrf
                            <table class="table table-hover table-borderless">
                                <thead>
                                    <tr>
                                        <th>{{ __('Beneficiary Details Fields') }}</th>
                                        <th>{{ __('Benefit Form Fields') }}</th>
                                        <th>{{ __('Show on Voucher table') }}</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach($beneficiary_details_form_fields as $field)
                                        <tr class="form-group">
                                            <td class="col-md-5">
                                                <label>{{ $field->label }}</label>
                                            </td>

                                            <td class="col-md-5">
                                                {{--@php dd($benefit_form_fields); @endphp--}}
                                                <select name="benefit_fields[{{$field->name}}]" class="form-control select2" style="width: 100%;">
                                                    <option value=""></option>
                                                    @foreach($benefit_form_fields as $benefit_form_field)
                                                        @if(in_array($benefit_form_field->input_type,fieldsEscapeSubmission())) @continue @endif

                                                        <option @if(isset($form_mapping) && array_key_exists($field->name,$form_mapping->form_fields)) {{ ($form_mapping->form_fields[$field->name] == $benefit_form_field->name)?'selected':'' }}@endif
                                                                value="{{$benefit_form_field->name}}">
                                                            {{$benefit_form_field->label}}
                                                        </option>
                                                    @endforeach
                                                </select>
                                            </td>

                                            <td class="col-md-2 text-center">
                                                <fieldset class="checkboxsas mb-3">
                                                    <label class="checkbox">
                                                        <input @if(isset($form_mapping)) {{ (in_array($field->id,$form_mapping->show_fields_on_table))?'checked':'' }}@endif
                                                                type="checkbox" name="show_on_voucher[]" value="{{$field->id}}">
                                                        <span class="mr-3"></span><strong>{{__('Yes')}}</strong>
                                                    </label>
                                                </fieldset>
                                            </td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                            <button class="btn btn-primary" type="submit"><i class="la la-save"></i> {{ __('Save') }}</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>

    @push('vendor-scripts')

    @endpush
    @push('scripts')
            <script>
                $('document').ready(function () {
                    $('.select2').select2({
                        placeholder: 'Choose',
                        allowClear: true
                    });
                });
            </script>
    @endpush
</x-app-layout>
