<x-app-layout>
    @push('last-css')

    @endpush

    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
            {{-- <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('benefit.list') }}">{{ __('Benefits') }}</a></li> --}}
            <li class="breadcrumb-item" aria-current="page"><a class="text-secondary" href="{{route('benefit_registration.list')}}">Benefit Applications</a></li>
            <li class="breadcrumb-item active" aria-current="page">{{__('View Application')}}</li>
        </ol>
    </x-slot>
    <!-- start: page toolbar -->
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto page-header-title">
                <h1 class="color-900 mt-1 mb-0">{{__('View Application')}}</h1>
                <small class="text-muted">{{__('This page shows the overall details for the application.')}}</small>
            </div>
{{--            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">--}}
{{--                <div class="p-2 me-md-3">--}}
{{--                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>--}}
{{--                            1.3%</small></div>--}}
{{--                    <small class="text-muted text-uppercase">Active</small>--}}
{{--                </div>--}}
{{--                <div class="p-2 me-md-3">--}}
{{--                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>--}}
{{--                            4.1%</small></div>--}}
{{--                    <small class="text-muted text-uppercase">Inactive</small>--}}
{{--                </div>--}}
{{--            </div>--}}
        </div> <!-- .row end -->
    </x-slot>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg- py-1 mt-0 mt-lg-">
        <div class="container-fluid">
            @if(session()->has('message'))
                <div class="mb-5">
                    @if(session()->get('status') == 'success')
                        <div role="alert" class="alert alert-success">{{ session()->get('message') }}</div>
                    @else
                        <div role="alert" class="alert alert-danger">{{ session()->get('message') }}</div>
                    @endif
                </div>
            @endif
            
            @if ($errors->has('payment_amount'))
                    <div role="alert" class="alert alert-danger mb-5">
                        {{ __('The value of the benefit amount must be between').' '.easyCount($min_value) .' '.'and'.' '.easyCount($max_value).'. '.__('Please correct the figure to proceed with the approval.') }}
                    </div>
            @endif
            <div class="row g-3">
                <div class="col-12 mb-3">
                    @php
                        $surnames = $applicant->surnames;
                        $first_names = $applicant->first_names;
                        $other_names = $applicant->other_names;
                        $dobs = $applicant->dobs;
                        $genders = $applicant->genders;
                        $place_of_births = $applicant->place_of_births;
                        $country_of_births = $applicant->country_of_births;
                        $app_nationalities = $applicant->nationalities;
                        $impairments = null;
                    @endphp
                    <div class="card">
                        <div class="card-body">
                            <div class="d-flex align-items-left flex-column flex-md-row">
                                @php
                                    $applicant_avatar = asset('assets/default.jpeg');
                                    if(!is_null($applicant->avatar)) $applicant_avatar = asset($applicant->avatar);
                                @endphp
                                <img src="{{$applicant_avatar}}" alt="" class="rounded no-filter" style="width: auto; height: 150px; border-radius: 100%;">
                                <div class="media-body ms-md-5 m-0 mt-4 mt-md-0 text-md-start">
                                    <h5 class="fw-bol"><span class="fw-bolder">{{$surnames}}, </span>
                                        {{$first_names." ".$other_names}} [{{$applicant->regID }}]
                                        <small class="{{application_style($application->status)}}"> - {{$application->status}}</small>
                                    </h5>
                                    <p><strong class="me-3">Date Of Birth:</strong>
                                        @if(!is_null($dobs)){{ date('d M Y', strtotime($dobs))." (".getAgeByDate($dobs).")"}}@endif
                                    </p>
                                    <div class="d-flex flex-wrap justify-content-left align-items-left mb-3 mt-2">
                                        <div class="me-2 me-md-3">
                                            <small class="text-muted">Gender</small>
                                            <div class="mb-0 fw-bold">{{$genders}}</div>
                                        </div>
                                        <div class="me-3">
                                            <small class="text-muted">Citizenship</small>
                                            <div class="mb-0 fw-bold">{{$app_nationalities}}</div>
                                        </div>
                                        <div class="me-3">
                                            <small class="text-muted">{{ __('Place Of Birth') }}</small>
                                            <div class="mb-0 fw-bold">{{$place_of_births.", ".$country_of_births}}</div>
                                        </div>
                                        <div class="me-3">
                                            <small class="text-muted">Impairments</small>
                                            <div class="mb-0">
                                                @if(!is_null($impairments))
                                                    @foreach($impairments as $key=>$name)
                                                        <span class="mr-3">- {{$name}}</span>
                                                    @endforeach
                                                @else
                                                    -
                                                @endif
                                            </div>
                                        </div>
                                    </div>
                                    <ul class="social mb-0 list-inline mt-3">
                                        <li class="list-inline-item"><a href="#" class="p-1"><i class="fa fa-lg fa-whatsapp"></i></a></li>
                                        <li class="list-inline-item"><a href="#" class="p-1"><i class="fa fa-lg fa-instagram"></i></a></li>
                                        <li class="list-inline-item"><a href="#" class="p-1"><i class="fa fa-lg fa-facebook"></i></a></li>
                                        <li class="list-inline-item"><a href="#" class="p-1"><i class="fa fa-lg fa-linkedin"></i></a></li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row g-3">
                <div class="col-12 mb-3">
                    <div class="card">
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table card-table table-sm table-nowrap mb-0">
                                    <tbody>
                                        <tr>
                                            <td style="width: 200px"><strong>Benefit Type</strong></td>
                                            <td>
                                                {{$application->benefit->titles}}
                                            </td>
                                        </tr>
                                        <tr>
                                            <td style="width: 200px"><strong>Added By</strong></td>
                                            <td>
                                                {{$application->addedBy?->fullName}}
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>

                            <div class="mt-5">
                                <div class="card bg-body my-4 p-3 d-flex flex-row">
                                    <div class="flex-fill">
                                        <div class="flex mb-2 justify-between items-center">
                                            <strong>Permanent Address</strong>
                                        </div>
                                        <div class="flex mb-2 justify-between items-center">
                                            @php
                                                $contactDetail = getDefaultPostal($applicant->id);
                                            @endphp
                                            @if($contactDetail)
                                                @if(!is_null($contactDetail->postal_address)){{$contactDetail->postal_address.", "}}<br>@endif
                                                @if(!is_null($contactDetail->village)){{$contactDetail->village.", "}}@endif {{getCounty($contactDetail->city,'name')}}
                                                <br>
                                                <span>{{getState($contactDetail->region,'name').", ".getCountry($contactDetail->country,'name')}}</span>
                                            @else
                                                <span>No Information</span>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="flex-fill">
                                        <div class="flex mb-2 justify-between items-center">
                                            <strong>Current Residence</strong>
                                        </div>
                                        <div class="flex mb-2 justify-between items-center">
                                            @php
                                                $contactDetail = getDefaultResidence($applicant->id);
                                            @endphp
                                            @if($contactDetail)
                                                @if(!is_null($contactDetail->address)){{$contactDetail->address.", "}}<br>@endif
                                                @if(!is_null($contactDetail->village)){{$contactDetail->village.", "}}@endif {{getCounty($contactDetail->city,'name')}}
                                                <br>
                                                <span>{{getState($contactDetail->region,'name').", ".getCountry($contactDetail->country,'name')}}</span>
                                            @else
                                                <span>{{__('No Information')}}</span>
                                            @endif
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="table-responsive mt-5">
                                <table class="table card-table table-sm table-nowrap mb-0">
                                    <thead>
                                    <tr>
                                        <th>Reporter</th>
                                        <th>Benefit</th>
                                        <th>Submitted On</th>
                                        <th>Proof of Identity</th>
                                    </tr>
                                    </thead>
                                    @if(true)
                                        <tbody>
                                        <tr>
                                            <td style="width: 200px"><strong>{{$application->reporter_surname.' '.$application->reporter_first_name}}</strong><small> ({{$application->reporter_relationship}})</small>
                                                <br><small class="text-muted">{{$application->reporter_contact}}</small></td>
                                            <td><strong>{{$application->benefit->titles}}</strong><br>
                                                <small class="text-muted">{{$application->benefit->financial}}</small></td>
                                            <td>
                                                <strong>{{date('d M Y', strtotime($application->created_at))}}</strong>
                                                <br>
                                                <small class="text-muted">{{$application->addedBy?->fullName}}</small>
                                            </td>

                                            <td><strong>{{$application->reporter_id_type}}
                                                    @foreach ($used_documents as $document)
                                                        @if(strtolower($document->type) == strtolower($application->reporter_id_type))
                                                            <i class="bi-paperclip"></i> <a href="{{route('download-file',['file_path'=>$document->url])}}" target="_blank">

                                                            </a>
                                                        @endif
                                                    @endforeach
                                                </strong>
                                                <br>
                                                <small class="text-muted">{{$application->reporter_id_number ?? "Not Set"}}</small></td>
                                        </tr>
                                        </tbody>
                                    @endif
                                </table>
                            </div>
                            <div class="mt-5">
                                {!! $channel !!}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            @if(false)
                <div class="row g-3">
                    <div class="col-md-6 mb-3">
                        <div class="card">
                            <div class="card-body">
                                <h6 class="mb-4">Reporter Information</h6>
                                <div class="table-responsive">
                                    <table class="table card-table table-sm table-nowrap mb-0">
                                        <tbody>
                                        <tr>
                                            <td style="width:200px"><strong>Identification Type</strong></td>
                                            <td>{{$application->reporter_id_type}}</td>
                                        </tr>
                                        <tr>
                                            <td><strong>Full Name</strong></td>
                                            <td>{{$application->reporter_surname.' '.$application->reporter_first_name}}</td>
                                        </tr>
                                        <tr>
                                            <td><strong>Contact</strong></td>
                                            <td>{{$application->reporter_contact}}</td>
                                        </tr>
                                        <tr>
                                            <td><strong>Relationship</strong></td>
                                            <td>{{$application->reporter_relationship}}</td>
                                        </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-6 mb-3">
                        <div class="card">
                            <div class="card-body">
                                <h6 class="mb-4">Documentations</h6>
                                <div class="table-responsive">
                                    <table class="table card-table table-sm table-nowrap mb-0">
                                        <tbody>
                                        @foreach ($used_documents as $document)
                                            <tr>
                                                <td>
                                                    <a href="{{route('download-file',['file_path'=>$document->url])}}" target="_blank">
                                                        <i class="fa fa-file"></i> Download {{$document->type}}</a>
                                                </td>
                                            </tr>
                                        @endforeach
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            @endif


            <div class="row g-3">
                @if(in_array($application->status,['Submitted','Resubmitted']) && canDo('administrator','approve-application|process-application'))
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body">
                                <h6 class="mb-4">{{__('Application Review')}}</h6>
                                <form action="{{route('benefit_registration.applicationProcessing',[cryptThis($application->id)])}}" method="POST">
                                    @csrf
                                    <input type="hidden" name="responder" value="1">
                                    <div class="row">
                                        <div class="col-md-4">
                                                <input class="form-check-input" type="radio" value="pass" name="application_state" @checked(old('application_state')=='pass') id="pass">
                                                <label class="form-check-label" for="pass">{{__('Passed internal review')}}</label>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="form-check">
                                                <input class="form-check-input" type="radio" @checked(old('application_state')=='fail') value="fail" name="application_state" id="fail">
                                                <label class="form-check-label" for="fail">{{__('Failed internal review')}}</label>
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            @if ($errors->has('application_state'))
                                                <p class="text-right">
                                                    <span class="text-danger form-text">{{ $errors->first('application_state') }}</span>
                                                </p>
                                            @endif
                                        </div>
                                        <div class="col-md-12 mt-3" id="failed_reason" style="display: none">
                                            <input type="text" class="form-control-lg required form-control" disabled id="reason_failed" name="reason_failed"
                                                   placeholder="Why did the application fail?" value="{{old('reason_failed')}}">
                                            @if ($errors->has('reason_failed'))
                                                <p class="text-right">
                                                    <span class="text-danger form-text">{{ $errors->first('reason_failed') }}</span>
                                                </p>
                                            @endif
                                        </div>

                                        <div class="col-md-12 mt-3">
                                            <button type="submit" class="btn btn-primary"><i class="bi-paper-plane"></i> Submit</button>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                @elseif(!in_array($application->status,['Approved','Rejected','Returned For Correction','Submitted','Resubmitted'])
                    && (auth()->user()->hasRoleById($application->benefit->approver) || canDo('administrator','approve-application')))
                    <div class="col-12">
                        <form action="{{route('benefit_registration.applicationProcessing',[cryptThis($application->id)])}}" method="POST">
                            @csrf
                            <div class="card">
                                <div class="card-body">
                                    <h6 class="mb-4">Processing
                                        <br>
                                        <small class="fw-light text-info">{{__('Enter an amount representing the value of benefit for the beneficiary. Remarks are also mandatory')}}</small>
                                    </h6>
                                    @if (!is_null($min_value))
                                        <div class="row">
                                            <p>Physical Goods</p>
                                            <div class="col-12 col-md-9 mb-3">
                                                @php
                                                    $x_counter = 1;
                                                @endphp
                                                @foreach ($application->benefit->inventoryItems as $item)

                                                <div class="input-group mb-2">
                                                    <!--<select name="inventoryItem[1][item]" id="" class="form-control required-field">
                                                        <option value=""></option>
                                                        @foreach ($inventory_items as $data)
                                                            <option value="{{ $data->id }}">{{ $data->item }}</option>
                                                        @endforeach
                                                    </select>-->
                                                    <input type="text" disabled class="form-control" value="{{$item->item}}">
                                                    <input type="hidden" value="{{ $item->id }}" name="inventoryItem[{{ $x_counter }}][item]" class="form-control " placeholder="">
                                                    <input type="number" value="" name="inventoryItem[{{ $x_counter }}][quantity]" class="form-control required-field" placeholder="Enter Quantity" required>
                                                    
                                                </div>
                                                
                                                @php
                                                    $x_counter++;
                                                @endphp
                                                    
                                                @endforeach
                                                @if(session()->has('error'))
                                                <small class="text-danger">{{ session()->get('message') }}</small>
                                                @endif
                                                
                                            </div>


                                            <div id="items-seat">
                                                

                                            </div>
                                            <!--<div>
                                                <button class="btn btn-primary mb-2" type="button" id="add-new-item-btn">Add New Item</button>
                                            </div>-->
                                            
                                            <div class="col-md-9 col-sm-12 mb-3">
                                                <div class="form-floating">
                                                    <textarea name="comment" style="height: 150px" required id="comment" class="form-control">{{old('comment')}}</textarea>
                                                    <label class="text-muted required">Enter Comment/Remarks <span class="required">*</span></label>
                                                </div>
                                                @if ($errors->has('comment'))
                                                    <div class="small text-warning">{{ $errors->first('comment') }}</div>
                                                @endif
                                            </div>
                                            <div class="col-md-3 col-sm-12 mb-3">
                                                <div class="mb-3">
                                                    {{-- <label for="min_value">Min Value<span class="required">*</span></label> --}}
                                                    <div class="input-group">
                                                        <span class="input-group-text" style="font-size: 13px;">{{getCurrency()}}</span>
                                                        <input type="number" class="form-control" value="{{old('payment_amount',0)}}" required placeholder="{{easyCount($min_value)}} - {{easyCount($max_value)}}" name="payment_amount" min="0" max="{{$max_value}}" id="min_value" aria-label="Min Value">
                                                    </div>
                                                    @if ($errors->has('payment_amount'))
                                                        <span class="form-text text-danger">{{ $errors->first('payment_amount') }}</span>
                                                    @endif
                                                </div>
                                                <div class="text-center">
                                                    <button class="btn btn-l btn-success mb-3 btn-default-size" type="submit" name="submit" value="Approved"><i class="bi-check-circle-fill me-2"></i> Approve</button>
                                                    <button class="btn btn-l btn-danger mb-3 btn-default-size" type="submit" name="submit" value="Declined"><i class="bi-exclamation-octagon me-2"></i> Reject</button>
                                                    <button class="btn btn-l btn-primary mb-3 btn-default-size" type="submit" name="submit" value="On Hold"><i class="bi-stop-circle me-2"></i> Hold</button>
                                                    <a class="btn btn-l btn-warning mb-3 btn-default-size" href="{{route('benefit_registration.list')}}" value="Close"><i class="bi-arrow-bar-left me-2"></i> Go Back</a>
                                                </div>

                                            </div>
                                        </div>
                                    @else
                                        <p class="text-danger">
                                            The Application cannot be processed. Contact the Administrator to set this Month's Minimum and Maximum
                                            Value for this Benefit.
                                        </p>
                                    @endif
                                </div>
                            </div>
                        </form>
                    </div>
                @endif

                <div class="col-12">
                    <div class="card">
                        <div class="card-body">
                            <h6 class="mb-4">{{__('Application Processing History')}}</h6>
                            <ul class="timeline-activity list-unstyled mb-0">
                                @foreach($application->applicationProcessings as $process)
                                    <li class="activity px-3 py-2 mb-1" data-date="{{easyDate($process->created_at)}}">
                                        <div class="fw-bold small d-flex justify-content-between align-items-center">{{$process->stage}}
                                            <x-approval-status status="{{$process->action}}"></x-approval-status></div>
                                        <div>
                                            <small class="text-muted">{{$process->remarks}}</small><br>
                                            <small class="text-muted">By {{$process->applicable->fullName}} ( {{$process->applicable->job_title}} ) via {{$process->access_type}}</small>
                                        </div>
                                    </li>
                                @endforeach
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    @push('scripts')
        <script src="{{ asset('assets/js/bundle/jquerysteps.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/bundle/bootstrapdatepicker.bundle.js') }}"></script>
        {{-- <script src="{{ asset('assets/js/bundle/sweetalert2.bundle.js') }}"></script> --}}
        <script>
            itemsCounter = 1
            $('.datepicker').datepicker({
                format: "yyyy-mm",
                startView: "months",
                minViewMode: "months"
            });
            $('.select2').select2({
                placeholder: 'Choose',
                allowClear: true
            });

            $('document').ready(function () {
                $("input[name='application_state']").change(function(){
                    if(this.value === 'fail') {
                        $('#failed_reason').show();
                        $('#reason_failed').prop({'disabled':false,'required':true});
                    }
                    else {
                        $('#failed_reason').hide();
                        $('#reason_failed').prop({'disabled':true,'required':false});
                    }
                    //
                });
            })


            $('#add-new-item-btn').click(function(){
                
                add_item_fields()
            })


            function add_item_fields()
            {
                var allFilled = true;

                $('.required-field').each(function() {
                    if ($(this).val() === '') {
                        allFilled = false;
                        return false; // break out of the loop if any field is empty
                    }
                });

                if(allFilled){

                    itemsCounter++
                    $('#items-seat').last().append(

                        "<div class='col-12 col-md-9 mb-3'><div class='input-group'><select name='inventoryItem["+itemsCounter+"][item]'  class='item-selector form-control required-field'><option></option></select><input type='number' name='inventoryItem["+itemsCounter+"][quantity]' class='form-control required-field' value='1' placeholder='Quantity'></div></div>"

                    );

                    $.get('/get-inventory-items', function (res){

                        res.inventory_items.forEach(function(inventory_item) {
                            $('.item-selector').last().append("<option value='"+inventory_item.id+"'>"+inventory_item.item+"</option>")
                        });
                    })

                }else{
                    alert('Looks like some you missed some required fields.')
                }
                

                


            }

        </script>
    @endpush
</x-app-layout>

{{--    END OF OLD FORM--}}
