<x-app-layout>
    @push('vendor-css')
        <link rel="stylesheet" href="{{ asset('assets/plugins/custom/datatables/datatables.bundle.css') }}">
    @endpush

    <x-slot name="page_title">
        {{$page_title}}
    </x-slot>
    <x-slot name="breadcrumb">
        <ul class="breadcrumb breadcrumb-transparent breadcrumb-dot font-weight-bold p-0 my-2 font-size-sm">
            <li class="breadcrumb-item text-muted">
                <a href="{{ route('dashboard') }}" class="text-muted">{{ __('Dashboard') }}</a>
            </li>
            <li class="breadcrumb-item text-muted">
                <a href="{{ route('benefit_registration.list') }}" class="text-muted">{{ __('List of Applications') }}</a>
            </li>
            <li class="breadcrumb-item text-muted">
                <a href="" class="text-muted">{{ __('View Application').' - '.$form->title}}</a>
            </li>
        </ul>
    </x-slot>

    {{--@if($is_a_process)--}}
        @if(!is_null($status_information))
        @if(endVerification($status_information->id) || endVerificationByRejecting($status_information->id))
            <div class="mt-5 mb-7">
                <h5 class="text-center text-success ml-10 font-weight-bolder">{{ __('The Application has been Closed') }} -  <span class="">{{strtoupper($status_information->fullName)}}</span></h5>
            </div>
        @else
            <div class="mt-5 mb-7">
                <h5 class="text-center">{{ __('Current Application Stage') }}: <span class="text-info ml-10 font-weight-bolder">{{strtoupper($status_information->fullName)}}</span></h5>
            </div>
        @endif
        @endif
    {{--@endif--}}

        <!--begin::Accordion-->

        <div class="row">
            <div class="col-md-8">
                <div class="card card-custom mb-8">
                    <div class="card-header">
                        <div class="card-toolbar">
                            <ul class="nav nav-light-primary nav-bold nav-pills">
                                <li class="nav-item">
                                    <a class="nav-link active" data-toggle="tab" href="#applicant">
                                        {{--<span class="nav-icon"><i class="flaticon2-drop"></i></span>--}}
                                        <span class="nav-text">{{ __('Application Information') }}</span>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" data-toggle="tab" href="#benefit_details">
                                        {{--<span class="nav-icon"><i class="flaticon2-list"></i></span>--}}
                                        <span class="nav-text">{{ __('Benefit Details') }}</span>
                                    </a>
                                </li>
                                {{--<li class="nav-item">--}}
                                {{--<a class="nav-link" data-toggle="tab" href="#payment_info">--}}
                                {{--<span class="nav-icon"><i class="flaticon2-"></i></span>--}}
                                {{--<span class="nav-text">{{ __('Payment Information') }}</span>--}}
                                {{--</a>--}}
                                {{--</li>--}}
                            </ul>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="tab-content">
                            <div class="tab-pane fade show active" id="applicant" role="tabpanel" aria-labelledby="applicant">
                                {!! $render_form['form_view'] !!}
                            </div>
                            <div class="tab-pane fade" id="benefit_details" role="tabpanel" aria-labelledby="benefit_details">
                                {{--                        {!! $render_benefit_form['form_view'] !!}--}}
                                @php
                                    $titles =
                                    $description = null;
                                    $gender =
                                    $employment =
                                    $employment_type =
                                    $residence =
                                    $benefit_types =
                                    $impairments = [];
                                    $supporting_documents = array();
                                    $age_ranges =
                                    $age_tos = null;
                                    if(isset($benefit)) {
                                        $titles = $benefit->titles;
                                        $description = $benefit->description;
                                        if(isset($benefit->gender_criteria)) $gender = $benefit->gender_criteria;
                                        if(isset($benefit->employment_criteria)) $employment = $benefit->employment_criteria;
                                        if(isset($benefit->employment_type_criteria)) $employment_type = $benefit->employment_type_criteria;
                                        if(isset($benefit->residence_criteria)) $residence = $benefit->residence_criteria;
                                        if(isset($benefit->benefit_types)) $benefit_types = $benefit->benefit_types;
                                        if(isset($benefit->impairments)) $impairments = $benefit->impairments;
                                        if(isset($benefit->supporting_documents)) $supporting_documents = $benefit->supporting_documents;
                                        $age_ranges = $benefit->age_ranges;
                                        $age_tos = $benefit->age_tos;
                                    }
                                @endphp
                                @include('benefits.form')
                            </div>
                            {{--<div class="tab-pane fade" id="payment_info" role="tabpanel" aria-labelledby="payment_info">--}}

                            {{--</div>--}}
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-4">
                @if(false)
                    <div class="accordion accordion-solid accordion-panel accordion-svg-toggle" id="view_application">
                        <div class="card">
                            <div class="card-header" id="application_process_log">
                                <div class="card-title collapsed" data-toggle="collapse" data-target="#application_process_log_collapse">
                                    <div class="card-label font-weight-bolder ">{{ __('Application Process Log') }}</div>
                                    <span class="svg-icon">
                            <!--begin::Svg Icon | path:assets/media/svg/icons/Navigation/Angle-double-right.svg-->
                            <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24px" height="24px" viewBox="0 0 24 24" version="1.1">
                                <g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
                                    <polygon points="0 0 24 0 24 24 0 24" />
                                    <path d="M12.2928955,6.70710318 C11.9023712,6.31657888 11.9023712,5.68341391 12.2928955,5.29288961 C12.6834198,4.90236532 13.3165848,4.90236532 13.7071091,5.29288961 L19.7071091,11.2928896 C20.085688,11.6714686 20.0989336,12.281055 19.7371564,12.675721 L14.2371564,18.675721 C13.863964,19.08284 13.2313966,19.1103429 12.8242777,18.7371505 C12.4171587,18.3639581 12.3896557,17.7313908 12.7628481,17.3242718 L17.6158645,12.0300721 L12.2928955,6.70710318 Z" fill="#000000" fill-rule="nonzero" />
                                    <path d="M3.70710678,15.7071068 C3.31658249,16.0976311 2.68341751,16.0976311 2.29289322,15.7071068 C1.90236893,15.3165825 1.90236893,14.6834175 2.29289322,14.2928932 L8.29289322,8.29289322 C8.67147216,7.91431428 9.28105859,7.90106866 9.67572463,8.26284586 L15.6757246,13.7628459 C16.0828436,14.1360383 16.1103465,14.7686056 15.7371541,15.1757246 C15.3639617,15.5828436 14.7313944,15.6103465 14.3242754,15.2371541 L9.03007575,10.3841378 L3.70710678,15.7071068 Z" fill="#000000" fill-rule="nonzero" opacity="0.3" transform="translate(9.000003, 11.999999) rotate(-270.000000) translate(-9.000003, -11.999999)" />
                                </g>
                            </svg>
                                        <!--end::Svg Icon-->
                        </span>
                                </div>
                            </div>
                            <div id="application_process_log_collapse" class="collapse" data-parent="#view_application">
                                <div class="card-body">
                                    <div class="table-responsive">
                                        <!--begin: Datatable-->
                                        <table class="table table-bordered table-head-custom" id="application_status_log"
                                               style="margin-top: 13px !important;width: 1300px !important;">
                                            <thead>
                                            <tr>
                                                <th style="width: 150px;">{{ __('Status') }}</th>
                                                <th style="width: 100px;">{{ __('Modified By') }}</th>
                                                <th style="width: 400px;">{{ __('Message') }}</th>
                                                <th style="width: 100px;">{{ __('Created On') }}</th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            @foreach($application->processLog as $processLog)
                                                <tr>
                                                    <td>@if(isset($processLog->status->fullName)){{ $processLog->status->fullName }} @else {{ __('Application Registration') }}@endif</td>
                                                    <td>{{ $processLog->user->email }}</td>
                                                    <td>{!! $processLog->message !!}</td>
                                                    <td>{{ date('d M, Y h:i:s A', strtotime($processLog->created_at)) }}</td>
                                                </tr>
                                            @endforeach
                                            </tbody>
                                        </table>
                                        <!--end: Datatable-->
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                @endif
                <div class="card card-custom mb-5">
                    <div class="card-body">
                        @if(!is_null($status_information))
                            @if(!endVerification($status_information->id) && !endVerificationByRejecting($status_information->id))
                                @if($permitted)
                        <div class="workflow-actions mb-4 text-center">
                            <h6 class="mb-3 text-info">{{ __('Click a button to perform your action.') }}</h6>
                            @foreach($workflow_stages as $stage)
                                @if(getNextStage($application->stage) == $stage->id || isDeclinedProcess($stage->id))
                                {{--@if($stage->id == $application->stage) @continue @endif--}}
                                {{--@if(startVerification($stage->id) && $application->started_process == 1) @continue @endif--}}
                                <button  type="button" class="btn btn-default mr-5 btn-sm {{ (isDeclinedProcess($stage->id))?'btn-danger':'btn-primary' }}" data-fullName="{{ $stage->fullName }}" data-toggle="modal"
                                         data-target="#staticBackdrop" onclick="getForm('{{$stage->fullName}}',{{$stage->id}})">
                                    <i class="la {{ (isDeclinedProcess($stage->id))?'la-trash':'la-paper-plane' }}"></i> {{ $stage->fullName }}
                                </button>
                                @endif
                            @endforeach
                        </div>
                                @endif
                            @endif
                        @endif
                        <div class="timeline timeline-2">
                            <div class="timeline-bar"></div>
                            @php $statuses = config('settings.application_status'); @endphp
                            @foreach($application_processing as $processing)
                            <div class="timeline-item">
                                <span class="timeline-badge bg-{{(isset($statuses[$processing->lookup->process_status]))?$statuses[$processing->lookup->process_status]:''}}"></span>
                                <div class="timeline-content d-flex align-items-center justify-content-between">
                                    <span class="mr-3">
                                        <a href="javascript:;" data-toggle="modal"
                                           data-target="#staticBackdrop"
                                           onclick='getData("{{$processing->stage}}","{{$processing->remarks}}","{{$processing->action_taken}}","{{$processing->user->name}}")'>
                                            {{ $processing->stage.' Action: '.$processing->action_taken }}
                                        </a>
                                        {{--$processing->user->name--}}
                                    </span>
                                    <span class="text-muted font-italic text-right">{{ easyDate($processing->created_at) }}</span>
                                </div>
                            </div>
                            @endforeach
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="modal fade" id="staticBackdrop" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="staticBackdrop" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="action_title">Action</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <i aria-hidden="true" class="ki ki-close"></i>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="row">
                            <div id="verify-form" style="display: none">
                                <form method="POST" action="{{ route('benefit_registration.verificationProcess',[cryptThis($application->id)]) }}">
                                    @csrf
                                    <input type="hidden" name="stage" value="" id="stage">
                                    <div id="stageForm"></div>
                                </form>
                            </div>
                            <div id="verify-response" style="display: none">
                                <p><strong>Action By: </strong><br><span id="user"></span></p>
                                <p><strong>Action Taken: </strong><br><span id="action"></span> the Application</p>
                                <p class="mt-10"><strong>Message</strong> <br><span id="action-message"></span></p>

                                <div class="mt-20">
                                    <button type="button" class="btn btn-light-primary btn-sm btn-default font-weight-bold" data-dismiss="modal">Close</button>
                                </div>
                            </div>
                        </div>
                    </div>
                    {{--<div class="modal-footer">--}}

                        {{--<div class="row">--}}
                            {{--<div class="col-md-4 text-center">--}}
                                {{--<div class="form-group">--}}
                                    {{--<button type="submit" name="next_action" value="return" class="btn btn-sm btn-light-danger btn-default" title="{{ __('Send the application back for correction.') }}">--}}
                                        {{--<i class="la la-arrow-left"></i> {{ __('SEND BACK') }}</button>--}}
                                {{--</div>--}}
                            {{--</div>--}}
                            {{--<div class="col-md-4 text-center">--}}
                                {{--<div class="form-group">--}}
                                    {{--<button type="submit" name="next_action" value="proceed" class="btn btn-sm btn-success" title="{{ __('Approve for next stage') }}">{{ __('APPROVE') }} <i class="la la-arrow-right ml-3"></i> </button>--}}
                                {{--</div>--}}
                            {{--</div>--}}
                            {{--<div class="col-md-4 text-center">--}}
                                {{--<div class="form-group">--}}
                                    {{--<button type="submit" name="next_action" value="reject" class="btn btn-sm btn-danger mt-8" title="{{ __('End application process. Action not reversible.') }}"><i class="la la-times"></i> {{ __('CANCEL APPLICATION') }}</button>--}}
                                    {{--<button type="button" class="btn btn-light-primary btn-sm btn-default font-weight-bold" data-dismiss="modal">Close</button>--}}
                                {{--</div>--}}
                            {{--</div>--}}
                        {{--</div>--}}
                    {{--</div>--}}
                </div>
            </div>
        </div>

    <!--end::Row-->
    @push('vendor-scripts')
        <script src="{{ asset('assets/plugins/custom/datatables/datatables.bundle.js') }}"></script>
    @endpush

    @push('scripts')
            <script src="{{asset('assets/plugins/custom/ckeditor/ckeditor-classic.bundle.js')}}" type="text/javascript"></script>
        <script>
            $(function () {
                ClassicEditor.create( document.querySelector( '#message' ) );
            });

            // function getForm (title,short_name) {
            //     $("#verify-response").hide();
            //     $("#verify-form").show();
            //     // var name = $(this).data("fullName");
            //     // console.log(title+ " " + $(this).data("fullName"));
            //     $("#action_title").html(title);
            //     $("input#status").val(short_name);
            // }

            function getForm(stage,status) {
                var path = "{{route('benefit_registration.getStageComponent')}}";
                $.ajaxSetup(    {
                    headers: {
                        'X-CSRF-Token': $('meta[name=_token]').attr('content')
                    }
                });
                $.ajax({
                    url: path,
                    type: 'GET',
                    data: {stage:stage},
                    beforeSend: function(){
                        $("#verify-response").hide();
                        $("#verify-form").show();
                        $('#staticBackdrop').block({
                            message: '<div class="ft-loader icon-spin font-large-1"></div>',
                            overlayCSS: {
                                backgroundColor: '#ccc',
                                opacity: 0.8,
                                cursor: 'wait'
                            },
                            css: {
                                border: 0,
                                padding: 0,
                                backgroundColor: 'transparent'
                            }
                        });
                    },
                    success: function(data){
                        $('#stageForm').empty();
                        $('#action_title').empty();
                        $('#stageForm').html(data.the_view);
                        $('#action_title').text(data.title);
                        $("input#stage").val(status);
                        // console.log(data.the_view)
                        $.getScript("{{ asset('assets/js/customjs/custom.js') }}", function() {
                            console.log('Reset');
                        });
                    },
                    complete:function(){
                        $('#staticBackdrop').unblock();
                    }
                    ,
                    error: function (data) {
                        // console.log(data)
                    }
                });
            }

            function getData (title,remarks,action_taken,user) {
                $("#verify-form").hide();
                $("#verify-response").show();

                $("#action_title").html(title);
                $("#action").html(action_taken);
                $("#action-message").html(remarks);
                $("#user").html(user);
            }

            $('#application_status_log').dataTable( {
                "ordering": false,
            } );
            $('document').ready(function () {

                $('#application_status_log').DataTable();

                $('.select2').select2({
                    placeholder: "Select Option",
                    allowClear: true
                });
            });
        </script>
    @endpush
</x-app-layout>
