<x-app-layout>
    <x-slot name="page_title">
        {{ __('Benefit Details') }}
    </x-slot>
    <x-slot name="breadcrumb">
        <ul class="breadcrumb breadcrumb-transparent breadcrumb-dot font-weight-bold p-0 my-2 font-size-sm">
            <li class="breadcrumb-item text-muted">
                <a href="{{ route('dashboard') }}" class="text-muted">{{ __('Dashboard') }}</a>
            </li>
            <li class="breadcrumb-item text-muted">
                <a href="{{ route('benefit.list') }}" class="text-muted">{{ __('Benefits') }}</a>
            </li>
            <li class="breadcrumb-item text-muted">
                <a href="" class="text-muted">{{ __('Benefit Details') }}</a>
            </li>
        </ul>
    </x-slot>
    <!--begin::Row-->
    <div class="row">
        <div class="col-md-12">
            <h5 class="font-size-h6 font-weight-bolder mb-3">{{ __('Assign Registration Form & Set Verification Process') }}</h5>
            <div class="card card-custom mb-5">
                <div class="card-body">
                    {{--<div class="card-body p-5">--}}
                        <form method="POST" action="{{ route('benefit.setBenefitForm',[$benefit_id]) }}">
                            <div class="row">
                                @csrf
                                <div class="col-md-4">
                                    <div class="form-group{{ $errors->has('form') ? ' form-control-warning' : '' }}">
                                        <label for="form" class="font-weight-bolder">{{ __('Application Form') }}<span class="required">*</span></label>
                                        <select name="form" id="form" required class="form-control select2" style="width: 100%;">
                                            <option></option>
                                            @foreach($forms as $form)
                                                <option
                                                        @if(isset($selected_application_form->form_id))
                                                        @if($selected_application_form->form_id == $form->id) selected @endif
                                                        @endif
                                                        value="{{$form->id}}">
                                                    {{$form->title}}</option>
                                            @endforeach
                                        </select>
                                        @if ($errors->has('form'))
                                            <span class="form-text text-warning">{{ $errors->first('form') }}</span>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group{{ $errors->has('approval_process') ? ' form-control-warning' : '' }}">
                                        <label for="approval_process" class="font-weight-bolder">{{ __('Select a Verification Process') }}<span class="required">*</span></label>
                                        <select name="approval_process" id="approval_process" required class="form-control select2" style="width: 100%;">
                                            <option></option>
                                            @foreach($verification_processes_lookup as $verification_processes)
                                                <option
                                                        @if(isset($selected_application_form->form_id))
                                                        @if($selected_application_form->approval_process == $verification_processes->id) selected @endif
                                                        @endif
                                                        value="{{$verification_processes->id}}">
                                                    {{$verification_processes->lookupName}}</option>
                                            @endforeach
                                        </select>
                                        @if ($errors->has('approval_process'))
                                            <span class="form-text text-warning">{{ $errors->first('approval_process') }}</span>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-2">
                                    <div class="form-group{{ $errors->has('process') ? ' form-control-warning' : '' }}">
                                        <label for="process" class="font-weight-bolder">{{ __('Approval Process?') }}<span class="required">*</span></label>
                                        <select name="process" id="process"  required class="form-control select2" style="width: 100%;">
                                            <option></option>
                                            <option
                                                    @if(isset($selected_application_form->require_processing))
                                                    @if($selected_application_form->require_processing == 1) selected @endif
                                                    @endif value="1"> {{ __('Yes') }}</option>
                                            <option
                                                    @if(isset($selected_application_form->require_processing))
                                                    @if($selected_application_form->require_processing == 0) selected @endif
                                                    @endif
                                                    value="0"> {{ __('No') }}</option>
                                        </select>
                                        @if ($errors->has('process'))
                                            <span class="form-text text-warning">{{ $errors->first('process') }}</span>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-2">
                                    <div class="form-group{{ $errors->has('order') ? ' form-control-warning' : '' }}">
                                        <button type="submit" class="btn btn-primary mt-8"><i class="la la-save"></i> {{ __('Save') }}</button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    {{--</div>--}}
                </div>
            </div>

            <h5 class="font-size-h6 font-weight-bolder mb-3">{{ __('Benefit Details') }}</h5>
            <div class="card card-custom mb-5">
                <div class="card-body">
                    {!! $render_form['form_view'] !!}
                </div>
            </div>
        </div>
    </div>

    <!--end::Row-->
    @push('scripts')
        <script>
            $('document').ready(function () {

                $('#process').change( function () {
                    if(this.value == 0) {
                        $('#approval_process').prop({disabled:true,required:false});
                    }
                    else {
                        $('#approval_process').prop({disabled:false,required:true});
                    }
                });

                $('.select2').select2({
                    placeholder: "Select Option",
                    allowClear: true
                });
            });
        </script>
    @endpush
</x-app-layout>