<x-app-layout>
    @push('last-css')
{{--        <link rel="stylesheet" href="{{ asset('assets/cssbundle/bootstrapdatepicker.min.css') }}">--}}
        <link rel="stylesheet" href="{{ asset('assets/cssbundle/jquerysteps.min.css') }}">
        <style>
            .step-app>.step-steps>li.active,.step-app>.step-steps>li.done {
                background-color: transparent !important;
            }
            .datepicker-months .table-condensed {
                width: 100%;
                max-width: 200px;
            }
        </style>
    @endpush

    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('benefit.list') }}">{{ __('Benefits') }}</a></li>
            <li class="breadcrumb-item active" aria-current="page">{{ __($header) }}</li>
        </ol>
    </x-slot>
    <!-- start: page toolbar -->
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto page-header-title">
                <h1 class="color-900 mt-1 mb-0">{{ __($header) }}</h1>
                <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
            </div>
        </div> <!-- .row end -->
    </x-slot>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg- py-1 mt-0 mt-lg-">
        <div class="container-fluid">
            @if(session()->has('message'))
                <div class="mb-5">
                    @if(session()->get('status') == 'success')
                        <div role="alert" class="alert alert-success">{{ session()->get('message') }}</div>
                    @else
                        <div role="alert" class="alert alert-danger">{{ session()->get('message') }}</div>
                    @endif
                </div>
            @endif
            <div class="row g-3">
                <div class="col-12">

                </div>
                <div class="col-md-8">
                    <div class="card">
                        <form action="{{ route('benefit.save') }}" method="post">
                            @csrf
                            @if(isset($benefit)) <input type="hidden" name="id" value="{{cryptThis($benefit->id)}}"> @endif
                            @php
                                $titles =
                                $class =
                                $type =
                                $begin_period = $end_period = date('Y-m', strtotime(now()));
                                $support_mode = getSupportMode();

                                $cycle =
                                $description =
                                $country =
                                $country_id =null;
                                $gender =
                                $employment =
                                $employment_type =
                                $residences_id =
                                $residence =
                                $concurrent_benefits =
                                $nationalities =
                                $financial =
                                $impairments = [];
                                $allow_multiple = 1;
                                $visibility = 0;
                                $supporting_documents = array();
                                $approver =
                                $respondent =
                                $process_duration =
                                $department_unit =
                                $age_format =
                                $min_age =
                                $max_age = null;

                                if(isset($benefit)) {
                                    $titles = $benefit->titles;
                                    $class = $benefit->class;
                                    $type = $benefit->type;
                                    $amount = $benefit->amount;
                                    $description = $benefit->description;
                                    $country = $benefit->country;
                                    $country_id =$benefit->country_id;
                                    if(isset($benefit->gender_criteria)) $gender = $benefit->gender_criteria;
                                    if(isset($benefit->employment_criteria)) $employment = $benefit->employment_criteria;
                                    if(isset($benefit->employment_type_criteria)) $employment_type = $benefit->employment_type_criteria;
                                    if(isset($benefit->residences_id)) $residences_id = $benefit->residences_id;
                                    if(isset($benefit->residence_criteria)) $residence = $benefit->residence_criteria;
                                    if(isset($benefit->concurrent_benefits)) $concurrent_benefits = $benefit->concurrent_benefits;
                                    if(isset($benefit->impairments)) $impairments = $benefit->impairments;
                                    if(isset($benefit->nationalities)) $nationalities = $benefit->nationalities;
                                    if(isset($benefit->supporting_documents)) $supporting_documents = $benefit->supporting_documents;
                                    $min_age = $benefit->min_age;
                                    $max_age = $benefit->max_age;
                                    $cycle = $benefit->cycle;
                                    $visibility = $benefit->visibility;
                                    $allow_multiple = $benefit->allow_multiple;
                                    $age_format = $benefit->age_format;
                                    $department_unit = $benefit->department_unit;
                                    $begin_period = date('Y-m', strtotime($benefit->begin_period));
                                    $end_period = date('Y-m', strtotime($benefit->end_period));
                                    $approver = $benefit->approver;
                                    $financial = $benefit->financial;
                                    $respondent = $benefit->respondent;
                                    $process_duration = $benefit->process_duration;
                                }
                                else {
                                    $titles = old('titles');
                                    $class = old('class');
                                    $type = old('type');
                                    $amount = old('amount');
                                    $visibility = old('visibility');
                                    $description = old('description');
                                    $country = old('country');
                                    $gender[] = old('gender[]');
                                    $employment[] = old('employment[]');
                                    $employment_type[] = old('employment_type[]');
                                    $residence[] = old('residence[]');
                                    $concurrent_benefits[] = old('concurrent_benefits[]');
                                    $impairments[] = old('impairments[]');
                                    $nationalities[] = old('nationalities[]');
                                    $supporting_documents[] = old('supporting_documents[]');
                                    $min_age = old('min_age');
                                    $max_age = old('max_age');
                                    $cycle = old('cycle');
                                    $allow_multiple = old('allow_multiple');
                                    $department_unit = old('department_unit');
                                    $financial = old('financial');
                                    $age_format = old('age_format');
                                    $approver = old('approver');
                                    $respondent = old('respondent');
                                    $process_duration = old('process_duration');
                                    if (old('begin_period')) {
                                        $begin_period = date('Y-m', strtotime(old('begin_period')));
                                    }
                                    if (old('end_period')) {
                                        $end_period = date('Y-m', strtotime(old('end_period')));
                                    }
                                }
                            @endphp
                            <div class="card-body step-app h-wizard-demo4">
                                <ul class="step-steps">
                                    <li data-step-target="step1"><span class="fa fa-list"></span> Basic Information</li>
                                    <li data-step-target="step2"><span class="fa fa-hourglass-start"></span> Schedule</li>
                                    <li data-step-target="step3"><span class="fa fa-check-circle-o"></span> Eligibility Criteria</li>
                                    <li data-step-target="step4"><span class="fa fa-share-alt"></span> Workflow</li>
                                </ul>
                                <div class="step-content">
                                    <div class="step-tab-panel" data-step="step1">
                                        <div class="row g-2">
                                            <div class="col-md-6 mb-3">
                                                <label>Program Name <span class="required">*</span></label>
                                                <input type="text" required class="form-control" placeholder="Program Name" value="{{$titles}}" name="titles" id="titles">

                                                @if ($errors->has('titles'))
                                                    <span class="form-text text-warning">{{ $errors->first('titles') }}</span>
                                                @endif
                                            </div>
                                            <div class="col-md-6 mb-3">
                                                <label for="class">Class <span class="required">*</span></label>
                                                    <select class="form-select" required id="class" name="class">
                                                        <option value="">-- Select Class --</option>
                                                        @foreach(getBenefitClasses() as $key=>$class_name)
                                                            <option value="{{$key}}" {{ ($class == $key)?"selected":'' }}>{{ $class_name }}</option>
                                                        @endforeach
                                                    </select>
                                                @if ($errors->has('class'))
                                                    <span class="form-text text-warning">{{ $errors->first('class') }}</span>
                                                @endif
                                            </div>
                                            <div class="col-md-6 mb-3">
                                                <label for="type">Type <span class="required">*</span></label>
                                                <select class="form-select" required id="type" name="type" @if($class == null) disabled @endif>
                                                    @foreach(getBenefitClassTypes($class) as $key=>$type_name)
                                                        <option value="{{$key}}" {{ ($type == $key)?"selected":'' }}>{{ $type_name }}</option>
                                                    @endforeach
                                                </select>
                                                @if ($errors->has('type'))
                                                    <span class="form-text text-warning">{{ $errors->first('type') }}</span>
                                                @endif
                                            </div>
                                            <div class="col-md-6 mb-3">
                                                <label for="type">Issuance Mode <span class="required">*</span></label>
                                                <select class="form-select" required id="financial" name="financial">
                                                    <option value="">Choose Type</option>
                                                    @forelse($support_mode as $key => $mode)
                                                        <option value="{{$mode->fullName}}" @selected($financial == $mode->fullName)>
                                                            {{$mode->fullName}}</option>
                                                    @empty

                                                    @endforelse
                                                </select>
                                                @if ($errors->has('financial'))
                                                    <span class="form-text text-warning">{{ $errors->first('financial') }}</span>
                                                @endif
                                            </div>
                                            <div class="col-md-12 mb-3">
                                                    <label for="description">Description <span class="required">*</span></label>
                                                    <textarea class="form-control" style="border-radius: 0px!important;" required name="description" id="description">{{$description}}</textarea>
                                                @if ($errors->has('description'))
                                                    <span class="form-text text-warning">{{ $errors->first('description') }}</span>
                                                @endif
                                            </div>

                                            <div class="col-md-12 mb-1">
                                                <label for="type">Additional Items</label>
                                            </div>

                                            @if (canDo('administrator','settings'))

                                                @foreach ($inventory_items as $item)
                                                <div class="col-md-6 mb-1">
                                                    <span class="form-check">
                                                        <input class="form-check-input" value="{{ $item->id }}" type="checkbox" name="additional_items[]" @if(in_array($item->id, $selectedItems)) checked @endif>
                                                        <label class="form-check-label" for="">{{$item->item}} <small class="text-muted"><em>- {{ $item->deployment->name }}</em></small></label>
                                                    </span>
                                                </div>
                                                    
                                                @endforeach

                                            @else


                                                @foreach ($inventory_items as $item)
                                                <div class="col-md-6 mb-1">
                                                    <span class="form-check">
                                                        <input class="form-check-input" value="{{ $item->id }}" type="checkbox" name="additional_items[]" @if(isset($benefit)) @if(in_array($item->id, $selectedItems)) checked @endif @endif>
                                                        <label class="form-check-label" for="">{{$item->item}}</label>
                                                    </span>
                                                </div>
                                                    
                                                @endforeach
 
                                            @endif
                                            

                                            <div class="col-md-12 mb-1">
                                                <label for="type">Benefit Visibility <span class="required">*</span></label>
                                            </div>
                                            <div class="col-md-6 mb-1">
                                                <span class="form-check">
                                                    <input class="form-check-input" value="0" type="radio" name="visibility" required id="visibility_public" @checked($visibility==0)>
                                                    <label class="form-check-label" for="visibility_public">Public <small class="text-muted"><em>- any member can see and apply</em></small></label>
                                                </span>
                                            </div>
                                            <div class="col-md-6 mb-1">
                                                <span class="form-check">
                                                    <input class="form-check-input" value="1" type="radio" name="visibility" required id="visibility_private" @checked($visibility==1)>
                                                    <label class="form-check-label" for="visibility_private">Private <small class="text-muted"><em>- only invited members can apply</em></small></label>
                                                </span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="step-tab-panel" data-step="step2">
                                        <div class="row g-2">
                                            <div class="col-md-4">
                                                <label for="cycle">Cycle</label>
                                                <select name="cycle" class="form-select" id="cycle" aria-label="Floating label select example">
                                                    <option selected>Select Cycle</option>
                                                    <option @if($cycle == "One-Off") selected @endif value="One-Off">One-Off</option>
                                                    <option @if($cycle == "Yearly") selected @endif value="Yearly">Yearly</option>
                                                    <option @if($cycle == "Quarterly") selected @endif  value="Quarterly">Quarterly</option>
                                                    <option @if($cycle == "Bi-Monthly") selected @endif  value="Bi-Monthly">Bi-Monthly</option>
                                                    <option @if($cycle == "Monthly") selected @endif value="Monthly">Monthly</option>
                                                    <option @if($cycle == "Bi-Weekly") selected @endif value="Bi-Weekly">Bi-Weekly</option>
                                                    <option @if($cycle == "Weekly") selected @endif value="Weekly">Weekly</option>
                                                    <option @if($cycle == "Daily") selected @endif value="Daily">Daily</option>
                                                </select>
                                            </div>
                                            <div class="col-md-4">
                                                <div class="form-group">
                                                    <label>{{ __('Start Date') }} <span class="required">*</span></label>
                                                    <input type="text" class="form-control datepicker" name="begin_period"
                                                           required value="{{ $begin_period }}" autocomplete="off" />
                                                    @if ($errors->has('begin_period'))
                                                        <div class="invalid-feedback">
                                                            {{ $errors->first('begin_period') }}
                                                        </div>
                                                    @endif
                                                </div>
                                            </div>
                                            <div class="col-md-4">
                                                <div class="form-group">
                                                    <label>{{ __('End Date') }} <span class="required">*</span></label>
                                                    <input type="text" class="form-control datepicker" name="end_period"
                                                           required value="{{ $end_period }}" autocomplete="off" />
                                                    @if ($errors->has('end_period'))
                                                        <div class="invalid-feedback">
                                                            {{ $errors->first('end_period') }}
                                                        </div>
                                                    @endif
                                                </div>
                                            </div>
                                            <div class="col-md-3"></div>
                                            {{-- <div class="col-md-6">
                                                <label>{{ __('Allow multiple applications for a member?') }} <span class="required">*</span></label>
                                                <span class="form-check">
                                                    <input class="form-check-input" value="1" type="radio" name="allow_multiple" id="allow_multiple_yes" @checked($allow_multiple==1)>
                                                    <label class="form-check-label" for="allow_multiple_yes">Yes, allow multiple applications</label>
                                                </span>
                                                <span class="form-check">
                                                    <input class="form-check-input" value="0" type="radio" name="allow_multiple" id="allow_multiple_no" @checked($allow_multiple==0)>
                                                    <label class="form-check-label" for="allow_multiple_no">No, allow only a single application</label>
                                                </span>
                                            </div> --}}
                                            <div class="col-md-12">
                                                <span class="form-check">
                                                    <input class="form-check-input" value="1" type="checkbox" name="allow_multiple" id="allow_multiple_yes"  @checked($allow_multiple==1)>
                                                    <label class="form-check-label" for="allow_multiple_yes">Allow Re-Requests: A member can re-apply after having previously benefited.</label>
                                                </span>
                                            </div>
                                        </div> <!-- .row end -->
                                    </div>
                                    <div class="step-tab-panel" data-step="step3">
                                        <div class="row g-2">
                                            {{--AGE--}}
                                            <div class="col-md-4">
                                                <div class="input-group">
                                                    <select class="form-select form-control" name="age_format" id="age_format">
                                                        <option>-- Select --</option>
                                                        <option @if($age_format == "Above") selected @endif value="Above">Above</option>
                                                        <option @if($age_format == "Below") selected @endif value="Below">Below</option>
                                                        <option @if($age_format == "Between") selected @endif value="Between">Between</option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="col-md-4">
                                                <div class="form-group">
                                                    @if($view)
                                                        <p>{{$min_age}}</p>
                                                    @else
                                                        <input type="number" class="form-control " @if($age_format == "Below")style="display: none" @endif  placeholder="Start Age"
                                                               value="{{$min_age}}" step="0.5" @disabled($age_format == "Below") name="min_age" id="min_age">
                                                    @endif
                                                </div>
                                                @if ($errors->has('min_age'))
                                                    <div class="invalid-feedback">
                                                        {{ $errors->first('min_age') }}
                                                    </div>
                                                @endif
                                            </div>
                                            <div class="col-md-4">
                                                <div class="form-group">
                                                    @if($view)
                                                        <p>{{$max_age}}</p>
                                                    @else
                                                        <input type="number" class="form-control" @if($age_format == "Above")style="display: none" @endif placeholder="End Age"
                                                               value="{{ $max_age }}" step="0.5" @disabled($age_format == "Above") name="max_age" id="max_age">
                                                    @endif
                                                </div>
                                                @if ($errors->has('max_age'))
                                                    <div class="invalid-feedback">
                                                        {{ $errors->first('max_age') }}
                                                    </div>
                                                @endif
                                            </div>

                                            {{--GENDER--}}
                                            <div class="col-md-4">
                                                <div class="form-group">
                                                    <label for="gender">{{ __('Gender') }}</label>
                                                    <br>
                                                    @if($view)
                                                        <p>
                                                            @foreach($gender as $key=>$name)
                                                                <span class="mr-3"><i class="fas fa-circle icon-sm-xs mr-1"></i> {{$name}}</span>
                                                            @endforeach
                                                        </p>
                                                    @else
                                                        <select name="gender[]" id="gender" multiple class="form-control select2">
                                                            @foreach($gender_list as $key=>$name)
                                                                <option value="{{$name}}" {{ in_array($name,$gender)?'selected':'' }}>{{$name}}</option>
                                                            @endforeach
                                                        </select>
                                                        @if ($errors->has('gender'))
                                                            <div class="invalid-feedback">
                                                                {{ $errors->first('gender') }}
                                                            </div>
                                                        @endif
                                                    @endif
                                                </div>
                                            </div>
                                            {{--NATIONALITY--}}
                                            <div class="col-md-8">
                                                <div class="form-group">
                                                    <label for="nationalities">{{ __('Nationality') }}</label>
                                                    <br>
                                                    @if($view)
                                                        <p>
                                                            @foreach(getNationalities() as $key=>$name)
                                                                <span class="mr-3"><i class="fas fa-circle icon-sm-xs mr-1"></i> {{$name}}</span>
                                                            @endforeach
                                                        </p>
                                                    @else
                                                        <select name="nationalities[]" id="nationalities" multiple class="form-select select2">
                                                            @foreach(getNationalities() as $key=>$name)
                                                                <option value="{{$name}}" {{ in_array($name,$nationalities)?'selected':'' }}>{{$name}}</option>
                                                            @endforeach
                                                        </select>
                                                        @if ($errors->has('nationalities'))
                                                            <div class="invalid-feedback">
                                                                {{ $errors->first('nationalities') }}
                                                            </div>
                                                        @endif
                                                    @endif
                                                </div>
                                            </div>
                                            {{--RESIDENCY--}}
                                            <div class="col-md-12">
                                                <div class="form-group">
                                                    <label for="residence">{{ __('Residence') }}</label>
                                                </div>
                                            </div>
                                            <div class="col-md-4">
                                                @if($view)
                                                    <p> {{$country}}</p>
                                                @else
                                                    <!--<select name="country" id="country" class="form-control select2" onchange="getStates2()">
                                                        <option value="">-- Choose Country --</option>
                                                        @foreach(getCountries() as $key=>$name)
                                                            <option value="{{$name['id']}}" @selected($country_id == $name['id'])>{{$name['country_name']}}</option>
                                                        @endforeach
                                                    </select>-->
                                                    <select name="sub_county"  id="sub_county_selector" multiple class="form-control select2" onchange="getWardsOfSubCounty()">
                                                        <option value=""></option>
                                                        @foreach ($sub_counties as $sub_county)
                                                            <option value="{{ $sub_county->id }}">{{ $sub_county->name }}</option>
                                                        @endforeach
                                                    </select>
                                                    @if ($errors->has('country'))
                                                        <div class="invalid-feedback">
                                                            {{ $errors->first('country') }}
                                                        </div>
                                                    @endif

                                                @endif
                                            </div>
                                            <div class="col-md-8">
                                                @if($view)
                                                    <p>
                                                        @foreach($residence as $key=>$name)
                                                            <span class="mr-3"><i class="fas fa-circle icon-sm-xs mr-1"></i> {{$name}}</span>
                                                        @endforeach
                                                    </p>
                                                @else
                                                    @if($country_id)
                                                        <select name="residence[]" id="residence" multiple class="form-control select2 residence-select">
                                                            @foreach(getVillages($country_id) as $key=>$name)
                                                                <option value="{{$name['id']}}" {{ in_array($name['name'],$residence)?'selected':'' }}>{{$name['name']}}</option>
                                                            @endforeach
                                                        </select>
                                                    @else
                                                    <select name="residence[]" id="residence" multiple class="form-control select2 residence-select">
                                                        <option value="">-- Choose --</option>
                                                    </select>
                                                    @endif
                                                    @if ($errors->has('residence'))
                                                        <div class="invalid-feedback">
                                                            {{ $errors->first('residence') }}
                                                        </div>
                                                    @endif
                                                @endif
                                            </div>
                                            {{--CORRESPONDING BENEFITS--}}
                                            <div class="col-md-12">
                                                <div class="form-group">
                                                    <label for="concurrent_benefits">{{ __('Concurrent Allowed Benefits') }}</label>
                                                    <br>
                                                    @if($view)
                                                        <p>
                                                            @foreach($concurrent_benefits as $key=>$name)
                                                                <span class="mr-3"><i class="fas fa-circle icon-sm-xs mr-1"></i> {{$name}}</span>
                                                            @endforeach
                                                        </p>
                                                    @else
                                                        <select name="concurrent_benefits[]" id="concurrent_benefits" multiple class="form-control select2">
                                                            @foreach($benefit_list as $key=>$name)
                                                                <option value="{{$name}}" {{ in_array($name,$concurrent_benefits)?'selected':'' }}>{{$name}}</option>
                                                            @endforeach
                                                        </select>
                                                        @if ($errors->has('concurrent_benefits'))
                                                            <div class="invalid-feedback">
                                                                {{ $errors->first('concurrent_benefits') }}
                                                            </div>
                                                        @endif
                                                    @endif
                                                </div>
                                            </div>
                                            {{--EMPLOYMENT STATUS--}}
                                            <div class="col-md-4">
                                                <div class="form-group">
                                                    <label for="employment">{{ __('Employment Status') }}</label>
                                                    <br>
                                                    @if($view)
                                                        <p>
                                                            @foreach($employment as $key=>$name)
                                                                <span class="mr-3"><i class="fas fa-circle icon-sm-xs mr-1"></i> {{$name}}</span>
                                                            @endforeach
                                                        </p>
                                                    @else
                                                        <select name="employment[]" id="employment" multiple class="form-control select2">
                                                            @foreach($employment_sector_list as $key=>$name)
                                                                <option value="{{$name}}" {{ in_array($name,$employment)?'selected':'' }}>{{$name}}</option>
                                                            @endforeach
                                                        </select>
                                                        @if ($errors->has('employment'))
                                                            <div class="invalid-feedback">
                                                                {{ $errors->first('employment') }}
                                                            </div>
                                                        @endif
                                                    @endif
                                                </div>
                                            </div>
                                            {{--EMPLOYMENT TYPE--}}
                                            <div class="col-md-4">
                                                <div class="form-group">
                                                    <label for="employment_type">{{ __('Employment Type') }}</label>
                                                    <br>
                                                    @if($view)
                                                        <p>
                                                            @foreach($employment_type as $key=>$name)
                                                                <span class="mr-3"><i class="fas fa-circle icon-sm-xs mr-1"></i> {{$name}}</span>
                                                            @endforeach
                                                        </p>
                                                    @else
                                                        <select name="employment_type[]" id="employment_type" multiple class="form-control select2">
                                                            @foreach($employment_type_list as $key=>$name)
                                                                <option value="{{$name}}" {{ in_array($name,$employment_type)?'selected':'' }}>{{$name}}</option>
                                                            @endforeach
                                                        </select>
                                                        @if ($errors->has('employment_type'))
                                                            <div class="invalid-feedback">
                                                                {{ $errors->first('employment_type') }}
                                                            </div>
                                                        @endif
                                                    @endif
                                                </div>
                                            </div>
                                            {{--IMPAIRMENT--}}
                                            <div class="col-md-12">
                                                <div class="form-group">
                                                    <label for="impairments">{{ __('Impairments') }}</label>
                                                    <br>
                                                    @if($view)
                                                        <p>
                                                            @foreach($impairments as $key=>$name)
                                                                <span class="mr-3"><i class="fas fa-circle icon-sm-xs mr-1"></i> {{$name}}</span>
                                                            @endforeach
                                                        </p>
                                                    @else
                                                        <select name="impairments[]" id="impairments" multiple class="form-control select2">
                                                            @foreach($impairment_type_code as $key=>$name)
                                                                <option value="{{$name}}" {{ in_array($name,$impairments)?'selected':'' }}>{{$name}}</option>
                                                            @endforeach
                                                        </select>
                                                        @if ($errors->has('impairments'))
                                                            <div class="invalid-feedback">
                                                                {{ $errors->first('impairments') }}
                                                            </div>
                                                        @endif
                                                    @endif
                                                </div>
                                            </div>
                                            {{--DOCUMENTATION--}}
                                            <p class="mt-4 fw-bolder">Required Documentation</p>
                                            <div class="form-group row">
                                                @if($view)
                                                    <p>
                                                        @foreach($supporting_documents as $key=>$name)
                                                            <span class="mr-3"><i class="fas fa-circle icon-sm-xs mr-1"></i> {{$name}}</span>
                                                        @endforeach
                                                    </p>
                                                @else
                                                    @foreach($document_type_list as $key=>$name)
                                                        <div class="form-check col-md-4 mb-3">
                                                            <input class="form-check-input" id="{{$key}}" type="checkbox" value="{{$name}}" {{ in_array($name,$supporting_documents)?'checked':'' }} name="supporting_documents[]">
                                                            <label class="form-check-label" for="{{$key}}">{{$name}}</label>
                                                        </div>
                                                    @endforeach
                                                @endif
                                            </div>
                                        </div> <!-- .row end -->
                                    </div>
                                    <div class="step-tab-panel" data-step="step4">
                                        <div class="row g-2">
                                            <div class="col-md-6">
                                                <div class="form-group{{ $errors->has('form') ? ' form-control-warning' : '' }}">
                                                    <label for="form" class="font-weight-bolder">{{ __('Application Form') }}<span class="required">*</span></label>
                                                    <select name="form" id="form" required class="form-control select2" style="width: 100%;">
                                                        <option></option>
                                                        @foreach($forms as $form)
                                                            <option @if(isset($benefit))@if($benefit->form_id == $form->id) selected @endif @endif value="{{$form->id}}">
                                                                {{$form->name}}
                                                            </option>
                                                        @endforeach
                                                    </select>
                                                    @if ($errors->has('form'))
                                                        <span class="form-text text-warning">{{ $errors->first('form') }}</span>
                                                    @endif
                                                </div>
                                            </div>
                                            <div class="col-md-6 col-12">
                                                <div class="form-group{{ $errors->has('department_unit') ? ' form-control-warning' : '' }}">
                                                    <label for="department_unit" class="font-weight-bolder">{{ __('Departmental Unit') }}<span class="required">*</span></label>
                                                    <select name="department_unit" id="department_unit" required class="form-control select2" style="width: 100%;">
                                                        <option></option>
                                                        @foreach(getOfficeTypes() as $id=>$name)
                                                            <option @if(isset($benefit))@if($department_unit == $id) selected @endif @endif value="{{$id}}"
                                                                    class="text-capitalize">
                                                                {{Str::title($name)}}
                                                            </option>
                                                        @endforeach
                                                    </select>
                                                    @if ($errors->has('department_unit'))
                                                        <span class="form-text text-warning">{{ $errors->first('department_unit') }}</span>
                                                    @endif
                                                </div>
                                            </div>
                                            <div class="col-md-6 col-12">
                                                <div class="form-group{{ $errors->has('respondent') ? ' form-control-warning' : '' }}">
                                                    <label for="respondent" class="font-weight-bolder">{{ __('Respondent') }}<span class="required">*</span></label>
                                                    <select name="respondent" id="respondent" required class="form-control select2" style="width: 100%;">
                                                        <option></option>
                                                        @foreach($roles as $role)
                                                            <option @if(isset($benefit))@if($respondent == $role->id) selected @endif @endif value="{{$role->id}}"
                                                            class="text-capitalize">
                                                                {{Str::title($role->name)}}
                                                            </option>
                                                        @endforeach
                                                    </select>
                                                    @if ($errors->has('respondent'))
                                                        <span class="form-text text-warning">{{ $errors->first('respondent') }}</span>
                                                    @endif
                                                </div>
                                            </div>
                                            <div class="col-md-6 col-12">
                                                <div class="form-group{{ $errors->has('approver') ? ' form-control-warning' : '' }}">
                                                    <label for="approver" class="font-weight-bolder">{{ __('Approver') }}<span class="required">*</span></label>
                                                    <select name="approver" id="approver" required class="form-control select2" style="width: 100%;">
                                                        <option></option>
                                                        @foreach($roles as $role)
                                                            <option @if(isset($benefit))@if($approver == $role->id) selected @endif @endif value="{{$role->id}}"
                                                                    class="text-capitalize">
                                                                {{Str::title($role->name)}}
                                                            </option>
                                                        @endforeach
                                                    </select>
                                                    @if ($errors->has('approver'))
                                                        <span class="form-text text-warning">{{ $errors->first('approver') }}</span>
                                                    @endif
                                                </div>
                                            </div>
                                            {{-- <div class="col-md-3 col-12">
                                                <div class="form-group{{ $errors->has('process_duration') ? ' form-control-warning' : '' }}">
                                                    <label for="process_duration" class="font-weight-bolder">{{ __('Process Duration') }}<span class="required">*</span></label>
                                                    <div class="input-group">
                                                        <input type="number" class="form-control" required name="process_duration" id="process_duration" min="1"
                                                               placeholder="1" aria-label="{{ __('Process Duration') }}" value="{{$process_duration}}" aria-describedby="basic-addon2">
                                                        <span class="input-group-text">Days</span>
                                                    </div>
                                                    @if ($errors->has('process_duration'))
                                                        <span class="form-text text-warning">{{ $errors->first('process_duration') }}</span>
                                                    @endif
                                                </div>
                                            </div> --}}

                                            <div class="col-12 text-end">
                                                <button type="submit" class="btn btn-primary"><i class="fa fa-paper-plane"></i> Finish</button>
                                            </div>
                                        </div> <!-- .row end -->
                                    </div>
                                </div>
                                <div class="step-footer d-flex">
                                    <button class="btn step-btn" data-step-action="prev">Prev</button>
                                    <button class="btn step-btn" data-step-action="next">Next</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
                <div class="col-md-4">
                    <h6>Terminology</h6>
                    <div class="accordion" id="applicantInformation">
                        {{--Class--}}
                        <div class="card mb-1 bg-transparent">
                            <div class="card-header p-0" id="parental_header">
                                <h2 class="mb-0 w-100">
                                    <button class="btn btn-light-secondary btn-block text-start w-100 collapsed p-3 rounded-0"
                                            type="button" data-bs-toggle="collapse" data-bs-target="#collapse_class"
                                            aria-expanded="false" aria-controls="collapse_class"> {{__('Class') }} </button>
                                </h2>
                            </div>
                            <div id="collapse_class" class="collapse" aria-labelledby="parental_header" data-parent="#collapse_class">
                                <div class="card-body p-3">
                                    <div class="row">
                                        <div class="col-lg-12">
                                            <dl>
                                                @foreach(getBenefitClassesTerminology() as $class)
                                                    <dt>{{$class->fullName}}</dt>
                                                    <dd>{{$class->description}}</dd>
                                                @endforeach
                                            </dl>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="card-header p-0 mt-3" id="parental_header">
                                <h2 class="mb-0 w-100">
                                    <button class="btn btn-light-secondary btn-block text-start w-100 collapsed p-3 rounded-0"
                                            type="button" data-bs-toggle="collapse" data-bs-target="#collapse_type"
                                            aria-expanded="false" aria-controls="collapse_type"> {{__('Type') }} </button>
                                </h2>
                            </div>
                            <div id="collapse_type" class="collapse" aria-labelledby="parental_header" data-parent="#collapse_type">
                                <div class="card-body p-3">
                                    <div class="row">
                                        @foreach(getTypesTerminology() as $key => $types)
                                        <div class="col-lg-12">
                                            <div class="card-header p-0 mt-3" id="parental_header">
                                                <h2 class="mb-0 w-100">
                                                    <button class="btn btn-light-secondary btn-block text-start w-100 collapsed p-3 rounded-0"
                                                            type="button" data-bs-toggle="collapse" data-bs-target="#collapse_type_{{$key}}"
                                                            aria-expanded="false" aria-controls="collapse_type_{{$key}}"> {{$types['class']}} </button>
                                                </h2>
                                            </div>
                                        </div>
                                        <div id="collapse_type_{{$key}}" class="collapse" aria-labelledby="parental_header" data-parent="#collapse_type_{{$key}}">
                                            <div class="card-body p-3">
                                                <div class="row">
                                                    <dl>
                                                        @foreach($types['types'] as $type_details)
                                                            <dt>{{$type_details['name']}}</dt>
                                                            <dd>{{$type_details['description']}}</dd>
                                                        @endforeach
                                                    </dl>
                                                </div>
                                            </div>
                                        </div>
                                        @endforeach
                                    </div>
                                </div>
                            </div>
                            <div class="card-header p-0 mt-3" id="parental_header">
                                <h2 class="mb-0 w-100">
                                    <button class="btn btn-light-secondary btn-block text-start w-100 collapsed p-3 rounded-0"
                                            type="button" data-bs-toggle="collapse" data-bs-target="#collapse_mode"
                                            aria-expanded="false" aria-controls="collapse_mode"> {{__('Mode') }} </button>
                                </h2>
                            </div>
                            <div id="collapse_mode" class="collapse" aria-labelledby="parental_header" data-parent="#collapse_mode">
                                <div class="card-body p-3">
                                    <div class="row">
                                        <div class="col-lg-12">
                                            <dl>
                                                @foreach($support_mode as $mode)
                                                    <dt>{{$mode->fullName}}</dt>
                                                    <dd>{{$mode->description}}</dd>
                                                @endforeach
                                            </dl>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    @push('scripts')
        <script src="{{ asset('assets/js/bundle/jquerysteps.bundle.js') }}"></script>
            <script src="{{ asset('assets/js/bundle/bootstrapdatepicker.bundle.js') }}"></script>
        <script>
            $('document').ready(function (){
                @if (!$country_id)
                    getStates2()
                @endif
                
                $("select#age_format").change(function(){
                    var format = $(this).children("option:selected").val();
                    console.log(format);
                    if (format === 'Above') {
                        $('#min_age').show().prop('disabled',false);
                        $('#max_age').hide().prop('disabled',true);
                    }
                    if (format === 'Below') {
                        $('#min_age').hide().prop('disabled',true);
                        $('#max_age').show().prop('disabled',false);
                    }
                    if (format === 'Between') {
                        $('#min_age').show().prop('disabled',false);
                        $('#max_age').show().prop('disabled',false);
                    }
                });
                $("select#class").change(function(){
                    var classValue = $(this).children("option:selected").val();
                    getClassType(classValue);
                });
            });

            function getStates() {
                let country = $('select#country').val();
                $.get(BASE_URL+"api/get-country-states/"+country, function(data, status){
                    $('#residence').html('<option value="">-- Choose --</option>');
                    let states = data.data.states;

                    $.each(states, function (index, value) {
                        $('#residence').append($('<option/>', {
                            value: value.id,
                            text : value.name
                        })).prop('disabled',false);
                    });
                });
            }

            $('.h-wizard-demo4').steps({});


            function getClassType(key) {
                var path = "{{route('benefit.classTypes')}}";
                $.ajaxSetup(    {
                    headers: {
                        'X-CSRF-Token': $('meta[name=_token]').attr('content')
                    }
                });
                $.ajax({
                    url: path,
                    type: 'GET',
                    data: {class_id:key},
                    beforeSend: function(){
                    },
                    success: function(data){
                        $('select#type').empty();
                        $('select#type').html(data.options);
                        $('select#type').attr('disabled',false);
                    },
                    complete:function(){
                    }
                    ,
                    error: function (data) {
                        console.log(data);
                    }
                });
            }

            $('.datepicker').datepicker({
                // // format: "yyyy-mm",
                // startView: "months",
                // minViewMode: "months"
            });
            $('.select2').select2({
                placeholder: 'Choose',
                allowClear: true
            });
            $('.residence-select').select2({
                placeholder: 'Select Villages/Wards',
                allowClear: true
            });
            $('#sub_county_selector').select2({
                placeholder: 'Select Subcounties',
                allowClear: true
            })
        </script>

        <script>

            function getStates2(){
                console.log('Fetched Wards/Villages')
                let country = $('select#country').val();
                $.get('/get-country-villages/115', function(res){
                    
                    $('#residence').empty()
                    $.each(res, function (index, value) {
                        $('#residence').append($('<option/>', {
                            value: value.id,
                            text : value.name,
                            selected: false
                        })).prop('disabled',false);
                    });
                })
            }

            function select_all_wards(){
                $('#residence').val($('#residence option:not(:disabled)').map(function() {
                    return $(this).val();
                }).get()).trigger('change');
            }

            /*function getWardsOfSubCounty()
            {
                let sub_county = $('#sub_county_selector').val();
                $.get('/get-villages/'+sub_county, function(res){
                    
                    $('#residence').empty()
                    $.each(res, function (index, value) {
                        $('#residence').append($('<option/>', {
                            value: value.id,
                            text : value.name,
                            selected: true
                        })).prop('disabled',false);
                    });
                })

            }
            function getWardsOfSubCounty() {
                let sub_county = $('#sub_county_selector').val();
                console.log('New Subcounty Selected : '+sub_county)
                $.get('/get-villages/' + sub_county, function(res) {
                    
                    // Loop through each item in the response
                    $.each(res, function (index, value) {
                        // Find the option with a matching value.id
                        let option = $('#residence option[value="' + value.id + '"]');
                        
                        // If the option exists, select it
                        if (option.length) {
                            option.prop('selected', true);
                        } else {
                            // If the option doesn't exist, create a new one and append it
                            $('#residence').append($('<option/>', {
                                value: value.id,
                                text: value.name,
                                selected: true
                            })).prop('disabled', false);
                        }
                    });
                    
                    // Trigger change event to update UI and make selected options visible
                    $('#residence').trigger('change');
                });
            }*/ 

            

            function getWardsOfSubCounty() {
                let sub_county = $('#sub_county_selector').val(); // Get all selected sub-county IDs (array)
                console.log('New Subcounties Selected: ' + sub_county);

                // Loop through each sub-county selected
                $.each(sub_county, function(index, subCountyId) {
                    $.get('/get-villages/' + subCountyId, function(res) {
                        // Loop through each item in the response
                        $.each(res, function (index, value) {
                            // Find the option with a matching value.id
                            let option = $('#residence option[value="' + value.id + '"]');
                            
                            // If the option exists, select it
                            if (option.length) {
                                option.prop('selected', true);
                            } else {
                                // If the option doesn't exist, create a new one and append it
                                $('#residence').append($('<option/>', {
                                    value: value.id,
                                    text: value.name,
                                    selected: true
                                })).prop('disabled', false);
                            }
                        });

                        // Trigger change event to update UI and make selected options visible
                        $('#residence').trigger('change');
                    });
                });
            }





            
        </script>
        

    @endpush
</x-app-layout>
