<x-app-layout>
    @push('vendor-css')
        <link rel="stylesheet" href="{{ asset('assets/plugins/custom/datatables/datatables.bundle.css') }}">
    @endpush

        <x-slot name="breadcrumb">
            <ol class="breadcrumb bg-transparent mb-0">
                <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
                <li class="breadcrumb-item active" aria-current="page">@if($restored){{ __('Programs Management') }}@else {{ __('Archived Programs') }}@endif</li>
            </ol>
        </x-slot>
        <!-- start: page toolbar -->
        <x-slot name="page_heading">
            <div class="row align-items-center">
                <div class="col-auto page-header-title">
                    <h1 class="color-900 mt-1 mb-0">@if($restored){{ __('Programs Management') }}@else {{ __('Archived Programs') }}@endif</h1>
                    <small class="text-muted">
                        It enables administrators to seamlessly add, edit, and delete scheme benefits, offering flexibility in setting benefit amounts, eligibility criteria
                    </small>
                </div>
                <!--<div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                    <div class="p-2 me-md-3">
                        <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                                1.3%</small></div>
                        <small class="text-muted text-uppercase">Active</small>
                    </div>
                    <div class="p-2 me-md-3">
                        <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                                4.1%</small></div>
                        <small class="text-muted text-uppercase">Inactive</small>
                    </div>
                </div>-->
            </div> <!-- .row end -->
        </x-slot>

        <div class="page-body px-xl-4 px-sm-2 px-0 py-lg- py-1 mt-0 mt-lg-">
            <div class="container-fluid">
                @if(session()->has('message'))
                    <div class="mb-5">
                        @if(session()->get('status') == 'success')
                            <div role="alert" class="alert alert-success">{{ session()->get('message') }}</div>
                        @else
                            <div role="alert" class="alert alert-danger">{{ session()->get('message') }}</div>
                        @endif
                    </div>
                @endif

                <!--begin::Row-->
                <div class="row g-3">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body">
                                <form action="#" method="get">
                                    @csrf
                                    <div class="input-group">
                                        <select name="class" id="class" class="form-select">
                                            <option value="">-- {{ __('Class') }} --</option>
                                            @foreach(getBenefitClasses() as $id=>$class)
                                                <option value="{{$id}}" {{ (request()->get('class') == $id)?'selected':'' }}>{{ $class }}</option>
                                            @endforeach
                                        </select>
                                        <select name="type" id="type" class="form-select">
                                            <option value="">-- {{ __('Type') }} --</option>
                                            @foreach($types as $type)
                                            <option value="{{$type->id}}" {{ (request()->get('type') == $type->id)?'selected':'' }}>{{ $type->name }}</option>
                                            @endforeach
                                        </select>
                                        <select name="status" id="status" class="form-select">
                                            <option value="">-- {{ __('Status') }} --</option>
                                            <option value="0" {{ (request()->get('status') == "0")?'selected':'' }}>{{ __('Enabled') }}</option>
                                            <option value="1" {{ (request()->get('status') == "1")?'selected':'' }}>{{ __('Disabled') }}</option>
                                        </select>
                                        <button class="btn btn-secondary" type="submit"  data-bs-toggle="tooltip" title="Search"><i class="fa fa-search"></i></button>
                                        <a href="{{ route('benefit.list') }}" class="btn btn-light-primary" data-bs-toggle="tooltip" title="Reset"> <i class="bi-arrow-repeat"></i></a>
                                        @if(systemUserCan())
                                            <a href="{{ route('benefit.benefitTypes') }}" class="btn btn-light-success"  data-bs-toggle="tooltip" title="Benefit Types"><i class="fa fa-folder-open"></i></a>
                                        @endif

                                        @if(canDo('administrator','add-benefit|edit-benefit'))
                                            <a href="{{ route('benefit.benefitAmount') }}" class="btn btn-light-info"  data-bs-toggle="tooltip" title="Benefit Amounts"><i class="fa fa-money"></i></a>
                                            <a href="{{ route('benefit.create') }}" class="btn btn-primary"><i class="fa fa-plus me-2"></i> {{__('New')}}</a>
                                        @endif
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>

                    <div class="col-12">
                        <div class="table-responsive mt-10">
                            <table id="forms_table" class="table table-sm myDataTable align-middle table-bordered mb-3 custom-table">
                                <thead>
                                <tr>
                                    <th style="width: 30px">{{ __('#') }}</th>
                                    <th>{{ __('Title') }}</th>
                                    <th>{{ __('Support type') }}</th>
                                    <th style="width: 120px;">{{ __('Created On') }}</th>
                                    <th style="width: 80px;">{{ __('Action') }}</th>
                                </tr>
                                </thead>
                                <tbody>
                                @php $count=1; $benefits = $forms->pluck('titles','id'); @endphp
                                @foreach($forms as $form)
                                    <tr>
                                        <td>{{$count++}}</td>
                                        <td>
                                            {{$form->titles}}
                                            <br>
                                            <small>
                                                @if($form->_type)
                                                    <span class="text-muted">{{$form->_type->name}}</span>,
                                                @else
                                                    <span class="text-muted">No Type Set, </span>
                                                @endif

                                                @if($form->_class)
                                                    <b>{{$form->_class->fullName }}</b>
                                                @else
                                                        <span class="text-danger"><b>No Class Set</b></span>
                                                @endif
                                            </small>
                                        </td>

                                        <td>{{$form->financial}}
                                            <br>
                                            <small class="text-muted">
                                                @if (isset($data[$form->id]))
                                                    {{$data[$form->id]['value']}}
                                                @else
                                                    <span class="text-danger">No Amount Set</span>
                                                @endif
                                            </small>
                                        </td>
                                        <td>{{date('d M Y', strtotime($form->created_at))}}
                                            <br>
                                            <small class="text-muted">
                                                {{$form->createdBy ? $form->createdBy->fullName: "ff"}}
                                            </small>
                                        </td>
                                        <td>
                                            <div class="form-check form-switch" data-toggle="tooltip" title="{{ __('Archive/Restore this benefit') }}">
                                                @if(canDo('administrator','activate-benefit'))
                                                    <input class="form-check-input" type="checkbox"  data-bs-toggle="tooltip" title="Archiving" role="switch" id="freelance" style="margin-top: 10px; margin-bottom: 5px"
                                                           onclick='enableBenefit("{{ route('benefit.archive',[cryptThis($form->id)]) }}")'
                                                           @if($form->archived == 0) checked="checked" @endif name="select">
                                                @endif
                                                @if(canDo('administrator','edit-benefit'))
                                                    <a href="{{ route('benefit.edit',[cryptThis($form->id)]) }}"  data-bs-toggle="tooltip"
                                                       title="{{ __('Edit Benefit') }}" class="btn btn-link text-primary"><i class="fa fa-edit"></i></a>
                                                @endif
                                                @if(canDo('administrator','add-application'))
                                                    <a href="{{ route('benefit_registration.create',[cryptThis($form->id)]) }}"  data-bs-toggle="tooltip"
                                                       title="{{ __('Apply For') }}" class="btn btn-link text-info"><i class="fa fa-list-ul"></i></a>
                                                @endif
                                                @if(canDo('administrator','view-beneficiaries-list'))
                                                    <a href="{{ route('benefit_registration.list',['benefit_type'=>$form->id,'status'=>'Approved']) }}"
                                                       class="btn text-success btn-link" data-bs-toggle="tooltip" title="{{$form->approvedApplications().' '. __('Approved Applications') }}">
                                                        <i class="fa fa-users"></i>
                                                    </a>
                                                @endif
                                            </div>
                                        </td>
                                    </tr>
                                @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        @include('benefits.amount-form')

        @include('touring-pages.benefit')
    <!--end::Row-->
    @push('vendor-scripts')
    @endpush
    @push('scripts')
        <script src="{{ asset('assets/js/bundle/dataTables.bundle.js') }}"></script>
        @if (canTour('benefit'))
            <script>
                $(window).on('load', function() {
                    $('#take-a-tour').modal('show');
                });

                function skipTour(page) {
                        var path = "{{route('on_boarding.skipTour')}}";
                        $.ajax({
                            url: path,
                            type: 'GET',
                            data:{'page':page},
                            beforeSend: function () {
                            },
                            success: function (data) {
                                console.log('Skipped');
                            }
                        });
                    }
            </script>
        @endif
        <script>
            function destroy(key) {
                if (confirm("Data will be lost after Deletion. Delete?")){
                    document.getElementById('delete-form-'+key).submit();
                }
            }
            function enableBenefit(enable_url) {
                if (confirm("Do you want to continue?")){
                    window.location = enable_url;
                }
            }
            function setAmount(benefit_id) {
                $('select#benefit').val(benefit_id);
            }
            $('#forms_table').addClass('nowrap').dataTable({
                responsive: false,
                searching: false,
                paging: false,
                ordering: false,
                info: false,
            });
        </script>
    @endpush
</x-app-layout>
