<div class="sub-header bg-white">
    <nav class="navbar navbar-expand-lg navbar-light p-3 rounded bg-white">
        <div class="container">
            <!-- Brand -->
            <a href="{{route('client.home')}}" class="me-3 me-lg-4 brand-icon">
                @if(systemLogo() != null)
                    <img src="{{ asset(systemLogo()) }}" class="navbar-brand app-logo no-filter p-0" style="width: 100px" alt="{{env('APP_NAME')}}">
                @else
                    <img src="{{ asset(config('app_settings.logo')) }}" class="navbar-brand footer-logo no-filter p-0" alt="Alleviate" style="width: 100px">
                @endif
            </a>
            <!-- header rightbar icon -->
            <div class="h-right d-flex align-items-center me-5 me-lg-0 order-1">
                <div class="d-flex">
                    <a class="nav-link dropdown morphing scale-right Language">
                            <a class="nav-link dropdown-toggle after-none" href="#" role="button" data-bs-toggle="dropdown">
                                <span class="flag-icon flag-icon-{{(App::currentLocale() == 'en')?'gb':App::currentLocale()}} me-2"></span>{{strtoUpper(App::currentLocale())}}
                            </a>
                            <div class="dropdown-menu rounded-4 shadow border-0 p-0" data-bs-popper="none" style="left: auto">
                                <div class="car">
                                    <div class="list-group list-group-custom" style="width: 200px;">
                                        @foreach (config('app.languages') as $language=>$code )
                                            <a href="{{route('language',[$code])}}" class="list-group-item"><span class="flag-icon flag-icon-{{($code == 'en')?'gb':$code}} me-2"></span>{{$language}}</a>
                                        @endforeach
                                    </div>
                                </div>
                            </div>
                    </a>
{{--                    <a class="nav-link text-primary" href="#" title="Settings" data-bs-toggle="modal" data-bs-target="#SettingsModal"><i class="fa fa-gear"></i></a>--}}
                </div>
                <div class="dropdown user-profile ms-2 ms-sm-3">
                    <a class="nav-link dropdown-toggle pulse p-0" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                        <img class="avatar rounded-circle img-thumbnail" src="{{asset('images/profile-pic.png')}}" alt="{{ Auth::user()->surname }}">
                    </a>
                    <div class="dropdown-menu rounded-lg shadow border-0 dropdown-animation dropdown-menu-end p-0 m-0">
                        <div class="card border-0" style="min-width: 270px">
                            <div class="card-body border-bottom">
                                <div class="d-flex py-1">
                                    <img class="avatar rounded-circle" src="{{asset('images/profile-pic.png')}}" alt="">
                                    <div class="flex-fill ms-3">
                                        <p class="mb-0 text-muted"><span class="fw-bold">{{Auth::user()->fname}} {{Auth::user()->lname}}</span></p>
                                        <small class="text-muted">{{Auth::user()->email}}</small>
                                    </div>
                                </div>
                            </div>
                            <div class="list-group m-2">
                                <a href="{{route('client.account')}}" class="list-group-item list-group-item-action border-0"><i class="w30 bi-person me-3"></i>Profile &amp; account</a>
                                <a href="{{route('client.accountBilling')}}" class="list-group-item list-group-item-action border-0"><i class="w30 bi-cash-coin me-3"></i>Billings</a>
                                <a href="{{route('case.myCases')}}" class="list-group-item list-group-item-action border-0"><i class="w30 bi-headset me-3"></i>Tickets</a>
                                <a href="#" class="list-group-item list-group-item-action border-0"><i class="w30 bi-envelope me-3"></i>Invitations</a>
                                <a href="#" class="list-group-item list-group-item-action border-0"><i class="w30 bi-book me-3"></i>Documentation</a>
                                <a href="#" class="list-group-item list-group-item-action border-0"><i class="w30 bi-book-half me-3"></i>API Documentation</a>
                                <form method="POST" action="{{ route('logout') }}">
                                    @csrf
                                    <a href="{{ route('logout') }}" class="text-danger list-group-item list-group-item-action border-0" onclick="event.preventDefault(); this.closest('form').submit();"><i class="w30 bi-power me-3"></i>{{ __('Sign out') }}</a>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- menu toggler -->
            <button class="navbar-toggler p-0 border-0" type="button" data-bs-toggle="collapse" data-bs-target="#mainHeader">
                <span class="fa fa-bars"></span>
            </button>
            <!-- main menu -->
            <div class="collapse navbar-collapse order-0" id="mainHeader">
                <ul class="navbar-nav me-auto">
                    <li class="nav-item me-3">
                        <a class="nav-link console {{isRouteActive(['client.home'])}}" href="{{route('client.home')}}">
                            <i class="bi-house me-2"></i><span>Dashboard</span>
                        </a>
                    </li>
                    <li class="nav-item dropdown me-3">
                        <a class="nav-link console dropdown-toggle {{isRouteActive(['client.projectView','client.projectBilling'])}}" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                            <i class="bi-laptop me-2"></i><span>{{__('Projects')}}</span>
                        </a>
                        <ul class="dropdown-menu rounded-lg shadow border-0 dropdown-animation">
                            @forelse(auth()->user()->deployments(false) as $key=>$project)
                                <li><a class="dropdown-item small fw-light" style="font-size: 12px;" href="{{route('client.projectView',[$key])}}">{{$project['app_project_name']}}</a></li>
                            @empty
                                <li><a class="dropdown-item" style="font-size: 12px;" href="#">{{__('No Project Available')}}</a></li>
                            @endforelse
                        </ul>
                    </li>
{{--                    <li class="nav-item me-3">--}}
{{--                        <a class="nav-link console {{isRouteActive(['client.plans'])}}" href="{{route('client.plans')}}">--}}
{{--                            <i class="bi-cash-coin me-2"></i><span>{{__('Subscription Plans')}}</span>--}}
{{--                        </a>--}}
{{--                    </li>--}}
                </ul>
            </div>
{{--            @endif--}}
        </div>
    </nav>
</div>
