<div class="p-2 me-md-1 text-center">
    <div>
        @if($deployment->instance == 'Suspended')
            <form action="{{route('client.subscriptionAction',[$deployment->id])}}" method="post">@csrf
                <button type="submit" name="action" value="Re-activate"
                   data-bs-toggle="tooltip"
                   data-bs-placement="top" title="{{__('Re-Activate')}}"
                   class="btn btn-light text-primary fw-normal"><i class="bi-cloud-arrow-up-fill me-1"></i>
                    <span class="fw-normal">{{__('Re-Activate')}}</span>
                </button>
                <button type="submit" name="action" value="End"
                   data-bs-toggle="tooltip"
                   data-bs-placement="top" title="{{__('End Subscription')}}"
                   class="btn btn-light text-danger fw-normal"><i class="bi-x-circle me-1"></i>
                    <span class="fw-normal">{{__('End Subscription')}}</span>
                </button>
            </form>
        @elseif($deployment->instance == 'Pending')
            <button type="button" data-bs-toggle="modal" data-bs-target="#delete" class="btn btn-light text-danger fw-normal">
                <i class="fa fa-trash me-1 fw-normal"></i> <span class="fw-normal">{{__('Delete')}}</span></button>
            <div class="modal fade" id="delete" tabindex="-1">
                <div class="modal-dialog modal-dialog-centered">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title text-danger">{{__('Deleting Project')}}</h5>
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                        </div>
                        <div class="modal-body">
                            <h1 class="mb-4 text-danger"><i class="bi-exclamation-triangle-fill"></i></h1>
                            <div class="alert alert-danger rounded mb-3 mt-3 text-center">
                                <p class="m-0">{{__('Are you sure you want to')}} <strong class="fw-bold">{{__('DELETE')}}</strong> {{__('this Project?')}}</p>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <form action="{{route('client.removeProject',[$deployment->id])}}" method="post">@csrf @method('DELETE')
                                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                                <button type="submit" class="btn btn-danger"><i class="bi-trash"></i> {{__('Delete')}}</button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        @elseif($deployment->instance == 'Online')
            <button type="button" data-bs-toggle="modal" data-bs-target="#suspend" class="btn btn-light text-danger fw-normal">
                <i class="fa fa-pause me-2"></i> <span class="fw-normal">{{__('Suspend')}}</span>
            </button>
            <div class="modal fade" id="suspend" tabindex="-1">
                <div class="modal-dialog modal-dialog-centered">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title text-danger">{{__('Suspending Project')}}</h5>
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                        </div>
                        <div class="modal-body">
                            <h1 class="mb-4 text-danger"><i class="bi-exclamation-triangle-fill"></i></h1>
                            <div class="alert alert-danger rounded mb-3 mt-3 text-center">
                                <p class="m-0">{{__('Are you sure you want to')}} <strong class="fw-bold">{{__('SUSPEND')}}</strong> {{__('this Project?')}}</p>
                            </div>
                            <p class="mt-2 text-primary text-start">{{__('The Project will have an active subscription and can be Re-Activated until the end of its subscription.')}}</p>
                        </div>
                        <div class="modal-footer">
                            <form action="{{route('client.subscriptionAction',[$deployment->id])}}" method="post">@csrf
                                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">{{__('Close')}}</button>
                                <button type="submit" name="action" value="Suspend" class="btn btn-danger"><i class="bi-x-circle-fill me-2"></i> {{__('Suspend Project')}}</button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        @endif
    </div>
</div>
