@php
    $field = $client_id = $client_name = $client_country_id = null;
    if ($client) {
        $field = $client->field;
        $client_id = $client->id;
        $client_name = $client->name;
        $client_country_id = $client->country_id;
    }
@endphp
@if($is_admin)
    @if($client)
        <form action="{{ route('clients.saveInfo') }}" class=" px-3" method="post">
            <input type="hidden" name="client_id" value="{{$client_id}}">
            @else
                <form action="{{ route('clients.newClient') }}" class=" px-3" method="post">
                    @endif
                    @csrf
                    @endif

    <div class="row">
        <div class="col-md-12 mb-3">
            <h6><span class="fw-bold "> {{__('Organisation Details')}}</span> <small class="text-muted fw-normal">{{__('(Name, Business & Country)')}}</small></h6>
        </div>
        <div class="col-md-12">
            <div class="form-floating mt-2">
                @if($is_admin)
                    <x-input id="business_name" name="business_name" required class="form-control form-control-lg block mt-1 w-full" :placeholder="__('Enter your business name')"
                             type="text" :value="$client_name" autofocus />
                @else
                    <x-input id="business_name" class="form-control form-control-lg block mt-1 w-full" disabled
                             type="text" :value="$client_name" />
                @endif

                <label for="business_name" class="required">{{__('Name')}}</label>
            </div>
            @if ($errors->has('business_name'))
                <div class="form-text text-warning">{{ $errors->first('business_name') }}</div>
            @endif
        </div>
        <div class="col-md-12">
            <div class="form-floating mt-2">
                @if($is_admin)
                    <select @if($is_admin) name="business_type" id="business_type" required @endif @disabled(!$is_admin) class="form-select form-control-lg block mt-1 w-full">
                        <option value="">-- {{__('Choose')}} --</option>
                        @foreach(config('options.business_types') as $key=>$value)
                            <option value="{{$value}}" @selected($field == $value)>{{$value}}</option>
                        @endforeach
                    </select>
                @else
                    <x-input id="business_type" class="form-control form-control-lg block mt-1 w-full" disabled
                             type="text" :value="$field" />
                @endif
                <label for="business_type" class="required">{{__('Business Type')}}</label>
            </div>
            @if ($errors->has('business_type'))
                <div class="small text-warning">{{ $errors->first('business_type') }}</div>
            @endif
        </div>
        <div class="col-md-12">
            <div class="form-floating mt-2">
                <select @if($is_admin) name="country" id="country" required @endif @disabled(!$is_admin) class="form-select form-control-lg block mt-1 w-full">
                    <option value="">-- {{__('Choose')}} --</option>
                    @foreach(getCountries() as $key=>$value)
                        <option value="{{$key}}" @selected($client_country_id == $key)>{{$value}}</option>
                    @endforeach
                </select>
                <label for="country" class="required">{{__('Country')}}</label>
            </div>
            @if ($errors->has('country'))
                <div class="small text-warning">{{ $errors->first('country') }}</div>
            @endif
        </div>

        <div class="col-12 text-center mt-2 mb-4">
            @if($is_admin)
                <x-button class="mt-2 btn-primary btn-lg btn-block" style="width:100%">
                    {{ __('Save') }}
                </x-button>
            @else
                <x-button class="mt-2 rounded btn-primary btn-lg btn-block" style="width:100%">
                    {{ __('Save') }}
                </x-button>
            @endif
            <p class="mb-0 text-start mt-2">
                <a href="#" onclick="showInvitationForm()">{{__('Go to my invitations')}}</a>
            </p>
        </div>
    </div>

</form>
<?php

