<form action="{{ route('clients.newClient') }}" class=" px-3" method="post">
                @csrf
                <div class="row">
                    <div class="col-md-12 mb-3">
                        <h6><span class="fw-bold "> {{__('Organisation Details')}}</span> <small class="text-muted fw-normal">{{__('(Name, Business & Country)')}}</small></h6>
                    </div>
                    <div class="col-md-12">
                        <div class="form-floating mt-2">
                            <x-input id="business_name" name="business_name" required class="form-control form-control-lg block mt-1 w-full"
                                     :placeholder="__('Enter your business name')" type="text" :value="old('business_name')" autofocus />
                            <label for="business_name" class="required">{{__('Name')}}</label>
                        </div>
                        @if ($errors->has('business_name'))
                            <div class="form-text text-warning">{{ $errors->first('business_name') }}</div>
                        @endif
                    </div>
                    <div class="col-md-12">
                        <div class="form-floating mt-2">
                            <select name="business_type" id="business_type" required class="form-select form-control-lg block mt-1 w-full">
                                <option value="">-- {{__('Choose')}} --</option>
                                @foreach(config('options.business_types') as $key=>$value)
                                    @continue(auth()->user()->isChannelPartner() && $value == 'Channel Partner')
                                    <option value="{{$value}}" @selected(old('business_type') == $value)>{{__($value)}}</option>
                                @endforeach
                            </select>
                            <label for="business_type" class="required">{{__('Business Type')}}</label>
                        </div>
                        @if ($errors->has('business_type'))
                            <div class="small text-warning">{{ $errors->first('business_type') }}</div>
                        @endif
                    </div>
                    <div class="col-md-12">
                        <div class="form-floating mt-2">
                            <select name="country" id="country" required class="form-select form-control-lg block mt-1 w-full">
                                <option value="">-- {{__('Choose')}} --</option>
                                @foreach(getCountries() as $key=>$value)
                                    <option value="{{$key}}" @selected(old('country') == $key)>{{$value}}</option>
                                @endforeach
                            </select>
                            <label for="country" class="required">{{__('Country')}}</label>
                        </div>
                        @if ($errors->has('country'))
                            <div class="small text-warning">{{ $errors->first('country') }}</div>
                        @endif
                    </div>

                    <div class="col-12 text-center mt-2 mb-4">
                        <x-button class="mt-2 btn-primary btn-lg btn-block" style="width:100%">
                            {{ __('Save') }}
                        </x-button>
                        <p class="mb-0 text-start mt-2">
                            <a href="#" onclick="showInvitationForm()">{{__('Go to my invitations')}}</a>
                        </p>
                    </div>
                </div>

        </form>
        <?php
