<x-client-layout>
    <div class="section call-action py-6 bg-primary-gradient" styl="background-color: #d07729">
        <div class="container">
            <div class="row justify-content-center text-center text-white">
                <div class="col-xl-7 col-lg-10 col-12" style="padding-bottom: 10rem">
                    <h1 class="mb-3 mt-4" style="font-size: 72px; font-weight: 700">{{__('Welcome')}}</h1>
                    <p class="lead">{{__('Take your first step into ensuring the right people get their help fairly.')}}</p>
                </div>
            </div> <!-- .row end -->
        </div>
    </div>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg-2 py-1 mt-0 mt-lg-2">
        <div class="container">
            <div class="row row-deck" style="margin-top: -10rem">
                <div class="col-md-4 mb-3">
                    <div class="card py-4 px-3 ribbon text-center border-0 shadow-sm">
                        <div class="option-10 position-absolute text-light">@if(!auth()->user()->isNew())<i class="bi-check-circle-fill"></i>@else 01 @endif</div>
                        <div class="card-body py-2">
                            <i class="bi-building huge-icon"></i>
                        </div>
                        <div class="card-body py-2">
                            <h5>
                                @if(!auth()->user()->isNew())
                                    {{__('Update your Business Profile')}}
                                @else
                                    {{__('Create your Business Profile')}}
                                @endif
                            </h5>
                            <p>{{__("Now that you have an account, you must create an account for your organisation or your team member can invite you to an existing account. Once they do, you'll be able to manage the project(s).")}}</p>
                            <a class="btn @if(!auth()->user()->isNew()) btn-success @else btn-primary @endif fw-bold btn-lg mt-3 w-100" href="{{route('client.account')}}">
                                @if(!auth()->user()->isNew()) <i class="bi-check-circle-fill me-2"></i> @endif  @if(!auth()->user()->isNew()){{__('Update')}}@else {{__('Create')}} @endif
                            </a>
                        </div>
                    </div>
                </div>
                <div class="col-md-4 mb-3">
                    <div class="card py-4 px-3 ribbon text-center border-0 shadow-sm">
                        <div class="option-10 position-absolute text-light">@if($hasActiveSubscription)<i class="bi-check-circle-fill"></i>@else 02 @endif</div>
                        <div class="card-body py-2">
                            <i class="bi-unlock-fill huge-icon"></i>
                        </div>
                        <div class="card-body py-2">
                            <h5>{{__('Subscribe to a Plan')}}</h5>
                            <p>{{__("To start creating your own projects, you will need to choose a subscription plan. Don't worry, after subscribing you will be granted a free trial so you can kick the tires.")}}</p>
                            @if($isChannelPartner)
                                @if($hasActiveSubscription)
                                    <a class="btn btn-success fw-bold btn-lg mt-3 w-100 disabled" href="#">
                                        <i class="bi-check-circle-fill me-2"></i> {{__('Subscribed')}}
                                    </a>
                                @else
                                    <a class="btn btn-primary fw-bold btn-lg mt-3 w-100" href="#" data-bs-toggle="modal" data-bs-target="#ChooseClientPlan">
                                         {{__('Subscribe')}}
                                    </a>
                                @endif
                            @else
                                <button type="button" class="btn btn-primary fw-bold btn-lg mt-3 w-100 disabled">{{__('Subscribe')}}</button>
                            @endif
                        </div>
                    </div>
                </div>
                <div class="col-md-4 mb-3">
                    <div class="card py-4 px-3 ribbon text-center border-0 shadow-sm">
                        <div class="option-10 position-absolute text-light">03</div>
                        <div class="card-body py-2">
                            <i class="bi-clipboard-check huge-icon"></i>
                        </div>
                        <div class="card-body py-2">
                            <h5>{{__('Create Your First Project')}}</h5>
                            <p class="p-0">{{__("You're ready to start creating projects! Each Deployment operates autonomously with its distinct set of users, managers, benefits, and expenses tailored to its objectives.")}}</p>
                            @if($isChannelPartner)
                                @if($hasActiveSubscription)
                                    <button class="btn btn-primary fw-bold btn-lg mt-3 w-100" data-bs-toggle="modal" data-bs-target="#addProject">
                                        {{__('Add Project')}}</button>
                                @else
                                    <button class="btn btn-primary fw-bold btn-lg mt-3 w-100 disabled">
                                        {{__('Add Project')}}</button>
                                @endif
                            @else
                                <button class="btn btn-primary fw-bold btn-lg mt-3 w-100 @if(auth()->user()->isNew()) disabled @endif"
                                        @if(!auth()->user()->isNew()) data-bs-toggle="modal" data-bs-target="#addProject"  @endif>
                                    {{__('Add Project')}}</button>
                            @endif

                        </div>
                    </div>
                </div>
            </div>

            <div class="card py-4 px-3 border-0 shadow-sm mt-5">
                <div class="card-body">
                    <h5>{{__('Learn More')}}</h5>
                    <p class="p-0">{{__("To keep learning more about Envoyer, check out our documentation. Our documentation covers each feature of Envoyer and discusses how to use it to benefit your project's deployment process.")}}</p>
                    <a class="btn-link mt-3" href="#">{{__('Open Documentation')}}</a>
                </div>
            </div>
        </div>
    </div>
    @if(!auth()->user()->isNew())
    @include('client-pages.pages.deployment-form')
    @include('client-pages.pages.client-plan')
    @endif
    @push('scripts')
        <script src="{{asset('assets/js/domain-checking.js')}}"></script>

    @endpush
</x-client-layout>
