<x-client-layout>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg-2 py-1 mt-0 mt-lg-2">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-auto">
                    <h1 class="fs-5 color-900 mt-1 mb-0">
                        <a href="{{route('client.projectView',[$deployment])}}">
                            {{$deployment->configurations['app_project_name']}}</a> - {{__('Billing Management')}}
                    </h1>
                    <small class="text-muted"><span class="text-muted">{{getDeploymentConfig($deployment,'app_project_module')}}
                            - @if($plan){{Str::headline($deployment->package)}}@else <span class="text-danger">{{__('No active plan')}}</span> @endif
                        </span></small>
                </div>
                <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                    @include('client-pages.pages.action-button')
                    <div class="p-2 me-md-3 text-center text-success">
                        <div>
                            <a href="{{route('client.projectView',[$deployment])}}"
                               data-bs-toggle="tooltip"
                               data-bs-placement="top" title="{{__('Return to Project Settings')}}"
                               class="btn btn-light-primary"><i class="bi-arrow-return-left me-2"></i> {{__('Back to Settings')}}
                            </a>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row mt-3 row-deck">
                <div class="col-md-4">
                    <div class="card">
                        <div class="card-body">
                            <div class="alert alert-info rounded mb-3">
                                <p class="m-0">Managing Billing for <strong class="fw-bolder">{{$deployment->configurations['app_project_name']}}</strong></p>
                            </div>

                            <p>{{__('Our billing management portal allows you to conveniently manage your subscription plan,
                            payments methods and download your recent receipts')}}</p>
                        </div>
                    </div>
                </div>

                <div class="col-md-1"></div>
                <div class="col-md-7">
                    <div class="row">
                        @if($plan)
                            <div class="col-12">
                                <h5 class="mb-2">{{__('Current Subscription Plan')}}</h5>
                                <div class="card mb-5">
                                    <div class="card-body">
                                        <h6 class="mb-2">{{$plan->name}}</h6>

                                        <p>{{$plan->description}}</p>
                                        <div class="pt-2 pb-3"><span class="fs-4 me-1 fw-bold text-primary">{{$plan->price}}</span><span>/{{$plan->invoice_interval}}</span></div>
                                        <div class="row">
                                            @foreach($plan->features as $feature)
                                                <div class="col-md-4 mb-2">
                                                    <i class="bi-check-circle-fill text-success me-2"></i> {{Str::headline($feature->name)}}
                                                </div>
                                            @endforeach
                                        </div>
                                        <p class="text-muted small mt-3 m-0"><i class="bi-arrow-repeat me-1"></i>
                                            {{__('Your payment method will be charged automatically per each billing period')}}</p>
                                        <a href="{{route('client.plans')}}" class="btn btn-danger text-uppercase mt-4">
                                            <small>{{__('Change Subscription Plan')}}</small> </a>
{{--                                        <a href="{{route('plan.editPlan',[$plan->slug])}}" class="btn btn-danger text-uppercase mt-4">--}}
{{--                                            <small>{{__('Change Subscription Plan')}}</small> </a>--}}
                                    </div>
                                </div>
                            </div>
                        @else
                            <div class="col-12">
                                <h5 class="mb-2">{{__('Subscriptions')}}
                                    <small> - <span class="text-danger fw-light">{{__('No active plan')}}</span></small>
                                </h5>
                                <div class="card mb-5">
                                    <div class="card-body">
                                        <p class="text-muted">
                                            {{__('You may cancel your subscription at any time. Once your subscription has been cancelled,
                                            you will have the option to resume the subscription until the end of the current billing cycle.')}}
                                        </p>
                                        @if(!$plan && !is_null($deployment->package))
                                            <button type="button" data-bs-target="#renewSubscription" data-bs-toggle="modal" class="btn btn-success text-uppercase me-3">
                                                <small>{{__('Renew Subscription')}}</small> </button>
                                            <button type="button" data-bs-target="#changePlan" data-bs-toggle="modal" class="btn btn-primary text-uppercase">
                                                <small>{{__('Change Plan')}}</small> </button>
                                        @else
                                            <a href="{{route('client.plans')}}" class="btn btn-primary text-uppercase">
                                                <small>{{__('Check our Plans')}}</small> </a>
                                        @endif

                                    </div>
                                </div>
                            </div>
                        @endif
                        <div class="col-12">
                            <h5 class="mb-2">{{__('Payment Methods')}}</h5>
                            <div class="card mb-5">
                                <div class="card-body">
                                    <div class="card">
                                        <div class="d-flex p-2 border-1">
                                            <i class="bi-credit-card fs-4"></i>
                                            <div class="flex-fill ms-3">
                                            <span> Visa
                                                <i class="bi-circle-fill" style="font-size: 0.5rem; margin-left: 20px"></i>
                                                <i class="bi-circle-fill" style="font-size: 0.5rem"></i>
                                                <i class="bi-circle-fill" style="font-size: 0.5rem"></i>
                                                7760</span>
                                                <div><small class="text-muted">Expires Dec 2026</small></div>
                                            </div>
                                        </div>
                                    </div>

                                    <button href="#" class="btn btn-danger text-uppercase mt-4">
                                        <small>{{__('Add Payment method')}}</small> </button>
                                </div>
                            </div>
                        </div>
                        @if($plan)
                            <div class="col-12">
                                <h5 class="mb-2">{{__('Apply Coupon')}}</h5>
                                <form action="#">
                                    <div class="card mb-5">
                                        <div class="card-body">
                                            <div class="row">
                                                <label for="{{__('Coupon')}}" class="col-sm-4 col-form-label">{{__('Coupon')}}</label>
                                                <div class="col-sm-8">
                                                    <input type="text" name="coupon" class="form-control"
                                                           placeholder="{{__('Coupon')}}" id="{{__('Coupon')}}">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="card-footer text-end">
                                            <button href="#" class="btn disabled btn-danger text-uppercase">
                                                <small>{{__('Apply')}}</small> </button>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        @endif
                        <div class="col-12">
                            <h5 class="mb-2">{{__('Billing Information')}}</h5>
                            <form action="#">
                                <div class="card mb-5">
                                    <div class="card-body">
                                        <p class="text-muted">
                                            {{__('If you want to add specific contact of tax information to your receipts, like your full
business name, VAT Identification number, or address of record, you may add it here.')}}
                                        </p>
                                        <div class="row">
                                            <label for="extra-billing-info" class="col-sm-4 col-form-label">{{__('Extra billing information')}}</label>
                                            <div class="col-sm-8">
                                                <textarea type="text" style="height: 100px" name="coupon" class="form-control"
                                                          placeholder="{{__('Extra billing information')}}" id="extra-billing-info"></textarea>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="card-footer text-end">
                                        <button href="#" class="btn btn-danger text-uppercase">
                                            <small>{{__('Update')}}</small> </button>
                                    </div>
                                </div>
                            </form>
                        </div>
                        <div class="col-12">
                            <h5 class="mb-2">{{__('Receipt Email Addresses')}}</h5>
                            <form action="#">
                                <div class="card mb-5">
                                    <div class="card-body">
                                        <p class="text-muted">
                                            {{__('We will send a receipt download link to the email addresses that you specify below.
                                            You may separate multiple email addresses using commas.')}}
                                        </p>
                                        <div class="row">
                                            <label for="emails" class="col-sm-4 col-form-label">{{__('Email Addresses')}}</label>
                                            <div class="col-sm-8">
                                                <input type="text" name="emails" class="form-control"
                                                       placeholder="" id="emails">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="card-footer text-end">
                                        <button href="#" class="btn btn-danger disabled text-uppercase">
                                            <small>{{__('Save')}}</small> </button>
                                    </div>
                                </div>
                            </form>
                        </div>
                        @if($plan)
                            <div class="col-12">
                                <h5 class="mb-2">{{__('Payments')}}</h5>
                                <div class="card mb-5">
                                    <div class="card-body">
                                        <p class="text-muted">
                                            {{__('Next Payment on.')}} {{date('F d, Y')}}
                                        </p>
                                        <h3>{{$plan->price}}</h3>
                                    </div>
                                </div>
                            </div>
                            <div class="col-12">
                                <h5 class="mb-2">{{__('Cancel Subscription')}}</h5>
                                <div class="card mb-5">
                                    <div class="card-body">
                                        <p class="text-muted">
                                            {{__('You may cancel your subscription at any time. Once your subscription has been cancelled,
                                            you will have the option to resume the subscription until the end of the current billing cycle.')}}
                                        </p>
                                        <button href="#" class="btn btn-danger text-uppercase">
                                            <small>{{__('Cancel Subscription')}}</small> </button>
                                    </div>
                                </div>
                            </div>
                        @endif

                        <div class="col-12">
                            <h5 class="mb-2">{{__('Receipts')}}</h5>
                                <div class="card mb-5">
                                    <div class="card-body">
                                        <div class="table-responsive">
                                            <table class="table card-table table-nowrap mb-0">
                                                <tbody>
                                                <tr>
                                                    <td>September 06,2022</td>
                                                    <td>$350</td>
                                                    <td><span class="badge bg-success">New</span></td>
                                                    <td>
                                                        <strong class="text-danger">
                                                            <a href="#"><i class="bi-download"></i></a>
                                                        </strong>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>April 06,2022</td>
                                                    <td>$350</td>
                                                    <td><span class="badge bg-success">New</span></td>
                                                    <td>
                                                        <strong class="text-danger">
                                                            <a href="#"><i class="bi-download"></i></a>
                                                        </strong>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>March 06,2022</td>
                                                    <td>$350</td>
                                                    <td><span class="badge bg-success">New</span></td>
                                                    <td>
                                                        <strong class="text-danger">
                                                            <a href="#"><i class="bi-download"></i></a>
                                                        </strong>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>February 06,2022</td>
                                                    <td>$350</td>
                                                    <td><span class="badge bg-success">New</span></td>
                                                    <td>
                                                        <strong class="text-danger">
                                                            <a href="#"><i class="bi-download"></i></a>
                                                        </strong>
                                                    </td>
                                                </tr>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    @if(!$plan && !is_null($deployment->package))
    <div class="modal fade" id="renewSubscription" data-backdrop="static" tabindex="-1" role="dialog"
         aria-labelledby="staticBackdrop" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">{{__('Renew Subscription')}}</h5>
                    <button type="button" class="btn btn-link close" data-bs-dismiss="modal" aria-label="Close">
                        <i aria-hidden="true" class="fa fa-times"></i>
                    </button>
                </div>
                <div class="modal-body" id="info">
                    <form action="#">
                        @csrf
                        <input type="hidden" name="deployment_id" value="{{cryptThis($deployment->id)}}">
                        <div>
                            <p class="fw-bold">Plan</p>
                            <p class="">{{$current_plan->name}}
                                <br> {{$current_plan->description}}</p>
                            <p class="">{{ $current_plan->price}}/{{$current_plan->invoice_interval}}</p>
                            <p class="">Next billing date</p>
                            <p class="">November 26, 2023</p>
                        </div>
                        <div class="text-end mt-4">
                            <button type="submit" class="btn btn-primary">{{__('Renew')}}</button>
                            <button type="button" class="btn btn-link close" data-bs-dismiss="modal" aria-label="Close">{{__('Cancel')}}</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    @endif

    <div class="modal fade" id="changePlan" data-backdrop="static" tabindex="-1" role="dialog"
         aria-labelledby="staticBackdrop" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">{{__('Change Plan')}}</h5>
                    <button type="button" class="btn btn-link close" data-bs-dismiss="modal" aria-label="Close">
                        <i aria-hidden="true" class="fa fa-times"></i>
                    </button>
                </div>
                <div class="modal-body" id="info">

                </div>
            </div>
        </div>
    </div>
    @push('scripts')
        <!-- Plugin Js -->
        <script src="{{asset('assets/js/plans.js')}}"></script>
    @endpush
</x-client-layout>
