<x-client-layout>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg-2 py-1 mt-0 mt-lg-2">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-auto">
                    <h1 class="fs-5 color-900 mt-1 mb-0">
                        {{$deployment->configurations['app_project_name']}}
                    </h1>
                    <small class="text-muted">
                        <span class="text-muted">{{getDeploymentConfig($deployment,'app_project_module')}} <span class="mx-3">{{Str::headline($deployment->package)}}</span></span>
                        <a href="{{getDeploymentUrl($deployment)}}" class=""><i class="bi-globe"></i> {{getDeploymentUrl($deployment)}}</a>
                    </small>
                </div>
                <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                    @include('client-pages.pages.action-button')
                    <div class="p-2 me-md-3 text-center text-success">
                        <div>
                            <a href="{{route('client.projectBilling',[$deployment])}}"
                               data-bs-toggle="tooltip"
                               data-bs-placement="top" title="Billing"
                               class="btn btn-outline-primary"><i class="fa fa-dollar"></i> <span class="fw-bolder"> {{__('Go to Billing')}}</span>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row g-3 mt-2">
                @php
                    $app_logo = $app_project_name = $app_owner = $app_email =
                    $app_contact =
                    $app_description = $app_address = $app_linkedIn_url = $app_twitter_url = $app_facebook_url = $app_whatsApp_url =
                    $app_copyright = $app_deployment_date = null;
                    $app_country = env('DEFAULT_COUNTRY_ID');
                    $app_call_code = env('DEFAULT_CALL_CODE');
                    $app_project_module = $app_business_type = $language = null;

                    if (!is_null($deployment)) {
                        $default_language = $deployment->language;
                        $domain = $deployment->domain;
                        $app_logo = getDeploymentConfig($deployment,'app_logo');
                        $app_project_name = getDeploymentConfig($deployment,'app_project_name');
                        $app_business_type = getDeploymentConfig($deployment,'app_business_type');
                        $app_owner = getDeploymentConfig($deployment,'app_owner');
                        $app_email = getDeploymentConfig($deployment,'app_email');
                        $app_country = getDeploymentConfig($deployment,'app_country');
                        $app_call_code = getDeploymentConfig($deployment,'app_call_code', env('DEFAULT_CALL_CODE'));
                        $app_contact = getDeploymentConfig($deployment,'app_contact');
                        $app_description = getDeploymentConfig($deployment,'app_description');
                        $app_address = getDeploymentConfig($deployment,'app_address');
                        $app_linkedIn_url = getDeploymentConfig($deployment,'app_linkedIn_url');
                        $app_twitter_url = getDeploymentConfig($deployment,'app_twitter_url');
                        $app_facebook_url = getDeploymentConfig($deployment,'app_facebook_url');
                        $app_whatsApp_url = getDeploymentConfig($deployment,'app_whatsApp_url');
                        $app_project_module = getDeploymentConfig($deployment,'app_project_module');
                        $app_copyright = getDeploymentConfig($deployment,'app_copyright');
                        $app_deployment_date = getDeploymentConfig($deployment,'app_deployment_date');
                    }
                @endphp
                <div class="col-12 mb-4">
                    @include('deployment.settings-form')
                </div>
                <div class="col-12">
                    <h6 class="fw-light">{{__('Applicant ID Format')}}</h6>
                    <div class="card mb-3">
                        <div class="card-body">
                            @include('deployment.id-gen-form')
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    @push('scripts')
        <script src="{{ asset('assets/js/bundle/fancybox.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/bundle/inputmask.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/bundle/bootstrapdatepicker.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/bundle/dropify.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/deployment-form.js') }}"></script>
        <script>
            const COUNTRYDATA = "{{route('countryData')}}";
        </script>
    @endpush
</x-client-layout>
