<x-app-layout>
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary"
                                           href="{{ route('dashboard') }}">@lang('dashboard.dashboard')</a></li>
            <li class="breadcrumb-item active" aria-current="page">{{__('Deployments')}}</li>
        </ol>
    </x-slot>
    <!-- start: page toolbar -->
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto">
                <h1 class="fs-5 color-900 mt-1 mb-0">{{__('Deployments')}}</h1>
                <small class="text-muted">{{__('Deployments registered with us.')}}</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
            </div>
        </div> <!-- .row end -->
    </x-slot>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg-2 py-1 mt-0 mt-lg-3">
        <div class="container-fluid">
            @component('components.announcement')@endcomponent
            <div class="row mb-4">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">


                        <form action="#" method="GET">
                            @csrf
                            <div class="input-group">
                                <input type="text" name="name" id="name" class="form-control"
                                    placeholder="Name" value="{{request()->get('name')}}">
                                <select name="business_type" class="form-select" id="business_type">
                                    <option value="">{{__('Business Type')}}</option>
                                    @foreach(getBusinessTypes() as $key=>$value)
                                        <option value="{{$key}}" @selected(request()->get('business_type') == $key)>{{$value}}</option>
                                    @endforeach
                                </select>
                                <select name="country" class="form-select" id="country">
                                    <option value="">{{__('Country')}}</option>
                                    @foreach(getCountries() as $key=>$value)
                                        <option value="{{$value['id']}}" @selected(request()->get('country') == $value['id'])>{{$value['country_name']}}</option>
                                    @endforeach
                                </select>
                                <button class="btn btn-secondary" type="submit" data-bs-toggle="tooltip" title="Search"><i class="bi-search"></i></button>
                                <a href="{{route('clients.index')}}" class="btn btn-light-primary" data-bs-toggle="tooltip" title="Reset">
                                    <i class="bi-arrow-repeat"></i>
                                </a>
                                <a href="#" class="btn btn-primary" data-bs-toggle="tooltip" title="New Deployment">
                                <i class="fa fa-plus me-2"></i> New
                                </a>

                            </div>
                        </form>

                        </div>
                    </div>
                    
                </div>
            </div>

            <div class="row g-3">
                <div class="col-12">
                    
                    

                    <div class="">
                        @if($deployments->isNotEmpty())
                            @foreach($deployments as $client)
                                <div class="card mb-3">
                                    <div class="card-body">
                                        <div class="row">
                                            <div class="col-md-4">
                                                <div>
                                                    <a href="#" class="fw-bold">{{$client->name}}</a><br>
                                                    <p class="mb-0 small">{{ $client->client->field ?? ' ' }} {{__('based in')}} <strong>{{getCountry($client->country_id,'name')}}</strong></p>
                                                </div>
                                            </div>
                                            <div class="col-md-3 text-center small">
                                                <span class="text-muted">Managed by {{ $client->client->name ?? '---' }}</span>
                                                <br> {{$client->email}}
                                            </div>
                                            <div class="col-md-5 text-end small">

                                                <a href="#" class="me-3" data-bs-toggle="tooltip"
                                                data-bs-placement="top" title="{{__('Subscriptions')}}">
                                                    <i class="fa fa-podcast fs-6"></i> {{$client->applicants->count()}}
                                                </a>
                                                <a href="#" class="btn btn-link text-primary"
                                                    data-bs-placement="top" data-bs-toggle="modal" data-bs-target="#editClient"
                                                onclick="" title="{{__('Edit')}}">
                                                    <i class="fa fa-edit fs-6"></i></a>
                                                <a href="#" class="btn btn-link text-primary"
                                                    data-bs-placement="top" data-bs-toggle="modal" data-bs-target="#changeOwnership"
                                                onclick="" title="{{__('Change Owner')}}">
                                                    <i class="bi-person-circle fs-6"></i></a>
                                                    @if(false)
                                                        <a href="#" class="btn btn-link text-primary"
                                                        data-bs-placement="top" data-bs-toggle="modal" data-bs-target="#collaborators"
                                                        onclick="collaborators({{$client->id}})" title="{{__('Collaborators')}}">
                                                            <i class="bi-person-plus-fill fs-6"></i></a>
                                                    @endif
                                                

                                            </div>
                                        </div>

                                    </div>
                                </div>
                            @endforeach
                        @else
                            <x-no-data message="{{__('No registered Organizations available.')}}"></x-no-data>
                        @endif

                    </div>
                </div>
            </div> <!-- .row end -->
        </div>

        <div class="modal fade" id="editClient" data-backdrop="static" tabindex="-1" role="dialog"
             aria-labelledby="staticBackdrop" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title">Edit Client</h5>
                        <button type="button" class="close btn btn-link" data-bs-dismiss="modal" aria-label="Close">
                            <i aria-hidden="true" class="fa fa-times"></i>
                        </button>
                    </div>
                    <div class="modal-body" id="info">

                    </div>
                </div>
            </div>
        </div>

        <div class="modal fade" id="collaborators" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="staticBackdrop" aria-hidden="true">
            <div class="modal-dialog modal-lg" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title">{{__('Collaborators')}}</h5>
                        <button type="button" class="close btn btn-link" data-bs-dismiss="modal" aria-label="Close">
                            <i aria-hidden="true" class="fa fa-times"></i>
                        </button>
                    </div>
                    <div class="modal-body" id="collabs">

                    </div>
                </div>
            </div>
        </div>

        <div class="modal fade" id="changeOwnership" data-backdrop="static" tabindex="-1" role="dialog"
             aria-labelledby="staticBackdrop" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title">Change Ownership</h5>
                        <button type="button" class="close btn btn-link" data-bs-dismiss="modal" aria-label="Close">
                            <i aria-hidden="true" class="fa fa-times"></i>
                        </button>
                    </div>
                    <div class="modal-body" id="OwnerInfo">

                    </div>
                </div>
            </div>
        </div>

        @push('scripts')
            <script>
                function clientApproval(id) {
                    $.ajax({
                        type: 'POST',
                        url: '/client-approval',
                        data: {
                            '_token': '{{csrf_token()}}',
                            'id': id
                        },
                        beforeSend: function () {
                        },
                        success: function (res) {
                            if (res.status) {
                                new bs5.Toast({
                                    body: `
                                <div class="d-flex align-items-center gap-3">
                                    <svg width="24" height="24" class="text-success" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                                        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M9 12l2 2 4-4m6 2a9 9 0 11-18 0 9 9 0 0118 0z"/>
                                    </svg>` + res.message + `.</div>`,
                                    className: 'bg-white border-success',
                                    duration: 1500,
                                }).show()
                            } else {
                                new bs5.Toast({
                                    body: `<div class="d-flex align-items-center gap-3">` + res.message + `</div>`,
                                    className: 'bg-danger text-white',
                                    duration: 1500,
                                }).show()
                            }
                        },
                        complete: function () {
                        }

                    })
                }

                function fetchClient(id) {
                    $.get('/get-client/' + id, function (client) {
                        $('#info').empty().html(client.output);
                    });
                }

                function changeOwnership(id) {
                    $.get('/client/ownership/' + id, function (owner) {
                        $('#OwnerInfo').empty().html(owner.output);
                    });
                }

                function deleteUser(id) {
                    $.ajax({
                        type: 'POST',
                        url: '/user/delete',
                        data: {
                            '_token': '{{csrf_token()}}',
                            'user_profile_id': id
                        },
                        success: function (res) {
                            location.reload();
                        }

                    })
                }
            </script>

    @endpush
</x-app-layout>
