<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=Edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
{{--    <meta name="description" content="Responsive Bootstrap 5 admin dashboard template & web App ui kit.">--}}
{{--    <meta name="keyword" content="Farmers, Bewsys, Better World">--}}
{{--    <link rel="icon" href="{{ asset('assets/img/favicon.ico') }}" type="image/x-icon"> <!-- Favicon-->--}}
    @if(isset(Auth::user()->instance_id))
        <link rel="icon" href="{{ asset(Auth::user()->instance->favicon_url) }}" type="image/x-icon">
    @endif
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ \setting('app_name')}}</title>
    <!-- plugin css file  -->
    <!-- Application vendor css url -->

    <link rel="stylesheet" href="{{ asset('assets/cssbundle/summernote.min.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/cssbundle/dropify.min.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/cssbundle/select2.min.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/cssbundle/sweetalert2.min.css') }}">

    <!-- project css file  -->
    <link rel="stylesheet" href="{{ asset('assets/css/luno-style.css') }}">
{{--    <link rel="stylesheet" href="{{ asset('css/custom.css') }}">--}}
    <link rel="stylesheet" href="{{ asset('assets/vendor/prismjs/prism.css') }}">
    @stack('last-css')
    <link rel="stylesheet" href="{{ asset('assets/cssbundle/fancybox.min.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/cssbundle/bootstrapdatepicker.min.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/cssbundle/daterangepicker.min.css') }}">
</head>

<body class="layout-1 gradient" data-luno="theme-blue">
    <!-- start: sidebar -->
    @include('layouts.sidebar')

    <!-- start: body area -->
    <div class="wrapper">

        <!-- start: page header -->
        @include('layouts.topbar')

        <!-- start: page toolbar -->
        @include('layouts.toolbar')

        <!-- start: page page body -->

        <!-- Page Content -->
        @include('layouts.flash')
        <main>
            {{ $slot }}
        </main>

        <!-- start: page page footer -->
        @include('layouts.page-footer')
    </div>

    @include('components.modals')

    @stack('modals')

    @stack('vendor-scripts')
    <!-- Jquery Core Js -->
    <script src="{{ asset('assets/js/plugins.js') }}"></script>
    <!-- Prism js file please do not add in your project -->
    <script src="{{ asset('assets/vendor/prismjs/prism.js') }}"></script>
    <!-- Jquery Page Js -->
    <script src="{{ asset('assets/js/theme.js') }}"></script>
    <!-- Plugin Js -->
    <script src="{{ asset('assets/js/bundle/select2.bundle.js') }}"></script>
    <script src="{{ asset('assets/js/bundle/sweetalert2.bundle.js') }}"></script>
    <script>
        // $('.select2').select2();

        $('.datepicker').datepicker({
            orientation: "bottom left"
        });
    </script>
    @stack('scripts')
    </body>
</html>
