<div class="table-responsive">
    <table class="table table-sm table-bordered table-hover" id="debt_recoveries_table" style="width: 100%;margin-top: 13px !important">
        <thead>
        <tr>
            <th style="width: 100px;">{{ __('Benefit') }}</th>
            <th style="width: 100px;">{{ __('Beneficiary') }}</th>
            <th style="width: 100px;">{{ __('Amount') }}</th>
            <th style="width: 100px;">{{ __('Date Processed') }}</th>
            <th style="width: 100px;">{{ __('Period Covered') }}</th>
            <th style="width: 100px;">{{ __('Commencement Date') }}</th>
            <th style="width: 100px;">{{ __('Amount Paid') }}</th>
            <th style="width: 300px;">{{ __('Payment Plan') }}</th>
            <th style="width: 100px;">{{ __('Expiry Date') }}</th>
            <th style="width: 80px">{{ __('Action') }}</th>
        </tr>
        </thead>
        <tbody>
        @foreach($debt_recoveries as $debt_recovery)
            <tr>
                <td>{{ $debt_recovery->benefit->titles }}</td>
                <td>{{ $debt_recovery->beneficiary->beneficiaryDetail->surnames." ".$debt_recovery->beneficiary->beneficiaryDetail->first_names }}</td>
                <td>{{ money($debt_recovery->amount_due) }}</td>
                <td>{{ date('d M Y', strtotime($debt_recovery->date_processed)) }}</td>
                <td>{{ date('d M Y', strtotime($debt_recovery->from_date))." / ".date('d M Y', strtotime($debt_recovery->to_date)) }}</td>
                <td>{{ ($debt_recovery->commencement_date != null)?date('d M Y', strtotime($debt_recovery->commencement_date)):'' }}</td>
                <td>{{ money($debt_recovery->amount_paid) }}</td>
                <td>{!! $debt_recovery->payment_plan !!}</td>
                <td>{{ ($debt_recovery->commencement_date != null)?date('d M Y', strtotime($debt_recovery->expiry_date)):'' }}</td>
                <td>
                    <a href="{{ route('payment.editDebtRecovery',[cryptThis($debt_recovery->id)]) }}"
                       class="btn btn-sm btn-icon btn-light-primary" data-toggle="tooltip" title="{{ __("View Record")}}"><i class="la la-eye"></i></a>
                    @if($debt_recovery->amount_paid == 0)
                        <a href="{{ route('payment.deleteDebtRecovery',[$debt_recovery->id]) }}" onclick="return confirm('Are you sure you want to delete this Debt?')"
                           class="btn btn-icon btn-sm btn-danger" data-toggle="tooltip" title="{{ __("Delete Beneficiary Debt")}}"><i class="la la-trash"></i></a>
                    @endif
                </td>
            </tr>
        @endforeach
        </tbody>
    </table>
</div>