<div class="card mb-3">
    <div class="card-body">
        <div class="row">
            <div class="col-md-4">
                <div>
                    <h6><span class="text-muted">{{$deployment->code}} - </span> {{getDeploymentConfig($deployment,'name')}}</h6>
                    <p class="mb-0">{{$deployment->client->name}}</p>
                </div>
            </div>
            <div class="col-md-3 text-center">
                <span class="text-muted">{{getDeploymentConfig($deployment,'module')}} - {{Str::headline($deployment->package)}} Plan</span>
                <br>
                @if($deployment->instance == "Online")
                    <small class="text-success"><i class="fa fa-circle"></i> {{__('Running')}}</small> -
                    <small class="text-danger"> {{($deployment->expiry > now())?'Expires':'Expired'}}
                        {{easyDate($deployment->expiry)}}</small>
                @elseif($deployment->instance == "Pending" && !$deployment->isReadyForDeployment())
                    <small class="text-info"><i class="fa fa-ellipsis-h"></i> {{__('Pending')}}</small>
                @elseif($deployment->instance == "Pending" && $deployment->isReadyForDeployment())
                    <small class="text-info"><i class="fa fa-check"></i> {{__('Ready')}}</small>
                @else
                    <small class="text-danger"><i class="fa fa-times-circle"></i> {{$deployment->instance}}</small>
                @endif
            </div>
            <div class="col-md-5 text-end">
                <span class="{{config('settings.deployments_instance')[$deployment->instance]['class']}} me-3" data-bs-toggle="tooltip"
                      data-bs-placement="top" title="{{$deployment->instance}}">
                    <i class="{{config('settings.deployments_instance')[$deployment->instance]['icon']}} fs-6"></i></span>

                <span class="text-primary me-2" data-bs-toggle="tooltip"
                      data-bs-placement="top" title="{{__('Memberships')}}"><i class="bi-person-lines-fill fs-6"></i> {{$deployment->applicants->count()}}</span>
                <span class="text-primary me-2" data-bs-toggle="tooltip"
                      data-bs-placement="top" title="{{__('Users')}}"><i class="bi-people-fill fs-6"></i>  {{$deployment->users->count()}}</span>

                {{--Use subscription to determine visibility--}}
                @if(getActiveInstance() == $deployment->id)
                    <a href="#" class="more-icon dropdown-toggle" data-bs-toggle="dropdown" aria-expanded="false"><i class="fa fa-ellipsis-h"></i></a>
                <ul class="dropdown-menu shadow border-0 p-2" style="">
                    <li>
                        <a class="dropdown-item" href="{{route('subscription.projectSettings',[$deployment->client_id,$deployment->id])}}">
                            <i class="fa fa-cogs me-3"></i> Settings</a>
                    </li>
                    <li>
                        <a class="dropdown-item" href="{{route('case.list')}}">
                            <i class="bi-headset me-3"></i> Cases</a>
                    </li>
                    <li>
                        <form action="{{route('subscription.suspension')}}" method="POST">@csrf
                            <input type="hidden" name="deployment_id" value="{{$deployment->id}}">
                            @if($deployment->instance == 'Suspended')
                                <a href="{{route('subscription.create',[$deployment->id])}}"
                                   data-bs-toggle="tooltip"
                                   data-bs-placement="top" title="Redeploy"
                                   class="dropdown-item text-danger"><i class="fa fa-cloud-upload me-3"></i> {{__('Redeploy')}}
                                </a>
                            @elseif($deployment->instance == 'Pending')
                                <a href="{{route('subscription.create',[$deployment->id])}}"
                                   data-bs-toggle="tooltip"
                                   data-bs-placement="top" title="Deploy"
                                   class="dropdown-item text-success"><i class="fa fa-cloud-upload me-3"></i> {{__('Deploy')}}
                                </a>
                            @elseif($deployment->instance == 'Online')
                                {{--                                <a href="{{route('subscription.updateProject',[$deployment->id])}}" class="dropdown-item text-success" type="button"><i class="fa fa-refresh me-2"></i> {{__('Update LIVE Project')}}</a>--}}
                                <button type="submit" id="suspend_action"
                                        data-bs-toggle="tooltip"
                                        data-bs-placement="top" title="Suspend"
                                        class="dropdown-item text-danger"><i class="fa fa-cloud-upload me-3"></i> {{__('Suspend')}}
                                </button>
                            @endif

                            @if(systemUserCan())
                                <a href="{{route('subscription.increaseExpiration',[$deployment])}}"
                                   data-bs-toggle="tooltip"
                                   data-bs-placement="top" title="Extend Expiry"
                                   class="dropdown-item text-success"><i class="fa fa-calendar-plus-o me-3"></i> {{__('Extend')}}
                                </a>
                            @endif
                            <input type="hidden" name="deployment_id" value="{{$deployment->id}}">
                        </form>
                    </li>
                </ul>
                @else
                    <a href="{{ route('subscription.switch',[$deployment]) }}" class="btn btn-light-warning">Switch to this Subscription</a>
                @endif
            </div>
        </div>

    </div>
</div>
