<x-app-layout>
    @push('vendor-css')
        <link rel="stylesheet" href="{{ asset('assets/plugins/custom/datatables/datatables.bundle.css') }}">
    @endpush
    <x-slot name="page_title">
        {{ __('Custom Fields') }}
    </x-slot>
        <x-slot name="breadcrumb">
            <ol class="breadcrumb bg-transparent mb-0">
                <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
                <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('settings.index') }}">Settings</a></li>
                <li class="breadcrumb-item active" aria-current="page">{{ __('Custom Fields') }}</li>
            </ol>
        </x-slot>
        <!-- start: page toolbar -->
        <x-slot name="page_heading">
            <div class="row align-items-center">
                <div class="col-auto page-header-title">
                    <h1 class="color-900 mt-1 mb-0">{{ __('Custom Fields') }}</h1>
                    <small class="text-muted">
                        {{__('A custom field allows you to add additional, flexible attributes to your beneficiary records beyond the default fields (like name, gender, and citizenship). These custom fields will be available as selectable options when adding or editing a beneficary record.')}}
                    </small>
                </div>
                <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                    <!--<div class="p-2 me-md-3 text-center">
                        <div>
                            <span class="h6 mb-0"></span> <small class="text-muted text-uppercase">New</small>

                        </div>

                    </div>
                    <div class="p-2 me-md-3 text-center text-success">
                        <div>
                            <span class="h6 mb-0"></span> <small class="text-muted text-uppercase">Approved</small>

                        </div>

                    </div>-->
                </div>
            </div> <!-- .row end -->
        </x-slot>
        <div class="page-body px-xl-4 px-sm-2 px-0 py-lg- py- mt-0 mt-lg-">
            <div class="container-fluid">
                <div class="mb-2" id="syncMessage"></div>
                @if(session()->has('message'))
                    <div class="mb-5">
                        @if(session()->get('status') == 'success')
                            <div role="alert" class="alert alert-success">{{ session()->get('message') }}</div>
                        @else
                            <div role="alert" class="alert alert-danger">{{ session()->get('message') }}</div>
                        @endif
                    </div>
                @endif
                @if(session()->has('success'))
                    <div class="mb-5">
                    <div role="alert" class="alert alert-success">{{ session()->get('success') }}</div>
                    </div>
                @endif

{{--                //Filters--}}
                <div class="row g-3">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body">
                                <form method="GET" action="">
                                    @csrf

                                    <div class="input-group">
                                        <input type="text" name="item_name" id="item_name" class="form-control" placeholder="Search by Field Name"
                                        value="{{ request()->get('item_name') }}">

                                        
                                        <button class="btn btn-secondary" type="submit"><i class="bi-search"></i></button>
                                        <a href="{{ route('custom-fields.index') }}" class="btn btn-light-primary" data-bs-toggle="tooltip" title="Reset"><i class="bi-arrow-repeat"></i></a>

                                        
                                        <button class="btn btn-primary " data-bs-toggle="modal" data-bs-target="#modal-01" type="button" style="border-radius: 0 4px 4px 0;"
                                                id="" data-bs-toggle="dropdown" aria-expanded="false">
                                                <i class="fa fa-plus me-2"></i>
                                            {{__('New')}}
                                        </button>
                                        
                                        
                                        
                                    </div>
                                </form>

                            </div>
                        </div>
                    </div>

                    <div class="col-12">
                        <div class="table-responsive">
                            <!--begin: Datatable-->
                            <table id="myDataTable_no_filter" class="table table-sm myDataTable align-middle table-bordered mb-0 custom-table">
                                <thead>
                                <tr>
                                    <th style="width: 30px;">{{ __('#') }}</th>
                                    <th style="">{{ __('Custom Field') }}</th>
                                    <th style="">{{ __('Options') }}</th>
                                    <th >{{ __('Action') }}</th>
                                </tr>
                                </thead>
                                <tbody>
                                    @if ($custom_fields->count() > 0)
                                        
                                    
                                    @php
                                        $num = 1
                                    @endphp
                                    @foreach ($custom_fields as $data)

                                    <tr>
                                        <td style="width: 30px;">{{ $num }}</td>
                                        <td style="" >
                                            {{  $data->name }} <br> <small class="text-muted text-capitalize">{{ $data->type }} Field</small>
                                        </td>
                                        
                                        <td style="">
                                            @foreach ($data->options as $option)
                                                <small class=" ">{{ $option->option_value }}, </small>
                                            @endforeach
                                        </td>
                                        
                                        <td>
                                            <a href="#" onclick="edit_field({{ $data->id }}) " href="javascript:;" title="{{__('Edit Custom Field')}}" class="me-2">
                                                <i class="bi bi-pencil-square"></i>
                                            </a>
                                            @if($data->type == 'dropdown')
                                                <a href="#" onclick="add_option({{ $data->id }}) " href="javascript:;" title="{{__('Add Field Option')}}">
                                                    <i class="bi bi-list-ul"></i>
                                                </a>
                                            @endif
                                            
                                        </td>
                                    </tr>

                                    @php
                                        $num++
                                    @endphp
                                    @endforeach

                                    @endif
                                    
                                </tbody>
                            </table>
                            <!--end: Datatable-->
                        </div>
                    </div>
                    @if ($custom_fields->count() < 1)

                    <div class="col-12">
                        <div class="card p-0">
                            <div class="card-body p-3">
                                <p class="mb-0 text-center">0 Custom Fields</p>
                            </div>
                        </div>
                    </div>
                        
                    @endif
                    
                </div> <!-- .row end -->

            </div>
        </div>
        @if(canDo('administrator','view-application-comment|add-application-comment'))
            <!-- Commenting Modal -->
            <div class="modal fade" id="commentBox" tabindex="-1">
                <div class="modal-dialog modal-lg">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="viewHeader">Comments</h5>
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                        </div>
                        <div class="modal-body">
                            <div id="comment-content"></div>
                        </div>
                    </div>
                </div>
            </div>
        @endif

        

    <div class="modal fade" id="modal-01" tabindex="-1">
        <div class="modal-dialog ">
            <div class="modal-content px-3">
                <div class="modal-header" style="">
                    <div class="">
                        <h5 class="modal-title" id="viewHeader">Add New Custom Field</h5>
                        <small class="mb-0">Complete the form below to create a new custom field.</small>
                    </div>
                    <div class="px-2"></div>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body" style="">
                    <!--<div id="payment-content"></div>-->
                    <form action="{{ route('custom-fields.create') }}" method="post" id="add-field-form">
                        @csrf

                        <div class="form-floating mb-3">
                            <input type="text" name="name" class="form-control">
                            <label for="">Field Name</label>
                        </div>
                        @error('name')
                            <p class="mb-1 text-danger">{{ $message }}</p>
                        @enderror

                        <div class="form-floating mb-3">
                            <select name="type" id="field_type" class="form-control">
                                <option value=""></option>
                                <option value="dropdown">Dropdown</option>
                                <option value="text">Text Field</option>
                                
                                
                            </select>
                            <label for="">Field Type</label>
                        </div>
                        @error('type')
                            <p class="mb-1">{{ $message }}</p>
                        @enderror

                        <div class="form-floating mb-3">
                            <select name="status" id="field_status" class="form-control">
                                <option value="1">Active</option>
                                <option value="0">Hidden</option>
                            </select>
                            <label for="">Status</label>
                        </div>
                        @error('status')
                            <p class="mb-1">{{ $message }}</p>
                        @enderror

                        

                    </form>
                    
                </div>
                <div class="modal-footer" style="">
                    <button type="button" class="btn btn-primary me-2"  onclick="document.getElementById('add-field-form').submit();">Save</button>
                    <button type="button" class="btn btn-danger" data-bs-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="edit-modal" tabindex="-1">
        <div class="modal-dialog ">
            <div class="modal-content px-3">
                <div class="modal-header" style="">
                    <div class="">
                        <h5 class="modal-title" id="viewHeader">Update Custom Field</h5>
                        <small class="mb-0">Alter the values below to update details of this custom field.</small>
                    </div>
                    <div class="px-2"></div>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body" style="">
                    <!--<div id="payment-content"></div>-->
                    <form action="" method="post" id="edit-field-form">
                        @csrf

                        <div class="form-floating mb-3">
                            <input type="text" name="name" class="form-control" id="edit-name">
                            <label for="">Field Name</label>
                        </div>
                        @error('name')
                            <p class="mb-1 text-danger">{{ $message }}</p>
                        @enderror

                        <div class="form-floating mb-3">
                            <select name="type" class="form-control" id="edit-type">
                                <option value=""></option>
                                <option value="dropdown">Dropdown</option>
                                <option value="text">Text Field</option>
                                
                                
                            </select>
                            <label for="">Field Type</label>
                        </div>
                        @error('type')
                            <p class="mb-1">{{ $message }}</p>
                        @enderror

                        <div class="form-floating mb-3">
                            <select name="status" id="edit-field_status" class="form-control">
                                <option value="1">Active</option>
                                <option value="0">Hidden</option>
                            </select>
                            <label for="">Status</label>
                        </div>
                        @error('status')
                            <p class="mb-1">{{ $message }}</p>
                        @enderror

                        

                    </form>
                    
                </div>
                <div class="modal-footer" style="">
                    <button type="button" class="btn btn-primary me-2"  onclick="document.getElementById('edit-field-form').submit();">Save</button>
                    <button type="button" class="btn btn-danger" data-bs-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="modal-02" tabindex="-1">
        <div class="modal-dialog ">
            <div class="modal-content px-3">
                <div class="modal-header" style="">
                    <div class="">
                        <h5 class="modal-title" id="viewHeader">Add Field Option</h5>
                        <small class="mb-0">Enter the value to be added as one of the possible options for this custom field. </small>
                    </div>
                    <div class="px-2"></div>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body" style="">
                    <!--<div id="payment-content"></div>-->
                    <form action="" method="post" id="add-option-form">
                        @csrf

                        <div class="form-floating mb-3">
                            <input type="text" name="option" class="form-control">
                            <label for="">Value</label>
                        </div>
                        @error('opton')
                            <p class="mb-1 text-danger">{{ $message }}</p>
                        @enderror


                        <!--<div class="form-floating mb-3">
                            <select name="status" id="field_status" class="form-control">
                                <option value="">Active</option>
                                <option value="">Hidden</option>
                            </select>
                            <label for="">Status</label>
                        </div>-->
                        @error('status')
                            <p class="mb-1">{{ $message }}</p>
                        @enderror

                        

                    </form>
                    
                </div>
                <div class="modal-footer" style="">
                    <button type="button" class="btn btn-primary me-2"  onclick="document.getElementById('add-option-form').submit();">Save</button>
                    <button type="button" class="btn btn-danger" data-bs-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>

    @push('scripts')
        <script>
            function add_option($field_id){
                var url = '/custom-fields/options/create/'+$field_id
                $('#add-option-form').attr('action', url)
                $('#modal-02').modal('show');
            }

            function edit_field(field_id){
                var url = '/custom-fields/update/'+field_id
                $.get('/custom-fields/get-custom-field/'+field_id , function(res){
                    
                    $('#edit-name').val(res.name)
                    $('#edit-type').val(res.type)
                    $('#edit-type').attr('readonly', true)
                    $('#edit-field_status').val(res.status)
                })

                $('#edit-field-form').attr('action', url);
                $('#edit-modal').modal('show');

            }
        </script>
    @endpush


    @include('touring-pages.application')
</x-app-layout>
