<x-beneficiary-layout>

    <div class="section call-action-6 bg-dark">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <div class="subscribe py-4">
                        <h3 class="color-fff">{{__('Eligible Benefits')}}</h3>
                        <span class="lead text-light">Find where you can belong and get the opportunity to improve your life!</span>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="section call-action-6 my-3">
        <div class="container">
            <div class="row">
                <div class="col-md-9">
                    <h5 class="text-black-50">{{__('Latest announcements')}}</h5>

                    <div class="col-12 mt-4 mb-4">
                        <div class="card">
                            <div class="card-body">
                                <form method="GET" action="#">
                                    @csrf
                                    <div class="input-group">
                                        <select name="country" class="form-select" id="country">
                                            <option value="">{{__('Country')}}</option>
                                            @foreach(getCountries() as $key=>$value)
                                                <option value="{{$value['id']}}" @selected(request()->get('country') == $value['id'])>{{$value['country_name']}}</option>
                                            @endforeach
                                        </select>
        
                                        <select name="financial" id="financial" class="form-select">
                                            <option value="">-- {{ __('Assistance') }} --</option>
                                            <option value="Financial" @if(request()->get('financial') == 'Financial') selected @endif>
                                                Financial
                                            </option>
                                            <option value="Non-Financial" @if(request()->get('financial') == 'Non-Financial') selected @endif>
                                                Non-Financial
                                            </option>
                                        </select>
                                        <button class="btn btn-primary" type="submit" data-bs-toggle="tooltip" title="Search"><i
                                                    class="bi-search"></i></button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>

                    <div class="row row-deck">
                        @forelse($benefits as $benefit)
                            <div class="card mb-2">
                                <div class="card-body p-3">
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="fw-bold h6">{{ $benefit->titles }}</div>
                                            <span class="mb-0">{{$benefit->deployment->name}}</span>
                                        </div>
                                        <div class="col-md-3">
                                            {{$benefit->financial}} Support <br>
                                            Ends: <span class="text-danger"> {{date('d-M-Y',strtotime($benefit->end_period))}}</span>
                                        </div>
                                        <div class="col-md-3 text-end">
                                    
                                            <span class="text-warning ms-1">
                                            @if(in_array($benefit->id,array_keys($returned_applications)))
                                                <a href="{{ route('customer.editBenefitEnrolment',
                                                [cryptThis($returned_applications[$benefit->id])]) }}"
                                                    class="text-danger">
                                                    {{__('Review')}}
                                                </a>
                                            @elseif(in_array($benefit->id,array_keys($no_action_applications)))
                                                <a href="{{ route('customer.viewApplication',
                                                [cryptThis($no_action_applications[$benefit->id])]) }}"
                                                    class="text-primary">
                                                    {{__('View')}}
                                                </a>
                                            @else
                                                <a href="{{ route('customer.benefitEnrolment',
                                                [cryptThis($benefit->id),'get_applicant'=>auth()->user()->applicant->regID]) }}"
                                                    class="text-info">
                                                    {{__('Apply Now')}}
                                                </a>
                                            @endif
                                            </span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        @empty
                            <x-no-data></x-no-data>
                        @endforelse

                        {{$benefits->links()}}
                    </div>
                    
                </div>
                <div class="col-md-3">
                    @include('customers.right-side-details')
                </div>
            </div>
        </div>
    </div>

</x-beneficiary-layout>
