<x-beneficiary-layout>

    <div class="section call-action-6 bg-dark">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <div class="subscribe py-4">
                        <h3 class="color-fff">{{__('My Cases')}}</h3>
                        <span class="lead text-light">Enjoy our service! Contact us if you need any assistance. <br>
                                        Have a nice day!</span>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="section call-action-6 my-3">
        <div class="container">
            <div class="mt-3">
                @component('components.announcement')@endcomponent
            </div>
            <div class="col-12 mb-4">
                <div class="card">
                    <div class="card-body">
                        <form method="GET" action="#">
                            @csrf
                            <div class="input-group">
                                @php
                                    $options = config('settings.severity');
                                    $options_2 = config('settings.case_stage');
                                @endphp
                                <select name="category" id="category" class="form-select">
                                    <option value="">-- {{ __('Choose Category') }} --</option>
                                    @foreach(getCaseCategories() as $key=>$option)
                                        <option value="{{$key}}"
                                                @if(request()->get('category') == $key) selected @endif>
                                            {{$option}}
                                        </option>
                                    @endforeach
                                </select>

                                <select name="severity" id="severity" class="form-select">
                                    <option value="">-- {{ __('Choose Severity') }} --</option>
                                    @foreach($options as $key=>$option)
                                        <option value="{{$option}}"
                                                @if(request()->get('severity') == $option) selected @endif>
                                            {{$option}}
                                        </option>
                                    @endforeach
                                </select>

                                <select name="stage" id="stage" class="form-select">
                                    <option value="">-- {{ __('Choose Stage') }} --</option>
                                    @foreach($options_2 as $key=>$stage)
                                        <option value="{{$stage}}"
                                                @if(request()->get('stage') == $stage) selected @endif>
                                            {{$stage}}
                                        </option>
                                    @endforeach
                                </select>

                                {{--                                <input type='text' autocomplete="off" class="form-control" name="date_range" placeholder="Request Period"--}}
                                {{--                                       value="{{request()->get('date_range')}}"/>--}}
                                <button class="btn btn-primary" type="submit" data-bs-toggle="tooltip" title="Search"><i
                                            class="bi-search"></i></button>
                                <a href="{{route('case.myCases')}}" class="btn btn-light-secondary"
                                   data-bs-toggle="tooltip" title="Reset"> <i class="bi-arrow-repeat"></i></a>
                                <button type="button" class="btn btn-light-primary" data-bs-toggle="modal"
                                        data-bs-target="#newCase" title="Add Case"> New Case
                                </button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>


            <div class="row g-2">
                <div class="col-12">
                    @if ($cases->count() > 0)
                        <div class="table-responsive">
                            <table class="table align-middle table-bordered mb-0 custom-table" id="case-records">
                                <thead>
                                <tr>
                                    <th style="width: 50px;">ID</th>
                                    <th>@lang('case.case')</th>
                                    <th style="width: 70px;">{{__('Status')}}</th>
                                    <th style="width: 80px;">{{ __('Date Recorded') }}</th>
                                    <th style="width: 80px;">{{__('Last Updated')}}</th>
                                    <th style="width: 70px;">{{ __('Action') }}</th>
                                </tr>
                                </thead>
                                <tbody>
                                @php
                                    $count = 0;
                                @endphp
                                @foreach ($cases as $case)
                                    <tr>
                                        {{-- <td>{{$count +=1}}</td> --}}
                                        <td>{{$case->id}}</td>
                                        <td>
                                            <span><a href="{{route('case.viewMyCase',[cryptThis($case->id)])}}">{{$case->title}}</a></span><br>
                                            <small>{{$case->_category->fullName}}</small>
                                        </td>
                                        <td>
                                            <span>{!!getCaseLabel($case->stage)!!}</span><br>
                                            <small>{!!getSeverityLabel($case->severity)!!}</small>
                                        </td>
                                        <td>{{date('d M Y H:i:s',strtotime($case->created_at))}} <br>
                                            <small>{{easyDate($case->created_at)}}</small></td>
                                        <td>{{date('d M Y H:i:s',strtotime($case->updated_at))}} <br>
                                            <small>{{easyDate($case->updated_at)}}</small></td>
                                        <td>
                                            @if($case->stage != 'Close')
                                                <form action="{{ route('case.saveResponse',[cryptThis($case->id)]) }}"
                                                      method="post">
                                                    @csrf
                                                    <input type="hidden" name="response"
                                                           value="Support has been closed">
                                                    <input type="hidden" name="stage" value="Close">
                                                    <button class="btn btn-link text-success text-decoration-none"
                                                            type="submit">{{__('Close')}}</button>
                                                </form>
                                            @endif
                                        </td>
                                    </tr>
                                @endforeach
                                </tbody>
                            </table>
                        </div>
                        {{ $cases->links() }}
                    @else
                        <x-no-data></x-no-data>
                    @endif
                </div>
            </div>
        </div>
    </div>
    <!--begin::Row-->
    <div class="modal fade" id="newCase" data-backdrop="static" tabindex="-1" role="dialog"
         aria-labelledby="staticBackdrop" aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">

            <form action="{{route('case.NewCase')}}" method="POST">
                @csrf
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title">{{__('Add New Case')}}</h5>
                        <button type="button" class="btn btn-link text-muted" data-bs-dismiss="modal"
                                aria-label="Close">
                            <i aria-hidden="true" class="fa fa-times"></i>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="row">
                            <div class="col-md-8 mb-3">
                                <div class="form-floating">
                                    <input type="text" class="form-control" name="title" id="title"
                                           value="{{old('title')}}">
                                    <label for="title">{{ __('Case Title') }}<span class="required">*</span></label>
                                </div>
                                @if ($errors->has('title'))
                                    <p class="text-right">
                                        <span class="text-warning form-text">{{ $errors->first('title') }}</span>
                                    </p>
                                @endif
                            </div>
                            <div class="col-md-4 mb-3">
                                <div class="form-floating">
                                    <select name="organization" id="organization" class="form-select" required>
                                        <option value="">-- Choose --</option>
                                        @foreach(auth()->user()->applicant->deployments as $key=>$deploymentInfo)
                                            <option value="{{$deploymentInfo->id}}"
                                                    @if(old('organization') == $deploymentInfo->id) selected @endif>
                                                {{$deploymentInfo->name}}
                                            </option>
                                        @endforeach
                                    </select>
                                    <label for="organization">{{ __('Organization') }}<span
                                                class="required">*</span></label>
                                </div>
                                @if ($errors->has('organization'))
                                    <span class="text-warning form-text">{{ $errors->first('organization') }}
                                    </span>
                                @endif
                            </div>
                            <div class="col-md-4 mb-3">
                                <div class="form-floating">
                                    <select name="category" id="category" class="form-select" required>
                                        <option value="">-- Choose --</option>
                                        @foreach(getCaseCategories() as $key=>$name)
                                            <option value="{{$key}}" @if(old('category') == $key) selected @endif>
                                                {{$name}}
                                            </option>
                                        @endforeach
                                    </select>
                                    <label for="category">{{ __('Category') }}<span class="required">*</span></label>
                                </div>
                                @if ($errors->has('category'))
                                    <span class="text-warning form-text">{{ $errors->first('category') }}
                                    </span>
                                @endif
                            </div>
                            <div class="col-md-4 mb-3">
                                <div class="form-floating">
                                    <select name="type" id="type" class="form-select" required>
                                        <option value="">-- Choose --</option>
                                        @foreach(getCaseTypes() as $key=>$name)
                                            <option value="{{$key}}" @if(old('type') == $key) selected @endif>
                                                {{$name}}
                                            </option>
                                        @endforeach
                                    </select>
                                    <label for="type">{{ __('Type') }}</label>
                                </div>
                                @if ($errors->has('type'))
                                    <span class="text-warning form-text">{{ $errors->first('type') }}
                                    </span>
                                @endif
                            </div>
                            <div class="col-md-4 mb-3">
                                <div class="form-floating">
                                    <select name="severity" id="severity" class="form-select" required>
                                        @foreach(config('settings.severity') as $key=>$value)
                                            <option value="{{$value}}"
                                                    @if(old('severity') == $value) selected @endif>{{$value}}</option>
                                        @endforeach
                                    </select>
                                    <label for="severity">{{ __('Severity Level') }}<span
                                                class="required">*</span></label>
                                </div>
                                @if ($errors->has('severity'))
                                    <p class="text-right">
                                        <span class="text-warning form-text">{{ $errors->first('severity') }}</span>
                                    </p>
                                @endif
                            </div>
                            <div class="col-md-12 mb-3">
                                <div class="form-floating">
                                    <textarea name="description" id="description" required class="form-control"
                                              style="height:200px">{!! old('description') !!}</textarea>
                                    <label for="description">{{ __('Description') }}<span
                                                class="required">*</span></label>
                                </div>
                                @if ($errors->has('description'))
                                    <span class="text-warning form-text">{{ $errors->first('description') }}
                                        </span>
                                @endif
                            </div>
                            <div class="col-md-12 mb-3">
                                <input type="file" class="form-control" name="file_upload" id="file_upload">
                                @if ($errors->has('file_upload'))
                                    <span class="text-warning form-text">{{ $errors->first('file_upload') }}
                                        </span>
                                @endif
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer text-center">
                        <button type="reset" class="btn btn-link text-decoration-none text-danger"
                                data-bs-dismiss="modal" aria-label="Close">
                            <i aria-hidden="true" class="bi-x-circle-fill"></i> {{__('Cancel')}}
                        </button>
                        <button type="submit" class="btn btn-primary">
                            <i aria-hidden="true" class="fa fa-paper-plane"></i> {{__('Submit')}}
                        </button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</x-beneficiary-layout>
