<x-beneficiary-layout>

    <div class="section call-action-6 bg-dark mb-5">
        <div class="container">
            <div class="row">
                <div class="col-12 px-3 px-lg-5">
                    @if (is_null(auth()->user()->account_verified_at))
                        <div class="subscribe py-4" style="max-width: 50%;">
                            <h3 class="color-fff">{{auth()->user()->fullName}}</h3>
                            <span class="lead text-light">Get started by verifying your account</span>
                            <form method="POST" action="{{route('customer.verifyCodeLogin')}}">@csrf
                                <div class="input-group my-3">
                                    {{--                                    <input type="hidden" name="mobile" value="{{auth()->user()->phone}}">--}}
                                    <input name="verification_code" id="verification_code"
                                           value="{{old('verification_code')}}" maxlength="4" minlength="4"
                                           class="form-control text-uppercase" placeholder="Enter your 4-digit Code"
                                           aria-describedby="bf-btn">
                                    <button class="btn btn-lg btn-success text-uppercase" type="submit" id="bf-btn">
                                        Verify
                                    </button>
                                </div>
                            </form>
                            <p class="text-white">{{__('Didn\'t receive verification code?')}}
                                <a href="{{route('customer.resendVerifyCode')}}">{{__('Resend Code')}}</a></p>
                        </div>
                    @elseif(!isset(auth()->user()->applicant))
                        <div class="subscribe py-5">
                            <h3 class="color-fff">Connect to your membership</h3>
                            <span class="lead text-light">Get started by providing your membership number to unlock all the possibilities</span>
                        </div>
                        <div class="row mb-4">
                            @if (auth()->user()->pending_application == null)
                                <div class="col-md-5">
                                    <div class="text-cente">
                                        <span class="lead text-light mb-1">I already have a member account </span>
                                        <form action="{{route('customer.connectToApplication')}}" method="POST">@csrf
                                            <div class="input-group my-3">
                                                <input name="applicant_number" type="text" class="form-control"
                                                       value="{{old('applicant_number')}}"
                                                       placeholder="Enter Membership Number"
                                                       aria-label="Enter Membership Number" aria-describedby="bf-btn">
                                                <button class="btn btn-lg btn-primary text-uppercase" type="submit"
                                                        id="bf-btn">Attach
                                                </button>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                                <div class="col-md-2 pt-4">
                                    <div class="d-flex justify-content-center">
                                        <div class="avatar lg rounded-circle no-thumbnail"><i
                                                class="bi-arrow-left-right fa-2x"></i></div>
                                    </div>
                                </div>
                                <div class="col-md-5">
                                    <div class="text-cente">
                                        {{--                                <div class="card-body py-xl-5 py-4">--}}
                                        <span class="lead text-light mb-3">Register as a member</span>
                                        <div>
                                            <a href="{{route('customer.account')}}"
                                               class="btn btn-lg btn-primary text-uppercase fs-6 px-5 my-3 shadow-sm text-center">Enrol
                                                Now</a>
                                        </div>
                                        {{--                                </div>--}}
                                    </div>
                                </div>

                            @else
                                <div class="col-md-9">
                                    <span class="lead text-light mb-1">Verify Membership Account </span>
                                    <form action="{{route('customer.verifyApplication')}}" method="POST">@csrf
                                        <input type="hidden" name="">
                                        <div class="input-group my-3">
                                            <input type="text" class="form-control"
                                                   value="{{auth()->user()->pending_application}}" disabled readonly>
                                            <input name="code" type="text" class="form-control" minlength="4"
                                                   maxlength="4" value="{{old('code')}}"
                                                   placeholder="Enter Code" aria-label="Enter Code"
                                                   aria-describedby="bf-btn">
                                            <button class="btn btn-lg btn-success text-uppercase" type="submit"
                                                    name="submit" value="1" id="bf-btn">Verify
                                            </button>
                                            <button class="btn btn-lg btn-danger text-uppercase" type="submit"
                                                    name="detach" value="2" id="bf-btn">Detach
                                            </button>
                                        </div>
                                    </form>
                                </div>
                            @endif

                        </div>
                    @else
                        <div class="subscribe py-4" style="max-width: 70%;">
                            <h3 class="color-fff">{{__('My Alleviate')}}</h3>
                            <span class="lead text-light">{{__('Enjoy our service! Contact us if you need any assistance.')}} <br>
                            {{__('Have a nice day!')}}</span>
                        </div>
                    @endif
                </div>
            </div> <!-- .row end -->
        </div>
    </div>

    <div class="container">
        @component('components.announcement')@endcomponent
    </div>

    @if(canPerform('notifications') && false)
        <div class="section call-action-6 my-3">
            <div class="container">
                <div class="row">
                    <div class="col-md-12">
                        <div class="card">
                            <div class="card-body">
                                <h6 class="">{{__('Latest Announcement')}} <small
                                        class="text-muted">({{auth()->user()->unreadNotifications}} Unread)</small>
                                </h6>
                                <hr>
                                @if($notification)
                                    @include('customers.single-announcement')
                                @else
                                    <p class="text-muted">No Announcement</p>
                                @endif

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    @endif


    @if(isset(auth()->user()->applicant))
        <div class="container">
            <div class="row g-3 row-dec mb-5">
                <div class="col-lg-3 col-md-6">
                    @include('customers.profile-details')
                </div>
                <div class="col-lg-6 col-md-6">
                    <div class="row g-3 row-dec">

                        <div class="card">
                            <div class="card-header pb-0">
                                <h6 class="card-title m-0">{{__('Eligible Benefits')}}</h6>
                            </div>
                            <div class="card-body">
                                <ul class="list-unstyled mb-0">
                                    @foreach($benefits as $benefit)
                                        @if(sizeof($eligible_benefits) > 0)
                                            @if(in_array($benefit->id,$eligible_benefits))
                                                <li class="d-flex justify-content-between mb-3">
                                                    <label>
                                                        {{ $benefit->titles }}
                                                        <br> <small class="text-muted">{{$benefit->deployment->name}}</small>
                                                        @if(in_array($benefit->id,array_keys($returned_applications)))
                                                            <small class="text-danger">
                                                                - {{__('Returned for Correction')}}</small>
                                                        @endif
                                                    </label>
                                                    @if(in_array($benefit->id,array_keys($returned_applications)))
                                                        <a href="{{ route('customer.editBenefitEnrolment',
                                                [cryptThis($returned_applications[$benefit->id])]) }}"
                                                           class="text-danger">
                                                            {{__('Review')}}
                                                        </a>
                                                    @elseif(in_array($benefit->id,array_keys($no_action_applications)))
                                                        <a href="{{ route('customer.viewApplication',
                                                [cryptThis($no_action_applications[$benefit->id])]) }}"
                                                           class="text-primary">
                                                            {{__('View')}}
                                                        </a>
                                                    @else
                                                        <a href="{{ route('customer.benefitEnrolment',
                                                [cryptThis($benefit->id),'get_applicant'=>auth()->user()->applicant->regID]) }}"
                                                           class="text-info">
                                                            {{__('Apply Now')}}
                                                        </a>
                                                    @endif
                                                </li>
                                            @endif
                                        @endif
                                    @endforeach
                                </ul>
                            </div>
                            <div class="card-footer p-3 text-center">
                                <a href="{{route('customer.eligibleBenefits')}}" class="text-primary">View all</a>
                            </div>
                        </div>

                        <div class="accordion" id="oneAccordion">
                            <div class="card mb-2">
                                <div class="card-header p-0" id="headingContacts">
                                    <button class="btn btn-white btn-block text-start p-3 rounded-4 fw-bold"
                                            style="width: 100%"
                                            type="button" data-bs-toggle="collapse" data-bs-target="#Contacts"
                                            aria-expanded="false" aria-controls="Contacts">
                                        Contacts
                                    </button>
                                </div>

                                <div id="Contacts" class="collapse" aria-labelledby="headingContacts"
                                     data-bs-parent="#oneAccordion">
                                    <div class="card-body">
                                        <ul class="resume-box p-0 ps-0 pb-0 mb-0">
                                            <div class="row">
                                                @if(auth()->user()->applicant->contactDetails->count() > 0)
                                                    @foreach(auth()->user()->applicant->contactDetails as $contactDetail)
                                                        <x-applicant.contact-card
                                                            :contactDetail="$contactDetail"></x-applicant.contact-card>
                                                    @endforeach
                                                @else
                                                    <x-no-data-sm></x-no-data-sm>
                                                @endif
                                            </div>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                            <div class="card mb-2">
                                <div class="card-header p-0" id="headingRelationships">
                                    <button class="btn btn-white btn-block text-start p-3 rounded-4 fw-bold"
                                            style="width: 100%"
                                            type="button" data-bs-toggle="collapse" data-bs-target="#Relationships"
                                            aria-expanded="false" aria-controls="Relationships">
                                        Family
                                    </button>
                                </div>

                                <div id="Relationships" class="collapse" aria-labelledby="headingRelationships"
                                     data-bs-parent="#oneAccordion">
                                    <div class="card-body">
                                        <ul class="resume-box p-0 ps-0 pb-0 mb-0">
                                            <div class="row">
                                                @if(auth()->user()->applicant->familyDetails->count() > 0)
                                                    @foreach(auth()->user()->applicant->familyDetails as $familyDetail)
                                                        <x-applicant.family-card
                                                            :familyDetail="$familyDetail"></x-applicant.family-card>
                                                    @endforeach
                                                @else
                                                    <x-no-data-sm></x-no-data-sm>
                                                @endif
                                            </div>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                            <div class="card mb-2">
                                <div class="card-header p-0" id="headingContact">
                                    <button class="btn btn-white btn-block text-start p-3 rounded-4 fw-bold"
                                            style="width: 100%"
                                            type="button" data-bs-toggle="collapse" data-bs-target="#contacts"
                                            aria-expanded="false" aria-controls="contacts">
                                        Banking Details
                                    </button>
                                </div>

                                <div id="contacts" class="collapse" aria-labelledby="headingContact"
                                     data-bs-parent="#oneAccordion">
                                    <div class="card-body">
                                        @if(auth()->user()->applicant->accountDetails->count() > 0)
                                            @foreach(auth()->user()->applicant->accountDetails as $accountDetail)
                                                <div class="d-flex justify-content-between align-items-center mt-3">
                                                    <x-applicant.account-card
                                                        :accountDetail="$accountDetail"></x-applicant.account-card>
                                                </div>
                                            @endforeach
                                        @else
                                            <x-no-data-sm></x-no-data-sm>
                                        @endif
                                    </div>
                                </div>
                            </div>
                            <div class="card mb-2">
                                <div class="card-header p-0" id="headingMarital">
                                    <button class="btn btn-white btn-block text-start p-3 rounded-4 fw-bold"
                                            style="width: 100%"
                                            type="button" data-bs-toggle="collapse" data-bs-target="#marital"
                                            aria-expanded="false" aria-controls="marital">
                                        Marital
                                    </button>
                                </div>

                                <div id="marital" class="collapse" aria-labelledby="headingMarital"
                                     data-bs-parent="#oneAccordion">
                                    <div class="card-body">
                                        @if(auth()->user()->applicant->maritalDetails->count() > 0)
                                            @foreach(auth()->user()->applicant->maritalDetails as $maritalDetail)
                                                <div class="d-flex justify-content-between align-items-center">
                                                    <x-applicant.marital-card
                                                        :maritalDetail="$maritalDetail"></x-applicant.marital-card>
                                                </div>
                                            @endforeach
                                        @else
                                            <x-no-data-sm></x-no-data-sm>
                                        @endif
                                    </div>
                                </div>
                            </div>
                            <div class="card mb-2">
                                <div class="card-header p-0" id="headingIdentification">
                                    <button class="btn btn-white btn-block text-start p-3 rounded-4 fw-bold"
                                            style="width: 100%"
                                            type="button" data-bs-toggle="collapse" data-bs-target="#identification"
                                            aria-expanded="false" aria-controls="identification">
                                        Identifications
                                    </button>
                                </div>

                                <div id="identification" class="collapse" aria-labelledby="headingIdentification"
                                     data-bs-parent="#oneAccordion">
                                    <div class="card-body">
                                        @if(auth()->user()->applicant->idDetails->count() > 0)
                                            @foreach(auth()->user()->applicant->idDetails as $idDetail)
                                                <div class="d-flex justify-content-between align-items-center">
                                                    <x-applicant.identification-card
                                                        :idDetail="$idDetail"></x-applicant.identification-card>
                                                </div>
                                            @endforeach
                                        @else
                                            <x-no-data-sm></x-no-data-sm>
                                        @endif
                                    </div>
                                </div>
                            </div>
                            <div class="card mb-2">
                                <div class="card-header p-0" id="headingEmployment">
                                    <button class="btn btn-white btn-block text-start p-3 rounded-4 fw-bold"
                                            style="width: 100%"
                                            type="button" data-bs-toggle="collapse" data-bs-target="#employment"
                                            aria-expanded="false" aria-controls="employment">
                                        Employments
                                    </button>
                                </div>

                                <div id="employment" class="collapse" aria-labelledby="headingEmployment"
                                     data-bs-parent="#oneAccordion">
                                    <div class="card-body">
                                        @if(auth()->user()->applicant->employmentDetails->count() > 0)
                                            @foreach(auth()->user()->applicant->employmentDetails as $employmentDetail)
                                                <div class="d-flex justify-content-between align-items-center">
                                                    <x-applicant.employment-card
                                                        :employmentDetail="$employmentDetail"></x-applicant.employment-card>
                                                </div>
                                            @endforeach
                                        @else
                                            <x-no-data-sm></x-no-data-sm>
                                        @endif
                                    </div>
                                </div>
                            </div>
                            <div class="card mb-2">
                                <div class="card-header p-0" id="headingHealth">
                                    <button class="btn btn-white btn-block text-start p-3 rounded-4 fw-bold"
                                            style="width: 100%"
                                            type="button" data-bs-toggle="collapse" data-bs-target="#health"
                                            aria-expanded="false" aria-controls="health">
                                        Health
                                    </button>
                                </div>

                                <div id="health" class="collapse" aria-labelledby="headingHealth"
                                     data-bs-parent="#oneAccordion">
                                    <div class="card-body">
                                        @if(auth()->user()->applicant->healthDetails->count() > 0)
                                            @foreach(auth()->user()->applicant->healthDetails as $healthDetail)
                                                <div class="d-flex justify-content-between align-items-center">
                                                    <x-applicant.health-card
                                                        :healthDetail="$healthDetail"></x-applicant.health-card>
                                                </div>
                                            @endforeach
                                        @else
                                            <x-no-data-sm></x-no-data-sm>
                                        @endif
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-3 col-md-12">
                    @include('customers.right-side-details')
                </div>
            </div> <!-- .row end -->
        </div>

        <div class="modal fade" id="staticBackdrop" data-backdrop="static" tabindex="-1" role="dialog"
             aria-labelledby="staticBackdrop" aria-hidden="true">
            <div class="modal-dialog modal-lg" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="action_title">Preview & Print</h5>
                        <button type="button" class="close btn btn-sm btn-link" data-bs-dismiss="modal"
                                aria-label="Close">
                            <i aria-hidden="true" class="fa fa-close"></i>
                        </button>
                    </div>
                    <div class="modal-body">
                        {{-- @include('benefit-registration.application-forms.general-form-print') --}}
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-light-danger btn-sm btn-default font-weight-bold"
                                data-bs-dismiss="modal">Close
                        </button>
                    </div>
                </div>
            </div>
        </div>
    @endif

</x-beneficiary-layout>
