@if(canPerform('notifications'))
    <div class="card mb-3">
        <div class="card-body">
            <h6 class="card-title mb-2">{{__('Latest Announcement')}} <small class="text-muted">({{auth()->user()->unreadNotifications}} Unread)</small></h6>
            @if($notification)
                @include('customers.sidebar-notification-post')

                <div class="mt-1 text-center">
                    <a href="{{route('customer.customerNotifications')}}">See More</a>
                </div>
            @else
                <p class="text-muted">No Announcement</p>
            @endif

        </div>
    </div>
@endif
<div class="card">
    <div class="card-header pb-0">
        <h6 class="card-title m-0">Enrolled Benefits</h6>
    </div>
    <div class="card-body">
        <div class="bd-example mb-5">
            <div class="accordion" id="benefit_activities">
                @if($applications->count() > 0)
                    @foreach($applications as $application)
                        <div class="card mb-1">
                            <div class="card-header p-0" id="app{{$application->id}}">
                                <h2 class="mb-0 w-100">
                                    <button class="btn btn-white btn-block text-start w-100 p-3 rounded-4" type="button"
                                            data-bs-toggle="collapse" data-bs-target="#level{{$application->id}}" aria-expanded="true"
                                            aria-controls="level{{$application->id}}"> {{$application->benefit->titles}}
                                            <br>
                                        <x-approval-status status="{{$application->status}}"></x-approval-status>
                                    </button>
                                </h2>
                            </div>
                            <div id="level{{$application->id}}" class="collapse" aria-labelledby="headingOne" data-bs-parent="#benefit_activities">
                                <div class="card-body custom_scroll" style="max-height: 300px; scroll-behavior: smooth;">
                                    {{-- <a  href="{{route('customer.printPreview')}}" class="btn btn-default mr-5 btn-sm" onclick="previewPrint({{$application->id}})">
                                        <i class="fa fa-print"></i> Preview & Print
                                    </a>
                                    <button  type="button" class="btn btn-default mr-5 btn-sm" data-bs-toggle="modal"
                                             data-bs-target="#staticBackdrop" onclick="previewPrint({{$application->id}})">
                                        <i class="fa fa-print"></i> Preview & Print
                                    </button> --}}
                                    <ul class="timeline-activity list-unstyled mb-0">
                                        @foreach($application->applicationProcessings as $process)
                                            <li class="activity px-3 py-2 mb-1" data-date="{{easyDate($process->created_at)}}">
                                                <div class="fw-bold small d-flex justify-content-between align-items-center">{{$process->stage}}
                                                    <x-approval-status status="{{$process->action}}"></x-approval-status></div>
                                                <div>
                                                    <small class="text-muted">Accessed via {{$process->access_type}}</small>
                                                </div>
                                            </li>
                                        @endforeach
                                    </ul>
                                </div>
                            </div>
                        </div>
                    @endforeach
                @else
                    <x-no-data-sm></x-no-data-sm>
                @endif
            </div>
        </div>
    </div>
</div>
