<x-app-layout>
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="javascript:;">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">Frequently Asked Questions</li>
        </ol>
    </x-slot>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg-2 py-1 mt-0 mt-lg-3">
        <div class="container-fluid">
            @if(in_array('write_faq', $user_permissions))
            <div class="row g-3">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">
                            <div class="card-content collapse show">
                                <div class="card-body card-dashboard">
                                    <form method="post"  action="{{route('store.page.faq')}}" enctype="multipart/form-data">
                                        @csrf

                                        <div class="form-group">
                                            <label for="title"><strong>Title</strong></label>
                                            <input type="text" name="title" class="form-control col-6" id="title" value="{{$faq->page_title}}">
                                        </div>
                                        <div class="form-group mt-2">
                                            <label for="sub_description"><strong>Sub Description</strong></label>
                                            <textarea rows="5" cols="5" type="text" name="sub_description" class="form-control" id="sub_description">{{$faq->page_description}}</textarea>
                                        </div>
                                        <div class="form-group mt-2 text-right">
                                            <button name="faq_page_details" type="submit" class="btn btn-primary btn-md col-3">Save FAQ Page Details</button>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row g-3 mt-3">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <form method="post"  action="{{route('store.page.faq')}}" enctype="multipart/form-data">
                            @csrf
                            <span id="update_faq"></span>
                            <div class="form-group mt-5">
                                <label for="sub_description"><strong>Question</strong></label>
                                <textarea rows="3" cols="3" type="text" name="question" class="form-control" id="page_question"></textarea>
                            </div>
                            <div class="form-group mt-2 mb-3">
                                <label><strong>Answer:</strong></label>
                                <textarea class="ckeditor form-control" name="page_content"></textarea>
                            </div>
                            <div class="form-group text-right">
                                <button name="add_new_faq" type="submit" class="btn btn-success btn-md col-3 update_faq_btn">Add New FAQ</button>
                            </div>
                        </form>
                    </div>
                </div>
                </div>
            </div>
            @endif
            <div class="row g-3 mt-4">
                <div class="col-12">
                    <div class="card">
                        <div class="card-content collapse show">
                            <div class="card-body card-dashboard">
                                @forelse($all_faqs as $key => $faq_details)
                                <div class="card mb-1">

                                    <h6 class="mb-0 p-xl-4 p-3" data-bs-toggle="collapse" data-bs-target="#faq{{$key}}" aria-expanded="true" aria-controls="faq4">
                                        {!! $faq_details->question !!} <span style="float: right"><i id="page-edit-faq-{{$faq_details->id}}" data-fetch-url="{{route('page.edit.faq',$faq_details->id)}}" onclick="editFAQ('{{$faq_details->id}}')" class="fa fa-edit"></i> <i id="page-delete-faq-{{$faq_details->id}}" data-fetch-url="{{route('page.delete.faq',$faq_details->id)}}" onclick="delFAQ('{{$faq_details->id}}')" class="fa fa-trash"></i></span>
                                    </h6>
                                    <div id="faq{{$key}}" class="collapse {{$key == 0 ? "show":""}}" style="">
                                        <div class="card-body border-top">
                                            <p>{!! $faq_details->answer !!}</p>
                                        </div>
                                    </div>
                                </div>
                                @empty

                                @endforelse
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

@push('scripts')

    <script src="//cdn.ckeditor.com/4.14.0/standard/ckeditor.js"></script>
    <script src="{{ asset('assets/js/helpers.js') }}"></script>
    <script type="text/javascript">
        $(document).ready(function() {
            $('.ckeditor').ckeditor();
        });

    </script>
@endpush

</x-app-layout>
