<div class="col-md-{{$form_field->column_size}}">
    @php
        $options = null;
        $auto_options = false;
        $checked = 'checked="checked"';
        $data_values = null;
        if(isset($form_data[$form_field->name])){
            $data_values = json_decode($form_data[$form_field->name]);
        }
    @endphp
    @if($form_field->has_auto_options == 1 && $form_field->auto_options > 0)
        @php
            $options = getActiveOptionsFor($form_field->auto_options);
            $auto_options = true;
        @endphp
    @elseif(isset($form_field->options) || $form_field->option_forms->count() > 0)
        @php
            if ($form_field->hasChild == 1){
                $options = json_decode($form_field->forms);
            }else{
                $options = json_decode($form_field->options);
            }
        @endphp
    @endif
    @if($displayAsDetails == 0)
    <div class="form-group">
        <label>{{setTextLabel($form_field->label)}}
            @if($form_field->required == 1)<span class="required">*</span>@endif</label>
        <br>
        @if($options != null)
            <div class="checkbox-inline">
            @foreach($options as $key=>$option)
                    @php
                        $theId = $form_field->name.'_'.$key;
                    if ($auto_options) {
                        $option_value = $key;
                        $option_name = $option;
                    }
                    else {
                        $option_value = $option->opt_value;
                        $option_name = $option->opt_name;
                    }
                    @endphp
                    <label class="checkbox checkbox-primary">
                    <input @if(isset($form_field->class)) class="{{$form_field->class}}" @endif type="checkbox"
                           @if($form_field->disabled == 1 || $editable == 0)  disabled @endif
                           @if(isset($form_field->inline_css)) style="{{$form_field->inline_css}}" @endif
                    @if(isset($data_values))
                           @if(is_array($data_values))
                                @if(in_array($option_value,$data_values))
                                   {{$checked}}
                                @endif
                           @elseif($option_value == $data_values)
                               {{$checked}}
                           @endif
                    @elseif(old($form_field->name) == $option_value)
                        {{$checked}}
                    @elseif($form_field->default_value == $option_value)
                        {{$checked}}
                    @endif
                    @if(isset($option->c_form) && $auto_options)onchange="showSubForm_{{$subform_level}}({{$option->c_form}});@endif
                    @if(isset($option->c_form) && $auto_options) data-subformid="{{$option->c_form}}" data-subformlevel='{{$subform_level}}'@endif
                    name="{{$form_field->name}}[]"
                    {{--name="{{$form_field->name}}@if($form_field->is_multiple == true)[]@endif"--}}
                    id="{{$form_field->name.'_'.$key}}"
                    @if($form_field->required == 1)  required @endif
                    value="{{$option_value}}"><span></span>{{$option_name}}</label>
            @endforeach
            </div>
        @else
            {{ __('No Options available') }}
        @endif
        @if ($errors->has($form_field->name))
            <span class="invalid-feedback" role="alert">
                    <strong>{{ $errors->first($form_field->name) }}</strong>
                </span>
        @endif
    </div>
    @else
        @php $display = '<ul class="list-unstyled-display">'; @endphp
        @foreach($options as $key=>$option)
            @php
                if ($auto_options) {
                    $option_value = $key;
                    $option_name = $option;
                }
                else {
                    $option_value = $option->opt_value;
                    $option_name = $option->opt_name;
                }
                if($form_field->hasChild == 1){
                    $option_value = $option->c_form;
                }
            @endphp
            @if(is_array($data_values))
                @if(in_array($option_value,$data_values))
                    @php $display .= '<li class=" mb-3">'.$option_name.'</li>'; @endphp
                @endif
            @elseif($option_value == $data_values)
                @php $display = $option_name; @endphp
            @endif
        @endforeach
        @if(is_array($data_values))
            @php $display = '</ul>'; @endphp
        @endif
        <p><strong>{{setTextLabel($form_field->label)}}</strong> <br> {!! $display !!}</p>
        {{--<ul class="list-unstyled">--}}
            {{--@foreach($options as $key=>$option)--}}
                {{--@php--}}
                    {{--if ($auto_options) {--}}
                        {{--$option_value = $key;--}}
                        {{--$option_name = $option;--}}
                    {{--}--}}
                    {{--else {--}}
                        {{--$option_value = $option->opt_value;--}}
                        {{--$option_name = $option->opt_name;--}}
                    {{--}--}}
                {{--@endphp--}}
                {{--@if(is_array($data_values))--}}
                    {{--@if(in_array($option_value,$data_values))--}}
                        {{--<li class=" mb-3"><i class="la la-check-circle text-success mr-3"></i>{{$option_name}}</li>--}}
                    {{--@endif--}}
                {{--@elseif($option_value == $data_values)--}}
                    {{--<li class=" mb-3"><i class="la la-check-circle text-success mr-3"></i>{{$option_name}}</li>--}}
                {{--@endif--}}
            {{--@endforeach--}}
        {{--</ul>--}}
    @endif
</div>