<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=Edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="Responsive Bootstrap 5 admin dashboard template &amp; web App ui kit.">
    <meta name="keyword" content="">
    <title>{{ \setting('app_name')}}</title>

    <link rel="stylesheet" href="{{ asset('assets/cssbundle/swiper.min.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/css/luno-style.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/css/spis.css') }}">

</head>
<body class="landing-page" data-luno="theme-red" cz-shortcut-listen="true">

<nav class="navbar navbar-expand-lg navbar-light py-3">
    <div class="container">
        <a class="navbar-brand p-0 m-0" href="index.html">
            <img src="{{asset(getProjectLogo())}}"  class="navbar-brand app-logo no-filter" style="width: 120px"alt="">
            <span class="fs-3 fw-bold text-secondary"></span>
            <small class="text-muted d-flex">{{ \setting('app_name')}}</small>
        </a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#main_navbar">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse fs-6" id="main_navbar">
            <ul class="navbar-nav ms-auto mb-2 mb-lg-0">
                @auth
                    @if (auth()->user()->is_admin)
                        <li class="nav-item me-3"><a class="nav-link text-secondary" href="{{route('dashboard')}}">Dashboard</a></li>
                    @else
                    <li class="nav-item me-3"><a class="nav-link text-secondary" href="{{route('customer.profile')}}">Profile</a></li>
                    @endif
                    <li class="nav-item me-3">
                        <form method="POST" action="{{ route('logout') }}">
                            @csrf
                            <a href="{{ route('logout') }}" class="nav-link text-danger"
                               onclick="event.preventDefault(); this.closest('form').submit();" style="width: 100%;">
                                {{ __('Sign out') }}
                            </a>
                        </form>
                    </li>
                @else
                    <li class="nav-item me-3"><a class="nav-link text-secondary" href="{{route('login')}}">@lang('auth.login')</a></li>
                @endauth

            </ul>
            <form class="d-flex ms-4">
{{--                @guest--}}
{{--                    <a class="btn px-4 rounded btn-secondary" href="{{route('customer.signup')}}">Beneficiary @lang('auth.sign-up')</a>--}}
{{--                @endguest--}}
                <div class="dropdown morphing scale-left Language mx-sm-2">
                        <a class="nav-link dropdown-toggle after-none" href="#" role="button" data-bs-toggle="dropdown">
                            <span class="flag-icon flag-icon-{{(App::currentLocale() == 'en')?'gb':App::currentLocale()}} me-2"></span>{{strtoUpper(App::currentLocale())}}
                        </a>
                        <div class="dropdown-menu rounded-4 shadow border-0 p-0" data-bs-popper="none">
                            <div class="card">
                                <div class="list-group list-group-custom" style="width: 200px;">
                                    @foreach (config('app.languages') as $language=>$code )
                                        <a href="{{route('language',[$code])}}" class="list-group-item"><span class="flag-icon flag-icon-{{($code == 'en')?'gb':$code}} me-2"></span>{{$language}}</a>
                                    @endforeach
                                </div>
                            </div>
                        </div>
                    </div>
            </form>
        </div>
    </div>
</nav>

<div class="section hero-area">
    <div class="container">
        <div class="row g-3 align-items-center">
            <div class="col-xl-6 col-lg-7 co-12">
                <div class="hero-text ps-lg-5 ps-3">
                    <h1 class="bg-text">@lang('landing.page-title')</h1>
                    <p class="color-500 lead mb-4">Lorem ipsum dolor sit amet consectetur adipisicing elit. Harum impedit minima asperiores dignissimos hic rerum non inventore iste iusto, quos atque voluptatum facilis et quae quisquam nostrum ratione eligendi quaerat?</p>
                    <a href="{{route('on_boarding.index')}}" class="btn px-4 py-3 lift btn-primary text-uppercase">Sign Up for free</a>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="section">
    <div class="container">
        <div class="row g-5 justify-content-center">
            <div class="col-md-12">
                <h3 class="mb-0 color-900">Why Choose Us</h3>
                <p class="lead text-muted">It is a long established fact that a reader will be of a page when established fact looking at its layout.</p>
            </div>
            <div class="col-md-6">
                <div class="d-flex align-items-start mb-3">
                    <svg xmlns="http://www.w3.org/2000/svg" width="170" fill="currentColor" viewBox="0 0 16 16">
                        <path d="M2.5 8a5.5 5.5 0 0 1 8.25-4.764.5.5 0 0 0 .5-.866A6.5 6.5 0 1 0 14.5 8a.5.5 0 0 0-1 0 5.5 5.5 0 1 1-11 0z"></path>
                        <path class="fill-secondary" d="M15.354 3.354a.5.5 0 0 0-.708-.708L8 9.293 5.354 6.646a.5.5 0 1 0-.708.708l3 3a.5.5 0 0 0 .708 0l7-7z"></path>
                    </svg>
                    <div class="flex-fill ms-4">
                        <h4 class="text-secondary fw-bold">Completed Features</h4>
                        <p class="text-muted">Lorem ipsum dolor sit, amet consectetur adipisicing elit. Accusamus laudantium mollitia, laboriosam corporis eius provident dolor quo. Esse deserunt earum provident nostrum officia? Sint nulla ratione, amet rem fugit tempore.</p>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="d-flex align-items-start mb-3">
                    <svg xmlns="http://www.w3.org/2000/svg" width="170" fill="currentColor" viewBox="0 0 16 16">
                        <path d="M1.5 0C1.10218 0 0.720644 0.158035 0.43934 0.43934C0.158035 0.720644 0 1.10218 0 1.5L0 8.5C0 8.89782 0.158035 9.27936 0.43934 9.56066C0.720644 9.84196 1.10218 10 1.5 10H6V11H1C0.734784 11 0.48043 11.1054 0.292893 11.2929C0.105357 11.4804 0 11.7348 0 12L0 15C0 15.2652 0.105357 15.5196 0.292893 15.7071C0.48043 15.8946 0.734784 16 1 16H15C15.2652 16 15.5196 15.8946 15.7071 15.7071C15.8946 15.5196 16 15.2652 16 15V12C16 11.7348 15.8946 11.4804 15.7071 11.2929C15.5196 11.1054 15.2652 11 15 11H10V10H14.5C14.8978 10 15.2794 9.84196 15.5607 9.56066C15.842 9.27936 16 8.89782 16 8.5V1.5C16 1.10218 15.842 0.720644 15.5607 0.43934C15.2794 0.158035 14.8978 0 14.5 0L1.5 0ZM1.5 1H14.5C14.6326 1 14.7598 1.05268 14.8536 1.14645C14.9473 1.24021 15 1.36739 15 1.5V8.5C15 8.63261 14.9473 8.75979 14.8536 8.85355C14.7598 8.94732 14.6326 9 14.5 9H1.5C1.36739 9 1.24021 8.94732 1.14645 8.85355C1.05268 8.75979 1 8.63261 1 8.5V1.5C1 1.36739 1.05268 1.24021 1.14645 1.14645C1.24021 1.05268 1.36739 1 1.5 1V1ZM12 12.5C12 12.3674 12.0527 12.2402 12.1464 12.1464C12.2402 12.0527 12.3674 12 12.5 12C12.6326 12 12.7598 12.0527 12.8536 12.1464C12.9473 12.2402 13 12.3674 13 12.5C13 12.6326 12.9473 12.7598 12.8536 12.8536C12.7598 12.9473 12.6326 13 12.5 13C12.3674 13 12.2402 12.9473 12.1464 12.8536C12.0527 12.7598 12 12.6326 12 12.5ZM14 12.5C14 12.3674 14.0527 12.2402 14.1464 12.1464C14.2402 12.0527 14.3674 12 14.5 12C14.6326 12 14.7598 12.0527 14.8536 12.1464C14.9473 12.2402 15 12.3674 15 12.5C15 12.6326 14.9473 12.7598 14.8536 12.8536C14.7598 12.9473 14.6326 13 14.5 13C14.3674 13 14.2402 12.9473 14.1464 12.8536C14.0527 12.7598 14 12.6326 14 12.5ZM1.5 12H6.5C6.63261 12 6.75979 12.0527 6.85355 12.1464C6.94732 12.2402 7 12.3674 7 12.5C7 12.6326 6.94732 12.7598 6.85355 12.8536C6.75979 12.9473 6.63261 13 6.5 13H1.5C1.36739 13 1.24021 12.9473 1.14645 12.8536C1.05268 12.7598 1 12.6326 1 12.5C1 12.3674 1.05268 12.2402 1.14645 12.1464C1.24021 12.0527 1.36739 12 1.5 12V12ZM1 14.25C1 14.1837 1.02634 14.1201 1.07322 14.0732C1.12011 14.0263 1.1837 14 1.25 14H6.75C6.8163 14 6.87989 14.0263 6.92678 14.0732C6.97366 14.1201 7 14.1837 7 14.25C7 14.3163 6.97366 14.3799 6.92678 14.4268C6.87989 14.4737 6.8163 14.5 6.75 14.5H1.25C1.1837 14.5 1.12011 14.4737 1.07322 14.4268C1.02634 14.3799 1 14.3163 1 14.25Z"></path>
                        <path class="fill-secondary" d="M13 12.5C13 12.7761 12.7761 13 12.5 13C12.2239 13 12 12.7761 12 12.5C12 12.2239 12.2239 12 12.5 12C12.7761 12 13 12.2239 13 12.5Z"></path>
                        <path class="fill-secondary" d="M15 12.5C15 12.7761 14.7761 13 14.5 13C14.2239 13 14 12.7761 14 12.5C14 12.2239 14.2239 12 14.5 12C14.7761 12 15 12.2239 15 12.5Z"></path>
                        <path class="fill-secondary" d="M6 10H10V11H6V10Z"></path>
                    </svg>
                    <div class="flex-fill ms-4">
                        <h4 class="text-secondary fw-bold">Easy to Use</h4>
                        <p class="text-muted">Lorem ipsum dolor sit, amet consectetur adipisicing elit. Accusamus laudantium mollitia, laboriosam corporis eius provident dolor quo. Esse deserunt earum provident nostrum officia? Sint nulla ratione, amet rem fugit tempore.</p>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="d-flex align-items-start mb-3">
                    <svg xmlns="http://www.w3.org/2000/svg" width="170" fill="currentColor" viewBox="0 0 16 16">
                        <path fill-rule="evenodd" d="M8 3a5 5 0 1 0 4.546 2.914.5.5 0 0 1 .908-.417A6 6 0 1 1 8 2v1z"></path>
                        <path class="fill-secondary" d="M8 4.466V.534a.25.25 0 0 1 .41-.192l2.36 1.966c.12.1.12.284 0 .384L8.41 4.658A.25.25 0 0 1 8 4.466z"></path>
                    </svg>
                    <div class="flex-fill ms-4">
                        <h4 class="text-secondary fw-bold">Free Trials</h4>
                        <p class="text-muted">Lorem ipsum dolor sit, amet consectetur adipisicing elit. Accusamus laudantium mollitia, laboriosam corporis eius provident dolor quo. Esse deserunt earum provident nostrum officia? Sint nulla ratione, amet rem fugit tempore.</p>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="d-flex align-items-start mb-3">
                    <svg xmlns="http://www.w3.org/2000/svg" width="170" fill="currentColor" viewBox="0 0 16 16">
                        <path d="M0 8C0 5.87827 0.842855 3.84344 2.34315 2.34315C3.84344 0.842855 5.87827 0 8 0C10.1217 0 12.1566 0.842855 13.6569 2.34315C15.1571 3.84344 16 5.87827 16 8C16 10.1217 15.1571 12.1566 13.6569 13.6569C12.1566 15.1571 10.1217 16 8 16C5.87827 16 3.84344 15.1571 2.34315 13.6569C0.842855 12.1566 0 10.1217 0 8ZM7.5 1.077C6.83 1.281 6.165 1.897 5.613 2.932C5.47 3.2 5.337 3.492 5.218 3.804C5.923 3.961 6.69 4.061 7.5 4.091V1.077ZM4.249 3.539C4.391 3.155 4.553 2.795 4.73 2.461C4.90291 2.13406 5.10259 1.82199 5.327 1.528C4.47567 1.8808 3.70225 2.398 3.051 3.05C3.413 3.234 3.814 3.398 4.249 3.539ZM3.509 7.5C3.545 6.43 3.697 5.413 3.945 4.492C3.4037 4.31889 2.87976 4.09559 2.38 3.825C1.58354 4.89435 1.11082 6.16987 1.018 7.5H3.508H3.509ZM5.218 12.196C5.338 12.508 5.47 12.8 5.613 13.068C6.165 14.103 6.831 14.718 7.5 14.923V11.91C6.69 11.94 5.923 12.039 5.218 12.196ZM5.328 14.472C5.10323 14.1781 4.90321 13.866 4.73 13.539C4.54582 13.1904 4.38513 12.83 4.249 12.46C3.83763 12.5922 3.4371 12.756 3.051 12.95C3.70225 13.602 4.47667 14.1192 5.328 14.472ZM3.945 11.508C3.68538 10.5252 3.53876 9.51603 3.508 8.5H1.018C1.11077 9.83014 1.5835 11.1057 2.38 12.175C2.85 11.917 3.375 11.693 3.945 11.508ZM10.673 14.472C11.5239 14.1194 12.297 13.6026 12.948 12.951C12.5622 12.7571 12.162 12.5932 11.751 12.461C11.6148 12.8306 11.4541 13.1908 11.27 13.539C11.0971 13.866 10.8975 14.178 10.673 14.472ZM8.5 11.909V14.923C9.17 14.719 9.835 14.103 10.387 13.068C10.53 12.8 10.663 12.508 10.782 12.196C10.0316 12.0315 9.26778 11.9347 8.5 11.909ZM12.055 11.508C12.625 11.693 13.15 11.917 13.62 12.175C14.4165 11.1057 14.8892 9.83014 14.982 8.5H12.492C12.4612 9.51603 12.3146 10.5252 12.055 11.508ZM14.982 7.5C14.8892 6.16986 14.4165 4.89433 13.62 3.825C13.15 4.083 12.625 4.307 12.055 4.492C12.303 5.412 12.455 6.43 12.492 7.5H14.982ZM11.27 2.461C11.447 2.795 11.609 3.155 11.752 3.539C12.1627 3.40675 12.5626 3.24292 12.948 3.049C12.2969 2.39782 11.5238 1.88132 10.673 1.529C10.891 1.812 11.091 2.126 11.27 2.461ZM10.782 3.804C10.6684 3.50549 10.5365 3.21427 10.387 2.932C9.835 1.897 9.17 1.282 8.5 1.077V4.09C9.31 4.06 10.077 3.961 10.782 3.804Z" fill="black"></path>
                        <path class="fill-secondary" d="M4.50903 7.50003C4.5391 6.57425 4.67328 5.6548 4.90903 4.75903C5.71703 4.94603 6.59003 5.06103 7.50003 5.09103V7.50003H4.50903Z" fill="black"></path>
                        <path class="fill-secondary" d="M8.50003 7.50003V5.09003C9.41003 5.05903 10.283 4.94603 11.091 4.75903C11.3265 5.65483 11.4603 6.57429 11.49 7.50003H8.50003Z" fill="black"></path>
                        <path class="fill-secondary" d="M4.90903 11.241C4.68603 10.414 4.54503 9.48703 4.51003 8.50003H7.50003V10.91C6.62775 10.9371 5.76009 11.0479 4.90903 11.241Z" fill="black"></path>
                        <path class="fill-secondary" d="M8.50003 10.909V8.50003H11.491C11.455 9.48703 11.314 10.414 11.091 11.241C10.283 11.054 9.41003 10.939 8.50003 10.909Z" fill="black"></path>
                    </svg>
                    <div class="flex-fill ms-4">
                        <h4 class="text-secondary fw-bold">Web Based</h4>
                        <p class="text-muted">Lorem ipsum dolor sit, amet consectetur adipisicing elit. Accusamus laudantium mollitia, laboriosam corporis eius provident dolor quo. Esse deserunt earum provident nostrum officia? Sint nulla ratione, amet rem fugit tempore.</p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="section">
    <div class="container">
        <div class="row g-5 justify-content-center">
            <div class="col-md-12">
                <h3 class="mb-0 color-900"></h3>
                <p class="lead text-muted">It is a long established fact that a reader will be of a page when established fact looking at its layout.</p>
            </div>
        </div>
    </div>
</div>

<div class="section footer">
    <div class="container">
        <div class="row g-3 border-top pt-3">
            <div class="col-lg-6 col-md-12 text-center text-lg-start">
                {!! settings()->get('app_copyright') !!}
            </div>
            <div class="col-lg-6 col-md-12 text-center text-lg-end">
                <ul class="list-unstyled d-flex justify-content-center justify-content-lg-end mb-0">
                    <li><a class="p-2 ms-2" href="#">Facebook</a></li>
                    <li><a class="p-2 ms-2" href="#">Dribbble</a></li>
                    <li><a class="p-2 ms-2" href="#">Twitter</a></li>
                </ul>
            </div>
        </div>
    </div>
</div>

<!-- Jquery Core Js -->
<script src="{{ asset('assets/js/plugins.js') }}"></script>
<!-- Prism js file please do not add in your project -->
<script src="{{ asset('assets/vendor/prismjs/prism.js') }}"></script>
<script src="{{asset('assets/js/theme.js')}}"></script>

<script src="{{asset('assets/js/bundle/swiper.bundle.js')}}"></script>
</body>
</html>
