<form action="{{route('household.update')}}" method="POST">
    @csrf
    <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title">Edit Household</h5>
            <button type="button" class="btn btn-link" class="close" data-bs-dismiss="modal" aria-label="Close">
                <i aria-hidden="true" class="bi-x"></i>
            </button>
        </div>
        <div class="modal-body" id="info">

            @if (!is_null($household))
                <div class="row">
                    <input type="hidden" name="reference_id" value="{{$household->reference_id}}">
                    <div class="col-md-12 mb-3">
                        <div class="form-floating">
                            <select name="type" id="type" required class="form-control">
                                <option value="">-- Choose Type --</option>
                                @foreach(getHouseholdTypes() as $key=>$name)
                                    <option value="{{$key}}" {{ ($household->type == $key)?'selected':'' }}>{{ $name }}</option>
                                @endforeach
                            </select>
                            <label for="type">Type</label>
                        </div>
                        @if ($errors->has('type'))
                            <p class="text-right">
                                <span class="text-warning form-text">{{ $errors->first('type') }}</span>
                            </p>
                        @endif
                    </div>
                    <div class="col-md-12 mb-3">
                        <div class="form-floating">
                            <select name="area" required id="area" class="form-control">
                                <option value="">-- Choose Area --</option>
                                @foreach(getHouseholdAreas() as $key=>$name)
                                    <option value="{{$key}}" {{ ($household->area == $key)?'selected':'' }}>{{ $name }}</option>
                                @endforeach
                            </select>
                            <label for="area">Area</label>
                        </div>
                        @if ($errors->has('area'))
                            <p class="text-right">
                                <span class="text-warning form-text">{{ $errors->first('area') }}</span>
                            </p>
                        @endif
                    </div>
                    <div class="col-md-12 mb-3">
                        <div class="form-floating">
                            <select name="tenure" required id="tenure" class="form-control">
                                <option value="">-- Choose Tenure --</option>
                                @foreach(getHouseholdTenures() as $key=>$name)
                                    <option value="{{$key}}" {{ ($household->tenure == $key)?'selected':'' }}>{{ $name }}</option>
                                @endforeach
                            </select>
                            <label for="tenure">Tenure</label>
                        </div>
                        @if ($errors->has('tenure'))
                            <p class="text-right">
                                <span class="text-warning form-text">{{ $errors->first('tenure') }}</span>
                            </p>
                        @endif
                    </div>
                    <div class="col-md-12 mb-3">
                        <div class="form-floating">
                            <select name="location" required id="location" class="form-control">
                                <option value="">-- Choose Location --</option>
                                @foreach(getLocations() as $key=>$name)
                                    <option value="{{$key}}" {{ ($household->location == $key)?'selected':'' }}>{{ $name }}</option>
                                @endforeach
                            </select>
                            <label for="location">Location</label>
                        </div>
                        @if ($errors->has('location'))
                            <p class="text-right">
                                <span class="text-warning form-text">{{ $errors->first('location') }}</span>
                            </p>
                        @endif
                    </div>
                    <div class="col-md-12 mb-3">
                        <div class="form-floating">
                            <input type="number" name="household_count" required min="1"
                                   class="form-control" id="household_count" value="{{$household->household_count}}" placeholder="Household Count *">
                            <label for="household_count">Household Count*</label>
                        </div>
                        @if ($errors->has('household_count'))
                            <p class="text-right">
                                <span class="text-warning form-text">{{ $errors->first('household_count') }}</span>
                            </p>
                        @endif
                    </div>
                    <div class="col-md-12 mb-3">
                        <div class="form-floating">
                            <select name="status" required id="status" class="form-control">
                                <option>-- Choose Status --</option>
                                <option value="1" {{ ($household->status == 1)?'selected':'' }}>Active</option>
                                <option value="0" {{ ($household->status == 0)?'selected':'' }}>Inactive</option>
                            </select>
                            <label for="status">Status</label>
                        </div>
                        @if ($errors->has('status'))
                            <p class="text-right">
                                <span class="text-warning form-text">{{ $errors->first('status') }}</span>
                            </p>
                        @endif
                    </div>
                    <div class="col-md-12 mb-3">
                        <div class="form-floating">
                            <input type="text" name="head" value="{{$household->head}}"
                                   class="form-control" id="head" placeholder="Head Applicant Number">
                            <label for="head">Head Applicant Number</label>
                        </div>
                        @if ($errors->has('head'))
                            <p class="text-right">
                                <span class="text-warning form-text">{{ $errors->first('head') }}</span>
                            </p>
                        @endif
                    </div>
                </div>
            @else
                <div class="row">
                    <div class="col-12">
                        <div class="pt-4 pb-4">
                            <x-no-data></x-no-data>
                        </div>
                    </div>
                </div>
            @endif


        </div>
        <div class="modal-footer">
            <button type="submit" class="btn btn-light-primary font-weight-bold"><i class="fa fa-paper-plane mx-1"></i> Save</button>
            <button type="button" class="btn btn-light-danger font-weight-bold" data-bs-dismiss="modal">Close
            </button>
        </div>
    </div>
</form>
