<x-app-layout>
    @push('vendor-css')
        <link rel="stylesheet" href="{{ asset('assets/plugins/custom/datatables/datatables.bundle.css') }}">
    @endpush
    <x-slot name="page_title">
        {{ __('Benefit Processing') }}
    </x-slot>
        <x-slot name="breadcrumb">
            <ol class="breadcrumb bg-transparent mb-0">
                <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
                <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('settings.index') }}">Settings</a></li>
                <li class="breadcrumb-item active" aria-current="page">{{ __('Inventory') }}</li>
            </ol>
        </x-slot>
        <!-- start: page toolbar -->
        <x-slot name="page_heading">
            <div class="row align-items-center">
                <div class="col-auto page-header-title">
                    <h1 class="color-900 mt-1 mb-0">{{ __('Inventory') }}</h1>
                    <small class="text-muted">
                        {{__('This module facilitates the addition and management of inventory items, ensuring efficient tracking and organization of supplies. It allows users to input new items, categorize them, making it easier to allocate resources effectively. ')}}
                    </small>
                </div>
                <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                    <div class="p-2 me-md-3 text-center">
                        <div>
                            
{{--                            @if($new > 0 && $applications > 0)--}}
{{--                                <small class="text-secondary"><i class="fa fa-angle-up"></i>--}}
{{--                                    {{round($new*100/$applications)}}%</small>--}}
{{--                            @endif--}}
                        </div>

                    </div>
                    <div class="p-2 me-md-3 text-center text-success">
                        <div>
                            
{{--                            @if($new > 0 && $applications > 0)--}}
{{--                                <small class="text-secondary"><i class="fa fa-angle-up"></i>--}}
{{--                                    {{round($approved*100/$applications)}}%</small>--}}
{{--                            @endif--}}
                        </div>

                    </div>
                </div>
            </div> <!-- .row end -->
        </x-slot>
        <div class="page-body px-xl-4 px-sm-2 px-0 py-lg- py- mt-0 mt-lg-">
            <div class="container-fluid">
                <div class="mb-2" id="syncMessage"></div>
                @if(session()->has('message'))
                    <div class="mb-5">
                        @if(session()->get('status') == 'success')
                            <div role="alert" class="alert alert-success">{{ session()->get('message') }}</div>
                        @else
                            <div role="alert" class="alert alert-danger">{{ session()->get('message') }}</div>
                        @endif
                    </div>
                @endif
                @if(session()->has('success'))
                    <div class="mb-5">
                    <div role="alert" class="alert alert-success">{{ session()->get('success') }}</div>
                    </div>
                @endif

{{--                //Filters--}}
                <div class="row g-3">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body">
                                <form method="GET" action="">
                                    @csrf

                                    <div class="input-group">
                                        <input type="text" name="item_name" id="item_name" class="form-control" placeholder="Search by Item Name"
                                        value="{{ request()->get('item_name') }}">

                                        
                                        <button class="btn btn-secondary" type="submit"><i class="bi-search"></i></button>
                                        <a href="{{ route('inventory.index') }}" class="btn btn-light-primary" data-bs-toggle="tooltip" title="Reset"><i class="bi-arrow-repeat"></i></a>

                                        
                                        <button class="btn btn-primary " data-bs-toggle="modal" data-bs-target="#modal-01" type="button" style="border-radius: 0 4px 4px 0;"
                                                id="" data-bs-toggle="dropdown" aria-expanded="false">
                                                <i class="fa fa-plus me-2"></i>
                                            {{__('New')}}
                                        </button>
                                        
                                        <!--<div class="dropdown">
                                            <button class="btn btn-primary dropdown-toggle" type="button" style="border-radius: 0 4px 4px 0;"
                                                    id="dropdownMenuButton" data-bs-toggle="dropdown" aria-expanded="false">
                                                {{__('New')}}
                                            </button>
                                            <ul class="dropdown-menu border-0 shadow p-1">
                                                @forelse($benefits as $key=>$benefit)
                                                <li><a class="dropdown-item py-2 rounded" href="{{route('benefit_registration.create',[cryptThis($key)])}}">{{$benefit}}</a></li>
                                                @empty
                                                    <li>{{__('No Benefits available')}}</li>
                                                @endforelse
                                            </ul>
                                        </div>-->
                                        
                                    </div>
                                </form>

                            </div>
                        </div>
                    </div>

                    <div class="col-12">
                        <div class="table-responsive">
                            <!--begin: Datatable-->
                            <table id="myDataTable_no_filter" class="table table-sm myDataTable align-middle table-bordered mb-0 custom-table">
                                <thead>
                                <tr>
                                    <th style="width: 30px;">{{ __('#') }}</th>
                                    <th style="">{{ __('Item') }}</th>
                                    <th style="">{{ __('Deployment') }}</th>
                                    <th >{{ __('Action') }}</th>
                                </tr>
                                </thead>
                                <tbody>
                                    @if ($inventory_items->count() > 0)
                                        
                                    
                                    @php
                                        $num = 1
                                    @endphp
                                    @foreach ($inventory_items as $data)

                                    <tr>
                                        <td style="width: 30px;">{{ $num }}</td>
                                        <td style="">
                                            {{  $data->item }} <br> <small>{{$data->deployment->currency_code}} {{ $data->monetary_value }} , Quantity : {{ $data->quantity }}</small>
                                        </td>
                                        
                                        <td style="">
                                            {{ $data->deployment->name}} <br> <small>{{ $data->deployment->email}}</small>
                                        </td>
                                        
                                        <td>
                                        <a href="#" onclick="edit_inventory({{ $data->id }}) " href="javascript:;" title="{{__('Edit Inventory Item')}}">
                                            <i class="fa fa-edit"></i>
                                        </a>
                                        </td>
                                    </tr>

                                    @php
                                        $num++
                                    @endphp
                                    @endforeach

                                    @endif
                                    
                                </tbody>
                            </table>
                            <!--end: Datatable-->
                        </div>
                    </div>
                    @if ($inventory_items->count() < 1)

                    <div class="col-12">
                        <div class="card p-0">
                            <div class="card-body p-3">
                                <p class="mb-0 text-center">0 Inventory Items</p>
                            </div>
                        </div>
                    </div>
                        
                    @endif
                    
                </div> <!-- .row end -->

            </div>
        </div>
        @if(canDo('administrator','view-application-comment|add-application-comment'))
            <!-- Commenting Modal -->
            <div class="modal fade" id="commentBox" tabindex="-1">
                <div class="modal-dialog modal-lg">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="viewHeader">Comments</h5>
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                        </div>
                        <div class="modal-body">
                            <div id="comment-content"></div>
                        </div>
                    </div>
                </div>
            </div>
        @endif

        
        <!-- Payment Modal -->
        <div class="modal fade" id="modal-01" tabindex="-1">
            <div class="modal-dialog ">
                <div class="modal-content px-3">
                    <div class="modal-header" style="">
                        <div class="">
                            <h5 class="modal-title" id="viewHeader">Add New Inventory Item</h5>
                            <small class="mb-0"> Please fill in the details below to add a new item to the inventory.</small>
                        </div>
                        <div class="px-2"></div>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body" style="">
                        <!--<div id="payment-content"></div>-->
                        <form action="{{ route('inventory.create-item') }}" method="post" id="benefit-payment-form">
                            @csrf

                            <div class="form-floating mb-3">
                                <select name="deployment" id="deployment_name" class="form-control">
                                    <option value=""></option>
                                   @foreach ($deployments as $data)
                                   <option value="{{$data->id}}" {{auth()->user()->deployments()->first()->id == $data->id ? 'selected': '';}}>{{$data->name}}</option> 
                                   @endforeach
                                    
                                </select>
                                <label for="">Deployment Name</label>
                            </div>
                            @error('deployment')
                                <p class="mb-1">{{ $message }}</p>
                            @enderror

                            <!--<div class="form-floating mb-3">
                                <select name="program" id="" class="form-control">
                                    <option value=""></option>
                                   @foreach ($programs as $data)
                                   <option value="{{$data->id}}" >{{$data->titles}}</option> 
                                   @endforeach
                                    
                                </select>
                                <label for="">Related Program</label>
                            </div>-->
                            
                            

                            <div class="form-floating mb-3">
                                <input type="text" name="item" class="form-control">
                                <label for="">Item Name</label>
                            </div>
                            @error('item')
                                <p class="mb-1">{{ $message }}</p>
                            @enderror

                            <div class="form-floating mb-3">
                                <select name="category" id="category" class="form-control">
                                    <option value=""></option>
                                    @forelse(getSupportMode() as $key => $mode)
                                        <option value="{{$mode->id}}">
                                            {{$mode->fullName}}</option>
                                    @empty

                                    @endforelse
                                    
                                </select>
                                <label for="">Category</label>
                            </div>
                            <!--<div class="form-floating mb-3">
                                <input type="text" name="" id="" value="In-Kind Assistance"  readonly class="form-control">
                                <label for="">Category</label>
                            </div>-->
                            @error('category')
                                <p class="mb-1">{{ $message }}</p>
                            @enderror

                            <div class="form-floating mb-3">
                                <input type="text" name="cost" id="cost-field" class="form-control">
                                <label for="">Cost</label>
                            </div>
                            @error('item')
                                <p class="mb-1">{{ $message }}</p>
                            @enderror

                            <div class="form-floating mb-3">
                                <input type="number" name="quantity" id="quantity-field" class="form-control">
                                <label for="">Quantity</label>
                            </div>
                            @error('quantity')
                                <p class="mb-1">{{ $message }}</p>
                            @enderror

                            <div class="form-floating mb-3">
                                <input type="number" name="budget" id="budget-field" class="form-control">
                                <label for="">Value</label>
                            </div>

                            

                        </form>
                        
                    </div>
                    <div class="modal-footer" style="">
                        <button type="button" class="btn btn-primary me-2"  onclick="document.getElementById('benefit-payment-form').submit();">Save</button>
                        <button type="button" class="btn btn-danger" data-bs-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>


        <div class="modal fade" id="edit-inventory-modal" tabindex="-1">
            <div class="modal-dialog ">
                <div class="modal-content px-3">
                    <div class="modal-header" style="">
                        <div class="">
                            <h5 class="modal-title" id="viewHeader">Update Inventory Item</h5>
                            <small class="mb-0">Alter the values below to edit the details of the item.</small>
                        </div>
                        <div class="px-2"></div>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body" style="">
                        <!--<div id="payment-content"></div>-->
                        <form action="" method="post" id="edit-inventory-form">
                            @csrf

                            <div class="form-floating mb-3">
                                <select name="deployment" id="edit_deployment_name" class="form-control">
                                    <option value=""></option>
                                   @foreach ($deployments as $data)
                                   <option value="{{$data->id}}" {{auth()->user()->deployments()->first()->id == $data->id ? 'selected': '';}}>{{$data->name}}</option> 
                                   @endforeach
                                    
                                </select>
                                <label for="">Deployment Name</label>
                            </div>
                            @error('deployment')
                                <p class="mb-1">{{ $message }}</p>
                            @enderror

                            <!--<div class="form-floating mb-3">
                                <select name="program" id="" class="form-control">
                                    <option value=""></option>
                                   @foreach ($programs as $data)
                                   <option value="{{$data->id}}" >{{$data->titles}}</option> 
                                   @endforeach
                                    
                                </select>
                                <label for="">Related Program</label>
                            </div>-->
                            
                            

                            <div class="form-floating mb-3">
                                <input type="text" name="item" id="edit_item" class="form-control">
                                <label for="">Item Name</label>
                            </div>
                            @error('item')
                                <p class="mb-1">{{ $message }}</p>
                            @enderror

                            <div class="form-floating mb-3">
                                <select name="category" id="edit_category" class="form-control">
                                    <option value=""></option>
                                    @forelse(getSupportMode() as $key => $mode)
                                        <option value="{{$mode->id}}">
                                            {{$mode->fullName}}</option>
                                    @empty

                                    @endforelse
                                    
                                </select>
                                <label for="">Category</label>
                            </div>
                            <!--<div class="form-floating mb-3">
                                <input type="text" name="" id="" value="In-Kind Assistance"  readonly class="form-control">
                                <label for="">Category</label>
                            </div>-->
                            @error('category')
                                <p class="mb-1">{{ $message }}</p>
                            @enderror

                            <div class="form-floating mb-3">
                                <input type="text" name="cost" id="edit_cost" class="form-control">
                                <label for="">Cost</label>
                            </div>
                            @error('item')
                                <p class="mb-1">{{ $message }}</p>
                            @enderror

                            <div class="form-floating mb-3">
                                <input type="number" name="quantity" id="edit_quantity" class="form-control">
                                <label for="">Quantity</label>
                            </div>
                            @error('quantity')
                                <p class="mb-1">{{ $message }}</p>
                            @enderror

                            <div class="form-floating mb-3">
                                <input type="number" name="budget" id="edit_budget" class="form-control">
                                <label for="">Value</label>
                            </div>
                        </form>
                        
                    </div>
                    <div class="modal-footer" style="">
                        <button type="button" class="btn btn-primary me-2"  onclick="document.getElementById('edit-inventory-form').submit();">Save</button>
                        <button type="button" class="btn btn-danger" data-bs-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>


        @include('touring-pages.application')
    @push('scripts')
            <!--<script src="{{ asset('assets/js/bundle/dataTables.bundle.js') }}"></script>-->
            <script src="{{ asset('assets/js/bundle/bootstrapdatepicker.bundle.js') }}"></script>
            <script src="{{ asset('assets/js/bundle/daterangepicker.bundle.js') }}"></script>
            <script>
                $(document).ready(function(){
                    
                    $('#category').val(202);
                    $('#category').mousedown(function(e){
                        e.preventDefault();
                    })

                    $('#deployment_name').mousedown(function(e){
                        e.preventDefault();
                    })

                })
                $('.paymentbtn').click(function() {
                    var applicationId = $(this).data('application-id'); // Retrieve the data-application-id value
                    showpaymentmodal(applicationId); // Pass the applicationId to the function
                });
                $('#quantity-field').keyup(function(){
                    
                    $('#budget-field').val($(this).val() * $('#cost-field').val());
                })

                $('#cost-field').keyup(function(){
                    
                    $('#budget-field').val($(this).val() * $('#quantity-field').val());
                })
                function showpaymentmodal(application_id) {
                    $.get('/get-application/' + application_id, function(res) {
                        // Populate the beneficiary name field with the response data
                        $('#beneficiary_name').val(res.applicant);

                        // Get today's date in the format 'YYYY-MM-DD'
                        var today = new Date();
                        var day = String(today.getDate()).padStart(2, '0');
                        var month = String(today.getMonth() + 1).padStart(2, '0'); // January is 0
                        var year = today.getFullYear();
                        var formattedDate = year + '-' + month + '-' + day;

                        // Set today's date in the payment_date input and restrict future dates
                        $('#payment_date').val(formattedDate);
                        $('#payment_date').attr('max', formattedDate); // Prevent future dates

                    });

                    // Set the application_id input field with the current application ID
                    $('#application_id_input').val(application_id);

                    // Show the payment modal
                    $('#paymentBox').modal('show');
                }

                function showpaymentdetailmodal(application_id) {
                    console.log('triggered');
                    $.get('/get-benefit-payment-details/' + application_id, function(res) {
                        // Populate the beneficiary name field with the response data
                        $('#details-beneficiary_name').val(res.applicant);
                        $('#details-name').val(res.payment.name);
                        $('#details-payment_date').val(res.payment.payment_date);
                        $('#details-payment_type').val(res.payment_type);
                        $('#details-remarks').text(res.payment.remarks);
                        

                    });

                    // Set the application_id input field with the current application ID
                    $('#application_id_input').val(application_id);

                    // Show the payment modal
                    $('#paymentDetailBox').modal('show');
                }

            </script>
        @if (canTour('application'))
            <script>
                $(window).on('load', function() {
                    $('#take-a-tour').modal('show');
                });

                function skipTour(page) {
                        var path = "{{route('on_boarding.skipTour')}}";
                        $.ajax({
                            url: path,
                            type: 'GET',
                            data:{'page':page},
                            beforeSend: function () {
                            },
                            success: function (data) {
                                console.log('Skipped');
                            }
                        });
                    }
            </script>
        @endif
        <script>
            @if(isset($request))
                const APPLICATIONS_AJAX = "{{ route('benefit_registration.getApplicationsList',['status'=>request()->get('status'),'year'=>request()->get('year'),'applicant_name'=>request()->get('applicant_name'),'benefit_type'=>request()->get('benefit_type')]) }}";
            @else
                const APPLICATIONS_AJAX = "{{ route('benefit_registration.getApplicationsList') }}";
            @endif
            $('.datepicker').datepicker({});
            $(function() {
                $('input[name="date_range"]').daterangepicker(
                    // {
                    //     startDate: moment().subtract(30, 'day'),
                    //     endDate: moment()
                    // }
                );
            })

            $('select#filter').change(function () {
                var filter_value = $(this).val();

                if (filter_value === "app_period") {
                    $('.datepicker').prop('required','required');
                }
                else {
                    $('.datepicker').prop('required','');
                }
            })

            

            function showComment(id) {
                var path = "{{route('benefit_registration.openComments')}}";
                $.ajaxSetup(    {
                    headers: {
                        'X-CSRF-Token': $('meta[name=_token]').attr('content')
                    }
                });
                $.ajax({
                    url: path,
                    type: 'GET',
                    data: {id:id},
                    beforeSend: function(){
                        $('#comment-content').empty().html('<div class="p-4 text-center"><div class="spinner-border text-center" style="width: 3rem; height: 3rem;" role="status"><span class="visually-hidden">Loading...</span> </div></div>');
                    },
                    success: function(data){
                        $('#comment-content').empty().html(data.view);
                    },
                    complete:function(){
                    },
                    error: function (data) {
                        console.log(data)
                    }
                });
            }

            $('#edit_quantity').keyup(function(){
                
                $('#edit_budget').val($(this).val() * $('#edit_cost').val());
            })

            $('#edit_cost').keyup(function(){
                
                $('#edit_budget').val($(this).val() * $('#edit_quantity').val());
            })

            function  edit_inventory(id){
                $.get('/get_inventory_item/'+id , function(res){
                    $('#edit_item').val(res.item)
                    $('#edit_cost').val(res.monetary_value)
                    $('#edit_quantity').val(res.quantity)
                    $('#edit_budget').val(res.budget)

                })

                $('#edit_category').val(202);
                $('#edit_category').mousedown(function(e){
                    e.preventDefault();
                })

                $('#edit_deployment_name').mousedown(function(e){
                    e.preventDefault();
                })

                $('#edit-inventory-form').attr('action', '/settings/inventory/update/'+id);

                $('#edit-inventory-modal').modal('show')
            }
        </script>
        <script src="{{ asset('assets/js/customjs/custom-benefit-registration-datatable.js') }}"></script>

    @endpush
</x-app-layout>
