<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=Edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <link rel="icon" href="{{ asset(getProjectFavicon()) }}" type="image/x-icon">
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'Alleviate') }}</title>
    <!-- plugin css file  -->
    <!-- Application vendor css url -->

    <link rel="stylesheet" href="{{ asset('assets/cssbundle/summernote.min.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/cssbundle/dropify.min.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/cssbundle/select2.min.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/cssbundle/sweetalert2.min.css') }}">

    <!-- project css file  -->
    <link rel="stylesheet" href="{{ asset('css/app.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/css/luno-style.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/vendor/prismjs/prism.css') }}">
    @stack('last-css')
    <link rel="stylesheet" href="{{ asset('assets/cssbundle/fancybox.min.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/cssbundle/bootstrapdatepicker.min.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/cssbundle/daterangepicker.min.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/css/spis.css') }}">
    <style>
        body {
            font-family: 'Inter', sans-serif !important;
            font-weight: 300;
            font-size: 14px;
        }
    </style>
</head>

<body class="layout-1 gradient" data-luno="theme-blue">
    <!-- start: sidebar -->
    @include('layouts.sidebar')

    <!-- start: body area -->
    <div class="wrapper">

        <!-- start: page header -->
        @include('layouts.topbar')

        <!-- start: page toolbar -->
        @include('layouts.toolbar')

        <!-- start: page page body -->

        <!-- Page Content -->
        <main>
            {{ $slot }}
        </main>

        <!-- start: page page footer -->
        @include('layouts.page-footer')
    </div>

{{--    @include('components.modals')--}}

    @stack('vendor-scripts')
    @component('components.alert-notify')@endcomponent
    <!-- Jquery Core Js -->
    <script src="{{ asset('assets/js/plugins.js') }}"></script>
    <!-- Prism js file please do not add in your project -->
    <script src="{{ asset('assets/vendor/prismjs/prism.js') }}"></script>
    <!-- Jquery Page Js -->
{{--    <script src="{{ asset('js/app.js') }}"></script>--}}
    <script src="{{ asset('assets/js/theme.js') }}"></script>
    <!-- Plugin Js -->
    <script src="{{ asset('assets/js/bundle/select2.bundle.js') }}"></script>
    <script src="{{ asset('assets/js/bundle/sweetalert2.bundle.js') }}"></script>
    <script src="{{ asset('assets/js/bundle/bootstrapdatepicker.bundle.js') }}"></script>
    <script src="{{ asset('assets/js/bundle/daterangepicker.bundle.js') }}"></script>
    <script>

        $(function () {
            $('[data-toggle="popover"]').popover()
        });
        $('.datepicker').datepicker({});
        $('.daterangepicker').daterangepicker({
            // startDate: moment(), endDate: moment().add(2, 'day')
        });
        $('#dobs').datepicker({});
        $('.select2').select2({
            placeholder: 'Select',
            allowClear: true
        });
    </script>
    @stack('scripts')
    </body>
</html>
