<x-app-layout>
    @push('last-css')
        <link rel="stylesheet" href="{{ asset('assets/cssbundle/bootstrapdatepicker.min.css') }}">
        <link rel="stylesheet" href="{{ asset('assets/cssbundle/dropify.min.css') }}">
    @endpush
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto page-header-title">
                <h1 class="color-900 mt-1 mb-0">{{ __("Import Beneficiaries") }}</h1>
                <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
            </div>
        </div> <!-- .row end -->
    </x-slot>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg-2 py-1 mt-0 mt-lg-3">
        <div class="container-fluid">
            @if(session()->has('message'))
                <div class="mb-5">
                    @if(session()->get('status') == 'success')
                        <div role="alert" class="alert alert-success">{{ session()->get('message') }}</div>
                    @else
                        <div role="alert" class="alert alert-danger">{{ session()->get('message') }}</div>
                    @endif
                </div>
            @endif
            
            @if(session('success'))
                <div class="row">
                    <div class="col-12">
                        <div class="alert alert-success mb-1">
                            <span class="cstm-fs-14">{{  session('success') }}</span>
                        </div>

                    </div>
                </div>
            @endif
            @if(session('warning'))
                <div class="row">
                    <div class="col-12">
                        <div class="alert alert-success mb-1">
                            <span class="cstm-fs-14">{{  session('warning') }}</span>
                        </div>

                    </div>
                </div>
            @endif
            
            
            <form action="{{ route('mdata.import') }}" enctype="multipart/form-data" method="post">
                @csrf

                <div class="card">
                    <div class="card-body">
   
                        <div class="row">
                            
                            <div class="col-md-7">
                                <div class="card border-none border-0">
                                    <div class="card-body">
                                        <p>Upload the .csv or .xls file to update existing beneficiary records.</p>
                                        <input type="file" class="dropify" name="file">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-5">
                                <div class="card p-md-3 p-2">
                                    <h2 class="h5">Guidelines for Importing Beneficiary Data:</h2>
                                    <ul>
                                        <li class="pb-1">Click here to download the template spreadsheet. Complete it with the necessary data and upload it.</li>
                                        <li class="pb-1">Do not rearrange the columns in the template spreadsheet.</li>
                                        <li class="pb-1">Rows with data must not contain blank cells. If a field is unavailable, enter "NULL" instead. For example, if a student has no other_names, type "NULL" in that column</li>
                                        <li class="pb-1">Avoid leaving blank rows as spacers between entries. Ensure all rows contain relevant data.</li>
                                    </ul>
                                </div>

                            </div>
                            
                        </div>
                    </div>
                    <div class="card-footer text-end">
                        <button class="btn btn-l btn-light me-2" type="reset">Discard</button>
                        <button class="btn btn-l btn-primary" type="submit"><i class="fa fa-paper-plane mx-2"></i> Import</button>
                    </div>
                </div>
            </form>

            
        </div>
    </div>

    @push('scripts')
        <!-- Plugin Js -->
        <script src="{{ asset('assets/js/bundle/dropify.bundle.js') }}"></script>
        <script>
            $('.dropify').dropify();
        
        </script>
    @endpush
    
</x-app-layout>
