<x-app-layout>

    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('applicant.getApplicantInfo') }}">Memberships</a>
            </li>
            <li class="breadcrumb-item active" aria-current="page">Records</li>
        </ol>
    </x-slot>
    <!-- start: page toolbar -->
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto page-header-title">
                <h1 class="color-900 mt-1 mb-0">Records</h1>
                <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
            </div>
        </div> <!-- .row end -->
    </x-slot>
    <!-- start: page body -->
    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg- py- mt-0 mt-lg-">
        <div class="container-fluid">
            @component('components.announcement')@endcomponent

            <div class="row g-3 mb-5">
                <div class="col-md-3 col-sm-6">
                    <div class="card p-3">
                        <div class="text-muted text-uppercase"><i class="fa fa-circle me-2 text-danger"></i>New Ticket
                        </div>
                        <div class="mt-1">
                            <span class="fw-bold h4 mb-0">{{$new_records}}</span>
                            <span class="ms-1">{{($total_records == 0)?0:round(($new_records*100)/$total_records)}}%</span>
                        </div>
                    </div>
                </div>
                <div class="col-md-3 col-sm-6">
                    <div class="card p-3">
                        <div class="text-muted text-uppercase"><i class="fa fa-circle me-2 text-info"></i>In Progress
                        </div>
                        <div class="mt-1">
                            <span class="fw-bold h4 mb-0">{{$in_progress_records}}</span>
                            <span class="ms-1">{{($total_records == 0)?0:round(($in_progress_records*100)/$total_records)}}% </span>
                        </div>
                    </div>
                </div>
                <div class="col-md-3 col-sm-6">
                    <div class="card p-3">
                        <div class="text-muted text-uppercase"><i class="fa fa-circle me-2 text-warning"></i>On Hold
                        </div>
                        <div class="mt-1">
                            <span class="fw-bold h4 mb-0">{{$on_hold_records}}</span>
                            <span class="ms-1">{{($total_records == 0)?0:round(($on_hold_records*100)/$total_records)}}% </span>
                        </div>
                    </div>
                </div>
                <div class="col-md-3 col-sm-6">
                    <div class="card p-3">
                        <div class="text-muted text-uppercase"><i class="fa fa-circle me-2 text-success"></i>Verified
                        </div>
                        <div class="mt-1">
                            <span class="fw-bold h4 mb-0">{{$verified_records}}</span>
                            <span class="ms-1">{{($total_records == 0)?0:round(($verified_records*100)/$total_records)}}% </span>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-12 mb-4">
                <div class="card">
                    <div class="card-body">
                        <form method="GET" action="#">
                            @csrf
                            @php
                                $options = config('settings.application_filter_options')
                            @endphp
                            <div class="input-group">
                                <input type="text" name="refId" id="refId" class="form-control"
                                       placeholder="Membership ID"
                                       value="{{request()->get('refId')}}">
                                <select name="status" id="status" class="form-select">
                                    <option value="">-- Select Status--</option>
                                    @foreach(config('settings.member_record_status') as $key=>$status)
                                        <option value="{{$status}}"
                                                {{ (request()->get('status') == $status)?'selected':'' }}>{{$status}}</option>
                                    @endforeach
                                </select>
                                <select name="event" id="event" class="form-select">
                                    <option value="">-- Select Event--</option>
                                    @foreach(config('settings.member_record_events') as $key=>$status)
                                        <option value="{{$status}}"
                                                {{ (request()->get('status') == $status)?'selected':'' }}>{{$status}}</option>
                                    @endforeach
                                </select>
                                <select name="month" id="month" class="form-select">
                                    <option value="">-- Select Month--</option>
                                    @foreach(config('settings.months_value') as $key=>$status)
                                        <option value="{{$key}}"
                                                {{ (request()->get('month') == $key)?'selected':'' }}>{{$status}}</option>
                                    @endforeach
                                </select>
                                {{--                                <input type='text' autocomplete="off" class="form-control" name="date_range" placeholder="Request Period"--}}
                                {{--                                value="{{request()->get('date_range')}}"/>--}}
                                <button class="btn btn-primary" type="submit"><i class="bi-search"></i></button>
                                <a href="{{route('memberRecords.list')}}" class="btn btn-light-secondary"><i
                                            class="fa fa-refresh"></i></a>
                            </div>
                        </form>

                    </div>
                </div>
            </div>
            <div class="row g-2">
                <div class="col-12">
                    <h6 class="mb-0 mt-3">Showing {{$records->count()}} Tickets</h6>
                    <span class="text-muted small">Based your preferences</span>
                </div>
                <div class="col-12">
                    <div class="table-responsive">
                        <table class="table align-middle table-bordered mb-0 custom-table-2" id="member-records">
                            <thead>
                            <tr>
                                <th>Last Update</th>
                                <th>Membership ID</th>
                                <th>Event</th>
                                <th>Title</th>
                                <th class="w100">Status</th>
                                <th>Request By</th>
                                <th>Action</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($records as $record)
                                {{-- @continue($record->status == "Verified") --}}
                                <tr>
                                    <td>{{date('d M Y', strtotime($record->updated_at))}}<br><small
                                                class="text-muted">{{date('h:i A', strtotime($record->updated_at))}}</small>
                                    </td>
                                    <td><span data-bs-toggle="tooltip" data-bs-placement="top"
                                              title="{{$record->applicant?->full_name}}">{{$record->applicant_number}}</span>
                                    </td>
                                    <td>{{$record->event}}</td>
                                    <td>{{Str::headline(Str::singular($record->field))}}</td>
                                    <td>
                                        @if($record->status == "Verified")
                                            <span class="badge bg-success">Verified</span>
                                        @elseif($record->status == "Declined")
                                            <span class="badge bg-danger">Declined</span>
                                        @elseif($record->status == "In Progress")
                                            <span class="badge bg-info">In Progress</span>
                                        @elseif($record->status == "On Hold")
                                            <span class="badge bg-secondary">On Hold</span>
                                        @else
                                            <span class="badge bg-primary">New</span>
                                        @endif
                                    </td>
                                    <td>{{$record->requester->full_name}}<br><small
                                                class="text-muted">{{$record->created_at->diffForHumans()}}</small></td>
                                    <td>
                                        @if(canDo('administrator','process-member-record'))
                                            <button type="button" class="btn btn-link btn-sm text-muted"
                                                    data-bs-toggle="modal"
                                                    data-bs-target="#view-record" data-bs-placement="top" title="View"
                                                    onclick="getRecord({{$record->id}},'{{$record->applicant_number}}')">
                                                <i class="fa fa-bars"></i>
                                            </button>
                                        @endif
                                        @if(canDo('administrator','view-member-info'))
                                            <a target="_blank"
                                               href="{{route('applicant.viewApplicantInfo',['app_id'=>cryptThis($record->applicant?->id)])}}"
                                               class="btn btn-link btn-sm text-primary" data-bs-toggle="tooltip"
                                               data-bs-placement="top"
                                               title="Applicant Profile"><i class="fa fa-user"></i>
                                            </a>
                                        @endif
                                        @if(canDo('administrator','view-member-record-comment|add-member-record-comment'))
                                            <button type="button" class="btn btn-link btn-sm text-muted"
                                                    data-bs-toggle="modal" onclick="showComment({{$record->id}})"
                                                    data-bs-placement="top" data-bs-target="#commentBox"
                                                    title="comments"><i class="fa fa-comments"></i>
                                            </button>
                                        @endif
                                    </td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </div>
                    {{ $records->links() }}
                </div>
            </div> <!-- Row end  -->
        </div>
    </div>
    <!-- start: page footer -->
    @if(canDo('administrator','process-member-record'))
        <!-- Modal -->
        <div class="modal fade" id="view-record" tabindex="-1">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="viewHeader">View Record Change</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        <div id="content"></div>
                    </div>
                </div>
            </div>
        </div>
    @endif

    @if(canDo('administrator','view-member-record-comment|add-member-record-comment'))
        <!-- Commenting Modal -->
        <div class="modal fade" id="commentBox" tabindex="-1">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="viewHeader">Comments</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        <div id="comment-content"></div>
                    </div>
                </div>
            </div>
        </div>
    @endif
    @push('modals')
    @endpush
    @push('scripts')
        <script src="{{ asset('assets/js/bundle/dataTables.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/bundle/daterangepicker.bundle.js') }}"></script>
        <script>
            $(function () {
                $('input[name="date_range"]').daterangepicker({
                    startDate: moment().subtract(30, 'day'),
                    endDate: moment()
                });
            })

            $('#member-records').addClass('nowrap').dataTable({
                responsive: false,
                searching: false,
                paging: false,
                ordering: false,
                info: false,
            });

            function getRecord(id, applicant_number) {
                var path = "{{route('memberRecords.record')}}";
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-Token': $('meta[name=_token]').attr('content')
                    }
                });
                $.ajax({
                    url: path,
                    type: 'GET',
                    data: {id: id, applicant_number: applicant_number},
                    beforeSend: function () {
                        console.log(id);
                        $('#content').empty();
                        $('#content').html('<div class="spinner-border" style="width: 3rem; height: 3rem;" role="status"><span class="visually-hidden">Loading...</span> </div>');
                    },
                    success: function (data) {
                        $('#content').empty();
                        $('#content').html(data.view);
                        console.log(applicant_number);
                    },
                    complete: function () {

                    },
                    error: function (data) {
                        // console.log(data)
                    }
                });
            }

            function showComment(id) {
                var path = "{{route('memberRecords.openComments')}}";
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-Token': $('meta[name=_token]').attr('content')
                    }
                });
                $.ajax({
                    url: path,
                    type: 'GET',
                    data: {id: id},
                    beforeSend: function () {
                        $('#comment-content').empty().html('<div class="p-4 text-center"><div class="spinner-border text-center" style="width: 3rem; height: 3rem;" role="status"><span class="visually-hidden">Loading...</span> </div></div>');
                    },
                    success: function (data) {
                        $('#comment-content').empty().html(data.view);
                    },
                    complete: function () {
                    },
                    error: function (data) {
                        console.log(data)
                    }
                });
            }
        </script>
    @endpush
</x-app-layout>
