@if($record)
    <table class="table card-table mb-0">
        <tr>
            <td class="fw-bolder" style="width:150px"><strong>Affected Data</strong></td>
            <td>{{Str::headline(Str::singular($record->field))}}</td>
        </tr>
        <tr>
            <td class="fw-bolder"><strong>Old Record</strong></td>
            <td>
                @if(in_array($record->field,['upload_passport_pic','avatar']))
                    @if(!is_null($record->old_values))
                        <img src="{{asset($record->old_values)}}" style="max-height: 200px"
                             alt="{{Str::headline(Str::singular($record->field))}}">
                    @endif

                @else
                    {{$record->old_values}}
                @endif

            </td>
        </tr>
        <tr>
            <td class="fw-bolder"><strong>New Record</strong></td>
            <td>
                @if(in_array($record->field,['upload_passport_pic','avatar']))
                    @if(!is_null($record->new_values))
                        <img src="{{asset($record->new_values)}}"  style="max-height: 200px"
                             alt="{{Str::headline(Str::singular($record->field))}}">
                    @endif

                @else
                    {{$record->new_values}}
                @endif
            </td>
        </tr>
        <tr>
            <td class="fw-bolder"><strong>Reason(s)</strong></td>
            <td>{{$record->reason}}</td>
        </tr>
        <tr>
            <td class="fw-bolder"><strong>Evidence(s)</strong></td>
            <td>
                @if(!is_null($record->evidences))
                @foreach($record->evidences as $key=>$value)
                        <a href="{{route('download-file',['file_path'=>$value])}}" target="_blank" class="btn btn-sm btn-light-secondary me-2">
                            <i class="fa fa-download me-1 m-2"></i> Download Evidence {{$key+1}}</a>
                @endforeach
                @else
                <em class="text-muted">No evidence added</em>
                @endif
            </td>
        </tr>
    </table>
    <div class="divider mt-4 py-2 border-top text-uppercase text-muted"></div>
    <h6 class="mt-3 text-muted">Record Verification</h6>
    @include('member-records.form')
@else
    <h5 class="text-center text-muted mt-4">No record found</h5>
@endif
