<form action="{{route('banks.branch.create')}}" method="post">
    @csrf
    <div id="action-form">
        <div class="row">

            <div class="col-md-12 mb-3">
                <div class="form-floating">
                    <select name="bank" id="bank" required class="form-select">
                        <option value="">-- Click To Select --</option>
                        @foreach($banks as $bank)
                            <option value="{{$bank->id}}" @if(old('bank') == $bank->id) selected @endif>
                                {{ $bank->name }}
                            </option>
                        @endforeach
                    </select>
                    <label for="bank">{{__('Merchant')}} *</label>
                </div>
                @if ($errors->has('bank'))
                    <p class="text-right">
                        <span class="text-warning form-text">{{ $errors->first('bank') }}</span>
                    </p>
                @endif
            </div>
            <div class="col-md-8 mb-3">
                <div class="form-floating">
                    <input type="text" required min="2" name="name" class="form-control"
                           value="{{old('name')}}" id="name" placeholder="Type Name">
                    <label for="name">Name *</label>
                </div>
                @if ($errors->has('name'))
                    <p class="text-right">
                        <span class="text-warning form-text">{{ $errors->first('name') }}</span>
                    </p>
                @endif
            </div>

            <div class="col-md-4 mb-3">
                <div class="form-floating">
                    <input type="text" name="routing_number" value="{{old('routing_number')}}"
                           class="form-control text-uppercase" id="routing_number" placeholder="Routing No.">
                    <label for="contact">Routing Number</label>
                </div>
                @if ($errors->has('routing_number'))
                    <p class="text-right">
                        <span class="text-warning form-text">{{ $errors->first('routing_number') }}</span>
                    </p>
                @endif
            </div>

            <div class="col-md-4 mb-3">
                <div class="form-floating">
                    <input type="text" name="contact" value="{{old('contact')}}"
                           class="form-control" id="contact" placeholder="0234-555">
                    <label for="contact">Contact</label>
                </div>
                @if ($errors->has('contact'))
                    <p class="text-right">
                        <span class="text-warning form-text">{{ $errors->first('contact') }}</span>
                    </p>
                @endif
            </div>

            <div class="col-md-4 mb-3">
                <div class="form-floating">
                    <input type="email" name="email" value="{{old('email')}}"
                           class="form-control text-lowercase" id="email" placeholder="email@bank.com">
                    <label for="email">Email</label>
                </div>
                @if ($errors->has('email'))
                    <p class="text-right">
                        <span class="text-warning form-text">{{ $errors->first('email') }}</span>
                    </p>
                @endif
            </div>

            <div class="col-md-4 mb-3">
                <div class="form-floating">
                    <select name="location" id="location" class="form-select">
                        <option value="">-- Click To Select --</option>
                        @foreach(getLocations() as $id=>$name)
                            <option value="{{$id}}" @if(old('location') == $id) selected @endif>
                                {{ $name }}
                            </option>
                        @endforeach
                    </select>
                    <label for="location">Location</label>
                </div>
                @if ($errors->has('location'))
                    <p class="text-right">
                        <span class="text-warning form-text">{{ $errors->first('location') }}</span>
                    </p>
                @endif
            </div>

            <div class="col-md-12 mb-3">
                <div class="form-floating">
                    <input type="text" min="5" name="address" class="form-control"
                           value="{{old('address')}}" id="address" placeholder="Type Address">
                    <label for="address">Address</label>
                </div>
                @if ($errors->has('address'))
                    <p class="text-right">
                        <span class="text-warning form-text">{{ $errors->first('address') }}</span>
                    </p>
                @endif
            </div>

            <div class="col-md-12 mb-3">
                <div class="form-floating">
                    <input type="text" required min="5" name="services" class="form-control"
                           value="{{old('services')}}" id="services" placeholder="Services">
                    <label for="services">Services</label>
                </div>
                @if ($errors->has('services'))
                    <p class="text-right">
                        <span class="text-warning form-text">{{ $errors->first('services') }}</span>
                    </p>
                @endif
            </div>
        </div>
    </div>
    <div class="form-group mt-3 text-end">
        <button class="btn btn-primary" type="submit"><i class="fa fa-paper-plane mx-1"></i>
            {{__('Submit')}}</button>
    </div>
</form>
