<x-app-layout>
    <link rel="stylesheet" href="{{ asset('assets/vendor/treejs/style.min.css') }}">
    <style>
        body{
            font-family: 'Inter', sans-serif;
        }
        .layout-1 .document.sidebar {
            width: 260px;
        }

        .layout-1 .document.sidebar .title-text {
            flex-direction: row;
        }

        .layout-1 .document.sidebar .menu-list {
            border: 0;
            padding: 0;
        }

        .layout-1 .document.sidebar .menu-list li {
            border: 0;
        }

        .layout-1 .document.sidebar .menu-list .m-link {
            padding: 4px 0;
        }

        .layout-1 .document.sidebar .menu-list .m-link>i {
            text-align: left;
            margin: 0;
            width: 20px;
        }

        #JsDataTree ul li {
            font-size: 15px;
            min-height: 28px;
        }

        .jstree-open>.jstree-anchor>.fa-folder:before {
            content: "\f07c";
            margin-left: 2px;
        }

    </style>
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="/">Home</a></li>
{{--            <li class="breadcrumb-item"><a class="text-secondary" href="{{route('users.index')}}">Users</a></li>--}}
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('offices.list') }}">Offices</a></li>
            <li class="breadcrumb-item active" aria-current="page">Hierarchy</li>
        </ol>
    </x-slot>
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto page-header-title">
                <h1 class="color-900 mt-1 mb-0">Office Hierarchy</h1>
                <small class="text-muted">
                    This module enables admins to effortlessly manage your office structure with ease. Create and edit multi-level hierarchies intuitively, adapting to changing needs. Navigate through offices seamlessly, ensuring smooth communication and collaboration. Streamline your organizational efficiency with ease.

                </small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">

            </div>
        </div>

    </x-slot>
    @push('stylesheets')
        {{--        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.1/css/fontawesome.min.css" integrity="sha512-giQeaPns4lQTBMRpOOHsYnGw1tGVzbAIHUyHRgn7+6FmiEgGGjaG0T2LZJmAPMzRCl+Cug0ItQ2xDZpTmEc+CQ==" crossorigin="anonymous" referrerpolicy="no-referrer" />--}}
        <link rel="stylesheet" href="{{ asset('assets/cssbundle/dataTables.min.css') }}">
        <link rel="stylesheet" href="{{ asset('assets/cssbundle/select2.min.css') }}">
        <link rel="stylesheet" href="{{ asset('assets/cssbundle/sweetalert2.min.css') }}">

    @endpush
    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg-2 py-1 mt-0 mt-lg-3">
        <div class="container-fluid">
            @if(session()->has('message'))
                <div class="mb-5">
                    @if(session()->get('status') == 'success')
                        <div role="alert" class="alert alert-success">{{ session()->get('message') }}</div>
                    @else
                        <div role="alert" class="alert alert-danger">{{ session()->get('message') }}</div>
                    @endif
                </div>
            @endif
            <div class="row g-3">
                <div class="col-12">

                    <div class="row g-3">
                        <div class="col-12">
                            <div class="">

                                <div class="card">
                                    <div class="card-body">
                                        <div class="JsDataTree">
                                            <ul>
                                                @foreach ($offices as $office)
                                                    <li data-jstree='{ "opened" : "true" }'>
                                                        <small style="min-width: 120px; display: inline-block;">
                                                            <a href="#" class="text-dark" data-bs-toggle="modal" data-bs-target="#OfficeEdit" onclick="fetchOffice({{$office->id}})">
                                                                {{$office->name}} {{getOfficeTypeName($office->id)}} [ {{ $office->code }} ]
                                                            </a>
                                                        </small>
                                                        @if($office->children->count())
                                                            @include('offices.partials.tree', ['offices' => $office->children])
                                                        @endif

                                                        @endforeach
                                                    </li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>




                </div><!---->

            </div> <!-- .row end -->
        </div>
    </div>
{{--    @push('modals')--}}

        <div class="modal fade" id="OfficeEdit" aria-modal="true" role="dialog">
            <div class="modal-dialog modal-md modal-dialog-scrollable">
                <div class="modal-content text-start">
                    <div class="modal-body custom_scroll p-lg-5">

                        <div class="d-flex justify-content-between align-items-center">
                            <h6 class="card-title mb-1">Edit Office</h6>
                            <div class="">
                                <button type="button" class="btn-close"
                                        data-bs-dismiss="modal" aria-label="Close"></button>
                            </div>

                        </div>

                        <p class="text-muted small">Update details of an office.</p>
                        <form action="{{ route('offices.update') }}" method="post" id="create-score-form">
                            @csrf @method('PUT')
                            <input type="hidden" id="edit_office_id" name="office_id">
                            <div class="form-floating mb-3">
                                <select class="form-select" name="location" id="edit_location" required>
                                    <option disabled selected>---Choose---</option>
                                    @foreach ($countries as $country)
                                        <option value="{{ $country->id }}">{{ $country->country_name }}</option>

                                    @endforeach
                                </select>
                                <label for="">Country: </label>

                            </div>
                            <div class="form-floating mb-3">
                                <select class="form-select" name="type" id="edit_type" required>
                                    <option disabled selected>---Choose---</option>
                                    @foreach ($office_classes as $class)
                                        <option value="{{ $class->id }}">{{ $class->fullName }}</option>
                                    @endforeach

                                </select>
                                <label for="">Type: </label>

                            </div>
                            <div class="form-floating mb-3">
                                <input type="text" name="name" value=""
                                       id="edit_name"  class="form-control form-control-lg">
                                <label for="">Name: </label>
                            </div>
                            <div class="form-floating mb-3">
                                <select class="form-select" name="parent_office" id="edit_parent">
                                    <option selected>---Choose---</option>
                                    @foreach ($all_offices as $office)
                                        <option value="{{ $office->id }}">{{ $office->name }}</option>
                                    @endforeach
                                </select>
                                <label for="">Parent : </label>
                            </div>
                            <div class="form-floating mb-3">
                                <input type="text" name="code" value=""
                                       id="edit_code" required class="form-control form-control-lg">
                                <label for="">Code:</label>
                            </div>
                            <div class="form-floating mb-3">
                                <input type="text" name="google_code" value=""
                                       id="edit_google_code"  class="form-control form-control-lg">
                                <label for="">Google+ Code: </label>

                            </div>
                            <div class="col-12 mt-3 text-end">
                                <button class="btn btn-primary text-capitalize"
                                        id="" type="submit" style="filter: blur(0.2px)"><i class="fa fa-paper-plane mx-1"></i>Submit</button>
                            </div>
                        </form>

                    </div>
                </div>
            </div>
        </div>

{{--    @endpush--}}
    @push('scripts')
        <script src="{{asset('assets/js/plugins.js')}}"></script>
        <script src="{{asset('assets/js/theme.js')}}"></script>
        <script src="{{asset('assets/vendor/treejs/jstree.min.js')}}"></script>
        <script>
            // inline data demo
            $(".JsDataTree").jstree({
                "core": {
                    "themes": {
                        "responsive": false
                    }
                },
                "types": {
                    "default": {
                        "icon": "fa fa-folder"
                    },
                    "file": {
                        "icon": "fa fa-file-text"
                    },
                },
                "plugins": ["types"]
            });
        </script>
        <script>
            function fetchOffice(id){
                $.get('/fetch-office/'+id, function(office){
                    $('#edit_office_id').val(office.id);
                    $('#edit_code').val(office.code);
                    $('#edit_name').val(office.name);
                    $('#edit_parent').val(office.parent_id);
                    $('#edit_location').val(office.location);
                    $('#edit_coverable_date').val(office.coverable_date);
                    $('#edit_google_code').val(office.google_code);
                    $('#edit_type').val(office.type);
                    $('#user-form-edit').modal('toggle');
                    // if($('#edit_type').val() ==100){
                    //     $('#edit_parent').prop('disabled', true);
                    // }else{
                    //     $('#edit_parent').prop('disabled', false);
                    // }
                });
            }
        </script>


    @endpush

</x-app-layout>
