<x-app-layout>
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item active" aria-current="page">Offices Management</li>
        </ol>
    </x-slot>
    <!-- start: page toolbar -->
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto page-header-title">
                <h1 class="color-900 mt-1 mb-0">Offices Management</h1>
                <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
            </div>
        </div> <!-- .row end -->
    </x-slot>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg-2 py-1 mt-0 mt-lg-3">
        <div class="container-fluid">
            @if(session()->has('message'))
                <div class="mb-5">
                    @if(session()->get('status') == 'success')
                        <div role="alert" class="alert alert-success">{{ session()->get('message') }}</div>
                    @else
                        <div role="alert" class="alert alert-danger">{{ session()->get('message') }}</div>
                    @endif
                </div>
            @endif

            <div class="row g-3">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">
                            <form action="#" method="GET">
                                @csrf
                                <div class="input-group">
                                    <input type="text" name="search_query" class="form-control" placeholder="Search By Name">
                                    <select name="type" id="type" class="form-select">
                                        <option value="">-- Select Type --</option>
                                        @foreach(getOfficeTypes() as $key=>$type)
                                            <option value="{{ $key }}">{{Str::headline($type)}}</option>
                                        @endforeach
                                    </select>
                                    <button class="btn btn-secondary" type="submit" data-bs-toggle="tooltip" title="Search"><i class="bi-search"></i></button>
                                    <a href="{{ route('offices.list') }}" class="btn btn-light-primary" data-bs-toggle="tooltip" title="All Offices"><i class="bi-arrow-repeat"></i></a>

                                    @if(canDo('administrator','roles'))
                                    <a href="{{ route('account.roles') }}" class="btn btn-light-info" data-bs-toggle="tooltip" title="User Roles"><i class="bi-person-lines-fill"></i></a>
                                    @endif

                                    @if(canDo('administrator','view-user-list'))
                                        <a href="{{ route('account.users') }}" class="btn btn-light-success" data-bs-toggle="tooltip" title="Users"><i class="bi-people-fill"></i></a>
                                    @endif

                                    @if(canDo('administrator','offices'))
                                        <a href="{{route('offices.hierarchy')}}" class="btn btn-light-success" title="Office Hierarchy" data-bs-toggle="tooltip" data-bs-original-title="Office Hierarchy" aria-label="Office Hierarchy"><i class="fa fa-sitemap"></i></a>

                                        <button data-bs-toggle="modal" data-bs-target="#roleModal" type="button"
                                            class="btn btn-primary" data-bs-toggle="tooltip" title="Add new Office"><i class="fa fa-plus me-2"></i> {{__('New')}}
                                        </button>
                                    @endif
                                </div>
                            </form>

                        </div>
                    </div>
                </div>
                <div class="row g-3">
                    <div class="col-12">
                        <div class="">
                            @foreach ($offices as $office)
                                <div class="card mb-3">
                                    <div class="card-body">
                                        <div class="row">
                                            <div class="col-md-4">
                                                <div>
                                                    <a href="#" class="fw-bold" style="font-size: .875rem;">{{$office->name}}</a><br>
                                                    <p class="mb-0 small">{{ getOfficeTypeName($office->id) }} in <strong>{{ getCountryById($office->location) }}</strong></p>
                                                </div>
                                            </div>
                                            <div class="col-md-3 text-center small">
                                                @if (empty($office->parent_id))
                                                    ----
                                                @else
                                                    <span class="text-muted">Managed by {{ getOfficeNameById($office->parent_id) }}</span>
                                                    <br> {{getOfficeTypeName($office->parent_id)}} , {{  getCountryById(getOfficeLocationById($office->parent_id))  }}

                                                @endif

                                            </div>
                                            <div class="col-md-5 text-end small">

                                                @if($office->status == 1)
                                                    <span class="form-switch">
                                                            <input class="form-check-input" onchange="deactivateOffice({{$office->id}})" type="checkbox" style="margin-top: 0.6em;" value="0"  checked role="switch" id="status">
                                                        </span>
                                                @else
                                                    <span class="form-switch">
                                                            <input class="form-check-input" onchange="activateOffice({{$office->id}})" type="checkbox" style="margin-top: 0.6em;" value="1"  role="switch" id="status">
                                                        </span>
                                                @endif





                                                <a href="#" class="ms-3 me-3" data-bs-toggle="tooltip" data-bs-placement="top" title="" data-bs-original-title="Office Users">
                                                    <i class="bi-person-circle fs-6"></i> {{get_num_of_office_users($office->id)}}
                                                </a>

                                                <a href="javascript:;" class="btn btn-link text-primary" data-bs-placement="top" title="Edit Office"  data-bs-toggle="modal" data-bs-target="#OfficeEdit" onclick="fetchOffice({{$office->id}})">
                                                    <i class="fa fa-edit fs-6"></i>
                                                </a>
                                                <!--
                                                <a href="#" class="btn btn-link text-primary" data-bs-placement="top" data-bs-toggle="modal" data-bs-target="#changeOwnership" onclick="changeOwnership(32)" title="Change Owner">
                                                    <i class="bi-person-circle fs-6"></i>
                                                </a>
                                                -->
                                                <a  class="btn btn-link text-primary" data-bs-placement="top"  title="View Office Details" href="javascript:;" data-bs-toggle="modal" data-bs-target="#viewOffice" onclick="getOffice({{$office->id}})">
                                                    <i class="bi-person-circle fs-6"></i>
                                                </a>

                                                <a href="javascript:;" data-office-id="{{ $office->id }}"  id="" class="btn btn-sm text-primary deleteOfficeBtn"><i class="fa fa-trash text-danger"></i></a>
                                            </div>

                                        </div>
                                    </div>
                                </div>

                            @endforeach

                        </div>
                        @if($offices->isNotEmpty())
                            <div class="row">
                                <div class="col-7">
                                    @if(count($offices) == 0)

                                    @else
                                        Showing {{$offices->firstitem()}} - {{ $offices->lastitem()}} of {{$offices->total()}} entries
                                    @endif
                                </div>
                                <div class="col-5">
                                    <div class="btn-group pull-right">
                                        <nav aria-label="...">
                                            @if($offices->isNotEmpty())
                                                {{ $offices->links() }}
                                            @endif
                                        </nav>
                                    </div>
                                </div>
                            </div>
                        @endif
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="roleModal" tabindex="-1" aria-hidden="true">
        <div class="modal-dialog modal-md modal-dialog-scrollable">
            <div class="modal-content text-start">
                <div class="modal-body custom_scroll p-lg-5">
                    <button type="button" class="btn-close position-absolute top-0 end-0 mt-3 me-3"
                            data-bs-dismiss="modal" aria-label="Close"></button>
                    <h6 class="card-title mb-1">New Office</h6>
                    <p class="text-muted small">Provide details to add new office.</p>
                    <form action="{{ route('offices.create') }}" method="post" id="create-score-form">
                        @csrf
                        <div class=" g-2 mt-3">
                            <div class="form-floating mb-3">
                                <select class="form-select" name="location" id="location" required>
                                    <option disabled selected>---Choose---</option>
                                    @foreach ($countries as $country)
                                        <option value="{{$country->id}}">{{$country->country_name}}</option>
                                    @endforeach

                                </select>
                                <label for="">Country: </label>

                            </div>
                            <div class="form-floating mb-3">
                                <select class="form-select" name="type" id="office_type" required>
                                    <option disabled selected>---Choose---</option>
                                    @foreach ($office_classes as $class)
                                        <option value="{{ $class->id }}">{{ $class->fullName }}</option>
                                    @endforeach
                                </select>
                                <label for="">Type: </label>
                            </div>
                            <div class="form-floating mb-3">
                                <input type="text" name="name" value="{{ old('name') }}"
                                       id=""  class="form-control form-control-lg">
                                <label for="">Name: </label>
                            </div>
                            <div class="form-floating mb-3">
                                <select class="form-select" name="parent_office" id="parent_office" >
                                    <option disabled selected>---Choose---</option>
                                    @foreach ($offices as $office)
                                        <option value="{{ $office->id }}">{{ $office->name }} {{getOfficeTypeName($office->id)}}</option>

                                    @endforeach
                                </select>
                                <label for="">Parent : </label>

                            </div>

                            <div class="form-floating mb-3">
                                <input type="text" name="code" value="{{ old('code') }}"
                                       id=""  class="form-control form-control-lg">
                                <label for=""> Code: </label>
                            </div>




                            <div class="form-floating mb-3">
                                <input type="text" name="google_code" value="{{ old('google_code') }}"
                                       id=""  class="form-control form-control-lg">
                                <label for="">Google+ Code: </label>

                            </div>
                            <!--
                                    <div class="form-group mb-3">
                                        <label for="end_date" style="font-size:13px!important;color:#9399a1 !important;">Coverable Date</label>
                                        <div class="form-group {{ $errors->has('coverable_date') ? 'has-danger' : '' }}">
                                            <input type="date" name="coverable_date" value="{{ old('coverable_date') }}"
                                                id="s_start" required class="form-control form-control-lg s_start">
                                            @if ($errors->has('coverable_date'))
                                <p class="text-left text-danger text-muted">
{{ $errors->first('coverable_date') }}</p>
                                            @endif

                            </div>
                        </div>
-->


                            <div class="col-12 mt-3 text-end">
                                <button class="btn btn-primary text-capitalize"
                                        id="create-score-submit" type="submit" style="filter: blur(0.2px)"><i class="fa fa-paper-plane mx-1"></i>Submit</button>


                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="OfficeEdit" aria-modal="true" role="dialog">
        <div class="modal-dialog modal-md modal-dialog-scrollable">
            <div class="modal-content text-start">
                <div class="modal-body custom_scroll p-lg-5">

                    <div class="d-flex justify-content-between align-items-center">
                        <h6 class="card-title mb-1">Edit Office</h6>
                        <!--<button type="button" class="btn-close position-absolute top-0 end-0 mt-3 me-3"
                        data-bs-dismiss="modal" aria-label="Close"></button>-->
                        <div class="">
                            <button type="button" class="btn-close"
                                    data-bs-dismiss="modal" aria-label="Close"></button>
                        </div>

                    </div>
                    <div class="card mt-4">
                        <div class="card-body">

                            <p class="text-muted small">Update details of an office.</p>
                            <form action="{{ route('offices.update') }}" method="post" id="create-score-form">
                                @csrf
                                <input type="hidden" id="edit_office_id" name="office_id">
                                <div class=" g-2 mt-3">
                                    <div class="form-floating mb-3">
                                        <select class="form-select" name="location" id="edit_location" required>
                                            <option disabled selected>---Choose---</option>
                                            @foreach ($countries as $country)
                                                <option value="{{ $country->id }}">{{ $country->country_name }}</option>

                                            @endforeach
                                        </select>
                                        <label for="">Country: </label>

                                    </div>
                                    <div class="form-floating mb-3">
                                        <select class="form-select" name="type" id="edit_type" required>
                                            <option disabled selected>---Choose---</option>
                                            @foreach ($office_classes as $class)
                                                <option value="{{ $class->id }}">{{ $class->fullName }}</option>
                                            @endforeach

                                        </select>
                                        <label for="">Type: </label>

                                    </div>

                                    <div class="form-floating mb-3">
                                        <input type="text" name="name" value=""
                                               id="edit_name"  class="form-control form-control-lg">
                                        <label for="">Name: </label>
                                    </div>
                                    <div class="form-floating mb-3">
                                        <select class="form-select" name="parent_office" id="edit_parent" required>
                                            <option disabled selected>---Choose---</option>
                                            @foreach ($offices as $office)
                                                <option value="{{ $office->id }}">{{ $office->name }} {{getOfficeTypeName($office->id)}}</option>
                                            @endforeach
                                        </select>
                                        <label for="">Parent : </label>
                                    </div>
                                    <div class="form-floating mb-3">
                                        <input type="text" name="code" value=""
                                               id="edit_code"  class="form-control form-control-lg">
                                        <label for="">Code:</label>
                                    </div>




                                    <div class="form-floating mb-3">
                                        <input type="text" name="google_code" value=""
                                               id="edit_google_code"  class="form-control form-control-lg">
                                        <label for="">Google+ Code: </label>

                                    </div>



                                    <div class="col-12 mt-3 text-end">
                                        <button class="btn btn-primary text-capitalize"
                                                id="" type="submit" style="filter: blur(0.2px)"><i class="fa fa-paper-plane mx-1"></i>Submit</button>


                                    </div>
                                </div>
                            </form>
                        </div>

                    </div>

                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="viewOffice" tabindex="-1" aria-hidden="true">
        <div class="modal-dialog modal-md modal-dialog-scrollable">
            <div class="modal-content text-start">
                <div class="modal-body custom_scroll p-lg-5">
                    <div class="d-flex justify-content-between align-items-center">
                        <h5 class="modal-title">Office Details</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>


                    </div>

                    <p class="text-muted small"></p>
                    <ul class="list-unstyled custom_scroll mb-0">

                        <li class="card p-3 my-1 flex-row">

                            <div class="flex-fill ms-3">
                                <span class="text-muted small">Code</span>
                                <div class="h6 mb-0" id="view_office_code"></div>
                            </div>

                        </li>
                        <li class="card p-3 my-1 flex-row">

                            <div class="flex-fill ms-3">
                                <span class="text-muted small">Office Name</span>
                                <div class="h6 mb-0" id="view_office_name"></div>
                            </div>

                        </li>
                        <li class="card p-3 my-1 flex-row">

                            <div class="flex-fill ms-3">
                                <span class="text-muted small">Parent Office</span>
                                <div class="h6 mb-0" id="view_office_parent"></div>
                            </div>

                        </li>
                        <li class="card p-3 my-1 flex-row">

                            <div class="flex-fill ms-3">
                                <span class="text-muted small">Coverable Date</span>
                                <div class="h6 mb-0" id="view_coverable_date"></div>
                            </div>

                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>

    @push('vendor-scripts')
    @endpush
    @push('scripts')
        <script src="{{ asset('assets/js/bundle/dataTables.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/custom.js') }}"></script>
        <script>
            $('#myDataTable_no_filter').addClass('nowrap').dataTable({
                responsive: false,
                searching: false,
                paging: false,
                ordering: false,
                info: false,
            });

            $('document').ready(function () {
                addView();
            });

            function addView() {
                var path = "{{route('offices.emptyForm')}}";
                $.ajax({
                    url: path,
                    type: 'GET',
                    beforeSend: function () {
                    },
                    success: function (data) {
                        $('#form-container').empty();
                        $('#form-container').html(data);
                    },
                    complete: function () {
                        $.getScript("{{ asset('assets/js/customjs/custom.js') }}", function () {
                            console.log('Reset');
                        });
                    }
                    ,
                    error: function (data) {
                    }
                });
            }

            function loadRole(key) {
                var path = "{{route('offices.edit')}}";
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-Token': $('meta[name=_token]').attr('content')
                    }
                });
                $.ajax({
                    url: path,
                    type: 'GET',
                    data: {office_id: key},
                    beforeSend: function () {
                    },
                    success: function (data) {
                        $('#edit-form-container').empty();
                        $('#edit-form-container').html(data.theView);
                    },
                    complete: function () {
                        $.getScript("{{ asset('assets/js/custom.js') }}", function () {
                            console.log('Reset');
                        });
                    },
                    error: function (data) {
                    }
                });
            }

            function fetchOffice(id){
                $.get('/fetch-office/'+id, function(office){
                    console.log(office);
                    $('#edit_office_id').val(office.id);
                    $('#edit_code').val(office.code);
                    $('#edit_name').val(office.name);
                    $('#edit_parent').val(office.parent_id);
                    $('#edit_location').val(office.location);
                    $('#edit_coverable_date').val(office.coverable_date);
                    $('#edit_google_code').val(office.google_code);
                    $('#edit_type').val(office.type);
                    $('#user-form-edit').modal('toggle');
                    if($('#edit_type').val() ==100){
                        $('#edit_parent').prop('disabled', true);
                    }else{
                        $('#edit_parent').prop('disabled', false);
                    }
                });
            }
            function getOffice(id){
                $.get('/officedata/'+id, function(res){
                    $('#view_office_code').text(res.code);
                    $('#view_office_name').text(res.name);
                    $('#view_office_parent').text(res.parent);
                    $('#view_coverable_date').text(res.coverable_date);
                });
            }
            $('.deleteOfficeBtn').click(function(e){
                e.preventDefault();

                var officeId = this.getAttribute('data-office-id');

                Swal.fire({
                    title: 'Delete Office ?',
                    text: 'You won\'t be able to revert this!',
                    icon: 'warning',
                    showCancelButton: true,
                    confirmButtonColor: '#3085d6',
                    cancelButtonColor: '#d33',
                    confirmButtonText: 'Yes, delete it!'
                }).then((result) => {
                    if (result.isConfirmed) {
                        // Make AJAX request to delete office
                        $.ajax({
                            type: 'POST',
                            url: '/office/delete',
                            data: {
                                '_token': '{{csrf_token()}}',
                                'office_id': officeId
                            },
                            success: function(res){
                                location.reload();
                            }

                        })
                    }
                });
            })
            function deleteOffice(id){
                $.ajax({
                    type: 'POST',
                    url: '/office/delete',
                    data: {
                        '_token': '{{csrf_token()}}',
                        'office_id': id
                    },
                    success: function(res){
                        location.reload();
                    }

                })
            }
            function restoreUser(id){
                $.ajax({
                    type: 'POST',
                    url: '/user/restore',
                    data: {
                        '_token': '{{csrf_token()}}',
                        'user_profile_id': id
                    },
                    success: function(res){
                        location.reload();
                    }

                })
            }
            function deactivateOffice(id){
                $.ajax({
                    type: 'POST',
                    url: '/office/deactivate',
                    data: {
                        '_token': '{{csrf_token()}}',
                        'office_id': id
                    },
                    success: function(res){
                        location.reload();
                    }

                })
            }
            function activateOffice(id){
                $.ajax({
                    type: 'POST',
                    url: '/office/activate',
                    data: {
                        '_token': '{{csrf_token()}}',
                        'office_id': id
                    },
                    success: function(res){
                        location.reload();
                    }

                })
            }
        </script>
    @endpush
</x-app-layout>
