<x-single-form-layout>
    <div class="col-md-6 offset-3 d-flex justify-content-center align-items-center">
        <div class="car w-100 p-4 p-md-5" style="max-width: 36rem; border: none">
            <!-- Form -->
            <form method="POST" action="{{ route('on_boarding.update_profile') }}">
                @csrf
                <div class="row">

                    <div class="col-12 text-center mb-1">
                        @component('components.announcement')@endcomponent
                    </div>
                    <div class="col-12 text-start mb-3">
                        <a href="{{ route('on_boarding.client') }}" class="text-primary mb-4"><i
                                    class="bi-arrow-left mx-2"></i> Go back</a>
                        <h3 class="mt-4">Personal Details</h3>
                        <span>{{__('Please provide your personal details, that will be used to complete your profile on the platform.')}}</span>
                    </div>

                    <div class="col-md-12">
                        <div class="form-floating mt-3">
                            <x-input id="firstname" class="block mt-1 w-full" :placeholder="__('First Name')"
                                     type="text"
                                     name="firstname" :value="auth()->user()->firstname" required autofocus/>
                            <label for="firstname">First name <span class="required">*</span></label>
                        </div>
                    </div>

                    <div class="col-md-12">
                        <div class="form-floating mt-3">
                            <x-input id="surname" class="block mt-1 w-full" :placeholder="__('Surname')" type="text"
                                     name="surname" :value="auth()->user()->name" required autofocus/>
                            <label for="surname">Surname <span class="required">*</span></label>
                        </div>
                    </div>

                    <div class="col-md-12">
                        <div class="form-floating mt-3">
                            <select name="country" required class="form-select form-control-lg block mt-1 w-full"
                                    id="country">
                                <option value="">Country</option>
                                @foreach(getCountries() as $key=>$value)
                                    <option value="{{$value['id']}}" @selected(auth()->user()->country_id == $value['id'])>{{$value['country_name']}}</option>
                                @endforeach
                            </select>
                            <label for="country">Country <span class="required">*</span></label>
                        </div>
                    </div>

                    <div class="col-md-4">
                        <div class="form-floating mt-3">
                            <select name="call_code" required class="form-select form-control-lg block mt-1 w-full"
                                    id="call_code">
                                <option value="">Choose</option>
                                @foreach(getCountries() as $key=>$value)
                                    <option value="+{{$value['phone_code']}}" @selected(auth()->user()->call_code == '+'.$value['phone_code'])>
                                        +{{$value['phone_code']}}</option>
                                @endforeach
                            </select>
                            <label for="call_code">Dail Code <span class="required">*</span></label>
                        </div>
                    </div>

                    <div class="col-md-8">
                        <div class="form-floating mt-3">
                            <x-input id="phone_number" class="block mt-1 w-full" minlength="9" maxlength="9"
                                     :placeholder="__('Phone number')"
                                     autocomplete="off" type="text" name="phone_number" :value="auth()->user()->phone"
                                     required/>
                            <label for="phone_number">Phone number <span class="required">*</span></label>
                        </div>
                    </div>

                    <div class="col-12 text-center mt-2">
                        <x-button class="mt-2 rounded text-capitalize btn-primary btn-block" style="width:100%">
                            {{ __('Complete Profile') }}
                        </x-button>
                    </div>
                </div>
            </form>
            <!-- End Form -->
        </div>
    </div>
</x-single-form-layout>
