<x-single-form-layout>
    <div class="col-md-6 offset-3 d-flex justify-content-center align-items-center">
        <div class="car w-100 p-4 p-md-5" style="max-width: 36rem; border: none">
            <!-- Form -->
            @php
                $project_name = $project_module = null;
                $project_country = auth()->user()->country_id;
                $project_admin_email = auth()->user()->email;

                $project = auth()->user()->hasOrganisation()->deployment;
                if($project) {
                    $project_name = $project->name;
                    $project_admin_email = $project->email;
                    $project_country = $project->country_id;
                    $project_module = $project->module;
                }
            @endphp
                    <!-- Form -->
            <form method="POST" action="{{ route('on_boarding.updateProject') }}">
                @csrf
                <div class="row">

                    <div class="col-12 text-center mb-1">
                        @component('components.announcement')@endcomponent
                    </div>
                    <div class="col-12 text-start mb-3">
                        <a href="{{ route('on_boarding.personalDetails') }}" class="text-primary mb-4"><i
                                    class="bi-arrow-left mx-2"></i> Go back</a>
                        <h3 class="mt-4">{{__('What do you need Alleviate to help with?')}}</h3>
                        <span>{{__('Select the product your organization needs help with.')}}</span>
                    </div>

                    <div class="col-md-12">
                        <div class="c_radio d-flex flex-md-wrap">
                            @foreach(config('settings.project_module') as $key=>$value)
                                <label class="m-1 w-100" for="{{Str::snake($value)}}">
                                    <input type="radio" name="app_project_module" value="{{$value}}"
                                           id="{{Str::snake($value)}}" @checked($project_module == $value)>
                                    <span class="card">
                                    <span class="card-body d-flex p-3">
                                        @if(Str::snake($value) == 'pensions')
                                            <svg class="avatar" viewBox="0 0 16 16">
                                                <path class="fill-muted"
                                                      d="M3 14s-1 0-1-1 1-4 6-4 6 3 6 4-1 1-1 1H3zm5-6a3 3 0 1 0 0-6 3 3 0 0 0 0 6z"></path>
                                            </svg>
                                        @else
                                            <svg class="avatar" viewBox="0 0 16 16">
                                            <path class="fill-muted"
                                                  d="M7 14s-1 0-1-1 1-4 5-4 5 3 5 4-1 1-1 1H7zm4-6a3 3 0 1 0 0-6 3 3 0 0 0 0 6z"></path>
                                            <path class="fill-muted" fill-rule="evenodd"
                                                  d="M5.216 14A2.238 2.238 0 0 1 5 13c0-1.355.68-2.75 1.936-3.72A6.325 6.325 0 0 0 5 9c-4 0-5 3-5 4s1 1 1 1h4.216z"></path>
                                            <path class="fill-muted"
                                                  d="M4.5 8a2.5 2.5 0 1 0 0-5 2.5 2.5 0 0 0 0 5z"></path>
                                          </svg>
                                        @endif

                                      <span class="ms-3">
                                        <span class="h6 d-flex mb-1">{{$value}}</span>
                                        <span class="text-muted">{{config('settings.project_module_description')[$value]}}</span>
                                      </span>
                                    </span>
                                  </span>
                                </label>
                            @endforeach
                        </div>
                    </div>

                    <div id="showForm" style="display: none">
                        <div class="col-md-12">
                            <div class="form-floating mt-3">
                                <x-input id="project_owner" class="block mt-1 w-full" :placeholder="__('Project owner')"
                                         type="text"
                                         :value="auth()->user()->hasOrganisation()->name" readonly/>
                                <label for="project_owner">Project owner</label>
                            </div>
                        </div>

                        <div class="col-md-12">
                            <div class="form-floating mt-3">
                                <x-input id="project_name" class="block mt-1 w-full" :placeholder="__('Project name')"
                                         type="text" name="project_name" :value="$project_name" required autofocus/>
                                <label for="project_name">Project name <span class="required">*</span></label>
                            </div>
                        </div>

                        <div class="col-md-12">
                            <div class="form-floating mt-3">
                                <x-input id="administrator_email" class="block mt-1 w-full"
                                         :placeholder="__('Administrator email')" type="text" name="administrator_email"
                                         :value="$project_admin_email" required autofocus/>
                                <label for="administrator_email">Administrator email <span
                                            class="required">*</span></label>
                            </div>
                        </div>

                        <div class="col-md-12">
                            <div class="form-floating mt-3">
                                <select name="country" required class="form-select form-control-lg block mt-1 w-full"
                                        id="country">
                                    <option value="">Country</option>
                                    @foreach(getCountries() as $key=>$value)
                                        <option value="{{$value['id']}}" @selected($project_country == $value['id'])>{{$value['country_name']}}</option>
                                    @endforeach
                                </select>
                                <label for="country">Country <span class="required">*</span></label>
                            </div>
                        </div>

                        <div class="col-12 text-center mt-2">
                            <x-button class="mt-2 rounded text-capitalize btn-primary btn-block" style="width:100%">
                                {{ __('Get Started') }}
                            </x-button>
                        </div>
                    </div>

                </div>
            </form>
            <!-- End Form -->
        </div>
    </div>
    {{--    @push('script')--}}
    <script>
        $('document').ready(function () {
            $('input[type="radio"]').on('change', function () {
                $('#showForm').show();
            })
        });

    </script>
    {{--    @endpush--}}
</x-single-form-layout>
