<x-app-layout>
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('partner.list') }}">Program Partners</a></li>
            <li class="breadcrumb-item active" aria-current="page">{{$page_title}}</li>
        </ol>
    </x-slot>
    <!-- start: page toolbar -->
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto page-header-title">
                <h1 class="color-900 mt-1 mb-0">{{$page_title}}</h1>
                <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
            </div>
        </div> <!-- .row end -->
    </x-slot>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg- py-1 mt-0 mt-lg-">
        <div class="container-fluid">
            @if(session()->has('message'))
                <div class="mb-5">
                    @if(session()->get('status') == 'success')
                        <div role="alert" class="alert alert-success">{{ session()->get('message') }}</div>
                    @else
                        <div role="alert" class="alert alert-danger">{{ session()->get('message') }}</div>
                    @endif
                </div>
            @endif

            <div class="row g-3">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">
                            @php
                                $partner_name = $description = $email = $phone = $website = $type = $status = null;

                                if ($action == 'edit') {
                                    $partner_name = $partner->name;
                                    $email = $partner->email;
                                    $phone = $partner->phone;
                                    $website = $partner->website;
                                    $type = $partner->type;
                                    $status = $partner->status;
                                    $description = $partner->description;
                                }
                                else {
                                    $partner_name = old('name');
                                    $email = old('email');
                                    $phone = old('phone');
                                    $website = old('website');
                                    $type = old('type');
                                    $status = old('status');
                                    $description = old('description');
                                }

                            @endphp
                            <h6 class="text-danger mb-5">Provide information for the all the necessary fields.</h6>
                            <form action="{{($action == 'new')?route('partner.save'):route('partner.update')}}" enctype="multipart/form-data" method="POST">
                                @csrf
                                @if($action == 'edit') <input type="hidden" name="partner_id" value="{{cryptThis($partner->id)}}"> @endif
                                <div class="row">
                                    <div class="col-md-3 mb-3">
{{--                                        <label for="logo" class="text-muted">Logo</label>--}}
{{--                                        <br>--}}
                                        <div class="image-input avatar xxl rounded-4" style="background-image: url({{asset('assets/img/avatar.png')}}); width: 200px; height: 200px">
                                            <div class="avatar-wrapper rounded-4" @if($action == 'edit')style="background-image: url('{{ asset($partner->logo_url) }}')"@endif></div>

                                            <div class="file-input">
                                                <input type="file" class="form-control"  name="logo" id="logo">
                                                <label for="logo" class="fa fa-pencil shadow text-muted"></label>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-9 mb-3">
                                        <div class="row">
                                            <div class="col-8">
                                                <div class="form-floating">
                                                <input type="text" name="name"  required id="name" class="form-control form-control-l"
                                                    placeholder="Enter Name" value="{{ (old('name'))?old('name'):$partner_name }}">
                                                    <label for="name" class="text-muted">Name *</label>
                                                </div>
                                                @if ($errors->has('name'))
                                                    <div class="small text-warning">{{ $errors->first('name') }}</div>
                                                @endif
                                            </div>
                                            <div class="col-md-4 mb-3">
                                                <div class="form-floating">
                                                    <input type="email" name="email"  required id="email" class="form-control form-control-l"
                                                           placeholder="Email address" value="{{ (old('email'))?old('email'):$email }}">
                                                    <label for="name" class="text-muted">Email *</label>
                                                </div>
                                                @if ($errors->has('email'))
                                                    <div class="small text-warning">{{ $errors->first('email') }}</div>
                                                @endif
                                            </div>
                                            <div class="col-md-8 mb-3">
                                                <div class="form-floating">
                                                    <input type="url" name="website" id="website" class="form-control form-control-l"
                                                           placeholder="Website" value="{{ (old('website'))?old('website'):$website }}">
                                                    <label for="website" class="text-muted">Website</label>
                                                </div>
                                                @if ($errors->has('website'))
                                                    <div class="small text-warning">{{ $errors->first('website') }}</div>
                                                @endif
                                            </div>
                                            <div class="col-md-4 mb-3">
                                                <div class="form-floating">
                                                    <input type="text" name="phone"  required id="phone" class="form-control form-control-l"
                                                           placeholder="Phone number" value="{{ (old('phone'))?old('phone'):$phone }}">
                                                    <label for="phone" class="text-muted">Phone *</label>
                                                </div>
                                                @if ($errors->has('phone'))
                                                    <div class="small text-warning">{{ $errors->first('phone') }}</div>
                                                @endif
                                            </div>
                                            <div class="col-md-4 mb-3">
                                                <div class="form-floating">
                                                    <select name="type" required id="type" class="form-select">
                                                        <option value="">{{ __('-- Types --') }}</option>
                                                        @foreach (getProgramPartnerTypes() as $key=>$partnerType)
                                                            <option value="{{$key}}" {{ ($type == $key)?'selected':'' }}>{{$partnerType}}</option>
                                                        @endforeach
                                                    </select>
                                                    <label for="type" class="text-muted">Type *</label>
                                                </div>
                                                @if ($errors->has('type'))
                                                    <div class="small text-warning">{{ $errors->first('type') }}</div>
                                                @endif
                                            </div>
                                            <div class="col-md-4 mb-3">
                                                <div class="form-floating">
                                                    <select name="status" id="status" class="form-select" required>
                                                        <option value="">{{ __('-- Status --') }}</option>
                                                        <option value="1" {{ ($status == 1)?'selected':'' }}>Active</option>
                                                        <option value="0" {{ ($status == 0)?'selected':'' }}>Disabled</option>
                                                    </select>
                                                    <label for="name" class="text-muted">Status *</label>
                                                    @if ($errors->has('status'))
                                                        <div class="small text-warning">{{ $errors->first('status') }}</div>
                                                    @endif
                                                </div>
                                            </div>
                                        </div>
                                    </div>



                                    <div class="col-md-12 col-sm-12 mb-3">
                                        <div class="form-floating">
                                        <textarea name="description" required id="description" class="form-control" style="min-height:150px">{{ (old('description'))?old('description'):$description }}</textarea>
                                            <label for="description" class="text-muted">Description *</label>
                                        </div>
                                        @if ($errors->has('description'))
                                            <div class="small text-warning">{{ $errors->first('description') }}</div>
                                        @endif
                                    </div>
                                    {{-- <div class="col-md-12 col-sm-12 mb-3">
                                        <label for="document" class="form-label">Upload Document</label>
                                        <input class="form-control" name="document" type="file" id="document">
                                        @if ($errors->has('document'))
                                            <div class="small text-warning">{{ $errors->first('document') }}</div>
                                        @endif
                                    </div> --}}
                                    <div class="col-md-12 mb-3">
                                        <button type="submit" class="btn btn-light-primary font-weight-bold"><i class="fa fa-paper-plane mx-1"></i> Save</button>
                                        <a href="{{route('partner.list')}}" class="btn btn-light-danger font-weight-bold"><i class="fa fa-ban mx-1"></i> Cancel</a>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    @push('vendor-scripts')
    @endpush
    @push('scripts')
        <script src="{{ asset('assets/js/bundle/bootstrapdatepicker.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/custom.js') }}"></script>

    @endpush
</x-app-layout>
