<x-app-layout>
    @push('vendor-css')
        <link rel="stylesheet" href="{{ asset('assets/plugins/custom/datatables/datatables.bundle.css') }}">
    @endpush
    <x-slot name="page_title">
        {{ __('Payroll') }}
    </x-slot>
    <x-slot name="breadcrumb">
        <ul class="breadcrumb breadcrumb-transparent breadcrumb-dot font-weight-bold p-0 my-2 font-size-sm">
            <li class="breadcrumb-item text-muted">
                <a href="{{ route('dashboard') }}" class="text-muted">{{ __('Dashboard') }}</a>
            </li>
            <li class="breadcrumb-item text-muted">
                <a href="{{ route('payment.payroll') }}" class="text-muted">{{ __('Payroll') }}</a>
            </li>
            <li class="breadcrumb-item text-muted">
                <a href="javascript:;" class="text-muted">{{ $page_title }}</a>
            </li>
        </ul>
    </x-slot>

    @if(isset($payroll))
        @if($is_a_process && $payroll->status == 1)

            @if(endVerification($status_information->id) || endVerificationByRejecting($status_information->id))
                <div class="mt-5 mb-3">
                    <h5 class="text-center ml-10 font-weight-bolder">{{ __('Payroll has been reviewed.') }}
                        <br>{{__('CURRENT STATE')}} : <span class="text-success">{{strtoupper($status_information->fullName)}}</span></h5>
                </div>
            @else
                <div class="mt-5 mb-3">
                    <h5 class="text-center">{{ __('Current Application Stage') }}: <span class="text-info ml-10 font-weight-bolder">{{strtoupper($status_information->fullName)}}</span></h5>
                </div>
            @endif
            <!--begin::Accordion-->
            <div class="accordion accordion-solid accordion-panel accordion-svg-toggle" id="view_payroll">
                <div class="card mb-7">
                    <div class="card-header" id="view_payroll_log">
                        <div class="card-title collapsed" data-toggle="collapse" data-target="#view_payroll_log_collapse">
                            <div class="card-label font-weight-bolder ">{{ __('Payroll Process Log') }}</div>
                            <span class="svg-icon">
                            <!--begin::Svg Icon | path:assets/media/svg/icons/Navigation/Angle-double-right.svg-->
                            <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24px" height="24px" viewBox="0 0 24 24" version="1.1">
                                <g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
                                    <polygon points="0 0 24 0 24 24 0 24" />
                                    <path d="M12.2928955,6.70710318 C11.9023712,6.31657888 11.9023712,5.68341391 12.2928955,5.29288961 C12.6834198,4.90236532 13.3165848,4.90236532 13.7071091,5.29288961 L19.7071091,11.2928896 C20.085688,11.6714686 20.0989336,12.281055 19.7371564,12.675721 L14.2371564,18.675721 C13.863964,19.08284 13.2313966,19.1103429 12.8242777,18.7371505 C12.4171587,18.3639581 12.3896557,17.7313908 12.7628481,17.3242718 L17.6158645,12.0300721 L12.2928955,6.70710318 Z" fill="#000000" fill-rule="nonzero" />
                                    <path d="M3.70710678,15.7071068 C3.31658249,16.0976311 2.68341751,16.0976311 2.29289322,15.7071068 C1.90236893,15.3165825 1.90236893,14.6834175 2.29289322,14.2928932 L8.29289322,8.29289322 C8.67147216,7.91431428 9.28105859,7.90106866 9.67572463,8.26284586 L15.6757246,13.7628459 C16.0828436,14.1360383 16.1103465,14.7686056 15.7371541,15.1757246 C15.3639617,15.5828436 14.7313944,15.6103465 14.3242754,15.2371541 L9.03007575,10.3841378 L3.70710678,15.7071068 Z" fill="#000000" fill-rule="nonzero" opacity="0.3" transform="translate(9.000003, 11.999999) rotate(-270.000000) translate(-9.000003, -11.999999)" />
                                </g>
                            </svg>
                                <!--end::Svg Icon-->
                        </span>
                        </div>
                    </div>
                    <div id="view_payroll_log_collapse" class="collapse" data-parent="#view_payroll">
                        <div class="card-body">
                            <div class="table-responsive">
                                <!--begin: Datatable-->
                                <table class="table table-bordered table-head-custom" id="payroll_status_log"
                                       style="margin-top: 13px !important;width: 1300px !important;">
                                    <thead>
                                    <tr>
                                        <th style="width: 150px;">{{ __('Status') }}</th>
                                        <th style="width: 100px;">{{ __('Modified By') }}</th>
                                        <th style="width: 400px;">{{ __('Message') }}</th>
                                        <th style="width: 100px;">{{ __('Created On') }}</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    @if(isset($payroll->processLog))
                                    @foreach($payroll->processLog as $processLog)
                                        <tr>
                                            <td>{{ $processLog->status->fullName }}</td>
                                            <td>{{ ($processLog->user_id == 1)?'System generated':$processLog->user->email }}</td>
                                            <td>{!! $processLog->message !!}</td>
                                            <td>{{ date('d M, Y h:i:s A', strtotime($processLog->created_at)) }}</td>
                                        </tr>
                                    @endforeach
                                    @endif
                                    </tbody>
                                </table>
                                <!--end: Datatable-->
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!--end::Row-->
        @endif
        <!--begin::Row-->
        @if($show_list)
        <div class="row">
            <div class="col-12 mb-7">
                <div class="card card-custom">
                    <div class="card-header">
                        <h3 class="card-title">{{ __('List of Beneficiaries')." ~ ".$payroll->benefit->titles }}</h3>
                        <div class="card-toolbar">
                            @if($payroll->status == 0)
                                <form method="GET" action="{{ route('payment.submitPayroll',[cryptThis($payroll->id)]) }}">
                                    @csrf
                                    <input type="hidden" name="stage_lookup_id" value="">
                                    <button type="submit" class="btn btn-success btn-sm mb-1 mr-3">
                                        <i class="la la-check-double"></i> {{ __('Submit for Approval') }}</button>
                                </form>
                            @endif
                                @if($is_a_process && $payroll->status == 1)
                            @if(!endVerification($status_information->id))
                            <a href="{{ route('payment.refreshPayroll',[cryptThis($payroll->benefit->id),cryptThis($payroll->id)]) }}" class="btn btn-light-primary btn-sm mb-1 mr-3">
                                <i class="la la-refresh"></i> {{ __('Refresh Payroll') }}</a>
                            @endif
                            @endif
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="table table-sm table-bordered table-hover" id="payroll_beneficiaries_table" style="width: 100%;margin-top: 13px !important">
                                <thead>
                                <tr>
                                    {{--@foreach($form_fields_to_show as $form_field)--}}
                                        {{--<th style="width: 150px;">{{ __($form_field->label) }}</th>--}}
                                    {{--@endforeach--}}
                                    <th style="width: 100px;">{{ __('Full Name') }}</th>
                                    <th style="width: 100px;">{{ __('Date of Birth') }}</th>
                                    <th style="width: 100px;">{{ __('Island') }}</th>
                                    <th style="width: 100px;">{{ __('BCI Account Number') }}</th>
                                    <th style="width: 100px;">{{ __('Tax Rate') }}</th>
                                    <th style="width: 100px;">{{ __('Gross Amount') }}</th>
                                    <th style="width: 100px;">{{ __('NET Amount') }}</th>
                                    <th style="width: 50px;">{{ __('Age') }}</th>
                                    <th style="width: 100px;">{{ __('Benefit') }}</th>
                                    <th style="width: 60px">{{ __('Action') }}</th>
                                </tr>
                                </thead>
                                <tbody>
                                @foreach($beneficiaries as $beneficiary)

                                    @php
                                        $age_tax_array = getBeneficiaryAgeGroupTaxByID($beneficiary->id);
                                        $age = getApplicantAgeByDOB($beneficiary->applicant->dobs);
                                    @endphp
                                    {{--@if(!isEligibility($beneficiary)) @continue @endif--}}

                                    <tr>
                                        {{--@foreach($form_fields_to_show as $form_field)--}}
                                            {{--@php $name = $form_field->name; @endphp--}}
                                            {{--<td>{{$beneficiary->beneficiaryDetail->$name}}</td>--}}
                                            {{--<td>--}}
                                                {{--@if(isset($beneficiary->beneficiaryDetail->$name))--}}
                                                    {{--@if(in_array($form_field->input_type,['date','dob']))--}}
                                                        {{--{{ date('d M Y', strtotime($beneficiary->beneficiaryDetail->$name)) }}--}}
                                                    {{--@else--}}
                                                    {{--{{getSelectedOptionTextByFieldID($form_field->id,$beneficiary->beneficiaryDetail->$name)}}--}}
                                                    {{--@endif--}}
                                                {{--@endif--}}
                                            {{--</td>--}}
                                        {{--@endforeach--}}
                                        <td>
                                            {!! "<strong>".strtoupper($beneficiary->applicant->surnames)."</strong>, ".ucwords($beneficiary->applicant->first_names) !!}
                                        </td>
                                        <td>
                                            {{date('d M Y',strtotime($beneficiary->applicant->dobs))}}
                                        </td>
                                        <td>
                                            {{ $beneficiary->applicant->contactDetails->where('status','=',1)->pluck('island')->first() }}
                                        </td>
                                        <td>
                                            {{ $beneficiary->applicant->accountDetails->where('removed','=',0)->pluck('account_number')->first() }}
                                        </td>
                                        <td>
                                            {{ $age_tax_array['tax'] }}
                                        </td>
                                        <td>
                                            {{ money($age_tax_array['amount']*((100 - $age_tax_array['tax'])/100)) }}
{{--                                            {{ money($age_tax_array['amount']) }}--}}
                                        </td>
                                        <td>
                                            {{ money($age_tax_array['amount']*((100 - $age_tax_array['tax'])/100)) }}
                                            {{--{{ money($age_tax_array['amount']) }}--}}
                                        </td>
                                        <td>
                                            {{ $age }}
                                        </td>
                                        <td>{{$benefit->titles}}</td>
                                        {{--<td>{{$beneficiary->beneficiaryDetail->first_names}}</td>--}}
                                        {{--<td>{{date('dS F, Y', strtotime($beneficiary->beneficiaryDetail->dobs))}}</td>--}}
                                        <td>
                                            <div class="dropdown">
                                                <button class="btn btn-light-primary dropdown-toggle" type="button" id="optionLinks"
                                                        data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                    {{ __('Options') }}
                                                </button>
                                                <div class="dropdown-menu" aria-labelledby="optionLinks">
                                                    <a class="dropdown-item text-primary" target="_blank"
                                                       href="{{route('beneficiaries.edit',[cryptThis($beneficiary->id)])}}">
                                                        <i class="la la-edit mr-4"></i> {{ __("Edit") }}</a>
                                                    <a class="dropdown-item text-primary" target="_blank"
                                                       href="{{route('beneficiaries.view',[cryptThis($beneficiary->id)])}}">
                                                        <i class="la la-eye mr-4"></i> {{ __("View") }}</a>
                                                    <a class="dropdown-item text-danger" href="{{route('beneficiaries.delete',[cryptThis($beneficiary->id)])}}"
                                                       onclick="return confirm('The beneficiary will be taken off the list completely. Do you want to proceed?')">
                                                        <i class="la la-trash mr-4"></i> {{ __("Delete") }}</a>
                                                    <a class="dropdown-item text-warning" href="{{route('beneficiaries.archive',[cryptThis($beneficiary->id)])}}"
                                                       onclick="return confirm('Archiving will prevent the beneficiary from receiving this benefit. Do you want to proceed?')">
                                                        <i class="la la-box mr-4"></i> {{ __("Archive") }}</a>
                                                </div>
                                            </div>
                                        </td>
                                    </tr>
                                @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!--end::Row-->
        @endif
        @if(endVerification($status_information->id) || endVerificationByRejecting($status_information->id))

        @else
            @if($permitted)
                <div class="card card-custom mb-5">
                    <div class="card-body">
                        <form method="GET" action="{{ route('payment.submitPayroll',[cryptThis($payroll->id)]) }}">
                            <div class="row">
                                @csrf
                                {{--<div class="col-md-12">--}}
                                    {{--<div class="form-group{{ $errors->has('status') ? ' form-control-warning' : '' }}">--}}
                                        {{--<label for="status">{{ __('Select Next Stage') }} <span class="required">*</span></label>--}}
                                        {{--<select name="stage_lookup_id" id="form" required class="form-control select2" style="width: 100%;">--}}
                                            {{--<option></option>--}}
                                            {{--@foreach($verification_processes as $key=>$verification_process)--}}
                                                {{--<option--}}
                                                        {{--@if(isset($status_information))--}}
                                                        {{--@if($status_information->id == $key) selected @endif--}}
                                                        {{--@endif--}}
                                                        {{--value="{{$key}}">--}}
                                                    {{--{{$verification_process}}</option>--}}
                                            {{--@endforeach--}}
                                        {{--</select>--}}
                                    {{--</div>--}}
                                {{--</div>--}}
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label for="message">{{ __('Message') }} <span class="required">*</span></label>
                                        <textarea name="message" cols="30" rows="7"
                                                  class="textarea form-control{{ $errors->has('message') ? ' is-invalid' : '' }}">{{ old('message') }}</textarea>
                                        @if ($errors->has('message'))
                                            <span class="invalid-feedback" role="alert">
                                        <strong>{{ $errors->first('message') }}</strong>
                                    </span>
                                        @endif
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-4 text-center">
                                    <div class="form-group">
                                        <button type="submit" name="next_action" value="return" class="btn btn-sm btn-light-danger mt-8" data-toggle="tooltip" title="{{ __('Send back for correction.') }}">
                                            <i class="la la-arrow-left"></i> {{ __('SEND BACK') }}</button>
                                    </div>
                                </div>
                                <div class="col-md-4 text-center">
                                    <div class="form-group">
                                        <button type="submit" name="next_action" value="proceed" class="btn btn-sm btn-success mt-8" data-toggle="tooltip" title="{{ __('Approve for next stage') }}">{{ __('APPROVE') }} <i class="la la-arrow-right ml-3"></i> </button>
                                    </div>
                                </div>
                                <div class="col-md-4 text-center">
                                    <div class="form-group">
                                        <button type="submit" name="next_action" value="reject" class="btn btn-sm btn-danger mt-8" data-toggle="tooltip" title="{{ __('End payroll process. Action not reversible.') }}"><i class="la la-times"></i> {{ __('CANCEL PAYROLL') }}</button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            @endif
        @endif
    @endif

    @if(false)
{{--    @if($page_title == 'New Payroll')--}}
        <div class="col-12 mb-7">
            <div class="card card-custom" id="action-card">
                {{--<div class="card-header">--}}
                {{--<h3 class="card-title">{{ __("$page_title for ") }} {{ $benefit->titles }}</h3>--}}
                {{--</div>--}}
                <div class="card-body">
                    <form id="add-form" action="{{route('payment.savePayroll')}}" method="POST">
                        @csrf
                        <div id="hidden-input"></div>

                        <div class="row">
                            {{--<div class="col-md-6">--}}
                            {{--<div class="form-group">--}}
                            {{--<label for="display_name">{{ __('Payment Schedule') }} <span class="required">*</span></label>--}}
                            {{--<input type="text" class="form-control" disabled value="{{ $schedule->title }}">--}}
                            <input type="hidden" name="benefit_id" class="form-control" value="{{ $benefit->id }}">
                            <input type="hidden" name="payroll_id" class="form-control" value="{{ (isset($payroll))?cryptThis($payroll->id):null }}">
                            {{--</div>--}}
                            {{--</div>--}}
                            <div class="col-md-3">
                                <div class="form-group{{ $errors->has('payment_date') ? ' form-control-warning' : '' }}">
                                    <label for="payment_date">{{ __('Payment Date') }} <span class="required">*</span></label>
                                    @php
                                        //$dates = explode(',',$schedule->day_of_payment);
                                        $dates = $schedule->day_of_payment;
                                        $day = $tax = null;

                                        if (isset($payroll)) {
                                            $day = date("d", strtotime($payroll->payment_date));
                                            $tax = $payroll->tax;
                                        }
                                    @endphp
                                    @if($schedule->type == 'Recurring')
                                        <select name="payment_date" class="form-control" required>
                                            <option>{{ __('Select Date') }}</option>
                                            @foreach($dates as $key=>$date)
                                                <option value="{{ $date }}" {{($day == $date)?'selected':''}}>{{ $date." ".date('M Y', strtotime(now())) }}</option>
                                            @endforeach
                                        </select>
                                    @else
                                        <input type="text" class="form-control" readonly disabled="disabled" value="{{ $dates[0]." ".date('M Y', strtotime(now())) }}">
                                        <input type="hidden" name="payment_date" class="form-control" value="{{ $dates[0] }}">
                                    @endif
                                    @if ($errors->has('payment_date'))
                                        <span class="form-text text-warning">{{ $errors->first('payment_date') }}</span>
                                    @endif
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <button class="btn btn-primary mt-8" type="submit">
                                        <i class="la la-save mr-1"></i> {{ __('Generate Payroll') }}</button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    @endif
    @push('vendor-scripts')
        <script src="{{ asset('assets/plugins/custom/datatables/datatables.bundle.js') }}"></script>
    @endpush
    @push('scripts')
            <script src="{{asset('assets/plugins/custom/ckeditor/ckeditor-classic.bundle.js')}}" type="text/javascript"></script>
            <script>
                $('#payroll_status_log').dataTable( {
                    "ordering": false,
                } );
                $(function () {
                    ClassicEditor.create( document.querySelector( '#message' ) );
                });
            $('#payroll_beneficiaries_table').dataTable( {
                order: [[0, 'asc']],
                dom: 'Bfrtip',
                // buttons: [
                //     'excelHtml5',
                //     'pdfHtml5'
                // ]
                buttons: [
                    {{--{--}}
                        {{--extend: 'print',--}}
                        {{--title: '{{$export_titles}}',--}}
                        {{--messageTop: '{{$header_title}}',--}}
                        {{--orientation: 'landscape',--}}
                        {{--exportOptions: {--}}
                            {{--columns: ':not(:last-child)'--}}
                        {{--}--}}
                    {{--},--}}
                    {
                        extend: 'excelHtml5',
                        title: '{{$export_titles}}',
                        messageTop: '{{$header_title}}',
                        exportOptions: {
                            columns: ':not(:last-child)'
                        }
                    },
                    'colvis'
                ],
                columnDefs: [ {
                    orderable: false,
                    targets: -1,
                    visible: true
                },{
                    orderable: false,
                    targets: 2,
                    visible: true
                } ]
            } );
            function destroy(key) {
                if (confirm("Data will be lost after Deletion. Delete?")){
                    document.getElementById('delete-form-'+key).submit();
                }
            }
        </script>
        @if(isset($payroll))
        <script>
            const APPLICATIONS_AJAX = "{{ route('payment.getPayrolls',[cryptThis($payroll->benefit->id)]) }}";
        </script>
        @endif
        <script src="{{ asset('assets/js/customjs/custom-payroll-datatable.js') }}"></script>
    @endpush
</x-app-layout>