<x-app-layout>
    @push('vendor-css')
        <link rel="stylesheet" href="{{ asset('assets/plugins/custom/datatables/datatables.bundle.css') }}">
    @endpush
    <x-slot name="page_title">
        {{ __('Debt Recoveries') }}
    </x-slot>
    <x-slot name="breadcrumb">
        <ul class="breadcrumb breadcrumb-transparent breadcrumb-dot font-weight-bold p-0 my-2 font-size-sm">
            <li class="breadcrumb-item text-muted">
                <a href="{{ route('dashboard') }}" class="text-muted">{{ __('Dashboard') }}</a>
            </li>
            <li class="breadcrumb-item text-muted">
                <a href="" class="text-muted">{{ __('Debt Recoveries') }}</a>
            </li>
        </ul>
    </x-slot>
    <!--begin::Row-->
        <div class="row">
        <div class="col-12 mb-7">
            <div class="card card-custom">
                <div class="card-header">
                    <div class="card-toolbar">
                        <ul class="nav nav-light-primary nav-bold nav-pills">
                            <li class="nav-item">
                                <a class="nav-link active" data-toggle="tab" href="#all_debt">
                                    {{--<span class="nav-icon"><i class="flaticon2-list"></i></span>--}}
                                    <span class="nav-text">{{ __('All Debt Recoveries') }}</span>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" data-toggle="tab" href="#part_paid">
                                    {{--<span class="nav-icon"><i class="flaticon2-drop"></i></span>--}}
                                    <span class="nav-text">{{ __('Pending Debts') }}</span>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" data-toggle="tab" href="#full_paid">
                                    {{--<span class="nav-icon"><i class="flaticon2-"></i></span>--}}
                                    <span class="nav-text">{{ __('Recovered Debts') }}</span>
                                </a>
                            </li>
                        </ul>
                    </div>
                </div>
                <div class="card-body">
                    <div class="tab-content">
                        <div class="tab-pane fade show active" id="all_debt" role="tabpanel" aria-labelledby="all_debt">
                            @component('components.debt-recovery-table',
                        ['debt_recoveries'=>$debt_recoveries])
                            @endcomponent
                        </div>
                        <div class="tab-pane fade" id="part_paid" role="tabpanel" aria-labelledby="part_paid">
                            <div class="table-responsive">
                                @component('components.debt-recovery-table',
                        ['debt_recoveries'=>$partial_debt_recoveries])
                                @endcomponent
                            </div>
                        </div>
                        <div class="tab-pane fade" id="full_paid" role="tabpanel" aria-labelledby="full_paid">
                            @component('components.debt-recovery-table',
                    ['debt_recoveries'=>$debt_recovered])
                            @endcomponent
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!--end::Row-->
    @push('vendor-scripts')
        <script src="{{ asset('assets/plugins/custom/datatables/datatables.bundle.js') }}"></script>
    @endpush
    @push('scripts')
        <script>
            function destroy(key) {
                if (confirm("Data will be lost after Deletion. Delete?")){
                    document.getElementById('delete-form-'+key).submit();
                }
            }
            $('#debt_recoveries_table, #pending_debt_recoveries_table, #full_debt_recovered_table').DataTable({
                dom: 'Bfrtip',
                buttons: [
                    'excelHtml5',
                    // 'print'
                ],
                pageLength: 50,
                columnDefs: [
                    { orderable: false, targets: -1 }
                ]
            });
        </script>
        {{--<script>--}}
            {{--const APPLICATIONS_AJAX = "{{ route('payment.getPayrolls') }}";--}}
        {{--</script>--}}
        {{--<script src="{{ asset('assets/js/customjs/custom-payroll-datatable.js') }}"></script>--}}
    @endpush
</x-app-layout>