<x-app-layout>
    <x-slot name="page_title">
        {{ __('Edit Beneficiary Debt Recovery') }}
    </x-slot>
    <x-slot name="breadcrumb">
        <ul class="breadcrumb breadcrumb-transparent breadcrumb-dot font-weight-bold p-0 my-2 font-size-sm">
            <li class="breadcrumb-item text-muted">
                <a href="{{ route('dashboard') }}" class="text-muted">{{ __('Dashboard') }}</a>
            </li>
            <li class="breadcrumb-item text-muted">
                <a href="{{ route('payment.debtRecovery') }}" class="text-muted">{{ __('Debt Recovery list') }}</a>
            </li>
            <li class="breadcrumb-item text-muted">
                <a href="javascript:;" class="text-muted">{{ __('Edit Debt') }}</a>
            </li>
            {{--<li class="breadcrumb-item text-muted">--}}
            {{--<a href="" class="text-muted">Empty Page</a>--}}
            {{--</li>--}}
        </ul>
    </x-slot>
    <!--begin::Row-->
    <div class="row">
        <div class="col-md-10 offset-1">
            <div class="card card-custom shadow-none">
                <div class="card-header">
                    <h4 class="card-title">{{ __('Edit Debt') }}</h4>
                </div>
                <div class="card-body">
                    <table class="table table-bordered table-sm">
                        <tr>
                            <th>{{ __('Benefit') }}</th>
                            <td>{{ $debt_recovery->benefit->titles }}</td>
                        </tr>
                        <tr>
                            <th>{{ __('Beneficiary') }}</th>
                            <td>{{ $debt_recovery->beneficiary->beneficiaryDetail->surnames." ".$debt_recovery->beneficiary->beneficiaryDetail->first_names }}</td>
                        </tr>
                        <tr>
                            <th>{{ __('Amount Due') }}</th>
                            <td>{{ money($debt_recovery->amount_due) }}</td>
                        </tr>
                        <tr>
                            <th>{{ __('Date Processed') }}</th>
                            <td>{{ date('d M Y', strtotime($debt_recovery->date_processed)) }}</td>
                        </tr>
                        <tr>
                            <th>{{ __('Period Covered') }}</th>
                            <td>{{ date('d M Y', strtotime($debt_recovery->from_date))." to ".date('d M Y', strtotime($debt_recovery->to_date)) }}</td>
                        </tr>
                        <tr>
                            <th>{{ __('Added By') }}</th>
                            <td>{{ $debt_recovery->addedBy->name }}</td>
                        </tr>
                        <tr>
                            <th>{{ __('Last Edited By') }}</th>
                            <td>{{ (isset($debt_recovery->editedBy->name))?$debt_recovery->editedBy->name." on ".date('d M Y', strtotime($debt_recovery->updated_at)):'' }}</td>
                        </tr>

                        @if($debt_recovery->amount_paid >= $debt_recovery->amount_due)
                        <tr>
                            <th>{{ __('First Payment Date') }}</th>
                            <td>{{ (isset($debt_recovery->commencement_date))?date('d M Y', strtotime($debt_recovery->commencement_date)):'' }}</td>
                        </tr>
                        <tr>
                            <th>{{ __('End Payment Date') }}</th>
                            <td>{{ (isset($debt_recovery->expiry_date))?date('d M Y', strtotime($debt_recovery->expiry_date)):'' }}</td>
                        </tr>
                        <tr>
                            <th>{{ __('Payment Date') }}</th>
                            <td>{{ (isset($debt_recovery->payment_plan))?$debt_recovery->payment_plan:'' }}</td>
                        </tr>
                        @endif
                    </table>
                    @if($debt_recovery->amount_paid < $debt_recovery->amount_due)
                    <form class="form" method="POST" action="{{ route('payment.updateDebtRecovery',[cryptThis($debt_recovery->id)]) }}">
                        @csrf
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>{{ __('First Payment Date') }} <span class="required">*</span></label>
                                    <input type="text" class="form-control {{($errors->has('commencement_date'))?'is-invalid':''}}" id="datepicker1" name="commencement_date"
                                           required value="{{ old('commencement_date')?old('commencement_date'):date('m/d/Y', strtotime($debt_recovery->commencement_date)) }}" readonly autocomplete="off" />
                                    @if ($errors->has('commencement_date'))
                                        <div class="invalid-feedback">
                                            {{ $errors->first('commencement_date') }}
                                        </div>
                                    @endif
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>{{ __('Payment Plan') }} <span class="required">*</span></label>
                                    <input type="text" class="form-control {{($errors->has('payment_plan'))?'is-invalid':''}}" name="payment_plan"
                                           required value="{{ old('payment_plan')?old('payment_plan'):$debt_recovery->payment_plan }}" autocomplete="off" />
                                    @if ($errors->has('payment_plan'))
                                        <div class="invalid-feedback">
                                            {{ $errors->first('payment_plan') }}
                                        </div>
                                    @endif
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>{{ __('End Payment Date') }} <span class="required">*</span></label>
                                    <input type="email" class="form-control {{($errors->has('expiry_date'))?'is-invalid':''}}" id="datepicker2" name="expiry_date"
                                            required value="{{ old('expiry_date')?old('expiry_date'):date('m/d/Y', strtotime($debt_recovery->expiry_date)) }}" readonly autocomplete="off" />
                                    @if ($errors->has('expiry_date'))
                                        <div class="invalid-feedback">
                                            {{ $errors->first('expiry_date') }}
                                        </div>
                                    @endif
                                </div>
                            </div>
                            {{--<div class="col-md-4">--}}
                                {{--<div class="form-group">--}}
                                    {{--<label>{{ __('Amount Paid') }} <span class="required">*</span></label>--}}
                                    {{--<input type="number" class="form-control {{($errors->has('amount_paid'))?'is-invalid':''}}" name="amount_paid"--}}
                                           {{--step="0.01" required value="{{ old('amount_paid')?old('amount_paid'):$debt_recovery->amount_paid }}" autocomplete="off" />--}}
                                    {{--@if ($errors->has('amount_paid'))--}}
                                        {{--<div class="invalid-feedback">--}}
                                            {{--{{ $errors->first('amount_paid') }}--}}
                                        {{--</div>--}}
                                    {{--@endif--}}
                                {{--</div>--}}
                            {{--</div>--}}
                        </div>

                        <div class="form-group">
                            <button type="submit" class="btn btn-light-primary">{{ __('Save') }}</button>
                        </div>
                    </form>
                    @endif
                    @if(!is_null($debt_recovery->commencement_date))
                        @if($debt_recovery->amount_paid < $debt_recovery->amount_due)
                        <hr>
                        <h4>{{ __('Amount Paid') }}</h4>

                        <form class="form" method="POST" enctype="multipart/form-data" action="{{ route('payment.updateDebtRecoveryAmount',[cryptThis($debt_recovery->id)]) }}">
                            @csrf
                            <div class="row">
                                <div class="col-md-3">
                                    <div class="form-group">
                                        @php
                                            $amount_left = (int)$debt_recovery->amount_due - (int)$debt_recovery->paidAmounts->sum('amount');
                                        @endphp
                                        <label>{{ __('Amount Paid') }} <em>({{ '$'.money($amount_left)." left to pay" }})</em> <span class="required">*</span></label>
                                        <input type="number" class="form-control {{($errors->has('amount_paid'))?'is-invalid':''}}" name="amount_paid"
                                               step="0.01" required value="{{ old('amount_paid')?old('amount_paid'):'' }}" autocomplete="off" />
                                        @if ($errors->has('amount_paid'))
                                            <div class="invalid-feedback">
                                                {{ $errors->first('amount_paid') }}
                                            </div>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-9">
                                    <div class="form-group">
                                        <label for="remark">{{ __('Comment/Remarks') }} <span class="required">*</span></label>
                                        <input type="text" class="form-control {{($errors->has('remark'))?'is-invalid':''}}" name="remark"
                                               required value="{{ old('remark')?old('remark'):'' }}" autocomplete="off" />
                                        @if ($errors->has('remark'))
                                            <div class="invalid-feedback">
                                                {{ $errors->first('remark') }}
                                            </div>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-9">
                                    <div class="form-group">
                                        <label for="file_upload">{{ __('Upload Receipt/Supporting Document') }}</label>
                                        <br>
                                        <input type="file" class="form-control{{ $errors->has('file_upload') ? ' is-invalid' : '' }}" name="file_upload"
                                               id="file_upload">
                                        @if ($errors->has('file_upload'))
                                            <span class="invalid-feedback" role="alert">
                                            <strong>{{ $errors->first('file_upload') }}</strong>
                                        </span>
                                        @endif
                                    </div>
                                </div>
                            </div>

                            <div class="form-group">
                                <button type="submit" class="btn btn-primary">{{ __('Save') }}</button>
                            </div>
                        </form>
                        @endif
                    @endif
                </div>
            </div>
            @if(!is_null($debt_recovery->commencement_date))
            <div class="card card-custom shadow-none mt-8">
                <div class="card-header">
                    <h4 class="card-title">{{ __('Amount Paid') }}</h4>
                </div>
                <div class="card-body">
                    <div class="table-responsive">
                    <table class="table table-bordered table-responsive-md">
                        @php
                        $amount_history = $debt_recovery->paidAmounts;
                        @endphp
                        <tr>
                            <th>{{ __('Date Paid') }}</th>
                            <th>{{ __('Amount($)') }}</th>
                            <th>{{ __('Recorded By') }}</th>
                            <th>{{ __('Receipt/Document Link') }}</th>
                        </tr>
                        @foreach($amount_history as $data)
                            <tr>
                                <td>{{date('d M, Y H:i:s', strtotime($data->created_at))}}</td>
                                <td>{{money($data->amount)}}</td>
                                <td>{{ucwords($data->addedBy->name)}}</td>
                                <td>@if(isset($data->receipt))
                                        <a href="{{route('download-file',['file_path'=>$data->receipt])}}"
                                           class="btn btn-light-primary btn-sm"><i class="la la-download"></i>
                                            {{ __('Download') }}</a>
                                    @endif
                                </td>
                            </tr>
                        @endforeach
                    </table>
                    </div>
                </div>
            </div>
            @endif
        </div>
    </div>
    @push('scripts')
        <script>
            var arrows;
            if (KTUtil.isRTL()) {
                arrows = {
                    leftArrow: '<i class="la la-angle-right"></i>',
                    rightArrow: '<i class="la la-angle-left"></i>'
                }
            } else {
                arrows = {
                    leftArrow: '<i class="la la-angle-left"></i>',
                    rightArrow: '<i class="la la-angle-right"></i>'
                }
            }
            $('#datepicker1, #datepicker2').datepicker({
                rtl: KTUtil.isRTL(),
                dateFormat: 'd/M/yy',
                todayHighlight: true,
                orientation: "bottom left",
                templates: arrows,
                // locale: {
                //     format: 'd/M/yy'
                // }
            }).val();
            </script>
    @endpush
    <!--end::Row-->
</x-app-layout>