<x-app-layout>

    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item active" aria-current="page">Payment Advice</li>
        </ol>
    </x-slot>
    <!-- start: page toolbar -->
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto">
                <h1 class="fs-5 color-900 mt-1 mb-0">Payment Advice</h1>
                <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i> 1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i> 4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
{{--                <div class="p-2 pe-lg-0">--}}
{{--                    <div><span class="h6 mb-0">3.66K</span> <small class="text-danger"><i class="fa fa-angle-down"></i> 7.5%</small></div>--}}
{{--                    <small class="text-muted text-uppercase">Revenue</small>--}}
{{--                </div>--}}
            </div>
        </div> <!-- .row end -->
    </x-slot>
    <!-- start: page body -->
    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg- py- mt-0 mt-lg-">
        <div class="container-fluid">
            @if(session()->has('message'))
                <div class="mb-5">
                @if(session()->get('status') == 'success')
                    <div role="alert" class="alert alert-success">{{ session()->get('message') }}</div>
                @else
                    <div role="alert" class="alert alert-danger">{{ session()->get('message') }}</div>
                @endif
                </div>
            @endif
                <div class="row g-3">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body">
                                <div class="row g-1">
                                    <div class="col-md-12">
                                        <table class="table table-bordered mb-0">
                                            <tbody>
                                            <tr>
                                                <td colspan="2" class="bg-primary text-light">
                                                    <h4 class="mb-0">PAYSLIP #45124</h4>
                                                    <span>Voucher Month: {{date('M, Y', strtotime($voucher->period))}}</span>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <h5 class="fw-bold">From:</h5>
                                                    {{settings()->get('app_project_name')}}<br>
                                                    {{settings()->get('app_owner')}}<br>
                                                    {{settings()->get('app_country_name')}}<br>
                                                </td>
                                                <td>
                                                    <h5 class="fw-bold">To:</h5>
                                                    <strong>{{$voucher->applicant->fullName}}</strong> - #{{$voucher->applicant->regID}}<br>
                                                    Email: {{$voucher->applicant->verifiedemail()}}<br>
                                                    Phone: {{$voucher->applicant->verifiedContact()}}<br>
                                                </td>
                                            </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                    <div class="col-lg-6 col-md-12">
                                        <table class="table table-hover table-bordered mb-0">
                                            <thead>
                                            <tr>
                                                <th style="width: 40px;">#</th>
                                                <th>{{__('Earnings')}}</th>
                                                <th style="width: 100px; text-align: right;">{{__('Amount')}}</th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            @php
                                                $total_earnings = $count = $total_deductions = $deduction_count = 0;
                                            @endphp
                                            @foreach($applicant_payments as $applicant_payment)
                                                @php
                                                    $total_earnings += $applicant_payment->gross_pay;
                                                @endphp
                                                <tr>
                                                    <td>{{++$count}}</td>
                                                    <td>{{$applicant_payment->benefit->titles}}</td>
                                                    <td class="text-danger text-end">{{getCurrency().' '.$applicant_payment->gross_pay}}</td>
                                                </tr>
                                            @endforeach
                                            <tr>
                                                <td></td>
                                                <td><strong>{{__('Total Earnings')}}</strong></td>
                                                <td class="text-success text-end"><strong>{{getCurrency().' '.$total_earnings}}</strong></td>
                                            </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                    <div class="col-lg-6 col-md-12">
                                        <table class="table table-hover table-bordered mb-0">
                                            <thead>
                                            <tr>
                                                <th style="width: 40px;">#</th>
                                                <th>{{__('Deductions')}}</th>
                                                <th style="width: 100px; text-align: right;">{{__('Amount')}}</th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            @foreach($applicant_payments as $applicant_payment)
                                                @php
                                                    $total_deductions += $applicant_payment->gross_pay - $applicant_payment->netable_pay;
                                                @endphp
                                                <tr>
                                                    <td>{{++$deduction_count}}</td>
                                                    <td>{{__('Tax')}}</td>
                                                    <td class="text-danger text-end">{{$applicant_payment->tax}}%</td>
                                                </tr>
                                            @endforeach
                                            <tr>
                                                <td></td>
                                                <td><strong>{{__('Total Deductions')}}</strong></td>
                                                <td class="text-danger text-end"><strong>{{getCurrency().' '.$total_deductions}}</strong></td>
                                            </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                    <div class="col-md-12">
                                        <table class="table table-bordered mb-0">
                                            <tbody>
                                            <tr>
                                                <td class="text-end">
                                                    <div class="fs-6 text-success">{{__('Total Earnings')}}:- <strong style="width: 100px; display: inline-block;">{{getCurrency().' '.$total_earnings}}</strong></div>
                                                    <div class="fs-6 text-danger">{{__('Total Deductions')}}:- <strong style="width: 100px; display: inline-block;">{{getCurrency().' '.$total_deductions}}</strong></div>
                                                    <div class="fs-5 mt-3">{{__('Net Salary')}}:- <strong style="width: 100px; display: inline-block;">{{getCurrency().' '.$total_earnings-$total_deductions}}</strong></div>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <h6 class="fw-bold">Note:</h6>
                                                    <span class="text-muted">
                                                        {{__('This payslip is provided for your records and reference. If you have any questions, concerns, or require further information regarding your earnings, please don\'t hesitate to contact our customer care department. Your satisfaction and understanding of your compensation are important to us.')}}
                                                    </span>
                                                </td>
                                            </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div> <!-- .row end -->
        </div>
    </div>
    <!-- start: page footer -->
    @push('modals')

    @endpush
@push('scripts')
        <script src="{{ asset('assets/js/bundle/dataTables.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/bundle/select2.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/bundle/sweetalert2.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/helpers.js') }}"></script>
        <script src="{{ asset('assets/js/pages/users.js') }}"></script>
        <!-- Jquery Page Js -->
        <script>
            $('#user_accounts').addClass('nowrap').dataTable({
                responsive: false,
                searching: false,
                paging: false,
                ordering: false,
                info: false,
            });

            $('.select2').select2();
        </script>
@endpush
</x-app-layout>
