<x-app-layout>

    @push('last-css')
        <link rel="stylesheet" href="{{ asset('assets/cssbundle/x-editable.min.css') }}">
        <link rel="stylesheet" href="{{ asset('assets/cssbundle/tabledragger.min.css') }}">
{{--        <link rel="stylesheet" href="{{ asset('assets/cssbundle/tabledragger.min.css') }}">--}}
{{--        <link rel="stylesheet" href="{{ asset('assets/cssbundle/tabledragger.min.css') }}">--}}
    @endpush

    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('payment.paymentVouchers') }}">Payment Vouchers</a></li>
            <li class="breadcrumb-item active" aria-current="page">Payment Batch Voucher</li>
        </ol>
    </x-slot>
    <!-- start: page toolbar -->
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto">
                <h1 class="fs-5 color-900 mt-1 mb-0">Payment Batch Voucher</h1>
                <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i> 1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i> 4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
            </div>
        </div> <!-- .row end -->
    </x-slot>
    <!-- start: page body -->
    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg- py- mt-0 mt-lg-">
        <div class="container-fluid">
            @if(session()->has('message'))
                <div class="mb-5">
                @if(session()->get('status') == 'success')
                    <div role="alert" class="alert alert-success">{{ session()->get('message') }}</div>
                @else
                    <div role="alert" class="alert alert-danger">{{ session()->get('message') }}</div>
                @endif
                </div>
            @endif
                <div class="row g-3">
                    <div class="col-12">
                        <div class="card print_invoice">
                            <div class="card-header border-bottom fs-4">
                                <h5 class="card-title mb-0">Payment Voucher</h5>
                            </div>
                            <div class="card-body">
                                <div class="card p-3">
                                    <div class="text-center">
                                        <img id="image" src="{{getProjectLogo()}}" style="width: 150px; margin: auto" alt="logo">
                                    </div>
                                    <div class="border-bottom pb-2">
                                        Marshall Nichols,<br>
                                          774 Andover St. <br>
                                          Snohomish, WA 98290 <br>

                                          Phone: (012) 3456-7890
                                    </div>
                                    <div style="clear:both"></div>
                                    <div class="customer mt-4">
                                        Widget Card. c/o List Widget
                                        <table class="meta">
                                            <tbody>
                                            <tr>
                                                <td class="meta-head">Voucher #</td>
                                                <td>{{$master->voucher_number}}</td>
                                            </tr>
                                            <tr>
                                                <td class="meta-head">Date</td>
                                                <td>{{date('d M Y', strtotime($master->voucher_date))}}</td>
                                            </tr>
                                            <tr>
                                                <td class="meta-head">Amount Due</td>
                                                <td>
                                                    <div class="due">{{ getCurrency().easyCount($master->netable_pay)}}</div>
                                                </td>
                                            </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                    <div style="clear:both"></div>
                                    <table class="items">
                                        <tbody>
                                        <tr>
                                            <th>Beneficiary</th>
                                            <th>Description</th>
                                            <th style="width: 140px;">Gross Amount</th>
                                            <th style="width: 70px;">Deduction</th>
                                            <th style="width: 140px;">Net Amount</th>
                                        </tr>
                                        @php $sum = 0; @endphp
                                        @foreach ($voucher as $list)
                                            @php $sum += $list->netable_pay; @endphp
                                        <tr class="item-row">
                                            <td class="item-name">
                                                {{$list->applicant->fullname}}
                                            </td>
                                            <td class="description">
                                                {{$list->benefit->titles}}
                                            </td>
                                            <td>{{ easyMoney($list->gross_pay)}}</td>
                                            <td>{{easyMoney($list->gross_pay-$list->netable_pay)}}</td>
                                            <td><span class="price">{{easyMoney($list->netable_pay)}}</span></td>
                                        </tr>
                                        @endforeach
                                        <tr>
                                            <td colspan="2" class="blank"> </td>
                                            <td colspan="2" class="total-line">Subtotal</td>
                                            <td class="total-value">
                                                <div id="subtotal">{{easyMoney($sum)}}</div>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td colspan="2" class="blank"> </td>
                                            <td colspan="2" class="total-line">Total</td>
                                            <td class="total-value">
                                                <div id="total">{{easyMoney($sum)}}</div>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td colspan="2" class="blank"> </td>
                                            <td colspan="2" class="total-line">Amount Paid</td>
                                            <td class="total-value">{{easyMoney($sum)}}</td>
                                        </tr>
                                        <tr>
                                            <td colspan="2" class="blank"> </td>
                                            <td colspan="2" class="total-line balance">Balance Due</td>
                                            <td class="total-value balance">
                                                <div class="due">{{easyMoney(0)}}</div>
                                            </td>
                                        </tr>
                                        </tbody>
                                    </table>
                                    <div style="clear:both"></div>
                                    <div class="footer-note mt-5">
                                        <h5>Terms</h5>
                                        <textarea class="form-control bg-light">NET 30 Days. Finance Charge of 1.5% will be made on unpaid balances after 30 days.</textarea>
                                    </div>
                                    <div class="text-center">
                                        <img id="image" src="{{asset('images/icons/Alleviate.png')}}" style="width: 80px; margin: auto" alt="logo">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-12 text-center text-md-end">
                        <button type="button" class="btn btn-lg btn-primary" onclick="window.print();return false"><i class="fa fa-print me-2"></i>Print Invoice</button>
                        <button type="button" class="btn btn-lg btn-secondary"><i class="fa fa-file-pdf-o me-2"></i>Download</button>
                    </div>
                </div> <!-- .row end -->
                <!-- Plugin Js -->
                <script src="{{asset('assets/js/bundle/invoice.bundle.js')}}"></script>
        </div>
    </div>
    <!-- start: page footer -->
    @push('modals')

    @endpush
@push('scripts')
{{--        <script src="{{ asset('assets/js/bundle/dataTables.bundle.js') }}"></script>--}}
{{--        <script src="{{ asset('assets/js/bundle/select2.bundle.js') }}"></script>--}}
{{--        <script src="{{ asset('assets/js/bundle/sweetalert2.bundle.js') }}"></script>--}}
{{--        <script src="{{ asset('assets/js/helpers.js') }}"></script>--}}
{{--        <script src="{{ asset('assets/js/pages/users.js') }}"></script>--}}
        <!-- Jquery Page Js -->
{{--        <script>--}}
{{--            $('.myDataTable').addClass('nowrap').dataTable({--}}
{{--                rresponsive: false,--}}
{{--                searching: false,--}}
{{--                paging: false,--}}
{{--                ordering: false,--}}
{{--                info: false,--}}
{{--            });--}}

{{--            $('.select2').select2();--}}
{{--        </script>--}}
@endpush
</x-app-layout>
