<x-app-layout>

    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('payment.paymentVouchers') }}">Payment Vouchers</a></li>
            <li class="breadcrumb-item active" aria-current="page">Payment Batch List</li>
        </ol>
    </x-slot>
    <!-- start: page toolbar -->
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto">
                <h1 class="fs-5 color-900 mt-1 mb-0">Payment Batch List</h1>
                <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i> 1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i> 4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
            </div>
        </div> <!-- .row end -->
    </x-slot>
    <!-- start: page body -->
    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg- py- mt-0 mt-lg-">
        <div class="container-fluid">
            @if(session()->has('message'))
                <div class="mb-5">
                @if(session()->get('status') == 'success')
                    <div role="alert" class="alert alert-success">{{ session()->get('message') }}</div>
                @else
                    <div role="alert" class="alert alert-danger">{{ session()->get('message') }}</div>
                @endif
                </div>
            @endif
                <div class="row g-3">

                    <div class="col-md-12">
                        <div class="card">
                            <div class="card-body">
                                <form action="#" method="get">
                                    @csrf
                                    <div class="input-group">
                                        <input type="text" name="voucher_id" id="voucher_id" placeholder="Voucher #" class="form-control">

                                        <select name="status" id="status" class="form-select">
                                            <option value="">-- {{ __('Status') }} --</option>
                                            @foreach(getPaymentVoucherStatus() as $id=>$name)
                                                <option value="{{$id}}">{{ $name }}</option>
                                            @endforeach
                                        </select>
                                        <button class="btn btn-secondary" type="submit" data-bs-toggle="tooltip" title="Search"><i class="fa fa-search"></i></button>
                                        <a href="#" class="btn btn-primary" data-bs-toggle="tooltip" title="Add new Voucher"> <i class="fa fa-plus me-2"></i> {{__('New')}}</a>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-12">
                        <div class="table-responsive mt-10">
                            <table id="forms_table" class="table myDataTable align-middle table-bordered mb-3 custom-table">
                                <thead>
                                <tr>
                                    <th>ID</th>
                                    <th>Name</th>
                                    <th>Gross Pay</th>
                                    <th>PF Fund</th>
                                    <th>Deduction</th>
                                    <th>Net Payable</th>
                                    <th>Status</th>
                                    <th>Action</th>
                                </tr>
                                </thead>
                                <tbody>
                                    @foreach ($voucher_list as $list)
                                        <tr>
                                            <td>{{$list->applicant_ref_no}}</td>
                                            <td>{{$list->applicant->surnames." ".$list->applicant->first_names}}</td>
                                            <td>{{ easyMoney($list->gross_pay)}}</td>
                                            <td>{{$list->tax}}%</td>
                                            <td>{{easyMoney($list->gross_pay-$list->netable_pay)}}</td>
                                            <td>{{easyMoney($list->netable_pay)}}</td>
                                            <td><span class="badge bg-success">Approved</span></td>
                                            <td>
                                                <a href="{{route('payment.paymentAdvice',[$list->id])}}" class="btn btn-sm btn-link text-primary" data-bs-toggle="tooltip" title="Open Payment Advice"><i class="fa fa-file"></i></a>

                                                @if(canDo('administrator','voucher-management'))
                                                    <button type="button" class="btn btn-sm btn-link text-primary" data-bs-toggle="tooltip" title="Pause"><i class="fa fa-pause"></i></button>
                                                    <button type="button" class="btn btn-sm btn-link text-primary" data-bs-toggle="tooltip" title="Debt Recovery"><i class="fa fa-refresh"></i></button>
                                                    <button type="button" class="btn btn-sm btn-link text-danger" data-bs-toggle="tooltip" title="Remove from list"><i class="fa fa-trash-o"></i></button>
                                                @endif
                                            </td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div> <!-- .row end -->
        </div>
    </div>
    <!-- start: page footer -->
    @push('modals')

    @endpush
@push('scripts')
        <script src="{{ asset('assets/js/bundle/dataTables.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/bundle/select2.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/bundle/sweetalert2.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/helpers.js') }}"></script>
        <script src="{{ asset('assets/js/pages/users.js') }}"></script>
        <!-- Jquery Page Js -->
        <script>
            $('.myDataTable').addClass('nowrap').dataTable({
                rresponsive: false,
                searching: false,
                paging: false,
                ordering: false,
                info: false,
            });

            $('.select2').select2();
        </script>
@endpush
</x-app-layout>
