<x-app-layout>
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item active" aria-current="page">Permissions Management</li>
        </ol>
    </x-slot>
    <!-- start: page toolbar -->
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto">
                <h1 class="fs-5 color-900 mt-1 mb-0">Permissions Management</h1>
                <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
            </div>
        </div> <!-- .row end -->
    </x-slot>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg-2 py-1 mt-0 mt-lg-3">
        <div class="container-fluid">
            @component('components.announcement')@endcomponent
            <!--begin::Row-->
            <div class="row">
                <div class="col-12 mb-4">
                    <div class="card card-custom" id="action-card">
                        <div class="card-header">
                            <h3 class="card-title">Add Permission</h3>
                        </div>
                        <div class="card-body">
                            <form id="add-form" action="{{route('account.permissions.create')}}" method="post">
                                @csrf
                                <div id="hidden-input"></div>
                                <div class="row">
                                    <div class="col-md-4">
                                        <div class="form-group{{ $errors->has('permission_name') ? ' form-control-warning' : '' }} mb-3">
                                            <label for="permission_name">{{ __('Permission Name') }}<span
                                                        class="required">*</span></label>
                                            <input type="text" required min="2" name="permission_name"
                                                   class="form-control" value="{{ old('permission_name') }}"
                                                   id="permission_name">
                                            @if ($errors->has('permission_name'))
                                                {{--<p class="text-right">--}}
                                                <span class="form-text text-danger">{{ $errors->first('permission_name') }}</span>
                                                {{--</p>--}}
                                            @endif
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group{{ $errors->has('display_name') ? ' form-control-warning' : '' }} mb-3">
                                            <label for="display_name">{{ __('Permission Display Name') }} <span
                                                        class="required">*</span></label>
                                            <input type="text" name="display_name" class="form-control"
                                                   value="{{ old('display_name') }}" id="display_name">
                                            @if ($errors->has('display_name'))
                                                <span class="form-text text-danger">{{ $errors->first('display_name') }}</span>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group{{ $errors->has('module') ? ' form-control-warning' : '' }} mb-3">
                                            <label for="module">{{ __('Module') }} <span
                                                        class="required">*</span></label>
                                            <select name="module" id="module" class="form-select">
                                                <option value="">-- Choose --</option>
                                                @foreach(config('settings.permission_modules') as $key=>$module)
                                                    <option value="{{$module}}">{{\Illuminate\Support\Str::headline($module)}}</option>
                                                @endforeach
                                            </select>
                                            @if ($errors->has('module'))
                                                <span class="form-text text-danger">{{ $errors->first('module') }}</span>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group{{ $errors->has('type') ? ' form-control-warning' : '' }} mb-3">
                                            <label for="access_type">{{ __('Access Type') }} <span
                                                        class="required">*</span></label>
                                            <select name="access_type" id="access_type" class="form-select">
                                                <option value="">-- Choose --</option>
                                                @foreach(config('settings.access_types') as $key=>$type)
                                                    <option value="{{$type}}">{{\Illuminate\Support\Str::headline($type)}}</option>
                                                @endforeach
                                            </select>
                                            @if ($errors->has('access_type'))
                                                <span class="form-text text-danger">{{ $errors->first('access_type') }}</span>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="col-md-8">
                                        <div class="form-group{{ $errors->has('permission_desp') ? ' form-control-warning' : '' }} mb-3">
                                            <label for="group_desp">{{ __('Permission Description') }}</label>
                                            <input type="text" name="permission_desp"
                                                   placeholder="Permission Description"
                                                   value="{{ old('permission_desp') }}" class="form-control"
                                                   id="permission_desp">
                                            @if ($errors->has('permission_desp'))
                                                <span class="form-text text-danger">{{ $errors->first('permission_desp') }}</span>
                                            @endif
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <button class="btn btn-primary square" type="submit">
                                        <i class="fa fa-paper-plane mr-1"></i> Save
                                    </button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
                <div class="col-12">
                    <div class="card card-custom">
                        <div class="card-header">
                            <h3 class="card-title">{{ __('Permissions') }}</h3>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table table-hover" id="permissions_table">
                                    <thead>
                                    <tr>
                                        <th width="50px">#</th>
                                        <th>Permission</th>
                                        <th>Module</th>
                                        <th width="120px">Actions</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    @if($permissions->count() > 0)
                                        @php $counter=0; @endphp
                                        @foreach($permissions as $permission)
                                            <tr>
                                                <td>{{$counter+=1}}</td>
                                                <td>{{$permission->display_name}}
                                                    <br>
                                                    <small class="text-muted">{{$permission->name}}</small></td>
                                                <td>{{Str::headline($permission->module)}}
                                                    <br>
                                                    <small class="text-muted">{{$permission->access_type}}</small></td>
                                                <td>
                                                    <a class="btn btn-link" href="#action-card"
                                                       onclick="editPermission('{{$permission->id}}')">
                                                        <i class="fa fa-edit"></i>
                                                    </a>
                                                    <a class="btn btn-link text-danger">
                                                        <i class="fa fa-trash"></i>
                                                    </a>
                                                </td>
                                            </tr>
                                        @endforeach
                                    @else
                                        <tr>
                                            <td colspan="4" class="text-center">No Permission Set</td>
                                        </tr>
                                    @endif
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!--end::Row-->
        </div>
    </div>
    @push('vendor-scripts')
    @endpush
    @push('scripts')
        <script>
            $('#permissions_table').dataTable({
                "ordering": false
            });

            function editPermission(key) {
                var path = "{{route('account.permissions.edit')}}";
                var path_update = "{{route('account.permissions.update')}}";
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-Token': $('meta[name=_token]').attr('content')
                    }
                });
                $.ajax({
                    url: path,
                    type: 'GET',
                    data: {id: key},
                    beforeSend: function () {
                    },
                    success: function (data) {
                        $('input#permission_name').val(data.name);
                        $('input#display_name').val(data.display_name);
                        $('input#permission_desp').val(data.description);
                        $('select#module').val(data.module);
                        $('select#access_type').val(data.access_type);
                        $("form#add-form").attr("action", path_update);
                        $('div#hidden-input').html('<input type="hidden" name="id" value="' + data.id + '"><input type="hidden" name="_method" value="PUT">');
                    },
                    complete: function () {
                    }
                    ,
                    error: function (data) {
                    }
                });
            }
        </script>
    @endpush
</x-app-layout>
