<?php
    $country = $currency = null;

    if(!is_null($country_plan)) {
        $country = $country_plan->country_id;
        $currency = $country_plan->currency_id;
    }
?>

<form action="{{ route('plan.saveCountryPlan') }}" method="post">@csrf
<div class="row">
    <div class="col-md-12 mb-3">
        <div class="form-floating">
            <select name="country" id="country" required class="form-control">
                <option value="">-- {{__('Choose')}} --</option>
                @foreach($countries as $country_data)
                    <option value="{{$country_data->id}}" {{ ($country == $country_data->id)?'selected':'' }}>{{ $country_data->country_name }}</option>
                @endforeach
            </select>
            <label for="country" class="required">{{__('Country')}}*</label>
        </div>
        @if ($errors->has('country'))
            <p class="text-right">
                <span class="text-warning form-text">{{ $errors->first('country') }}</span>
            </p>
        @endif
    </div>
    <div class="col-md-12 mb-3">
        <div class="form-floating">
            <select name="currency" id="currency" required class="form-control">
                <option value="">-- {{__('Choose')}} --</option>
                @foreach($countries as $country)
                    @continue(is_null($country->currency_name))
                    <option value="{{$country->id}}" {{ ($currency == $country->id)?'selected':'' }}>{{ $country->currency_name.' ('.$country->currency_code.')' }}</option>
                @endforeach
            </select>
            <label for="currency" class="required">{{__('Currency')}}*</label>
        </div>
        @if ($errors->has('currency'))
            <p class="text-right">
                <span class="text-warning form-text">{{ $errors->first('currency') }}</span>
            </p>
        @endif
    </div>
</div>

<p class="fw-bold text-muted mt-4">Plans & Pricing</p>

@if($plans->count() > 0)
        <div class="row">
            @foreach($plans as $plan)
                @continue($plan->price <= 0)
                @php
                $pricing = null;
                if (isset($country_plan_pricing[$plan->id])) $pricing = $country_plan_pricing[$plan->id];
                @endphp
                <div class="col-md-12 mb-3">
                    <div class="form-floating">
                        <input type="number" class="form-control" value="{{$pricing}}" name="plan[{{$plan->id}}]" id="{{$plan->slug}}">
                        <label for="{{$plan->slug}}">{{$plan->name}}</label>
                    </div>
                    @if ($errors->has($plan->slug))
                        <p class="text-right">
                            <span class="text-warning form-text">{{ $errors->first($plan->slug) }}</span>
                        </p>
                    @endif
                </div>
            @endforeach
            <div class="col-md-12 mb-3">
                <button type="submit" class="btn btn-lg btn-primary w-100">Save</button>
            </div>
        </div>
@else
    <div role="alert" class="alert alert-danger">No Plan available</div>
@endif
</form>
<script>
    $("select#country").change(function (e){
        var selectedCountry = $(this).children("option:selected").val();
        $('select#currency').val(selectedCountry);
    });
</script>
