<x-app-layout>
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">{{__('Home')}}</a></li>
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('plan.list') }}">{{__('Plan Subscriptions')}}</a></li>
            <li class="breadcrumb-item active" aria-current="page">{{__('Country Plan Pricing')}}</li>
        </ol>
    </x-slot>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg-2 py-1 mt-0 mt-lg-2">
        <div class="container-fluid">

            <div class="row mb-3">
                <div class="col-12">
                    <div class="row">
                        <div class="col-md-6">
                            <h5 class="card-title mb-2">{{__('Country Plan Pricing')}}</h5>
                        </div>
                        <div class="col-md-6 text-end">
                            <button class="btn btn-primary"  onclick="getCountryPlanPricing(0)"
                                    data-bs-toggle="modal" data-bs-target="#countryPlanPricing">
                                Add Country Pricing</button>
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-12">
                <div class="table-responsive">
                    <table id="country_plan" class="table table-sm table-bordered mb-0 custom-table nowrap mt-3 mb-3">
                        <thead>
                        <tr>
                            <th style="width: 50px">#</th>
                            <th>Country</th>
                            <th style="width: 150px">Currency</th>
                            <th style="width: 150px">Last Updated</th>
                            <th style="width: 80px">Action</th>
                        </tr>
                        </thead>
                        <tbody>
                            @php($count=0)
                            @foreach($country_plans as $country_plan)
                                <tr>
                                    <td>{{++$count}}</td>
                                    <td>
                                        <span class="flag-icon flag-icon-{{(strtolower($country_plan->country->country_code) == 'en')?'gb':strtolower($country_plan->country->country_code)}} me-2"></span>
                                        {{$country_plan->country->country_name}}
                                    </td>
                                    <td>{{$country_plan->currency->currency_code}}</td>
                                    <td>{{easyDate($country_plan->updated_at)}}</td>
                                    <td>
                                        <form action="{{route('plan.deleteCountryPlan')}}" method="post">
                                            @csrf @method('delete')
                                            <input type="hidden" name="country_plan_id" value="{{$country_plan->id}}">
                                            <button type="button" class="btn btn-sm text-primary" data-bs-toggle="modal"
                                                    data-bs-target="#countryPlanPricing" onclick="getCountryPlanPricing({{$country_plan->id}})">
                                                <i class="bi-pencil"></i></button>
                                            <button type="submit" class="btn btn-sm text-danger"><i class="bi-trash"></i></button>
                                        </form>
                                    </td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>

        </div>
    </div>
    <div class="modal fade" id="countryPlanPricing" data-backdrop="static" tabindex="-1" role="dialog"
         aria-labelledby="staticBackdrop" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Country Plan Pricing</h5>
                    <button type="button" class="btn btn-link close" data-bs-dismiss="modal" aria-label="Close">
                        <i aria-hidden="true" class="fa fa-times"></i>
                    </button>
                </div>
                <div class="modal-body px-4">
                    <p class="text-muted">Provide the pricing for each plan.</p>
                    <div id="info">

                    </div>
                </div>
            </div>
        </div>
    </div>
    @push('scripts')
            <script src="{{ asset('assets/js/bundle/dataTables.bundle.js') }}"></script>
        <script>
            $('#country_plan').addClass('nowrap').dataTable({
                responsive: false,
                searching: true,
                paging: true,
                ordering: true,
                info: false,
            });

            $("select#country").change(function (e){
                var selectedCountry = $(this).children("option:selected").val();
                $('select#currency').val(selectedCountry);
            });

            function getCountryPlanPricing(id) {
                $('#info').empty();
                $.get('/plans/get-country-plan/'+id, function(data){
                    $('#info').html(data.view);
                });
            }
        </script>
    @endpush
    </x-app-layout>
