<x-app-layout>

    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">{{__('Home')}}</a></li>
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('plan.list') }}">{{__('Plan Subscriptions')}}</a></li>
            <li class="breadcrumb-item active" aria-current="page">{{$action}}</li>
        </ol>
    </x-slot>

    @php
        $name = $price = $signup_fee = $description = $sort_order = $active_subscribers_limit = $grace_interval = $trial_interval = null;
        $grace_period = $trial_period = $year_discount_percent = 0; $invoice_period = 1; $invoice_interval = 'month';
        $plan_features = [];
        $is_custom = 0;

        if (isset($plan)) {
            $name = $plan->name;
            $price = $plan->price;
            $year_discount_percent = $plan->year_discount_percent;
            $signup_fee = $plan->signup_fee;
            $description = $plan->description;
            $sort_order = $plan->sort_order;
            $active_subscribers_limit = $plan->active_subscribers_limit;
            $grace_interval = $plan->grace_interval;
            $trial_interval = $plan->trial_interval;
            $grace_period = $plan->grace_period;
            $trial_period = $plan->trial_period;
            $invoice_period = $plan->invoice_period;
            $invoice_interval = $plan->invoice_interval;
            $is_custom = $plan->is_custom;
            $plan_features = $plan->features->pluck('name')->toArray();
        }
    @endphp

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg-2 py-1 mt-0 mt-lg-2">
        <div class="container-fluid">
            <div class="row g-3 mb-lg-5">
                <form action="{{ route('plan.savePlan') }}" enctype="multipart/form-data" method="post">@csrf
                    @if(isset($plan))<input type="hidden" name="plan_slug" value="{{ $plan->slug }}"> @endif
                    <div class="card">
                        <div class="card-body">

                            <p class="text-danger">{{__('Please complete the form below')}}</p>
                            <div class="row mb-3">
                                <div class="col-12">
                                    <label class="fw-bold mb-2">{{__('Plan Description')}}</label>
                                </div>
                                <div class="col-md-4 col-sm-12 mb-3">
                                    <div class="form-floating">
                                        <input type="text" name="name"  required id="name" class="form-control form-control-l"
                                               value="{{ (old('name'))?old('name'):$name }}" placeholder="Name">
                                        <label class="text-muted">{{__('Name')}} *</label>
                                    </div>
                                    @if ($errors->has('name'))
                                        <div class="small text-warning">{{ $errors->first('name') }}</div>
                                    @endif
                                </div>
                                <div class="col-md-8 col-sm-12 mb-3">
                                    <div class="form-floating">
                                        <input type="text" name="description" required id="description" class="form-control form-control-l"
                                               value="{{ (old('description'))?old('description'):$description }}"
                                               placeholder="Enter the description for this plan">
                                        <label class="text-muted">{{__('Description')}} *</label>
                                    </div>
                                    @if ($errors->has('description'))
                                        <div class="small text-warning">{{ $errors->first('description') }}</div>
                                    @endif
                                </div>
{{--                                <div class="col-md-2 col-sm-12 mb-3">--}}
{{--                                    <div class="form-floating">--}}
{{--                                        <input type="number" name="sort_order" required id="sort_order" class="form-control form-control-l"--}}
{{--                                               value="{{ (old('sort_order'))?old('sort_order'):$sort_order }}" min="1" placeholder="1">--}}
{{--                                        <label class="text-muted">{{__('Order')}} *</label>--}}
{{--                                    </div>--}}
{{--                                    @if ($errors->has('sort_order'))--}}
{{--                                        <div class="small text-warning">{{ $errors->first('sort_order') }}</div>--}}
{{--                                    @endif--}}
{{--                                </div>--}}
                                <div class="col-12">
                                    <label class="fw-bold mb-2">{{__('Pricing')}}</label>
                                </div>
                                <div class="col-md-4 col-sm-12 mb-3">
                                    <div class="form-floating">
                                        <input type="number" name="signup_fee" required id="signup_fee" class="form-control form-control-l"
                                               value="{{ (old('signup_fee'))?old('signup_fee'):$signup_fee }}" min="0" placeholder="99.9">
                                        <label class="text-muted">{{__('Sign Up Fee')}} *</label>
                                    </div>
                                    @if ($errors->has('signup_fee'))
                                        <div class="small text-warning">{{ $errors->first('signup_fee') }}</div>
                                    @endif
                                </div>
                                <div class="col-md-4 col-sm-12 mb-3">
                                    <div class="form-floating">
                                        <input type="number" step="0.01" min="0" name="price" required id="price" class="form-control form-control-l"
                                               value="{{ (old('price'))?old('price'):$price }}" placeholder="99.9">
                                        <label class="text-muted">{{__('Monthly Price')}} <small>({{env('DEFAULT_CURRENCY_CODE')}})</small> *</label>
                                    </div>
                                    @if ($errors->has('price'))
                                        <div class="small text-warning">{{ $errors->first('price') }}</div>
                                    @endif
                                </div>
                                <div class="col-md-4 col-sm-12 mb-3">
                                    <div class="form-floating">
                                        <input type="number" step="0.1" min="0" name="year_discount_percent" required id="year_discount_percent" class="form-control form-control-l"
                                               value="{{ (old('year_discount_percent'))?old('year_discount_percent'):$year_discount_percent }}" placeholder="1">
                                        <label class="text-muted" for="year_discount_percent">{{__('Annual Discount')}}(%)</label>
                                    </div>
                                    @if ($errors->has('year_discount_percent'))
                                        <div class="small text-warning">{{ $errors->first('year_discount_percent') }}</div>
                                    @endif
                                </div>
                                <div class="col-md-4 col-sm-12 mb-3">
                                    <div class="form-floating">
                                        <input type="number" name="invoice_period" id="invoice_period" class="form-control form-control-l" min="1"
                                              max="12" value="{{ (old('invoice_period'))?old('invoice_period'):$invoice_period }}" placeholder="1">
                                        <label class="text-muted">{{__('Invoice Period (Month)')}}</label>
                                    </div>
                                    @if ($errors->has('invoice_period'))
                                        <div class="small text-warning">{{ $errors->first('invoice_period') }}</div>
                                    @endif
                                </div>
{{--                                <div class="col-md-2 col-sm-12 mb-3">--}}
{{--                                    <div class="form-floating">--}}
{{--                                        <select name="invoice_interval" id="invoice_interval" class="form-select">--}}
{{--                                            @foreach(config('settings.intervals') as $key=>$option)--}}
{{--                                                <option value="{{$option}}" @selected($invoice_interval == $option)>{{$option}}</option>--}}
{{--                                            @endforeach--}}
{{--                                        </select>--}}
{{--                                        <label class="text-muted">{{__('Invoice Interval')}}</label>--}}
{{--                                    </div>--}}
{{--                                    @if ($errors->has('invoice_interval'))--}}
{{--                                        <div class="small text-warning">{{ $errors->first('invoice_interval') }}</div>--}}
{{--                                    @endif--}}
{{--                                </div>--}}
                                <div class="col-md-4 col-sm-12 mb-3">
                                    <div class="form-floating">
                                        <input type="number" name="trial_period" id="trial_period" class="form-control form-control-l" min="0"
                                               max="12" value="{{ (old('trial_period'))?old('trial_period'):$trial_period }}" placeholder="1">
                                        <label class="text-muted">{{__('Trial Period (Month)')}}</label>
                                    </div>
                                    @if ($errors->has('trial_period'))
                                        <div class="small text-warning">{{ $errors->first('trial_period') }}</div>
                                    @endif
                                </div>
                                <div class="col-md-4 col-sm-12 mb-3">
                                    <div class="form-floating">
                                        <input type="number" name="active_subscribers_limit" required id="active_subscribers_limit" class="form-control form-control-l"
                                               min="1" value="{{ (old('active_subscribers_limit'))?old('active_subscribers_limit'):$active_subscribers_limit }}" placeholder="100">
                                        <label class="text-muted">{{__('Max Beneficiaries')}} *</label>
                                    </div>
                                    @if ($errors->has('active_subscribers_limit'))
                                        <div class="small text-warning">{{ $errors->first('active_subscribers_limit') }}</div>
                                    @endif
                                </div>
{{--                                <div class="col-md-2 col-sm-12 mb-3">--}}
{{--                                    <div class="form-floating">--}}
{{--                                        <select name="trial_interval" id="trial_interval" class="form-select">--}}
{{--                                            @foreach(config('settings.intervals') as $key=>$option)--}}
{{--                                                <option value="{{$option}}" @selected($trial_interval == $option)>{{$option}}</option>--}}
{{--                                            @endforeach--}}
{{--                                        </select>--}}
{{--                                        <label class="text-muted">{{__('Trial Interval')}}</label>--}}
{{--                                    </div>--}}
{{--                                    @if ($errors->has('trial_interval'))--}}
{{--                                        <div class="small text-warning">{{ $errors->first('trial_interval') }}</div>--}}
{{--                                    @endif--}}
{{--                                </div>--}}
                                <div class="col-12">
                                    <label class="fw-bold mb-2">{{__('Plan Features')}}</label>
                                </div>

                                <div class="col-md-12 col-sm-12 mb-3">
                                    <div class="row">
                                        <div class="col-md-12 col-sm-12 mb-2">
                                            <label for="plan_features" class="fw-bolder">{{__('Plan Modules')}}</label>
                                        </div>
                                        @foreach(config('settings.plan_features') as $name=>$params)
                                            <div class="col-md-3">
                                                <div class="form-check">
                                                    <input class="form-check-input" type="checkbox" value="{{$name}}" id="{{$name}}"
                                                           @checked(in_array($name,$plan_features)) name="plan_features[]">
                                                    <label class="form-check-label" for="{{$name}}">{{Str::headline($name)}}</label>
                                                </div>
                                            </div>
                                        @endforeach
                                        <div class="col-md-12 col-sm-12 mt-2 mb-2">
                                            <label for="plan_features" class="fw-bolder">{{__('Type of Reporting')}}</label>
                                        </div>
                                        @foreach(config('settings.reporting_plan_features') as $name=>$params)
                                            <div class="col-md-3">
                                                <div class="form-check">
                                                    <input class="form-check-input" type="radio" value="{{$name}}" id="{{$name}}"
                                                           @checked(in_array($name,$plan_features)) name="reporting_plan_features">
                                                    <label class="form-check-label" for="{{$name}}">{{Str::headline($name)}}</label>
                                                </div>
                                            </div>
                                        @endforeach
                                        <div class="col-md-12 col-sm-12 mt-2 mb-2">
                                            <label for="plan_features" class="fw-bolder">{{__('Type of Support')}}</label>
                                        </div>
                                        @foreach(config('settings.support_plan_features') as $name=>$params)
                                            <div class="col-md-3">
                                                <div class="form-check">
                                                    <input class="form-check-input" type="radio" value="{{$name}}" id="{{$name}}"
                                                           @checked(in_array($name,$plan_features)) name="support_plan_features">
                                                    <label class="form-check-label" for="{{$name}}">{{Str::headline($name)}}</label>
                                                </div>
                                            </div>
                                        @endforeach
                                    </div>
                                </div>

                                <div class="col-md-12 mb-3 mt-3">
                                    <label class="fw-bold mb-2">{{__('Visibility')}}</label>
                                    <div class="form-check">
                                        <input class="form-check-input" type="checkbox" value="1" id="is_custom"
                                               @checked($is_custom) name="is_custom">
                                        <label class="form-check-label" for="is_custom">{{__('Private Plan')}}</label>
                                    </div>
{{--                                    <div class="form-floating">--}}
{{--                                        <select name="is_custom" id="is_custom" class="form-select">--}}
{{--                                            <option value="0" @selected($is_custom == 0)>{{__('No')}}</option>--}}
{{--                                            <option value="1" @selected($is_custom == 1)>{{__('Yes')}}</option>--}}
{{--                                        </select>--}}
{{--                                        <label class="text-muted"></label>--}}
{{--                                    </div>--}}
                                    @if ($errors->has('is_custom'))
                                        <div class="small text-warning">{{ $errors->first('is_custom') }}</div>
                                    @endif
                                </div>
                                <div class="col-md-12 col-sm-12 mb-3">
                                    <button type="reset" class="btn btn-light-danger">Clear</button>
                                    <button type="submit" class="btn btn-primary"><i class="bi-paper-plane"></i> Save</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>

        </div>
    </div>

    @push('scripts')
        <script src="{{ asset('assets/js/bundle/dataTables.bundle.js') }}"></script>
        <script>
            $('#country_costs').addClass('nowrap').dataTable({
                responsive: false,
                searching: true,
                paging: true,
                ordering: true,
                info: false,
            });

            $("select#country").change(function (e){
                var selectedCountry = $(this).children("option:selected").val();
                $('select#currency').val(selectedCountry);
            });
        </script>
    @endpush
</x-app-layout>
