<div class="card card-custom">
    <!--begin::Header-->
    <div class="card-header py-3">
        <div class="card-title align-items-start flex-column">
            <h3 class="card-label font-weight-bolder text-dark">{{ __('Change Password') }}</h3>
            <span class="text-muted font-weight-bold font-size-sm mt-1">{{ __('Change your account password') }}</span>
        </div>
    </div>
    <!--end::Header-->
    <!--begin::Form-->
    <form class="form" action="{{ route('account.change_password_update') }}" method="POST">
        @csrf
        <div class="card-body">
            <!--begin::Alert-->
            <div class="alert alert-custom alert-light-info fade show mb-10" role="alert">
                <div class="alert-icon">
                    <span class="svg-icon svg-icon-3x svg-icon-danger">
                        <!--begin::Svg Icon | path:assets/media/svg/icons/Code/Info-circle.svg-->
                        <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24px" height="24px" viewBox="0 0 24 24" version="1.1">
                            <g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
                                <rect x="0" y="0" width="24" height="24" />
                                <circle fill="#000000" opacity="0.3" cx="12" cy="12" r="10" />
                                <rect fill="#000000" x="11" y="10" width="2" height="7" rx="1" />
                                <rect fill="#000000" x="11" y="7" width="2" height="2" rx="1" />
                            </g>
                        </svg>
                        <!--end::Svg Icon-->
                    </span>
                </div>
                <div class="alert-text font-weight-bold">
                    {{ __('Adopt a strong password but worth remembering. You will be logged out after resetting your password!') }}
                </div>
            </div>
            <!--end::Alert-->
            <div class="form-group row">
                <label class="col-xl-3 col-lg-3 col-form-label text-alert">{{ __('Current Password') }}</label>
                <div class="col-lg-9 col-xl-6">
                    <input type="password" placeholder="{{ __('Current Password') }}" name="old_password"
                           class="form-control form-control-lg form-control-solid {{($errors->has('old_password'))?'is-invalid':''}} mb-2"/>
                    @if ($errors->has('old_password'))
                        <div class="invalid-feedback">
                            {{ $errors->first('old_password') }}
                        </div>
                    @endif
                </div>
            </div>
            <div class="form-group row">
                <label class="col-xl-3 col-lg-3 col-form-label text-alert">{{ __('New Password') }}</label>
                <div class="col-lg-9 col-xl-6">
                    <input type="password" class="form-control form-control-lg form-control-solid {{($errors->has('password'))?'is-invalid':''}}"
                           placeholder="{{ __('New Password') }}" name="password" />
                    @if ($errors->has('password'))
                        <div class="invalid-feedback">
                            {{ $errors->first('password') }}
                        </div>
                    @endif
                </div>
            </div>
            <div class="form-group row">
                <label class="col-xl-3 col-lg-3 col-form-label text-alert">{{ __('Verify Password') }}</label>
                <div class="col-lg-9 col-xl-6">
                    <input type="password" class="form-control form-control-lg form-control-solid" name="password_confirmation"
                           placeholder="{{ __('Verify Password') }}" />
                    @if ($errors->has('password_confirmation'))
                        <div class="invalid-feedback">
                            {{ $errors->first('password_confirmation') }}
                        </div>
                    @endif
                </div>
            </div><div class="separator separator-dashed my-5"></div>
            <div class="form-group row">
                <label class="col-xl-3 col-lg-3 col-form-label"></label>
                <div class="col-lg-9 col-xl-6">
                    <button type="submit" class="btn btn-primary mr-2">{{ __('Save Changes') }}</button>
                    <button type="reset" class="btn btn-secondary">{{ __('Cancel') }}</button>
                </div>
            </div>
        </div>
    </form>
    <!--end::Form-->
</div>