<x-app-layout>
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item active" aria-current="page">{{$page_title}}</li>
        </ol>
    </x-slot>
    <!-- start: page toolbar -->
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto page-header-title">
                <h1 class="color-900 mt-1 mb-0">{{$page_title}}</h1>
                <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
            </div>
        </div> <!-- .row end -->
    </x-slot>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg- py-1 mt-0 mt-lg-">
        <div class="container-fluid">
            @if(session()->has('message'))
                <div class="mb-5">
                    @if(session()->get('status') == 'success')
                        <div role="alert" class="alert alert-success">{{ session()->get('message') }}</div>
                    @else
                        <div role="alert" class="alert alert-danger">{{ session()->get('message') }}</div>
                    @endif
                </div>
            @endif

            <div class="row g-3">
                @if(canDo('administrator','search-program|add-program|view-programs-list|view-survey-list'))
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">
                            <form action="{{route('program.list')}}" method="get">
                                @csrf
                                <div class="input-group">

                                    <input type="text" name="name_query" id="name_query" placeholder="Program Name" class="form-control">

                                    <select name="manager_query" id="manager_query" class="form-select">
                                        <option value="">{{ __('-- Manager --') }}</option>
                                        @foreach($managers as $manager)
                                            <option value="{{$manager->id}}" {{ ($manager_query == $manager->id)?'selected':'' }}>
                                                {{ $manager->surname.', '.$manager->firstname.' '.$manager->othername }}
                                            </option>
                                        @endforeach
                                    </select>

                                    <select name="partner_query" id="partner_query" class="form-select">
                                        <option value="">{{ __('-- Partner --') }}</option>
                                        @foreach($partners as $key=>$name)
                                            <option value="{{$key}}" {{ ($partner_query == $key)?'selected':'' }}>{{ $name }}</option>
                                        @endforeach
                                    </select>

                                    <select name="location_query" id="location_query" class="form-select">
                                        <option value="">{{ __('-- Location --') }}</option>
                                        @foreach(getLocations() as $key=>$locationName)
                                            <option value="{{$key}}" {{ ($location_query == $key)?'selected':'' }}>{{ $locationName }}</option>
                                        @endforeach

                                    </select>
                                    <button class="btn btn-secondary" type="submit" data-bs-toggle="tooltip" title="Reset"><i class="fa fa-search"></i></button>
                                    <a href="{{ route('program.list') }}" class="btn btn-light-primary" data-bs-toggle="tooltip" title="Reset"> <i class="bi-arrow-repeat"></i></a>

                                    @if(canDo('administrator','view-survey-list'))
                                        <a href="{{ route('survey.list') }}" class="btn btn-light-success" data-bs-toggle="tooltip" title="Surveys"> <i class="bi-bounding-box"></i></a>
                                    @endif

                                    @if(canDo('administrator','view-partner-list'))
                                        <a href="{{ route('partner.list') }}" class="btn btn-light-success" data-bs-toggle="tooltip" title="Partners"> <i class="bi-diagram-3-fill"></i></a>
                                    @endif

                                    @if(canDo('administrator','add-program'))
                                        <a href="{{ route('program.create') }}" class="btn btn-primary" data-bs-toggle="tooltip" title="Add new Program"><i class="fa fa-plus me-2"></i> {{__('New')}}</a>
                                    @endif
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
                @endif

                <div class="col-12">
                    <div class="table-responsive mt-10">
                            <table id="myDataTable_no_filter" class="table table-sm myDataTable align-middle table-bordered mb-3 custom-table">
                            <thead>
                            <tr>
                                <th style="width: 20px;">#</th>
                                <th>Program</th>
                                <th>Managers</th>
                                <th>Benefits</th>
                                <th class="text-right">Actions</th>
                            </tr>
                            </thead>
                            <tbody></tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

    @push('vendor-scripts')
    @endpush
    @push('scripts')
        <script src="{{ asset('assets/js/bundle/dataTables.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/bundle/bootstrapdatepicker.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/custom.js') }}"></script>
        <script>

            @if($query > 0)
                const APPLICATIONS_AJAX = "{{ route('program.getProgramList',[$type,$manager,$partner,$location]) }}";
            @else
                const APPLICATIONS_AJAX = "{{ route('program.getProgramList') }}";
            @endif
        </script>

        <script src="{{ asset('assets/js/customjs/custom-programs-datatable.js') }}"></script>
    @endpush
</x-app-layout>
