<x-app-layout>
    @push('vendor-css')

    @endpush
    <x-slot name="page_title">
        {{ __('Survey Response') }}
    </x-slot>
    <x-slot name="breadcrumb">
        <ul class="breadcrumb breadcrumb-transparent breadcrumb-dot font-weight-bold p-0 my-2 font-size-sm">
            <li class="breadcrumb-item text-muted">
                <a href="{{ route('dashboard') }}" class="text-muted">{{ __('Dashboard') }}</a>
            </li>
            <li class="breadcrumb-item text-muted">
                <a href="{{ route('survey.list') }}" class="text-muted">{{ __('List of Surveys') }}</a>
            </li>
            <li class="breadcrumb-item text-muted">
                <a href="" class="text-muted">{{ __('Add a Survey Response')}}</a>
            </li>
        </ul>
    </x-slot>

        <div class="row">
            @if(!isset($survey))
                @foreach($surveys as $survey)
                <div class="col-md-6">
                    <!--begin::Mixed Widget 10-->
                    <div class="card card-custom gutter-b" style="height: 150px">
                        <!--begin::Body-->
                        <div class="card-body d-flex align-items-center justify-content-between flex-wrap">
                            <div class="mr-2">
                                <h3 class="font-weight-bolder">{{$survey->benefit->titles}}</h3>
                                <div class="text-dark-50 font-size-lg mt-2">{{ $survey->form->title }}</div>
                            </div>
                            <a href="{{ route('survey.create',[cryptThis($survey->id)]) }}"
                               class="btn btn-primary font-weight-bold py-3 px-6">{{ __('Apply') }}</a>
                        </div>
                        <!--end::Body-->
                    </div>
                    <!--end::Mixed Widget 10-->
                </div>
                @endforeach
            @else
                <div class="col-md-12">
                    <div class="card card-custom">
                        <div class="card-header">
                            <h3 class="card-title">{{ __('Survey Form') }}</h3>
                            <div class="card-toolbar">
                                <a href="{{ \Illuminate\Support\Facades\URL::current() }}" class="btn btn-sm btn-success font-weight-bold">
                                    <i class="flaticon2-plus"></i>{{ __('New Response') }}</a>
                            </div>
                        </div>
                        <div class="card-body">
                            {!! $render_form['form_view'] !!}
                        </div>
                    </div>
                </div>
            @endif
        </div>

    @push('vendor-scripts')

    @endpush
    @push('scripts')
            <script>
                $('.select2').select2({
                    placeholder: 'Choose',
                    allowClear: true
                });
            </script>
    @endpush
</x-app-layout>
