<x-app-layout>
    <x-slot name="page_title">
        {{ __('Benefit Details') }}
    </x-slot>
    <x-slot name="breadcrumb">
        <ul class="breadcrumb breadcrumb-transparent breadcrumb-dot font-weight-bold p-0 my-2 font-size-sm">
            <li class="breadcrumb-item text-muted">
                <a href="{{ route('dashboard') }}" class="text-muted">{{ __('Dashboard') }}</a>
            </li>
            <li class="breadcrumb-item text-muted">
                <a href="{{ route('survey.list') }}" class="text-muted">{{ __('Survey') }}</a>
            </li>
            <li class="breadcrumb-item text-muted">
                <a href="javascript:void(0)" class="text-muted">{{ __('Survey Edit') }}</a>
            </li>
        </ul>
    </x-slot>
    <!--begin::Row-->
    <div class="row">
        <div class="col-md-12">
            <h5 class="font-size-h6 font-weight-bolder mb-3">{{ __('Assign Benefit Type') }}</h5>
            <div class="card card-custom mb-5">
                <div class="card-body">
                    {{--<div class="card-body p-5">--}}
                        <form method="POST" action="{{ route('survey.save',[cryptThis($form->id)]) }}">
                            <div class="row">
                                @csrf
                                <div class="col-md-8">
                                    <div class="benefit_type-group{{ $errors->has('benefit_type') ? ' form-control-warning' : '' }}">
                                        <label for="benefit_type" class="font-weight-bolder">{{ __('Benefit Type') }}<span class="required">*</span></label>
                                        <select name="benefit_type" id="benefit_type" required class="form-control select2" style="width: 100%;">
                                            <option></option>
                                            @foreach($benefit_types as $benefit_type)
                                                <option
                                                        @if($survey_benefit == $benefit_type->id) selected @endif
{{--                                                        @if($survey_status == $form->id) selected @endif--}}
                                                        value="{{$benefit_type->id}}">
                                                    {{$benefit_type->titles}}</option>
                                            @endforeach
                                        </select>
                                        @if ($errors->has('benefit_type'))
                                            <span class="form-text text-warning">{{ $errors->first('benefit_type') }}</span>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-2">
                                    <div class="form-group{{ $errors->has('status') ? ' form-control-warning' : '' }}">
                                        <label for="status" class="font-weight-bolder">{{ __('Set Active?') }}<span class="required">*</span></label>
                                        <select name="status" id="status" required class="form-control select2" style="width: 100%;">
                                            <option></option>
                                            <option @if($survey_status == 0) selected @endif value="0">
                                                {{ __('No') }}</option>
                                                <option @if($survey_status == 1) selected @endif value="1">
                                                    {{ __('Yes') }}</option>
                                        </select>
                                        @if ($errors->has('status'))
                                            <span class="form-text text-warning">{{ $errors->first('status') }}</span>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-2">
                                    <div class="form-group{{ $errors->has('order') ? ' form-control-warning' : '' }}">
                                        <button type="submit" class="btn btn-primary mt-8"><i class="la la-save"></i> {{ __('Save') }}</button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    {{--</div>--}}
                </div>
            </div>

            <h5 class="font-size-h6 font-weight-bolder mt-15 mb-3">{{ __('Survey Form Design') }}</h5>
            <div class="card card-custom mb-5">
                <div class="card-body">
                    {!! $render_form['form_view'] !!}
                </div>
            </div>
        </div>
    </div>

    <!--end::Row-->
    @push('scripts')
        <script>
            $('document').ready(function () {
                $('.select2').select2({
                    placeholder: "Select Option",
                    allowClear: true
                });
            });
        </script>
    @endpush
</x-app-layout>