<x-app-layout>
    @push('vendor-css')
        <link rel="stylesheet" href="{{ asset('assets/plugins/custom/datatables/datatables.bundle.css') }}">
    @endpush
    <x-slot name="page_title">
        {{ __('Surveys') }}
    </x-slot>
    <x-slot name="breadcrumb">
        <ul class="breadcrumb breadcrumb-transparent breadcrumb-dot font-weight-bold p-0 my-2 font-size-sm">
            <li class="breadcrumb-item text-muted">
                <a href="{{ route('dashboard') }}" class="text-muted">{{ __('Dashboard') }}</a>
            </li>
            <li class="breadcrumb-item text-muted">
                <a href="javascript:void(0)" class="text-muted">{{ __('Surveys') }}</a>
            </li>
        </ul>
    </x-slot>
    <!--begin::Row-->
    <div class="row">
        <div class="col-12 mb-7">
            <div class="card card-custom" id="action-card">
                <div class="card-header">
                        <h3 class="card-title">{{ __('List of Surveys') }}</h3>
                    <div class="card-toolbar">
                        <a href="{{route('survey.create')}}" class="btn btn-light-primary btn-sm mb-1 mr-3"><i class="la la-folder-plus"></i> {{ __('New Questionnaire') }}</a>
                    </div>
                </div>
                <div class="card-body">

                    @if (session('status'))
                        <div class="alert alert-success" role="alert">
                            {{ session('status') }}
                        </div>
                    @endif
                    @if (session('error'))
                        <div class="alert alert-danger" role="alert">
                            {{ session('error') }}
                        </div>
                    @endif
                    <table class="table table-bordered table-hover" id="forms_table" style="width: 100%;margin-top: 13px !important">
                        <thead>
                        <tr>
                            <th>{{ __('Title') }}</th>
                            <th scope="col">{{ __('Benefit Type') }}</th>
                            <th style="width: 200px;">{{ __('Action') }}</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($forms as $form)
                            <tr>
                                <td>{{$form->title}}</td>
                                <td>
                                    @if($form->questionnaire)
                                        {{$form->questionnaire->benefit->titles}}
                                    @else
                                        <span class="text-danger font-weight-bolder">{{ __('Not Assigned to a Benefit') }}</span>
                                    @endif
                                </td>
                                <td>
                                    <a href="{{ route('survey.edit',[cryptThis($form->id)]) }}" class="btn btn-light-success btn-icon btn-sm" data-toggle="tooltip" title="{{ __('Edit') }}">
                                    <i class="la la-edit"></i></a>
                                    @if($form->questionnaire)
                                        <a href="{{ route('survey.responses',[cryptThis($form->id)]) }}" class="btn btn-primary btn-icon btn-sm" data-toggle="tooltip" title="{{ __('Responses') }}">
                                            <i class="la la-list"></i>
                                        </a>
                                        {{--<a class="btn btn-danger btn-sm" href="javascript:void(0)" onclick="event.preventDefault(); destroy({{ $form->questionnaire->id }})" title="Delete">--}}
                                            {{--<i class="la la-trash"></i> {{ __('Delete') }}--}}
                                        {{--</a>--}}
                                        {{--<form id="delete-form-{{$form->questionnaire->id}}" action="{{ route('survey.delete',[cryptThis($form->questionnaire->id)]) }}" method="POST" style="display: none;">--}}
                                            {{--@csrf {{method_field('DELETE')}}--}}
                                        {{--</form>--}}
                                    @endif
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    <!--end::Row-->
    @push('vendor-scripts')
        <script src="{{ asset('assets/plugins/custom/datatables/datatables.bundle.js') }}"></script>
    @endpush
    @push('scripts')
        <script>
            function destroy(key) {
                if (confirm("Data will be lost after Deletion. Delete?")){
                    document.getElementById('delete-form-'+key).submit();
                }
            }
            $('#forms_table').dataTable( {
                "ordering": false
            } );
        </script>
    @endpush
</x-app-layout>