<x-app-layout>
    @push('vendor-css')
        <link rel="stylesheet" href="{{ asset('assets/plugins/custom/datatables/datatables.bundle.css') }}">
        {{--<script src="https://code.highcharts.com/highcharts.js"></script>--}}
    @endpush
    <x-slot name="page_title">
        {{ __('Payroll Summary Report') }}
    </x-slot>
    <x-slot name="breadcrumb">
        <ul class="breadcrumb breadcrumb-transparent breadcrumb-dot font-weight-bold p-0 my-2 font-size-sm">
            <li class="breadcrumb-item text-muted">
                <a href="{{ route('dashboard') }}" class="text-muted">{{ __('Dashboard') }}</a>
            </li>
            <li class="breadcrumb-item text-muted">
                <a href="javascript:void(0)" class="text-muted">{{ __('Payroll Summary Report') }}</a>
            </li>
        </ul>
    </x-slot>
    <div class="row">
        <div class="col-md-12">
            <div class="card card-custom" id="action-card">
                <div class="card-body">
                    <form action="{{ route('generate.report.mainBenefit') }}" method="GET">
                        @csrf
                        <div class="row">
                            <div class="col-md-12 mb-4">
                            <div class="form-group">
                                <label for="islands">{{ __('Select Islands') }}</label>
                                <select  id="islands" name="islands[]" multiple="multiple" class="form-control select2 filter-check">
                                    <option value="">{{ __('Select Islands') }}</option>
                                    @foreach($islands as $key => $island)
                                        <option value="{{$key}}"
                                            @if((old('islands')))
                                                {{ (in_array($key,(old('islands'))))?'selected':'' }}
                                            @elseif(isset($request->islands))
                                                {{ (in_array($key,$request->islands))?'selected':'' }}
                                            @endif>
                                            {{$island}}
                                        </option>
                                    @endforeach
                                </select>
                                @if ($errors->has('islands'))
                                    <span class="form-text text-warning">{{ $errors->first('islands') }}</span>
                                @endif
                            </div>
                            </div>
                            <div class="col-md-6 mb-4">
                                <div class="form-group">
                                <label for="islands">{{ __('Select Benefits') }}</label>
                                <select  id="benefits" name="benefits[]" multiple="multiple" class="form-control select2 ">
                                    <option value="">{{ __('Select Benefit') }}</option>
                                    @foreach($benefits as $bKey => $benefit)
                                        <option value="{{$bKey}}"
                                            @if((old('benefits')))
                                                {{ (in_array($bKey,(old('benefits'))))?'selected':'' }}
                                            @elseif(isset($request->benefits))
                                                {{ (in_array($bKey,$request->benefits))?'selected':'' }}
                                            @endif>
                                            {{$benefit}}
                                        </option>
                                    @endforeach
                                </select>
                                @if ($errors->has('benefits'))
                                    <span class="form-text text-warning">{{ $errors->first('benefits') }}</span>
                                @endif
                            </div>
                            </div>
                            <div class="col-md-3 mb-4">
                                <div class="form-group">
                                <label for="type">{{ __('Report Type') }}</label>
                                <select  id="type" name="type" class="form-control select2">
                                    <option value="present"
                                        @if((old('type')))
                                            {{ (old('type') == 'present')?'selected':'' }}
                                        @elseif(isset($request->type))
                                            {{ ($request->type == 'present')?'selected':'' }}
                                        @endif>
                                        {{ __('Payroll') }}
                                    </option>

                                    <option value="history"
                                        @if((old('type')))
                                            {{ (old('type') == 'history')?'selected':'' }}
                                        @elseif(isset($request->type))
                                            {{ ($request->type == 'history')?'selected':'' }}
                                        @endif>
                                        {{ __('Payroll History') }}
                                    </option>
                                </select>
                                @if ($errors->has('type'))
                                    <span class="form-text text-warning">{{ $errors->first('type') }}</span>
                                @endif
                            </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                <label for="date_range">{{ __('Set Date Range') }}</label>
                                <div class='input-group' id='kt_daterangepicker_2_modal'>
                                    <input type='text' required value=" @if(isset($request->date_range)){{$request->date_range}} @endif"
                                           class="form-control" name="date_range" readonly="readonly" />
                                    <div class="input-group-append">
                                        <span class="input-group-text">
                                            <i class="la la-calendar-check-o"></i>
                                        </span>
                                    </div>
                                </div>
                                @if ($errors->has('date_range'))
                                    <span class="form-text text-warning">{{ $errors->first('date_range') }}</span>
                                @endif
                            </div>
                            </div>
                            <div class="col-md-12">
                                <button type="submit" name="submit" value="submit" class="btn btn-primary">{{ __('Submit') }}</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>

    @if($request)
        <div class="row mt-8">
            <div class="col-md-12">
                <div class="card card-custom" id="action-card">
                    <div class="card-header">
                        <h3 class="card-title">{{$export_titles." "}} <span class="text-muted ml-3"> {{$header_title}}</span></h3>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="table table-sm table-bordered table-hover" id="payroll_beneficiaries_table" style="width: 100%;margin-top: 13px !important">
                                <thead>
                                <tr>
                                    <th class="font-weight-bolder">{{ strtoupper(__('ISLAND')) }}</th>
                                    @foreach($benefit_names as $id=>$benefit_name)
                                        <th class="font-weight-bolder" style="width: 150px;">{{ strtoupper(__($benefit_name)) }}</th>
                                        <th class="font-weight-bolder" style="width: 150px;">{{ __('No. of recipient') }}</th>
                                    @endforeach
                                    <th class="font-weight-bolder" style="width: 150px;">{{ __('Grand Total') }}</th>
                                    <th class="font-weight-bolder" style="width: 150px;">{{ __('Total no. of recipient') }}</th>
                                </tr>
                                </thead>
                                <tbody>
                                @foreach($island_names as $island=>$island_name)
                                    @php $island_total_count = 0; $island_total_amount = 0; $done = true;@endphp
                                    <tr>
                                        <td>{{$island_name}}</td>
                                        @foreach($benefit_names as $benefit=>$benefit_name)
                                            <td class="text-right">
                                                @if(isset($benefit_recipients[$island][$benefit]['amount']))

                                                    @php $island_total_amount += $benefit_recipients[$island][$benefit]['amount']; @endphp

                                                {{ ($benefit_recipients[$island][$benefit]['amount'] > 0)?money($benefit_recipients[$island][$benefit]['amount']): '-'  }}
                                                    @else
                                                    -
                                                @endif
                                            </td>
                                            <td class="text-right">
                                                @if(isset($benefit_recipients[$island][$benefit]['recipients']))

                                                    @php $island_total_count += $benefit_recipients[$island][$benefit]['recipients']; @endphp

                                                    {{ ($benefit_recipients[$island][$benefit]['recipients'] > 0)?$benefit_recipients[$island][$benefit]['recipients']: '-' }}
                                                @else
                                                    -
                                                @endif
                                            </td>
                                        @endforeach
                                        <td class="text-right">{{(money($island_total_amount) > 0)?money($island_total_amount):'-'}}</td>
                                        <td class="text-right">{{($island_total_count> 0)?$island_total_count:'-'}}</td>
                                    </tr>
                                @endforeach
                                </tbody>
                                <tfoot>
{{--                                @if($done)--}}
                                    <tr>
                                        <td class="font-weight-bolder">{{ __('Grand Total') }}</td>
                                        @php $benefit_grand_total_count = 0; $benefit_grand_total_amount = 0; @endphp
                                        @foreach($benefit_names as $benefit=>$benefit_name)
                                            <th class="text-right font-weight-bolder">
                                                @if(isset($grand_total[$benefit]['amount']))

                                                    @php $benefit_grand_total_amount += $grand_total[$benefit]['amount']; @endphp

                                                    {{ ($grand_total[$benefit]['amount'] > 0)?money($grand_total[$benefit]['amount']): '-'  }}
                                                @else
                                                    -
                                                @endif
                                            </th>
                                            <th class="text-right font-weight-bolder">
                                                @if(isset($grand_total[$benefit]['recipients']))

                                                    @php $benefit_grand_total_count += $grand_total[$benefit]['recipients']; @endphp

                                                    {{ ($grand_total[$benefit]['recipients'] > 0)?$grand_total[$benefit]['recipients']: '-' }}
                                                @else
                                                    -
                                                @endif
                                            </th>
                                        @endforeach
                                        <td class="text-right">{{(money($benefit_grand_total_amount) > 0)?money($benefit_grand_total_amount):'-'}}</td>
                                        <td class="text-right">{{($benefit_grand_total_count> 0)?$benefit_grand_total_count:'-'}}</td>
                                    </tr>
                                {{--@endif--}}
                                </tfoot>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    @endif

        @push('vendor-scripts')
            <script src="{{ asset('assets/plugins/custom/datatables/datatables.bundle.js') }}"></script>
        @endpush
    @push('scripts')
        <script>
            $('#kt_daterangepicker_2_modal').daterangepicker({
                buttonClasses: ' btn',
                applyClass: 'btn-primary',
                cancelClass: 'btn-secondary'
            }, function(start, end, label) {
                $('#kt_daterangepicker_2_modal .form-control').val( start.format('YYYY-MM-DD') + ' / ' + end.format('YYYY-MM-DD'));
            });
            // $('.select2').select2();
            $('#payroll_beneficiaries_table').dataTable( {
                order: [[0, 'asc']],
                dom: 'Bfrtip',
                buttons: [
                    {{--{--}}
                        {{--extend: 'print', footer: true,--}}
                        {{--title: '{{$export_titles}}',--}}
                        {{--messageTop: '{{$header_title}}',--}}
                        {{--orientation: 'landscape',--}}
                        {{--exportOptions: {--}}
                            {{--columns: ':not(:last-child)'--}}
                        {{--}--}}
                    {{--},--}}
                    {
                        extend: 'excelHtml5', footer: true,
                        title: '{{$export_titles}}',
                        messageTop: '{{$header_title}}',
                        // exportOptions: {
                        //     columns: ':not(:last-child)'
                        // }
                    },
                    // 'colvis'
                ],
                // columnDefs: [ {
                //     targets: -1,
                //     visible: true
                // } ]
            } );
        </script>

    @endpush
</x-app-layout>