

@php $value = ltrim(preg_replace('/(?<!\ )[A-Z]/', ' $0', $request->data)); @endphp

<div class="modal fade text-left" id="chart-report" tabindex="-1" role="dialog"
     aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <label class="modal-title text-text-bold-600" id="myModalLabel33">Save Chart to Dashboard</label>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <form id="savechart" method="post">
                @csrf
                <div class="modal-body">
                    <div class="form-group">
                        <label for="name">Chart Title: </label>
                        <input type="text" name="reporttitle" id="chart_title" required class="form-control required"
                               @if(isset($request)) value="{{ $request->report_title }}" @endif>
                        <input type="hidden" name="reportquery" id="reportquery" value="{{$querystring}}">
                        <input type="hidden" name="tablename" id="tablename" value="{{$value}}">
                        <input type="hidden" name="groupedby" id="groupedby" value="{{$request->groupedby}}">
                        <input type="hidden" name="data" id="data" value="{{$data}}">
                        <select class="hidden" name="displayfields[]" multiple="multiple" id="displayfields" >
                            @foreach($reportfields as $reportfield)
                                <option selected value="{{$reportfield}}">{{$reportfield}}</option>
                            @endforeach
                        </select>
                    </div>
                    <div class="form-group">
                        <label for="chart_type">Chart Type: </label>
                        <select class="form-control" name="chart_type" id="chart_type" >
                            <option value="Bar Chart">Bar Chart</option>
                            <option value="Pie Chart">Pie Chart</option>
                        </select>
                    </div>
                </div>
                <div class="modal-footer">
                    <input type="reset" class="btn btn-outline-secondary btn-sm" data-dismiss="modal"
                           value="close">
                    <input type="button" onclick="savechart()" class="btn btn-outline-primary btn-sm" value="Save Chart">
                </div>
            </form>
            <div class="row">
                <div class="col-md-12">
                    <h4 class="text-center">Chart Preview</h4>
                </div>
                <div class="col-xl-6 col-lg-6 col-md-6">
                    <div class="card" id="bar_graph">
                        <div class="card-header">
                            <h4 class="card-title">BAR CHART</h4>
                            <a class="heading-elements-toggle"><i class="fa fa-ellipsis-v font-medium-3"></i></a>
                            <div class="heading-elements">
                                <ul class="list-inline mb-0">
                                    <li><a data-action="expand"><i class="ft-maximize"></i></a></li>
                                </ul>
                            </div>
                        </div>
                        <div class="card-content">
                            <div class="card-body">
                                <div id="preview-bar"></div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-xl-6 col-lg-6 col-md-6">
                    <div class="card" id="pie_chart">
                        <div class="card-header">
                            <h4 class="card-title">PIE CHART</h4>
                            <a class="heading-elements-toggle"><i class="fa fa-ellipsis-v font-medium-3"></i></a>
                            <div class="heading-elements">
                                <ul class="list-inline mb-0">
                                    <li><a data-action="expand"><i class="ft-maximize"></i></a></li>
                                </ul>
                            </div>
                        </div>
                        <div class="card-content">
                            <div class="card-body">
                                <div id="preview-pie"></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

{{--<script src="{{ asset('js/pages/dashboard.js') }}"></script>--}}
