
<x-app-layout>
    @push('vendor-css')
        <link rel="stylesheet" href="{{ asset('assets/plugins/custom/datatables/datatables.bundle.css') }}">
    @endpush
    <x-slot name="page_title">
        {{ __('General Report') }}
    </x-slot>
    <x-slot name="breadcrumb">
        <ul class="breadcrumb breadcrumb-transparent breadcrumb-dot font-weight-bold p-0 my-2 font-size-sm">
            <li class="breadcrumb-item text-muted">
                <a href="{{ route('dashboard') }}" class="text-muted">{{ __('Dashboard') }}</a>
            </li>
            <li class="breadcrumb-item text-muted">
                <a href="javascript:void(0)" class="text-muted">{{ __('Generate Report') }}</a>
            </li>
            <li class="breadcrumb-item active">{{$showreport->tablename}} Report
            </li>
        </ul>
    </x-slot>
    <div class="row">
        <div class="col-md-12">
            <div class="card card-custom" id="action-card">
                <div class="card-header">
                    <div class="row">
                        <div class="col-lg-12">
                            <h5>{{ucwords($showreport->title)}}</h5>
                        </div>
                    </div>
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="card-content collapse show">
                                <div class="card-body card-dashboard table-responsive">
                                    <div class="row">
                                        <table class="table table-striped table-bordered reporttables" >
                                            <thead>
                                            @php $fields = json_decode($showreport->displayfields); @endphp
                                            <tr>
                                                @foreach($fields as $field)
                                                    <th>{{ucwords(str_replace("_"," ",$field))}}</th>
                                                @endforeach
                                            </tr>
                                            </thead>
                                            <tbody>
                                            @foreach($paginatedItems as $key => $value)
                                                <tr>
                                                    @foreach($fields as $field)
                                                        <td>{{$value->$field}}</td>
                                                    @endforeach
                                                </tr>
                                            @endforeach
                                            </tbody>
                                        </table>
                                    </div>
                                    @if($paginatedItems->isNotEmpty())
                                        <div class="row">
                                            <div class="col-lg-7">
                                                @if(count($paginatedItems) == 0)

                                                @else
                                                    Showing {{$paginatedItems->firstitem()}} - {{ $paginatedItems->lastitem()}} of {{$paginatedItems->total()}} entries
                                                @endif
                                            </div>
                                            <div class="col-lg-5">
                                                <div class="btn-group pull-right">
                                                    <nav aria-label="...">
                                                        @if($paginatedItems->isNotEmpty())
                                                            {{ $paginatedItems->appends(request()->all())->render() }}
                                                        @endif
                                                    </nav>
                                                </div>
                                            </div>
                                        </div>
                                    @endif
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

@push('scripts')
    <script src="{{ asset('vendors/js/pickers/dateTime/moment-with-locales.min.js') }}" type="text/javascript"></script>
    <script src="{{ asset('vendors/js/pickers/daterange/daterangepicker.js') }}"></script>
    <script src="{{ asset('vendors/js/forms/select/select2.full.min.js') }}"></script>
    <script src="{{ asset('vendors/js/extensions/sweetalert.min.js') }}"></script>
    {{--<script src="{{ asset('vendors/js/scripts/extensions/sweet-alerts.min.js') }}"></script>--}}
    <script src="{{ asset('vendors/js/tables/datatable/datatables.min.js') }}"></script>
    <script src="{{ asset('vendors/js/tables/datatable/dataTables.buttons.min.js') }}"></script>
    <script src="{{ asset('js/scripts/tables/datatables/datatable-advanced.min.js') }}"></script>
    <script>
        $('.select2').select2();
        $('.reporttables').dataTable({
            processing: false,
            serverSide: false,
            searching: false,
            order: [], //Initial no order.
            aaSorting: [],
            paging: false,
            bPaginate: false,
            bFilter: true,
            bInfo: false,

        });
    </script>
    @php session()->forget('duplicates'); @endphp
@endpush
    </x-app-layout>