<x-app-layout>
    @push('last-css')
        <link rel="stylesheet" href="https://cdn.datatables.net/buttons/2.4.2/css/buttons.dataTables.min.css">
    @endpush
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item active" aria-current="page">{{__('Reporting')}}</li>
        </ol>
    </x-slot>
    <!-- start: page toolbar -->
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto page-header-title">
                <h1 class="color-900 mt-1 mb-0">{{__('Reporting')}}</h1>
                <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
            </div>
        </div> <!-- .row end -->
    </x-slot>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg- py-1 mt-0 mt-lg-">
        <div class="container-fluid">
            {{-- <x-notification></x-notification> --}}

            <div class="row g-3">
                <div class="col-12">
                    <div class="card mb-4">
                        <div class="card-body">
                            <form action="#" method="get">
                                @csrf
                                <div class="input-group">
                                    <select name="year" required id="year" class="form-select">
                                        <option value="">-- {{__('Year')}} --</option>
                                        @for($y=date('Y',strtotime(settings()->get('app_deployment_date',2023)));$y <= date('Y');$y++)
                                            <option value="{{$y}}" @selected($selected_year == $y)>{{$y}}</option>
                                        @endfor
                                    </select>
                                    <select name="from" required id="from" class="form-select">
                                        <option value="">-- {{__('Start Month')}} --</option>
                                        @foreach(config('settings.months_value') as $key=>$month)
                                            <option value="{{$key}}" @selected($selected_from == $key)>{{$month}}</option>
                                        @endforeach
                                    </select>
                                    <select name="to" required id="to" class="form-select">
                                        <option value="">-- {{__('End Month')}} --</option>
                                        @foreach(config('settings.months_value') as $key=>$month)
                                            <option value="{{$key}}" @selected($selected_to == $key)>{{$month}}</option>
                                        @endforeach
                                    </select>
                                    <button class="btn btn-secondary" name="generate" value="generate" data-bs-toggle="tooltip" title="{{__('Generate')}}" type="submit">
                                        <i class="bi-search"></i></button>
                                    <a class="btn btn-light-danger" href="{{route('report.index')}}"><i class="bi-arrow-repeat"></i></a>
{{--                                    <button class="btn btn-primary" name="generate" value="download" type="submit"><i class="bi-cloud-arrow-down-fill"></i> Download</button>--}}
                                </div>
                            </form>
                        </div>
                    </div>

                    @if(!$hasRequest)
                        <div class="text-center text-muted">
                            <i class="bi-exclamation-circle-fill opacity-25" style="font-size: 200px"></i>
                            <br>
                            <h6 class="fw-light">
                                {{__('Generate a report by selecting your preferred reporting period range and clicking the ')}} <i class="bi-search mx-1"></i> {{ __('button.')}}
                            </h6>
                        </div>
                    @else

                        <h3><span class="fw-light">{{__('Deployment Highlights')}}</span><span class="fw-light text-muted"> - YTD</span></h3>

                        <div class="row g-3 row-deck">
                            <div class="col-lg-3 col-md-6 col-sm-6 mb-3">
                                <div class="card overflow-hidden">
                                    <div class="card-body">
                                        <svg class="position-absolute top-0 end-0 mt-4 me-3" xmlns="http://www.w3.org/2000/svg" width="26" fill="currentColor" viewBox="0 0 16 16">
                                            <path d="M15 14C15 14 16 14 16 13C16 12 15 9 11 9C7 9 6 12 6 13C6 14 7 14 7 14H15ZM7.022 13C7.01461 12.999 7.00727 12.9976 7 12.996C7.001 12.732 7.167 11.966 7.76 11.276C8.312 10.629 9.282 10 11 10C12.717 10 13.687 10.63 14.24 11.276C14.833 11.966 14.998 12.733 15 12.996L14.992 12.998C14.9874 12.9988 14.9827 12.9995 14.978 13H7.022ZM11 7C11.5304 7 12.0391 6.78929 12.4142 6.41421C12.7893 6.03914 13 5.53043 13 5C13 4.46957 12.7893 3.96086 12.4142 3.58579C12.0391 3.21071 11.5304 3 11 3C10.4696 3 9.96086 3.21071 9.58579 3.58579C9.21071 3.96086 9 4.46957 9 5C9 5.53043 9.21071 6.03914 9.58579 6.41421C9.96086 6.78929 10.4696 7 11 7ZM14 5C14 5.39397 13.9224 5.78407 13.7716 6.14805C13.6209 6.51203 13.3999 6.84274 13.1213 7.12132C12.8427 7.3999 12.512 7.62087 12.1481 7.77164C11.7841 7.9224 11.394 8 11 8C10.606 8 10.2159 7.9224 9.85195 7.77164C9.48797 7.62087 9.15725 7.3999 8.87868 7.12132C8.6001 6.84274 8.37913 6.51203 8.22836 6.14805C8.0776 5.78407 8 5.39397 8 5C8 4.20435 8.31607 3.44129 8.87868 2.87868C9.44129 2.31607 10.2044 2 11 2C11.7956 2 12.5587 2.31607 13.1213 2.87868C13.6839 3.44129 14 4.20435 14 5Z"></path>
                                            <path class="fill-primary" fill-rule="evenodd" clip-rule="evenodd" d="M5.216 14C5.06776 13.6878 4.99382 13.3455 5 13C5 11.645 5.68 10.25 6.936 9.28C6.30909 9.08684 5.65595 8.99237 5 9C1 9 0 12 0 13C0 14 1 14 1 14H5.216Z"></path>
                                            <path class="fill-primary" d="M4.5 8C5.16304 8 5.79893 7.73661 6.26777 7.26777C6.73661 6.79893 7 6.16304 7 5.5C7 4.83696 6.73661 4.20107 6.26777 3.73223C5.79893 3.26339 5.16304 3 4.5 3C3.83696 3 3.20107 3.26339 2.73223 3.73223C2.26339 4.20107 2 4.83696 2 5.5C2 6.16304 2.26339 6.79893 2.73223 7.26777C3.20107 7.73661 3.83696 8 4.5 8Z"></path>
                                        </svg>
                                        <div class="mb-2 text-uppercase">{{__('Employees')}}</div>
                                        <div><span class="h4">{{easyCount($employees)}}</span></div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-3 col-md-6 col-sm-6 mb-3">
                                <div class="card overflow-hidden">
                                    <div class="card-body">
                                        <svg class="position-absolute top-0 end-0 mt-4 me-3" xmlns="http://www.w3.org/2000/svg" width="26" fill="currentColor" viewBox="0 0 16 16">
                                            <path class="fill-muted" d="M1.5 1a.5.5 0 0 0-.5.5v3a.5.5 0 0 1-1 0v-3A1.5 1.5 0 0 1 1.5 0h3a.5.5 0 0 1 0 1h-3zM11 .5a.5.5 0 0 1 .5-.5h3A1.5 1.5 0 0 1 16 1.5v3a.5.5 0 0 1-1 0v-3a.5.5 0 0 0-.5-.5h-3a.5.5 0 0 1-.5-.5zM.5 11a.5.5 0 0 1 .5.5v3a.5.5 0 0 0 .5.5h3a.5.5 0 0 1 0 1h-3A1.5 1.5 0 0 1 0 14.5v-3a.5.5 0 0 1 .5-.5zm15 0a.5.5 0 0 1 .5.5v3a1.5 1.5 0 0 1-1.5 1.5h-3a.5.5 0 0 1 0-1h3a.5.5 0 0 0 .5-.5v-3a.5.5 0 0 1 .5-.5z" />
                                            <path class="fill-primary" d="M3 14s-1 0-1-1 1-4 6-4 6 3 6 4-1 1-1 1H3zm8-9a3 3 0 1 1-6 0 3 3 0 0 1 6 0z" />
                                        </svg>
                                        <div class="mb-2 text-uppercase">{{__('Members')}}</div>
                                        <div><span class="h4">{{easyCount($members)}}</span>
                                        </div>
{{--                                        <small class="text-muted">{{__('Out of ')}} <span class="fw-bold">{{$applicants}}</span> {{__('registered members')}}</small>--}}
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-3 col-md-6 col-sm-6 mb-3">
                                <div class="card overflow-hidden">
                                    <div class="card-body">
                                        <svg class="position-absolute top-0 end-0 mt-4 me-3" xmlns="http://www.w3.org/2000/svg" width="26" fill="currentColor" viewBox="0 0 16 16">
                                            <path class="fill-primary" fill-rule="evenodd" d="M11 15a4 4 0 1 0 0-8 4 4 0 0 0 0 8zm5-4a5 5 0 1 1-10 0 5 5 0 0 1 10 0z" />
                                            <path class="fill-primary" d="M9.438 11.944c.047.596.518 1.06 1.363 1.116v.44h.375v-.443c.875-.061 1.386-.529 1.386-1.207 0-.618-.39-.936-1.09-1.1l-.296-.07v-1.2c.376.043.614.248.671.532h.658c-.047-.575-.54-1.024-1.329-1.073V8.5h-.375v.45c-.747.073-1.255.522-1.255 1.158 0 .562.378.92 1.007 1.066l.248.061v1.272c-.384-.058-.639-.27-.696-.563h-.668zm1.36-1.354c-.369-.085-.569-.26-.569-.522 0-.294.216-.514.572-.578v1.1h-.003zm.432.746c.449.104.655.272.655.569 0 .339-.257.571-.709.614v-1.195l.054.012z" />
                                            <path class="fill-muted" d="M1 0a1 1 0 0 0-1 1v8a1 1 0 0 0 1 1h4.083c.058-.344.145-.678.258-1H3a2 2 0 0 0-2-2V3a2 2 0 0 0 2-2h10a2 2 0 0 0 2 2v3.528c.38.34.717.728 1 1.154V1a1 1 0 0 0-1-1H1z" />
                                            <path class="fill-muted" d="M9.998 5.083 10 5a2 2 0 1 0-3.132 1.65 5.982 5.982 0 0 1 3.13-1.567z" />
                                        </svg>
                                        <div class="mb-2 text-uppercase">{{__('Expenditure')}} ({{getCurrency()}})</div>
                                        <div><span class="h4">{{easyCount($expenditure)}}</span> </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-3 col-md-6 col-sm-6 mb-3">
                                <div class="card overflow-hidden">
                                    <div class="card-body">
                                        <svg class="position-absolute top-0 end-0 mt-4 me-3" xmlns="http://www.w3.org/2000/svg" width="26" fill="currentColor" viewBox="0 0 16 16">
                                            <path class="fill-muted" d="M14 3a1 1 0 0 1 1 1v8a1 1 0 0 1-1 1H2a1 1 0 0 1-1-1V4a1 1 0 0 1 1-1h12zM2 2a2 2 0 0 0-2 2v8a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V4a2 2 0 0 0-2-2H2z" />
                                            <path class="fill-primary" d="M2 5.5a.5.5 0 0 1 .5-.5h2a.5.5 0 0 1 .5.5v1a.5.5 0 0 1-.5.5h-2a.5.5 0 0 1-.5-.5v-1zm0 3a.5.5 0 0 1 .5-.5h5a.5.5 0 0 1 0 1h-5a.5.5 0 0 1-.5-.5zm0 2a.5.5 0 0 1 .5-.5h1a.5.5 0 0 1 0 1h-1a.5.5 0 0 1-.5-.5zm3 0a.5.5 0 0 1 .5-.5h1a.5.5 0 0 1 0 1h-1a.5.5 0 0 1-.5-.5zm3 0a.5.5 0 0 1 .5-.5h1a.5.5 0 0 1 0 1h-1a.5.5 0 0 1-.5-.5zm3 0a.5.5 0 0 1 .5-.5h1a.5.5 0 0 1 0 1h-1a.5.5 0 0 1-.5-.5z" />
                                        </svg>
                                        <div class="mb-2 text-uppercase">{{__('Applications')}}</div>
                                        <div><span class="h4">{{easyCount($applications)}}</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="card mb-3">
                            <div class="card-body">
                                <div class="header mb-3">
                                    <h4><span class="fw-light">{{$months[(integer)$selected_from].' '.$selected_year.' - '.$months[(integer)$selected_to].' '.$selected_year}}</span>
                                        <br>
                                        <small class="text-muted fw-light small fs-6">{{getProjectName()}} <small>({{__('Extracted as at ').date('M d, Y')}})</small></small>
                                    </h4>
                                </div>

                                <h6>{{__('Introduction')}} <br>
                                    <small class="text-muted fw-light">
                                        {{__('The report will provide in-depth insights into Alleviate\'s performance during the reporting period, featuring the following key metrics:')}}
                                    </small>
                                </h6>
                            </div>
                        </div>

                        <div class="col-md-12 mb-4">
                            <div class="card">
                                <div class="card-header">
                                    <h6 class="card-title mb-0">{{__('User Demographics')}}</h6>
                                </div>
                                <div class="card-body">
                                    <div class="row row-deck">
                                        <div class="col-md-4">
                                            <div class="card">
                                                <div class="card-body">
                                                    <p class="fw-bold text-center">{{__('Users Distribution by Type')}}</p>
                                                    @if($users_demographic_array_empty)
                                                        <x-no-data type="pie"></x-no-data>
                                                    @else
                                                        <canvas id="users_demographic_roles"></canvas>
                                                    @endif

                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-8">
                                            <div class="card">
                                                <div class="card-body">
                                                    @if($users_demographic_count_roles_empty)
                                                        <x-no-data type="bar"></x-no-data>
                                                    @else
                                                        <div>
                                                            <canvas id="users_role_chart"></canvas>
                                                        </div>
                                                    @endif
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="col-md-12 mb-4">
                            <div class="card">
                                <div class="card-header">
                                    <h6 class="card-title mb-0">{{__('New Member Demographics')}}</h6>
                                    <ul class="nav nav-tabs tab-page-toolbar rounded d-inline-flex" role="tablist">
                                        <li class="nav-item"><a class="nav-link border-0 active" data-bs-toggle="tab"
                                                                href="#by-age" role="tab"><i class="bi-person-badge-fill me-2"></i>{{__('Age')}}</a></li>
                                        <li class="nav-item"><a class="nav-link border-0" data-bs-toggle="tab"
                                                                href="#by-gender" role="tab"><i class="bi-gender-female me-2"></i>{{__('Gender')}}</a></li>
                                        <li class="nav-item"><a class="nav-link border-0" data-bs-toggle="tab"
                                                                href="#members-affected" role="tab"><i class="bi-people-fill me-2"></i>{{__('Members')}}</a></li>
                                        <li class="nav-item"><a class="nav-link border-0" data-bs-toggle="tab"
                                                                href="#by-location" role="tab"><i class="bi-geo-alt-fill me-2"></i>{{__('Location')}}</a></li>
                                    </ul>
                                </div>
                                <div class="card-body">
                                    <div class="tab-content">
                                        <div class="tab-pane fade show active" id="by-age" role="tabpanel">
                                            <div class="mb-0">
                                                <div class="row">
                                                    <div class="col-md-4">
                                                        <div class="card">
                                                            <div class="card-body">
                                                                <p class="fw-bold text-center">{{__('Members Distribution by Age')}}</p>
                                                                @if($current_members_by_age_empty)
                                                                    <x-no-data type="pie"></x-no-data>
                                                                @else
                                                                    <canvas id="members_demographic_age"></canvas>
                                                                @endif
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-8">
                                                        <div class="card">
                                                            <div class="card-body">
                                                                @if($users_demographic_count_roles_empty)
                                                                    <x-no-data type="bar"></x-no-data>
                                                                @else
                                                                    <div>
                                                                        <canvas id="members_demographic_age_bar"></canvas>
                                                                    </div>
                                                                @endif
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="tab-pane fade" id="by-gender" role="tabpanel">
                                            <div class="mb-0">
                                                <div class="row row-deck">
                                                    <div class="col-md-4">
                                                        <div class="card">
                                                            <div class="card-body">
                                                                <p class="fw-bold text-center">{{__('Members Distribution by Gender')}}</p>
                                                                <canvas id="members_demographic_gender"></canvas>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-8">
                                                        <div class="card">
                                                            <div class="card-body">
                                                                <div>
                                                                    <canvas id="members_demographic_gender_bar"></canvas>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="tab-pane fade" id="members-affected" role="tabpanel">
                                            <div class="mb-0">
                                                <div class="row">
                                                    <div class="col-md-12">
                                                        <div class="card">
                                                            <div class="card-body">
                                                                <div class="table-responsive">
                                                                    <table id="members-list" class="table table-sm align-middle mb-3 custom-table-2">
                                                                        <thead>
                                                                        <tr>
                                                                            <th>#</th>
                                                                            <th>Member</th>
                                                                            <th>Bio</th>
                                                                            <th style="width: 50px;">Joined</th>
                                                                        </tr>
                                                                        </thead>
                                                                        <tbody>
                                                                        @php $count = 1; @endphp
                                                                        @foreach($new_members_list as $member)
                                                                            <tr>
                                                                                <td style="width: 30px">{{$count++}}</td>
                                                                                <td>
                                                                                    {{$member->surnames.' '.$member->first_names}}
                                                                                    <br> <small class="text-muted">{{$member->regID}}</small>
                                                                                </td>
                                                                                <td>
                                                                                    {{$member->genders}}
                                                                                    <br> <small class="text-muted">{{date('d M Y', strtotime($member->dobs))." (".getAgeByDate($member->dobs).")"}}</small>
                                                                                </td>
                                                                                <td>{{date('Y, M dS', strtotime($member->joined_on))}}</td>
                                                                            </tr>
                                                                        @endforeach
                                                                        </tbody>
                                                                    </table>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="tab-pane fade" id="by-location" role="tabpanel">
                                            <div class="mb-0">
                                                <div class="row">
                                                    <div class="col-md-4">
                                                        <div class="card">
                                                            <div class="card-body">
                                                                <p class="fw-bold text-center">{{__('Members Distribution by Location')}}</p>
                                                                <canvas id="users_demographic_location"></canvas>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-8">
                                                        <div class="card">
                                                            <div class="card-body">
                                                                <div>
                                                                    <canvas id="users_role_location"></canvas>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="col-md-12 mb-4">
                            <div class="card">
                                <div class="card-header">
                                    <h6 class="card-title mb-0">{{__('Active Members Demographics')}}</h6>
                                    <ul class="nav nav-tabs tab-page-toolbar rounded d-inline-flex" role="tablist">
                                        <li class="nav-item"><a class="nav-link border-0 active" data-bs-toggle="tab"
                                                                href="#active-members-by-age" role="tab"><i class="bi-person-badge-fill me-2"></i>{{__('Age')}}</a></li>
                                        <li class="nav-item"><a class="nav-link border-0" data-bs-toggle="tab"
                                                                href="#active-members-by-gender" role="tab"><i class="bi-gender-female me-2"></i>{{__('Gender')}}</a></li>
                                        <li class="nav-item"><a class="nav-link border-0" data-bs-toggle="tab"
                                                                href="#active-members-affected" role="tab"><i class="bi-people-fill me-2"></i>{{__('Members')}}</a></li>
                                        <li class="nav-item"><a class="nav-link border-0" data-bs-toggle="tab"
                                                                href="#active-members-by-location" role="tab"><i class="bi-geo-alt-fill me-2"></i>{{__('Location')}}</a></li>
                                    </ul>
                                </div>
                                <div class="card-body">
                                    <div class="tab-content">
                                        <div class="tab-pane fade show active" id="active-members-by-age" role="tabpanel">
                                            <div class="mb-0">
                                                <div class="row row-deck">
                                                    <div class="col-md-4">
                                                        <div class="card row-deck">
                                                            <div class="card-body">
                                                                <p class="fw-bold text-center">{{__('Members by Age')}}</p>
                                                                <canvas id="active_members_demographic_age"></canvas>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-8">
                                                        <div class="card">
                                                            <div class="card-body">
                                                                <div>
                                                                    <canvas id="active_members_demographic_age_bar"></canvas>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="tab-pane fade" id="active-members-by-gender" role="tabpanel">
                                            <div class="mb-0">
                                                <div class="row row-deck">
                                                    <div class="col-md-4">
                                                        <div class="card">
                                                            <div class="card-body">
                                                                <p class="fw-bold text-center">{{__('Members by Gender')}}</p>
                                                                <canvas id="active_members_demographic_gender"></canvas>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-8">
                                                        <div class="card">
                                                            <div class="card-body">
                                                                <div>
                                                                    <canvas id="active_members_demographic_gender_bar"></canvas>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="tab-pane fade" id="active-members-by-location" role="tabpanel">
                                            <div class="mb-0">
                                                <div class="row">
                                                    <div class="col-md-4">
                                                        <div class="card">
                                                            <div class="card-body">
                                                                <p class="fw-bold text-center">{{__('Members by Location')}}</p>
                                                                <canvas id="active_members_demographic_location"></canvas>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-8">
                                                        <div class="card">
                                                            <div class="card-body">
                                                                <div>
                                                                    <canvas id="active_members_role_location"></canvas>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="tab-pane fade" id="active-members-affected" role="tabpanel">
                                            <div class="mb-0">
                                                <div class="row">
                                                    <div class="col-md-12">
                                                        <div class="card">
                                                            <div class="card-body">
                                                                <div class="table-responsive">
                                                                    <table id="active-members-list" class="table table-sm align-middle mb-3 custom-table-2">
                                                                        <thead>
                                                                        <tr>
                                                                            <th>#</th>
                                                                            <th>Member</th>
                                                                            <th>Bio</th>
                                                                            <th style="width: 50px;">Joined</th>
                                                                        </tr>
                                                                        </thead>
                                                                        <tbody>
                                                                        @php $count = 1; @endphp
                                                                        @foreach($affected_members_list as $member)
                                                                            <tr>
                                                                                <td style="width: 30px">{{$count++}}</td>
                                                                                <td>
                                                                                    {{$member->surnames.' '.$member->first_names}}
                                                                                    <br> <small class="text-muted">{{$member->regID}}</small>
                                                                                </td>
                                                                                <td>
                                                                                    {{$member->genders}}
                                                                                    <br> <small class="text-muted">{{date('d M Y', strtotime($member->dobs))." (".getAgeByDate($member->dobs).")"}}</small>
                                                                                </td>
                                                                                <td>{{date('Y, M dS', strtotime($member->joined_on))}}</td>
                                                                            </tr>
                                                                        @endforeach
                                                                        </tbody>
                                                                    </table>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="col-md-12 mb-4">
                            <div class="card">
                                <div class="card-header">
                                    <h6 class="card-title mb-0">{{__('Beneficiary Demographics')}}</h6>
                                    <ul class="nav nav-tabs tab-page-toolbar rounded d-inline-flex" role="tablist">
                                        <li class="nav-item"><a class="nav-link border-0 active" data-bs-toggle="tab"
                                                                href="#b-by-age" role="tab"><i class="bi-person-badge-fill me-2"></i>{{__('Age')}}</a></li>
                                        <li class="nav-item"><a class="nav-link border-0" data-bs-toggle="tab"
                                                                href="#b-by-gender" role="tab"><i class="bi-gender-female me-2"></i>{{__('Gender')}}</a></li>
                                        <li class="nav-item"><a class="nav-link border-0" data-bs-toggle="tab"
                                                                href="#b-affected-beneficiaries" role="tab"><i class="bi-people-fill me-2"></i>{{__('Beneficiaries')}}</a></li>
                                        <li class="nav-item"><a class="nav-link border-0" data-bs-toggle="tab"
                                                                href="#b-by-location" role="tab"><i class="bi-geo-alt-fill me-2"></i>{{__('Location')}}</a></li>
                                    </ul>
                                </div>
                                <div class="card-body">
                                    <div class="tab-content">
                                        <div class="tab-pane fade show active" id="b-by-age" role="tabpanel">
                                            <div class="mb-0">
                                                <div class="row row-deck">
                                                    <div class="col-md-4">
                                                        <div class="card">
                                                            <div class="card-body">
                                                                <p class="fw-bold text-center">{{__('Beneficiaries Distribution by Age')}}</p>
                                                                <canvas id="beneficiaries_demographic_age"></canvas>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-8">
                                                        <div class="card">
                                                            <div class="card-body">
                                                                <div>
                                                                    <canvas id="beneficiaries_demographic_age_bar"></canvas>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="tab-pane fade" id="b-by-gender" role="tabpanel">
                                            <div class="mb-0">
                                                <div class="row">
                                                    <div class="col-md-4">
                                                        <div class="card">
                                                            <div class="card-body">
                                                                <p class="fw-bold text-center">{{__('Beneficiaries Distribution by Gender')}}</p>
                                                                <canvas id="beneficiaries_demographic_gender"></canvas>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-8">
                                                        <div class="card">
                                                            <div class="card-body">
                                                                <div>
                                                                    <canvas id="beneficiaries_demographic_gender_bar"></canvas>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="tab-pane fade" id="b-by-location" role="tabpanel">
                                            <div class="mb-0">
                                                <div class="row">
                                                    <div class="col-md-4">
                                                        <div class="card">
                                                            <div class="card-body">
                                                                <p class="fw-bold text-center">{{__('Beneficiaries Distribution by Location')}}</p>
                                                                <canvas id="users_demographic_location"></canvas>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-8">
                                                        <div class="card">
                                                            <div class="card-body">
                                                                <div>
                                                                    <canvas id="beneficiaries_role_location"></canvas>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="tab-pane fade" id="b-affected-beneficiaries" role="tabpanel">
                                            <div class="mb-0">
                                                <div class="row">
                                                    <div class="col-md-12">
                                                        <div class="card">
                                                            <div class="card-body">
                                                                <div class="table-responsive">
                                                                    <table id="beneficiary-list" class="table table-sm myDataTabl align-middle table-bordere mb-3 custom-table-2">
                                                                        <thead>
                                                                        <tr>
                                                                            <th>Beneficiary</th>
                                                                            <th>Benefits</th>
                                                                            <th style="width: 80px;">Amount</th>
{{--                                                                            <th style="width: 50px;">Date Applied</th>--}}
{{--                                                                            <th style="width: 50px;">Date Approved</th>--}}
                                                                        </tr>
                                                                        </thead>
                                                                        <tbody>
                                                                            @foreach($grouped_applicants as $applicant_number=>$beneficiary)
                                                                                <tr>
                                                                                    <td>{{$beneficiary["name"].' ('.$applicant_number.')'}}
                                                                                        <br> <small class="text-muted">{{$beneficiary["gender"]}}</small>
                                                                                    </td>
                                                                                    <td>{{$beneficiary["benefits"]}}</td>
                                                                                    <td>{{easyMoney($beneficiary["amount"])}}</td>
{{--                                                                                    <td>{{date('Y-m-d', strtotime($beneficiary->application->created_at))}}</td>--}}
{{--                                                                                    <td>{{date('Y-m-d', strtotime($beneficiary->created_at))}}</td>--}}
                                                                                </tr>
                                                                            @endforeach
                                                                        </tbody>
                                                                    </table>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="col-md-12 mb-4">
                            <div class="card">
                                <div class="card-header">
                                    <h6 class="card-title mb-0">{{__('Applications Demographics')}}<br>
                                        <small class="text-muted fw-light">
                                            {{__('An essential demographic breakdown for informed policy decisions.')}}
                                        </small>
                                    </h6>
                                    <ul class="nav nav-tabs tab-page-toolbar rounded d-inline-flex" role="tablist">
                                        <li class="nav-item"><a class="nav-link border-0 active" data-bs-toggle="tab"
                                                                href="#bf-by-benefit" role="tab"><i class="bi-basket-fill me-2"></i>{{__('Expenditure')}}</a></li>
                                        <li class="nav-item"><a class="nav-link border-0" data-bs-toggle="tab"
                                                                href="#bf-by-age" role="tab"><i class="bi-person-badge-fill me-2"></i>{{__('Age')}}</a></li>
                                        <li class="nav-item"><a class="nav-link border-0" data-bs-toggle="tab"
                                                                href="#bf-by-gender" role="tab"><i class="bi-gender-female me-2"></i>{{__('Gender')}}</a></li>
                                        <li class="nav-item"><a class="nav-link border-0" data-bs-toggle="tab"
                                                                href="#bf-by-status" role="tab"><i class="bi-hourglass-split me-2"></i>{{__('Status')}}</a></li>
                                        <li class="nav-item"><a class="nav-link border-0" data-bs-toggle="tab"
                                                                href="#bf-by-list" role="tab"><i class="bi-list-ol me-2"></i>{{__('List')}}</a></li>
                                        <li class="nav-item"><a class="nav-link border-0" data-bs-toggle="tab"
                                                                href="#bf-by-location" role="tab"><i class="bi-geo-alt-fill me-2"></i>{{__('Location')}}</a></li>
                                    </ul>
                                </div>
                                <div class="card-body">
                                    <div class="tab-content">
                                        <div class="tab-pane fade show active" id="bf-by-benefit" role="tabpanel">
                                            <div class="mb-0">
                                                <div class="row row-deck">
                                                    <div class="col-md-4">
                                                        <div class="card">
                                                            <div class="card-body">
                                                                <p class="fw-bold text-center">{{__('Expenditure Distribution by Benefit')}}</p>
                                                                <canvas id="expenditure_demographic_benefit"></canvas>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-8">
                                                        <div class="card">
                                                            <div class="card-body">
                                                                <div>
                                                                    <canvas id="expenditure_demographic_benefit_bar"></canvas>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="tab-pane fade" id="bf-by-age" role="tabpanel">
                                            <div class="mb-0">
                                                <div class="row">
                                                    <div class="col-md-4">
                                                        <div class="card">
                                                            <div class="card-body">
                                                                <p class="fw-bold text-center">{{__('Expenditure Distribution by Age')}}</p>
                                                                <canvas id="expenditure_demographic_age"></canvas>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-8">
                                                        <div class="card">
                                                            <div class="card-body">
                                                                <div>
                                                                    <canvas id="expenditure_demographic_age_bar"></canvas>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="tab-pane fade" id="bf-by-gender" role="tabpanel">
                                            <div class="mb-0">
                                                <div class="row">
                                                    <div class="col-md-4">
                                                        <div class="card">
                                                            <div class="card-body">
                                                                <p class="fw-bold text-center">{{__('Expenditure Distribution by Gender')}}</p>
                                                                <canvas id="expenditure_demographic_gender"></canvas>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-8">
                                                        <div class="card">
                                                            <div class="card-body">
                                                                <div>
                                                                    <canvas id="expenditure_demographic_gender_bar"></canvas>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="tab-pane fade" id="bf-by-status" role="tabpanel">
                                            <div class="mb-0">
                                                <div class="row">
                                                    <div class="col-md-4">
                                                        <div class="card">
                                                            <div class="card-body">
                                                                <p class="fw-bold text-center">{{__('Applications by Status')}}</p>
{{--                                                                {{dd($applications_by_status)}}--}}
                                                                @if($applications_by_status == "[]" || is_null($applications_by_status))
                                                                    <x-no-data type="pie"></x-no-data>
                                                                @else
                                                                <canvas id="expenditure_demographic_status"></canvas>
                                                                @endif
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-8">
                                                        <div class="card">
                                                            <div class="card-body">
                                                                @if($recorded_statuses == "[]" || is_null($recorded_statuses))
                                                                    <x-no-data type="bar"></x-no-data>
                                                                @else
                                                                <div>
                                                                    <canvas id="expenditure_status"></canvas>
                                                                </div>
                                                                @endif
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="tab-pane fade" id="bf-by-list" role="tabpanel">
                                            <div class="mb-0">
                                                <div class="row">
                                                    <div class="col-md-12">
                                                        <div class="card">
                                                            <div class="card-body">
                                                                @if($applications_list->count() < 1)
                                                                    <x-no-data type="list"></x-no-data>
                                                                @else
                                                                    <table id="benefit-list" class="table table-sm align-middle mb-3 custom-table-2">
                                                                        <thead>
                                                                        <tr>
{{--                                                                            <th>App. ID</th>--}}
                                                                            <th>Application</th>
                                                                            <th>Delivery</th>
                                                                            <th>Status</th>
                                                                        </tr>
                                                                        </thead>
                                                                        <tbody>
                                                                        @foreach($applications_list as $benefit)
                                                                            <tr>
                                                                                <td>{{str_pad($benefit->id, 8, '0', STR_PAD_LEFT)}} - ({{$benefit->titles}})<br>
                                                                                    <small class="text-muted">{{$benefit->surnames.' '.$benefit->first_names.' ('.$benefit->applicant_number.')'}}</small>
                                                                                </td>
                                                                                <td>{{$benefit->financial}}</td>
                                                                                <td>{{$benefit->status}} <br>
                                                                                    <small class="text-muted">{{date('Y-m-d', strtotime($benefit->created_at))}}</small>
                                                                                </td>
                                                                            </tr>
                                                                        @endforeach
                                                                        </tbody>
                                                                    </table>
                                                                @endif

{{--                                                                {{ $applications_list->links() }}--}}
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="tab-pane fade" id="bf-by-location" role="tabpanel">
                                            <div class="mb-0">
                                                <div class="row">
                                                    <div class="col-md-4">
                                                        <div class="card">
                                                            <div class="card-body">
                                                                <p class="fw-bold text-center">{{__('Expenditure Distribution by Location')}}</p>
                                                                <canvas id="expenditure_demographic_location"></canvas>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-8">
                                                        <div class="card">
                                                            <div class="card-body">
                                                                <div>
                                                                    <canvas id="expenditure_role_location"></canvas>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="card mb-3">
                            <div class="card-body">
                                <p>{{__('These metrics serve as crucial indicators of Alleviate\'s effectiveness in delivering   social   protection   services,   ensuring   accountability,   and promoting inclusivity.')}}</p>
                                <p>{{__('As we delve into the details of the monthly report, we invite you to explore the impact of Alleviate, not only in optimizing the management of social protection programs but also in enhancing the lives of our beneficiaries.')}}</p>
                                <p>{{__('The data and insights within this report are instrumental in driving data-driven decisions, ultimately leading to improved social protection services.')}}</p>
                                <p>{{__('We look forward to sharing the results of our continuous efforts to alleviate the burdens faced by those who depend on social protection, making their lives better one step at a time.')}}</p>
                                <p>{{__('Thank you for your commitment to this vital cause.')}}</p>
                                <p>{{__('Sincerely,')}}</p>
                            </div>
                        </div>
                    @endif
                </div>
            </div>
        </div>
    </div>

    @push('vendor-scripts')
    @endpush
    @push('scripts')
        <script src="{{ asset('assets/js/bundle/dataTables.bundle.js') }}"></script>
        <script src="https://cdn.datatables.net/buttons/2.4.2/js/dataTables.buttons.min.js"></script>
        <script>
            $(document).ready( function () {
                $('#beneficiary-list').addClass( 'nowrap' )
                    .DataTable( {
                        dom: 'Bfrtip',
                        buttons: [
                            'copy', 'excel', 'pdf'
                        ],
                        pageLength: 15,
                        responsive: false,
                        searching: false,
                        paging: true,
                        ordering: false,
                        info: false,
                    });

                $('#benefit-list').DataTable( {
                    dom: 'Bfrtip',
                    buttons: [
                        'copy', 'excel', 'pdf'
                    ],
                    pageLength: 15,
                    responsive: false,
                    searching: false,
                    paging: true,
                    ordering: false,
                    info: false,
                });

                $('#active-members-list').DataTable( {
                    dom: 'Bfrtip',
                    buttons: [
                        'copy', 'excel', 'pdf'
                    ],
                    pageLength: 15,
                    responsive: false,
                    searching: false,
                    paging: true,
                    ordering: false,
                    info: false,
                });

                $('#members-list').DataTable( {
                    dom: 'Bfrtip',
                    buttons: [
                        'copy', 'excel', 'pdf'
                    ],
                    pageLength: 15,
                    responsive: false,
                    searching: false,
                    paging: true,
                    ordering: false,
                    info: false,
                });
            });
        </script>
        <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
        <script>

            /**
             * User Tab
             * @type {HTMLElement}
             */
                //User Types Doughnut
                const users_demographic_roles = document.getElementById('users_demographic_roles').getContext('2d');
                new Chart(users_demographic_roles, {
                    type: 'doughnut',
                    data: {
                        labels: {!! $users_demographic_roles !!},
                        datasets: [{
                            label: 'Users',
                            data: {!! $users_demographic_count !!},
                            borderWidth: 1
                        }]
                    },
                    options: {
                        indexAxis: 'y',
                        animation: {
                            duration: 2000,
                            // easing: 'easeInOutCirc',
                            animateScale: true,
                        },
                    }
                });

                //User Types Bar
                let delayed1;
                const users_role_chart = document.getElementById('users_role_chart').getContext('2d');
                new Chart(users_role_chart, {
                    type: 'bar',
                    data: {
                        labels: {!! $users_on_month !!},
                        datasets: {!! $users_demographic_count_roles !!}
                    },
                    options: {
                        // indexAxis: 'y',
                        responsive: true,
                        scales: {
                            x: {
                                stacked: true,
                            },
                            y: {
                                stacked: true
                            }
                        },
                        animation: {
                            duration: 2000,
                            // easing: 'easeInOutCirc',
                            animateScale: true,
                            onComplete: () => {
                                delayed1 = true;
                            },
                            delay: (context) => {
                                let delay = 0;
                                if (context.type === 'data' && context.mode === 'default' && !delayed1) {
                                    delay = context.dataIndex * 300 + context.datasetIndex * 100;
                                }
                                return delay;
                            },
                        },
                    }
                });

            /**
             * New Members Tab
             * @type {HTMLElement}
             */

                //Members Age Doughnut
                const members_demographic_age = document.getElementById('members_demographic_age').getContext('2d');
                new Chart(members_demographic_age, {
                    type: 'doughnut',
                    data: {
                        labels: {!! $current_members_by_age_groups !!},
                        datasets: [{
                            label: 'Members',
                            data: {!! $current_members_by_age_groups_count !!},
                            borderWidth: 1
                        }]
                    },
                    options: {
                        indexAxis: 'y',
                        animation: {
                            duration: 2000,
                            // easing: 'easeInExpo',
                            animateScale: true,
                        },
                    }
                });

                //Members Age Bar
                let delayed2;
                const members_demographic_age_bar = document.getElementById('members_demographic_age_bar').getContext('2d');
                new Chart(members_demographic_age_bar, {
                    type: 'bar',
                    data: {
                        labels: {!! $users_on_month !!},
                        datasets: {!! $members_demographic_count_age_groups !!}
                    },
                    options: {
                        // indexAxis: 'y',
                        responsive: true,
                        scales: {
                            x: {
                                stacked: true,
                            },
                            y: {
                                stacked: true
                            }
                        },
                        animation: {
                            duration: 2000,
                            // easing: 'easeInExpo',
                            animateScale: true,
                            onComplete: () => {
                                delayed2 = true;
                            },
                            delay: (context) => {
                                let delay = 0;
                                if (context.type === 'data' && context.mode === 'default' && !delayed2) {
                                    delay = context.dataIndex * 300 + context.datasetIndex * 100;
                                }
                                return delay;
                            },
                        },
                    }
                });

                //Members By Gender Doughnut
                const members_demographic_gender = document.getElementById('members_demographic_gender').getContext('2d');
                new Chart(members_demographic_gender, {
                    type: 'doughnut',
                    data: {
                        labels: {!! $current_members_by_gender_genders !!},
                        datasets: [{
                            label: 'Members',
                            data: {!! $current_members_by_gender_members !!},
                            borderWidth: 1
                        }]
                    },
                    options: {
                        indexAxis: 'y',
                        animation: {
                            duration: 2000,
                            // easing: 'easeInExpo',
                            animateScale: true,
                        },
                    }
                });

                //Members By Gender Bar
                let delayed3;
                const members_demographic_gender_bar = document.getElementById('members_demographic_gender_bar').getContext('2d');
                new Chart(members_demographic_gender_bar, {
                    type: 'bar',
                    data: {
                        labels: {!! $users_on_month !!},
                        datasets: {!! $members_demographic_count_gender !!}
                    },
                    options: {
                        // indexAxis: 'y',
                        responsive: true,
                        scales: {
                            x: {
                                stacked: true,
                            },
                            y: {
                                stacked: true
                            }
                        },
                        animation: {
                            duration: 2000,
                            // easing: 'easeInExpo',
                            animateScale: true,
                            onComplete: () => {
                                delayed3 = true;
                            },
                            delay: (context) => {
                                let delay = 0;
                                if (context.type === 'data' && context.mode === 'default' && !delayed3) {
                                    delay = context.dataIndex * 300 + context.datasetIndex * 100;
                                }
                                return delay;
                            },
                        },
                    }
                });

            /**
             * End User Tab
             **/

            /**
             * Active Members Tab
             **/
            //Members Age Doughnut
            const active_members_demographic_age = document.getElementById('active_members_demographic_age').getContext('2d');
            new Chart(active_members_demographic_age, {
                type: 'doughnut',
                data: {
                    labels: {!! $active_members_by_age_groups !!},
                    datasets: [{
                        label: 'Active Members',
                        data: {!! $active_members_by_age_groups_count !!},
                        borderWidth: 1
                    }]
                },
                options: {
                    indexAxis: 'y',
                    animation: {
                        duration: 2000,
                        // easing: 'easeInExpo',
                        animateScale: true,
                    },
                }
            });

            //Members Age Bar
            let delayed_active;
            const active_members_demographic_age_bar = document.getElementById('active_members_demographic_age_bar').getContext('2d');
            new Chart(active_members_demographic_age_bar, {
                type: 'bar',
                data: {
                    labels: {!! $active_members_period !!},
                    datasets: {!! $active_members_demographic_count_age_groups !!}
                },
                options: {
                    // indexAxis: 'y',
                    responsive: true,
                    scales: {
                        x: {
                            stacked: true,
                        },
                        y: {
                            stacked: true
                        }
                    },
                    animation: {
                        duration: 2000,
                        // easing: 'easeInExpo',
                        animateScale: true,
                        onComplete: () => {
                            delayed_active = true;
                        },
                        delay: (context) => {
                            let delay = 0;
                            if (context.type === 'data' && context.mode === 'default' && !delayed_active) {
                                delay = context.dataIndex * 300 + context.datasetIndex * 100;
                            }
                            return delay;
                        },
                    },
                }
            });

            {{--Members By Gender Doughnut--}}
            const active_members_demographic_gender = document.getElementById('active_members_demographic_gender').getContext('2d');
            new Chart(active_members_demographic_gender, {
                type: 'doughnut',
                data: {
                    labels: {!! $active_members_by_gender_genders !!},
                    datasets: [{
                        label: 'Active Members',
                        data: {!! $active_members_by_gender_members !!},
                        borderWidth: 1
                    }]
                },
                options: {
                    indexAxis: 'y',
                    animation: {
                        duration: 2000,
                        // easing: 'easeInExpo',
                        animateScale: true,
                    },
                }
            });

            //Members By Gender Bar
            let delayed_active_2;
            const active_members_demographic_gender_bar = document.getElementById('active_members_demographic_gender_bar').getContext('2d');
            new Chart(active_members_demographic_gender_bar, {
                type: 'bar',
                data: {
                    labels: {!! $active_members_period !!},
                    datasets: {!! $active_members_demographic_count_gender !!}
                },
                options: {
                    // indexAxis: 'y',
                    responsive: true,
                    scales: {
                        x: {
                            stacked: true,
                        },
                        y: {
                            stacked: true
                        }
                    },
                    animation: {
                        duration: 2000,
                        // easing: 'easeInExpo',
                        animateScale: true,
                        onComplete: () => {
                            delayed_active_2 = true;
                        },
                        delay: (context) => {
                            let delay = 0;
                            if (context.type === 'data' && context.mode === 'default' && !delayed_active_2) {
                                delay = context.dataIndex * 300 + context.datasetIndex * 100;
                            }
                            return delay;
                        },
                    },
                }
            });


            /**
             * Beneficiaries Tab
             */
                //Beneficiaries Age Doughnut
                const beneficiaries_demographic_age = document.getElementById('beneficiaries_demographic_age').getContext('2d');
                new Chart(beneficiaries_demographic_age, {
                    type: 'doughnut',
                    data: {
                        labels: {!! $beneficiaries_demographic_age_groups !!},
                        datasets: [{
                            label: 'Members',
                            data: {!! $beneficiaries_demographic_age_groups_values !!},
                            borderWidth: 1
                        }]
                    },
                    options: {
                        indexAxis: 'y',
                        animation: {
                            duration: 2000,
                            // easing: 'easeInExpo',
                            animateScale: true,
                        },
                    }
                });

                //Beneficiaries Age Bar
                let delayedb0;
                const beneficiaries_demographic_age_bar = document.getElementById('beneficiaries_demographic_age_bar').getContext('2d');
                new Chart(beneficiaries_demographic_age_bar, {
                    type: 'bar',
                    data: {
                        labels: {!! $users_on_month !!},
                        datasets: {!! $beneficiaries_demographic_count_age_groups !!}
                    },
                    options: {
                        // indexAxis: 'y',
                        responsive: true,
                        scales: {
                            x: {
                                stacked: true,
                            },
                            y: {
                                stacked: true
                            }
                        },
                        animation: {
                            duration: 2000,
                            // easing: 'easeInExpo',
                            animateScale: true,
                            onComplete: () => {
                                delayedb0 = true;
                            },
                            delay: (context) => {
                                let delay = 0;
                                if (context.type === 'data' && context.mode === 'default' && !delayedb0) {
                                    delay = context.dataIndex * 300 + context.datasetIndex * 100;
                                }
                                return delay;
                            },
                        },
                    }
                });

                //Beneficiaries Gender Doughnut
                const beneficiaries_demographic_gender = document.getElementById('beneficiaries_demographic_gender').getContext('2d');
                new Chart(beneficiaries_demographic_gender, {
                    type: 'doughnut',
                    data: {
                        labels: {!! $beneficiaries_demographic_gender_array !!},
                        datasets: [{
                            label: 'Members',
                            data: {!! $beneficiaries_demographic_gender_beneficiaries !!},
                            borderWidth: 1
                        }]
                    },
                    options: {
                        indexAxis: 'y',
                        animation: {
                            duration: 2000,
                            // easing: 'easeInExpo',
                            animateScale: true,
                        },
                    }
                });

                //Beneficiaries Gender Bar
                let delayedb1;
                const beneficiaries_demographic_gender_bar = document.getElementById('beneficiaries_demographic_gender_bar').getContext('2d');
                new Chart(beneficiaries_demographic_gender_bar, {
                    type: 'bar',
                    data: {
                        labels: {!! $users_on_month !!},
                        datasets: {!! $beneficiaries_demographic_count_gender !!}
                    },
                    options: {
                        // indexAxis: 'y',
                        responsive: true,
                        scales: {
                            x: {
                                stacked: true,
                            },
                            y: {
                                stacked: true
                            }
                        },
                        animation: {
                            duration: 2000,
                            // easing: 'easeInExpo',
                            animateScale: true,
                            onComplete: () => {
                                delayedb1 = true;
                            },
                            delay: (context) => {
                                let delay = 0;
                                if (context.type === 'data' && context.mode === 'default' && !delayedb1) {
                                    delay = context.dataIndex * 300 + context.datasetIndex * 100;
                                }
                                return delay;
                            },
                        },
                    }
                });
            /**
             * End of Beneficiaries Tab
             */

            /**
             * Benefit Tab
             */
                //Benefits Expenditure Doughnut
                const expenditure_demographic_benefit = document.getElementById('expenditure_demographic_benefit').getContext('2d');
                new Chart(expenditure_demographic_benefit, {
                    type: 'doughnut',
                    data: {
                        labels: {!! $benefits_paid_names !!},
                        datasets: [{
                            label: 'Benefit Amount ({{getCurrency()}})',
                            data: {!! $benefits_paid_amount !!},
                            borderWidth: 1
                        }]
                    },
                    options: {
                        indexAxis: 'y',
                        animation: {
                            duration: 2000,
                            // easing: 'easeInSine',
                            animateScale: true,
                        },
                    }
                });

            //Benefit Expenditure Age Bar Stack
            let delayedd;
            const expenditure_demographic_benefit_bar = document.getElementById('expenditure_demographic_benefit_bar').getContext('2d');
            new Chart(expenditure_demographic_benefit_bar, {
                type: 'bar',
                data: {
                    labels: {!! $users_on_month !!},
                    datasets: {!! $benefits_demographic_amount !!}
                },
                options: {
                    // indexAxis: 'y',
                    responsive: true,
                    scales: {
                        x: {
                            stacked: true,
                        },
                        y: {
                            stacked: true
                        }
                    },
                    animation: {
                        duration: 2000,
                        // easing: 'easeInExpo',
                        animateScale: true,
                        onComplete: () => {
                            delayedd = true;
                        },
                        delay: (context) => {
                            let delay = 0;
                            if (context.type === 'data' && context.mode === 'default' && !delayedd) {
                                delay = context.dataIndex * 300 + context.datasetIndex * 100;
                            }
                            return delay;
                        },
                    },
                }
            });

                //Benefit Expenditure Age Doughnut
                const expenditure_demographic_age = document.getElementById('expenditure_demographic_age').getContext('2d');
                new Chart(expenditure_demographic_age, {
                    type: 'doughnut',
                    data: {
                        labels: {!! $benefits_paid_by_age !!},
                        datasets: [{
                            label: 'Benefit Amount ({{getCurrency()}})',
                            data: {!! $benefits_paid_by_age_amount !!},
                            borderWidth: 1
                        }]
                    },
                    options: {
                        indexAxis: 'y',
                        animation: {
                            duration: 2000,
                            // easing: 'easeInSine',
                            animateScale: true,
                        },
                    }
                });

                //Benefit Expenditure Age Bar Stack
                let delayedd0;
                const expenditure_demographic_age_bar = document.getElementById('expenditure_demographic_age_bar').getContext('2d');
                new Chart(expenditure_demographic_age_bar, {
                    type: 'bar',
                    data: {
                        labels: {!! $users_on_month !!},
                        datasets: {!! $benefits_demographic_age_groups !!}
                    },
                    options: {
                        // indexAxis: 'y',
                        responsive: true,
                        scales: {
                            x: {
                                stacked: true,
                            },
                            y: {
                                stacked: true
                            }
                        },
                        animation: {
                            duration: 2000,
                            // easing: 'easeInExpo',
                            animateScale: true,
                            onComplete: () => {
                                delayedd0 = true;
                            },
                            delay: (context) => {
                                let delay = 0;
                                if (context.type === 'data' && context.mode === 'default' && !delayedd0) {
                                    delay = context.dataIndex * 300 + context.datasetIndex * 100;
                                }
                                return delay;
                            },
                        },
                    }
                });

                //Benefit Expenditure Gender Doughnut
                const expenditure_demographic_gender = document.getElementById('expenditure_demographic_gender').getContext('2d');
                new Chart(expenditure_demographic_gender, {
                    type: 'doughnut',
                    data: {
                        labels: {!! $benefits_paid_by_gender_genders !!},
                        datasets: [{
                            label: 'Benefit Amount ({{getCurrency()}})',
                            data: {!! $benefits_paid_by_gender_members !!},
                            borderWidth: 1
                        }]
                    },
                    options: {
                        indexAxis: 'y',
                        animation: {
                            duration: 2000,
                            // easing: 'easeInOutCirc',
                            animateScale: true,
                        },
                    }
                });

                //Benefit Expenditure Gender Bar Stack
                let delayedd1;
                const expenditure_demographic_gender_bar = document.getElementById('expenditure_demographic_gender_bar').getContext('2d');
                new Chart(expenditure_demographic_gender_bar, {
                    type: 'bar',
                    data: {
                        labels: {!! $users_on_month !!},
                        datasets: {!! $benefits_demographic_gender !!}
                    },
                    options: {
                        // indexAxis: 'y',
                        responsive: true,
                        scales: {
                            x: {
                                stacked: true,
                            },
                            y: {
                                stacked: true
                            }
                        },
                        animation: {
                            duration: 2000,
                            // easing: 'easeInExpo',
                            animateScale: true,
                            onComplete: () => {
                                delayedd1 = true;
                            },
                            delay: (context) => {
                                let delay = 0;
                                if (context.type === 'data' && context.mode === 'default' && !delayedd1) {
                                    delay = context.dataIndex * 300 + context.datasetIndex * 100;
                                }
                                return delay;
                            },
                        },
                    }
                });

                //Benefit Application By Status Doughnut
                const expenditure_demographic_status = document.getElementById('expenditure_demographic_status').getContext('2d');
                new Chart(expenditure_demographic_status, {
                    type: 'doughnut',
                    data: {
                        labels: {!! $applications_by_status !!},
                        datasets: [{
                            label: 'Applications',
                            data: {!! $applications_by_status_count !!},
                            borderWidth: 1
                        }]
                    },
                    options: {
                        indexAxis: 'y',
                        animation: {
                            duration: 2000,
                            // easing: 'easeInOutCirc',
                            animateScale: true,
                        },
                    }
                });

            //Benefit Application By Status Bar Stack
            let delayeds1;
            const expenditure_status = document.getElementById('expenditure_status').getContext('2d');
            new Chart(expenditure_status, {
                type: 'bar',
                data: {
                    labels: {!! $recorded_statuses !!},
                    datasets: {!! $benefits_by_status_graph !!}
                },
                options: {
                    // indexAxis: 'y',
                    responsive: true,
                    scales: {
                        x: {
                            stacked: true,
                        },
                        y: {
                            stacked: true
                        }
                    },
                    animation: {
                        duration: 2000,
                        // easing: 'easeInExpo',
                        animateScale: true,
                        onComplete: () => {
                            delayeds1 = true;
                        },
                        delay: (context) => {
                            let delay = 0;
                            if (context.type === 'data' && context.mode === 'default' && !delayeds1) {
                                delay = context.dataIndex * 300 + context.datasetIndex * 100;
                            }
                            return delay;
                        },
                    },
                }
            });
            /**
             * End of Beneficiaries Tab
             */

        </script>
    @endpush
</x-app-layout>
