<form action="{{route('account.roles.update')}}" method="post">
    @csrf {{method_field('PUT')}}
    <div id="action-form">
        <input type="hidden" name="id"  value="{{$role->id}}">
        <input type="hidden" name="access_type" value="backend">
        <div class="row">

            <div class="col-md-5 mb-3">
                <div class="form-floating">
                    <input type="text" @if(in_array($role->name,$fixed_roles)) readonly @endif required min="2" name="role_name" value="{{$role->display_name}}" class="form-control" id="role_name">
                    <label for="role_name">Name *</label>
                </div>
                @if ($errors->has('role_name'))
                    <p class="text-right">
                        <span class="text-warning form-text">{{ $errors->first('role_name') }}</span>
                    </p>
                @endif
            </div>

            <div class="col-md-3 mb-3">
                <div class="form-floating">
                    <input type="text" required min="3" max="3" name="code"
                           value="{{$role->code}}" class="form-control text-uppercase" id="code">
                    <label for="code">Short Name *</label>
                </div>
                @if ($errors->has('code'))
                    <p class="text-right">
                        <span class="text-warning form-text">{{ $errors->first('code') }}</span>
                    </p>
                @endif
            </div>

            <div class="col-md-4 mb-3">
                <div class="form-floating">
                    <select name="lead" id="lead" class="form-control">
                        <option value="">-- Choose --</option>
                        @foreach($roles as $role_name)
                            <option value="{{$role_name->id}}" @if($role->lead == $role_name->id) selected @endif>
                                {{ Str::headline($role_name->name) }}
                            </option>
                        @endforeach
                    </select>
                    <label for="lead">Manage By</label>
                </div>
                @if ($errors->has('lead'))
                    <p class="text-right">
                        <span class="text-warning form-text">{{ $errors->first('lead') }}</span>
                    </p>
                @endif
            </div>

            <div class="col-md-12 mb-3">
                <div class="form-floating">
                    <input type="text" name="role_desp" value="{{$role->description}}" placeholder="Role Description" class="form-control" id="role_desp">
                    <label for="role_desp">Type Description</label>
                </div>
                @if ($errors->has('role_desp'))
                    <p class="text-right">
                        <span class="text-warning form-text">{{ $errors->first('role_desp') }}</span>
                    </p>
                @endif
            </div>
            @if(false)
                @foreach(config('settings.access_types') as $key=>$type)
                    <div class="col-md-3 mb-3">
                        <div class="form-check">
                            <input class="form-check-input" type="radio" onchange="getPermissions('{{$type}}',{{$role->id}})"
                                   value="{{$type}}" name="access_type" id="access_type{{$key}}" @checked($role->access_type==$type)>
                            <label class="form-check-label" for="access_type{{$key}}">{{\Illuminate\Support\Str::headline($type)}}</label>
                        </div>
                    </div>
                @endforeach
                <div class="col-md-12 mb-3">
                @if ($errors->has('access_type'))
                    <p class="text-right">
                        <span class="text-danger form-text">{{ $errors->first('access_type') }}</span>
                    </p>
                @endif
            </div>
            @endif
        </div>

        <div class="mt-1">
            @include('roles.permissions')
        </div>
{{--        <div id="load-edit-permissions" class="mt-1">--}}
{{--            <div class="text-center">--}}
{{--                <h3 class="text-muted">Load Permissions</h3>--}}
{{--            </div>--}}
{{--        </div>--}}
    </div>

    <div class="form-group mt-5 text-end">
        <button class="btn btn-primary" type="submit"><i class="fa fa-paper-plane mx-1"></i>
            {{ __('Save') }}</button>
    </div>
</form>
@if(false)
<script>
    $('document').ready(function () {
        getPermissions('{{$type}}',{{$role->id}});
    });
    function getPermissions(accessType,role=null) {
        console.log(accessType);
        var path = "{{route('account.roles.loadPermissions')}}";
        $.ajaxSetup({
            headers: {
                'X-CSRF-Token': $('meta[name=_token]').attr('content')
            }
        });
        $.ajax({
            url: path,
            type: 'GET',
            data: {accessType: accessType,role_id:role},
            beforeSend: function () {
            },
            success: function (data) {
                console.log(data);
                $('#load-edit-permissions').empty().html(data.theView);
            },
            complete: function () {
                $.getScript("{{ asset('assets/js/custom.js') }}", function () {
                });
            },
            error: function (data) {
                console.log(data)
            }
        });
    }
</script>
@endif
