<form action="{{route('account.roles.create')}}" method="post">
    @csrf
    <input type="hidden" name="access_type" value="backend">
    <div id="action-form">
        <div class="row">
            <div class="col-md-5 mb-3">
                <div class="form-floating">
                    <input type="text" required min="2" name="role_name" class="form-control"
                           value="{{old('role_name')}}" id="role_name" placeholder="Type Name">
                    <label for="role_name">Name</label>
                </div>
                @if ($errors->has('role_name'))
                    <p class="text-right">
                        <span class="text-danger form-text">{{ $errors->first('role_name') }}</span>
                    </p>
                @endif
            </div>

            <div class="col-md-4 mb-3">
                <div class="form-floating">
                    <select name="lead" id="lead" class="form-control">
                        <option value="">-- Choose --</option>
                        @foreach($roles as $role_name)
                            <option value="{{$role_name->id}}" @if(old('lead') == $role_name->id) selected @endif>
                                {{ Str::headline($role_name->name) }}
                            </option>
                        @endforeach
                    </select>
                    <label for="lead">Manage By</label>
                </div>
                @if ($errors->has('lead'))
                    <p class="text-right">
                        <span class="text-danger form-text">{{ $errors->first('lead') }}</span>
                    </p>
                @endif
            </div>

            <div class="col-md-3 mb-3">
                <div class="form-floating">
                    <input type="text" required minlength="3" maxlength="3" name="code" value="{{old('code')}}"
                           class="form-control text-uppercase" id="code" placeholder="ADM">
                    <label for="code">Short Name *</label>
                </div>
                @if ($errors->has('code'))
                    <p class="text-right">
                        <span class="text-danger form-text">{{ $errors->first('code') }}</span>
                    </p>
                @endif
            </div>

            <div class="col-md-12 mb-3">
                <div class="form-floating">
                    <input type="text" name="role_desp" placeholder="Role Description" class="form-control" id="role_desp">
                    <label for="role_desp">Description</label>
                </div>
                @if ($errors->has('role_desp'))
                    <p class="text-right">
                        <span class="text-danger form-text">{{ $errors->first('role_desp') }}</span>
                    </p>
                @endif
            </div>

            @if(false)
                @foreach(config('settings.access_types') as $key=>$type)
                    <div class="col-md-3 mb-3">
                        <div class="form-check">
                            <input class="form-check-input" type="radio" onchange="getPermissions('{{$type}}')" name="access_type"
                                   value="{{$type}}" id="access_type{{$type}}">
                            <label class="form-check-label" for="access_type{{$type}}">{{\Illuminate\Support\Str::headline($type)}}</label>
                        </div>
                    </div>
                @endforeach
                <div class="col-md-12 mb-3">
                    @if ($errors->has('access_type'))
                        <p class="text-right">
                            <span class="text-danger form-text">{{ $errors->first('access_type') }}</span>
                        </p>
                    @endif
                </div>
            @endif

        </div>

        <div class="mt-1">
            @include('roles.permissions')
        </div>
{{--        <div id="load-permissions" class="mt-1">--}}
{{--            <div class="text-center">--}}
{{--                <h3 class="text-muted">Load Permissions</h3>--}}
{{--            </div>--}}
{{--        </div>--}}

    </div>

    <div class="form-group mt-5 text-end">
        <button class="btn btn-primary" type="submit"><i class="fa fa-paper-plane mx-1"></i>
            {{__('Save')}}</button>
    </div>
</form>


<script>
    function getPermissions(accessType,role=null) {
        var path = "{{route('account.roles.loadPermissions')}}";
        $.ajaxSetup({
            headers: {
                'X-CSRF-Token': $('meta[name=_token]').attr('content')
            }
        });
        $.ajax({
            url: path,
            type: 'GET',
            data: {accessType: accessType,role_id:role},
            beforeSend: function () {
            },
            success: function (data) {
                $('#load-permissions').empty().html(data.theView);
            },
            complete: function () {
                $.getScript("{{ asset('assets/js/custom.js') }}", function () {
                });
            },
            error: function (data) {
                console.log(data)
            }
        });
    }
</script>
