<x-app-layout>
    <link rel="stylesheet" href="{{ asset('assets/vendor/treejs/style.min.css') }}">
    <style>
        body{
            font-family: 'Inter', sans-serif;
            font-weight: 300;
        }
    </style>
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="/">Dashboard</a></li>
            <li class="breadcrumb-item"><a class="text-secondary" href="{{route('account.roles')}}">Roles</a></li>
            <li class="breadcrumb-item active" aria-current="page">Line of Sight</li>
        </ol>
    </x-slot>
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto page-header-title">
                <h1 class="color-900 mt-1 mb-0">Line of Sight</h1>
                <small class="text-muted">
                    Page description here
                </small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">

            </div>
        </div>

    </x-slot>
    @push('stylesheets')
        {{--        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.1/css/fontawesome.min.css" integrity="sha512-giQeaPns4lQTBMRpOOHsYnGw1tGVzbAIHUyHRgn7+6FmiEgGGjaG0T2LZJmAPMzRCl+Cug0ItQ2xDZpTmEc+CQ==" crossorigin="anonymous" referrerpolicy="no-referrer" />--}}
        <link rel="stylesheet" href="{{ asset('assets/cssbundle/dataTables.min.css') }}">
        <link rel="stylesheet" href="{{ asset('assets/cssbundle/select2.min.css') }}">
        <link rel="stylesheet" href="{{ asset('assets/cssbundle/sweetalert2.min.css') }}">
    @endpush
    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg-2 py-1 mt-0 mt-lg-3">
        <div class="container-fluid">
            <div class="row g-3">
                <div class="col-12">
                    <!--Filter / Search controls section START-->
                    <form action="#" method="GET">
                        @csrf
                        <div class="input-group">
                            <select name="role_a" id="role_a" class="form-select" onchange="updateRoleBOptions()">
                                <option value="">-- Role A --</option>
                                @foreach($roles as $role)
                                    <option value="{{ $role->id }}"{{ (request()->has('role_a') && request()->input('role_a') == $role->id ) ? 'selected' : ''; }}>{{Str::headline($role->display_name)}}</option>
                                @endforeach
                            </select>
                            <select name="role_b" id="role_b" class="form-select">
                                <option value="">-- Role B --</option>
                                @foreach($roles as $role)
                                    <option value="{{ $role->id }}"{{ (request()->has('role_b') && request()->input('role_b') == $role->id ) ? 'selected' : ''; }}>{{Str::headline($role->display_name)}}</option>
                                @endforeach
                            </select>
                            <!--<button class="btn btn-secondary" type="submit" data-bs-toggle="tooltip" title="Search"><i class="bi-search"></i></button>-->

                            <button  type="submit"
                                     class="btn btn-primary" title=""> {{__('Line of Sight')}}
                            </button>

                        </div>
                    </form>

                    <!--Filter / Search controls section END-->
                </div>

                <div class="col-12">
                        <div class="card mb-3">
                            <div class="card-body custom_scroll" style=" scroll-behavior: smooth;">
                                @if (!empty($rolesHierarchy))
                                    <ul class="timeline-activity list-unstyled mb-0">
                                        @foreach ($rolesHierarchy as $data)
                                            <li class="activity px-3 py-2  {{$loop->last ? 'pb-0' : '' ;}} mb-1" data-date="{{ $loop->first ? 'Start' : ($loop->last ? 'End' : '') }}">
                                                <div class="fw-bold small d-flex justify-content-between align-items-center">
                                                    {{$data->display_name}}
                                                </div>
                                                <div>
                                                    <small class="text-muted">User name</small>
                                                </div>
                                            </li>
                                        @endforeach
                                    </ul>
                                @else
                                    <p class="text-center">Select "Start Role" and "End Role"</p>
                                @endif
                            </div>
                        </div>
                    </div>


            </div> <!-- .row end -->
        </div>
    </div>

    @push('scripts')
        <script src="https://unpkg.com/axios/dist/axios.min.js"></script>
        <script>
            function updateRoleBOptions() {
                var selectedRoleId = document.getElementById('role_a').value;


                axios.get('/get_higher_roles/' + selectedRoleId)
                    .then(function (response) {
                        // Update the options of the role_b select element
                        var roleBSelect = document.getElementById('role_b');
                        roleBSelect.innerHTML = '';

                        response.data.forEach(function (role) {
                            var option = document.createElement('option');
                            option.value = role.id;
                            option.text = role.display_name; // Replace with the actual attribute you want to display
                            roleBSelect.add(option);
                        });
                    })
                    .catch(function (error) {
                        console.error('Error fetching parent roles:', error);
                    });
            }

        </script>
    @endpush
</x-app-layout>
