@if($permissions->count() > 0)
    <h6 class="mb-3">Choose Permissions</h6>
    <div class="row">
        <div class="col-md-3"></div>
        <div class="col-md-9">
            <fieldset class="checkboxsas mb-2">
                <div class="form-check">
                    <input type="checkbox"  id="checkAllPermissions" class="form-check-input">
                    <label class="form-check-label fw-bold" for="checkAllPermissions">Select all</label>
                </div>
            </fieldset>
        </div>
    </div>

    <div class="mt-2">
        @foreach(config('settings.permission_modules') as $key=>$module)
            @continue($permissions->where('module','=',$module)->count() < 1)
            <div class="row border-bottom mt-3">
                <div class="col-md-3">
                    <p class="fw-bolder">{{\Illuminate\Support\Str::headline($module)}}</p>
                </div>
                <div class="col-md-9">
                    <div class="row">
                        @foreach($permissions->where('module','=',$module) as $permission)
                            <div class="col-6">
                                <fieldset class="checkboxsas mb-1">
                                    <div class="form-check">
                                        <input type="checkbox" value="{{$permission->id}}" name="permissions[]" @checked(in_array($permission->id,$role_permissions))
                                               id="permissions_{{$permission->id}}" class="forPermissions pem{{$module}} form-check-input">
                                        <label class="form-check-label" for="permissions_{{$permission->id}}">{{$permission->display_name}}</label>
                                    </div>
                                </fieldset>
                            </div>
                        @endforeach
                    </div>
                </div>
            </div>
        @endforeach
    </div>
@else
    <div class="form-group">
        <label for="message" class=" text-danger">{{__('No Permissions Available')}}</label>
    </div>
@endif
