<x-app-layout>
    @push('vendor-css')
        <link rel="stylesheet" href="{{ asset('assets/plugins/custom/datatables/datatables.bundle.css') }}">
    @endpush
    <x-slot name="page_title">
        {{ __('Lookup Options') }}
    </x-slot>
    <x-slot name="breadcrumb">
        <ul class="breadcrumb breadcrumb-transparent breadcrumb-dot font-weight-bold p-0 my-2 font-size-sm">
            <li class="breadcrumb-item text-muted">
                <a href="{{ route('dashboard') }}" class="text-muted">{{ __('Dashboard') }}</a>
            </li>
            <li class="breadcrumb-item text-muted">
                <a href="" class="text-muted">{{ __('Lookup Options') }}</a>
            </li>
        </ul>
    </x-slot>

    <!--begin::Row-->
    <div class="row">
        <div class="col-12">
            <div class="card card-custom">
                <div class="card-header">
                    <h3 class="card-title">{{ __('Lookup Options') }}</h3><div class="card-toolbar">
                    </div>
                </div>
                <div class="card-body">
                    <div class="mb-8">
                        <form id="add-form" action="{{route('settings.lookupSave')}}" method="post">
                            @csrf
                            <div id="hidden-input"></div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group{{ $errors->has('fullName') ? ' form-control-warning' : '' }}">
                                        <label for="fullName">{{ __('Full Name') }}<span class="required">*</span></label>
                                        <input type="text" required min="2" name="fullName" class="form-control" value="{{ old('fullName') }}" id="fullName">
                                        @if ($errors->has('fullName'))
                                            <span class="form-text text-warning">{{ $errors->first('fullName') }}</span>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group{{ $errors->has('lookup') ? ' form-control-warning' : '' }}">
                                        <label for="lookup">{{ __('Short Name') }}<span class="required">*</span></label>
                                        <input type="text" name="shortName" class="form-control" value="{{ old('shortName') }}" id="shortName">
                                        @if ($errors->has('shortName'))
                                            <span class="form-text text-warning">{{ $errors->first('shortName') }}</span>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group{{ $errors->has('activeFlag') ? ' form-control-warning' : '' }}">
                                        <label for="activeFlag">{{ __('Status') }}<span class="required">*</span></label>
                                        <select name="activeFlag" id="activeFlag" class="form-select">
                                            <option selected value="1">{{ __('Active') }}</option>
                                            <option value="0">{{ __('Disable') }}</option>
                                        </select>
                                        @if ($errors->has('activeFlag'))
                                            <span class="form-text text-warning">{{ $errors->first('activeFlag') }}</span>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-2">
                                    <div class="form-group{{ $errors->has('order') ? ' form-control-warning' : '' }}">
                                        <label for="order">{{ __('Order No.') }}<span class="required">*</span></label>
                                        <input type="number" name="order" class="form-control" value="{{ old('order') }}" id="order">
                                        @if ($errors->has('order'))
                                            <span class="form-text text-warning">{{ $errors->first('order') }}</span>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group{{ $errors->has('lookup_code_id') ? ' form-control-warning' : '' }}">
                                        <label for="lookup_code_id">{{ __('Parent Code') }}<span class="required">*</span></label>
                                        <select name="lookup_code_id" id="lookup_code_id" required class="form-select">
                                            <option value="">{{ __('Choose') }}</option>
                                            @foreach($lookupCodes as $lookupCode)
                                                <option value="{{$lookupCode->id}}" @if($lookupCode->id == old('lookup_code_id') ) selected @endif>
                                                    {{$lookupCode->lookupName}}
                                                </option>
                                            @endforeach
                                        </select>
                                        @if ($errors->has('lookup_code_id'))
                                            <span class="form-text text-warning">{{ $errors->first('lookup_code_id') }}</span>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-2">
                                    <div class="form-group{{ $errors->has('process_action') ? ' form-control-warning' : '' }}">
                                        <label for="process_action">{{ __('Process Action') }}<span class="required">*</span></label>
                                        <select name="process_action" id="process_action" required class="form-select">
                                            <option selected value="0">{{ __('Default') }}</option>
                                            <option value="1">{{ __('Start Process') }}</option>
                                            <option value="100">{{ __('End Process') }}</option>
                                            <option value="101">{{ __('End Process By Rejecting') }}</option>
                                        </select>
                                        @if ($errors->has('process_action'))
                                            <span class="form-text text-warning">{{ $errors->first('process_action') }}</span>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-2">
                                    <div class="form-group{{ $errors->has('process_status') ? ' form-control-warning' : '' }}">
                                        <label for="process_status">{{ __('Process Status') }}<span class="required">*</span></label>
                                        <select name="process_status" id="process_status" class="form-select">
                                            @foreach(config('settings.application_status') as $key=>$value)
                                                <option value="{{$key}}" @if($key == old('process_status') ) selected @endif>
                                                    {{$key}}
                                                </option>
                                            @endforeach
                                        </select>
                                        @if ($errors->has('process_status'))
                                            <span class="form-text text-warning">{{ $errors->first('process_status') }}</span>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-2">
                                    <div class="form-group{{ $errors->has('color_code') ? ' form-control-warning' : '' }}">
                                        <label for="color_code">{{ __('Color Code') }}</label>
                                        <input type="color" name="color_code" id="color_code" class="form-control" value="{{ old('color_code') }}">
                                        @if ($errors->has('color_code'))
                                            <span class="form-text text-warning">{{ $errors->first('color_code') }}</span>
                                        @endif
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <button class="btn btn-primary btn-sm square" type="submit">
                                    <i class="la la-save mr-1"></i> Save</button>
                                <a href="{{ route('settings.lookup') }}" class="btn btn-sm btn-success font-weight-bold">
                                    <i class="la la-plus"></i>{{ __('New Option') }}</a>
                            </div>
                        </form>
                        <div class="separator separator-solid"></div>
                    </div>
                    <div class="table-responsive">
                        <table class="table table-sm table-bordered table-hover" id="lookup_table">
                            <thead>
                            <tr>
                                <th width="50px">#</th>
                                <th>{{ __('Full Name') }}</th>
                                <th>{{ __('Short name') }}</th>
                                <th>{{ __('Order No.') }}</th>
                                <th>{{ __('Parent Lookup Code') }}</th>
                                <th>{{ __('Process Status') }}</th>
                                <th>{{ __('Color Code') }}</th>
                                <th width="50px">{{ __('Status') }}</th>
                                <th width="50px">{{ __('Actions') }}</th>
                            </tr>
                            </thead>
                            <tbody>
                            @if($options->count() > 0)
                                @php $counter=0; @endphp
                                @foreach($options as $option)
                                    <tr>
                                        <td>{{$counter+=1}}</td>
                                        <td>{{$option->fullName}}</td>
                                        <td>{{$option->shortName}}</td>
                                        <td>{{$option->order}}</td>
                                        <td>{{$option->lookupCode->lookupName}}</td>
                                        <td>{{$option->process_status}}</td>
                                        <td><span style="color: {{$option->color_code}}">{{$option->color_code}}</span></td>
                                        <td>
                                            @if($option->activeFlag == 1) <span class="text-success">{{ __('Active') }}</span>
                                            @else <span class="text-danger">{{ __('Disabled') }}</span> @endif
                                        </td>
                                        <td>
                                            <a class="btn btn-icon btn-xs btn-light-primary" href="{{ url('/settings/lookup') }}#action-card" onclick="editLookupOptions('{{$option->id}}')">
                                                <i class="la la-edit"></i>
                                            </a>
                                        </td>
                                    </tr>
                                @endforeach
                            @else
                                <tr>
                                    <td colspan="5" class="text-center">{{ __('No Lookup Options Set') }}</td>
                                </tr>
                            @endif
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!--end::Row-->
    @push('vendor-scripts')
        <script src="{{ asset('assets/plugins/custom/datatables/datatables.bundle.js') }}"></script>
    @endpush
    @push('scripts')
        <script>
            $('#lookup_table').dataTable( {
                "ordering": true,
                "order": [[ 3, "asc" ]]
            } );
            function editLookupOptions(key) {
                var path = "{{route('settings.lookupEdit')}}";
                var path_update = "{{route('settings.lookupUpdate')}}";
                $.ajaxSetup(    {
                    headers: {
                        'X-CSRF-Token': $('meta[name=_token]').attr('content')
                    }
                });
                $.ajax({
                    url: path,
                    type: 'GET',
                    data: {id:key},
                    beforeSend: function(){
                        $('#action-card').block({
                            message: '<div class="ft-loader icon-spin font-large-1"></div>',
                            overlayCSS: {
                                backgroundColor: '#ccc',
                                opacity: 0.8,
                                cursor: 'wait'
                            },
                            css: {
                                border: 0,
                                padding: 0,
                                backgroundColor: 'transparent'
                            }
                        });
                    },
                    success: function(data){
                        console.log(data.lookup_code_id);
                        $('input#fullName').val(data.fullName);
                        $('input#shortName').val(data.shortName);
                        $('input#color_code').val(data.color_code);
                        $('input#order').val(data.order);
                        $('select#lookup_code_id').val(data.lookup_code_id);
                        $('select#process_status').val(data.process_status);
                        $('select#activeFlag').val(data.activeFlag);
                        $('select#process_action').val(data.process_action);
                        $("form#add-form").attr("action", path_update);
                        $('div#hidden-input').html('<input type="hidden" name="id" value="'+data.id+'"><input type="hidden" name="_method" value="PUT">');
                    },
                    complete:function(){
                        $('#action-card').unblock();
                    }
                    ,
                    error: function (data) {
                    }
                });
            }
        </script>
    @endpush
</x-app-layout>
