<x-app-layout>
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item"><a class="text-secondary"
                                           href="{{ route('survey_module.index') }}">{{__('Survey Forms')}}</a></li>
            <li class="breadcrumb-item active" aria-current="page">{{$survey->name." - ".__('Details')}}</li>
        </ol>
    </x-slot>
    <!-- start: page toolbar -->
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto page-header-title">
                <h1 class="color-900 mt-1 mb-0">{{__('Details')}}</h1>
                <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
            </div>
        </div> <!-- .row end -->
    </x-slot>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg- py-1 mt-0 mt-lg-">
        <div class="container-fluid">
            @component('components.announcement')@endcomponent

            <div class="col-12">

                <div class="card mb-3">
                    <div class="card-body">
                        <h6>Edit Survey</h6>
                        <form id="add-form" action="{{route('survey_module.updateSurveyForm',[$survey])}}"
                              method="post">
                            @csrf
                            <div class="row">
                                <div class="col-8">
                                    <div class="form-floating">
                                        <input type="text" required value="{{$survey->name}}" class="form-control"
                                               name="name" id="name" placeholder="E.g. Population Census">
                                        <label for="name" class="text-muted">{{__('Survey Name')}}<span
                                                    class="required">*</span></label>
                                    </div>
                                    <x-field-error field="name"></x-field-error>
                                </div>


                                <div class="col-4">
                                    <div class="form-floating">
                                        <select name="category" id="category" required
                                                class="form-control form-control-l select2"
                                                placeholder="Select category">
                                            <option value="">-- Choose Category--</option>
                                            @foreach(getSurveyCategory() as $key=>$name)
                                                <option value="{{ $name }}" {{($survey->category == $name)?'selected':''}}>{{ $name }}</option>
                                            @endforeach
                                        </select>
                                        <label for="category" class="text-muted">Select Category *</label>
                                    </div>
                                    <x-field-error field="category"></x-field-error>
                                </div>

                                {{--                                <div class="col-md-4 mt-3">--}}
                                {{--                                    <div class="form-floating">--}}
                                {{--                                        <input type="number" required min="0" value="{{($survey->limitPerParticipant() == -1)?0:$survey->limitPerParticipant()}}" class="form-control" name="limit_per_participant" id="limit_per_participant" placeholder="E.g. Population Census">--}}
                                {{--                                        <label for="limit_per_participant" class="text-muted">{{__('Limit Per Participant')}}<span class="required">*</span></label>--}}
                                {{--                                    </div>--}}
                                {{--                                    <x-field-error field="limit_per_participant"></x-field-error>--}}
                                {{--                                </div>--}}

                                {{--                                <div class="col-12 mt-3">--}}
                                {{--                                    <div class="form-check">--}}
                                {{--                                        <input class="form-check-input" @checked($survey->acceptsGuestEntries()) type="checkbox" id="guest_entries" name="guest_entries">--}}
                                {{--                                        <label class="form-check-label" for="guest_entries">{{__('Allow Guest Entries')}}</label>--}}
                                {{--                                    </div>--}}
                                {{--                                    <p><small class="text-info"> Checking this will allow unregistered users make entries to this survey.</small></p>--}}
                                {{--                                </div>--}}
                            </div>
                            <button type="submit" class="btn btn-primary mt-3"><i
                                        class="fa fa-paper-plane"></i> {{__('Save')}}</button>
                        </form>
                    </div>
                </div>

                <div class="mb-3 text-end">
                    <a class="btn btn-primary me-1" href="{{route('survey_module.addQuestion',[$survey])}}">
                        <i class="fa fa-plus"></i> {{__('Add Question')}}
                    </a>
                    <a class="btn btn-light-primary me-1" href="{{route('survey_module.entryForm',[$survey])}}">
                        {{__('View Form')}}
                    </a>
                    <button data-bs-toggle="modal" data-bs-target="#sectionModal" type="button"
                            class="btn btn-light-primary">{{__('Sections')}}
                    </button>
                </div>

                <div class="table-responsive mt-10">
                    <table id="myDataTable_no_filter"
                           class="table table-sm myDataTable align-middle table-bordered mb-3 custom-table">
                        <thead>
                        <tr>
                            <th style="width: 50px">#</th>
                            <th>Content</th>
                            <th style="width: 80px">Type</th>
                            <th style="width: 50px">Action</th>
                        </tr>
                        </thead>
                        <tbody>
                        @php($count = 1)
                        @forelse($survey->questions as $question)
                            <tr>
                                <td>{{$count++}}</td>
                                <td>{{$question->content}}</td>
                                <td>{{Str::headline($question->type)}}</td>
                                <td>
                                    <a href="{{route('survey_module.editQuestion',[$survey,$question])}}"
                                       class="btn-sm btn text-primary"
                                       data-bs-toggle="tooltip" title="Edit Question"> <span
                                                class="fa fa-pencil"></span></a>
                                    <a href="{{route('survey_module.deleteQuestion',[$question])}}"
                                       class="btn-sm btn text-danger"
                                       onclick="return confirm('You are removing a question permanently. Do you want to continue?')"
                                       data-bs-toggle="tooltip" title="Delete Question">
                                        <span class="fa fa-trash"></span>
                                    </a>
                                </td>
                            </tr>
                        @empty
                            <tr>
                                <td colspan="4"><span class="text-muted">No Questions added</span></td>
                            </tr>
                        @endforelse

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="sectionModal" tabindex="-1" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-scrollable">
            <div class="modal-content text-start">
                <div class="modal-body custom_scroll p-lg-5">
                    <button type="button" class="btn-close position-absolute top-0 end-0 mt-3 me-3"
                            data-bs-dismiss="modal" aria-label="Close"></button>
                    <h6 class="mt-3 mb-4">Sections</h6>
                    <p id="err" class="text-danger"></p>
                    <form id="add-form" action="{{route('survey_module.saveSection',[$survey])}}" method="post">
                        @csrf
                        <input type="hidden" name="section_id" id="section_id">
                        <div class="form-floating">
                            <input type="text" required value="{{old('name')}}" class="form-control" name="name"
                                   id="name" placeholder="Personal Information">
                            <label for="name" class="text-muted">{{__('Section name')}}<span
                                        class="required">*</span></label>
                        </div>
                        <x-field-error field="name"></x-field-error>
                        <button type="submit" class="btn btn-primary mt-3"><i class="fa fa-paper-plane"></i> Save
                        </button>
                    </form>

                    <table class="table card-table table-nowrap mb-0 mt-4">
                        <thead>
                        <tr>
                            <th>Name</th>
                            <th style="width: 50px">Action</th>
                        </tr>
                        </thead>
                        <tbody>
                        @forelse($survey->sections as $section)
                            <tr>
                                <td>{{$section->name}}</td>
                                <td>
                                    <a href="#" class="btn-icon btn text-primary"> <span
                                                class="fa fa-pencil"></span></a>
                                    <a href="#" class="btn-icon btn text-danger"> <span class="fa fa-trash"></span></a>
                                </td>
                            </tr>
                        @empty
                            <tr>
                                <td colspan="2"><span class="text-muted">No Sections added</span></td>
                            </tr>
                        @endforelse

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>

    @push('vendor-scripts')
    @endpush
    @push('scripts')
        <script src="{{ asset('assets/js/bundle/dataTables.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/bundle/bootstrapdatepicker.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/custom.js') }}"></script>
        <script>

            function removeSurvey(key) {
                if (confirm("Data maybe lost after removing this Team.\nDo you want to continue?") == true) {
                    document.getElementById('delete-team' + key).submit();
                } else {
                    event.preventDefault();
                }
            }

        </script>
    @endpush
</x-app-layout>
