<x-app-layout>
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('survey.list') }}">{{__('Surveys')}}</a></li>
            <li class="breadcrumb-item active" aria-current="page">{{$page_title}}</li>
        </ol>
    </x-slot>
    <!-- start: page toolbar -->
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto page-header-title">
                <h1 class="color-900 mt-1 mb-0">{{$page_title}}</h1>
                <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
            </div>
        </div> <!-- .row end -->
    </x-slot>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg- py-1 mt-0 mt-lg-">
        <div class="container-fluid">
            @if(session()->has('message'))
                <div class="mb-5">
                    @if(session()->get('status') == 'success')
                        <div role="alert" class="alert alert-success">{{ session()->get('message') }}</div>
                    @else
                        <div role="alert" class="alert alert-danger">{{ session()->get('message') }}</div>
                    @endif
                </div>
            @endif

            <div class="row g-3">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">
                            @php
                                $title = $purpose = null;
                                $program_id = old('program_id');
                                $survey_form_id = old('survey_form');
                                $type = old('type');
                                $frequency = old('frequency');
                                $mode = old('mode');
                                $guest_entries = old('guest_entries');
                                $type = old('type');
                                $regions[] = old('regions');

                                if($survey) {
                                    $title = $survey->title;
                                    $purpose = $survey->purpose;
                                    $frequency = $survey->frequency;
                                    $mode = $survey->mode;
                                    $guest_entries = $survey->acceptsGuestEntries();
                                    $survey_form_id = $survey->survey_form_id;
                                    $program_id = $survey->program_id;
                                    $type = $survey->type;
                                    $regions = $survey->regions->pluck('id','fullName')->toArray();
                                }

                            @endphp
                            <h6 class="text-danger mb-5">Provide information for the all the necessary fields.</h6>
                            <form action="{{($action == 'new')?route('survey.save'):route('survey.update')}}" enctype="multipart/form-data" method="POST">
                                @csrf
                                @if($action == 'edit') <input type="hidden" name="survey_id" value="{{cryptThis($survey->id)}}"> @endif
                                <div class="row">

                                    <div class="col-md-8 mb-3">
                                        <div class="form-floating">
                                        <input type="text" name="title"  required id="title" class="form-control form-control-l"
                                            placeholder="Enter Title" value="{{ (old('title'))?old('title'):$title }}">
                                            <label for="title" class="text-muted">Title *</label>
                                        </div>
                                        @if ($errors->has('title'))
                                            <div class="small text-warning">{{ $errors->first('title') }}</div>
                                        @endif
                                    </div>
                                    <div class="col-md-4 col-sm-12 mb-3">
                                        <div class="form-floating">
                                        <select name="type" id="type" required class="form-select form-control-l select2" placeholder="Select Type">
                                            <option value="">-- Choose Type--</option>
                                            @foreach(getSurveyType() as $key=>$name)
                                                <option value="{{ $key }}" {{ ($key == $type)?'selected':'' }}>{{ $name }}</option>
                                            @endforeach
                                        </select>
                                        <label for="type" class="text-muted">Select Type *</label>
                                        </div>
                                        @if ($errors->has('type'))
                                            <div class="small text-warning">{{ $errors->first('type') }}</div>
                                        @endif
                                    </div>
                                    <div class="col-md-8 col-sm-12 mb-3">
                                        <div class="form-floating">
                                        <select name="program_id" id="program_id" required class="form-select form-control-l select2" placeholder="Select Program">
                                            <option value="">-- Choose Program --</option>
                                            @foreach($programs as $program)
                                                <option value="{{ $program->id }}" {{ ($program_id == $program->id)?'selected':'' }}>{{ $program->name }}</option>
                                            @endforeach
                                        </select>
                                        <label for="program_id" class="text-muted">Select Program *</label>
                                        </div>
                                        @if ($errors->has('program_id'))
                                            <div class="small text-warning">{{ $errors->first('program_id') }}</div>
                                        @endif
                                    </div>
                                    <div class="col-md-4 col-sm-12 mb-3">
                                        <div class="form-floating">
                                            <input type='text' autocomplete="off" class="form-control" name="duration" placeholder="Select Duration"
                                            value="{{request()->get('duration')}}"/>
                                            <label for="duration" class="text-muted">Select Duration *</label>
                                        </div>
                                        @if ($errors->has('duration'))
                                            <div class="small text-warning">{{ $errors->first('duration') }}</div>
                                        @endif
                                    </div>

                                    <div class="col-md-5 col-sm-12 mb-3">
                                        <div class="form-floating">
                                            <select name="survey_form" id="survey_form" required class="form-select form-control-l select2" placeholder="Select Survey Form">
                                                <option value="">-- Choose Form--</option>
                                                @foreach($survey_forms as $survey_form)
                                                    <option value="{{ $survey_form->id }}" {{ ($survey_form->id == $survey_form_id)?'selected':'' }}>{{ $survey_form->name }}</option>
                                                @endforeach
                                            </select>
                                            <label for="survey_form" class="text-muted">Select Survey Form*</label>
                                        </div>
                                        @if ($errors->has('survey_form'))
                                            <div class="small text-warning">{{ $errors->first('survey_form') }}</div>
                                        @endif
                                    </div>

                                    <div class="col-md-3 col-sm-12 mb-3">
                                        <div class="form-floating">
                                            <select name="frequency" id="frequency" required class="form-select form-control-l" placeholder="Select frequency">
                                                <option value="">-- Choose frequency--</option>
                                                @foreach(config('settings.frequency') as $key=>$name)
                                                    <option value="{{ $name }}" {{ ($name == $frequency)?'selected':'' }}>{{ Str::headline($name) }}</option>
                                                @endforeach
                                            </select>
                                            <label for="frequency" class="text-muted">Select Frequency *</label>
                                        </div>
                                        <x-field-error field="frequency"></x-field-error>
                                    </div>
{{--                                    <div class="col-md-4 mb-3">--}}
{{--                                        <div class="form-floating">--}}
{{--                                            <input type="number" min="0" value="{{($participant_limit == -1)?0:$participant_limit}}" class="form-control" name="limit_per_participant" id="limit_per_participant" placeholder="E.g. Population Census">--}}
{{--                                            <label for="limit_per_participant" class="text-muted">{{__('Limit Per Participant')}}</label>--}}
{{--                                        </div>--}}
{{--                                        <x-field-error field="limit_per_participant"></x-field-error>--}}
{{--                                    </div>--}}
{{--                                    <div class="col-md-8 col-sm-12 mb-3">--}}
{{--                                        <div class="form-floating">--}}
{{--                                        <select name="regions[]" id="regions" required multiple class="form-select form-control-l select2" placeholder="Select Regions">--}}
{{--                                            <option value="">-- Choose Regions--</option>--}}
{{--                                            @foreach(getLocations() as $key=>$name)--}}
{{--                                                <option value="{{ $key }}" {{ (in_array($key,array_values($regions)))?'selected':'' }}>{{ $name }}</option>--}}
{{--                                            @endforeach--}}
{{--                                        </select>--}}
{{--                                        <label for="regions" class="text-muted">Select Regions*</label>--}}
{{--                                        </div>--}}
{{--                                        @if ($errors->has('regions'))--}}
{{--                                            <div class="small text-warning">{{ $errors->first('regions') }}</div>--}}
{{--                                        @endif--}}
{{--                                    </div>--}}

                                    <div class="col-md-4 col-sm-12 mb-3">
                                        <div class="form-floating">
                                            <select name="mode" id="mode" required class="form-select form-control-l" placeholder="Select mode">
                                                @foreach(config('settings.mode') as $key=>$name)
                                                    <option value="{{ $name }}" {{ ($name == $mode)?'selected':'' }}>{{ Str::headline($name) }}</option>
                                                @endforeach
                                            </select>
                                            <label for="mode" class="text-muted">Select Mode *</label>
                                        </div>
                                        <x-field-error field="mode"></x-field-error>
                                    </div>

                                    <div class="col-4 mb-3">
                                        <div class="form-check">
                                            <input class="form-check-input" @checked($guest_entries) type="checkbox" id="guest_entries" name="guest_entries">
                                            <label class="form-check-label" for="guest_entries">{{__('Allow Guest Entries')}}</label>
                                        </div>
                                        <p><small class="text-info"> Allow unregistered users make entries to this survey.</small></p>
                                    </div>

                                    <div class="col-md-12 col-sm-12 mb-3">
                                        <div class="form-floating">
                                        <textarea name="purpose" required id="purpose" class="form-control" style="min-height:150px">{{ (old('purpose'))?old('purpose'):$purpose }}</textarea>
                                            <label for="purpose" class="text-muted">Purpose *</label>
                                        </div>
                                        <x-field-error field="purpose"></x-field-error>
                                    </div>

                                    {{-- <div class="col-md-12 col-sm-12 mb-3">
                                        <label for="document" class="form-label">Upload Document</label>
                                        <input class="form-control" name="document" type="file" id="document">
                                        @if ($errors->has('document'))
                                            <div class="small text-warning">{{ $errors->first('document') }}</div>
                                        @endif
                                    </div> --}}
                                    <div class="col-md-12 mb-3">
                                        <button type="submit" class="btn btn-light-primary font-weight-bold"><i class="fa fa-paper-plane mx-1"></i> Save</button>
                                        <button type="reset" class="btn btn-light-danger font-weight-bold"><i class="fa fa-ban mx-1"></i> Cancel</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    @push('vendor-scripts')
    @endpush
    @push('scripts')
        <script src="{{ asset('assets/js/bundle/bootstrapdatepicker.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/custom.js') }}"></script>
        <script src="{{ asset('assets/js/bundle/daterangepicker.bundle.js') }}"></script>
        <script>
            $(function() {
                $('input[name="duration"]').daterangepicker({ startDate: moment().subtract(30, 'day'), endDate: moment()});
            })
        </script>

    @endpush
</x-app-layout>
