<x-app-layout>
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item"><a class="text-secondary"
                                           href="{{ route('survey.mySurveys') }}">{{__('My Surveys')}}</a></li>
            <li class="breadcrumb-item active" aria-current="page">{{$entry->survey->title ." - ".__('View')}}</li>
        </ol>
    </x-slot>
    <!-- start: page toolbar -->
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto page-header-title">
                <h1 class="color-900 mt-1 mb-0">{{$entry->survey->title ." - ".__('View')}}</h1>
                <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i>
                            4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
            </div>
        </div> <!-- .row end -->
    </x-slot>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg- py-1 mt-0 mt-lg-">
        <div class="container-fluid">
            @component('components.announcement')@endcomponent

            <div class="row g-3">
                <div class="col-12 mb-3">
                    <div class="card">
                        <div class="card-body">
                            <div class="row mb-4">
                                <div class="col-12">
                                    <h6 class="mb-0">{{ $entry->survey->title }} {{__('Survey')}}</h6></div>
                                <div class="col-6"><span class="text-muted">{{$entry->surveyForm->category}}</span>
                                </div>
                                <div class="col-6 text-end"><span class="text-muted"><i class="fa fa-calendar"></i> {{date('D, dS F Y',strtotime($entry->created_at))}}</span>
                                </div>
                            </div>
                            @foreach($entry->surveyForm->sections as $section)
                                @include('survey::entries.single.sections.single')
                            @endforeach

                            @foreach($entry->surveyForm->questions()->withoutSection()->get() as $question)
                                @include('survey::entries.single.questions.single')
                            @endforeach
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    @push('vendor-scripts')
    @endpush
    @push('scripts')
        <script src="{{ asset('assets/js/bundle/dataTables.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/bundle/bootstrapdatepicker.bundle.js') }}"></script>
    @endpush
</x-app-layout>
