<x-app-layout>
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item"><a class="text-secondary"
                                           href="{{ route('survey.list') }}">{{__('Surveys')}}</a></li>
            <li class="breadcrumb-item active" aria-current="page">{{$page_title}} - {{$survey->title}}</li>
        </ol>
    </x-slot>
    <!-- start: page toolbar -->
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto page-header-title">
                <h1 class="color-900 mt-1 mb-0">{{$survey->title}} -
                    <a class="fw-normal" href="{{route('survey.edit',[cryptThis($survey->id)])}}">Edit</a>
                </h1>
                <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">Created</span></div>
                    <small class="text-muted text-uppercase">
                        {{defaultDateFormat($survey->created_at)}}
                    </small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="mb-0 h6">Last Updated</span></div>
                    <small class="text-muted text-uppercase">
                        {{easyDate($survey->updated_at)}}
                    </small>
                </div>
            </div>
        </div> <!-- .row end -->
    </x-slot>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg- py-1 mt-0 mt-lg-">
        <div class="container-fluid">
            @component('components.announcement')@endcomponent

            <div class="row g-3 mt-3">
                <div class="col-md-12">
                    <div class="text-end mb-3">
                        <div class="text-en input-grou">
                            <a class="btn btn-primary" href="{{route('survey.edit',[cryptThis($survey->id)])}}"><i
                                        class="fa fa-edit me-2"></i> Edit</a>
                            @if(isset($survey->form))
                                <a class="btn btn-light-primary" href="{{route('survey.newEntry',[$survey])}}"><i
                                            class="fa fa-plus me-2"></i> {{__('New Entries')}}</a>
                                <a class="btn btn-light-primary" href="{{route('survey.entries',[$survey])}}"><i
                                            class="fa fa-list-ul me-2"></i> {{__('View Entries')}}
                                    ({{$survey->survey_entries_count}})</a>
                            @else
                                <a href="#" class="btn btn-light-danger disabled" @disabled(true)>No Survey Entry
                                    selected</a>
                            @endif
                        </div>
                    </div>
                    <div class="card">
                        <div class="card-body">
                            <p>
                                <span class="fw-bold me-3">Program:</span>
                                {{$survey->program->name}}
                            </p>
                            <div class="row">
                                <div class="col-md-6">
                                    <p>
                                        <span class="fw-bold me-3">Type:</span>
                                        {{$survey->_type->fullName}}
                                    </p>
                                    <p>
                                        <span class="fw-bold me-3">Status:</span>
                                        {{$survey->_status->fullName}}
                                    </p>
                                </div>
                                <div class="col-md-6">
                                    <p>
                                        <span class="fw-bold me-3">Duration:</span>
                                        {{date('d M Y', strtotime($survey->start_date))." to ".date('d M Y', strtotime($survey->end_date))}}
                                    </p>
                                    <p>
                                        <span class="fw-bold me-3">Survey Form:</span>
                                        {{$survey->form?->name}}
                                    </p>

                                </div>
                                <div class="col-md-6">
                                    <p>
                                        <span class="fw-bold me-3">Submission Frequency:</span>
                                        {{Str::headline($survey->frequency)}}
                                    </p>
                                    <p>
                                        <span class="fw-bold me-3">Created By:</span> {{$survey->createdBy->fullName.' ('.easyDateNormal($survey->created_at,true).')'}}
                                    </p>
                                </div>
                                <div class="col-md-6">
                                    <p>
                                        <span class="fw-bold me-3">Submission Mode:</span>
                                        {{Str::headline($survey->mode)}}
                                    </p>
                                    <p>
                                        <span class="fw-bold me-3">Last Updated By:</span> {{$survey->updatedBy?->fullName.' ('.easyDateNormal($survey->updated_at,true).')'}}
                                    </p>
                                </div>
                                <div class="col-md-12">

                                    <p>
                                        <span class="fw-bold me-3">Purpose:</span>
                                        <br>
                                        {{$survey->purpose}}
                                    </p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row g-3 row-deck mt-3">
                @if($survey->mode == 'self')
                    <div class="col-md-12 my-3">
                        <div class="card g-3 mt-2">
                            <div class="card-body">
                                <p class="fw-bold">{{__('Target Respondents')}}</p>
                                <form action="{{route('survey.setRespondents',[$survey])}}" method="POST">
                                    @csrf
                                    <div class="row">
                                        <div class="col-12 mb-3">
                                            @foreach(config('settings.respondents') as $key=>$name)
                                                <div class="form-check">
                                                    <input class="form-check-input" type="radio" name="respondents"
                                                           @checked($name == $survey->self_respondents)
                                                           id="respondents{{$key}}" value="{{$name}}">
                                                    <label class="form-check-label"
                                                           for="respondents{{$key}}">{{Str::headline($name)}}</label>
                                                </div>
                                            @endforeach
                                            <x-field-error field="respondents"></x-field-error>
                                        </div>
                                        <div class="col-12 mb-3">
                                            <button type="submit" class="btn btn-primary mt-3">{{__('Save')}}</button>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                @else
                    <div class="col-md-12 my-3">
                        <div class="card">
                            <div class="card-header">
                                <h6 class="card-title">Teams: {{$survey->teams->count()}}</h6>
                                <div class="d-flex">
                                </div>
                            </div>
                            <div class="card-body pt-0 overflow-auto" style="max-height: 300px">
                                <p class="fw-bolder">{{__('Select Respondents')}}</p>
                                <form action="{{route('survey.setRespondents',[$survey])}}" method="POST"> @csrf
                                    @forelse ($survey->teams as $team)
                                        <div class="card d-flex flex-row p-3 mt-1">
                                            <div class="form-check">
                                                <input class="form-check-input" type="checkbox" name="respondents[]"
                                                       @if(!is_null($survey->team_respondents)) @checked(in_array($team->id,$survey->team_respondents)) @endif
                                                       id="respondents_{{$team->id}}" value="{{$team->id}}">
                                                <label class="form-check-label"
                                                       for="respondents_{{$team->id}}">{{$team->name}}</label>
                                            </div>
                                            <div class="flex-fill me-3">
                                                <div class="d-flex flex-wrap justify-content-between">
                                                    <h6 class="mb-1 author" style="font-size: 14px;">
                                                    </h6>
                                                    <span class="text-muted msg-time">Code: <strong>{{$team->code}}</strong></span>
                                                </div>
                                            </div>
                                            <span class="mb-1 author"><a href="#" data-bs-toggle="modal"
                                                                         data-bs-target="#viewTeamModal"
                                                                         onclick="viewTeam('{{$team->id}}')">
                                            Members: {{easyCount($team->members->count())}}</a></span>

                                        </div>
                                    @empty
                                        <x-no-data></x-no-data>
                                    @endforelse
                                    @if($survey->teams->count() > 0)
                                        <button type="submit" class="btn btn-primary mt-3">{{__('Save')}}</button>
                                    @endif
                                </form>

                            </div>
                        </div>
                    </div>
                @endif

{{--                <div class="col-md-6 my-3">--}}
{{--                    <div class="card">--}}
{{--                        <div class="card-header">--}}
{{--                            <h6 class="card-title">Target Areas: {{$survey->regions->count()}}</h6>--}}
{{--                            <div class="d-flex">--}}
{{--                                --}}{{--                                <a class="nav-link py-2 px-3 text-muted" href="javascript:void(0);">View all Benefits</a>--}}
{{--                            </div>--}}
{{--                        </div>--}}
{{--                        <div class="card-body pt-0 overflow-auto" style="max-height: 300px">--}}
{{--                            @forelse ($survey->regions as $region)--}}
{{--                                <div class="card d-flex flex-row p-3 mt-1">--}}
{{--                                    <div class="flex-fill me-3">--}}
{{--                                        <div class="d-flex flex-wrap justify-content-between">--}}
{{--                                            <span class="h6 mb-1 author">{{$region->fullName}}</span>--}}
{{--                                            --}}{{-- <small class="text-muted msg-time">{{$benefit->financial}}</small> --}}
{{--                                        </div>--}}
{{--                                        <span class="text-muted">0 Beneficiaries</span>--}}
{{--                                    </div>--}}
{{--                                    --}}{{-- <span class="text-muted me-3">{{$benefit->_class?->fullName}}</span> --}}
{{--                                    <span class="fw-bolder mb-1 author"><a href="#">Manage</a></span>--}}
{{--                                </div>--}}
{{--                            @empty--}}
{{--                                <x-no-data></x-no-data>--}}
{{--                            @endforelse--}}
{{--                        </div>--}}
{{--                    </div>--}}
{{--                </div>--}}
            </div>

            @if($survey->mode == 'assisted')
                <div class="card mt-3">
                    <div class="card-body">
                        <h6>Field Activities</h6>
                        {{-- @if ($household->members->count() > 0) --}}
                        <table class="table table-nowrap mb-0 card-table align-middle table-sm">
                            <thead>
                            <th style="width: 30px">#</th>
                            <th style="width: 120px">Team ID</th>
                            <th style="width: 120px">Team Lead</th>
                            <th style="width: 120px">Members</th>
                            <th>Targeted Areas</th>
                            <th style="width: 100px">Timeline</th>
                            <th style="width: 100px">Status</th>
                            <th style="width: 50px">Action</th>
                            </thead>
                            <tbody>
                            {{-- @php
                                $count = 0;
                            @endphp
                            @foreach ($household->members as $member)
                            @php
                                $count += 1;
                            @endphp
                            <tr>
                                <td>{{$count}}</td>
                                <td>{{$member->applicant->fullName}}</td>
                                <td>{{defaultDateFormat($member->applicant->dobs).' ('.getAgeByDate($member->applicant->dobs).')'}}</td>
                                <td>{{$member->applicant->genders}}</td>
                                <td>{{($member->applicant->status == 1)?'Active':'Disabled'}}</td>
                                <td><a href="{{route('applicant.viewApplicantInfo',['app_id'=>cryptThis($member->applicant->id)])}}" class="btn btn-sm btn-link"><i class="bi-info-circle"></i></a></td>
                            </tr>
                            @endforeach --}}
                            </tbody>
                        </table>
                        {{-- @else
                            <x-no-data></x-no-data>
                        @endif --}}
                    </div>
                </div>
            @endif
        </div>
    </div>
    <div class="modal fade" id="viewTeamModal" tabindex="-1" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-scrollable">
            <div class="modal-content text-start">
                <div class="modal-body custom_scroll p-lg-5">
                    <button type="button" class="btn-close position-absolute top-0 end-0 mt-3 me-3"
                            data-bs-dismiss="modal" aria-label="Close"></button>
                    <div id="form-container">
                        <h6 class="mt-3 mb-4">Team Member Information</h6>
                        <div id="team-information"></div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    @push('vendor-scripts')
    @endpush
    @push('scripts')
        <script src="{{ asset('assets/js/bundle/dataTables.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/bundle/bootstrapdatepicker.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/custom.js') }}"></script>
        <script src="{{ asset('assets/js/customjs/custom-programs-datatable.js') }}"></script>

        <script>
            function viewTeam(key) {
                var path = "{{route('team.view')}}";
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-Token': $('meta[name=_token]').attr('content')
                    }
                });
                $.ajax({
                    url: path,
                    type: 'GET',
                    data: {id: key},
                    success: function (data) {
                        $('#team-information').html(data.message);
                    },
                    complete: function () {
                    }
                    ,
                    error: function (data) {
                    }
                });
            }
        </script>
    @endpush
</x-app-layout>
