<x-app-layout>

    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item"><a class="text-secondary" href="{{route('settings.countries')}}">Country Management - {{ $country->en_short_name }}</a></li>
            <li class="breadcrumb-item active" aria-current="page">County Management</li>
        </ol>
    </x-slot>
    <!-- start: page toolbar -->
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto">
                <h1 class="fs-5 color-900 mt-1 mb-0">County Management</h1>
                <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i> 1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i> 4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
{{--                <div class="p-2 pe-lg-0">--}}
{{--                    <div><span class="h6 mb-0">3.66K</span> <small class="text-danger"><i class="fa fa-angle-down"></i> 7.5%</small></div>--}}
{{--                    <small class="text-muted text-uppercase">Revenue</small>--}}
{{--                </div>--}}
            </div>
        </div> <!-- .row end -->
    </x-slot>
    <!-- start: page body -->
    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg-2 py-1 mt-0 mt-lg-3">
        <div class="container-fluid">
            @if(session()->has('message'))
                <div class="mb-5">
                    @if(session()->get('status') == 'success')
                        <div role="alert" class="alert alert-success">{{ session()->get('message') }}</div>
                    @else
                        <div role="alert" class="alert alert-danger">{{ session()->get('message') }}</div>
                    @endif
                </div>
            @endif
            <div class="row g-3">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">
                            <form action="#" method="GET">
                                @csrf
                                <div class="input-group">
                                    <select name="county" id="county"  class="form-control select2">
                                        <option value="">-- Select Name --</option>
                                        @foreach($all_counties as $county)
                                            <option value="{{ $county->id }}">{{ $county->county }}</option>
                                        @endforeach
                                    </select>
                                    <select name="status" id="status"  class="form-control">
                                        <option value="">-- Select Status --</option>
                                        <option value="1">Enabled</option>
                                        <option value="0">Disabled</option>
                                    </select>
                                    <button class="btn btn-secondary" type="submit"><i class="bi-search"></i></button>
                                    <a href="{{ route('settings.counties',[$country->id]) }}" class="btn btn-light-primary" >All Counties</a>
                                    <button type="button" class="btn btn-primary"  href="javascript:void(0)"
                                            onclick="createCounty()"  data-bs-toggle="modal" data-bs-target="#createCounty" title="Add County">Add County</button>
                                </div>
                            </form>

                        </div>
                    </div>
                </div>
                <div class="col-12">
                    <table id="myDataTable_no_filter" class="table myDataTable align-middle table-bordered mb-0 custom-table">
                        <thead>
                        <tr>
                            <th>#</th>
                            <th>Country</th>
                            <th>Capital</th>
                            <th style="width: 50px">Action</th>
                        </tr>
                        </thead>
                        <tbody>
                        @php $count = 1; @endphp
                        @foreach($counties as $county)
                        <tr>
                            <td>
                                {{$count++}}
                            </td>
                            <td>
                                {{ $county->county }}
                            </td>
                            <td>
                                {{ $county->capital }}
                            </td>
                            <td>
                                @php
                                    $countyId = cryptThis($county->id);
                                        if($county->status == 1) {
                                            $action = 'Disable';
                                        }
                                        else {
                                            $action = 'Enable';
                                        }
                                @endphp
                                <button type="button" class="btn btn-link btn-sm text-primary"  href="javascript:void(0)" onclick="editCounty('{{$county->county}}', '{{$county->state}}', '{{$county->area}}', '{{$county->capital}}', {{$county->id}})"
                                        data-bs-toggle="modal" data-bs-target="#saveCounty" title="Edit County"><i class="fa fa-edit"></i></button>

                                    @if($county->status == 1)
                                        <a href="{{route('settings.countyStatus',['county'=>$countyId])}}" class="btn btn-link btn-sm text-danger" data-bs-toggle="tooltip"
                                                data-bs-placement="top" title="{{$action}}"><i class="fa fa-times-circle"></i></a>
                                    @else
                                        <a href="{{route('settings.countyStatus',['county'=>$countyId])}}" class="btn btn-link btn-sm text-success" data-bs-toggle="tooltip"
                                                data-bs-placement="top" title="{{$action}}"><i class="fa fa-check"></i></a>
                                    @endif
                            </td>
                        </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div> <!-- .row end -->
        </div>
    </div>

    <div class="modal fade" id="saveCounty" tabindex="-1" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-scrollable">
            <div class="modal-content text-start">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLiveLabel">Country Details</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body custom_scroll p-lg-4">
                    <div id="form-container">
                        <form action="{{ route('settings.saveCounty') }}" method="POST">
                            @csrf
                            <input type="hidden" name="country_id" value="{{$country->id}}">
                            <input type="hidden" name="county_id" id="county_id">
                            <div class="row">

                                <div class="col-md-6 col-sm-12 mb-3">
                                    <div class="form-floating">
                                        <input type="county" name="county" required id="county" class="form-control form-control-lg"
                                               value="{{ (old('county'))?old('county'):'' }}" placeholder="County Name">
                                        <label class="text-muted">County Name *</label>
                                    </div>
                                    @if ($errors->has('county'))
                                        <div class="small text-warning">{{ $errors->first('county') }}</div>
                                    @endif
                                </div>

                                <div class="col-md-6 col-sm-12 mb-3">
                                    <div class="form-floating">
                                        <input type="text" name="state" required id="state" class="form-control form-control-lg"
                                               value="{{ (old('state'))?old('state'):'' }}" placeholder="State">
                                        <label class="text-muted">State *</label>
                                    </div>
                                    @if ($errors->has('state'))
                                        <div class="small text-warning">{{ $errors->first('state') }}</div>
                                    @endif
                                </div>

                                <div class="col-md-4 col-sm-12 mb-3">
                                    <div class="form-floating">
                                        <input type="text" name="area" required id="area" class="form-control form-control-lg"
                                               value="{{ (old('area'))?old('area'):'' }}" placeholder="Area">
                                        <label class="text-muted">Area *</label>
                                    </div>
                                    @if ($errors->has('area'))
                                        <div class="small text-warning">{{ $errors->first('area') }}</div>
                                    @endif
                                </div>

                                <div class="col-md-4 col-sm-12 mb-3">
                                    <div class="form-floating">
                                        <input type="text" name="capital" required id="capital" class="form-control form-control-lg"
                                               value="{{ (old('capital'))?old('capital'):'' }}" placeholder="Capital">
                                        <label class="text-muted">Capital *</label>
                                    </div>
                                    @if ($errors->has('capital'))
                                        <div class="small text-warning">{{ $errors->first('capital') }}</div>
                                    @endif
                                </div>

                                <div class="col-md-2 mb-3">
                                    <button class="btn btn-primary btn-sm square btn-lg" type="submit">
                                        <span id="action">Add</span></button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

@push('scripts')
        <script src="{{ asset('assets/js/bundle/dataTables.bundle.js') }}"></script>
        <!-- Jquery Page Js -->
        <script>

            function createCounty() {
                $('input#county').val(null);
                $('input#state').val(null);
                $('input#area').val(null);
                $('input#capital').val(null);
                $('span#action').html('Add');
                $('input#county_id').val(null)
            }

            function editCounty(county,state,area,capital,county_id) {
                $('input#county').val(county);
                $('input#state').val(state);
                $('input#area').val(area);
                $('input#capital').val(capital);
                $('span#action').html('Update');
                $('input#county_id').val(county_id)
            }

            // Data Table
            $('#myDataTable_no_filter').addClass('nowrap').dataTable({
                responsive: true,
                searching: false,
                paging: false,
                ordering: false,
                info: false,
            });

        </script>
@endpush
</x-app-layout>
