<x-app-layout>

    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item active" aria-current="page">Country Management</li>
        </ol>
    </x-slot>
    <!-- start: page toolbar -->
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto">
                <h1 class="fs-5 color-900 mt-1 mb-0">Country Management</h1>
                <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i> 1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i> 4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
{{--                <div class="p-2 pe-lg-0">--}}
{{--                    <div><span class="h6 mb-0">3.66K</span> <small class="text-danger"><i class="fa fa-angle-down"></i> 7.5%</small></div>--}}
{{--                    <small class="text-muted text-uppercase">Revenue</small>--}}
{{--                </div>--}}
            </div>
        </div> <!-- .row end -->
    </x-slot>
    <!-- start: page body -->
    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg-2 py-1 mt-0 mt-lg-3">
        <div class="container-fluid">
            @if(session()->has('message'))
                <div class="mb-5">
                    @if(session()->get('status') == 'success')
                        <div role="alert" class="alert alert-success">{{ session()->get('message') }}</div>
                    @else
                        <div role="alert" class="alert alert-danger">{{ session()->get('message') }}</div>
                    @endif
                </div>
            @endif
            <div class="row g-3">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">
                            <form action="#" method="GET">
                                @csrf
                                <div class="input-group">
                                    <select name="country" id="country"  class="form-select select">
                                        <option value="">-- Select Country --</option>
                                        @foreach($all_countries as $country)
                                            <option value="{{ $country->id }}" 
                                                {{ (request()->get('country') == $country->id)?'selected':'' }}>
                                                {{ $country->country_name }}</option>
                                        @endforeach
                                    </select>
                                    <input type="text" name="phone_code" class="form-control" id="phone_code" 
                                    value="{{request()->get('phone_code')}}" placeholder="Enter Phone Code">
                                    <select name="status" id="status"  class="form-select">
                                        <option value="">-- Select Status --</option>
                                        <option value="1" {{ (request()->get('status') == "1")?'selected':'' }}>Enabled</option>
                                        <option value="0" {{ (request()->get('status') == "0")?'selected':'' }}>Disabled</option>
                                    </select>
                                    <button class="btn btn-secondary" type="submit"><i class="bi-search"></i></button>
                                    <a href="{{ route('settings.countries') }}" class="btn btn-light-primary" ><i class="bi-arrow-repeat"></i></a>
                                    <button type="button" class="btn btn-primary"  href="javascript:void(0)"
                                            onclick="createCountry()"  data-bs-toggle="modal" data-bs-target="#saveCountry" title="Add County">Add Country</button>
                                </div>
                            </form>

                        </div>
                    </div>
                </div>
                <div class="col-12">
                    <table id="myDataTable_no_filter" class="table table-sm myDataTable align-middle table-bordered mb-0 custom-table">
                        <thead>
                        <tr>
                            <th style="width: 30px">#</th>
                            <th>Country</th>
                            <th>Currency</th>
                            <th>Phone Code</th>
                            <th style="width: 50px">Action</th>
                        </tr>
                        </thead>
                        <tbody>
                        @php $count = 1; @endphp
                        @foreach($countries as $country)
                        <tr>
                            <td>
                                {{$count++}}
                            </td>
                            <td>
                                {{ $country->country_name }}
                            </td>
                            <td>
                                {{ $country->currency_name." (".$country->currency_code.")" }}
                            </td>
                            <td>
                                {{ $country->phone_code }}
                            </td>
                            <td>
                                @php
                                $countryId = cryptThis($country->id);
                                    if($country->status == 1) {
                                        $action = 'Disable';
                                    }
                                    else {
                                        $action = 'Enable';
                                    }
                                @endphp
                                <a class="btn btn-link btn-sm text-info" href="{{route('settings.counties',[$country->id])}}" data-bs-toggle="tooltip" data-bs-placement="top" title="View Counties"><i class="fa fa-list-ol"></i></a>
                                <button type="button" class="btn btn-link btn-sm text-primary"  href="javascript:void(0)" data-bs-toggle="modal" data-bs-target="#saveCountry" title="Edit Country"
                                        onclick="editCountry('{{$country->country_name}}','{{$country->nationality}}','{{$country->country_code}}','{{$country->currency_name}}', '{{$country->currency_code}}', {{$country->id}}, {{$country->phone_code}})"  ><i class="fa fa-edit"></i></button>

                                    @if($country->status == 1)
                                        <a href="{{route('settings.countryStatus',['country'=>$countryId])}}" class="btn btn-link btn-sm text-danger" data-bs-toggle="tooltip"
                                                data-bs-placement="top" title="{{$action}}"><i class="fa fa-times-circle"></i></a>
                                    @else
                                        <a href="{{route('settings.countryStatus',['country'=>$countryId])}}" class="btn btn-link btn-sm text-success" data-bs-toggle="tooltip"
                                                data-bs-placement="top" title="{{$action}}"><i class="fa fa-check"></i></a>
                                    @endif
                            </td>
                        </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div> <!-- .row end -->
        </div>
    </div>

    <!--Produce Modal-->
    <div class="modal fade" id="saveCountry" tabindex="-1" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-scrollable">
            <div class="modal-content text-start">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLiveLabel">Country Details</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body custom_scroll p-lg-4">
                    <div id="form-container">
                        <form action="{{ route('settings.saveCountry') }}" method="POST">
                            @csrf
                            <input type="hidden" name="country_id" id="country_id">
                            <div class="row">

                                <div class="col-md-4 col-sm-12 mb-3">
                                    <div class="form-floating">
                                        <input type="country_name" name="country_name" required id="country_name" class="form-control form-control-lg"
                                               value="{{ (old('country_name'))?old('country_name'):'' }}" placeholder="Country Name">
                                        <label class="text-muted">Country Name *</label>
                                    </div>
                                    @if ($errors->has('country_name'))
                                        <div class="small text-warning">{{ $errors->first('country_name') }}</div>
                                    @endif
                                </div>

                                <div class="col-md-4 col-sm-12 mb-3">
                                    <div class="form-floating">
                                        <input type="text" name="nationality" required id="nationality" class="form-control form-control-lg"
                                               value="{{ (old('nationality'))?old('nationality'):'' }}" placeholder="Nationality">
                                        <label class="text-muted">Nationality *</label>
                                    </div>
                                    @if ($errors->has('nationality'))
                                        <div class="small text-warning">{{ $errors->first('nationality') }}</div>
                                    @endif
                                </div>

                                <div class="col-md-4 col-sm-12 mb-3">
                                    <div class="form-floating">
                                        <input type="text" name="country_code" required id="country_code" class="form-control form-control-lg"
                                               value="{{ (old('country_code'))?old('country_code'):'' }}" placeholder="Country 2 Code">
                                        <label class="text-muted">Country 2 Code *</label>
                                    </div>
                                    @if ($errors->has('country_code'))
                                        <div class="small text-warning">{{ $errors->first('country_code') }}</div>
                                    @endif
                                </div>

                                <div class="col-md-4 col-sm-12 mb-3">
                                    <div class="form-floating">
                                        <input type="text" name="phone_code" required id="phone_code" class="form-control form-control-lg"
                                               value="{{ (old('phone_code'))?old('phone_code'):'' }}" placeholder="Phone Code">
                                        <label class="text-muted">Phone Code *</label>
                                    </div>
                                    @if ($errors->has('phone_code'))
                                        <div class="small text-warning">{{ $errors->first('phone_code') }}</div>
                                    @endif
                                </div>

                                <div class="col-md-4 col-sm-12 mb-3">
                                    <div class="form-floating">
                                        <input type="text" name="currency" required id="currency" class="form-control form-control-lg"
                                               value="{{ (old('currency'))?old('currency'):'' }}" placeholder="Currency Name">
                                        <label class="text-muted">Currency *</label>
                                    </div>
                                    @if ($errors->has('currency'))
                                        <div class="small text-warning">{{ $errors->first('currency') }}</div>
                                    @endif
                                </div>

                                <div class="col-md-4 col-sm-12 mb-3">
                                    <div class="form-floating">
                                        <input type="text" name="currency_code" required id="currency_code" class="form-control form-control-lg"
                                               value="{{ (old('currency_code'))?old('currency_code'):'' }}" placeholder="Currency Code">
                                        <label class="text-muted">Currency Code*</label>
                                    </div>
                                    @if ($errors->has('currency_code'))
                                        <div class="small text-warning">{{ $errors->first('currency_code') }}</div>
                                    @endif
                                </div>

                                <div class="col-md-2 mb-3">
                                    <button class="btn btn-primary btn-sm square btn-lg" type="submit">
                                        <span id="action">Add</span></button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

@push('scripts')
        <script src="{{ asset('assets/js/bundle/dataTables.bundle.js') }}"></script>
        <!-- Jquery Page Js -->
        <script>

            function createCountry() {
                $('input#country_name').val(null);
                $('input#nationality').val(null);
                $('input#country_code').val(null);
                $('input#currency').val(null);
                $('input#currency_code').val(null);
                $('input#phone_code').val(null);
                $('span#action').html('Add');
                $('input#country_id').val(null)
            }

            function editCountry(country_name,nationality,country_code,currency,currency_code,country_id,phone_code) {
                $('input#country_name').val(country_name);
                $('input#nationality').val(nationality);
                $('input#country_code').val(country_code);
                $('input#currency').val(currency);
                $('input#currency_code').val(currency_code);
                $('span#action').html('Update');
                $('input#country_id').val(country_id)
                $('input#phone_code').val(phone_code)
            }

            // Data Table
            $('#myDataTable_no_filter').addClass('nowrap').dataTable({
                responsive: true,
                searching: false,
                paging: false,
                ordering: false,
                info: false,
            });

        </script>
@endpush
</x-app-layout>
