<x-app-layout>
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item active" aria-current="page">Options List</li>
        </ol>
    </x-slot>
    <!-- start: page toolbar -->
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto">
                <h1 class="fs-5 color-900 mt-1 mb-0">Options List</h1>
                <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i> 1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i> 4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
            </div>
        </div> <!-- .row end -->
    </x-slot>

    <!--begin::Row-->
    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg-2 py-1 mt-0 mt-lg-3">
        <div class="container-fluid">
                @if(session()->has('message'))
                    <div class="mb-5">
                    @if(session()->get('status') == 'success')
                        <div role="alert" class="alert alert-success">{{ session()->get('message') }}</div>
                    @else
                        <div role="alert" class="alert alert-danger">{{ session()->get('message') }}</div>
                    @endif
                    </div>
                @endif
            <div class="row g-3" >
                <div class="col-12">
                    <div class="card">
                        <div class="card-body pt-5 pb-5">
                            <form action="#" method="GET">
                                @csrf
                                <div class="input-group">
                                    <input type="text" class="form-control" name="option_name" placeholder="Option Name" 
                                    value="{{ request()->get('option_name') }}">
                                    <select name="option_type" id="option_type"  class="form-select">
                                        <option value="">-- Select Option Type --</option>
                                        @foreach($lookupCodes as $lookupCode)
                                            <option value="{{$lookupCode->id}}" {{ (request()->get('option_type') == $lookupCode->id)?'selected':'' }}>
                                                {{$lookupCode->lookupName}}
                                            </option>
                                        @endforeach
                                    </select>
                                    <button class="btn btn-secondary" type="submit"><i class="bi-search"></i></button>
                                    <a href="{{ route('settings.lookup') }}" class="btn btn-light-primary" ><i class="bi-arrow-repeat"></i></a>
                                    <a href="{{ route('settings.lookupCode') }}" class="btn btn-light-success" title="Parent Option"><i class="fa fa-folder"></i></a>
                                    <button  data-bs-toggle="modal" data-bs-target="#lookupModal" type="button" class="btn btn-primary"
                                             onclick="addLookupOptions()">Add New Option</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row g-3 mt-4" i="action-card">
                <div class="col-12">
                    <div class="table-responsive">
                        <table id="myDataTable_no_filter" class="table table-sm myDataTable align-middle table-bordered mb-0 custom-table">
                            <thead>
                            <tr>
                                <th width="50px">#</th>
                                <th>{{ __('Full Name') }}</th>
                                <th>{{ __('Short name') }}</th>
                                <th>{{ __('Order No.') }}</th>
                                <th>{{ __('Option Type') }}</th>
                                <th>{{ __('Color Code') }}</th>
                                <th width="50px">{{ __('Status') }}</th>
                                <th width="50px">{{ __('Actions') }}</th>
                            </tr>
                            </thead>
                            <tbody>
                            @if($options->count() > 0)
                                @php $counter=0; @endphp
                                @foreach($options as $option)
                                    <tr>
                                        <td>{{$counter+=1}}</td>
                                        <td>{{$option->fullName}}</td>
                                        <td>{{$option->shortName}}</td>
                                        <td>{{$option->order}}</td>
                                        <td>{{$option->lookupCode->lookupName}}</td>
{{--                                        <td>{{$option->process_status}}</td>--}}
                                        <td><span style="color: {{$option->color_code}}">{{$option->color_code}}</span></td>
                                        <td>
                                            @if($option->activeFlag == 1) <span class="text-success">{{ __('Active') }}</span>
                                            @else <span class="text-danger">{{ __('Disabled') }}</span> @endif
                                        </td>
                                        <td>
                                            <button class="btn btn-link text-light-primary"
                                               data-bs-toggle="modal" data-bs-target="#lookupModal"
                                               data-bs-placement="top" title="Edit" onclick="editLookupOptions('{{$option->id}}')">
                                                <i class="fa fa-edit"></i>
                                            </button>
                                        </td>
                                    </tr>
                                @endforeach
                            @endif
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="lookupModal" tabindex="-1" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-scrollable">
            <div class="modal-content text-start">
                <div class="modal-body custom_scroll p-lg-5">
                    <button type="button" class="btn-close position-absolute top-0 end-0 mt-3 me-3" data-bs-dismiss="modal" aria-label="Close"></button>
                    <div id="form-container">
                        <h6 class="mt-3 mb-4">Submit Option Information</h6>
                        <form id="add-form" action="{{route('settings.lookupSave')}}" method="post">
                            @csrf
                            <div id="hidden-input"></div>
                            <div class="row">
                                <div class="col-md-6 mb-3">
                                    <div class="form-floating">
                                        <input type="text" required min="2" name="fullName" class="form-control" value="{{ old('fullName') }}" id="fullName" placeholder="Option Name">
                                        <label for="fullName">{{ __('Option Name') }}<span class="required">*</span></label>
                                    </div>
                                    @if ($errors->has('fullName'))
                                        <span class="form-text text-warning">{{ $errors->first('fullName') }}</span>
                                    @endif
                                </div>
                                <div class="col-md-3 mb-3">
                                    <div class="form-floating">
                                        <input type="text" name="shortName" class="form-control" value="{{ old('shortName') }}" id="shortName" placeholder="Short name">
                                        <label for="lookup">{{ __('Short Name') }}<span class="required">*</span></label>
                                    </div>
                                    @if ($errors->has('shortName'))
                                        <span class="form-text text-warning">{{ $errors->first('shortName') }}</span>
                                    @endif
                                </div>
                                <div class="col-md-3 mb-3">
                                    <div class="form-floating">
                                        <select name="activeFlag" id="activeFlag" class="form-select">
                                            <option selected value="1">{{ __('Active') }}</option>
                                            <option value="0">{{ __('Disable') }}</option>
                                        </select>
                                        <label for="activeFlag">{{ __('Status') }}<span class="required">*</span></label>
                                    </div>
                                    @if ($errors->has('activeFlag'))
                                        <span class="form-text text-warning">{{ $errors->first('activeFlag') }}</span>
                                    @endif
                                </div>
                                <div class="col-md-6 mb-3">
                                    <div class="form-floating">
                                        <select name="lookup_code_id" id="lookup_code_id" required class="form-select">
                                            <option value="">{{ __('Choose') }}</option>
                                            @foreach($lookupCodes as $lookupCode)
                                                <option value="{{$lookupCode->id}}" @if($lookupCode->id == old('lookup_code_id') ) selected @endif>
                                                    {{$lookupCode->lookupName}}
                                                </option>
                                            @endforeach
                                        </select>
                                        <label for="lookup_code_id">{{ __('Parent Code') }}<span class="required">*</span></label>
                                    </div>
                                    @if ($errors->has('lookup_code_id'))
                                        <span class="form-text text-warning">{{ $errors->first('lookup_code_id') }}</span>
                                    @endif
                                </div>
                                <div class="col-md-3 mb-3">
                                    <div class="form-floating">
                                        <input type="number" name="order" class="form-control" value="{{ old('order') }}" id="order" placeholder="1">
                                        <label for="order">{{ __('Order No.') }}<span class="required">*</span></label>
                                    </div>
                                    @if ($errors->has('order'))
                                        <span class="form-text text-warning">{{ $errors->first('order') }}</span>
                                    @endif
                                </div>

                                <div class="col-md-3 mb-3">
                                    <div class="form-floating">
                                        <input type="color" name="color_code" id="color_code" class="form-control" value="{{ old('color_code') }}">
                                        <label for="color_code">{{ __('Color Code') }}</label>
                                    </div>
                                    @if ($errors->has('color_code'))
                                        <span class="form-text text-warning">{{ $errors->first('color_code') }}</span>
                                    @endif
                                </div>

                                <div class="col-12 mb-3 text-end">
                                    <button class="btn btn-primary btn-sm square btn-lg" type="submit">
                                        <i class="fa fa-paper-plane mx-1"></i> Save</button>
{{--                                    <a href="{{ route('settings.lookup') }}" class="btn btn-sm btn-success font-weight-bold btn-lg">--}}
{{--                                        <i class="fa fa-plus"></i> {{ __('New Option') }}</a>--}}
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!--end::Row-->
    @push('scripts')
        <script src="{{ asset('assets/js/bundle/dataTables.bundle.js') }}"></script>
        <!-- Jquery Page Js -->
        <script>
            // Data Table
            $('#myDataTable_no_filter').addClass('nowrap').dataTable({
                responsive: false,
                searching: false,
                paging: false,
                ordering: false,
                info: false,
            });

            function addLookupOptions() {
                var path_update = "{{route('settings.lookupSave')}}";
                // $('form#add-form').reset();
                $('input#fullName').val(null);
                $('input#shortName').val(null);
                $('input#color_code').val(null);
                $('input#order').val(null);
                $('select#lookup_code_id').val(null);
                $('select#process_status').val(null);
                $('select#activeFlag').val(null);
                $('select#process_action').val(null);
                $("form#add-form").attr("action", path_update);
                $('div#hidden-input').empty()
            }

            function editLookupOptions(key) {
                var path = "{{route('settings.lookupEdit')}}";
                var path_update = "{{route('settings.lookupUpdate')}}";
                $.ajaxSetup(    {
                    headers: {
                        'X-CSRF-Token': $('meta[name=_token]').attr('content')
                    }
                });
                $.ajax({
                    url: path,
                    type: 'GET',
                    data: {id:key},
                    beforeSend: function(){
                    },
                    success: function(data){
                        console.log(data.lookup_code_id);
                        $('input#fullName').val(data.fullName);
                        $('input#shortName').val(data.shortName);
                        $('input#color_code').val(data.color_code);
                        $('input#order').val(data.order);
                        $('select#lookup_code_id').val(data.lookup_code_id);
                        $('select#process_status').val(data.process_status);
                        $('select#activeFlag').val(data.activeFlag);
                        $('select#process_action').val(data.process_action);
                        $("form#add-form").attr("action", path_update);
                        $('div#hidden-input').html('<input type="hidden" name="id" value="'+data.id+'"><input type="hidden" name="_method" value="PUT">');
                    },
                    complete:function(){
                    }
                    ,
                    error: function (data) {
                    }
                });
            }
        </script>
    @endpush
</x-app-layout>
