<div class="m-3">
    <div class="row mb-3">
        <div class="col-md-3 col-sm-8">
            @php
                $member_avatar = asset('assets/default.jpeg');
                if(!is_null($member->avatar_url)) $member_avatar = asset($member->avatar_url);
            @endphp
            
            <img src="{{$member_avatar}}" alt="{{$member->name}} Image" class="circle no-filter" style="width: 150px; height: 150px; border-radius: 100%;">
        </div>
        <div class="col-md-9">
            <div class="row mb-3">
                <div class="col-12">
                    <p><span class="fw-bolder">Name: </span><span class="text-muted">{{$member->name}}</span> </p>
                </div>
                <div class="col-md-6">
                    <p><span class="fw-bolder">Gender: </span><span class="text-muted">{{$member->_gender->fullName}}</span> </p>
                    <p><span class="fw-bolder">Email: </span><span class="text-muted">{{$member->email}}</span> </p>
                </div>
                <div class="col-md-6">
                    <p><span class="fw-bolder">Date of Birth: </span><span class="text-muted">{{date('d M Y',strtotime($member->date_of_birth))}}, {{getAgeByDate($member->date_of_birth)}}</span> </p>
                    <p><span class="fw-bolder">Phone: </span><span class="text-muted">{{$member->phone}}</span> </p>
                </div>
                <div class="col-12">
                    <p><span class="fw-bolder">Address: </span>
                        <br><span class="text-muted">{{$member->address}}</span> </p>
                </div>
            </div>
        </div>
        <div class="col-md-6">
            <p><span class="fw-bolder">Education Level: </span><span class="text-muted">{{$member->_education_level->fullName}}</span> </p>
            <p><span class="fw-bolder"> Criminal Charges?</span><span class="text-muted me-2">
                {{($member->criminal_background == 1)?'Yes':'No'}}</span> 
                @if (!is_null($member->criminal_background_file))
                <a href="{{asset($member->criminal_background_file)}}" target="_blank" class="text-primary"> Download Document</a> 
                @endif
            </p>
        </div>
        <div class="col-md-6">
            <p><span class="fw-bolder">Education Institution: </span><span class="text-muted">{{date('d M Y',strtotime($member->date_of_birth))}}, {{getAgeByDate($member->date_of_birth)}}</span> </p>
            <p><span class="fw-bolder">References: </span><span class="text-muted">{{$member->references}}</span> </p>
        </div>
        <div class="col-12">
            <p><span class="fw-bolder">Work Experience: </span>
                <br><span class="text-muted">{{$member->work_experience}}</span> </p>
            <p><span class="fw-bolder">Training Skills: </span>
                <br><span class="text-muted">{{$member->training_skills}}</span> </p>
        </div>
    </div>
    <div class="row mb-3">
        <h6>Team Memberships</h6>
        @if ($member->teamMemberships->count() > 0)
            <table class="table table-nowrap mb-0 card-table align-middle table-sm">
                <thead>
                    <th style="width: 30px">#</th>
                    <th>Team</th>
                    <th style="width: 100px">Role</th>
                    <th style="width: 100px">Surveys</th>
                </thead>
                <tbody>
                    @php
                        $count = 0;
                    @endphp
                    @foreach ($member->teamMemberships as $teamMemberships)
                    @php
                        $count += 1;
                    @endphp
                    <tr>
                        <td>{{$count}}</td>
                        <td>{{$teamMemberships->team->name}}</td>
                        <td>{{$teamMemberships->_role->fullName}}</td>
                        <td>3</td>
                    </tr>
                    @endforeach
                </tbody>
            </table>
        @else
            <x-no-data></x-no-data>
        @endif

    </div>
</div>
