<x-app-layout>
    <x-slot name="page_title">
        {{ __('Create A User') }}
    </x-slot>
    <x-slot name="breadcrumb">
        <ul class="breadcrumb breadcrumb-transparent breadcrumb-dot font-weight-bold p-0 my-2 font-size-sm">
            <li class="breadcrumb-item text-muted">
                <a href="{{ route('dashboard') }}" class="text-muted">{{ __('Dashboard') }}</a>
            </li>
            <li class="breadcrumb-item text-muted">
                <a href="{{ route('user_management.users') }}" class="text-muted">{{ __('Users') }}</a>
            </li>
            <li class="breadcrumb-item text-muted">
                <a href="" class="text-muted">{{ __('New User') }}</a>
            </li>
            {{--<li class="breadcrumb-item text-muted">--}}
            {{--<a href="" class="text-muted">Empty Page</a>--}}
            {{--</li>--}}
        </ul>
    </x-slot>
    <!--begin::Row-->
    <div class="row">
        <div class="col-md-6 offset-3">
            <div class="card card-custom shadow-none">
                <div class="card-body">
                    <h4 class="card-title">{{ __('Create A User') }}</h4>
                    <form class="form" method="POST" action="{{ route('user_management.saveUser') }}" id="add-form">
                        @csrf
                        <div class="form-group">
                            <label>{{ __('Name') }}</label>
                            <input type="text" class="form-control form-control-solid {{($errors->has('name'))?'is-invalid':''}}" name="name"
                                   placeholder="{{ __('E.g. John Kofi') }}" required value="{{ old('name') }}" autocomplete="off" />
                            @if ($errors->has('name'))
                                <div class="invalid-feedback">
                                    {{ $errors->first('name') }}
                                </div>
                            @endif
                        </div>
                        <div class="form-group">
                            <label>{{ __('Email') }}</label>
                            <input type="email" class="form-control form-control-solid {{($errors->has('email'))?'is-invalid':''}}" name="email"
                                   placeholder="{{ __('E.g. email@mail.com') }}" required value="{{ old('email') }}" autocomplete="off" />
                            @if ($errors->has('email'))
                                <div class="invalid-feedback">
                                    {{ $errors->first('email') }}
                                </div>
                            @endif
                        </div>
                        <div class="form-group">
                            <label for="role">{{ __('User Role') }}</label>
                            <select name="role" id="role"
                                    class="form-control form-control-solid {{($errors->has('role'))?'is-invalid':''}}" required>
                                <option value="">{{ __('Select Role') }}</option>
                                @foreach($roles as $role)
                                    <option value="{{ $role->id }}">{{ $role->display_name }}</option>
                                @endforeach
                            </select>
                            @if ($errors->has('role'))
                                <div class="invalid-feedback">
                                    {{ $errors->first('role') }}
                                </div>
                            @endif
                        </div>
                        <div class="form-group">
                            <button type="submit" class="btn btn-primary btn-block">{{ __('Create') }}</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>

    <!--end::Row-->
</x-app-layout>