<x-app-layout>
    @push('vendor-css')
        <link rel="stylesheet" href="{{ asset('assets/plugins/custom/datatables/datatables.bundle.css') }}">
    @endpush
    <x-slot name="page_title">
        {{ __('Users') }}
    </x-slot>
    <x-slot name="breadcrumb">
        <ul class="breadcrumb breadcrumb-transparent breadcrumb-dot font-weight-bold p-0 my-2 font-size-sm">
            <li class="breadcrumb-item text-muted">
                <a href="{{ route('dashboard') }}" class="text-muted">{{ __('Dashboard') }}</a>
            </li>
            <li class="breadcrumb-item text-muted">
                <a href="" class="text-muted">{{ __('Users') }}</a>
            </li>
        </ul>
    </x-slot>

    <!--begin::Row-->
    <div class="card card-custom">
        <div class="card-header">
            <h3 class="card-title">{{ __('Users') }}</h3>
            <div class="card-toolbar">
                <a href="{{ route('user_management.createUser') }}" class="btn btn-sm btn-success font-weight-bold">
                    <i class="flaticon2-plus"></i>{{ __('Add a user') }}</a>
            </div>
        </div>
        <div class="card-body">
        <div class="table-responsive">
            <!--begin: Datatable-->
            <table class="table table-bordered table-hover table-checkable" id="users_list"
                   style="width: 100%;margin-top: 13px !important">
                <thead>
                <tr>
                    <th style="width: 200px;">{{ __('Name') }}</th>
                    <th style="width: 150px;">{{ __('Email') }}</th>
                    <th style="width: 100px;">{{ __('Role') }}</th>
                    <th style="width: 80px;">{{ __('Verified') }}</th>
                    <th style="width: 150px;">{{ __('Created') }}</th>
                    <th style="width: 130px;">{{ __('Action') }}</th>
                </tr>
                </thead>
                <tbody></tbody>
            </table>
            <!--end: Datatable-->
        </div>
        </div>
    </div>
    <!--end::Row-->
    @push('vendor-scripts')
        <script src="{{ asset('assets/plugins/custom/datatables/datatables.bundle.js') }}"></script>
    @endpush
    @push('scripts')
        <script>
            const USERS_AJAX = "{{ route('user_management.getUsersList') }}";
        </script>
        <script src="{{ asset('assets/js/customjs/custom-datatable.js') }}"></script>

    @endpush
</x-app-layout>
