<x-app-layout>
    @push('last-css')
        <link rel="stylesheet" href="{{ asset('assets/cssbundle/bootstrapdatepicker.min.css') }}">
    @endpush
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dasboard</a></li>
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('users.index') }}">User Accounts</a></li>
            <li class="breadcrumb-item active" aria-current="page">Account Details</li>
        </ol>
    </x-slot>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg-2 py-1 mt-0 mt-lg-3">
        <div class="container-fluid">
            <div class="mb-5">
                @if(session()->has('message'))
                    @if(session()->get('status') == 'success')
                        <div role="alert" class="alert alert-success">{{ session()->get('message') }}</div>
                    @else
                        <div role="alert" class="alert alert-danger">{{ session()->get('message') }}</div>
                    @endif
                @endif
            </div>
            @if(Auth::user()->hasRole('administrator'))
                @php $pass_desc = 'Reset Password'; $show_cur_pass = false @endphp
            @else
                @php $pass_desc = 'Change Password'; $show_cur_pass = true @endphp
            @endif
            <div class="row g-3">
                <div class="col-xxl-3 col-lg-4 col-md-4">
                    <div class="list-group list-group-custom sticky-top me-xl-4" style="top: 100px;">
                        <a class="list-group-item list-group-item-action" href="#personal">Personal Information</a>
                        <a class="list-group-item list-group-item-action" href="#id-cards">Identification</a>
                        <a class="list-group-item list-group-item-action" href="#list-item-2">{{$pass_desc}}</a>
                        <a class="list-group-item list-group-item-action" href="#skills">Skills</a>
                        @if(false)
                        <a class="list-group-item list-group-item-action" href="#list-item-3">Notifications Settings</a>
                        <a class="list-group-item list-group-item-action" href="#list-item-4">Social Profiles</a>
                            @endif
                    </div>
                </div>
                <div class="col-xxl-8 col-lg-8 col-md-8">
                    <div id="personal" class="card fieldset border border-muted mt-0">
                        @php
                            $name = $surname = $firstname = $othername = $dob = $type = $email = $username = $intro = $county_id = $gender = $phone = $experience = null;
                            //$phone = $email = $type = null;
                            if($user) {
                                $name = $user->name;
                                //$surname = $user->surname;
                                //$firstname = $user->firstname;
                                //$othername = $user->othername;
                                //$dob = $user->dob;
                                $type = getUserTypeID($user);
                                $email = $user->email;
                                //$username = $user->username;
                                //$intro = $user->intro;
                                //$gender = $user->gender;
                                $phone = $user->phone;
                                //$county_id = $user->county_id;
                                //$experience = $user->experience;
                            }
                        @endphp
                        <!-- form: profile details -->
                        <span class="fieldset-tile text-muted bg-body">Personal Information:</span>
                        <form action="{{ route('account.savePersonal') }}" method="post" enctype="multipart/form-data">@csrf
                            @if($action_type == 'Edit') <input type="hidden" name="user_id" value="{{ cryptThis($user->id) }}">@endif
                            <div class="card">
                                <div class="card-body">
                                    <div class="row mb-3">
                                        <label for="profile_photo" class="col-md-3 col-sm-4 col-form-label">Profile Photo</label>
                                        <div class="col-md-9 col-sm-8">
                                            <div class="image-input avatar xxl rounded-4" style="background-image: url({{asset('assets/img/avatar.png')}})">
                                                <div class="avatar-wrapper rounded-4" @if($action_type == 'Edit')style="background-image: url('{{ asset(getUserActiveProfile($user->id)) }}')"@endif></div>


                                                <div class="file-input">
                                                    <input type="file" class="form-control"  name="profile_photo" id="profile_photo">
                                                    <label for="profile_photo" class="fa fa-pencil shadow text-muted"></label>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row mb-3">
                                        <div class="col-md-6 col-sm-12 mb-3">
                                            <label for="surname" class="text-muted">Surname *</label>
                                        <input type="text" name="surname"  required id="surname" class="form-control form-control-l"
                                               placeholder="Enter Surname" value="{{ (old('surname'))?old('surname'):$surname }}">
                                            @if ($errors->has('surname'))
                                                <div class="small text-warning">{{ $errors->first('surname') }}</div>
                                            @endif
                                        </div>
{{--                                        </div>--}}
{{--                                        <div class="row mb-3">--}}
                                        <div class="col-md-6 col-sm-12 mb-3">
                                            <label for="firstname" class="text-muted">First Name *</label>
                                            <input type="text" name="firstname" required id="firstname" class="form-control form-control-l" placeholder="Enter First Name"
                                               value="{{ (old('firstname'))?old('firstname'):$firstname }}">
                                            @if ($errors->has('firstname'))
                                                <div class="small text-warning">{{ $errors->first('firstname') }}</div>
                                            @endif
                                        </div>
{{--                                        </div>--}}
{{--                                        <div class="row mb-3">--}}
                                        <div class="col-md-6 col-sm-12 mb-3">
                                            <label  for="othername" class="text-muted">Other Name</label>
                                            <input type="text" name="othername" id="othername" class="form-control form-control-l" placeholder="Enter Other Name"
                                               value="{{ (old('othername'))?old('othername'):$othername }}">
                                            @if ($errors->has('othername'))
                                                <div class="small text-warning">{{ $errors->first('othername') }}</div>
                                            @endif
                                        </div>
{{--                                        </div>--}}
{{--                                        <div class="row mb-3">--}}
                                        <div class="col-md-6 col-sm-12 mb-3">
                                            <label  for="phone" class="text-muted">Phone *</label>
                                            <input type="tel" name="phone" id="phone" required class="form-control form-control-l" placeholder="Enter Phone No."
                                               value="{{ (old('phone'))?old('phone'):$phone }}">
                                            @if ($errors->has('phone'))
                                                <div class="small text-warning">{{ $errors->first('phone') }}</div>
                                            @endif
                                        </div>
                                        <div class="col-md-6 col-sm-12 mb-3">
                                            <label  for="email" class="text-muted">Email</label>
                                            <input type="email" name="email" id="email" class="form-control form-control-l" placeholder="Enter Email"
                                               value="{{ (old('email'))?old('email'):$email }}">
                                            @if ($errors->has('email'))
                                                <div class="small text-warning">{{ $errors->first('email') }}</div>
                                            @endif
                                        </div>
{{--                                        </div>--}}
{{--                                    <div class="row mb-3">--}}
                                        <div class="col-md-6 col-sm-12 mb-3">
                                            <label for="username" class="text-muted">Username</label>
                                            <input type="text" name="username" id="username" class="form-control form-control-l" placeholder="Enter Username"
                                                   value="{{ (old('username'))?old('username'):$username }}">
                                            @if ($errors->has('username'))
                                                <div class="small text-warning">{{ $errors->first('username') }}</div>
                                            @endif
                                        </div>
{{--                                    </div>--}}
{{--                                    <div class="row mb-3">--}}
                                        <div class="col-md-6 col-sm-12 mb-3">
                                            <label for="dob" class="text-muted">Date Of Birth *</label>
                                            <input type="text" name="dob" id="dob" class="form-control form-control-l datepicker" placeholder="Select date"
                                                   value="{{ (old('dob'))?old('dob'):$dob }}">
{{--                                            <input type="text" class="form-control form-control-l flatpickr f-basic" placeholder="Select date">--}}
{{--                                            <input type="date" class="form-control form-control-l datepicker" placeholder="Select date">--}}
                                            @if ($errors->has('dob'))
                                                <div class="small text-warning">{{ $errors->first('dob') }}</div>
                                            @endif
                                        </div>
{{--                                    </div>--}}
{{--                                    <div class="row mb-3">--}}
                                        @if(Auth::user()->hasRole('administrator'))
                                        <div class="col-md-6 col-sm-12 mb-3">
                                            <label for="type" class="text-muted">Type *</label>
                                            <select name="type" id="type" required class="form-control form-control-l" placeholder="Select Type">
                                                <option value=""></option>
                                                @foreach($user_types as $id=>$name)
                                                <option value="{{ $id }}" {{ ($type == $id)?'selected':'' }}>{{ ucfirst($name) }}</option>
                                                @endforeach
                                            </select>
                                                @if ($errors->has('type'))
                                                    <div class="small text-warning">{{ $errors->first('type') }}</div>
                                            @endif
                                        </div>
                                        @endif
                                        <div class="col-md-6 col-sm-12 mb-3">
                                            @php
                                                $country_system = ucfirst(\Illuminate\Support\Str::singular(Auth::user()->instance->country->system));
                                            @endphp
                                            <label for="county" class="text-muted">Select {{ $country_system }} *</label>
                                            <select name="county" id="county" required class="form-control form-control-l select2" placeholder="Select {{ $country_system }}">
                                                <option value="">-- Choose {{ $country_system }}--</option>
                                                @foreach($counties as $county)
                                                    <option value="{{ $county->id }}" {{ ($county_id == $county->id)?'selected':'' }}>{{ $county->county }}</option>
                                                @endforeach
                                            </select>
                                                @if ($errors->has('county'))
                                                    <div class="small text-warning">{{ $errors->first('county') }}</div>
                                            @endif
                                        </div>
                                        <div class="col-md-6 col-sm-12 mb-3">
                                            <label for="gender" class="text-muted">Select Gender *</label>
                                            <select name="gender" id="gender" required class="form-control form-control-l select2" placeholder="Select Gender">
                                                <option value="">-- Choose Gender--</option>
                                                @foreach(getGender() as $key=>$sex)
                                                    <option value="{{ $key }}" {{ ($key == $gender)?'selected':'' }}>{{ $sex }}</option>
                                                @endforeach
                                            </select>
                                                @if ($errors->has('gender'))
                                                    <div class="small text-warning">{{ $errors->first('gender') }}</div>
                                            @endif
                                        </div>
                                        <div class="col-md-6 col-sm-12 mb-3">
                                            <label for="gender" class="text-muted">Years of Experience</label>
                                            <select name="experience" id="experience" class="form-control form-control-l select2" placeholder="Select Years">
                                                <option value="">-- Choose Years--</option>
                                                @foreach(config('settings.experience') as $key=>$years)
                                                    <option value="{{ $years }}" {{ ($years == $experience)?'selected':'' }}>{{ $years }}</option>
                                                @endforeach
                                            </select>
                                                @if ($errors->has('gender'))
                                                    <div class="small text-warning">{{ $errors->first('gender') }}</div>
                                            @endif
                                        </div>

                                        <div class="col-md-12 col-sm-12">
                                            <label for="intro" class="text-muted">Intro Text *</label>
                                            <textarea name="intro" required id="intro" class="form-control form-control-l" rows="6">{{ (old('intro'))?old('intro'):$intro }}</textarea>
                                            @if ($errors->has('intro'))
                                                <div class="small text-warning">{{ $errors->first('intro') }}</div>
                                            @endif
                                        </div>
                                    </div>
                                </div>
                                <div class="card-footer text-end">
                                    <button class="btn btn-l btn-light me-2" type="reset">Discard</button>
                                    <button class="btn btn-l btn-primary" type="submit">Save Changes</button>
                                </div>
                            </div>
                        </form>
                    </div>
                    <div id="id-cards" class="card fieldset border border-muted mt-5">
                        <!-- form: Change Password -->
                        <span class="fieldset-tile text-muted bg-body">Identification</span>
                        <div class="card">
                            <div class="card-body">
                                @if(!isset($user)) <h6 class="text-warning">Add Personal Information To Proceed</h6> @endif
                                <button class="btn btn-primary px-4 text-uppercase mb-3" @if(!isset($user)) disabled @endif data-bs-toggle="modal" data-bs-target="#IDCard" type="button">Add ID Card</button>
                                @if(isset($user))
                                <ul class="list-unstyled">
                                    @foreach($user->idCards as $idCard)
                                    <li class="card p-3 my-1 flex-row">
                                        <a class="fancybox" rel="ligthbox" href="{{ asset($idCard->url) }}">
                                        <img class="avatar rounded-circle" src="{{ asset($idCard->url) }}" alt="">
                                        </a>
                                        <div class="flex-fill ms-3">
                                            <div class="h6 mb-0">{{$idCard->type}}</div>
                                            <div class="h6 text-primary">{{$idCard->number}}</div>
                                            @if(!is_null($idCard->expiration))
                                                @if(strtotime($idCard->expiration) > time())
                                                    <span class="text-muted small">Expires on {{ date('d M. Y', strtotime($idCard->expiration)) }}</span>
                                                @else
                                                    <span class="text-danger small">Expired</span><span class="text-muted small"> on {{ date('d M. Y', strtotime($idCard->expiration)) }}</span>
                                                @endif
                                            @else
                                                <span class="text-muted small">Has No Expiry</span>
                                            @endif
                                        </div>
                                        <div class="d-flex align-items-center">
                                            <button class="btn mx-1 btn-light-primary" data-bs-toggle="modal" data-bs-target="#IDCardEdit" onclick="editIdCard({{$idCard->id}},{{$user->id}})">
                                                <i class="fa fa-check"></i><span class="d-none d-lg-inline-block ms-2">Edit</span>
                                            </button>
                                            <form action="{{route('account.removeCard')}}" onSubmit="if(!confirm('Do you want to Remove this ID Card?')){return false;} " method="POST">@csrf
                                                @method('DELETE')
                                                <input type="hidden" name="card_id" value="{{cryptThis($idCard->id)}}">
                                                <button class="btn mx-1 btn-light-danger" type="submit" onclick="preventDefault()">
                                                    <i class="fa fa-trash"></i><span class="d-none d-lg-inline-block ms-2">Remove</span>
                                                </button>
                                            </form>
                                        </div>
                                    </li>
                                    @endforeach
                                </ul>
                                @endif
                            </div>
                        </div>
                    </div>
                    <div id="list-item-2" class="card fieldset border border-muted mt-5">
                        <!-- form: Change Password -->
                        <span class="fieldset-tile text-muted bg-body">{{$pass_desc}}</span>
                        @if(!isset($user))
                            <div class="card">
                                <div class="card-body">
                                    <h6 class="text-warning">Add Personal Information First</h6>
                                </div>
                            </div>
                        @else
                            <form action="{{ route('account.changePassword') }}" method="POST">@csrf
                                <input type="hidden" name="user_id" value="{{cryptThis($user->id)}}">
                                <div class="card">
                                    <div class="card-body">
                                        <div class="row g-3">
                                            @if($show_cur_pass)
                                            <div class="col-12">
                                                <div class="mb-3">
                                                    <input type="password" name="current_password" class="form-control form-control-l" placeholder="Current Password">
                                                    @if ($errors->has('current_password'))
                                                        <div class="small text-warning">{{ $errors->first('current_password') }}</div>
                                                    @endif
                                                </div>
                                            </div>
                                            @endif
                                            <div class="col-6">
                                                <div class="mb-3">
                                                    <input type="password" required name="password" class="form-control form-control-l" placeholder="New Password">
                                                    @if ($errors->has('password'))
                                                        <div class="small text-warning">{{ $errors->first('password') }}</div>
                                                    @endif
                                                </div>
                                            </div>
                                            <div class="col-6">
                                                <div>
                                                    <input type="password" required name="password_confirmation" class="form-control form-control-l" placeholder="Confirm New Password">
{{--                                                    <span class="text-muted small">Minimum 8 characters</span>--}}
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="card-footer text-end">
                                        <button class="btn btn-l btn-light me-2" type="reset">Discard</button>
                                        <button class="btn btn-l btn-primary" type="submit">Save Changes</button>
                                    </div>
                                </div>
                            </form>
                        @endif

                    </div>
                    <div id="skills" class="card fieldset border border-muted mt-5">
                        <!-- form: Notifications Settings -->
                        <span class="fieldset-tile text-muted bg-body">Skills</span>
                        <div class="card">
                            <form action="{{ route('account.saveSkills') }}" method="POST">
                                @csrf
                                @if($action_type == 'Edit') <input type="hidden" name="user_id" value="{{ cryptThis($user->id) }}">@endif
                                <div class="card-body table-responsive">
                                    <table class="table card-table mb-0">
                                        <tbody>
                                        @foreach(getActiveOptionsFor(14) as $key=>$option)
                                        <tr>
                                            <td class="text-muted">{{ $option }}</td>
                                            <td>
                                                <div class="form-check">
                                                    <input class="form-check-input" type="radio" value="25" id="{{$option}}_1"
                                                           @if(isset($user->skills)){{ (in_array($key, array_keys($user->skills)) && $user->skills[$key] == 25)?'checked':'' }}@endif name="skills[{{$key}}]">
                                                    <label class="form-check-label" for="{{$option}}_1">Beginner</label>
                                                </div>
                                            </td>
                                            <td>
                                                <div class="form-check">
                                                    <input class="form-check-input" type="radio" value="50" id="{{$option}}_2"
                                                           @if(isset($user->skills)){{ (in_array($key, array_keys($user->skills)) && $user->skills[$key] == 50)?'checked':'' }}@endif  name="skills[{{$key}}]">
                                                    <label class="form-check-label" for="{{$option}}_2">Intermediate</label>
                                                </div>
                                            </td>
                                            <td>
                                                <div class="form-check">
                                                    <input class="form-check-input" type="radio" value="100" id="{{$option}}_3"
                                                           @if(isset($user->skills)){{ (in_array($key, array_keys($user->skills)) && $user->skills[$key] == 100)?'checked':'' }}@endif  name="skills[{{$key}}]">
                                                    <label class="form-check-label" for="{{$option}}_3">Expert</label>
                                                </div>
                                            </td>
                                        </tr>
                                        @endforeach
                                        </tbody>
                                    </table>
                                </div>
                                <div class="card-footer text-end">
                                    <button class="btn btn-l btn-light me-2" type="reset">Discard</button>
                                    <button class="btn btn-l btn-primary" type="submit">Save Changes</button>
                                </div>
                            </form>

                        </div>
                    </div>
                    @if(false)
                    <div id="list-item-3" class="card fieldset border border-muted mt-5">
                        <!-- form: Notifications Settings -->
                        <span class="fieldset-tile text-muted bg-body">Notifications Settings</span>
                        <div class="card">
                            <div class="card-body table-responsive">
                                <table class="table card-table mb-0">
                                    <tbody>
                                    <tr>
                                        <td class="text-muted">Email Notifications</td>
                                        <td>
                                            <div class="form-check">
                                                <input class="form-check-input" type="checkbox" value="" id="n_email1" checked>
                                                <label class="form-check-label" for="n_email1">Email</label>
                                            </div>
                                        </td>
                                        <td>
                                            <div class="form-check">
                                                <input class="form-check-input" type="checkbox" value="" id="n_phone1" checked>
                                                <label class="form-check-label" for="n_phone1">Phone</label>
                                            </div>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="text-muted">Billing Updates</td>
                                        <td>
                                            <div class="form-check">
                                                <input class="form-check-input" type="checkbox" value="" id="n_email2">
                                                <label class="form-check-label" for="n_email2">Email</label>
                                            </div>
                                        </td>
                                        <td>
                                            <div class="form-check">
                                                <input class="form-check-input" type="checkbox" value="" id="n_phone2">
                                                <label class="form-check-label" for="n_phone2">Phone</label>
                                            </div>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="text-muted">New Team Members</td>
                                        <td>
                                            <div class="form-check">
                                                <input class="form-check-input" type="checkbox" value="" id="n_email3">
                                                <label class="form-check-label" for="n_email3">Email</label>
                                            </div>
                                        </td>
                                        <td>
                                            <div class="form-check">
                                                <input class="form-check-input" type="checkbox" value="" id="n_phone3">
                                                <label class="form-check-label" for="n_phone3">Phone</label>
                                            </div>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="text-muted">Projects Complete</td>
                                        <td>
                                            <div class="form-check">
                                                <input class="form-check-input" type="checkbox" value="" id="n_email4">
                                                <label class="form-check-label" for="n_email4">Email</label>
                                            </div>
                                        </td>
                                        <td>
                                            <div class="form-check">
                                                <input class="form-check-input" type="checkbox" value="" id="n_phone4" checked>
                                                <label class="form-check-label" for="n_phone4">Phone</label>
                                            </div>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="text-muted">Newsletters</td>
                                        <td>
                                            <div class="form-check">
                                                <input class="form-check-input" type="checkbox" value="" id="n_email5">
                                                <label class="form-check-label" for="n_email5">Email</label>
                                            </div>
                                        </td>
                                        <td>
                                            <div class="form-check">
                                                <input class="form-check-input" type="checkbox" value="" id="n_phone5" checked>
                                                <label class="form-check-label" for="n_phone5">Phone</label>
                                            </div>
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                            </div>
                            <div class="card-footer text-end">
                                <button class="btn btn-l btn-light me-2" type="reset">Discard</button>
                                <button class="btn btn-l btn-primary" type="submit">Save Changes</button>
                            </div>
                        </div>
                    </div>
                    <div id="list-item-4" class="card fieldset border border-muted mt-5">
                        <!-- form: Social Profiles -->
                        <span class="fieldset-tile text-muted bg-body">Social Profiles</span>
                        <div class="card">
                            <div class="card-body">
                                <div class="mb-3">
                                    <label class="form-label">Twitter</label>
                                    <input type="text" class="form-control form-control-l">
                                    <button class="btn btn-info my-1" type="submit"><i class="fa fa-twitter me-2"></i>Connect to Twitter</button>
                                    <div class="small text-muted">One-click sign in</div>
                                </div>
                                <div class="mb-3">
                                    <label class="form-label">Facebook</label>
                                    <input type="text" class="form-control form-control-l">
                                </div>
                                <div class="mb-3">
                                    <label class="form-label">Behance</label>
                                    <input type="text" class="form-control form-control-l">
                                </div>
                                <div>
                                    <label class="form-label">LinkedIn</label>
                                    <input type="text" class="form-control form-control-l">
                                </div>
                            </div>
                            <div class="card-footer text-end">
                                <button class="btn btn-l btn-light me-2" type="reset">Discard</button>
                                <button class="btn btn-l btn-primary" type="submit">Update Social Profiles</button>
                            </div>
                        </div>
                    </div>
                    @endif
                </div>
            </div>
        </div>
    </div>
        @if(isset($user))
        <div class="modal fade" id="IDCard" tabindex="-1" aria-hidden="true">
            <div class="modal-dialog modal-lg modal-dialog-scrollable">
                <div class="modal-content text-start">
                    <div class="modal-body custom_scroll p-lg-5">
                        <button type="button" class="btn-close position-absolute top-0 end-0 mt-3 me-3" data-bs-dismiss="modal" aria-label="Close"></button>
                        <div class="modal-body custom_scroll p-lg-4">
                            <form action="{{ route('account.saveCard') }}" enctype="multipart/form-data" method="POST">@csrf
                                <input type="hidden" name="user_id" value="{{ cryptThis($user->id) }}">
                                <div class="mb-4">
                                    <h4 id="title">Enter Card Details</h4>
                                    <p class="text-muted">Please crosscheck before you submit</p>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="mb-3">
                                            <label class="form-label text-primary">Avatar</label>
                                            <br>
                                            {{--                                                            <div class="col-md-9 col-sm-8">--}}
                                            <div class="image-input avatar rounded-4" style="background-image: url({{asset('assets/img/avatar.png')}});width: 100%;height: 240px">
                                                <div class="avatar-wrapper rounded-4"></div>
                                                <div class="file-input">
                                                    <input type="file" class="form-control"  name="card_image" id="card_image">
                                                    <label for="card_image" class="fa fa-pencil shadow text-muted"></label>
                                                </div>
                                            </div>
                                            {{--                                                            </div>--}}
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="mb-3">
                                            @php
                                                $card_type = old('card_type');
                                            @endphp
{{--                                            <label class="form-label text-primary">Card Type</label>--}}
                                            <select name="card_type" id="card_type" required class="form-control form-control-l" placeholder="Select Type">
                                                <option value=""></option>
                                                <option value="Ghana Identification Card" {{ ($card_type == 'Ghana Identification Card')?'selected':'' }}>{{ __('Ghana Identification Card') }}</option>
                                                <option value="Voters"{{ ($card_type == 'Voters')?'selected':'' }}>{{ __('Voters') }}</option>
                                                <option value="Passport"{{ ($card_type == 'Passport')?'selected':'' }}>{{ __('Passport') }}</option>
                                                <option value="National Health Insurance"{{ ($card_type == 'National Health Insurance')?'selected':'' }}>{{ __('National Health Insurance') }}</option>
                                            </select>
                                            <label for="floatingSelect">Card Type</label>
                                            @if ($errors->has('card_type'))
                                                <div class="small text-warning">{{ $errors->first('card_type') }}</div>
                                            @endif
                                        </div>

                                        <div class="mb-3">
{{--                                            <label class="form-label text-primary">Card Number</label>--}}
                                            <input type="text" class="form-control form-control-l" name="number"
                                                   id="number" required placeholder="XXXX XXXX" value="{{ old('number') }}">
                                            <label for="floatingSelect">Card Number</label>
                                            @if ($errors->has('number'))
                                                <div class="small text-warning">{{ $errors->first('number') }}</div>
                                            @endif
                                        </div>

                                        <div class="mb-3">
{{--                                            <label class="form-label text-primary">Expiry</label>--}}
                                            <input type="text" name="expiry" id="expiry" value="{{ old('expiry') }}" class="form-control form-control-l datepicker">
                                            <label for="floatingSelect">Expiry</label>
                                            @if ($errors->has('expiry'))
                                                <div class="small text-warning">{{ $errors->first('expiry') }}</div>
                                            @endif
                                        </div>
                                    </div>
                                </div>
                                <button class="btn btn-l btn-primary text-uppercase w-100" type="submit">Save Card Details<i class="fa fa-long-arrow-right ms-3"></i></button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="modal fade" id="IDCardEdit" tabindex="-1" aria-hidden="true">
            <div class="modal-dialog modal-lg modal-dialog-scrollable">
                <div class="modal-content text-start">
                    <div class="modal-body custom_scroll p-lg-5">
                        <button type="button" class="btn-close position-absolute top-0 end-0 mt-3 me-3" data-bs-dismiss="modal" aria-label="Close"></button>
                        <div class="modal-body custom_scroll p-lg-4" id="form-container">

                        </div>
                    </div>
                </div>
            </div>
        </div>
        @endif
    @push('vendor-scripts')
    @endpush
    @push('scripts')
            <script src="{{ asset('assets/js/bundle/fancybox.bundle.js') }}"></script>
            <script src="{{ asset('assets/js/bundle/bootstrapdatepicker.bundle.js') }}"></script>
        <script>
            $('.datepicker').datepicker({});

            $(document).ready(function() {
                imagePop();
                datePick();
            });
            function datePick() {
                $('.datepicker').datepicker({});
            }
            function imagePop() {
                $(".fancybox").fancybox({
                    openEffect: "none",
                    closeEffect: "none"
                });
            }
            function editIdCard(card_id,user_id) {
                var path = "{{route('account.loadCardEditForm')}}";
                $.ajaxSetup(    {
                    headers: {
                        'X-CSRF-Token': $('meta[name=_token]').attr('content')
                    }
                });
                $.ajax({
                    url: path,
                    type: 'GET',
                    data: {card_id:card_id,user_id:user_id},
                    success: function(data){
                        $('#form-container').empty();
                        $('#form-container').html(data.the_view);
                    },
                    complete:function(){
                        datePick();
                        imagePop();
                        {{--$.getScript("{{ asset('assets/js/plugins.js') }}", function() {--}}
                        {{--    console.log('Reset');--}}
                        {{--});--}}
                        {{--$.getScript("{{ asset('assets/vendor/prismjs/prism.js') }}", function() {--}}
                        {{--    console.log('Reset');--}}
                        {{--});--}}
                        {{--$.getScript("{{ asset('assets/js/theme.js') }}", function() {--}}
                        {{--    console.log('Reset');--}}
                        {{--});--}}
                        $.getScript("{{ asset('assets/js/bundle/fancybox.bundle.js') }}");
                    }
                    ,
                    error: function (data) {
                        console.log(data);
                    }
                });
            }
        </script>
    @endpush
</x-app-layout>
