<x-app-layout>
    @push('last-css')
        <link rel="stylesheet" href="{{ asset('assets/cssbundle/bootstrapdatepicker.min.css') }}">
    @endpush
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
            @if(canDo('administrator','add-user|edit-user|view-user-list|search-user'))
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('account.users') }}">User Accounts</a></li>
            @endif
            <li class="breadcrumb-item active" aria-current="page">{{$action_type}} Account</li>
        </ol>
    </x-slot>
    <!-- start: page toolbar -->
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto">
                <h1 class="fs-5 color-900 mt-1 mb-0">{{$action_type}} Account @if(isset($user))- {{$user->name}}@endif</h1>
                <small class="text-muted">You have 12 new messages and 7 new notifications.</small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">8.18K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i> 1.3%</small></div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div><span class="h6 mb-0">1.11K</span> <small class="text-secondary"><i class="fa fa-angle-up"></i> 4.1%</small></div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
            </div>
        </div> <!-- .row end -->
    </x-slot>

{{--@section('content')--}}
    @php  $system_notifications = [];

     @endphp
        <div class="page-body px-xl-4 px-sm-2 px-0 py-lg-2 py-1 mt-0 mt-lg-3">
            <div class="container-fluid">
                @if(session()->has('message'))
                <div class="mb-5">
                        @if(session()->get('status') == 'success')
                            <div role="alert" class="alert alert-success">{{ session()->get('message') }}</div>
                        @else
                            <div role="alert" class="alert alert-danger">{{ session()->get('message') }}</div>
                        @endif
                </div>
                @endif
            <div class="row">
                @if(Auth::user()->hasRole('administrator'))
                    @php $pass_desc = 'Reset Password'; $show_cur_pass = false @endphp
                @else
                    @php $pass_desc = 'Change Password'; $show_cur_pass = true @endphp
                @endif

                <div class="col-xl-12 vertical-scroll" id="scrolls">
                    <div id="personal" class="card fieldset border border-muted mt-0">
                    @php
                        $name = $surname = $firstname = $othername = $dob = $type = $email = $username = $intro =
                        $country_id = $job_title = $gender = $phone = $experience = $office_id = $supervisor_id = null;
                        //$phone = $email = $type = null;
                        $call_code = '+000';
                        if($user) {
                            $name = $user->name;
                            //$surname = $user->surname;
                            $firstname = $user->firstname;
                            $othername = $user->othername;
                            $dob = ($user->dob != null)?$user->dob:null;
                            $type = getUserTypeID($user);
                            $email = $user->email;
                            //$phone = (\Illuminate\Support\Str::length($user->phone) > 9)?$user->phone:'0'.$user->phone;
                            $phone = $user->phone;
                            $country_id = $user->country_id;
                            $intro = $user->intro;
                            $gender = $user->gender;
                            $call_code = $user->call_code;
                            $supervisor_id = $user->supervisor;
                            $job_title = $user->job_title;
                        }
                    @endphp
                    <!-- form: profile details -->
                        <span class="fieldset-tile text-muted bg-body">Personal Information:</span>
                        <form action="{{ route('user.profile') }}" method="post" enctype="multipart/form-data">@csrf
                            @if($action_type == 'Edit') <input type="hidden" name="user_id" value="{{ cryptThis($user->id) }}">@endif
                            <div class="card">
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col-md-3 col-sm-8">
                                            <div class="image-input avatar xxl rounded-4" style="background-image: url({{asset('assets/img/avatar.png')}}); width: 200px; height: 200px">
                                                <div class="avatar-wrapper rounded-4" @if($action_type == 'Edit')style="background-image: url('{{ asset(getUserActiveProfile($user->id)) }}')"@endif></div>

                                                <div class="file-input">
                                                    <input type="file" class="form-control"  name="profile_photo" id="profile_photo">
                                                    <label for="profile_photo" class="fa fa-pencil shadow text-muted"></label>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-9">
                                            <div class="row">
                                                <div class="col-md-6 mb-3">
                                                    <div class="form-floating">
                                                    <input type="text" name="name"  required id="name" class="form-control form-control-l"
                                                           placeholder="Enter Name" value="{{ (old('name'))?old('name'):$name }}">
                                                        <label for="name" class="text-muted">Name *</label>
                                                    </div>
                                                    @if ($errors->has('name'))
                                                        <div class="small text-warning">{{ $errors->first('name') }}</div>
                                                    @endif
                                                </div>
                                                <div class="col-md-6 mb-3">
                                                    <div class="form-floating">
                                                    <input type="text" name="firstname" required id="firstname" class="form-control form-control-l" placeholder="Enter First Name"
                                                           value="{{ (old('firstname'))?old('firstname'):$firstname }}">
                                                        <label for="firstname" class="text-muted">Given Name(s)*</label>
                                                    </div>
                                                    @if ($errors->has('firstname'))
                                                        <div class="small text-warning">{{ $errors->first('firstname') }}</div>
                                                    @endif
                                                </div>
{{--                                                <div class="col-md-4 mb-3">--}}
{{--                                                    <div class="form-floating">--}}
{{--                                                    <input type="text" name="othername" id="othername" class="form-control form-control-l" placeholder="Enter Other Name"--}}
{{--                                                           value="{{ (old('othername'))?old('othername'):$othername }}">--}}
{{--                                                        <label  for="othername" class="text-muted">Other Name</label>--}}
{{--                                                    </div>--}}
{{--                                                    @if ($errors->has('othername'))--}}
{{--                                                        <div class="small text-warning">{{ $errors->first('othername') }}</div>--}}
{{--                                                    @endif--}}
{{--                                                </div>--}}

                                                <div class="col-md-6 col-sm-12 mb-3">
                                                    <div class="form-floating">
                                                        <input type="email" name="email" id="email" class="form-control form-control-l" placeholder="Enter Email"
                                                               value="{{ (old('email'))?old('email'):$email }}">
                                                        <label  for="email" class="text-muted">Email</label>
                                                    </div>
                                                    @if ($errors->has('email'))
                                                        <div class="small text-warning">{{ $errors->first('email') }}</div>
                                                    @endif
                                                </div>

                                                <div class="col-md-6 col-sm-12 mb-3">
                                                    <div class="form-floating">
                                                        <select name="gender" id="gender" required class="form-control form-control-l select2">
                                                            <option value="">-- Choose --</option>
                                                            @foreach(getGender() as $key=>$sex)
                                                                <option value="{{ $key }}" {{ ($key == $gender)?'selected':'' }}>{{ $sex }}</option>
                                                            @endforeach
                                                        </select>
                                                        <label for="gender" class="text-muted">Select Gender *</label>
                                                    </div>
                                                    @if ($errors->has('gender'))
                                                        <div class="small text-warning">{{ $errors->first('gender') }}</div>
                                                    @endif
                                                </div>

                                                <div class="col-md-6">
                                                    <div class="form-floating mb-3">
                                                        <select type="text" class="form-select" name="country" id="country" required>
                                                            <option value="">{{__('Choose')}}</option>
                                                            @foreach(getCountries() as $key=>$country)
                                                                <option value="{{$country['id']}}" @if($country_id == $country['id']) selected @endif
                                                                data-call="+{{$country['phone_code']}}">{{$country['country_name']}}</option>
                                                            @endforeach
                                                        </select>
                                                        <label for="country">{{__('Country')}} *</label>
                                                    </div>
                                                    @error('country')
                                                    <p class="text-start">
                                                        <span class="text-warning form-text">{{ $errors->first('country') }}</span>
                                                    </p>
                                                    @enderror
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="input-group has-validation mb-3 disabled">
                                                        <span class="input-group-text bg-white text-center" style="font-size: 14px; min-width: 60px" id="inputGroupPrepend">{{$call_code}}</span>
                                                        <input type="text" class="form-control" @disabled(!isset($user)) name="phone" id="phone" autocomplete="off"
                                                               value="{{$phone}}" style="height:58px;" aria-describedby="inputGroupPrepend"  required>
                                                    </div>
                                                    @error('phone')
                                                    <p class="text-start">
                                                        <span class="text-warning form-text">{{ $errors->first('phone') }}</span>
                                                    </p>
                                                    @enderror
                                                </div>

{{--                                                <div class="col-md-4 col-sm-12 mb-3">--}}
{{--                                                    <div class="form-floating">--}}
{{--                                                        <input type="text" name="dob" id="dob" class="form-control form-control-l datepicker" placeholder="Select date"--}}
{{--                                                               value="{{ (old('dob'))?old('dob'):$dob }}" autocomplete="off">--}}
{{--                                                        <label for="dob" class="text-muted">Date Of Birth</label>--}}
{{--                                                    </div>--}}
{{--                                                    @if ($errors->has('dob'))--}}
{{--                                                        <div class="small text-warning">{{ $errors->first('dob') }}</div>--}}
{{--                                                    @endif--}}
{{--                                                </div>--}}

                                                
                                                @if(canDo('administrator|owner'))
                                                    <div class="col-md-12 col-sm-12 mb-3">
                                                        <div class="form-floating">
                                                            <select name="type" id="edit_role" required class="form-select form-control-l">
                                                                <option value="">-- Choose --</option>
                                                                @foreach(getUserTypes() as $id=>$name)
                                                                    <option value="{{ $id }}" {{ ($type == $id)?'selected':'' }}>{{ ucfirst($name) }}</option>
                                                                @endforeach
                                                            </select>
                                                            <label for="type" class="text-muted">Type *</label>
                                                        </div>
                                                        @if ($errors->has('type'))
                                                            <div class="small text-warning">{{ $errors->first('type') }}</div>
                                                        @endif
                                                    </div>
                                                @endif
                                                <div class="col-md-4 col-sm-12 mb-3">
                                                    <div class="form-floating">
                                                        <select name="office_id" id="office_id" required class="form-select form-control-l" >
                                                            <option value=""></option>
                                                            @foreach((getOfficesList()) as $id=> $office)
                                                                <option value="{{ $office->id }}" {{ ($office_id == $office->id)?'selected':'' }}>{{ ucfirst($office->name) }} {{getOfficeTypeName($office->id)}}</option>
                                                            @endforeach
                                                        </select>
                                                        <label for="type" class="text-muted">Office *</label>
                                                    </div>
                                                    @if ($errors->has('office_id'))
                                                        <div class="small text-warning">{{ $errors->first('office_id') }}</div>
                                                    @endif
                                                </div>
                                                <div class="col-md-4 col-sm-12 mb-3">
                                                    <div class="form-floating">
                                                        <input type="text" name="job_title" id="" class="form-control form-control-l" value="{{ (old('job_title'))?old('job_title'):$job_title }}"> 
                                                        <label for="type" class="text-muted">Job Title </label>
                                                    </div>
                                                </div>
                                                <div class="col-md-4 col-sm-12 mb-3">
                                                    <div class="form-floating">
                                                        <select name="supervisor" id="edit_supervisor" required class="form-select form-control-l" >
                                                            <option value=""></option>

                                                        </select>
                                                        <label for="type" class="text-muted">Supervisor *</label>
                                                    </div>
                                                    @if ($errors->has('supervisor'))
                                                        <div class="small text-warning">{{ $errors->first('supervisor') }}</div>
                                                    @endif
                                                </div>

                                                
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="card-footer text-end">
                                    <button class="btn btn-l btn-light me-2" type="reset">Discard</button>
                                    <button class="btn btn-l btn-primary" type="submit">Save Changes</button>
                                    @if(isset($user))
                                    <button  data-bs-toggle="modal" data-bs-target="#changePassword" type="button" class="btn btn-success">Change Password</button>
                                    @endif
                                </div>
                            </div>
                        </form>
                    </div>

                    @if($self)
                    <div id="invitations" class="card fieldset border border-muted mt-5">
                        <span class="fieldset-tile text-muted bg-body">My Invitations:</span>
                        <div class="card">
                            <div class="card-body">
                                @include('user_management.my-invitations')
                            </div>
                        </div>
                    </div>
                    @endif

                    @if(isset($user))
                    <div class="modal fade" id="changePassword" tabindex="-1" aria-hidden="true">
                        <div class="modal-dialog modal-lg modal-dialog-scrollable">
                            <div class="modal-content text-start">
                                <div class="modal-body custom_scroll p-lg-5">
                                    <button type="button" class="btn-close position-absolute top-0 end-0 mt-3 me-3" data-bs-dismiss="modal" aria-label="Close"></button>
                                    <div id="form-container">
                                        <h6 class="mt-3 mb-4">Change Password</h6>
                                        <form action="{{ route('account.changePassword') }}" method="POST">@csrf
                                            <input type="hidden" name="user_id" value="{{cryptThis($user->id)}}">
                                            <div clas="card">
                                                <div clas="card-body">
                                                    <div class="row g-3">
                                                        @if($show_cur_pass)
                                                            <div class="col-12">
                                                                <div class="mb-3">
                                                                    <div class="form-floating">
                                                                    <input type="password" name="current_password" class="form-control form-control-l" placeholder="Current Password">
                                                                        <label for="current_password">{{ __('Current Password') }}<span class="required">*</span></label>
                                                                    </div>
                                                                        @if ($errors->has('current_password'))
                                                                        <div class="small text-warning">{{ $errors->first('current_password') }}</div>
                                                                    @endif
                                                                </div>
                                                            </div>
                                                        @endif
                                                        <div class="col-6">
                                                            <div class="mb-3">
                                                                <div class="form-floating">
                                                                <input type="password" required name="password" class="form-control form-control-l" placeholder="New Password">
                                                                    <label for="password">{{ __('New Password') }}<span class="required">*</span></label>
                                                                </div>
                                                                @if ($errors->has('password'))
                                                                    <div class="small text-warning">{{ $errors->first('password') }}</div>
                                                                @endif
                                                            </div>
                                                        </div>
                                                        <div class="col-6">
                                                            <div>
                                                                <div class="form-floating">
                                                                <input type="password" required name="password_confirmation" class="form-control form-control-l" placeholder="Confirm New Password">
                                                                    <label for="password_confirmation">{{ __('Confirm Password') }}<span class="required">*</span></label>
                                                                </div>
                                                                {{--                                                    <span class="text-muted small">Minimum 8 characters</span>--}}
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="mt-4 text-end">
                                                    <button class="btn btn-l btn-light me-2" type="reset" data-bs-dismiss="modal" aria-label="Close">Cancel</button>
                                                    <button class="btn btn-l btn-primary" type="submit"><i class="fa fa-paper-plane mx-1"></i> Save</button>
                                                </div>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    @endif

                    @if(false)
                    <section id="timeline" class="timeline-center timeline-wrapper">
                        <h3 class="page-title text-center">Your Recent Activity</h3>

                        @foreach($activity_logs as $key=>$activity)
                            <div style="list-style: none" class="timeline-item {{ ($key%2 == 0) ? '' : 'mt-3' }}">
                                <div class="timeline-badge">
                                    <span class="bg-primary bg-lighten-1" data-toggle="tooltip"
                                          data-placement="right {{ ($key%2 == 0) ? 'right' : 'left' }}"
                                          title="Portfolio project work">
                                    </span>
                                </div>
                                <div class="timeline-card card border-grey border-lighten-2">
                                    <div class="card-header">
                                        <div class="row">
                                            <div class="col">
                                                        <span class="avatar avatar-online">
                                                            <img src="{{$user->profilePicture()}}" id="user_mini_profile">
                                                        </span>
                                                {{ $user->name }} {{ $activity->event }} {{ str_replace('App\\',"",$activity->auditable_type) }}
                                            </div>
                                        </div>
                                        <p class="card-subtitle text-muted mb-0 pt-1">
                                            <span class="font-small-3">{{ date("M jS, Y, g:i a", strtotime($activity->created_at)) }}</span>
                                        </p>
                                        <a class="heading-elements-toggle"><i class="fa fa-ellipsis-v font-medium-3"></i></a>
                                        <div class="heading-elements">
                                            <ul class="list-inline mb-0">
                                                <li><a data-action="collapse"><i class="ft-plus"></i></a></li>
                                            </ul>
                                        </div>
                                    </div>
                                    <div class="card-content collapse">
                                        <div class="card-content">
                                            <div class="card-body pt-0">
                                                <span>{{ $activity->event }}</span><br><br>
                                                @if(!empty($activity->old_values))
                                                        @foreach($activity->old_values as $old_attribute  => $value)
                                                            <dl>
                                                                <dt><b>{{ $old_attribute  }}</b></dt>
                                                                <dt>{{ $value }}</dt>
                                                            </dl>
                                                        @endforeach
                                                @endif
                                                @if(!empty($activity->new_values))
                                                        @foreach($activity->new_values as  $new_attribute  => $data)
                                                            <dl>
                                                                <dt><b>{{  $new_attribute  }}</b></dt>
                                                                <dt>{{ $data }}</dt>
                                                            </dl>
                                                        @endforeach
                                                @endif
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        @endforeach

                        <!-- 2014 -->
                    </section>
                    @endif
                </div>
            </div>
            </div>
        </div>
{{--@endsection--}}
@push('scripts')
   <script type="text/javascript" src="{{ asset('assets/vendors/js/forms/validation/jquery.validate.min.js') }}"></script>
    <script type="text/javascript" src="{{ asset('assets/vendors/js/forms/select/select2.full.js') }}"></script>
    <script type="text/javascript" src="{{ asset('assets/vendors/js/extensions/sweetalert.min.js') }}" ></script>
        <script src="{{ asset('assets/js/bundle/fancybox.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/bundle/bootstrapdatepicker.bundle.js') }}"></script>

    <script src="https://cdn.jsdelivr.net/npm/exif-js"></script>

    <script type="text/javascript" src="{{ asset('assets/js/scripts/forms/select/form-select2.js') }}" ></script>
    <script type="text/javascript" src="{{ asset('assets/js/scripts/extensions/sweet-alerts.js') }}" ></script>
    <script type="text/javascript" src="{{ asset('assets/js/view_user.js') }}"></script>
    <script type="text/javascript" src="{{ asset('assets/js/bundle/inputmask.bundle.js') }}"></script>
        <script>
            Inputmask({
                "mask": "(999) 999-999",
                "placeholder": "(000) 000-000",
            }).mask("#phone");
            $('.datepicker').datepicker({});

            $(document).ready(function() {
                imagePop();
                datePick();
                $('select#country').on('change', function () {
                    let call_code = $(this).find(':selected').attr("data-call");
                    let country = $(this).val();
                    $('#inputGroupPrepend').text(call_code);
                    $('input#call_code').val(call_code);
                    if(country > 0) {
                        $('input#phone').prop('disabled',false);
                    }
                    else {
                        $('input#phone').prop('disabled',true);
                    }

                })
            });
            @if(!empty($user))
            $(document).ready(function(){
                edit_get_supervisors($('#edit_role').val());
            });
            @endif
            function datePick() {
                $('.datepicker').datepicker({});
            }
            function imagePop() {
                $(".fancybox").fancybox({
                    openEffect: "none",
                    closeEffect: "none"
                });
            }
        </script>
        <script>
            function form_validation(form){
                console.log("V ran");
                form.validate({
                    errorClass: 'danger',
                    successClass: 'success',
                    rules: {
                        old_password: {
                            required: true,
                        },
                        new_password:{
                            required:true,
                            minlength : 5
                        },
                        password_confirmation:{
                            required: true,
                            minlength : 5,
                            equalTo: "#new_password"
                        }
                    },
                    messages: {
                        password_confirmation:{
                            equalTo: "Please make sure you retype the same new password"
                        }
                    },
                    highlight: function(element, errorClass) {
                        $(element).removeClass(errorClass);
                    },
                    unhighlight: function(element, errorClass) {
                        $(element).removeClass(errorClass);
                    },
                    errorPlacement: function(error, element) {
                        error.appendTo( element.parent() );
                    }
                });

                return form.valid();
            }
            $('#role').change(function(){
                get_supervisors($(this).val());
            })

            $('#edit_role').change(function(){
                edit_get_supervisors($(this).val());
            })

            function edit_get_supervisors(id)
            {
                $.get('/get_role_supervisors/'+id, function(res){
                    var selected_supervisor = '{{$supervisor_id}}';

                    // Clear existing options
                    $('#edit_supervisor').empty();

                    $('#edit_supervisor').append('<option value="">' + '--Select Supervisor--' + '</option>');

                    if((res.supervisors).length == 0){
                        $('#edit_supervisor').attr('disabled',true)
                    }else{
                        $('#edit_supervisor').attr('disabled',false)
                    }

                    $.each(res.supervisors, function(index, supervisor) {
                        if(selected_supervisor == supervisor.id){
                            $('#edit_supervisor').append('<option selected value="' + supervisor.id + '">' + supervisor.name +', '+ supervisor.firstname + '</option>');
                        }else{
                            $('#edit_supervisor').append('<option value="' + supervisor.id + '">'+ supervisor.name +', '+ supervisor.firstname + '</option>');

                        }
                    });

                });
            }

            function get_supervisors(id)
            {
                $.get('/get_role_supervisors/'+id, function(res){

                    // Clear existing options
                    $('#supervisor').empty();

                    $('#supervisor').append('<option value="">' + '--Select Supervisor--' + '</option>');

                    $.each(res.supervisors, function(index, supervisor) {
                        $('#supervisor').append('<option value="' + supervisor.id + '">'+ supervisor.name +', '+ supervisor.firstname + '</option>');
                    });

                });
            }

        </script>
@endpush

</x-app-layout>
