<x-app-layout>
    <link rel="stylesheet" href="{{ asset('assets/vendor/treejs/style.min.css') }}">
    <style>
        body{
            font-family: 'Inter', sans-serif;
        }
        .layout-1 .document.sidebar {
            width: 260px;
        }

        .layout-1 .document.sidebar .title-text {
            flex-direction: row;
        }

        .layout-1 .document.sidebar .menu-list {
            border: 0;
            padding: 0;
        }

        .layout-1 .document.sidebar .menu-list li {
            border: 0;
        }

        .layout-1 .document.sidebar .menu-list .m-link {
            padding: 4px 0;
        }

        .layout-1 .document.sidebar .menu-list .m-link>i {
            text-align: left;
            margin: 0;
            width: 20px;
        }

        #JsDataTree ul li {
            font-size: 15px;
            min-height: 28px;
        }

        .jstree-open>.jstree-anchor>.fa-folder:before {
            content: "\f07c";
            margin-left: 2px;
        }

    </style>
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
            @if(canDo('administrator','add-user|edit-user|view-user-list|search-user'))
                <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('account.users') }}">Users</a></li>
            @endif
            <li class="breadcrumb-item active" aria-current="page">Hierarchy</li>
        </ol>
    </x-slot>
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto page-header-title">
                <h1 class="color-900 mt-1 mb-0">Users Hierarchy</h1>
                <small class="text-muted">
                    Page description goes here
                </small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">

            </div>
        </div>

    </x-slot>
    @push('stylesheets')
        {{--        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.1/css/fontawesome.min.css" integrity="sha512-giQeaPns4lQTBMRpOOHsYnGw1tGVzbAIHUyHRgn7+6FmiEgGGjaG0T2LZJmAPMzRCl+Cug0ItQ2xDZpTmEc+CQ==" crossorigin="anonymous" referrerpolicy="no-referrer" />--}}
        <link rel="stylesheet" href="{{ asset('assets/cssbundle/dataTables.min.css') }}">
        <link rel="stylesheet" href="{{ asset('assets/cssbundle/select2.min.css') }}">
        <link rel="stylesheet" href="{{ asset('assets/cssbundle/sweetalert2.min.css') }}">
    @endpush
    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg-2 py-1 mt-0 mt-lg-3">
        <div class="container-fluid">
            <div class="row g-3">
                <div class="col-12">

                    <div class="row g-3">
                        <div class="col-12">
                            <div class="">

                                <div class="card">
                                    <div class="card-body">
                                        <div class="JsDataTree">
                                            <ul>
                                                @foreach ($users as $user)
                                                    @php $office_type = getOfficeTypeName($user->office?->id); @endphp
                                                    <li data-jstree='{ "opened" : "true" }'>
                                                        <small style="min-width: 120px; display: inline-block;">
                                                            <a href="#" class="text-dark" data-bs-toggle="modal" data-bs-target="#OfficeEdit" onclick="">
                                                                @php $user_role = $user->roles->isNotEmpty()?$user->roles->first()->display_name :'' @endphp
                                                                {{$user->fullName}} - [ {{$user_role}}, {{$user->office->name ?? 'Not Set'}} {{$office_type}}]
                                                            </a>
                                                        </small>
                                                        @if($user->children->count())
                                                            @include('user_management.partials.tree', ['users' => $user->children])
                                                        @endif
                                                    </li>
                                                @endforeach

                                            </ul>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>




                </div><!---->

            </div> <!-- .row end -->
        </div>
    </div>
    @push('modals')


    @endpush
    @push('scripts')
        <script src="{{asset('assets/js/plugins.js')}}"></script>
        <script src="{{asset('assets/js/theme.js')}}"></script>
        <script src="{{asset('assets/vendor/treejs/jstree.min.js')}}"></script>
        <script>
            // inline data demo
            $(".JsDataTree").jstree({
                "core": {
                    "themes": {
                        "responsive": false
                    }
                },
                "types": {
                    "default": {
                        "icon": "fa fa-folder"
                    },
                    "file": {
                        "icon": "fa fa-file-text"
                    },
                },
                "plugins": ["types"]
            });
        </script>
        <script>
            function fetchOffice(id){
                $.get('/fetch-office/'+id, function(office){
                    $('#edit_office_id').val(office.id);
                    $('#edit_code').val(office.code);
                    $('#edit_name').val(office.name);
                    $('#edit_parent').val(office.parent_id);
                    $('#edit_location').val(office.location_id);
                    $('#edit_coverable_date').val(office.coverable_date);
                    $('#edit_google_code').val(office.google_code);
                    $('#edit_type').val(office.type);
                    $('#user-form-edit').modal('toggle');
                    if($('#edit_type').val() ==100){
                        $('#edit_parent').prop('disabled', true);
                    }else{
                        $('#edit_parent').prop('disabled', false);
                    }
                });
            }
        </script>


    @endpush

</x-app-layout>
