@extends('layouts.app')

@section('content')
    <div class="content-wrapper">
        <div class="content-header row">
            <div class="content-header-left col-xl-12 col-12 mb-2">
                <h3 class="content-header-title mb-0">User Password Change - {{Auth::user()->name}}</h3>
                <div class="row breadcrumbs-top">
                    <div class="breadcrumb-wrapper col-12">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item active">
                            </li>
                        </ol>
                    </div>
                </div>
            </div>
        </div>
        <div class="content-body">
            <div class="row">
                <div class="col-xl-12">
                    <div class="row">
                        <div class="col-12 col-sm-6 col-xl-12">
                            <div class="card">
                    <div class="card-header">
                        <h4 class="card-title">Change Password</h4>
                        <hr>
                    </div>
                    <div class="card-body">
                        @if (session('status'))
                            <div class="alert alert-success" role="alert">
                                {{ session('status') }}
                            </div>
                        @endif
                        <form method="POST" action="{{ route('user.password.save') }}" onsubmit="return form_validation($(this))" novalidate>
                            @csrf {{method_field('PUT')}}

                            <div class="form-group row">
                                <label for="old_password" class="col-md-4 col-form-label text-md-right">Old Password <span class="danger">*</span></label>

                                <div class="col-md-6">
                                    <input id="old_password" type="password"
                                           class="form-control{{ $errors->has('old_password') ? ' is-invalid' : '' }}"
                                           name="old_password" required>

                                    @if ($errors->has('old_password'))
                                        <span class="invalid-feedback" role="alert">
                                        <strong>{{ $errors->first('old_password') }}</strong>
                                    </span>
                                    @endif
                                </div>
                            </div>

                            <div class="form-group row">
                                <label for="new_password" class="col-md-4 col-form-label text-md-right">New Password <span class="danger">*</span></label>

                                <div class="col-md-6">
                                    <input id="new_password" type="password"
                                           class="form-control{{ $errors->has('new_password') ? ' is-invalid' : '' }}"
                                           name="new_password" required>

                                    @if ($errors->has('new_password'))
                                        <span class="invalid-feedback" role="alert">
                                        <strong>{{ $errors->first('new_password') }}</strong>
                                    </span>
                                    @endif
                                </div>
                            </div>

                            <div class="form-group row">
                                <label for="password-confirm" class="col-md-4 col-form-label text-md-right">{{ __('Confirm Password') }} <span class="danger">*</span></label>

                                <div class="col-md-6">
                                    <input id="password-confirm" type="password" class="form-control" name="password_confirmation" required>
                                </div>
                            </div>

                            <div class="form-actions right row mb-0">
                                <div class="col-md-6 offset-md-4">
                                    <a href="{{URL::previous()}}" class="btn btn-secondary">
                                        {{ __('Back') }}
                                    </a>
                                    <button type="submit" class="btn btn-success">
                                        {{ __('Save') }}
                                    </button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection

@push('scripts')
    <script type="text/javascript" src="{{ asset('assets/vendors/js/forms/validation/jquery.validate.min.js') }}"></script>
    <script>
        @if(Session::has('failed'))
        toastr.warning("{{ Session::get('failed') }}");
        @endif

        function form_validation(form){
            console.log("V ran");
            form.validate({
                errorClass: 'danger',
                successClass: 'success',
                rules: {
                    old_password: {
                        required: true,
                    },
                    new_password:{
                        required:true,
                        minlength : 5
                    },
                    password_confirmation:{
                        required: true,
                        minlength : 5,
                        equalTo: "#new_password"
                    }
                },
                messages: {
                    password_confirmation:{
                        equalTo: "Please make you you retype the same new password"
                    }
                },
                highlight: function(element, errorClass) {
                    $(element).removeClass(errorClass);
                },
                unhighlight: function(element, errorClass) {
                    $(element).removeClass(errorClass);
                },
                errorPlacement: function(error, element) {
                    error.appendTo( element.parent() );
                }
            });

            return form.valid();
        }

    </script>
@endpush
