<x-app-layout>
    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="/">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">User Profile</li>
        </ol>
    </x-slot>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg-2 py-1 mt-0 mt-lg-2">
        <div class="container-fluid">
            @if(session()->has('message'))
                <div class="mb-5">
                    @if(session()->get('status') == 'success')
                        <div role="alert" class="alert alert-success">{{ session()->get('message') }}</div>
                    @else
                        <div role="alert" class="alert alert-danger">{{ session()->get('message') }}</div>
                    @endif
                </div>
            @endif
            <div class="row">
                <div class="col-md-3">
                    <div class="card mb-2">
                        <div class="card-body p-4">
                             <div class="information text-center">
                                  <div class="image-input avatar xxl rounded-circle text-center mb-2" style="background-image: url({{ asset(getUserActiveProfile($user->id))}}); width: 150px; height: 150px">
                                  </div>

                                  <h6 class="mb-2">{{$user->name.", ".$user->firstname." ".$user->othername}}</h6>
                                  @if(Auth::id() == $user->id || Auth::user()->hasRole('administrator'))
                                  <p class="mb-2 text-muted"><a href="{{route('account.editAccount',[cryptThis($user->id)])}}" title="Edit Profile"> <i class="fa fa-pencil-square-o fs-6 ms-2"></i> Edit</a></p>
                                    @endif
                                  {{-- <p class="mb-2 text-muted"><strong>@if($merchant->_type){{$merchant->_type->fullName}}@endif</strong></p> --}}
                                  {{-- <p class="mb-4 text-muted"><strong>{{$merchant->branches->count()}} Branches</strong></p> --}}
                                  <ul class="mt-3 list-unstyled d-flex justify-content-center">
                                       <li><a class="p-3" target="_blank" href="#"><i class="fa fa-facebook"></i></a></li>
                                       <li><a class="p-3" target="_blank" href="#"><i class="fa fa-linkedin"></i></a></li>
                                       <li><a class="p-3" target="_blank" href="#"><i class="fa fa-twitter"></i></a></li>
                                  </ul>
                             </div>
                        </div>
                   </div>
                   <div class="card mb-3">
                        <div class="card-body">
                            <h6 class="card-title mb-3">Personal Information</h6>
                            <ul class="list-unstyled mb-0">
                                <li class="py-2"><span class="text-muted me-2 w90 d-inline-block">Full Name</span><br>{{$user->name.", ".$user->firstname." ".$user->othername}}</li>
                                <li class="py-2"><span class="text-muted me-2 w90 d-inline-block">E-mail</span><br>{{$user->email}}</li>
                                <li class="py-2"><span class="text-muted me-2 w90 d-inline-block">Date of Birth</span><br>{{ date('dS F Y', strtotime($user->dob)) }} ({{getAgeByDate($user->dob)}})</li>
                                <li class="py-2"><span class="text-muted me-2 w90 d-inline-block">Phone</span><br>{{$user->phone}}</li>
                                <li class="py-2"><span class="text-muted me-2 w90 d-inline-block">Gender</span><br>{{ getLookupSelectedOptionTextByValue($user->gender) }}</li>
                            </ul>
                        </div>
                    </div>
                </div>

                <div class="col-md-9">
                    @if (!is_null($user->intro))
                        <div class="card mb-2">
                            <div class="card-body">
                                <p class="text-muted">{{$user->intro}}</p>
                            </div>
                        </div>
                    @endif

                    <div class="card mb-2">
                        <div class="card-body">
                            <form action="#" method="GET">
                                @csrf
                                <div class="input-group">
                                    <input type="text" class="form-control" name="activity" placeholder="Enter Activity Word or Phrase"
                                    value="{{request()->get('activity')}}">
                                    {{-- <select name="benefit" id="benefit" class="form-select">
                                        <option value="">-- Benefit Type --</option>
                                        @foreach(getActiveBenefit() as $key=>$title)
                                            <option value="{{ $key }}"
                                            {{ (request()->get('benefit') == $key)?'selected':'' }}
                                            >{{$title}}</option>
                                        @endforeach
                                    </select> --}}
                                    <button class="btn btn-secondary" type="submit"><i class="bi-search"></i></button>
                                    <a href="{{route('account.userProfile',[cryptThis($user->id)])}}" class="btn btn-light-primary"><i class="bi-arrow-repeat"></i></a>
                                </div>
                            </form>
                        </div>
                    </div>

                    <div class="table-responsive">
                        <table id="myDataTable_no_filter" class="table table-sm myDataTable align-middle table-bordered mb-0 custom-table">
                             <thead>
                             <tr style="width: 100%">
                                  <th style="width: 30px">#</th>
                                  <th styl="width: 90%">Activity</th>
                                  {{-- <th style="width: 130px">Branch</th>
                                  <th style="width: 50px">Status</th>
                                  <th style="width: 50px">Action</th> --}}
                             </tr>
                             </thead>
                             <tbody>

                             </tbody>
                        </table>
                   </div>
                </div>
            </div> <!-- Row end  -->
        </div>
    </div>


    @push('scripts')
        <script src="{{ asset('assets/js/bundle/dataTables.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/bundle/bootstrapdatepicker.bundle.js') }}"></script>
        <!-- Jquery Page Js -->
        <script>
            $('.datepicker').datepicker({});
            // Data Table
            $('.myDataTable').addClass('nowrap').dataTable({
                responsive: false,
                searching: false,
                paging: false,
                ordering: false,
                info: false,
            });
        </script>
    @endpush
</x-app-layout>
