<x-app-layout>

    <x-slot name="breadcrumb">
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="{{ route('dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item active" aria-current="page">User Accounts</li>
        </ol>
    </x-slot>
    <!-- start: page toolbar -->
    <x-slot name="page_heading">
        <div class="row align-items-center">
            <div class="col-auto">
                <h1 class="fs-5 color-900 mt-1 mb-0">Users Account</h1>
            </div>
        </div> <!-- .row end -->
    </x-slot>
    <!-- start: page body -->
    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg- py- mt-0 mt-lg-">
        <div class="container-fluid">
            <!-- start: Analytic Tiles -->
            <div class="row mb-4">
                <div class="col-md-3">
                    <div class="card">
                        <div class="card-body d-flex align-items-center p-4">
                            <div class="avatar lg rounded-circle no-thumbnail bg-light-primary"><i
                                        class="bi-people-fill h3 mb-0 text-primary"></i></div>
                            <div class="flex-fill ms-3 text-truncate">
                                <div class="text-muted">Users</div>
                                <h5 class="mb-0">{{$count_users['users']}}</h5>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-3">
                    <div class="card">
                        <div class="card-body d-flex align-items-center p-4">
                            <div class="avatar lg rounded-circle no-thumbnail bg-light-success"><i
                                        class="bi-person-check-fill h3 mb-0 text-success"></i></div>
                            <div class="flex-fill ms-3 text-truncate">
                                <div class="text-muted">Verified</div>
                                <h5 class="mb-0">{{$count_users['approved_users']}}</h5>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-3">
                    <div class="card">
                        <div class="card-body d-flex align-items-center p-4">
                            <div class="avatar lg rounded-circle no-thumbnail bg-light-warning"><i
                                        class="bi-person-dash-fill h3 mb-0 text-warning"></i></div>
                            <div class="flex-fill ms-3 text-truncate">
                                <div class="text-muted">Pending</div>
                                <h5 class="mb-0">{{$count_users['pending_users']}}</h5>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-3">
                    <div class="card">
                        <div class="card-body d-flex align-items-center p-4">
                            <div class="avatar lg rounded-circle no-thumbnail bg-light-danger"><i
                                        class="bi-person-x-fill h3 mb-0 text-danger"></i></div>
                            <div class="flex-fill ms-3 text-truncate">
                                <div class="text-muted">Expired</div>
                                <h5 class="mb-0">{{$count_users['expired_users']}}</h5>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- End: Analytic Tiles -->

            <!-- start: Notification -->
            <div class="mb-2" id="syncMessage"></div>
            @component('components.announcement')@endcomponent
            <!-- End: Notification -->

            <!-- Start: User List -->
            <div class="row g-3">
                @if(canDo('administrator','search-user|offices|roles|add-user|view-user-list'))
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body">
                                <form action="#" method="GET">
                                    @csrf
                                    <div class="input-group">
                                        <input type="text" name="value" class="form-control"
                                               value="{{request()->get('value')}}" placeholder="Name or Email">
                                        <select name="type" id="type" class="form-select">
                                            <option value="">-- Select Role --</option>
                                            @foreach(getUserTypes() as $id=>$name)
                                                <option value="{{$id}}" {{ (request()->get('type') == $id)?'selected':'' }}>{{ ucwords($name) }}</option>
                                            @endforeach
                                        </select>
                                        <select name="gender" id="gender" class="form-select">
                                            <option value="">-- Select Gender --</option>
                                            @foreach(getGender() as $id=>$name)
                                                <option value="{{$id}}" {{ (request()->get('gender') == $id)?'selected':'' }}>{{ ucwords($name) }}</option>
                                            @endforeach
                                        </select>
                                        <button class="btn btn-secondary" type="submit" data-bs-toggle="tooltip" title="Search"><i class="bi-search"></i>
                                        </button>

                                        <a href="{{ route('account.users') }}" class="btn btn-light-primary"
                                           data-bs-toggle="tooltip" title="Reset"><i class="bi-arrow-repeat"></i></a>

                                        @if(canDo('administrator','roles'))
                                            <a href="{{ route('account.roles') }}" class="btn btn-light-info"
                                               data-bs-toggle="tooltip" title="User Roles"><i
                                                        class="bi-person-lines-fill"></i></a>
                                        @endif

                                        @if(canDo('administrator','users'))
                                            <a href="{{ route('account.hierarchy') }}" class="btn btn-light-warning" data-bs-toggle="tooltip" title="User Hierarchy"><i class="fa fa-sitemap"></i></a>
                                        @endif

                                        @if(canDo('administrator','offices'))
                                            <a href="{{ route('offices.list') }}" class="btn btn-light-success"
                                               data-bs-toggle="tooltip" title="Offices"><i class="bi-building"></i></a>
                                        @endif

                                        @if(canDo('administrator','send-invitation'))
                                            <button type="button" class="btn btn-light-success"
                                                    data-bs-toggle="modal" data-bs-target="#send-invitation" title="Send invitations"><i class="bi-person-plus-fill"></i></button>
                                        @endif

                                        @if(canDo('administrator','add-user'))
                                            <a href="{{ route('account.addAccount') }}" class="btn btn-primary" data-bs-toggle="tooltip" title="Add new User"><i class="fa fa-plus me-2"></i> {{__('New')}}</a>
                                        @endif
                                    </div>
                                </form>

                            </div>
                        </div>
                    </div>
                @endif


                <div class="col-12">
                    <div class="table-responsive">
                        <table id="myDataTable_no_filter"
                               class="table table-sm myDataTable align-middle table-bordered mb-0 custom-table">
                            <thead>
                            <tr>
                                <th>#</th>
                                <th>User</th>
                                <th style="width: 70px">Contact</th>
                                <th style="width: 100px">Last Login</th>
                                <th style="width: 120px">Action</th>
                            </tr>
                            </thead>
                            <tbody>
                            @php $count = 1; @endphp
                            @foreach($users as $user)
                                @continue(in_array($user->id,[1,2,3]))
                                <tr>
                                    <td>{{ $count++ }}</td>
                                    <td class="d-flex align-items-center">
                                        <img src="{{ asset($user->activeProfile) }}" class="rounded-circle avatar"
                                             alt="{{$user->name}}">
                                        <div class="ms-2 mb-0"><span class="fw-bold">{{$user->fullName}}</span> <br>
                                            <small class="text-muted">{{ $user->roles->isNotEmpty()?$user->roles->first()->display_name :'' }}</small></div>
                                    </td>
                                    <td>{{  $user->call_code }} {{$user->phone}}<br>
                                        <small class="text-muted">{{$user->email}}</small></td>
                                    <td>
                                        @if (!is_null($user->last_login))
                                            {{ date('H:i:s', strtotime($user->last_login)) }}
                                            <br>
                                            <small class="text-muted">{{ date('d M Y', strtotime($user->last_login)) }}</small>
                                        @else
                                            <span class="text-muted">Not Accessed</span>
                                        @endif
                                    </td>
                                    <td>
                                        @if(canDo('administrator','enable-user'))
                                            @if(is_null($user->deactivated_at))
                                                <span class="form-switch" data-bs-toggle="tooltip"
                                                      data-bs-placement="top" title="Deactivate">
                                                <input class="form-check-input" onchange="activate({{$user->id}})"
                                                       type="checkbox" style="margin-top: 0.6em;" value="0" checked
                                                       role="switch" id="status">
                                            </span>
                                            @else
                                                <span class="form-switch" data-bs-toggle="tooltip"
                                                      data-bs-placement="top" title="Activate">
                                                <input class="form-check-input" onchange="activate({{$user->id}})"
                                                       type="checkbox" style="margin-top: 0.6em;" value="1"
                                                       role="switch" id="status">
                                            </span>
                                            @endif
                                        @endif

                                        @if(canDo('administrator','view-user-profile'))
                                            <a href="{{route('account.userProfile',[cryptThis($user->id)])}}"
                                               class="btn btn-link btn-sm text-info" data-bs-toggle="tooltip"
                                               data-bs-placement="top" title="View User Profile"><i
                                                        class="fa fa-user"></i></a>
                                        @endif

                                        @if(canDo('administrator','view-member-profile'))
                                            @if (!is_null($user->applicant))
                                                <a href="{{route('applicant.viewApplicantInfo',['app_id'=>cryptThis($user->applicant->id)])}}"
                                                   class="btn btn-link btn-sm text-success" data-bs-toggle="tooltip"
                                                   data-bs-placement="top" title="View Beneficiary Profile"><i
                                                            class="bi-person-bounding-box"></i></a>
                                            @else
                                                <button type="button" class="btn btn-link btn-sm text-muted" data-bs-toggle="tooltip"
                                                        data-bs-placement="top" title="No Beneficiary Profile"><i
                                                            class="bi-person-bounding-box"></i></button>
                                            @endif
                                        @endif

                                        @if(canDo('administrator','password-reset'))
                                            <a href="{{route('account.resetPasswordRandom',[cryptThis($user->id)])}}"
                                               class="btn btn-link btn-sm text-info"
                                               data-bs-toggle="tooltip" data-bs-placement="top" title="Reset Password"
                                               onclick="return confirm('Do you want to continue to reset the password?')"><i
                                                        class="fa fa-key"></i></a>
                                        @endif

                                        @if(canDo('administrator','edit-user'))
                                            <a href="{{route('account.editAccount',[cryptThis($user->id)])}}"
                                               class="btn btn-link btn-sm text-primary"
                                               data-bs-toggle="tooltip" data-bs-placement="top" title="Edit"><i
                                                        class="fa fa-edit"></i></a>
                                        @endif

                                        @if(canDo('administrator','enable-user'))
                                            <a href="{{route('account.deleteAccount',[cryptThis($user->id)])}}"
                                               class="btn btn-link btn-sm text-danger" data-bs-toggle="tooltip"
                                               data-bs-placement="top" title="Delete"
                                               onclick="return confirm('Are you sure you want to Delete this User Account Permanently?')"><i
                                                        class="fa fa-trash"></i></a>
                                        @endif
                                    </td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </div>
                    {{ $users->links() }}
                </div>
            </div> <!-- .row end -->
            <!-- End: User List -->

            <!-- Start: Recently Joined -->
            <div class="mt-5">
                <ul class="list-unstyled list-group list-group-custom mb-0">
                    <li class="list-group-item d-flex py-3">
                        <div class="flex-grow-1">
                            <h6 class="mb-0">Recently Joined Users</h6>
                        </div>
                    </li>
                    @foreach($recent_users as $recent_user)
                        <li class="list-group-item d-flex py-3">
                            <div class="avatar rounded-circle no-thumbnail bg-light-primary me-4"><i
                                        class="bi-person fa-lg text-primary"></i></div>
                            <div class="flex-grow-1">
                                <p class="mb-0 fw-bolder">
                                    <strong>{{$recent_user->full_name}} </strong>
                                    <span class="float-end text-muted">{{easyDate($recent_user->created_at)}}</span>
                                </p>
                                <p class="mb-0 text-muted">
                                    {{$recent_user->email}}
                                    <span class="float-end">
                                    @if(is_null($recent_user->account_verified_at))
                                            <span class="badge rounded-pill bg-light-warning text-warning mt-2"><i
                                                        class="bi-person-dash fa-lg me-2"></i>Pending</span>
                                        @elseif($recent_user->status == 1)
                                            <span class="badge rounded-pill bg-light-success text-success mt-2"><i
                                                        class="bi-check fa-lg me-2"></i>Verified</span>
                                        @else
                                            <span class="badge rounded-pill bg-light-danger text-danger mt-2"><i
                                                        class="bi-person-x fa-lg me-2"></i>Inactive</span>
                                        @endif
                                </span>
                                </p>
                            </div>
                        </li>
                    @endforeach
                </ul>
            </div>
            <!-- End: Recently Joined -->
        </div>
    </div>
    @if(canDo('administrator','send-invitation'))
        <div class="modal fade" id="send-invitation" tabindex="-1" aria-hidden="true">
            <div class="modal-dialog modal-dialog-scrollable">
                <div class="modal-content text-start">
                    <div class="modal-header">
                        <h5 class="modal-title" id="">Invitations</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body custom_scroll">
                        <div class="alert alert-warning mb-3 d-flex align-items-center fw-bolder" role="alert">
                            <i class="bi-exclamation-triangle-fill me-3 fs-4"></i> This invitation works for only users who are have already registered with Alleviate.
                        </div>
                        <form action="{{route('subscription.sendInvitation')}}" id="sendInvitation" method="POST">
                            @csrf
                            <div class="row">
                                <div class="col-md-7">
                                    <label for="email-invite">Email</label>
                                    <input type="email" id="email-invite" name="email" class="form-control form-control-lg" style="height: 25px"
                                           value="{{request()->get('email')}}" placeholder="Enter email" required onblur="validateEmail(this)">
                                    <div id="validate-note"></div>
                                </div>
                                <div class="col-md-5">
                                    <label for="role-invite">Role</label>
                                    <select name="role" id="role-invite" class="form-select form-control-lg" required>
                                        <option value="">-- Select --</option>
                                        @foreach(getUserTypes() as $id=>$name)
                                            @continue($id == config('settings.beneficiary_role_id'))
                                            <option value="{{$id}}" {{ (request()->get('type') == $id)?'selected':'' }}>{{ ucwords($name) }}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>

                            <div class="text-end">
                                <button class="btn btn-primary fw-bolder mt-2" id="send-invite" disabled type="submit">
                                    <span id="loader" style="display: none">
                                        <span class="spinner-grow spinner-grow-sm" role="status" aria-hidden="true"></span>
                                        Sending...
                                    </span>
                                    <span id="loaded">
                                    <i class="bi-person-check me-2"></i>
                                    Send Invitation
                                    </span>
                                </button>
                            </div>
                        </form>
                        <div id="message-show"></div>
                        @php
                            $deployment = getActiveDeployment();
                        @endphp
                        <div id="listInvitations">
                            @if($deployment->invitations->count() > 0)
                                <div class="table-responsive border-top border-bottom mt-4 mb-4">
                                    <table class="table card-table table-sm table-nowrap mb-0">
                                        <tbody>
                                        @php $count=1;@endphp
                                        @foreach($deployment->invitations as $invite)
                                            <tr>
                                                <td class="text-start" style="width: 35px">{{$count++}}</td>
                                                <td>{{$invite->name}}<br>
                                                    <small class="text-muted"> {{$invite->email}} as <em>{{$invite->role->display_name}}</em></small></td>
                                                <td class="text-end" style="width: 35px">
                                                    <button type="button" class="btn btn-sm btn-outline-danger" onclick="cancelInvitation({{$invite->id}})"><i class="fa fa-times"></i></button>
                                                </td>
                                            </tr>
                                        @endforeach
                                        </tbody>
                                    </table>
                                </div>
                            @else
                                <div class="text-center p-4 mt-4" style="color: #dadada">
                                <span class="text-mute" style="font-size: 50px;">
                                    <i class="bi-person-x-fill"></i>
                                </span>
                                    <h3 class="text-mute">No invitations sent</h3>
                                </div>
                            @endif
                        </div>

                    </div>
                </div>
            </div>
        </div>
    @endif
    <!-- start: page footer -->
    @push('modals')
        @if(canDo('administrator','add-user'))
            <div class="modal fade" id="UserAccountCreate" aria-modal="true" role="dialog">
                <div class="modal-dialog modal-lg modal-dialog-scrollable">
                    <div class="modal-content text-start">
                        <div class="modal-body custom_scroll p-lg-5">
                            <button type="button" class="btn-close position-absolute top-0 end-0 mt-3 me-3"
                                    data-bs-dismiss="modal" aria-label="Close"></button>
                            <h4 class="modal-title">User Account Registration</h4>
                            <p class="text-muted">Provide details to create user account</p>
                            <form action="{{ route('users.store') }}" method="post">
                                @csrf
                                <div class="row g-2 mt-3">
                                    <div class="form-group  col-6">
                                        <label for="name">Full Name: </label>
                                        <div class="form-group {{ $errors->has('name')?'has-danger':'' }}">
                                            <input type="text" name="name" value="{{ old('name') }}" id="name" required
                                                   class="form-control">
                                            @if($errors->has('name'))
                                                <p class="text-left text-danger text-muted">{{ $errors->first('name') }}</p>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="form-group col-6">
                                        <label for="email">Email: </label>
                                        <div class="form-group {{ $errors->has('email')?'has-danger':'' }}">
                                            <input type="email" id="email" required value="{{ old('email') }}"
                                                   name="email"
                                                   class="form-control">
                                            @if($errors->has('email'))
                                                <p class="text-left text-danger text-muted">{{ $errors->first('email') }}</p>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="form-group col-6">
                                        <label for="role">Role: </label>
                                        <div class="form-group">
                                            <select onchange="getRoleOffices(this.value,'create')" name="role" id="role"
                                                    class="form-control select2 form-select">
                                                <option value="">Select a role</option>
                                                @foreach($roles as $role)
                                                    <option value="{{ $role->id }}" {{ old('role')==$role->id?'selected':'' }}>{{ $role->display_name }}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-group col-6">
                                        <label for="role">Assign Office: </label>
                                        <div class="form-group">
                                            <select name="office_id" id="office_id"
                                                    class="form-control form-select assigned_office">
                                                <option value="">Assign Office to User Account</option>
                                                @foreach($offices as $office)
                                                    <option value="{{ $office->id }}" {{ old('office_id')==$office->id?'selected':'' }}>{{ $office->facility_name }}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-group col-6">
                                        <label for="password">Password: </label>
                                        <div class="form-group {{ $errors->has('password')?'has-danger':'' }}">
                                            <input type="password" name="password" value="" required id="password"
                                                   class="form-control">
                                            @if($errors->has('password'))
                                                <p class="text-left text-danger text-muted">{{ $errors->first('password') }}</p>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="form-group col-6">
                                        <label for="password_confirmation">Confirm Password: </label>
                                        <div class="form-group {{ $errors->has('password_confirmation')?'has-danger':'' }}">
                                            <input type="password" name="password_confirmation" required
                                                   id="password_confirmation"
                                                   class="form-control">
                                            @if($errors->has('password_confirmation'))
                                                <p class="text-left text-danger text-muted">{{ $errors->first('password_confirmation') }}</p>
                                            @endif
                                        </div>
                                    </div>

                                    <div class="col-12 mt-3">
                                        <button class="btn btn-sm btn-secondary text-uppercase" type="button"
                                                data-bs-dismiss="modal">Close
                                        </button>
                                        <button class="btn btn-sm btn-primary text-uppercase" type="submit">Submit
                                        </button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        @endif

        @if(canDo('administrator','edit-user'))
            <div class="modal fade" id="user-form-edit" aria-modal="true" role="dialog">
                <div class="modal-dialog modal-lg modal-dialog-scrollable">
                    <div class="modal-content text-start">
                        <div class="modal-body custom_scroll p-lg-5">
                            <button type="button" class="btn-close position-absolute top-0 end-0 mt-3 me-3"
                                    data-bs-dismiss="modal" aria-label="Close"></button>
                            <h4 class="modal-title">Edit User Account Details</h4>
                            <p class="text-muted">Update details to user account</p>
                            <form action="#" method="post">
                                @csrf
                                @method('put')
                                <div class="row g-2 mt-3">
                                    <div class="form-group  col-6">
                                        <label for="name">Full Name: </label>
                                        <div class="form-group {{ $errors->has('name')?'has-danger':'' }}">
                                            <input type="text" name="name" value="{{ old('name') }}" id="name" required
                                                   class="form-control">
                                            @if($errors->has('name'))
                                                <p class="text-left text-danger text-muted">{{ $errors->first('name') }}</p>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="form-group col-6">
                                        <label for="role">Role: </label>
                                        <div class="form-group">
                                            <select name="role" id="role"
                                                    class="form-control select2 form-select edit_role">
                                                <option value="">Select a role</option>
                                                @foreach($roles as $role)
                                                    <option value="{{ $role->id }}" {{ old('role')==$role->id?'selected':'' }}>{{ $role->display_name }}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-group col-6">
                                        <label for="role">Assign Office: </label>
                                        <div class="form-group">
                                            <select name="office_id" id="office_id"
                                                    class="form-control form-select update_assigned_office">
                                                <option value="">Assign Office to User Account</option>
                                                @foreach($offices as $office)
                                                    <option value="{{ $office->id }}" {{ old('office_id')==$office->id?'selected':'' }}>{{ $office->facility_name }}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-12 mt-3">
                                        <button class="btn btn-sm btn-secondary text-uppercase" type="button"
                                                data-bs-dismiss="modal">Close
                                        </button>
                                        <button class="btn btn-sm btn-primary text-uppercase" type="submit">Submit
                                        </button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        @endif

    @endpush
    @push('scripts')
        <script src="{{ asset('assets/js/bundle/dataTables.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/bundle/select2.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/bundle/bootstraptagsinput.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/bundle/sweetalert2.bundle.js') }}"></script>
        <script src="{{ asset('assets/js/helpers.js') }}"></script>
        <script src="{{ asset('assets/js/pages/users.js') }}"></script>
        <!-- Jquery Page Js -->
        <script>

            $(document).ready(function () {
                @if($errors->has('name')|| $errors->has('email')|| $errors->has('password'))
                $('#UserAccountCreate').modal('show');
                @endif
            });

            function cancelInvitation(id) {
                $.ajax({
                    type: "post",
                    url: "{{route('subscription.cancelInvitation')}}",
                    data: {
                        invitation: id,
                        _token: '{{csrf_token()}}'
                    },
                    beforeSend: function () {},
                    success: function (data) {
                        if(data.status === 1) {
                            $('#message-show').html("<div class='pt-2 pb-2'><span class='text-success fw-bolder'>"+data.message+"</span></div>");
                        }
                        else {
                            $('#message-show').html("<div class='pt-2 pb-2'><span class='text-danger fw-bolder'>"+data.message+"</span></div>");
                        }
                        $('#listInvitations').empty().html(data.view)
                    },
                    complete: function () {},
                    error: function (data) {
                        // console.log(data);
                    }
                });
            }

            let sendInvitationForm = $('form#sendInvitation');

            sendInvitationForm.submit(function (e) {
                e.preventDefault();
                $.ajax({
                    type: 'post',
                    url: sendInvitationForm.attr('action'),
                    data: sendInvitationForm.serialize(),
                    beforeSend: function () {
                        $('#loader').show();
                        $('#loaded').hide();
                    },
                    success: function (data) {
                        if(data.status === 1) {
                            $('#message-show').html("<div class='pt-2 pb-2'><span class='text-success fw-bolder'>"+data.message+"</span></div>");
                        }
                        else {
                            $('#message-show').html("<div class='pt-2 pb-2'><span class='text-danger fw-bolder'>"+data.message+"</span></div>");
                        }
                        $('#listInvitations').empty().html(data.view)
                        $('#email-invite').val("");
                        $('#role-invite').val("");
                    },
                    complete: function () {
                        $('#loader').hide();
                        $('#loaded').show();
                    },
                    error: function (data) {
                        console.log('An error occurred.');
                        console.log(data);
                    },
                });
            });


            $('#user_accounts').addClass('nowrap').dataTable({
                responsive: false,
                searching: false,
                paging: false,
                ordering: false,
                info: false,
            });


            $('.select2').select2();

            function getRoleOffices(role_id, type) {

                let update_role = $('.edit_role').find(":selected").val();
                let selected_office = $('.update_assigned_office').find(":selected").val();
                // co
                if (type == 'create') {
                    blockSelect('.assigned_office');
                }
                if (type == 'update') {

                    blockSelect('.update_assigned_office');
                }

                $.ajax({
                    type: "post",
                    {{--url: "{{route('fetch.role.assigned_offices')}}",--}}
                    data: {
                        role_id: role_id,
                        update_role: update_role,
                        type: type,
                        update_office_id: selected_office,
                        _token: '{{csrf_token()}}'
                    },
                    success: function (response) {
                        if (type == 'create') {
                            $('.assigned_office').html(response);
                            unblockSelect('.assigned_office');
                        }

                        if (type == 'update') {
                            $('.update_assigned_office').html(response);
                            unblockSelect('.update_assigned_office');
                        }

                    }
                });
            }

            // Data Table
            $('#myDataTable_no_filter').addClass('nowrap').dataTable({
                responsive: false,
                searching: false,
                paging: false,
                ordering: false,
                info: false,
                dom: 'B<"clear">lfrtip',
                buttons: {
                    name: 'primary',
                    buttons: ['copy', 'csv', 'excel']
                }

            });

            function activate(id) {
                // console.log(id);
                var path = "{{route('user_activation')}}";
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-Token': $('meta[name=_token]').attr('content')
                    }
                });
                $.ajax({
                    url: path,
                    type: 'GET',
                    data: {id: id},
                    success: function (data) {
                        $('#syncMessage').empty();
                        $('#syncMessage').html(data.message);
                    },
                    complete: function () {
                    }
                    ,
                    error: function (data) {
                        // console.log(data);
                    }
                });
            }

            function validateEmail(input) {
                const email = input.value;
                const validationMessage = document.getElementById('validate-note');
                const submitButton = document.getElementById('send-invite');

                // Check if the email is empty
                if (email.trim() === '') {
                    submitButton.setAttribute('disabled',true);
                    validationMessage.innerHTML = '<small class="text-danger"><i class="bi-x-circle me-3"></i> Invalid email</small>';
                    return;
                }

                // Make an AJAX request to check the email
                fetch(`/subscriptions/check-email?email=${email}`)
                    .then(response => response.json())
                    .then(data => {
                        if (!data.exists) {
                            submitButton.setAttribute('disabled',true);
                            validationMessage.innerHTML = '<small class="text-danger"><i class="bi-x-circle me-3"></i> Email already exists</small>';
                            // You can add further actions here, such as disabling form submission.
                        }
                        else {
                            submitButton.removeAttribute('disabled');
                            validationMessage.innerHTML = '';
                            // validationMessage.innerHTML = '<small class="text-success"><i class="bi-check-circle-fill me-3"></i> Email is available</small>';
                            // You can add further actions here, such as showing an error message.
                        }
                    })
                    .catch(error => {
                        console.error('Error checking email:', error);
                    });
            }
        </script>
    @endpush
</x-app-layout>
