<?php

use Illuminate\Support\Facades\Route;
use \App\Http\Controllers\ProfileAccountController;
/*
|--------------------------------------------------------------------------
| User Account Profile Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::middleware(['auth','verified'])->name('account.')->group(function () {
    Route::prefix('account')->group(function () {
        Route::get('/profile', [ProfileAccountController::class,'index'])
            ->middleware('auth')->name('profile');
        Route::post('/account-info/update', [ProfileAccountController::class,'accountInfoUpdate'])
            ->middleware('auth')->name('account_info_update');
        Route::get('/change-password', [ProfileAccountController::class,'changePassword'])
            ->middleware('auth')->name('change_password');
        Route::post('/change-password/update', [ProfileAccountController::class,'changePasswordUpdate'])
            ->middleware('auth')->name('change_password_update');
    });
});
