<?php
use Illuminate\Support\Facades\Route;
use \App\Http\Controllers\BenefitRegistrationController;

//Benefit Registration Routes
Route::name('benefit_registration.')->group(function () {
    Route::prefix('applications')->group(function () {
        Route::get('/', [BenefitRegistrationController::class,'index'])->name('list')->middleware(['check-permissions:administrator,view-applications-list']);
        Route::get('get-applications-list', [BenefitRegistrationController::class,'getApplicationsList'])->name('getApplicationsList');
        Route::get('create/{form_id?}', [BenefitRegistrationController::class,'create'])->name('create')->middleware(['check-permissions:administrator,add-application']);
        Route::get('edit/{application_id}', [BenefitRegistrationController::class,'edit'])->name('edit')->middleware(['check-permissions:administrator,edit-application']);
        Route::post('save/{form_id}', [BenefitRegistrationController::class,'save'])->name('save')->middleware(['check-permissions:administrator,add-application']);
        Route::post('save/{form_id}/{applicant_number?}', [BenefitRegistrationController::class,'save'])->name('save')->middleware(['check-permissions:administrator,add-application']);
        Route::post('update', [BenefitRegistrationController::class,'updateApplication'])->name('updateApplication')->middleware(['check-permissions:administrator,edit-application']);
//        Route::get('submit-application/{id}', [BenefitRegistrationController::class,'submitApplication'])->name('submitApplication');
        Route::get('delete/{benefit_registration_id}', [BenefitRegistrationController::class,'delete'])->name('delete')->middleware(['check-permissions:administrator,delete-application']);
        Route::get('view/{application_id}', [BenefitRegistrationController::class,'viewApplication'])->name('view')->middleware(['check-permissions:administrator,view-application-info']);
//        Route::get('get-applicant-record', [BenefitRegistrationController::class,'viewApplicantRecordInfo'])->name('viewApplicantRecordInfo');
        Route::get('get-stage-component', [BenefitRegistrationController::class,'getStageComponent'])->name('getStageComponent');
//        Route::put('update-applicant-record', [BenefitRegistrationController::class,'updateApplicantRecord'])->name('updateApplicantRecord');
        Route::post('verification-process/{benefit_registration_id}', [BenefitRegistrationController::class,'verificationProcess'])->name('verificationProcess')->middleware(['check-permissions:administrator,process-application|approve-application']);
        Route::post('application-process/{application_id}', [BenefitRegistrationController::class,'applicationProcessing'])->name('applicationProcessing')->middleware(['check-permissions:administrator,process-application|approve-application']);


        Route::get('get-applicant-data', [BenefitRegistrationController::class,'validateUser'])->name('validateUser');
        Route::get('get-applicant-bk-at', [BenefitRegistrationController::class,'applicantAccountDetails'])->name('applicantAccountDetails');

        Route::post('add-comment', [BenefitRegistrationController::class,'addComment'])->name('addComment')
            ->middleware(['check-permissions:administrator,add-application-comment']);
        Route::get('open-comments', [BenefitRegistrationController::class,'openComments'])->name('openComments')
            ->middleware(['check-permissions:administrator,view-application-comment']);

    });
});
