<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Client Routes
|--------------------------------------------------------------------------
|
*/

Route::middleware(['auth'])->name('client.')->prefix('console')->group(function () {
    Route::controller(\App\Http\Controllers\Client\HomeController::class)->group(function () {
        Route::get('/', 'home')->name('home');
        Route::get('account', 'account')->name('account');
        Route::get('plan-subscriptions', 'plans')->name('plans');
        Route::get('project/{project_id}', 'projectView')->name('projectView');
    });

    Route::controller(\App\Http\Controllers\Client\BillingController::class)->group(function () {
        Route::get('my-billing', 'accountBilling')->name('accountBilling');
        Route::get('project/{project_id}/billing', 'projectBilling')->name('projectBilling');
        Route::post('client-subscription', 'clientSubscription')->name('clientSubscription');
    });

    Route::controller(\App\Http\Controllers\Client\DeploymentActivityController::class)->group(function () {
        Route::post('project/{project_id}/subscription-action', 'subscriptionAction')->name('subscriptionAction');
        Route::delete('project/{project_id}/remove', 'removeProject')->name('removeProject');
    });
});
