<?php
use Illuminate\Support\Facades\Route;
use \App\Http\Controllers\HouseHoldManagementController;
use \Illuminate\Support\Str;

//Household Routes
Route::name('household.')->group(function () {
    //Route::get('households', [HouseHoldManagementController::class,'index'])->name('list');
    Route::redirect('households', '/')->name('list');
    Route::prefix('households')->group(function () {
        Route::post('create', [HouseHoldManagementController::class,'create'])->name('create');
        Route::get('validate-applicant', [HouseHoldManagementController::class,'validateApplicant'])->name('validateApplicant');
        Route::get('edit', [HouseHoldManagementController::class,'edit'])->name('edit');
        Route::get('add-member/{household_id}', [HouseHoldManagementController::class,'addMember'])->name('addMember');
        Route::post('save-member', [HouseHoldManagementController::class,'saveMember'])->name('saveMember');
        Route::post('update', [HouseHoldManagementController::class,'update'])->name('update');
        Route::get('view/{reference_id}', [HouseHoldManagementController::class,'view'])->name('view');
        Route::get('delete/{reference_id}', [HouseHoldManagementController::class,'delete'])->name('delete');
        Route::get('perform-household-query/{type?}/{area?}/{tenure?}/{location?}', [HouseHoldManagementController::class,'getHouseholdList'])->name('getHouseholdList');
    });
});
