<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use \App\Http\Controllers\MemberRecordsController;
/*
|--------------------------------------------------------------------------
| Member Records Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware(['auth'])->prefix('memberships/records')->name('memberRecords.')->group(function () {

    Route::get('/', [MemberRecordsController::class, 'memberRecords'])->name('list')
        ->middleware(['check-permissions:administrator,member-records-update|view-member-record-comment|add-member-record-comment|process-member-record']);
    Route::get('get-member-record', [MemberRecordsController::class, 'getMemberRecord'])->name('record')
        ->middleware(['check-permissions:administrator,member-records-update|process-member-record']);
    Route::post('verify-record', [MemberRecordsController::class, 'recordVerification'])->name('recordVerification')
    ->middleware(['check-permissions:administrator,member-records-update|process-member-record']);
    Route::post('add-comment', [MemberRecordsController::class, 'addComment'])->name('addComment')
        ->middleware(['check-permissions:administrator,view-member-record-comment|add-member-record-comment']);
    Route::get('show-record-comments', [MemberRecordsController::class, 'openComments'])->name('openComments')
        ->middleware(['check-permissions:administrator,view-member-record-comment|add-member-record-comment']);

});

