<?php
use Illuminate\Support\Facades\Route;
use \App\Http\Controllers\PartnersController;
use \Illuminate\Support\Str;

//Program Management Routes
Route::name('partner.')->group(function () {
    Route::get('partners', [PartnersController::class,'index'])->name('list')->middleware(['check-permissions:administrator,view-partners-list']);
    Route::prefix('partners')->group(function () {
        Route::get('create', [PartnersController::class,'create'])->name('create')->middleware(['check-permissions:administrator,add-partner']);
        Route::post('save', [PartnersController::class,'save'])->name('save')->middleware(['check-permissions:administrator,add-partner']);
        Route::get('edit/{partner_id}', [PartnersController::class,'edit'])->name('edit')->middleware(['check-permissions:administrator,edit-partner']);
        Route::post('update', [PartnersController::class,'update'])->name('update')->middleware(['check-permissions:administrator,edit-partner']);
        Route::get('view/{partner_id}', [PartnersController::class,'view'])->name('view')->middleware(['check-permissions:administrator,view-partner-info']);
        Route::get('delete/{reference_id}', [PartnersController::class,'delete'])->name('delete')->middleware(['check-permissions:administrator,delete-partner']);
    });
});
