<?php

use Illuminate\Support\Facades\Route;
use \App\Http\Controllers\PaymentController;
/*
|--------------------------------------------------------------------------
| User Account Profile Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::name('payment.')->group(function () {
    Route::prefix('payment')->group(function () {
        // Route::get('/payment-schedules', [PaymentController::class,'paymentSchedule'])->name('paymentSchedule');
        // Route::get('/create-payment-schedule', [PaymentController::class,'createPaymentSchedule'])->name('createPaymentSchedule');
        // Route::get('/edit-payment-schedule', [PaymentController::class,'editPaymentSchedule'])->name('editPaymentSchedule');
        // Route::post('/save-payment-schedule', [PaymentController::class,'savePaymentSchedule'])->name('savePaymentSchedule');
        // Route::delete('/delete-payment-schedule/{id}', [PaymentController::class,'deletePaymentSchedule'])->name('deletePaymentSchedule');

        // Route::get('/payroll', [PaymentController::class,'payroll'])->name('payroll');
        // Route::get('/get-payrolls', [PaymentController::class,'getPayrolls'])->name('getPayrolls');
        // Route::get('/create-payroll/{benefit_id?}', [PaymentController::class,'createPayroll'])->name('createPayroll');
        // Route::get('/edit-payroll/{payroll_id}', [PaymentController::class,'editPayroll'])->name('editPayroll');
        // Route::get('/view-payroll/{payroll_id}', [PaymentController::class,'viewPayroll'])->name('viewPayroll');
        // Route::post('/save-payroll', [PaymentController::class,'savePayroll'])->name('savePayroll');
        // Route::get('/submit-payroll/{payroll_id}', [PaymentController::class,'submitPayroll'])->name('submitPayroll');
        // Route::get('/paid-payroll/{payroll_id}', [PaymentController::class,'PaidPayroll'])->name('paidPayroll');
        // Route::get('/debt-recoveries', [PaymentController::class,'debtRecovery'])->name('debtRecovery');
        // Route::get('/debt-recoveries/{id}', [PaymentController::class,'editDebtRecovery'])->name('editDebtRecovery');
        // Route::post('/debt-recoveries/{id}', [PaymentController::class,'updateDebtRecovery'])->name('updateDebtRecovery');
        // Route::post('/debt-recoveries/amount/{id}', [PaymentController::class,'updateDebtRecoveryAmount'])->name('updateDebtRecoveryAmount');
        // Route::get('/debt-recovery/delete/{debt_id}', [PaymentController::class,'deleteDebtRecovery'])->name('deleteDebtRecovery');
        // Route::get('/refresh-payroll/{benefit_id}/{payroll}', [PaymentController::class,'refreshPayroll'])->name('refreshPayroll');
        // Route::get('/delete-payroll/{benefit_id?}', [PaymentController::class,'deletePayroll'])->name('deletePayroll');
//        Route::post('/change-password/update', [ProfileAccountController::class,'changePasswordUpdate'])
//            ->middleware('auth')->name('change_password_update');



        //New Routes
        Route::get('/vouchers', [PaymentController::class,'paymentVouchers'])->name('paymentVouchers')
            ->middleware('check-permissions:administrator,voucher-management|view-payment-vouchers-list');
        Route::get('/batch/{master_voucher_id}', [PaymentController::class,'paymentBatch'])->name('paymentBatch')
            ->middleware('check-permissions:administrator,view-payment-vouchers-list|voucher-management');
        Route::get('/batch/{master_voucher_id}/voucher', [PaymentController::class,'paymentBatchVoucher'])->name('paymentBatchVoucher')
            ->middleware('check-permissions:administrator,view-payment-vouchers-list|voucher-management');
        Route::get('/advice/{voucher_id}', [PaymentController::class,'paymentAdvice'])->name('paymentAdvice')
            ->middleware('check-permissions:administrator,view-payment-vouchers-list|voucher-management');
        Route::get('/get-voucher-form', [PaymentController::class,'loadVoucherForm'])->name('loadVoucherForm')
            ->middleware('check-permissions:administrator,voucher-management');
        Route::post('/generate-voucher', [PaymentController::class,'generateVoucher'])->name('generateVoucher')
            ->middleware('check-permissions:administrator,voucher-management');
    });
});
