<?php
use Illuminate\Support\Facades\Route;
use \App\Http\Controllers\ProgramManagementController;
use \Illuminate\Support\Str;

//Program Management Routes
Route::name('program.')->group(function () {
    Route::get('programs', [ProgramManagementController::class,'index'])->name('list')->middleware(['check-permissions:administrator,view-programs-list']);
    Route::prefix('programs')->group(function () {
        Route::get('create', [ProgramManagementController::class,'create'])->name('create')->middleware(['check-permissions:administrator,add-program']);
        Route::post('save', [ProgramManagementController::class,'save'])->name('save')->middleware(['check-permissions:administrator,add-program']);
        Route::get('edit/{program_id}', [ProgramManagementController::class,'edit'])->name('edit')->middleware(['check-permissions:administrator,edit-program|enable-program']);
        Route::post('update', [ProgramManagementController::class,'update'])->name('update')->middleware(['check-permissions:administrator,edit-program|enable-program']);
        Route::get('view/{program_id}', [ProgramManagementController::class,'view'])->name('view')->middleware(['check-permissions:administrator,view-program-info']);
        Route::get('perform-program-query/{type?}/{area?}/{tenure?}/{location?}', [ProgramManagementController::class,'getProgramList'])->name('getProgramList');
    });
});
