<?php
use Illuminate\Support\Facades\Route;
use \App\Http\Controllers\TeamsController;
use \Illuminate\Support\Str;

//Program Management Routes
Route::name('team.')->group(function () {
    Route::prefix('teams')->group(function () {
        //Route::get('/', [TeamsController::class,'index'])->name('list');
        Route::redirect('/', '/dashboard')->name('list');
        Route::get('create', [TeamsController::class,'create'])->name('create');
        Route::post('save', [TeamsController::class,'save'])->name('save');
        Route::get('edit', [TeamsController::class,'edit'])->name('edit');
        Route::post('update', [TeamsController::class,'update'])->name('update');
        Route::get('change-status', [TeamsController::class,'changeTeamStatus'])->name('changeTeamStatus');
        Route::get('view', [TeamsController::class,'view'])->name('view');
        Route::get('program-surveys', [TeamsController::class,'getProgramSurveys'])->name('getProgramSurveys');
        Route::get('member/change-status', [TeamsController::class,'changeTeamMemberStatus'])->name('changeTeamMemberStatus');
        Route::post('member/save', [TeamsController::class,'saveMember'])->name('saveMember');
        Route::get('member/edit', [TeamsController::class,'editMember'])->name('editMember');
        Route::post('member/update', [TeamsController::class,'updateMember'])->name('updateMember');
        Route::delete('member/delete', [TeamsController::class,'deleteMember'])->name('deleteMember');
        Route::delete('delete', [TeamsController::class,'delete'])->name('delete');

        Route::prefix('team-memberships')->group(function () {
            Route::get('/', [TeamsController::class,'teamManagement'])->name('teamManagement');
            Route::get('add-member', [TeamsController::class,'addTeamManagementMember'])->name('addTeamManagementMember');
            Route::get('view-member', [TeamsController::class,'viewTeamManagementMember'])->name('viewTeamManagementMember');
            Route::post('save-member', [TeamsController::class,'saveTeamManagementMember'])->name('saveTeamManagementMember');
            Route::get('edit-member/{member_id}', [TeamsController::class,'editTeamManagementMember'])->name('editTeamManagementMember');
            Route::post('update-member', [TeamsController::class,'updateTeamManagementMember'])->name('updateTeamManagementMember');
            Route::delete('delete-member', [TeamsController::class,'deleteTeamManagementMember'])->name('deleteTeamManagementMember');
        });
    });
});
