<?php if(!isset($view)): ?>
    <?php $view = false; ?>
<form action="<?php echo e(route('benefit_registration.saveApplicantRegistration')); ?>" enctype="multipart/form-data" method="post">
    <?php if($applicant): ?>
        <input type="hidden" value="<?php echo e(cryptThis($applicant->id)); ?>" name="id">
    <?php endif; ?>
    <?php echo csrf_field(); ?>
<?php endif; ?>

    <div class="row">
        <?php

            $island_list = \App\Models\LookupCode::activeOptions(config('settings.island_code'));
            $gender_list = \App\Models\LookupCode::activeOptions(config('settings.gender_code'));
            $identification_list = \App\Models\LookupCode::activeOptions(config('settings.identification_code'));
            $account_type_list = \App\Models\LookupCode::activeOptions(config('settings.account_type_code'));
            $bank_list = \App\Models\LookupCode::activeOptions(config('settings.bank_code'));
            $branch_list = \App\Models\LookupCode::activeOptions(config('settings.branch_code'));
            $marriage_status_list = \App\Models\LookupCode::activeOptions(config('settings.marriage_status_code'));
            $marriage_type_list = \App\Models\LookupCode::activeOptions(config('settings.marriage_type_code'));
            $employment_sector_list = \App\Models\LookupCode::activeOptions(config('settings.employment_sector_code'));
            $employment_type_list = \App\Models\LookupCode::activeOptions(config('settings.employment_type_code'));
            $impairment_list = \App\Models\LookupCode::activeOptions(config('settings.impairment_type_code'));
            $family_list = \App\Models\LookupCode::activeOptions(config('settings.family_type_code'));

            $marriage_status =
            $spouse_ref_id =
            $spouse_name =
            $marriage_type =
            $marriage_start_date =
            $marriage_end_date =

            $familyDetails =
            $maritalDetails =
            $contactDetails =
            $idDetails =
            $impairments =
            $accountDetails =
            $healthDetails =
            $employmentDetails = null;

            $surnames = $applicant->surnames;
            $first_names = $applicant->first_names;
            $other_names = $applicant->other_names;
            $dobs = $applicant->dobs;
            $genders = $applicant->genders;
            $place_of_births = $applicant->place_of_births;
            $country_of_births = $applicant->country_of_births;
            $app_nationalities = $applicant->nationalities;

            if (!is_null($applicant->impairments)) $impairments = $applicant->impairments;

            $upload_passport_pic = $applicant->upload_passport_pic;

            if(isset($applicant->contactDetails)){
                $contactDetails = $applicant->contactDetails->where('status','=','Verified');
            }

            if(isset($applicant->maritalDetails)) {
                $maritalDetails = $applicant->maritalDetails;
            }

            if(isset($applicant->familyDetails)) {
                $familyDetails = $applicant->familyDetails->where('removed','=',false);
            }

            if(isset($applicant->idDetails)) {
                $idDetails = $applicant->idDetails->where('removed','=',false);
            }

            if(isset($applicant->accountDetails)) {
                $accountDetails = $applicant->accountDetails->where('removed','=',false);
            }

            if(isset($applicant->employmentDetails)) {
                $employmentDetails = $applicant->employmentDetails->where('removed','=',false);
            }

            if(isset($applicant->healthDetails)) {
                $healthDetails = $applicant->healthDetails->where('removed','=',false);
            }

        ?>

        <div class="col-12 mb-3">
            <div class="card">
                <div class="card-body">
                    <div class="d-flex align-items-left flex-column flex-md-row">
                        <?php
                            $applicant_avatar = asset('assets/default.jpeg');
                            if(!is_null($applicant->avatar)) $applicant_avatar = asset($applicant->avatar);
                        ?>
                        <img src="<?php echo e($applicant_avatar); ?>" alt="" class="circle no-filter" style="width: 150px; height: 150px; border-radius: 100%;">
                        <div class="media-body ms-md-5 m-0 mt-4 mt-md-0 text-md-start">
                            <h5 class="fw-bol"><span class="fw-bolder"><?php echo e($surnames); ?>, </span>
                                <?php echo e($first_names." ".$other_names); ?> <small class="fw-light me-2">[<?php echo e($applicant->regID); ?>]</small>
                                <img src="<?php echo e(asset('images/icons/'.$manual_verification.'.png')); ?>" class="icon"
                                     data-bs-toggle="tooltip"  title="<?php echo e(($manual_verification == "Manually")?'Manually Verified':$manual_verification); ?>">
                                <small style="font-size: 13px;"><a href="<?php echo e(route('applicant.applicantRegistration',[cryptThis($applicant->id)])); ?>" class="text-primary"><i class="bi-pencil"></i> Edit</a></small>
                            </h5>
                            <p><strong class="me-3">Date Of Birth:</strong>
                                <?php if(!is_null($dobs)): ?><?php echo e(date('d M Y', strtotime($dobs))." (".getAgeByDate($dobs).")"); ?><?php endif; ?>
                            </p>
                            <div class="d-flex flex-wrap justify-content-left align-items-left mb-3 mt-2">
                                <div class="me-4 me-md-3">
                                    <small class="text-muted">Gender</small>
                                    <div class="mb-0 fw-bold"><?php echo e($genders); ?></div>
                                </div>
                                <div class="me-4">
                                    <small class="text-muted">Citizenship</small>
                                    <div class="mb-0 fw-bold"><?php echo e($app_nationalities); ?></div>
                                </div>
                                <div class="me-4">
                                    <small class="text-muted"><?php echo e(__('Place Of Birth')); ?></small>
                                    <div class="mb-0 fw-bold"><?php echo e($place_of_births.", ".$country_of_births); ?></div>
                                </div>












                            </div>
                            <ul class="social mb-0 list-inline mt-3">
                                <li class="list-inline-item"><a href="#" class="p-1"><i class="fa fa-lg fa-slack"></i></a></li>
                                <li class="list-inline-item"><a href="#" class="p-1"><i class="fa fa-lg fa-github"></i></a></li>
                                <li class="list-inline-item"><a href="#" class="p-1"><i class="fa fa-lg fa-skype"></i></a></li>
                                <li class="list-inline-item"><a href="#" class="p-1"><i class="fa fa-lg fa-linkedin"></i></a></li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="accordion" id="applicantInformation">
            
            <div class="card mb-1 bg-transparent">
                <div class="card-header p-0" id="parental_header">
                    <h2 class="mb-0 w-100">
                        <button class="btn btn-light-secondary btn-block text-start w-100 collapsed p-3 rounded-0"
                                type="button" data-bs-toggle="collapse" data-bs-target="#collapse_family"
                                aria-expanded="false" aria-controls="collapse_family"> <?php echo e(__('Family Information')); ?> </button>
                    </h2>
                </div>
                <div id="collapse_family" class="collapse" aria-labelledby="parental_header" data-parent="#applicantInformation">
                    <div class="card-body p-3">
                        <?php if($familyDetails->count() > 0): ?>
                            <ul class="resume-box p-0 ps-0 pb-0 mb-0">
                                <div class="row">
                                    <?php $__currentLoopData = $familyDetails; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $familyDetail): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <div class="col-md-6">
                                            <li>
                                                <div class="icon text-center">
                                                    <i class="bi-people-fill"></i>
                                                </div>
                                                <div class="fw-bold mb-0"><?php echo e(strtoupper($familyDetail->surname).', '.$familyDetail->first_name.' '.$familyDetail->other_name); ?></div>
                                                <span><?php echo e(date('d M Y',strtotime($familyDetail->date_of_birth))); ?>  (<?php echo e(getAgeByDate($familyDetail->date_of_birth)); ?>)</span>
                                                <br>
                                                <span><?php if($familyDetail->id_type != null): ?><?php echo e($familyDetail->id_type); ?>  - #<?php echo e($familyDetail->dependent_reference_id); ?> <?php endif; ?></span>
                                                <br>
                                                <span><?php echo e($familyDetail->type); ?><?php if($familyDetail->is_dependent == 'Yes'): ?> - <span class="text-success">Dependant</span> <?php else: ?>   - <span class="text-danger">Not Dependant</span> <?php endif; ?></span>

                                            </li>
                                        </div>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </div>

                            </ul>
                        <?php else: ?>
                            <p class="text-muted text-center"><em>No Family Information Recorded</em></p>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
            
            <div class="card mb-1 bg-transparent">
                <div class="card-header p-0" id="contact_header">
                    <h2 class="mb-0 w-100">
                        <button class="btn btn-light-secondary btn-block text-start w-100 collapsed p-3 rounded-0" type="button" data-bs-toggle="collapse" data-bs-target="#collapse_contact" aria-expanded="false" aria-controls="collapse_contact"><?php echo e(__('Contact Information')); ?></button>
                    </h2>
                </div>
                <div id="collapse_contact" class="collapse" aria-labelledby="contact_header" data-parent="#applicantInformation">
                    <div class="card-body p-3">
                        <?php if($contactDetails->count() > 0): ?>
                            <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.applicant.address-structure','data' => ['contactDetails' => $contactDetails]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('applicant.address-structure'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['contactDetails' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($contactDetails)]); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                        <?php else: ?>
                            <p class="text-muted text-center"><em>No Contact Information Recorded</em></p>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
            
            <div class="card mb-1 bg-transparent">
                <div class="card-header p-0" id="identification_header">
                    <h2 class="mb-0 w-100">
                        <button class="btn btn-light-secondary btn-block text-start w-100 collapsed p-3 rounded-0" type="button" data-bs-toggle="collapse" data-bs-target="#collapse_ids" aria-expanded="false" aria-controls="collapse_ids">  <?php echo e(__('Identification')); ?> </button>
                    </h2>
                </div>
                <div id="collapse_ids" class="collapse" aria-labelledby="identification_header" data-parent="#applicantInformation">
                    <div class="card-body p-3">
                        <?php if($idDetails->count() > 0): ?>
                            <?php $__currentLoopData = $idDetails; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $idDetail): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="d-flex justify-content-between align-items-center">
                                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.applicant.identification-card','data' => ['idDetail' => $idDetail]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('applicant.identification-card'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['idDetail' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($idDetail)]); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                                </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php else: ?>
                            <p class="text-muted text-center"><em>No Identification Information Recorded</em></p>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
            
            <div class="card mb-1 bg-transparent">
                <div class="card-header p-0" id="marital_header">
                    <h2 class="mb-0 w-100">
                        <button class="btn btn-light-secondary btn-block text-start w-100 collapsed p-3 rounded-0" type="button" data-bs-toggle="collapse" data-bs-target="#collapse_marital" aria-expanded="false" aria-controls="collapse_marital">  <?php echo e(__('Marital Details')); ?> </button>
                    </h2>
                </div>
                <div id="collapse_marital" class="collapse" aria-labelledby="marital_header" data-parent="#applicantInformation">
                    <div class="card-body p-3">
                        <?php if($maritalDetails->count() > 0): ?>
                            <?php $__currentLoopData = $maritalDetails; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $maritalDetail): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="d-flex justify-content-between align-items-center">
                                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.applicant.marital-card','data' => ['maritalDetail' => $maritalDetail]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('applicant.marital-card'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['maritalDetail' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($maritalDetail)]); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                                </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php else: ?>
                            <p class="text-muted text-center"><em>No Marital Information Recorded</em></p>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
            
            <div class="card mb-1 bg-transparent">
                <div class="card-header p-0" id="banking_header">
                    <h2 class="mb-0 w-100">
                        <button class="btn btn-light-secondary btn-block text-start w-100 collapsed p-3 rounded-0"
                                type="button" data-bs-toggle="collapse" data-bs-target="#collapse_banking"
                                aria-expanded="false" aria-controls="collapse_banking"> <?php echo e(__('Accounts')); ?>

                        </button>
                    </h2>
                </div>
                <div id="collapse_banking" class="collapse" aria-labelledby="banking_header" data-parent="#applicantInformation">
                    <div class="card-body p-3">
                        <?php if($accountDetails->count() > 0): ?>
                            <?php $__currentLoopData = $accountDetails; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $accountDetail): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="d-flex justify-content-between align-items-center mt-3">
                                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.applicant.account-card','data' => ['accountDetail' => $accountDetail]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('applicant.account-card'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['accountDetail' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($accountDetail)]); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                                </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php else: ?>
                            <p class="text-muted text-center"><em>No Accounting Information Recorded</em></p>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
            
            <div class="card mb-1 bg-transparent">
                <div class="card-header p-0" id="employmentInformation_header">
                    <h2 class="mb-0 w-100">
                        <button class="btn btn-light-secondary btn-block text-start w-100 collapsed p-3 rounded-0"
                                type="button" data-bs-toggle="collapse" data-bs-target="#collapse_employmentInformation"
                                aria-expanded="false" aria-controls="collapse_employmentInformation">
                            <?php echo e(__('Employment Details')); ?>

                        </button>
                    </h2>
                </div>
                <div id="collapse_employmentInformation" class="collapse" aria-labelledby="employmentInformation_header" data-parent="#applicantInformation">
                    <div class="card-body p-3">
                        <?php if($employmentDetails->count() > 0): ?>
                            <?php $__currentLoopData = $employmentDetails; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $employmentDetail): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="d-flex justify-content-between align-items-center">
                                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.applicant.employment-card','data' => ['employmentDetail' => $employmentDetail]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('applicant.employment-card'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['employmentDetail' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($employmentDetail)]); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                                </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php else: ?>
                            <p class="text-muted text-center"><em>No Employment Information Recorded</em></p>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
            
            <div class="card mb-1 bg-transparent">
                <div class="card-header p-0" id="healthInformation_header">
                    <h2 class="mb-0 w-100">
                        <button class="btn btn-light-secondary btn-block text-start w-100 collapsed p-3 rounded-0"
                                type="button" data-bs-toggle="collapse" data-bs-target="#collapse_healthInformation"
                                aria-expanded="false" aria-controls="collapse_healthInformation">
                            <?php echo e(__('Health Details')); ?>

                        </button>
                    </h2>
                </div>
                <div id="collapse_healthInformation" class="collapse" aria-labelledby="healthInformation_header" data-parent="#applicantInformation">
                    <div class="card-body p-3">
                        <?php if($healthDetails->count() > 0): ?>
                            <?php $__currentLoopData = $healthDetails; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $healthDetail): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div class="d-flex justify-content-between align-items-center">
                                <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.applicant.health-card','data' => ['healthDetail' => $healthDetail]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('applicant.health-card'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['healthDetail' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($healthDetail)]); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                            </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php else: ?>
                            <p class="text-muted text-center"><em>No Health Information Recorded</em></p>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
            
            <div class="card mb-1 bg-transparent">
                <div class="card-header p-0" id="applications_header">
                    <h2 class="mb-0 w-100">
                        <button class="btn btn-light-secondary btn-block text-start w-100 collapsed p-3 rounded-0"
                                type="button" data-bs-toggle="collapse" data-bs-target="#collapse_applications"
                                aria-expanded="false" aria-controls="collapse_applications">
                            <?php echo e(__('Applications')); ?>

                        </button>
                    </h2>
                </div>
                <div id="collapse_applications" class="collapse" aria-labelledby="applications_header" data-parent="#applicantInformation">
                    <div class="card-body p-3">
                        <?php if($applications->count() > 0): ?>
                        <div class="accordion" id="benefit_activities">
                            <?php $__currentLoopData = $applications; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $application): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div class="card mb-1">
                                <div class="card-header p-0" id="header_<?php echo e($application->id); ?>">
                                    <h2 class="mb-0 w-100">
                                        <button class="btn btn-white btn-block text-start w-100 p-3 rounded-4" type="button"
                                            data-bs-toggle="collapse" data-target="#collapse_<?php echo e($application->id); ?>" aria-expanded="true"
                                            aria-controls="collapse_<?php echo e($application->id); ?>"> <?php echo e($application->benefit->titles); ?>

                                            <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.approval-status','data' => ['status' => ''.e($application->status).'']] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('approval-status'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['status' => ''.e($application->status).'']); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                                        </button>
                                    </h2>
                                </div>
                                <div id="collapse_<?php echo e($application->id); ?>" class="collapse show" aria-labelledby="header_<?php echo e($application->id); ?>" data-bs-parent="#benefit_activities">
                                    <div class="card-body custom_scroll" style="max-height: 300px; padding:5px 10px; scroll-behavior: smooth;">

                                        <ul class="timeline-activity list-unstyled mb-0">
                                            <?php
                                                $processings = $application->applicationProcessings->sortByDesc('created_at');
                                            ?>
                                            <?php $__currentLoopData = $processings; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $process): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <li class="activity px-3 py-2 mb-1" data-date="<?php echo e(easyDate($process->created_at)); ?>">
                                                <div class="fw-bold small d-flex justify-content-between align-items-center"><?php echo e($process->stage); ?>

                                                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.approval-status','data' => ['status' => ''.e($process->action).'']] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('approval-status'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['status' => ''.e($process->action).'']); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                                                    <?php if($loop->first): ?>
                                                        <a href="<?php echo e(route('benefit_registration.view',[cryptThis($application->id)])); ?>" class="btn btn-info btn-sm" title="View">
                                                            <i class="bi-arrow-right" title="View Application"></i>
                                                        </a>
                                                    <?php endif; ?>

                                                </div>
                                                <div>
                                                    <small class="text-muted">Accessed via <?php echo e($process->access_type); ?></small>
                                                </div>
                                            </li>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                        <?php else: ?>
                            <p class="text-muted text-center"><em>No Application Submitted</em></p>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
            
            <div class="card mb-1 bg-transparent">
                <div class="card-header p-0" id="case_header">
                    <h2 class="mb-0 w-100">
                        <button class="btn btn-light-secondary btn-block text-start w-100 collapsed p-3 rounded-0"
                                type="button" data-bs-toggle="collapse" data-bs-target="#collapse_cases"
                                aria-expanded="false" aria-controls="collapse_cases">
                            <?php echo e(__('Activity History')); ?>

                        </button>
                    </h2>
                </div>
                <div id="collapse_cases" class="collapse" aria-labelledby="case_header" data-parent="#applicantInformation">
                    <div class="card-body p-3">
                        <?php if($cases->count() > 0): ?>
                            <div class="table-responsive mt-10">
                                <table id="myDataTable_no_filter" class="myDataTable table table-sm custom-table mb-0 nowrap dataTable no-footer dtr-inline">
                                    <thead>
                                        <tr>
                                            <th width="25%">Date</th>
                                            <th width="25%">Type</th>
                                            <th width="25%">Status</th>
                                            <th width="18%">Stage</th>
                                            <th width="7%" class="text-right">Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                    <?php $__currentLoopData = $cases; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $case): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr>
                                            <td><?php echo e(date('d M Y', strtotime($case->created_at))); ?></td>
                                            <td><?php echo e($case->severity); ?></td>
                                            <td><?php echo e($case->status); ?></td>
                                            <td><?php echo e($case->stage); ?></td>
                                            <td class="text-right">
                                                <a href="<?php echo e(route('case.viewCase',[cryptThis($case->id)])); ?>" class="btn btn-link btn-sm text-info" title="View">
                                                    <i class="fa fa-eye"></i>
                                                </a>
                                            </td>
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tbody>
                                </table>
                            </div>
                        <?php else: ?>
                            <p class="text-muted text-center"><em>No Activity Recorded</em></p>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>

        <?php if($view && $applicant && false): ?>
        <div class="col-md-12 mt-4">
            <p class="text-info"><strong>BANKING:</strong> <?php echo e($total_bank_accounts); ?> Valid Bank Account(s) Approved.</p>
        </div>
        <?php endif; ?>
    </div>

<?php if(!$view): ?>
    <div class="row">
        <div class="col-md-8">
            <?php if(!$applicant): ?>
            <button type="submit" name="save" value="check" class="btn btn-light-secondary-primary mt-2 mb-3 btn-sm mr-3"><?php echo e(__('Check Applicant Information')); ?></button>
            <?php endif; ?>
                <button type="submit" name="save" value="save" class="btn btn-success btn-sm mt-2 mb-3">
                    <?php if($applicant): ?>
                        <?php echo e(__('Save Changes')); ?>

                    <?php else: ?>
                        <?php echo e(__('Save Applicant Information')); ?>

                    <?php endif; ?>
                </button>
        </div>
        <div class="col-md-4 text-right">
            <a href="<?php echo e(\Illuminate\Support\Facades\URL::previous()); ?>" class="btn btn-danger btn-sm mt-2 mb-3"><?php echo e(__('Cancel Registration')); ?></a>
        </div>
    </div>
</form>
<?php endif; ?>
<?php /**PATH /home/bewsysde/public_html/app.bewsys.dev/releases/20231218095220/resources/views/applicant/applicant-form/applicant-registration-view.blade.php ENDPATH**/ ?>