<div class="modal fade" id="amountModal" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog modal-dialog-scrollable">
        <div class="modal-content text-start">
            <div class="modal-body custom_scroll p-lg-5">
                <button type="button" class="btn-close position-absolute top-0 end-0 mt-3 me-3" data-bs-dismiss="modal" aria-label="Close"></button>
                <div id="form-container">
                    <h6 class="mt-3 mb-4">Submit Amount Information</h6>
                    <form id="add-form" action="<?php echo e(route('benefit.saveAmount')); ?>" method="post">
                        <?php echo csrf_field(); ?>
                        <div id="hidden-input"></div>
                        <div class="row">
                            <div class="col-md-12 mb-3">
                                <label for="benefit"><?php echo e(__('Benefit')); ?><span class="required">*</span></label>
                                <div class="input-group">
                                    <span class="input-group-text" style="font-size: 21px;"><i class="fa fa-gift"></i></span>
                                    <select name="benefit" id="benefit" required class="form-select">
                                        <option value="">-- Select Benefit --</option>
                                        <?php $__currentLoopData = $benefits; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$title): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($key); ?>" <?php echo e((old('benefit') == $key)? 'selected':''); ?>><?php echo e($title); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                                <?php if($errors->has('benefit')): ?>
                                    <span class="form-text text-warning"><?php echo e($errors->first('benefit')); ?></span>
                                <?php endif; ?>
                            </div>
                            <div class="col-md-12 mb-3">
                                <label for="year">Year<span class="required">*</span></label>
                                <div class="input-group">
                                    <span class="input-group-text" style="font-size: 21px;"><i class="fa fa-calendar"></i></span>
                                    <select name="year" id="year" required class="form-select">
                                        <option value="">-- Year --</option>
                                        <?php for($year = (int)applicationDate('Y'); $year<=date('Y');$year++): ?>
                                            <option value="<?php echo e($year); ?>" <?php echo e((date('Y') == $year)? 'selected':''); ?>><?php echo e($year); ?></option>
                                        <?php endfor; ?>
                                    </select>
                                </div>
                                <?php if($errors->has('year')): ?>
                                    <span class="form-text text-warning"><?php echo e($errors->first('year')); ?></span>
                                <?php endif; ?>
                            </div>
                            <div class="col-md-6 mb-3">
                                <label for="start_date"><?php echo e(__('Start Month')); ?><span class="required">*</span></label>
                                <div class="input-group">
                                    <span class="input-group-text" style="font-size: 21px;"><i class="fa fa-calendar"></i></span>
                                    <select name="start_date" id="start_date" required class="form-select">
                                        <option value="">-- Month --</option>
                                        <?php $__currentLoopData = config('settings.months_value'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$month): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($key); ?>" <?php echo e((old('start_date') == $key)? 'selected':''); ?>><?php echo e($month); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                                <?php if($errors->has('start_date')): ?>
                                    <span class="form-text text-warning"><?php echo e($errors->first('start_date')); ?></span>
                                <?php endif; ?>
                            </div>
                            <div class="col-md-6 mb-3">
                                <label for="end_date"><?php echo e(__('End Month')); ?><span class="required">*</span></label>
                                <div class="input-group">
                                    <span class="input-group-text" style="font-size: 21px;"><i class="fa fa-calendar"></i></span>
                                    <select name="end_date" id="end_date" required class="form-select">
                                        <option value="">-- Month --</option>
                                        <?php $__currentLoopData = config('settings.months_value'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$month): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($key); ?>" <?php echo e((old('end_date') == $key)?'selected':''); ?>><?php echo e($month); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                                <?php if($errors->has('end_date')): ?>
                                    <span class="form-text text-warning"><?php echo e($errors->first('end_date')); ?></span>
                                <?php endif; ?>
                            </div>
                            <div class="col-md-6 mb-3">
                                <label for="min_value">Min Value<span class="required">*</span></label>
                                <div class="input-group">
                                    <span class="input-group-text" style="font-size: 13px;"><?php echo e(getCurrency()); ?></span>
                                    <input type="number" class="form-control" value="<?php echo e(old('min_value')); ?>" name="min_value" id="min_value" aria-label="Min Value">
                                </div>
                                <?php if($errors->has('min_value')): ?>
                                    <span class="form-text text-warning"><?php echo e($errors->first('min_value')); ?></span>
                                <?php endif; ?>
                            </div>
                            <div class="col-md-6 mb-3">
                                <label for="max_value">Max Value<span class="required">*</span></label>
                                <div class="input-group">
                                    <span class="input-group-text" style="font-size: 13px;"><?php echo e(getCurrency()); ?></span>
                                    <input type="number" class="form-control" value="<?php echo e(old('max_value')); ?>" name="max_value" id="max_value" aria-label="Max Value">
                                </div>
                                <?php if($errors->has('max_value')): ?>
                                    <span class="form-text text-warning"><?php echo e($errors->first('max_value')); ?></span>
                                <?php endif; ?>
                            </div>

                            <div class="col-12 mb-3 text-end">
                                <button class="btn btn-primary btn-sm square" type="submit">
                                    <i class="fa fa-paper-plane mx-1"></i> Submit</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
<?php /**PATH /home/appdemo/public_html/applet.appdemo.pro/resources/views/benefits/amount-form.blade.php ENDPATH**/ ?>