<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns:v="urn:schemas-microsoft-com:vml">

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta name="viewport" content="width=device-width; initial-scale=1.0; maximum-scale=1.0;" />
    <!--[if !mso]--><!-- -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700" />
    <link href='https://fonts.googleapis.com/css?family=Work+Sans:300,400,500,600,700' rel="stylesheet">
    <link href='https://fonts.googleapis.com/css?family=Quicksand:300,400,700' rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Assistant:wght@200;300;400;500;600;700;800&display=swap" rel="stylesheet">

    <!-- <![endif]-->

    <title><?php echo e(env('APP_NAME')); ?></title>

    <style type="text/css">
        @import url('https://fonts.googleapis.com/css2?family=Inter:wght@100;200;300;400;500;600;700;800;900&display=swap');

        body {
            width: 100%;
            background-color: #ffffff;
            margin: 0;
            padding: 0;
            -webkit-font-smoothing: antialiased;
            mso-margin-top-alt: 0px;
            mso-margin-bottom-alt: 0px;
            mso-padding-alt: 0px 0px 0px 0px;
            font-family: 'Inter',sans-serif;
            font-weight: 400;
        }

        p,
        h1,
        h2,
        h3,
        h4 {
            margin-top: 0;
            margin-bottom: 0;
            padding-top: 0;
            padding-bottom: 0;
        }

        span.preheader {
            display: none;
            font-size: 1px;
        }

        html {
            width: 100%;
        }

        table {
            font-size: 14px;
            border: 0;
        }

        p {
            color: #636262;
            font-weight: 500;
        }

        .text-primary {
            color: #679A01;
        }

        .text-info {
            color: #7DD1ED;
        }

        .text-success {
            color: #4CD2CB;
        }

        .text-danger {
            color: #E44362;
        }
        .skin-bg {
            background-color: #fafafa;
        }
        .main-header {
            padding: 20px;
            color: #343434;
            font-size: 25px;
            font-family: Inter, Calibri, sans-serif;
            font-weight:600;
            letter-spacing: 0px;
            line-height: 35px;
        }
        .btn {
            outline: none !important;
            vertical-align: middle;
            transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, box-shadow 0.15s ease;
        }
        .btn {
            display: inline-block;
            font-weight: normal;
            color: #3F4254;
            text-align: center;
            vertical-align: middle;
            user-select: none;
            background-color: transparent;
            border: 1px solid transparent;
            text-decoration: none;
            padding: 0.65rem 1rem;
            font-size: 1rem;
            line-height: 1.5;
            border-radius: 0.42rem;
            transition: color 0.3s ease-in-out, background-color 0.3s ease-in-out, border-color 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
        }
        .btn.btn-light-success {
            color: #1BC5BD;
            background-color: #C9F7F5;
            border-color: transparent;
        }
        .btn.btn-light-primary {
            color: #0BB783;
            background-color: #D7F9EF;
            border-color: transparent;
        }
        .btn.btn-light-danger {
            color: #F64E60;
            background-color: #FFE2E5;
            border-color: transparent;
        }
        .btn.btn-light-warning {
            color: #FFA800;
            background-color: #FFF4DE;
            border-color: transparent;
        }
        .btn.btn-light-dark {
            color: #181C32;
            background-color: #D1D3E0;
            border-color: transparent;
        }
        /* ----------- responsivity ----------- */

        @media only screen and (max-width: 640px) {
            /*------ top header ------ */
            .main-header {
                font-size: 20px !important;
            }
            .main-section-header {
                font-size: 28px !important;
            }
            .show {
                display: block !important;
            }
            .hide {
                display: none !important;
            }
            .align-center {
                text-align: center !important;
            }
            .no-bg {
                background: none !important;
            }
            /*----- main image -------*/
            .main-image img {
                width: 440px !important;
                height: auto !important;
            }
            /* ====== divider ====== */
            .divider img {
                width: 440px !important;
            }
            /*-------- container --------*/
            .container590 {
                width: 440px !important;
            }
            .container580 {
                width: 400px !important;
            }
            .main-button {
                width: 220px !important;
            }
            /*-------- secions ----------*/
            .section-img img {
                width: 320px !important;
                height: auto !important;
            }
            .team-img img {
                width: 100% !important;
                height: auto !important;
            }
        }

        @media only screen and (max-width: 479px) {
            /*------ top header ------ */
            .main-header {
                font-size: 18px !important;
            }
            .main-section-header {
                font-size: 26px !important;
            }
            /* ====== divider ====== */
            .divider img {
                width: 280px !important;
            }
            /*-------- container --------*/
            .container590 {
                width: 280px !important;
            }
            .container590 {
                width: 280px !important;
            }
            .container580 {
                width: 260px !important;
            }
            /*-------- secions ----------*/
            .section-img img {
                width: 280px !important;
                height: auto !important;
            }
        }
    </style>
    <!-- [if gte mso 9]><style type=”text/css”>
        body {
            font-family: arial, sans-serif!important;
        }
    </style>
    <![endif]-->
</head>


<body class="respond" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">


    
        
            
                
            
        
    


<!-- header -->
<?php echo $__env->make('emails.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<!-- end header -->

<table border="0" width="100%" cellpadding="0" cellspacing="0" bgcolor="ffffff" class="skin-bg">
<!-- big image section -->
<?php echo $__env->yieldContent('content'); ?>
<!-- end section -->

<!-- contact section -->
<?php echo $__env->make('emails.contact', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<!-- end section -->

<!-- footer ====== -->

<!-- end footer ====== -->
</table>
</body>

</html>
<?php /**PATH /home/appdemo/public_html/applet.appdemo.pro/resources/views/emails/base.blade.php ENDPATH**/ ?>