<!DOCTYPE html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=Edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <link rel="icon" href="<?php echo e(asset(getProjectFavicon())); ?>" type="image/x-icon">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

    <title><?php echo e(config('app.name', 'Alleviate')); ?></title>
    <!-- plugin css file  -->
    <!-- Application vendor css url -->

    <link rel="stylesheet" href="<?php echo e(asset('assets/cssbundle/summernote.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/cssbundle/dropify.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/cssbundle/select2.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/cssbundle/sweetalert2.min.css')); ?>">

    <!-- project css file  -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/luno-style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('css/app.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/vendor/prismjs/prism.css')); ?>">
    <?php echo $__env->yieldPushContent('last-css'); ?>
    <link rel="stylesheet" href="<?php echo e(asset('assets/cssbundle/fancybox.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/cssbundle/bootstrapdatepicker.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/cssbundle/daterangepicker.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/spis.css')); ?>">
    <script src="https://code.jquery.com/jquery-3.7.1.min.js" integrity="sha256-/JqT3SQfawRcv/BIHPThkBvs0OEvtFFmqPF/lYI/Cxo=" crossorigin="anonymous"></script>
    <script src="https://unpkg.com/bs5-toast/dist/bs5-toast.js"></script>
    <style>
        body {
            font-family: 'Inter', sans-serif !important;
            font-weight: 300;
            font-size: 14px;
        }
        main{
            min-height: 800px;
        }
        /*.custom-footer-wrapper{
            z-index: -1;
            width: 100%;
            position: fixed;
            bottom: 0;
            right: 0;
        }*/
        .cstm-fs-12{
            font-size: .85rem;
        }
        @media only screen and (min-width: 600px) {
            /*.custom-footer-wrapper{
                width: 82%;
                
            }*/
        }
    </style>
    <script>
        const BASE_URL = "<?php echo e(env('APP_URL')); ?>";
    </script>
</head>

<body class="layout-1" data-luno="theme-blue">
    <!-- start: sidebar -->
    <?php echo $__env->make('layouts.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <!-- start: body area -->
    <div class="wrapper">

        <!-- start: page header -->
        <?php echo $__env->make('layouts.topbar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

        <!-- start: page toolbar -->
        <?php echo $__env->make('layouts.toolbar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

        <!-- start: page page body -->

        <!-- Page Content -->
        <main style="">
            <?php echo e($slot); ?>

        </main>

        <!-- start: page page footer -->
        <div class="custom-footer-wrapper">
        <?php echo $__env->make('layouts.page-footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        </div>
        
    </div>



    <?php echo $__env->yieldPushContent('vendor-scripts'); ?>
    <?php $__env->startComponent('components.alert-notify'); ?><?php echo $__env->renderComponent(); ?>

    <!-- Jquery Core Js -->
    <script src="<?php echo e(asset('assets/js/plugins.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/js/theme.js')); ?>"></script>
    <!-- Prism js file please do not add in your project -->

    <!-- Jquery Page Js -->
    <!-- Plugin Js -->
    <script src="<?php echo e(asset('assets/js/bundle/select2.bundle.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/js/bundle/sweetalert2.bundle.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/js/bundle/bootstrapdatepicker.bundle.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/js/bundle/daterangepicker.bundle.js')); ?>"></script>
    <script>
        <?php if(session()->has('notification')): ?>
        new bs5.Toast({
            header: '<?php echo session()->get("header"); ?>',
            body: '<?php echo e(session()->get("body")); ?>',
            placement: '<?php echo e(session()->get("position")); ?>',
        }).show()
        <?php endif; ?>

        $(function () {
            $('[data-toggle="popover"]').popover()
        });
        $('.datepicker').datepicker({});
        // $('.daterangepicker').daterangepicker({});

        $('#dobs').datepicker({

        });
        $('.select2').select2({
            placeholder: 'Select',
            allowClear: true
        });
    </script>
    <?php echo $__env->make('components.error-page', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php echo $__env->yieldPushContent('scripts'); ?>
    </body>
</html>
<?php /**PATH /home/appdemo/public_html/upg.appdemo.pro/resources/views/layouts/app.blade.php ENDPATH**/ ?>