<form action="<?php echo e(route('payment.generateVoucher')); ?>" method="post">
    <?php echo csrf_field(); ?>
    <input type="hidden" name="month" value="<?php echo e($month); ?>">
    <div id="action-form">
        <div class="mb-4 text-center">
            <h5 class="text-muted fw-light">Total Verified Claims</h5>
            <h3 class=""><strong><?php echo e(easyCount($approved_claims)); ?> </strong>(<?php echo e(getCurrency().' '.easyCount($approved_claims_amount)); ?>)</h3>
        </div>
        <div class="row mb-3">
            <div class="col-md-5">
                <p class="fw-bold text-center">Benefit Amount Distribution</p>
                <div class="card p-2">
                    <table class="table table-sm mt-1">
                        <tr>
                            <th class="text-muted">Benefit</th>
                            <th class="text-muted">Amount(<?php echo e(getCurrency()); ?>)</th>
                        </tr>
                        <?php $__empty_1 = true; $__currentLoopData = $benefit_aggregate; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $benefit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                            <tr>
                                <td><?php echo e($benefit->title); ?></td>
                                <td><?php echo e(easyCount($benefit->claims_sum)); ?></td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                            <tr>
                                <td colspan="2" class="text-muted fw-light">No Claims for this month</td>
                            </tr>
                        <?php endif; ?>
                    </table>
                </div>
            </div>
            <div class="col-md-7">
                <p class="fw-bold text-center">Benefit Quantity Distribution</p>
                <div class="card p-2 text-center">
                    <?php if($approved_claims > 0): ?>
                        <div id="apex-SalesbyCategory"></div>
                    <?php else: ?>
                        <div class="text-muted mt-4 mb-4 fw-bolder">No data available</div>
                    <?php endif; ?>
                    
                </div>
            </div>
        </div>
    </div>

    <div class="form-group mt-5">
        <button class="btn btn-primary" type="submit"><i class="fa fa-send mx-1"></i>
            <?php echo e(__('Generate Batch')); ?></button>
    </div>
</form>
<script>
    var options = {
        chart: {
            height: 350,
            type: 'donut',
        },
        dataLabels: {
            enabled: false,
        },
        legend: {
            position: 'bottom',
            horizontalAlign: 'center',
            show: true,
        },
        colors: ['var(--chart-color1)', 'var(--chart-color2)', 'var(--chart-color3)'],
        series: <?php echo $benefit_aggregate_claims; ?>,
        labels: <?php echo $benefit_aggregate_titles; ?>

    }
    var chart = new ApexCharts(document.querySelector("#apex-SalesbyCategory"), options);
    chart.render();
</script>
<?php /**PATH /home/appdemo/public_html/applet.appdemo.pro/resources/views/payments/generate-voucher-form.blade.php ENDPATH**/ ?>