<div class="card mb-3">
    <div class="card-body">
        <div class="row">
            <div class="col-md-4">
                <div>
                    <h6><span class="text-muted"><?php echo e($deployment->code); ?> - </span> <?php echo e(getDeploymentConfig($deployment,'name')); ?></h6>
                    <p class="mb-0"><?php echo e($deployment->client->name); ?></p>
                </div>
            </div>
            <div class="col-md-3 text-center">
                <span class="text-muted"><?php echo e(getDeploymentConfig($deployment,'module')); ?> - <?php echo e(Str::headline($deployment->package)); ?> Plan</span>
                <br>
                <?php if($deployment->instance == "Online"): ?>
                    <small class="text-success"><i class="fa fa-circle"></i> <?php echo e(__('Running')); ?></small> -
                    <small class="text-danger"> <?php echo e(($deployment->expiry > now())?'Expires':'Expired'); ?>

                        <?php echo e(easyDate($deployment->expiry)); ?></small>
                <?php elseif($deployment->instance == "Pending" && !$deployment->isReadyForDeployment()): ?>
                    <small class="text-info"><i class="fa fa-ellipsis-h"></i> <?php echo e(__('Pending')); ?></small>
                <?php elseif($deployment->instance == "Pending" && $deployment->isReadyForDeployment()): ?>
                    <small class="text-info"><i class="fa fa-check"></i> <?php echo e(__('Ready')); ?></small>
                <?php else: ?>
                    <small class="text-danger"><i class="fa fa-times-circle"></i> <?php echo e($deployment->instance); ?></small>
                <?php endif; ?>
            </div>
            <div class="col-md-5 text-end">
                <span class="<?php echo e(config('settings.deployments_instance')[$deployment->instance]['class']); ?> me-3" data-bs-toggle="tooltip"
                      data-bs-placement="top" title="<?php echo e($deployment->instance); ?>">
                    <i class="<?php echo e(config('settings.deployments_instance')[$deployment->instance]['icon']); ?> fs-6"></i></span>

                <span class="text-primary me-2" data-bs-toggle="tooltip"
                      data-bs-placement="top" title="<?php echo e(__('Memberships')); ?>"><i class="bi-person-lines-fill fs-6"></i> <?php echo e($deployment->applicants->count()); ?></span>
                <span class="text-primary me-2" data-bs-toggle="tooltip"
                      data-bs-placement="top" title="<?php echo e(__('Users')); ?>"><i class="bi-people-fill fs-6"></i>  <?php echo e($deployment->users->count()); ?></span>

                
                <?php if(getActiveInstance() == $deployment->id): ?>
                    <a href="#" class="more-icon dropdown-toggle" data-bs-toggle="dropdown" aria-expanded="false"><i class="fa fa-ellipsis-h"></i></a>
                <ul class="dropdown-menu shadow border-0 p-2" style="">
                    <li>
                        <a class="dropdown-item" href="<?php echo e(route('subscription.projectSettings',[$deployment->client_id,$deployment->id])); ?>">
                            <i class="fa fa-cogs me-3"></i> Settings</a>
                    </li>
                    <li>
                        <a class="dropdown-item" href="<?php echo e(route('case.list')); ?>">
                            <i class="bi-headset me-3"></i> Cases</a>
                    </li>
                    <li>
                        <form action="<?php echo e(route('subscription.suspension')); ?>" method="POST"><?php echo csrf_field(); ?>
                            <input type="hidden" name="deployment_id" value="<?php echo e($deployment->id); ?>">
                            <?php if($deployment->instance == 'Suspended'): ?>
                                <a href="<?php echo e(route('subscription.create',[$deployment->id])); ?>"
                                   data-bs-toggle="tooltip"
                                   data-bs-placement="top" title="Redeploy"
                                   class="dropdown-item text-danger"><i class="fa fa-cloud-upload me-3"></i> <?php echo e(__('Redeploy')); ?>

                                </a>
                            <?php elseif($deployment->instance == 'Pending'): ?>
                                <a href="<?php echo e(route('subscription.create',[$deployment->id])); ?>"
                                   data-bs-toggle="tooltip"
                                   data-bs-placement="top" title="Deploy"
                                   class="dropdown-item text-success"><i class="fa fa-cloud-upload me-3"></i> <?php echo e(__('Deploy')); ?>

                                </a>
                            <?php elseif($deployment->instance == 'Online'): ?>
                                
                                <button type="submit" id="suspend_action"
                                        data-bs-toggle="tooltip"
                                        data-bs-placement="top" title="Suspend"
                                        class="dropdown-item text-danger"><i class="fa fa-cloud-upload me-3"></i> <?php echo e(__('Suspend')); ?>

                                </button>
                            <?php endif; ?>

                            <?php if(systemUserCan()): ?>
                                <a href="<?php echo e(route('subscription.increaseExpiration',[$deployment])); ?>"
                                   data-bs-toggle="tooltip"
                                   data-bs-placement="top" title="Extend Expiry"
                                   class="dropdown-item text-success"><i class="fa fa-calendar-plus-o me-3"></i> <?php echo e(__('Extend')); ?>

                                </a>
                            <?php endif; ?>
                            <input type="hidden" name="deployment_id" value="<?php echo e($deployment->id); ?>">
                        </form>
                    </li>
                </ul>
                <?php else: ?>
                    <a href="<?php echo e(route('subscription.switch',[$deployment])); ?>" class="btn btn-light-warning">Switch to this Subscription</a>
                <?php endif; ?>
            </div>
        </div>

    </div>
</div>
<?php /**PATH /home/appdemo/public_html/applet.appdemo.pro/resources/views/components/deployment-card.blade.php ENDPATH**/ ?>