<?php if (isset($component)) { $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da = $component; } ?>
<?php $component = App\View\Components\AppLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('app-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\AppLayout::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>

     <?php $__env->slot('breadcrumb', null, []); ?> 
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="<?php echo e(route('dashboard')); ?>"><?php echo e(__('Home')); ?></a></li>
            <li class="breadcrumb-item"><a class="text-secondary" href="<?php echo e(route('plan.list')); ?>"><?php echo e(__('Plan Subscriptions')); ?></a></li>
            <li class="breadcrumb-item active" aria-current="page"><?php echo e($action); ?></li>
        </ol>
     <?php $__env->endSlot(); ?>

    <?php
        $name = $price = $signup_fee = $description = $sort_order = $active_subscribers_limit = $grace_interval = $trial_interval = null;
        $grace_period = $trial_period = $year_discount_percent = 0; $invoice_period = 1; $invoice_interval = 'month';
        $plan_features = [];
        $is_custom = 0;

        if (isset($plan)) {
            $name = $plan->name;
            $price = $plan->price;
            $year_discount_percent = $plan->year_discount_percent;
            $signup_fee = $plan->signup_fee;
            $description = $plan->description;
            $sort_order = $plan->sort_order;
            $active_subscribers_limit = $plan->active_subscribers_limit;
            $grace_interval = $plan->grace_interval;
            $trial_interval = $plan->trial_interval;
            $grace_period = $plan->grace_period;
            $trial_period = $plan->trial_period;
            $invoice_period = $plan->invoice_period;
            $invoice_interval = $plan->invoice_interval;
            $is_custom = $plan->is_custom;
            $plan_features = $plan->features->pluck('name')->toArray();
        }
    ?>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg-2 py-1 mt-0 mt-lg-2">
        <div class="container-fluid">
            <div class="row g-3 mb-lg-5">
                <form action="<?php echo e(route('plan.savePlan')); ?>" enctype="multipart/form-data" method="post"><?php echo csrf_field(); ?>
                    <?php if(isset($plan)): ?><input type="hidden" name="plan_slug" value="<?php echo e($plan->slug); ?>"> <?php endif; ?>
                    <div class="card">
                        <div class="card-body">

                            <p class="text-danger"><?php echo e(__('Please complete the form below')); ?></p>
                            <div class="row mb-3">
                                <div class="col-12">
                                    <label class="fw-bold mb-2"><?php echo e(__('Plan Description')); ?></label>
                                </div>
                                <div class="col-md-4 col-sm-12 mb-3">
                                    <div class="form-floating">
                                        <input type="text" name="name"  required id="name" class="form-control form-control-l"
                                               value="<?php echo e((old('name'))?old('name'):$name); ?>" placeholder="Name">
                                        <label class="text-muted"><?php echo e(__('Name')); ?> *</label>
                                    </div>
                                    <?php if($errors->has('name')): ?>
                                        <div class="small text-warning"><?php echo e($errors->first('name')); ?></div>
                                    <?php endif; ?>
                                </div>
                                <div class="col-md-8 col-sm-12 mb-3">
                                    <div class="form-floating">
                                        <input type="text" name="description" required id="description" class="form-control form-control-l"
                                               value="<?php echo e((old('description'))?old('description'):$description); ?>"
                                               placeholder="Enter the description for this plan">
                                        <label class="text-muted"><?php echo e(__('Description')); ?> *</label>
                                    </div>
                                    <?php if($errors->has('description')): ?>
                                        <div class="small text-warning"><?php echo e($errors->first('description')); ?></div>
                                    <?php endif; ?>
                                </div>










                                <div class="col-12">
                                    <label class="fw-bold mb-2"><?php echo e(__('Pricing')); ?></label>
                                </div>
                                <div class="col-md-4 col-sm-12 mb-3">
                                    <div class="form-floating">
                                        <input type="number" name="signup_fee" required id="signup_fee" class="form-control form-control-l"
                                               value="<?php echo e((old('signup_fee'))?old('signup_fee'):$signup_fee); ?>" min="0" placeholder="99.9">
                                        <label class="text-muted"><?php echo e(__('Sign Up Fee')); ?> *</label>
                                    </div>
                                    <?php if($errors->has('signup_fee')): ?>
                                        <div class="small text-warning"><?php echo e($errors->first('signup_fee')); ?></div>
                                    <?php endif; ?>
                                </div>
                                <div class="col-md-4 col-sm-12 mb-3">
                                    <div class="form-floating">
                                        <input type="number" step="0.01" min="0" name="price" required id="price" class="form-control form-control-l"
                                               value="<?php echo e((old('price'))?old('price'):$price); ?>" placeholder="99.9">
                                        <label class="text-muted"><?php echo e(__('Monthly Price')); ?> <small>(<?php echo e(env('DEFAULT_CURRENCY_CODE')); ?>)</small> *</label>
                                    </div>
                                    <?php if($errors->has('price')): ?>
                                        <div class="small text-warning"><?php echo e($errors->first('price')); ?></div>
                                    <?php endif; ?>
                                </div>
                                <div class="col-md-4 col-sm-12 mb-3">
                                    <div class="form-floating">
                                        <input type="number" step="0.1" min="0" name="year_discount_percent" required id="year_discount_percent" class="form-control form-control-l"
                                               value="<?php echo e((old('year_discount_percent'))?old('year_discount_percent'):$year_discount_percent); ?>" placeholder="1">
                                        <label class="text-muted" for="year_discount_percent"><?php echo e(__('Annual Discount')); ?>(%)</label>
                                    </div>
                                    <?php if($errors->has('year_discount_percent')): ?>
                                        <div class="small text-warning"><?php echo e($errors->first('year_discount_percent')); ?></div>
                                    <?php endif; ?>
                                </div>
                                <div class="col-md-4 col-sm-12 mb-3">
                                    <div class="form-floating">
                                        <input type="number" name="invoice_period" id="invoice_period" class="form-control form-control-l" min="1"
                                              max="12" value="<?php echo e((old('invoice_period'))?old('invoice_period'):$invoice_period); ?>" placeholder="1">
                                        <label class="text-muted"><?php echo e(__('Invoice Period (Month)')); ?></label>
                                    </div>
                                    <?php if($errors->has('invoice_period')): ?>
                                        <div class="small text-warning"><?php echo e($errors->first('invoice_period')); ?></div>
                                    <?php endif; ?>
                                </div>













                                <div class="col-md-4 col-sm-12 mb-3">
                                    <div class="form-floating">
                                        <input type="number" name="trial_period" id="trial_period" class="form-control form-control-l" min="0"
                                               max="12" value="<?php echo e((old('trial_period'))?old('trial_period'):$trial_period); ?>" placeholder="1">
                                        <label class="text-muted"><?php echo e(__('Trial Period (Month)')); ?></label>
                                    </div>
                                    <?php if($errors->has('trial_period')): ?>
                                        <div class="small text-warning"><?php echo e($errors->first('trial_period')); ?></div>
                                    <?php endif; ?>
                                </div>
                                <div class="col-md-4 col-sm-12 mb-3">
                                    <div class="form-floating">
                                        <input type="number" name="active_subscribers_limit" required id="active_subscribers_limit" class="form-control form-control-l"
                                               min="1" value="<?php echo e((old('active_subscribers_limit'))?old('active_subscribers_limit'):$active_subscribers_limit); ?>" placeholder="100">
                                        <label class="text-muted"><?php echo e(__('Max Beneficiaries')); ?> *</label>
                                    </div>
                                    <?php if($errors->has('active_subscribers_limit')): ?>
                                        <div class="small text-warning"><?php echo e($errors->first('active_subscribers_limit')); ?></div>
                                    <?php endif; ?>
                                </div>













                                <div class="col-12">
                                    <label class="fw-bold mb-2"><?php echo e(__('Plan Features')); ?></label>
                                </div>

                                <div class="col-md-12 col-sm-12 mb-3">
                                    <div class="row">
                                        <div class="col-md-12 col-sm-12 mb-2">
                                            <label for="plan_features" class="fw-bolder"><?php echo e(__('Plan Modules')); ?></label>
                                        </div>
                                        <?php $__currentLoopData = config('settings.plan_features'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $name=>$params): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <div class="col-md-3">
                                                <div class="form-check">
                                                    <input class="form-check-input" type="checkbox" value="<?php echo e($name); ?>" id="<?php echo e($name); ?>"
                                                           <?php if(in_array($name,$plan_features)): echo 'checked'; endif; ?> name="plan_features[]">
                                                    <label class="form-check-label" for="<?php echo e($name); ?>"><?php echo e(Str::headline($name)); ?></label>
                                                </div>
                                            </div>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <div class="col-md-12 col-sm-12 mt-2 mb-2">
                                            <label for="plan_features" class="fw-bolder"><?php echo e(__('Type of Reporting')); ?></label>
                                        </div>
                                        <?php $__currentLoopData = config('settings.reporting_plan_features'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $name=>$params): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <div class="col-md-3">
                                                <div class="form-check">
                                                    <input class="form-check-input" type="radio" value="<?php echo e($name); ?>" id="<?php echo e($name); ?>"
                                                           <?php if(in_array($name,$plan_features)): echo 'checked'; endif; ?> name="reporting_plan_features">
                                                    <label class="form-check-label" for="<?php echo e($name); ?>"><?php echo e(Str::headline($name)); ?></label>
                                                </div>
                                            </div>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <div class="col-md-12 col-sm-12 mt-2 mb-2">
                                            <label for="plan_features" class="fw-bolder"><?php echo e(__('Type of Support')); ?></label>
                                        </div>
                                        <?php $__currentLoopData = config('settings.support_plan_features'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $name=>$params): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <div class="col-md-3">
                                                <div class="form-check">
                                                    <input class="form-check-input" type="radio" value="<?php echo e($name); ?>" id="<?php echo e($name); ?>"
                                                           <?php if(in_array($name,$plan_features)): echo 'checked'; endif; ?> name="support_plan_features">
                                                    <label class="form-check-label" for="<?php echo e($name); ?>"><?php echo e(Str::headline($name)); ?></label>
                                                </div>
                                            </div>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </div>
                                </div>

                                <div class="col-md-12 mb-3 mt-3">
                                    <label class="fw-bold mb-2"><?php echo e(__('Visibility')); ?></label>
                                    <div class="form-check">
                                        <input class="form-check-input" type="checkbox" value="1" id="is_custom"
                                               <?php if($is_custom): echo 'checked'; endif; ?> name="is_custom">
                                        <label class="form-check-label" for="is_custom"><?php echo e(__('Private Plan')); ?></label>
                                    </div>







                                    <?php if($errors->has('is_custom')): ?>
                                        <div class="small text-warning"><?php echo e($errors->first('is_custom')); ?></div>
                                    <?php endif; ?>
                                </div>
                                <div class="col-md-12 col-sm-12 mb-3">
                                    <button type="reset" class="btn btn-light-danger">Clear</button>
                                    <button type="submit" class="btn btn-primary"><i class="bi-paper-plane"></i> Save</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>

        </div>
    </div>

    <?php $__env->startPush('scripts'); ?>
        <script src="<?php echo e(asset('assets/js/bundle/dataTables.bundle.js')); ?>"></script>
        <script>
            $('#country_costs').addClass('nowrap').dataTable({
                responsive: false,
                searching: true,
                paging: true,
                ordering: true,
                info: false,
            });

            $("select#country").change(function (e){
                var selectedCountry = $(this).children("option:selected").val();
                $('select#currency').val(selectedCountry);
            });
        </script>
    <?php $__env->stopPush(); ?>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da)): ?>
<?php $component = $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da; ?>
<?php unset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da); ?>
<?php endif; ?>
<?php /**PATH /home/appdemo/public_html/applet.appdemo.pro/resources/views/plans/create.blade.php ENDPATH**/ ?>