<form action="<?php echo e(route('offices.create')); ?>" method="post">
    <?php echo csrf_field(); ?>
    <div id="action-form">
        <div class="row">
            <div class="col-md-6 mb-3">
                <div class="form-floating">
                    <input type="text" required min="2" name="name" class="form-control"
                           value="<?php echo e(old('name')); ?>" id="name" placeholder="Type Name">
                    <label for="name">Name *</label>
                </div>
                <?php if($errors->has('name')): ?>
                    <p class="text-right">
                        <span class="text-warning form-text"><?php echo e($errors->first('name')); ?></span>
                    </p>
                <?php endif; ?>
            </div>













            <div class="col-md-6 mb-3">
                <div class="form-floating">
                    <input type="date" required min="3" max="3" name="coverable_date" value="<?php echo e(old('coverable_date')); ?>"
                           class="form-control text-uppercase" id="coverable_date">
                    <label for="coverable_date">Start Date *</label>
                </div>
                <?php if($errors->has('coverable_date')): ?>
                    <p class="text-right">
                        <span class="text-warning form-text"><?php echo e($errors->first('coverable_date')); ?></span>
                    </p>
                <?php endif; ?>
            </div>

            <div class="col-md-6 mb-3">
                <div class="form-floating">
                    <select name="lead" id="lead" class="form-control">
                        <option value="">-- Choose --</option>
                        <?php $__currentLoopData = $leads; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $lead): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($lead->id); ?>" <?php if(old('lead') == $lead->id): ?> selected <?php endif; ?>>
                                <?php echo e(Str::headline($lead->name)); ?>

                            </option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                    <label for="lead">Lead</label>
                </div>
                <?php if($errors->has('lead')): ?>
                    <p class="text-right">
                        <span class="text-warning form-text"><?php echo e($errors->first('lead')); ?></span>
                    </p>
                <?php endif; ?>
            </div>
            <div class="col-md-6 mb-3">
                <div class="form-floating">
                    <select name="manager" id="manager" class="form-control" required>
                        <option value="">-- Choose --</option>
                        <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($user->id); ?>" <?php if(old('manager') == $user->id): ?> selected <?php endif; ?>>
                                <?php echo e(Str::headline($user->name.", ".$user->firstname." ".$user->othername)); ?>

                            </option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                    <label for="manager">Manager *</label>
                </div>
                <?php if($errors->has('manager')): ?>
                    <p class="text-right">
                        <span class="text-warning form-text"><?php echo e($errors->first('manager')); ?></span>
                    </p>
                <?php endif; ?>
            </div>
            <div class="col-md-6 mb-3">
                <div class="form-floating">
                    <select name="type" id="type" class="form-control" required>
                        <option value="">-- Choose --</option>
                        <?php $__currentLoopData = $types; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $id=>$type): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($id); ?>" <?php if(old('type') == $id): ?> selected <?php endif; ?>>
                                <?php echo e(Str::headline($type)); ?>

                            </option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                    <label for="type">Type *</label>
                </div>
                <?php if($errors->has('type')): ?>
                    <p class="text-right">
                        <span class="text-warning form-text"><?php echo e($errors->first('type')); ?></span>
                    </p>
                <?php endif; ?>
            </div>
            <div class="col-md-6 mb-3">
                <div class="form-floating">
                    <select name="location" id="location" class="form-control" required>
                        <option value="">-- Choose --</option>
                        <?php $__currentLoopData = $locations; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $id=>$location): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($id); ?>" <?php if(old('location') == $id): ?> selected <?php endif; ?>>
                                <?php echo e(Str::headline($location)); ?>

                            </option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                    <label for="location">Location *</label>
                </div>
                <?php if($errors->has('location')): ?>
                    <p class="text-right">
                        <span class="text-warning form-text"><?php echo e($errors->first('location')); ?></span>
                    </p>
                <?php endif; ?>
            </div>

        </div>
    </div>
    <div class="form-group mt-5">
        <button class="btn btn-primary" type="submit"><i class="fa fa-save mx-1"></i>
            <?php echo e(__('Save')); ?></button>
    </div>
</form>
<?php /**PATH /home/bewsysde/public_html/app.bewsys.dev/releases/20231231113858/resources/views/offices/empty_form.blade.php ENDPATH**/ ?>