<?php if (isset($component)) { $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da = $component; } ?>
<?php $component = App\View\Components\AppLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('app-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\AppLayout::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
     <?php $__env->slot('breadcrumb', null, []); ?> 
        <ol class="breadcrumb bg-transparent mb-0">
            <li class="breadcrumb-item"><a class="text-secondary" href="<?php echo e(route('dashboard')); ?>">Dashboard</a></li>
            <li class="breadcrumb-item active" aria-current="page"><?php echo e($page_title); ?></li>
        </ol>
     <?php $__env->endSlot(); ?>
    <!-- start: page toolbar -->
     <?php $__env->slot('page_heading', null, []); ?> 
        <div class="row align-items-center">
            <div class="col-auto page-header-title">
                <h1 class="color-900 mt-1 mb-0"><?php echo e($page_title); ?></h1>
                <small class="text-muted">
                    This module serves as the central hub for managing scheme members' account profiles.
                    <br>It facilitates essential tasks such as adding new members, suspending accounts,
                    updating member details, and handling password resets.
                </small>
            </div>
            <div class="col d-flex justify-content-lg-end mt-2 mt-md-0">
                <div class="p-2 me-md-3">
                    <div>
                        <span class="h6 mb-0"><?php echo e(easyCount($active)); ?></span>
                        <?php if($active > 0 && $applicants > 0): ?>
                            <small class="text-secondary"><i class="fa fa-angle-up"></i>
                                <?php echo e(round($active*100/$applicants)); ?>%</small>
                        <?php endif; ?>
                    </div>
                    <small class="text-muted text-uppercase">Active</small>
                </div>
                <div class="p-2 me-md-3">
                    <div>
                        <span class="h6 mb-0"><?php echo e(easyCount($inactive)); ?></span>
                        <?php if($inactive > 0 && $applicants > 0): ?>
                            <small class="text-secondary"><i class="fa fa-angle-up"></i>
                                <?php echo e(round($inactive*100/$applicants)); ?>%</small>
                        <?php endif; ?>
                    </div>
                    <small class="text-muted text-uppercase">Inactive</small>
                </div>
            </div>
        </div> <!-- .row end -->
     <?php $__env->endSlot(); ?>

    <div class="page-body px-xl-4 px-sm-2 px-0 py-lg- py-1 mt-0 mt-lg-">
        <div class="container-fluid">
            <?php if(session()->has('message')): ?>
                <div class="mb-5">
                    <?php if(session()->get('status') == 'success'): ?>
                        <div role="alert" class="alert alert-success"><?php echo e(session()->get('message')); ?></div>
                    <?php else: ?>
                        <div role="alert" class="alert alert-danger"><?php echo e(session()->get('message')); ?></div>
                    <?php endif; ?>
                </div>
            <?php endif; ?>

            <div class="row g-3">
                <?php if(canDo('administrator','search-beneficiary|member-records-update|add-beneficiary')): ?>
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">
                            <form action="<?php echo e(route('applicant.getApplicantInfo')); ?>" method="get">
                                <?php echo csrf_field(); ?>
                                <div class="input-group">
                                    <?php if(canDo('administrator','search-beneficiary')): ?>
                                        <select name="query_option" id="query_option" class="form-select" required>
                                            <?php
                                                $query_option = request()->get('query_option');
                                                if (!is_null($query)) {
                                                    $query_option = $query;
                                                }
                                            ?>
                                            <option>Query By</option>
                                            <option
                                                value="beneficiary" <?php echo e(($query_option == 'beneficiary')?'selected':''); ?>><?php echo e(__('Membership Status')); ?></option>
                                            <option
                                                value="refID" <?php echo e(($query_option == 'refID')?'selected':''); ?>><?php echo e(__('Ref. ID')); ?></option>
                                            <option
                                                value="dobs" <?php echo e(($query_option == 'dobs')?'selected':''); ?>><?php echo e(__('Date of Birth')); ?></option>
                                        </select>

                                        <select name="beneficiary_option" id="beneficiary_option"
                                                class="form-select" required style="display: <?php echo e(($query_option == 'beneficiary')?'block':'none'); ?>">
                                            <?php
                                                $beneficiary_option = request()->get('beneficiary_option');
                                                if (!is_null($query)) {
                                                    $query_option = $query;
                                                }
                                            ?>
                                            <option
                                                value="active" <?php echo e(($beneficiary_option == 'active')?'selected':''); ?>><?php echo e(__('Active')); ?></option>
                                            <option
                                                value="archived" <?php echo e(($beneficiary_option == 'archived')?'selected':''); ?>><?php echo e(__('Archived')); ?></option>
                                            <option
                                                value="ended" <?php echo e(($beneficiary_option == 'ended')?'selected':''); ?>><?php echo e(__('Ended')); ?></option>
                                        </select>

                                        <input type="text" placeholder="<?php echo e(settings()->get('applicant_title')); ?> Ref. ID" class="form-control"
                                               value="<?php echo e(request()->get('refID')); ?>" name="refID" id="refID" style="display: <?php echo e(($query_option == 'refID')?'block':'none'); ?>">

                                        <input type="text" class="form-control datepicker" value="<?php echo e(request()->get('dobs')); ?>"
                                               required name="dobs" id="dobs" readonly="readonly"
                                               placeholder="Select date" style="display: <?php echo e(($query_option == 'dobs')?'block':'none'); ?>">

                                        <select name="gender" id="gender" class="form-select">
                                            <option value=""><?php echo e(__('-- Gender --')); ?></option>
                                            <option value="Male" <?php echo e((request()->get('gender') == 'Male')?'selected':''); ?>><?php echo e(__('Male')); ?></option>
                                            <option value="Female" <?php echo e((request()->get('gender') == 'Female')?'selected':''); ?>><?php echo e(__('Female')); ?></option>
                                        </select>

                                        <input type='text' autocomplete="off" class="form-control" id="date_range" name="date_range" placeholder="Request Period"
                                                                        value="<?php echo e(request()->get('date_range')); ?>"/>

                                        <select name="location" id="location" class="form-select">
                                            <option value=""><?php echo e(__('-- Birth Place --')); ?></option>
                                            <?php $__currentLoopData = getLocations(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$city): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($key); ?>" <?php echo e((request()->get('location') == $key)?'selected':''); ?>><?php echo e($city); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>

                                        <button class="btn btn-secondary" type="submit"><i class="fa fa-search"></i></button>
                                        <a href="<?php echo e(route('applicant.getApplicantInfo')); ?>" class="btn btn-light-primary" data-bs-toggle="tooltip" title="Reset"> <i class="bi-arrow-repeat"></i></a>
                                    <?php endif; ?>

                                    <?php if(canDo('administrator','member-records-update|view-member-record-comment|add-member-record-comment|process-member-record')): ?>
                                        <a href="<?php echo e(route('memberRecords.list')); ?>" class="btn btn-light-success" data-bs-toggle="tooltip" title="Member Records"> <i class="bi-person-lines-fill"></i></a>
                                    <?php endif; ?>

                                    <?php if(canDo('administrator','add-beneficiary')): ?>
                                        <a href="<?php echo e(route('applicant.applicantRegistration')); ?>" class="btn btn-primary"><?php echo e(__('New Membership')); ?></a>
                                    <?php endif; ?>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
                <?php endif; ?>

                <div class="col-12">
                    <div class="table-responsive mt-10">
                            <table id="myDataTable_no_filter" class="table table-sm myDataTable align-middle table-bordered mb-3 custom-table">
                            <thead>
                            <tr>
                                <th style="width: 20px;">#</th>
                                <th><?php echo e(__('Member')); ?></th>
                                <th><?php echo e(__('Bio')); ?></th>
                                <th><?php echo e(__('Citizenship/Nationality')); ?></th>
                                <th><?php echo e(__('Other')); ?></th>
                                <th class="text-right"><?php echo e(__('Actions')); ?></th>
                            </tr>
                            </thead>
                            <tbody></tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!--begin::Row-->
    <div class="modal fade" id="staticBackdrop" data-backdrop="static" tabindex="-1" role="dialog"
         aria-labelledby="staticBackdrop" aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel"><?php echo e(settings()->get('applicant_title').__(' Information')); ?></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <i aria-hidden="true" class="ki ki-close"></i>
                    </button>
                </div>
                <div class="modal-body" id="info">

                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-light-primary font-weight-bold" data-dismiss="modal">Close
                    </button>
                </div>
            </div>
        </div>
    </div>
    <!--end::Row-->
    <?php echo $__env->make('touring-pages.membership', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php $__env->startPush('vendor-scripts'); ?>
    <?php $__env->stopPush(); ?>
    <?php $__env->startPush('scripts'); ?>
        <script src="<?php echo e(asset('assets/js/bundle/dataTables.bundle.js')); ?>"></script>


        <script src="<?php echo e(asset('assets/js/bundle/daterangepicker.bundle.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/js/custom.js')); ?>"></script>
        <?php if(canTour('membership')): ?>
            <script>
                $(window).on('load', function() {
                    $('#take-a-tour').modal('show');
                });

                function skipTour(page) {
                        var path = "<?php echo e(route('on_boarding.skipTour')); ?>";
                        $.ajax({
                            url: path,
                            type: 'GET',
                            data:{'page':page},
                            beforeSend: function () {
                            },
                            success: function (data) {
                                console.log('Skipped');
                            }
                        });
                    }
            </script>
        <?php endif; ?>
        <script>
            $('.datepicker').datepicker({});
            $('#query_option').change(function () {
                if (this.value == 'refID') {
                    $('#dobs').hide();
                    $('#dobs').prop({disabled: true, required: false});
                    $('#refID').show();
                    $('#refID').prop({disabled: false, required: true});
                    $('#beneficiary_option').hide();
                    $('#beneficiary_option').prop({disabled: true, required: false});
                } else if (this.value == 'dobs') {
                    $('#dobs').show();
                    $('#dobs').prop({disabled: false, required: true});
                    $('#refID').hide();
                    $('#refID').prop({disabled: true, required: false});
                    $('#beneficiary_option').hide();
                    $('#beneficiary_option').prop({disabled: true, required: false});
                } else if (this.value == 'beneficiary') {
                    $('#beneficiary_option').show();
                    $('#beneficiary_option').prop({disabled: false, required: true});
                    $('#dobs').hide();
                    $('#dobs').prop({disabled: true, required: false});
                    $('#refID').hide();
                    $('#refID').prop({disabled: true, required: false});
                } else {
                    $('#beneficiary_option').hide();
                    $('#beneficiary_option').prop({disabled: true, required: false});
                    $('#dobs').hide();
                    $('#dobs').prop({disabled: true, required: false});
                    $('#refID').hide();
                    $('#refID').prop({disabled: true, required: false});
                }
            });

            $(function() {
                var start = moment().startOf('year');
                var end = moment();
                // function cb(start, end) {
                //     $('input[name="date_range"]').html();
                // }
                $('input[name="date_range"]').daterangepicker({
                    locale: {
                        cancelLabel: 'Clear'
                    },
                    startDate: start,
                    endDate: end,
                    ranges: {
                        'Today': [moment(), moment()],
                        'Yesterday': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                        'Last 7 Days': [moment().subtract(6, 'days'), moment()],
                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                        'This Month': [moment().startOf('month'), moment().endOf('month')],
                        'Last Month': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')],
                        'This Year': [moment().startOf('year'), moment()],
                        'Last Year': [moment().subtract(12, 'month').startOf('year'), moment().subtract(12, 'month').endOf('year')]
                    }
                });
                // cb(start, end);

                $('input[name="date_range"]').on('cancel.daterangepicker', function(ev, picker) {
                    $('input[name="date_range"]').val('');
                });
            });

            // $('#myDataTable_no_filter').addClass('nowrap').dataTable({
            //     responsive: false,
            //     searching: false,
            //     paging: false,
            //     ordering: false,
            //     info: false,
            // });

            <?php if(!is_null($query)): ?>
                <?php if ($query == 'dobs') $value = date('Y-m-d',strtotime($value)); ?>
                const APPLICATIONS_AJAX = "<?php echo e(route('applicant.getApplicationsInfoList',[
                    'query_option'=>request()->get('query_option'),
                    'refID'=>request()->get('refID'),
                    'beneficiary_option'=>request()->get('beneficiary_option'),
                    'gender'=>request()->get('gender'),
                    'date_range'=>request()->get('date_range'),
                    'location'=>request()->get('location'),
                    'dobs'=>request()->get('dobs')
                    ])); ?>";
            <?php else: ?>
                const APPLICATIONS_AJAX = "<?php echo e(route('applicant.getApplicationsInfoList')); ?>";
            <?php endif; ?>
        </script>
        <script>

            function getApplicantInfo(id) {
                var path = "<?php echo e(route('applicant.viewApplicantInfo')); ?>";
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-Token': $('meta[name=_token]').attr('content')
                    }
                });
                $.ajax({
                    url: path,
                    type: 'GET',
                    data: {app_id: id},
                    beforeSend: function () {
                    },
                    success: function (data) {
                        $('#info').empty();
                        $('#info').html(data.theView);
                    },
                    complete: function () {
                        $.getScript("<?php echo e(asset('assets/js/customjs/custom.js')); ?>", function () {
                            console.log('Reset');
                        });
                    }
                    ,
                    error: function (data) {
                    }
                });
            }
        </script>

        <script src="<?php echo e(asset('assets/js/customjs/custom-applicant-registration-datatable.js')); ?>"></script>
    <?php $__env->stopPush(); ?>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da)): ?>
<?php $component = $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da; ?>
<?php unset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da); ?>
<?php endif; ?>
<?php /**PATH /home/bewsysde/public_html/app.bewsys.dev/releases/20231218095220/resources/views/applicant/get-applicant.blade.php ENDPATH**/ ?>